Microsoft Excel Help
What's New
Learn about the new features in Microsoft Excel and in all Microsoft Office programs.
Microsoft Office Web Site
Visit the Microsoft Office Web site on the Web to find additional products, services and assistance.
Getting Help
Learn about the different resources available to get help while you work.

Help Topics

  • Accessibility for people with disabilities
  • Keyboard shortcuts
  • Importing data
  • Web queries
  • Worksheet and workbook protection
  • PivotTable reports

Web Pages
Click a link to visit the World Wide Web.

  • Microsoft Press
  • Microsoft Product Support Services


About hyperlinks

A hyperlink is a link from a document that opens another page or file when you click it. The destination is frequently another Web page, but it can also be a picture, or an e-mail address, or a program. The hyperlink itself can be text or a picture.

When a site visitor clicks the hyperlink, the destination is shown in a Web browser, opened, or run, depending on the type of destination. For example, a hyperlink to a page shows the page in the Web browser, and a hyperlink to an AVI file opens the file in a media player.

How hyperlinks are used

You can use hyperlinks to do the following:

  • Navigate to a file or Web page on a network, intranet or Internet
  • Navigate to a file or Web page that you plan to create in the future
  • Send an e-mail message
  • Start a file transfer, such as downloading or an FTP process

When you point to text or a picture that contains a hyperlink, the pointer becomes a hand Pointer in the shape of a hand, indicating that the text or picture is something you can click.

What a URL is and how it works

When you create a hyperlink, its destination is encoded as a Uniform Resource Locator (URL), such as:

http://example.microsoft.com/news.htm
or
file://ComputerName/SharedFolder/FileName.htm

A URL contains a protocol, such as HTTP, FTP, or FILE, a Web server or network location, and a path and file name. The following illustration defines the parts of the URL:

The parts of a Uniform Resource Locator (URL)

1 Protocol used (http, ftp, file)

2 Web server or network location

3 Path

4 File name

Absolute and relative hyperlinks

An absolute URL contains a full address, including the protocol, the Web server, and the path and file name.

A relative URL has one or more missing parts. The missing information is taken from the page that contains the URL. For example, if the protocol and Web server are missing, the Web browser uses the protocol and domain, such as .com, .org, or .edu, of the current page.

It is common for pages in a Web to use relative URLs containing only a partial path and file name. If the files are moved to another server, any hyperlinks will continue to work as long as the relative positions of the pages remain unchanged. For example, a hyperlink on Products.htm points to a page named apple.htm in a folder named Food; if both pages are moved to a folder named Food on a different server, the URL in the hyperlink will still be correct.

In a Microsoft Excel workbook, unspecified paths to hyperlink destination files are by default relative to the location of the active workbook. You can set a different base address to use by default so that each time you create a hyperlink to a file in that location, you'll only have to specify the file name, not the path, in the Insert Hyperlink dialog box.


About macro security

About security levels and what they mean

The following information summarizes how macro virus protection works under each setting on the Security Level tab in the Security dialog box (Tools menu, Macro submenu) under different conditions. Under all settings, if antivirus software that works with Microsoft Office XP is installed and the file contains macros, the file is scanned for known viruses before it is opened.

High

Unsigned macros

Macros are automatically disabled, and the file is opened.

Signed macros

The source of the macro and the status of the signature determine how signed macros are handled.

A trusted source. Signature is valid.

Macros are automatically enabled, and the file is opened.

An unknown author. Signature is valid.

A dialog box is displayed with information about the certificate. Macros can be enabled only if the user chooses to trust the author and certification authority. A network administrator can lock the list of trusted sources and prevent the user from adding the developer to the list and enabling the macros.

Any author. Signature is invalid, possibly because of a virus.

User is warned of a possible virus. Macros are automatically disabled.

Any author. Signature validation is not possible because public key is missing or incompatible encryption methods were used.

User is warned that signature validation is not possible. Macros are automatically disabled.

Any author. The signature was made after the certificate had expired or had been revoked.

User is warned that the signature has expired or been revoked. Macros are automatically disabled.

Medium

Unsigned macros

User is prompted to enable or disable macros.

Signed macros

The source of the macro and the status of the signature determine how signed macros are handled.

A trusted source. Signature is valid.

Macros are automatically enabled, and the file is opened.

An unknown author. Signature is valid.

A dialog box is displayed with information about the certificate. The user is prompted to enable or disable macros. The user can choose to trust the developer and certification authority.

Any author. Signature is invalid, possibly because of a virus.

User is warned of a possible virus. Macros are automatically disabled.

Any author. Signature validation is not possible because public key is missing or incompatible encryption methods were used.

User is warned that signature validation is not possible. User is prompted to enable or disable macros.

Any author. The signature was made after the certificate had expired or had been revoked.

User is warned that the signature has expired or been revoked. User is prompted to enable or disable macros.

Low

When security it set to low, all macros are treated equally regardless of origin or certificate status. With low security, you receive no prompt or signature validation and macros are automatically enabled. Use this setting only if you are certain that all macros in your files are from trusted sources.

About digital signatures

Microsoft Office XP uses Microsoft Authenticode technology to enable you to digitally sign a file or a macro project. The certificate used to create this signature confirms that the macro or document originated from the signer, and the signature confirms that it has not been altered. When you set the macro security level, you can run macros based on whether they are digitally signed by a developer on your list of trusted sources.

After you have installed your digital certificate, you can sign files and macro projects.

Signing macros

You should sign macros only after your solution has been tested and is ready for distribution, because whenever code in a signed macro project is modified in any way, its digital signature is removed. However, if you have the proper digital certificate on your computer, the macro project will automatically be re-signed when saved. If you want to prevent users of your solution from accidentally modifying your macro project and invalidating your signature, lock the macro project before signing it. Your digital signature says only that you guarantee that this project is safe. It does not prove that you wrote the project. So locking your macro project doesn't prevent another user from replacing the digital signature with another signature. Corporate administrators might re-sign templates and add-ins so that they can control exactly what users may run on their computers.

If you create an add-in that adds code to a macro project, your code should determine if the project is digitally signed and notify the user of the consequences of modifying a signed project before continuing.

Where to get certificates

You can obtain a digital certificate from a commercial certification authority, such as VeriSign, Inc., or from your internal security administrator or IT professional. Or, you can create a digital signature yourself using the Selfcert.exe tool.

Note Because a digital certificate you create yourself isn't issued by a formal certification authority, macro projects signed by using such a certificate are referred to as self-signed projects. Depending on how Office digital-signature features are being used in your organization, you might be prevented from using such a certificate, and other users might not be able to run self-signed macros for security reasons.

Commercial certification authorities

To obtain a digital certificate from a commercial certification authority, such as VeriSign, Inc., you or your organization must submit an application to that authority.

Learn about certification authorities that offer services for Microsoft products.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Depending on your status as a developer, you should apply for a Class 2 or Class 3 digital certificate for software publishers:

  • A Class 2 digital certificate is designed for people who publish software as individuals. This class of digital certificate provides assurance as to the identity of the individual publisher.

  • A Class 3 digital certificate is designed for companies and other organizations that publish software. This class of digital certificate provides greater assurance as to the identity of the publishing organization. Class 3 digital certificates are designed to represent the level of assurance provided today by retail channels for software. An applicant for a Class 3 digital certificate must also meet a minimum financial stability level based on ratings from Dun & Bradstreet Financial Services.

When you receive your digital certificate, you are given instructions on how to install it on the computer you use to sign your Office solutions.

Internal certification authorities

Some organizations and corporations might have a security administrator or group act as their own certification authority and produce or distribute digital certificates by using tools such as Microsoft Certificate Server. Microsoft Certificate Server can function as a stand-alone certification authority or as part of an existing certification authority hierarchy. Depending on how Office digital-signature features are used in your organization, you might be able to sign macro projects by using a digital certificate from your organization's internal certification authority. Or you might need to have an administrator sign macro projects for you by using an approved certificate. For information about your organization's policy, contact your network administrator or IT department.


About smart tags

You can save time by using smart tags to perform actions in Microsoft Excel that you'd usually open other programs to perform.

The purple triangles in the corners of cells on your worksheet indicate the smart tags.

Smart tag indicators

1 Smart tag indicators

Financial symbol After typing a U.S. stock symbol in a cell on a worksheet in Excel — for example MSFT — you can use the smart tag options to gain instant access to published Web information about a company without having to open a separate Internet browser window.

For example, you can click a smart tag and then select the action Recent news on MSN MoneyCentral. The browser opens to a Web page of news and information about the company you selected. When you're finished, you can close the browser, and continue to work in Excel.

A person's name Another action you can take is to add a person's name and address from your worksheet to a Microsoft Outlook 2002 contact folder — without having to copy the information in Excel, open Outlook, and then paste the information into Outlook.

Instead, type a name, click Smart Tag Actions [image], and then select the action Add to Contacts. The Contact dialog box opens with the name and address already entered. If you want, you can fill in additional information, and then continue to work in Excel.

How smart tags work

Excel recognizes certain types of data that it labels with smart tags. The type of actions you can take depend on the data that Excel recognizes and labels with a smart tag.

For example, if you recently sent mail to "Nate Sun", and you type the name into a cell on an Excel worksheet, the name is recognized and given a smart tag with actions you can take including Send Mail, Schedule a Meeting, Open Contact, Add to Contacts, or Insert Address.

The smart tag indicators appear in the cell on your worksheet as you type. They may also appear when you open a previously saved document.

Note Smart tags are turned off by default in Excel.

How to use smart tags

When Excel recognizes types of data, the data is marked with a smart tag indicator — a purple triangle in a worksheet cell. To find out what actions you can take with a smart tag, move the insertion point over the text with a smart tag indicator until Smart Tag Actions [image] appears, and then click the arrow next to the button to see a menu of actions.

Smart tag indicators and button

1 Smart tag indicator

2 Smart Tag Actions button

If you save an Excel document that contains smart tags as a Web page, some tasks can be performed on the Web by using Microsoft Internet Explorer 5 or later. You can also use smart tags in your Outlook e-mail messages and in Microsoft Word.

How to get more smart tags

You can click More Smart Tags (on the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab) to go to Web sites to find new smart tags and actions.

You might find additional smart tags created by Microsoft, by third-party companies, or by Information Technology (IT) professionals, who may design smart tags and actions for the specific products or services that you work with. For example, if you work in a sales department, you might be able to click a "product name" smart tag in your document that offers actions such as "check quantity" in stock or price.

Note The types of smart tags that come with Excel vary with the language that is enabled.

Other buttons you may see in your worksheet

At times other buttons may appear as you work in your workbook.

AutoCorrect Options button

The AutoCorrect Options [image] button first appears as a small, blue box when you rest the mouse pointer near text that was automatically corrected, and changes to a button icon when you point to it.

If you find on occasion that you don't want text to be corrected, you can undo a correction or turn AutoCorrect options on or off by clicking the button and making a selection.

Paste Options button

The Paste Options [image] button appears just below your pasted selection after you paste text or data. When you click the button, a list appears that lets you determine how the information is pasted into your worksheet.

The available options depend on the type of content you are pasting, the program you are pasting from, and the format of the text where you are pasting.

Auto Fill Options button

The Auto Fill Options [image] button appears just below your filled selection after you fill text or data in a worksheet. When you click the button, a list appears to give you options for how to fill the text or data.

The available options depend on the content you are filling, the program you are filling from, and the format of the text or data you are filling.

Error Checking Options button

The Trace Error [image] button appears next to the cell in which a formula error occurs, and a green triangle appears in the upper-left of the cell. When you click the arrow next to Trace Error [image], a list appears to give you options for error checking.

Insert Options button

The Insert Options [image] button appears next to your inserted cells, rows, or columns. When you click the arrow next to Insert Options [image], a list of formatting options appears.


About speech playback

Microsoft Excel makes it possible for the computer to audibly read back data entered on a worksheet. You can use the Text To Speech toolbar to read back data you select for verification. Each cell is highlighted as the value is spoken, and when you hear an error, you can stop the sound read back to correct the error in the cell. If you prefer, you can choose to hear the value of the cell spoken immediately after you enter data in each cell by clicking Speak On Enter [image].

Text to speech The computer reads what is currently visible on the worksheet. For example, if the worksheet is in formula view, the computer reads formulas. If the data in the spreadsheet is hidden, the computer doesn't read the data.

Reading order You can choose whether the computer will read by rows or by columns. By default, the computer reads across a row and then moves down to the next row. If you choose the option of reading by columns, the computer reads a column from top to bottom and then moves to the next column.

Speech, a Control Panel application, allows you to choose between different computer-generated voices, and a voice speed setting you can customize.


About enabling and disabling the AutoRepublish feature

Each time you save your workbook, you can automatically republish it to the Web. Check the AutoRepublish every time this workbook is saved box in the Publish as Web Page dialog box.

There may be times when you don't want to automatically republish items in your workbook. Examples follow:

  • When you have entered confidential or sensitive information that should not be published to a public location
  • When you're temporarily disconnected from a network or Web server location
  • When you're saving a workbook that was created by someone who is not a trusted source (the workbook could contain macros that collect information from a network location using your credentials, and then publish that information to a public location)

You can disable AutoRepublish temporarily (for the current open and close session) or permanently (every time you open, save and close). Or you can continue to AutoRepublish.

Disable AutoRepublish temporarily

  1. When you save a workbook and have AutoRepublish enabled, a message will appear. Make sure to select the Disable the AutoRepublish feature while this workbook is open option.
  2. Click OK.

    AutoRepublish is disabled for the current session of the workbook only, or until you close the workbook. The next time you open the workbook, AutoRepublish will be enabled.

Disable AutoRepublish permanently

  1. Open the workbook that is set to automatically republish.
  2. On the File menu, click Save as Web Page.
  3. Click Publish.
  4. In the Choose list, click Previously published items.
  5. Select the item that you want to discontinue republishing automatically, and click Remove. Repeat for each item you don't want to automatically republish.
  6. Click Close.
  7. Click Save on the File menu to save the change to your workbook.

Continue with AutoRepublish

  • Click Enable the AutoRepublish feature in the message that is displayed each time you save the workbook.

    Note

    • You can tell that a workbook is set to AutoRepublish when you see Publishing to Page: filename in the status bar during a save.


About using Excel data in a digital dashboard

What is a digital dashboard?

A digital dashboard is a view of different types of data all on one Web page so you that you can get a quick overview of the information you use each day. For example, your digital dashboard might contain summary information about current top issues in your department, high priority email messages, links to corporate sales data, and news feeds.

You can create a digital dashboard from Microsoft Office applications by clicking Add Network Place on the New document task pane, and following the instructions in the Add Network Place Wizard. To create a digital dashboard, you must have access to a folder on an Exchange 2000 or a Microsoft SharePoint Portal Server. Then, you can save different types of data from Office applications to use on your digital dashboard. Each type of data is a separate component called a Web Part.

By default, a digital dashboard consists of a single page, but you can create additional dashboard pages, called subdashboards, which are linked from the home page of a digital dashboard.

A digital dashboard and any subdashboards it contains display Web Parts, which are reusable components for displaying information that reside within the digital dashboard page. Web Parts can consist of simple HTML text for announcements and notifications; dynamic displays of data, such as lists or charts of stock quotes and sales figures; or information from other Web sites displayed within a frame. Web Parts can also contain controls, scripting, Dynamic HTML (DHTML), or Extensible Markup Language (XML) to provide interactivity.

You can import Web Parts or create your own Web Parts by saving documents as Web pages from Microsoft Word, Microsoft Excel, Microsoft PowerPoint, or Microsoft FrontPage into a digital dashboard folder. Additionally, you can create data access pages in Microsoft Access and save them as Web Parts by saving them into a digital dashboard folder.

By using the information and tools available in the Digital Dashboard Resource Kit, you can create more complex Web Parts that integrate an organization’s existing systems with the analytical and collaborative tools in products such as Excel, Access, Microsoft Exchange Server, and Microsoft SQL Server. For more information about digital dashboards, and to download the Digital Dashboard Resource Kit, see the Microsoft Digital Dashboard Web site.

How can I use Microsoft Excel data in a digital dashboard?

Say you want to add a chart to your digital dashboard that tracks your latest sales figures. You can create a chart in Excel based on those sales figures and then publish the chart interactively to a digital dashboard folder. Fill out the required information for your Web Part in the Web File Properties dialog box, and the part is ready for use in your digital dashboard.


About XML and Excel

What is XML?

Extensible Markup Language (XML) is a method for putting structured data (such as that in a worksheet) in a text file that follows standard guidelines and can be read by a variety of applications. Designers can create their own customized tags, enabling the definition, transmission, validation, and interpretation of data between applications and between organizations.

XML tags describe the data in the text file (for example, specific text strings in the file might be described as Customer Name). Unlike HTML, though, XML tags do not specify formatting or what the data should look like when viewed on screen.

Formatting rules for XML data are often organized into stylesheets which, when applied to the XML file, format the data appropriately. To apply a stylesheet, an instruction is written in the XML file that references the stylesheet.

The standard for XML stylesheets is called the Extensible Style Language (XSL).

How does Microsoft Excel use XML?

Excel can take advantage of any well-formed XML file. Microsoft has also defined an XML spreadsheet format designed specifically for Excel worksheets. This means you can:

  • Open and save any properly-structured XML file.
  • Create Web queries to properly-structured XML data sources.
  • Save entire workbooks as XML spreadsheets.

When you open an XML file that references a stylesheet, you have the opportunity to open the file without applying the stylesheet, or to apply a specific stylesheet (if the file references more than one).


About bidirectional fonts

Microsoft Excel is designed to display and print both right-to-left and left-to-right text. For best results, the program should use a font that contains both right-to-left and left-to-right language characters. Some fonts available with Office and bidirectional Windows operating systems contain both right-to-left and left-to-right characters.

If you choose a font that does not contain both right-to-left and left-to-right characters, existing text in one or both languages may be displayed using a secondary font, such as Tahoma. For further information, refer to "Unicode support" in Microsoft Office Help.


About Arabic sort order

Microsoft Excel sorts right-to-left worksheets by using values from Unicode, not those from the Arabic code page as in some earlier versions. Opened or imported worksheets that use the Arabic code page and Arabic sort order will be converted to Unicode and General sort order.

Arabic sort order is described here by using the Arabic code page, not Unicode, because the former is more familiar to most users. The Arabic sort order table arranges the characters of the Arabic code page into a sort order. The sort order controls how data is sequentially ordered in Excel worksheets that use the Arabic code page.

The 256 characters of the Arabic code page can be organized into several categories that determine how characters are sorted.

  • Kashida and bidirectional control characters (hexadecimal code points 9D, 9E, DC, FD, and FE):

    Sort ignores these characters.

  • Arabic diacritics (hexadecimal code points F0 through F3, F5, F6, F8, and FA):

    Sort ignores Arabic diacritics except when the strings being compared are otherwise identical. In this case, unmarked characters (without diacritics) sort ahead of marked characters (with diacritics); diacritics with lower code point values sort ahead of others.

  • General control characters (hexadecimal code points 00 through 1F and 7F), reserved characters (hexadecimal code points 80, 81, 8D, 8E, 8F, and 90), and punctuation:

    These three categories sort ahead of alphanumeric characters in category order (that is, General control characters first) and in ascending code point order within each category (for example, 00 sorts ahead of 01).

  • Arabic and left-to-right alphanumeric characters (in the Arabic sort order table):

    Left-to-right text is always sorted ahead of Arabic text.

    Left-to-right text sorting is not case sensitive. For example, although uppercase "A" is listed before lowercase "a", Excel treats these characters equally and does not provide any sorting preference to either character.

    Unmarked left-to-right text (without diacritics) is sorted before marked left-to-right text.


About the Arabic code page

Each code page is identified by a unique code page number. The code page (CP) for Arabic is CP 1256.

Microsoft Excel sorts right-to-left worksheets by using values from Unicode, not those from the Arabic code page as in earlier versions. Opened or imported worksheets that use the Arabic code page and Arabic sort order will be converted to Unicode and General sort order.

Arabic code page


About the Hebrew code page

Each code page is identified by a unique code page number. The code page (CP) for Hebrew is CP 1255.

Microsoft Excel sorts right-to-left worksheets using values from Unicode, not those from the right-to-left code page as in earlier versions. Opened or imported worksheets that use the Hebrew code page and Hebrew sort order will be converted to Unicode and General sort order.

Hebrew code page


About Hebrew sort order

Microsoft Excel sorts right-to-left worksheets by using values from Unicode, not those from the Hebrew code page as in some earlier versions. Opened or imported worksheets that use the Hebrew code page and Hebrew sort order will be converted to Unicode and General sort order.

Hebrew sort order is described here by using the Hebrew code page, not Unicode, because the former is more familiar to most users. The Hebrew sort order table arranges the characters of the Hebrew code page into a sort order. The sort order controls how data is sequentially ordered in Excel worksheets that use the Hebrew code page.

The 256 characters of the Hebrew code page can be organized into several categories that determine how characters are sorted.

  • Bidirectional control characters (hexadecimal code points FD and FE):

    Sort ignores these characters.

  • Hebrew diacritics (hexadecimal code points C0 through CD, D1, and D2):

    Sort ignores Hebrew diacritics except when the strings being compared are otherwise identical. In this case, unmarked characters (without diacritics) sort ahead of marked characters (with diacritics); diacritics with lower code point values sort ahead of others.

  • General control characters (hexadecimal code points 00 through 1F and 7F), reserved characters (hexadecimal code points 80, 81, 8A, 8C through 90, 9A, 9C through 9F, CE through D0, D3 through DF, FB, FC, and FF), and punctuation:

    These three categories sort ahead of alphanumeric characters in category order (that is, General control characters first) and in ascending code point order within each category (for example, 00 sorts ahead of 01).

  • Hebrew and left-to-right alphanumeric characters (in the Hebrew sort order table):

    Left-to-right text is always sorted ahead of Hebrew text.

    Left-to-right text sorting is not case sensitive. For example, although uppercase "A" is listed before lowercase "a", Hebrew Excel treats these characters equally and does not provide any sorting preference to either character.

    Unmarked left-to-right text (without diacritics) is sorted before marked left-to-right text.


Turn on Correct Keyboard Setting

To use this procedure, you must have a U.S. English version of the Windows operating system.

  1. On the Tools menu, click AutoCorrect Options.
  2. On the AutoCorrect tab, select the Correct Keyboard Setting check box.


Add a word to an Input Method Editor (IME) dictionary

Note The feature described in this Help topic is only available if an Input Method Editor (IME) for Japanese, Simplified Chinese or Traditional Chinese has been installed.

Add a word to the Japanese IME dictionary

  1. Click the Language icon [image] on the taskbar, and click Show the Language bar. On the language bar, select Japanese. Click the Tools button.
  2. On the Tools menu, click Dictionary Tool.
  3. On the Edit menu of the Microsoft IME Dictionary Tool dialog box, click Add.
  4. Click on the Add Word tab.
  5. In the Reading box, enter the reading of the word you want to register in hiragana or alphanumeric characters.
  6. In the Display box, enter the display of the word you want to register.
  7. Click Register to save the word.

Add a phrase to the Simplified Chinese dictionary

  1. Click the Language icon [image] on the taskbar, and click Show the Language bar. On the language bar, select Chinese (Taiwan). Click the Tools button.
  2. On the Tools menu, click User phrase.
  3. On the Edit menu of the Microsoft New Phonetic IME 2002 user define phrase tool dialog box, click Add Phrase.
  4. Type the phrase in the Phrase box, and then press ENTER.
  5. On the File menu, click Save.

Add a phrase to the Traditional Chinese dictionary

  1. Click the Language icon [image] on the taskbar, and click Show the Language bar. On the language bar, select Chinese (PRC). Click the Context menu button.
  2. On the Context menu, click User-defined phrase tool.
  3. On the Edit menu of the MSPY IME User-defined Phrase Tool, click Add Phrase.
  4. Type the phrase in the Phrase box, and the press ENTER.
  5. On the File menu, click Save.


Add or delete Hanja in a custom dictionary

If you are not using the Korean language version of Microsoft Office, then this feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office XP Proofing Tools for Korean.

Add Hanja to a custom dictionary

  1. Type the Hangul for the Hanja you want to add, and then select it.
  2. Click the Language icon [image] on the taskbar, and click Show the Language Bar. On the language bar, select Korean. Click the Hanja icon.
  3. Click More.
  4. Click Add new word.
  5. In the Hanja Suggestions box, select the appropriate Hanja, and then click Choose.
  6. Click Add to List after all the characters are converted.

Delete Hanja from a custom dictionary

  1. Type the Hangul for the Hanja you want to delete, and then select it.
  2. Click the Language icon [image] on the taskbar, and click Show the Language Bar. On the language bar, select Korean. Click the Hanja icon.
  3. In the Hanja Suggestions box, select the Hanja you want to delete.
  4. Click More.
  5. Click Remove word.


Specifying whether to AutoRepublish items

If you expect to make changes in a workbook later, and want to be sure that the changes are updated on the associated Web page, you can choose to AutoRepublish items each time the original workbook is saved.

If you are publishing to a public location, do not add confidential information to the workbook. Should you decide later that you no longer want to automatically republish an item in the workbook to a Web page each time the workbook is saved, you can disable AutoRepublish.

To specify whether an item in the workbook is automatically republished, select or clear the AutoRepublish every time this workbook is saved check box.


AutoRepublish errors and warnings

For more information on the error or warning message you are receiving, click the appropriate message below.

WARNING: External references converted to values in <file name/path>

The workbook you are republishing contains references to other workbooks, pages, or documents, such as a link from Book1.xls that gets the value in cell A1 of Book2.xls. Because external references are not supported in the resulting published Web page, the reference is converted to the last retrieved value on the Web page. The reference in the workbook, however, remains intact.

WARNING: Hidden formulas no longer protected in <file name/path>

Hidden formulas become visible on published Web pages. If you don't want hidden formulas to be shown on the Web page, remove them before saving and republishing.

WARNING: Precision as displayed option not supported in <file name/path>

This workbook uses the Precision as displayed option, which is available on the Calculation tab of the Options dialog box (Tools menu). This means that stored values in cells are no longer precise to 15 digits, but are precise to the displayed value in the cell. Because Precision as displayed is not supported on interactive Web pages, results of formulas or values you enter or change on the Web page published from this workbook will no longer have the Precision as displayed option applied to them.

WARNING: 1904 date system converted to 1900 date system in <file name/path>

This workbook uses the 1904 date system, an option available on the Calculation tab of the Options dialog box (Tools menu). Generally used for Macintosh compatibility, this option changes the starting date from which all dates are calculated in Microsoft Excel from January 1, 1900, to January 2, 1904. Because interactive Web pages do not support the 1904 date system, your dates will be converted to the 1900 date system on the Web page, and may show a difference of approximately four years.

ERROR: Cannot access <file name/path>

The items you are republishing cannot be saved to the location where they were previously published.

  • Check if the Web site or server to which you are publishing is functioning properly.
  • Check if the location to which you previously published has changed names or moved.
  • Make sure you have proper permissions to the location to which your items were previously published.

ERROR: There is protected data in <file name/path>

Protected data cannot be saved in a Web page. To republish the workbook, you must first unprotect the data and remove all passwords. If necessary, you should move confidential or sensitive information into a workbook that you are not publishing.

ERROR: This file is not in the proper format <file name/path>

You cannot use the AutoRepublish feature to publish Microsoft Excel data to a file that is not in a Web page format. Make sure you are publishing to a page that is in an HTML format.

ERROR: Previously published data has been deleted from <file name/path>

Items in the workbook set to AutoRepublish no longer exist.

ERROR: There is not enough memory to publish <file name/path>

  • Close any unnecessary programs or windows on your desktop to recapture available memory on your system.

  • Check the amount of disk space available at the location to which you are trying to publish and make sure there is enough available for your Web page.
  • Check to make sure that you have not exceeded the limits of your assigned space at the location to which you are publishing.
  • Try reducing the file size of the workbook by removing sheets, objects, or any unnecessary items.
  • Check the amount of disk space on your computer. Delete unnecessary files from your hard disk.
  • Check the random access memory (RAM) on your system and make sure it is working properly and that you have the recommended amount for Microsoft Office XP.

ERROR: Cause is unknown for <file name/path>

Microsoft Excel cannot determine the cause for this error. However, you can try some basic troubleshooting procedures such as:

  • Check the amount of disk space on your computer. Delete unnecessary files from your hard disk.

  • Close any unnecessary programs or windows on your desktop.

  • Check the amount of disk space available at the location to which you are trying to publish and make sure there is enough available for your Web page.
  • Check to make sure that you have not exceeded the limits of your assigned space at the location to which you are publishing.
  • Try reducing the file size of the workbook by removing sheets, objects, or any unnecessary items.
  • Check the random access memory (RAM) on your system and make sure it is working properly and that you have the recommended amount for Microsoft Office XP.


BAHTTEXT

See also

Converts a number to Thai text and adds a suffix of "Baht."

In Microsoft Excel for Windows, you can change the Baht format to a different style by using Regional Settings or Regional Options in Control Panel.

In Excel for the Macintosh, you can change the Baht number format to a different style by using Control Panel for Numbers.

Syntax

BAHTTEXT(number)

Number is a number you want to convert to text, or a reference to a cell containing a number, or a formula that evaluates to a number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
1234
Formula | Description (Result)
=BAHTTEXT(A2) | Displays the number in text. (One thousand two hundred thirty four Baht in Thai text)


Change a Web query

You can change the address of the Web page you're querying, change the selection of data returned from the Web page, and change formatting and other settings for your Web query in the Edit Web Query dialog box. You can change how the query is refreshed and other properties of the data range returned by your query in the External Data Range Properties dialog box.

Change address, selection of data, or formatting

  1. Click a cell in the region of the worksheet where your query data was returned (also known as an external data range).

    If you're not sure which region of the worksheet contains your query data, but you know the name of the query, click the Name box and select your query name from the list.

  2. Click Edit Query [image] on the External Data toolbar.

  3. Do one or more of the following:

    Change the address for the Web page you want to query

    Select or type a new URL in the Address box.

    Change the selection of data returned from the Web page

    Click Select Table to cancel the selection of a selected table or click Select a Table to select a table.

    If there are no Select a Table next to tables on the page, click Show Icons Show/Hide icons at the top of the dialog box to display them.

    Change import and formatting settings

    1. Click Options.

    2. Do one of the following:

      Under Formatting, click one of the following:

      • None Returns none of the formatting on the Web page you are querying, only text. Formatting that exists on the worksheet is applied.

      • Rich text formatting only Returns the type of formatting that Microsoft Excel can reproduce most closely, such as font styles. Does not include HTML formatting, such as hyperlink formatting.

      • Full HTML formatting Returns all HTML formatting that Excel supports, such as hyperlink formatting. This option clears the Preserve cell formatting check box in the External Data Range Properties dialog box.

      Under Import settings for preformatted <PRE> blocks, select one or more of the following:

      • Import <PRE> blocks into columns Blocks of data surrounded by <PRE> tags will be imported into separate columns on the worksheet. Clear this box to return data into a single column.

      • Treat consecutive delimiters as one If you have characters that define, or delimit, the text for each column in your <PRE> sections (such as commas), you can specify that when Excel encounters more than one of these delimiters together, they will be treated as one so that a blank column is not placed between each consecutive delimiter. This check box is available only when you select the Import <PRE> blocks into columns check box.

      • Use the same import settings for the entire section Select to use your setting for Treat consecutive delimiters as one for all preformatted sections on the Web page. Clear this check box to use your setting for the first preformatted section only or if you want Excel to determine the best settings. This check box is available only when you select the Import <PRE> blocks into columns check box.

      Under Other Import settings, select one or more of the following:

      • Disable date recognition Ensures that numbers on a Web page that appear similar to dates appear as numbers on the worksheet. For example, a sports standing score of 03-07 is recognized by Excel as the date March 7 unless this option is selected.

      • Disable Web query redirections Ensures that the Web query is not redirected to a different data source than what you see on the Web page you're querying. Select this check box for compatibility with queries created in previous versions of Excel.

  4. When you're done making changes in the Edit Web Query dialog box, click Import.

Change refresh options and other properties

  1. Click a cell in the region of the worksheet where your query data was returned (also known as an external data range).

  2. Click Data Range Properties Data Range Properties on the External Data toolbar.

  3. Under Query definition, make sure the Save query definition box is selected to allow future refreshes of the data and to have other options in the dialog box available. To prevent further refreshes of the data, clear the box.

    The Save password option is not applicable to Web queries, so appears disabled.

  4. Under Refresh control, select one or more of the following:

    • Enable background refresh Runs the query in the background so that you can continue to work in Microsoft Excel while the data is refreshing.

    • Refresh every x minutes Allows you to set specific intervals of time in minutes at which Excel automatically refreshes the data.

    • Refresh data on file open Automatically refreshes the data each time the file is opened.

    • Remove external data from worksheet before saving Removes the external data, but not the query, from your worksheet before you save. The Refresh data on file open box must be selected for this option to be available.

  5. Under Data formatting and layout, select one or more of the following:

    • Adjust column width Automatically adjusts column widths to fit refreshed data.

    • Preserve cell formatting When the data is refreshed, cell formatting changes you made in Excel are preserved. This option is automatically cleared, however, when you select Full HTML Formatting in the Options dialog box (Edit Query dialog box).

    • If the number of rows in the data range changes upon refresh Specifies how to handle a smaller or larger data set returned to Excel when data is refreshed. You cannot select or clear this option; rather you must select one of three options in the dialog box.

    • Fill down formulas in columns adjacent to data Copies formulas in columns to the right of the external data range to new rows of data added when the data is refreshed.

    Note Include field names, Include row numbers, and Preserve column sort/filter/layout are not applicable to Web queries, and are disabled in the dialog box.


Change chart axes

Charts typically have two axes used to categorize and measure data: a category (x) axis and a value (y) axis. 3-D charts have a third (z) axis. Pie and doughnut charts do not have axes.

Example of category and value axes on a chart

1 Value (y) axis

2 Category (x) axis

Display or hide axes, axes labels, and tick marks

  1. Click the chart in which you want to display or hide axes, axes labels, and tick marks.
  2. On the Chart menu, click Chart Options, and then click the Axes tab.
  3. Select or clear the check boxes for the axes you want to display or hide.

Add an axis title

  1. Click the chart to which you want to add a title.
  2. On the Chart menu, click Chart Options, and then click the Titles tab.

  3. Click in the appropriate box for each axis title you want to add (for example, to add a title to the category axis, click in the Category (X) axis box), and then type the text you want.

Tip

To insert a line break in an axis title, click the text on the chart, click where you want to insert the line break, and then press ENTER.

Align or rotate text on an axis

Example of text rotated on an axis

  1. Click the axis title you want to align.
  2. Click Selected Axis Title on the Format menu.
  3. Click the Alignment tab.

    If you don't see the Alignment tab, click Cancel, click outside of the text you want to format, and then repeat the process.

  4. Select the options you want.

Tip

To quickly change the horizontal alignment of selected chart titles and text boxes, click Align Left [image], Center [image], or Align Right [image] on the Formatting toolbar.

Format numbers on an axis

If you change the number formatting in a chart, the number formatting is no longer linked to the worksheet cells.

  1. Double-click the appropriate axis.
  2. On the Number tab, select the options you want.

Change tick mark appearance and label placement on an axis

Chart with major and minor tick marks and labels on the value axis

1 Major and minor tick marks and tick mark labels on value axis

2 Major tick marks and tick mark labels on category axis

  1. Click the axis with the tick marks you want to change.
  2. On the Format menu, click Selected Axis, and then click the Patterns tab.
  3. Under Tick mark type and Tick mark labels, select the options you want.

Tip

To hide major or minor tick marks, or to hide both types of tick marks, click None.

Link an axis title to a worksheet cell

  1. Click the axis title you want to link.

  2. In the formula bar, type an equal sign (=).
  3. Select the worksheet cell that contains the data or text you want shown in your chart.

    You can also type the reference to the worksheet cell. Include the sheet name, followed by an exclamation point; for example:

    Sheet1!F2

  4. Press ENTER.

Reverse the plotting order of categories, values, or series

You can reverse the plotting order of categories or values for most charts, as well as of data series for 3-D charts with a third axis. You cannot reverse the plotting order of values in a radar chart.

  1. Click the axis for the categories, values, or series whose plotting order you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. To reverse the plotting order, do one of the following:
    • For categories, select the Categories in reverse order check box.

    • For values, select the Values in reverse order check box.

    • For series in 3-D charts, select the Series in reverse order check box.

Add a second axis

When the range of values for different data series in a 2-D chart varies widely, or when you have mixed types of data (such as price and volume), you can plot one or more data series on a secondary value (y) axis. The scale of the secondary axis reflects the values for the associated series.

  1. Click the data series you want to plot along a secondary value axis.
  2. On the Format menu, click Selected Data Series, and then click the Axis tab.
  3. Click Secondary axis.

Change a value axis

  1. Click the value axis you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. Do one of the following:

    Change the number at which the value axis starts and ends

    Enter a different number in the Minimum box or the Maximum box.

    Change the interval of tick marks and gridlines

    Enter a different number in the Major unit box or Minor unit box.

    Change the units displayed on the value axis

    If your chart values consist of large numbers, you can make the axis text shorter and more readable by changing the display unit of the axis. For example, if the chart values range from 1,000,000 to 50,000,000, you can display the numbers as 1 to 50 on the axis and show a label that indicates that the units express millions.

    1. In the Display units list, click the units you want or type a numeric value.
    2. To show a label that describes the units expressed, select the Show display units label on chart check box.

    Change the value axis to logarithmic

    Select the Logarithmic scale check box.

    Reverse the order of values

    To reverse values so that you can flip bars or columns or other data markers, select the Values in reverse order check box.

    Change where the category (x) axis crosses the value axis

    Do one of the following:

    To have the category (x) axis cross at a number on the value axis that you specify, enter the number in the Category X crosses at box.

    To have the x-axis cross the value axis at the highest value, select the Category (X) axis crosses at maximum value check box. When selected, the Category (X) axis crosses at maximum value check box overrides the setting in the Category X crosses at box.

Change a chart category axis

Change the number of categories between labels or tick marks on the category axis

Category axis where every other category is labeled

  1. Click the category axis with the labels and tick marks you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. Do one or both of the following:
    • Specify the frequency at which you want categories on the category (x) axis to be labeled

      In the Number of categories between tick-mark labels box, type 1 to label every category, type 2 to label every other category, type 3 to label every third category, and so on.

    • Specify the number of categories you want between each pair of tick marks on the category (x) axis

      Type a number in the Number of categories between tick marks box.

    Note When you have more than one line of category axis labels, you cannot change the number of categories between tick mark labels or the number of categories between tick marks.

Change where the value (y) axis crosses the category (x) axis

  1. Click the category axis you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. Do one of the following:

    Specify the category number where you want the value (y) axis to cross the category (x) axis

    • Type the number in the Value (Y) axis crosses at category number box.
    • Select the Value (Y) axis crosses between categories box to have the value (y) axis cross the category (x) axis at the edge of the category indicated in the Value (Y) axis crosses at category number box.

      If this box is selected, data points are plotted between tick marks; if this box is cleared, points are plotted at the tick-mark positions.

    • To have the edges of an area chart meet the edges of the plot area, clear the Value (Y) axis crosses between categories box.

    Specify that the value (y) axis cross the category (x) axis after the last category on the x-axis

    Select the Value (Y) axis crosses at maximum category box. This option overrides the Value (Y) axis crosses at category number value.

Note When you have more than one line of category axis labels or when you are working with a 3-D chart, you cannot change where the value (y) axis crosses between categories.

Change the alignment and spacing of multiple-level category labels

Example of multiple-level category labels

When you have multiple-level category labels in your chart, you can change the alignment of all but the first level of labels. You can also change the amount of space between each level of labels.

  1. Click the category axis you want to change.
  2. On the Format menu, click Selected Axis, and then click the Alignment tab.
  3. To change the label alignment, click the position you want in the Alignment box.

    To change the spacing between the levels, select a value in the Offset box. The higher the value, the more space between each level.

Change chart category axis labels

On the worksheet
  1. Click the cell that contains the label name you want to change.
  2. Type the new name, and then press ENTER.
On the chart
  1. Click the chart, and then click Source Data on the Chart menu.
  2. In the Category axis labels box on the Series tab, specify the worksheet range you want to use as category axis labels. You can also type the labels you want to use, separated by commas, for example:

    Division A, Division B, Division C

    If you type the label text in the Category axis labels box, the category axis text is no longer linked to a worksheet cell.


Change a chart category axis

Change the number of categories between labels or tick marks on the category axis

Category axis where every other category is labeled

  1. Click the category axis with the labels and tick marks you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. Do one or both of the following:
    • Specify the frequency at which you want categories on the category (x) axis to be labeled

      In the Number of categories between tick-mark labels box, type 1 to label every category, type 2 to label every other category, type 3 to label every third category, and so on.

    • Specify the number of categories you want between each pair of tick marks on the category (x) axis

      Type a number in the Number of categories between tick marks box.

    Note When you have more than one line of category axis labels, you cannot change the number of categories between tick mark labels or the number of categories between tick marks.

Change where the value (y) axis crosses the category (x) axis

  1. Click the category axis you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. Do one of the following:

    Specify the category number where you want the value (y) axis to cross the category (x) axis

    • Type the number in the Value (Y) axis crosses at category number box.
    • Select the Value (Y) axis crosses between categories box to have the value (y) axis cross the category (x) axis at the edge of the category indicated in the Value (Y) axis crosses at category number box.

      If this box is selected, data points are plotted between tick marks; if this box is cleared, points are plotted at the tick-mark positions.

    • To have the edges of an area chart meet the edges of the plot area, clear the Value (Y) axis crosses between categories box.

    Specify that the value (y) axis cross the category (x) axis after the last category on the x-axis

    Select the Value (Y) axis crosses at maximum category box. This option overrides the Value (Y) axis crosses at category number value.

Note When you have more than one line of category axis labels or when you are working with a 3-D chart, you cannot change where the value (y) axis crosses between categories.

Change the alignment and spacing of multiple-level category labels

Example of multiple-level category labels

When you have multiple-level category labels in your chart, you can change the alignment of all but the first level of labels. You can also change the amount of space between each level of labels.

  1. Click the category axis you want to change.
  2. On the Format menu, click Selected Axis, and then click the Alignment tab.
  3. To change the label alignment, click the position you want in the Alignment box.

    To change the spacing between the levels, select a value in the Offset box. The higher the value, the more space between each level.

Change chart category axis labels

On the worksheet
  1. Click the cell that contains the label name you want to change.
  2. Type the new name, and then press ENTER.
On the chart
  1. Click the chart, and then click Source Data on the Chart menu.
  2. In the Category axis labels box on the Series tab, specify the worksheet range you want to use as category axis labels. You can also type the labels you want to use, separated by commas, for example:

    Division A, Division B, Division C

    If you type the label text in the Category axis labels box, the category axis text is no longer linked to a worksheet cell.


Change smart tag options

Turn on or off smart tags

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. Select or clear the Label data with smart tags check box.

Change the smart tags indicator

You can show the Smart Tag Actions button only, or the button and the purple triangle.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. In the Show smart tags as list, choose Button Only or Indicator and Button.

Check a workbook for new smart tags

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. Select the Label data with smart tags check box.
  3. Click Check Workbook to find all smart tags in the workbook.

Hide smart tags

You can hide the smart tags from view in a workbook.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. In the Show smart tags as list, click None.

Save or discard smart tags

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. Do one of the following:
    • To save all smart tags, select the Embed smart tags in this workbook check box.
    • To discard all smart tags, clear the Label data with smart tags check box and clear the Embed smart tags in this workbook check box.
  3. Close and reopen the workbook.


Change speech playback settings

  1. On the Microsoft Windows Start menu, point to Settings, and click Control Panel.
  2. Click Speech, and click the Text To Speech tab.
  3. Do one or more of the following:
    • Select a voice from the Voice selection box. You can click Preview Voice to hear the voice speak.
    • To change the rate at which the speech playback voice speaks, use the slider under Voice speed. You can click Audio Output to listen to the speed you've chosen.

      Note You must close and reopen Microsoft Excel for the voice speed option to take effect.

Note The available voices depend on your default language installation and any language packs you may have installed.


Change the separator for thousands and decimals

  1. On the Tools menu, click Options, and then click the International tab.
  2. Under Number Handling, clear the Use system separators check box.
  3. Type new separators in the Decimal separator and Thousands separator boxes.


Check for new smart tags and actions

Additional smart tags and actions may be developed by Microsoft or third-party companies.

You may also find smart tags and actions created by Information Technology (IT) professionals for the specific products or services you work with.

Check for new smart tags

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. Click More Smart Tags.

    A Web page listing smart tags and actions is displayed in your Web browser.


Save a workbook in another file format

Important If you save a Microsoft Excel workbook in a different file format, formats and features unique to Excel will not be retained.

  1. Open the workbook you want to save for use in another program.
  2. On the File menu, click Save As.
  3. In the File name box, type a new name for the workbook.
  4. In the Save as type list, click a file format that you know you can open in the other program.
  5. Click Save.


Change the view of a 3-D chart

Change the height and perspective in a 3-D chart

  1. Click the 3-D chart you want to change.
  2. On the Chart menu, click 3-D View.
  3. Select the options you want.

    When the Right angle axes check box is cleared, you can set the Perspective and Height options.

    When the Right angle axes check box is selected, you can either set the Height option or turn the Auto scaling option on.

    The Perspective option is not available for 3-D bar charts, for which the Right angle axes check box is always selected.

Change the rotation and elevation in a 3-D chart

Using the menus

  1. Click the 3-D chart you want to change.
  2. On the Chart menu, click 3-D View.
  3. Select the options you want.

Using the mouse

  1. Click the intersection of any two axes to select the corners of the chart.

  2. Drag a corner to adjust the elevation and rotation in the chart.

    To view the data markers, hold down CTRL while you drag.

Change the depth and width in a 3-D chart

You can change the chart depth in 3-D charts that have axes, the gap depth in 3-D perspective charts, and the gap width in 3-D bar or column charts.

  1. Click a data series in the 3-D chart you want to change.
  2. On the Format menu, click Selected Data Series, and then click the Options tab.
  3. Select the options you want.

Change the plot order of the data series so that large 3-D data markers do not block smaller ones

3D charts with series in different orders

  1. Click a data series in the chart you want to change.

    To change the plotting order of data series in a surface chart, click a legend key.

  2. On the Format menu, click Selected Data Series or Selected Legend Key, and then click the Series Order tab.
  3. In the Series order box, click the series you want to move.
  4. To place the series in the order you want, click Move Up or Move Down.


Add a legend to a chart

  1. Click the chart to which you want to add a legend.
  2. On the Chart menu, click Chart Options, and then click the Legend tab.
  3. Select the Show legend check box.
  4. Under Placement, click the option you want.

Note When you click one of the Placement options, the legend moves, and the plot area automatically adjusts to accommodate it. If you move and size the legend by using the mouse, the plot area does not automatically adjust. When you use the Placement options, the legend loses any custom sizing you may have already applied by using the mouse.


Add a chart title

  1. Click the chart to which you want to add a title.
  2. On the Chart menu, click Chart Options, and then click the Titles tab.
  3. Click in the Chart title box, and then type the text you want.

Tip

To insert a line break in a chart title, click the text on the chart, click where you want to insert the line break, and then press ENTER.


Add data labels to a chart

  1. To add data labels to a data series, click the data series.

    To add a data label to a single data point, click the data series that contains the data marker you want to label, and then click the data marker for the data point you want to label.

  2. On the Format menu, click Selected Data Series or Data Point.
  3. On the Data Labels tab, select the options you want.

Tip

You can quickly label all data points. Click the chart, click Chart Options on the Chart menu, and then select the options you want on the Data Labels tab.


Display or hide gridlines in a chart

  1. Click the chart to which you want to add gridlines.
  2. On the Chart menu, click Chart Options, and then click the Gridlines tab.
  3. Select or clear the check boxes for the gridlines you want to display or hide.


Add a text box to a chart

  1. Click the chart to which you want to add a text box.
  2. On the Drawing toolbar, click Text Box [image].
  3. Click where you want one corner of the text box, and then drag until the box is the size you want.
  4. Type the text you want in the box. The text will wrap inside the box.

    To start a new line inside the box, press ENTER.

  5. When you finish typing, press ESC or click outside of the text box.


Change the font used in a chart

  1. Click the chart text, or select the individual characters you want to format.

    If a chart title or text box is linked to a worksheet cell, you can change the formatting of all characters in the title or text box at the same time, but you cannot change individual characters.

    To change the formatting for all of the text in the chart at the same time, click the blank area between the border of the chart and the plot area to select the chart area.

  2. On the Formatting toolbar, click a button for the format you want.

    To see other font options, such as superscript and subscript, click the text you want to change. On the Format menu, click the command for the chart item you want to format — for example, Selected Axis Title or Selected Object. (The name of the command depends on the chart item selected.) Then select the options you want on the Font tab.


Delete data labels, titles, or legends in a chart

  1. Click the item you want to delete.
  2. Press DELETE.


Show, hide, or change the list of recently used workbooks on the File menu

  1. On the Tools menu, click Options, and then click the General tab.
  2. Select or clear the Recently used file list check box.

  3. If you want to change the number of files listed on the menu, select the number of entries.

Note Only files you open and save after you select the check box are listed on the File menu.


Edit a linked or embedded object

Edit a linked object in the source program

  1. On the Edit menu, click Links.
  2. In the Source file list, click the source for the linked object, and then click Open Source.
  3. Make the changes you want to the linked object.
  4. In the source program, click Exit on the File menu.

Edit an embedded object in the source program

  1. Double-click the embedded object to open it.
  2. Make the changes you want to the object.
  3. If you are editing the object in place in the open program, click anywhere outside the object to return to the destination file.

    If you edit the embedded object in the source program in a separate window, click Exit on the File menu to return to the destination file.

Note Double-clicking certain embedded objects, such as video and sound clips, plays the object instead of opening a program. To edit one of these embedded objects, click the object, point to object type Object on the Edit menu, and then click Edit.

Edit an embedded object in a program other than the source program

  1. Select the embedded object you want to edit.
  2. On the Edit menu, point to object name Object (for example, Document Object), and then click Convert.
  3. To convert the embedded object to the type you specify in the list, click Convert to.

    To open the embedded object as the type you specify in the list without changing the embedded object type, click Activate.


Change colors in a surface chart

To format the colors of the levels in a surface chart, you must format the legend key.

  1. If the chart doesn't have a legend, add one.

    How?

    1. Click the chart to which you want to add a legend.
    2. On the Chart menu, click Chart Options, and then click the Legend tab.
    3. Select the Show legend check box.
    4. Under Placement, click the option you want.

    Note When you click one of the Placement options, the legend moves, and the plot area automatically adjusts to accommodate it. If you move and size the legend by using the mouse, the plot area does not automatically adjust. When you use the Placement options, the legend loses any custom sizing you may have already applied by using the mouse.

  2. Click the legend once to select it, and then click the legend key that represents the surface level you want to change.
  3. On the Format menu, click Selected Legend Key, and then click the Patterns tab.
  4. Click the color you want, and then repeat for each level you want to format.

Note You can delete the legend when you're done changing colors, and the colors you specified will remain in the surface chart.


Send a workbook or worksheet in e-mail

  1. Open the workbook you want to send.
  2. Do one of the following:

    Send the entire workbook as an attachment

    1. On the File menu, point to Send To, and then click Mail Recipient (as Attachment).

    2. If you want, you can include an additional file.

    How?

    1. In the message, click Attach.

    2. Click a shortcut on the Places Bar or, in the Look in box, click the drive, folder, or Internet location that contains the file you want to include.

    3. Click the file you want to include, and then click Insert.

    4. Repeat steps for each additional file you want to include.

    Send a selection or a worksheet as a message

    1. If you want to send specific cells on a worksheet, select the cells you want to send.
    2. On the File menu, point to Send To, and then click Mail Recipient.
    3. If prompted whether to send the entire workbook or just the current sheet, click Send the current sheet as the message body.
  3. In the To and Cc boxes, enter recipient names, separated by semicolons.

  4. If you want to verify names you've typed against your address book, click Check Names [image].

  5. Type a subject in the Subject box.

  6. If you are sending Microsoft Excel data as a message, you can include explanatory text. Type your text in the Introduction box.

  7. If Microsoft Outlook is your mail program, you can customize the message.

    How?

    These options are available when you have an e-mail message open and you are using Microsoft Outlook.

    Importance and sensitivity level

    Change the importance level

    • To mark as very important, click Importance: High [image].
    • To mark as not important, click Importance: Low [image].

    Set a message flag

    Flagging a message adds a flag icon to it. You can use the flags to remind yourself to follow up on an issue or to indicate a request for someone else. You can also use flags to set a reminder for the message.

    1. Click Message Flag [image].
    2. In the Flag to box, click the flag you want, or type your own.
    3. Enter a date and time in the Due by boxes.

    Mark a message as private, personal, or confidential

    1. In the message, click Options [image].
    2. In the Sensitivity box, click the option you want.
    Note Marking a message Private prevents the message from being modified after you send it.

    Security level

    Add security to messages

    1. In the message, click Options [image].

    2. Under Security, click Security Settings.

    3. Set the desired options.

      For Help on an option, click the question mark question mark, and then click the option.

    Track messages and replies

    Receive notification when a message is read or delivered

    1. In the message, click Options [image].

    2. Under Voting and tracking options, select the Request a delivery receipt for this message or Request a read receipt for this message check box.

    Add voting buttons to an e-mail message

    This feature requires Microsoft Exchange.
    1. In the message, click Options [image].
    2. Select the Use voting buttons check box, and then click the voting button names you want to use in the box.

      To create your own voting button names, delete the default button names, and then type any text you want. Separate the button names with semicolons.

    3. Under Delivery options, select the Save sent message to check box. To select a folder other than the Sent Items folder, click Browse.

    Save a copy of this message to a folder other than Sent Items

    1. In the message, click Options [image].
    2. Under Delivery options, select the Save sent message to check box.

    3. Click Browse, and then click the folder you want.

    Assign a message to a category

    A category is a keyword or phrase that helps you keep track of items so you can easily find, sort, filter, or group them.

    1. In the message, click Options [image].
    2. Click Categories.
    3. In the Available categories list, select the check boxes next to the categories you want, and then click OK.

    Delivery options

    Make a message unavailable after a specified date

    1. In the message, click Options [image].
    2. Under Delivery options, select the Expires after check box, and then enter the expiration date you want.

    Delay delivery of the message

    1. In the message, click Options [image].
    2. Under Delivery options, select the Do not deliver before check box, and then enter the delivery date and time you want.
  8. Click Send, Send this Sheet, or Send this Selection [image].


Move Excel files between Windows and the Macintosh

Some of the content in this topic may not be applicable to some languages.

The Macintosh must be running system software version 7.5 or later and have PC Exchange installed. The Macintosh Excel version must correspond to the Microsoft Excel for Windows version. For example, to move files from Excel 2002 to the Macintosh, you must be running Microsoft Office 2001 Macintosh Edition.

  1. Save your Microsoft Windows-based Excel file to a floppy disk or network location.
  2. If you saved the file on a floppy disk, insert the floppy disk in the Macintosh floppy disk drive.
  3. In Excel on the Macintosh, click Open on the File menu.
  4. Locate and then double-click the file you want. Because Macintosh files do not have file name extensions, you should use *.* to search for Macintosh files.

Note If you have access to a network share that is connected both to personal computers running Windows and to Macintosh computers, you can place the files on the network and then open the files from either type of computer. You can also easily move files between Windows and the Macintosh if you have access to a Windows NT server that is set up with Services for the Macintosh. For more information, see your Windows NT documentation.


Add color to sheet tabs

color coded sheet tabs

  1. Select the sheets you want to color.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.
  2. On the Format menu, point to Sheet, and then click Tab Color. You can also right-click on the sheet tab and then click Tab Color.
  3. Click on the color you want and click OK.


Publishing with or without interactivity

Publishing without interactivity

If you want users to view the data you publish but not work with it in the browser, you can publish it as noninteractive data. You can open, edit and save noninteractive Web pages in Microsoft Excel, but you cannot make any changes to the data in the browser.

  • Be sure the Add interactivity with check box under Viewing options is cleared.

  • For a filtered list, Web page viewers can see only the data that was not filtered when you published the list. However, all data in the list is published to the Web page. Filtered (hidden) data can be viewed by viewing the HTML source code for the page.

  • You cannot publish an entire workbook without interactivity in the Publish dialog box. Instead, click Save As Web Page on the File menu, and instead of clicking Publish, select Entire Workbook in the Save as Web Page dialog box and make sure the Add interactivity box is cleared.

Publishing with interactivity

To enable people to work with the data on your Web page in a browser, you can make your data interactive. For example, you can publish an interactive spreadsheet that calculates loan information. A user who browses to the page can enter financial information such as loan amount and interest rate to calculate a monthly payment.

  • Select the Add interactivity with check box and select the type of interactivity you want from the list. The type of interactivity that's available depends on what you are publishing. For example:

    • For a worksheet that contains formulas, select Spreadsheet functionality so that users of your Web page can enter new values in a cell and the formulas will automatically calculate the results.

    • For a PivotTable report, select PivotTable functionality so that users of your Web page can change the layout of rows and columns to see different summaries of the source data.

    • For an external data range, select PivotTable functionality so that Web page viewers can update the data from its source.

    • For a filtered list, select Spreadsheet functionality.

    • For a chart or PivotChart report, select Chart functionality. If you try to publish all contents of a worksheet that contains a chart with interactive functionality, the chart is not included on the Web page. To put an interactive chart on a Web page, you must publish the chart separately.

    Notes

    • Browser users must have Microsoft Internet Explorer 4.1 or later and an appropriate Microsoft Office license to work with spreadsheets, charts, or PivotTable lists published interactively from Microsoft Excel.

    • You cannot open and modify interactive Web pages in Excel, so it's a good idea to save a copy of the original workbook from which you publish in case you want to make changes in Excel and republish.


Switch to full or normal screen view

On the View menu, click Full Screen.

Switch back to normal view

On the Full Screen toolbar, click Close Full Screen.

Note If you've hidden the Full Screen toolbar, you can restore the toolbars and hidden elements by clicking Full Screen on the View menu.


Specifying a title

When you publish a worksheet or an item on a worksheet, you can add a title that appears centered over the published selection and in the title bar of the browser.

  • Click Change next to Title under Publish as and then type the title in the Title box.

Note If you click Save as Web Page on the File menu and then use the Save as dialog box to save an entire workbook as a Web page, the title you specify appears only in the title bar of the Web browser.


Control the startup prompt for updating links

Don't ask whether to update links when I open any workbook, and update links automatically

This option is for the current user only, and affects every workbook opened. Other users of the workbook are not affected. This option also affects links to other programs.

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. Clear the Ask to update automatic links check box. If the box is cleared, the links are automatically updated, and no prompt is displayed.

Don't ask to update links for this workbook, and let me control whether links are updated

Warning This option affects all users of the workbook. If you choose to not update links, and not to prompt, users of the workbook will not know the data is out of date.

  1. On Edit menu, click Links.
  2. Click Startup Prompt.
  3. Select the option you want.

Note You will still be notified if there are any broken links.


Choosing items to publish

To select the worksheet or item that you want to publish, select one item from the Choose list. You can publish only one item at a time. To publish another item, select the new item and repeat the publishing procedure. The following list outlines what you can publish and how to publish it.

  • Entire workbooks Select Entire workbook. You can publish an entire workbook with interactivity in the Publish dialog box, but not without interactivity.
  • Entire worksheets Select Items on Sheetname, and then select All contents of Sheetname.
  • Items Select Items on Sheetname, and then select the item you want to publish, such as a PivotTable report or a chart. Items do not include ranges of cells.
  • Ranges of cells Select Range of cells and then, if the selection box does not contain the range you want, click the worksheet (the dialog box will collapse to a selection box), select a range of cells from the Microsoft Excel workbook, and then click Expand Dialog [image].
  • Charts Select Items on Sheetname, and then select Chart x.
  • Filtered lists Select Items on Sheetname, and then select the AutoFilter item you want to publish.
  • External data ranges Select Items on Sheetname, and then select the Query item you want to publish.
  • Republishing To republish a worksheet or item that you have already published, select Previously published items and then select the worksheet or item you want to republish. To prevent an item from being republished, select the item and click Remove. To continue publishing, click another item in the list.


Specifying where to publish

Specify a location

When you first create your Web page, it's a good idea to save the Web page on your local hard disk so that you can make any changes or corrections you need before you put the Web page on a public or shared location.

When you're satisfied that your Web page is ready to publish, specify a location such as an HTTP site, an FTP site, a Web folder, a Web server, or a network server. Be sure that the audience for your Web page has access to the location you save to.

  • To specify a location for your Web page, click Browse, select the location where you want to publish your data, and click OK. If you type in a location instead, make sure you include the path and file name in the File name box.

How Microsoft Excel data is organized after it's saved or published as a Web page

When you put Excel data on the Web, your main .htm file appears on the Internet or intranet location you specified and the supporting files, such as the .gif, .xml, and other .htm files, appear in a folder in the same location. The folder containing the supporting files has the same name as the Web page you saved. For example, if your file is named Page1.htm, Excel creates a subfolder named "Page1_ files." Excel also assigns names such as image001.jpg and image002.gif to the supporting files.

If you want to move your Web page to a different location, you can either republish the Excel data to the new location or move the .htm file and its supporting folder. You can also specify that the files not be saved in the supporting folder if you want to save the supporting files in the same folder as the Web page.


Troubleshoot opening files

I can't open a file.

The file may be damaged

The file you are trying to open may be damaged. Your Microsoft Office program may let you try to recover the text from the damaged file, or if recovery doesn't work, you can delete the damaged file and open a backup copy.

How?

  1. If the Microsoft Office program you are using is not responding, recover the program.

    How?

    1. On the Microsoft Windows Start menu, point to Programs, point to Microsoft Office Tools, and then click Microsoft Office Application Recovery.

    2. In the Application list, click the program or document that is not responding.

    3. Do one of the following:

      • To attempt to recover the files you were working on, click Recover Application or Restart Application.

      • If you just want to close the program, and lose recent changes to the files, click End Application.

    4. The error that caused the problem can be reported to Microsoft for use in improving future versions of the program. Click Report problem or Don't report problem.

  2. Open the Office program.

  3. Review the files listed in the Document Recovery task pane, and decide which to keep.

    How?

    • If a file has [Recovered] in the title it is usually a file that contains more recent changes than a file with [Original] in the title.

    • If you want to view what repairs were made to a file, point to the file in the Document Recovery task pane, click the arrow next to the file's name, and then click Show Repairs.

    • If you want to review the versions that were recovered, open all of the versions and save the best one.

  4. For each file you want to keep, point to the file in the Document Recovery task pane, click the arrow next to the file's name, and then do one of the following:

    • To work with the file, click Open.

    • To save the file, click Save As, and then enter a name for the file. By default, the file is saved in the same folder as the original file. If you use the same name as the original file, the original is overwritten. When you see a message asking whether you want to replace the existing file (with the changes you made up to the last time you saved the file), click Yes.

  5. When you have opened or saved all of the files you want to keep, click Close in the Document Recovery task pane.

The file name may be too long

The file name and the path name cannot exceed 223 characters. Do one of the following:

  • Shorten the file name.

  • Move the file to another folder that will shorten the path name.

Try to open the file again.

The disk the file is on may be too full

Try moving files to another disk to make more space available.

The Open dialog box doesn't list the file I'm looking for.

Check the file type

Make sure you have the correct file type selected in the Files of type box. You can also use *.* to show all files.

Conduct a search

In the Open dialog box, type the name of the file in the File name box, click Tools, and then click Search. Select criteria and then click Search.

Check the search criteria

  • When doing a search, make sure the entries in the Search dialog box are appropriate for the files you're searching for. To clear all current search criteria except the file location, and to reset to the default file type, click Restore.

  • Make sure you're looking on the correct drive and in the correct folder. If you don't know the folder name, you can search all folders and subfolders on the specified drive by selecting the appropriate drive in the Search in option.

Check the network connection

If you're looking for a file on the network and the network drive doesn't appear in the Open dialog box under Look in, do the following:

  1. Click Tools, and then click Map Network Drive.

  2. In the Drive box, click the drive letter you want to use to connect to the network.

  3. In the Folder box, enter the path where the file is located on the network.

    Tip

    You can also look for files on a network drive if your network supports the UNC. Just type the UNC path in the File name box in the Open dialog box — for example, type \\plans\documents.

Look in Network Places or Web Folders

If you're looking for files on a Web server:

  • In Microsoft Windows 2000 or Windows Millennium Edition: in the Open dialog box, click Network Places on the Places Bar to display folders on the Web server. Double-click the folders until you open the folder that contains the document you want.

  • In Windows 98 or Windows NT 4.0: in the Open dialog box, click Web Folders on the Place Bar to display folders on the Web server. Double-click the folders until you open the folder that contains the document you want.

You can also type the folder path in the File name box in the Open dialog box — for example, type http://myserver/public.

The password I typed to open a file doesn't work.

Make sure you enter the correct username and password and that the CAPS LOCK key is not on. If you still cannot access the network server, consult your network administrator.

The shortcut to my file doesn't work anymore.

The file may have been renamed or deleted.

The shortcut will not work if there has been any change to the target file's name or extension. Use the Microsoft Office Search feature to look for files that have similar names or that were created or modified on the same date as the file you are trying to open.

How?

  1. Click Open [image].

  2. Click Tools in the Open dialog box, and then click Search.

  3. Do one of the following:

    Search for a file containing specified text

    You can find a file containing text in its title, contents, or properties.

    1. On the Basic tab, in the Search text box, type the text to search for in Microsoft Office files, Web pages, and Microsoft Outlook items.

      Tip

      You can use wildcards in the Search text box. Type a question mark (?) to match any single character, or type an asterisk (*) to match any number of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started."

    2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere. To specify a single location, type it directly in the Search in box.

    3. To limit the types of search results, in the Results should be box, select the types of items to find. To find all types of files, Web pages, and Outlook items, select Anything.

    4. Click Search.

      Tip

      To view all properties of a found item, click the command button following the item, and then choose Properties.

    Search for a file based on one or more properties

    1. On the Advanced tab, enter one or more search criteria.

      How?

      1. In the Property box, choose a property from the list or type in a property name. The Property box displays the properties available in the currently open document.

        Tip

        You can use wildcards in the Property box. Type a question mark (?) to match any single character, or type an asterisk (*) to match any number of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started."

      2. In the Condition box, choose a condition from the list, or type in a condition.

      3. In the Value box, enter the value to associate with the condition.

      4. If previous search criteria exist, click And to add a criterion that must be true in addition to previous criteria. Click Or to add a criterion that is sufficient regardless of previous criteria.

      5. Click Add to add the search criterion.

        Note If the value is invalid for the condition or property, the Add button is unavailable.

    2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere. To specify a single drive, folder, or Web site, type it directly in the Search in box.

    3. To limit the types of search results, in the Results should be box, select the types of files, Web pages, and Outlook items to find. To find all types of files and items, select Anything.

    4. Click Search.

      Tip

      To view all properties of a found item, click the command button following the item, and then choose Properties.

The file may be temporarily unavailable.

  • If the file is located on a network server, consult your network administrator to find out if the server drive is unavailable.

  • If the file is located on removable media such as a floppy disk, make sure the media with the target file is properly inserted in the drive or device.

When I open a Web page in Excel, nothing appears.

If you use Microsoft Excel to open a Web page that was not created in Excel, but nothing appears, the Web page might contain a frames page. A single Web page can be divided into sections that each display separate Web pages; each of these sections is called a frame. The container that hosts the group of frames is called a frames page. Excel cannot open a Web page that contains a frames page.

If you know how to work with HTML source code, you can use an HTML editor to copy the information you want, without the frames page code, to a new file, and then open the new file in Excel.

My workbook opens with a read-only restriction.

One or both of the following may be true.

  • The creator of the workbook may have set a restriction so that the workbook can be opened only as read-only. Contact the creator of the workbook for more information.
  • If you try to use a version earlier than Microsoft Excel 97 to open a workbook from Excel 2000 or a later version of Excel, the workbook appears to be password-protected so that you can only open it as read-only. To open and save the workbook, use Excel 97 or later.

When I start Excel by using a shortcut or icon, the default working folder is not correct.

If you start Microsoft Excel by using a shortcut, the working folder you specified for the shortcut might not be used. (This is the location you specified by right-clicking the shortcut icon, clicking Properties on the shortcut menu, and filling in the location in the Start in box on the Shortcut tab.) If a folder is set in the Default file location box on the General tab in the Options dialog box (Tools menu), Excel uses this location as the working folder.


About formulas

Formulas are equations that perform calculations on values in your worksheet. A formula starts with an equal sign (=). For example, the following formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

A formula can also contain any or all of the following: functions, references, operators, and constants.

Parts of a formula

Parts of a formula

1 Functions: The PI() function returns the value of pi: 3.142...

2 References (or names): A2 returns the value in cell A2.

3 Constants: Numbers or text values entered directly into a formula, such as 2.

4 Operators: The ^ (caret) operator raises a number to a power, and the * (asterisk) operator multiplies.

About functions in formulas

Functions are predefined formulas that perform calculations by using specific values, called arguments, in a particular order, or structure. Functions can be used to perform simple or complex calculations. For example, the ROUND function rounds off a number in cell A10.

Structure of a function

Structure of a function

1 Structure. The structure of a function begins with an equal sign (=), followed by the function name, an opening parenthesis, the arguments for the function separated by commas, and a closing parenthesis.

2 Function name. For a list of available functions, click a cell and press SHIFT+F3.

3 Arguments. Arguments can be numbers, text, logical values such as TRUE or FALSE, arrays, error values such as #N/A, or cell references. The argument you designate must produce a valid value for that argument. Arguments can also be constants, formulas, or other functions.

4 Argument tooltip. A tooltip with the syntax and arguments appears as you type the function. For example, type =ROUND( and the tooltip appears. Tooltips only appear for built-in functions.

Entering formulas When you create a formula that contains a function, the Insert Function dialog box helps you enter worksheet functions. As you enter a function into the formula, the Insert Function dialog box displays the name of the function, each of its arguments, a description of the function and each argument, the current result of the function, and the current result of the entire formula.

Nested functions

In certain cases, you may need to use a function as one of the arguments of another function. For example, the following formula uses a nested AVERAGE function and compares the result with the value 50.

Valid returns When a nested function is used as an argument, it must return the same type of value that the argument uses. For example, if the argument returns a TRUE or FALSE value, then the nested function must return a TRUE or FALSE. If it doesn't, Microsoft Excel displays a #VALUE! error value.

Nesting level limits A formula can contain up to seven levels of nested functions. When Function B is used as an argument in Function A, Function B is a second-level function. For instance, the AVERAGE function and the SUM function are both second-level functions because they are arguments of the IF function. A function nested within the AVERAGE function would be a third-level function, and so on.

About references in formulas

A reference identifies a cell or a range of cells on a worksheet and tells Microsoft Excel where to look for the values or data you want to use in a formula. With references, you can use data contained in different parts of a worksheet in one formula or use the value from one cell in several formulas. You can also refer to cells on other sheets in the same workbook, and to other workbooks. References to cells in other workbooks are called links.

The A1 reference style

By default, Excel uses the A1 reference style, which refers to columns with letters (A through IV, for a total of 256 columns) and refers to rows with numbers (1 through 65536). These letters and numbers are called row and column headings. To refer to a cell, enter the column letter followed by the row number. For example, B2 refers to the cell at the intersection of column B and row 2.

To refer to | Use
The cell in column A and row 10 | A10
The range of cells in column A and rows 10 through 20 | A10:A20
The range of cells in row 15 and columns B through E | B15:E15
All cells in row 5 | 5:5
All cells in rows 5 through 10 | 5:10
All cells in column H | H:H
All cells in columns H through J | H:J
The range of cells in columns A through E and rows 10 through 20 | A10:E20

Reference to another worksheet In the following example, the AVERAGE worksheet function calculates the average value for the range B1:B10 on the worksheet named Marketing in the same workbook.

Link to another worksheet in the same workbook

Link to another worksheet in the same workbook

Note that the name of the worksheet and an exclamation point (!) precede the range reference.

The difference between relative and absolute references

Relative references A relative cell reference in a formula, such as A1, is based on the relative position of the cell that contains the formula and the cell the reference refers to. If the position of the cell that contains the formula changes, the reference is changed. If you copy the formula across rows or down columns, the reference automatically adjusts. By default, new formulas use relative references. For example, if you copy a relative reference in cell B2 to cell B3, it automatically adjusts from =A1 to =A2.

Copied formula with relative reference

Copied formula with relative reference

Absolute references An absolute cell reference in a formula, such as $A$1, always refer to a cell in a specific location. If the position of the cell that contains the formula changes, the absolute reference remains the same. If you copy the formula across rows or down columns, the absolute reference does not adjust. By default, new formulas use relative references, and you need to switch them to absolute references. For example, if you copy a absolute reference in cell B2 to cell B3, it stays the same in both cells =$A$1.

Copied formula with absolute reference

Copied formula with absolute reference

Mixed references A mixed reference has either an absolute column and relative row, or absolute row and relative column. An absolute column reference takes the form $A1, $B1, and so on. An absolute row reference takes the form A$1, B$1, and so on. If the position of the cell that contains the formula changes, the relative reference is changed, and the absolute reference does not change. If you copy the formula across rows or down columns, the relative reference automatically adjusts, and the absolute reference does not adjust. For example, if you copy a mixed reference from cell A2 to B3, it adjusts from =A$1 to =B$1.

Copied formula with mixed reference

Copied formula with mixed reference

The 3-D reference style

If you want to analyze data in the same cell or range of cells on multiple worksheets within the workbook, use a 3-D reference. A 3-D reference includes the cell or range reference, preceded by a range of worksheet names. Excel uses any worksheets stored between the starting and ending names of the reference. For example, =SUM(Sheet2:Sheet13!B5) adds all the values contained in cell B5 on all the worksheets between and including Sheet 2 and Sheet 13.

  • You can use 3-D references to refer to cells on other sheets, to define names, and to create formulas by using the following functions: SUM, AVERAGE, AVERAGEA, COUNT, COUNTA, MAX, MAXA, MIN, MINA, PRODUCT, STDEV, STDEVA, STDEVP, STDEVPA, VAR, VARA, VARP, and VARPA.
  • 3-D references cannot be used in array formulas.
  • 3-D references cannot be used with the intersection operator (a single space) or in formulas that use implicit intersection.

How 3-D references change when you move, copy, insert, or delete worksheets

The following examples explain what happens when you move, copy, insert, or delete worksheets that are included in a 3-D reference. The examples use the formula =SUM(Sheet2:Sheet6!A2:A5) to add cells A2 through A5 on worksheets 2 through 6.

Insert or copy If you insert or copy sheets between Sheet2 and Sheet6 (the endpoints in this example), Microsoft Excel includes all values in cells A2 through A5 from the added sheets in the calculations.

Delete If you delete sheets between Sheet2 and Sheet6, Excel removes their values from the calculation.

Move If you move sheets from between Sheet2 and Sheet6 to a location outside the referenced sheet range, Excel removes their values from the calculation.

Move an endpoint If you move Sheet2 or Sheet6 to another location in the same workbook, Excel adjusts the calculation to accommodate the new range of sheets between them.

Delete an endpoint If you delete Sheet2 or Sheet6, Excel adjusts the calculation to accommodate the range of sheets between them.

The R1C1 reference style

You can also use a reference style where both the rows and the columns on the worksheet are numbered. The R1C1 reference style is useful for computing row and column positions in macros. In the R1C1 style, Excel indicates the location of a cell with an "R" followed by a row number and a "C" followed by a column number.

Reference | Meaning
R[-2]C | A relative reference to the cell two rows up and in the same column
R[2]C[2] | A relative reference to the cell two rows down and two columns to the right
R2C2 | An absolute reference to the cell in the second row and in the second column
R[-1] | A relative reference to the entire row above the active cell
R | An absolute reference to the current row

When you record a macro, Excel records some commands by using the R1C1 reference style. For example, if you record a command such as clicking the AutoSum button to insert a formula that adds a range of cells, Excel records the formula by using R1C1 style, not A1 style, references.

To turn R1C1 reference style on or off

  1. Click Options on the Tools menu, and then click the General tab.

  2. Under Settings, select or clear the R1C1 reference style check box.

About names in formulas

You can use the labels of columns and rows on a worksheet to refer to the cells within those columns and rows. Or you can create descriptive names to represent cells, ranges of cells, formulas, or constant values. Labels can be used in formulas that refer to data on the same worksheet; if you want to represent a range on another worksheet, use a name.

Using defined names to represent cells, constants, or formulas

A defined name in a formula can make it easier to understand the purpose of the formula. For example, the formula =SUM(FirstQuarterSales) might be easier to identify than =SUM(C20:C30).

Names are available to any sheet. For example, if the name ProjectedSales refers to the range A20:A30 on the first worksheet in a workbook, you can use the name ProjectedSales on any other sheet in the same workbook to refer to range A20:A30 on the first worksheet.

Names can also be used to represent formulas or values that do not change (constants). For example, you can use the name SalesTax to represent the sales tax amount (such as 6.2 percent) applied to sales transactions.

You can also link to a defined name in another workbook, or define a name that refers to cells in another workbook. For example, the formula =SUM(Sales.xls!ProjectedSales) refers to the named range ProjectedSales in the workbook named Sales.

Note By default, names use absolute cell references.

Guidelines for names

What characters are allowed? The first character of a name must be a letter or an underscore character. Remaining characters in the name can be letters, numbers, periods, and underscore characters.

Can names be cell references? Names cannot be the same as a cell reference, such as Z$100 or R1C1.

Can more than one word be used? Yes, but spaces are not allowed. Underscore characters and periods may be used as word separators — for example, Sales_Tax or First.Quarter.

How many characters can be used? A name can contain up to 255 characters.

Note If a name defined for a range contains more than 253 characters, you cannot select it from the Name box.

Are names case sensitive? Names can contain uppercase and lowercase letters. Microsoft Excel does not distinguish between uppercase and lowercase characters in names. For example, if you have created the name Sales and then create another name called SALES in the same workbook, the second name will replace the first one.

Using existing row and column labels as names

When you create a formula that refers to data in a worksheet, you can use the column and row labels in the worksheet to refer to the data. For example, to calculate the total value for the Product column, use the formula =SUM(Product).

Using a label

Using a label

Or if you need to refer to the Product 3 amount for the East division (that is, the value 110.00), you can use the formula =Product 3 East. The space in the formula between "Product 3" and "East" is the intersection operator. This operator designates that Microsoft Excel should find and return the value in the cell at the intersection of the row labeled East and the column labeled Product 3.

Note By default, Excel does not recognize labels in formulas. To use labels in formulas, click Options on the Tools menu, and then click the Calculation tab. Under Workbook options, select the Accept labels in formulas check box.

Stacked labels When you use labels for the columns and rows on your worksheet, you can use those labels to create formulas that refer to data on the worksheet. If your worksheet contains stacked column labels — in which a label in one cell is followed by one or more labels below it — you can use the stacked labels in formulas to refer to data on the worksheet. For example, if the label West is in cell E5 and the label Projected is in cell E6, the formula =SUM(West Projected) returns the total value for the West Projected column.

The order for stacked labels When you refer to information by using stacked labels, you refer to the information in the order in which the labels appear, from top to bottom. If the label West is in cell F5 and the label Actual is in cell F6, you can refer to the actual figures for West by using West Actual in a formula. For example, to calculate the average of the actual figures for West, use the formula =AVERAGE(West Actual).

Using dates as labels When you label a range by using the Label Ranges dialog box and the range contains a year or date as a label, Excel defines the date as a label by placing single quotation marks around the label when you type the label in a formula. For example, suppose your worksheet contains the labels 2007 and 2008 and you have specified these labels by using the Label Ranges dialog box. When you type the formula =SUM(2008), Excel automatically updates the formula to =SUM('2008').

About calculation operators in formulas

Operators specify the type of calculation that you want to perform on the elements of a formula. Microsoft Excel includes four different types of calculation operators: arithmetic, comparison, text, and reference.

Types of operators

Arithmetic operators To perform basic mathematical operations such as addition, subtraction, or multiplication; combine numbers; and produce numeric results, use the following arithmetic operators.

Arithmetic operator | Meaning (Example)
+ (plus sign) | Addition (3+3)
– (minus sign) | Subtraction (3–1) Negation (–1)
* (asterisk) | Multiplication (3*3)
/ (forward slash) | Division (3/3)
% (percent sign) | Percent (20%)
^ (caret) | Exponentiation (3^2)

Comparison operators You can compare two values with the following operators. When two values are compared by using these operators, the result is a logical value either TRUE or FALSE.

Comparison operator | Meaning (Example)
= (equal sign) | Equal to (A1=B1)
> (greater than sign) | Greater than (A1>B1)
< (less than sign) | Less than (A1<B1)
>= (greater than or equal to sign) | Greater than or equal to (A1>=B1)
<= (less than or equal to sign) | Less than or equal to (A1<=B1)
<> (not equal to sign) | Not equal to (A1<>B1)

Text concatenation operator Use the ampersand (&) to join, or concatenate, one or more text strings to produce a single piece of text.

Text operator | Meaning (Example)
& (ampersand) | Connects, or concatenates, two values to produce one continuous text value ("North"&"wind")

Reference operators Combine ranges of cells for calculations with the following operators.

Reference operator | Meaning (Example)
: (colon) | Range operator, which produces one reference to all the cells between two references, including the two references (B5:B15)
, (comma) | Union operator, which combines multiple references into one reference (SUM(B5:B15,D5:D15))
(space) | Intersection operator, which produces on reference to cells common to the two references (B7:D7 C6:C8)

The order in which Excel performs operations in formulas

Formulas calculate values in a specific order. A formula in Excel always begins with an equal sign (=). The equal sign tells Excel that the succeeding characters constitute a formula. Following the equal sign are the elements to be calculated (the operands), which are separated by calculation operators. Excel calculates the formula from left to right, according to a specific order for each operator in the formula.

Operator precedence

If you combine several operators in a single formula, Excel performs the operations in the order shown in the following table. If a formula contains operators with the same precedence — for example, if a formula contains both a multiplication and division operator — Excel evaluates the operators from left to right.

Operator | Description
: (colon) (single space) , (comma) | Reference operators
– | Negation (as in –1)
% | Percent
^ | Exponentiation
* and / | Multiplication and division
+ and – | Addition and subtraction
& | Connects two strings of text (concatenation)
= < > <= >= <> | Comparison

Use of parentheses

To change the order of evaluation, enclose in parentheses the part of the formula to be calculated first. For example, the following formula produces 11 because Excel calculates multiplication before addition. The formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

In contrast, if you use parentheses to change the syntax, Excel adds 5 and 2 together and then multiplies the result by 3 to produce 21.

=(5+2)*3

In the example below, the parentheses around the first part of the formula force Excel to calculate B4+25 first and then divide the result by the sum of the values in cells D5, E5, and F5.

=(B4+25)/SUM(D5:F5)

About constants in formulas

A constant is a value that is not calculated. For example, the date 10/9/2008, the number 210, and the text "Quarterly Earnings" are all constants. An expression, or a value resulting from an expression, is not a constant. If you use constant values in the formula instead of references to the cells (for example, =30+70+110), the result changes only if you modify the formula yourself.


Filter for unique records

  1. Select the column or click a cell in the list you want to filter.
  2. On the Data menu, point to Filter, and then click Advanced Filter.
  3. Do one of the following.
    • To filter the list in place, similar to using AutoFilter, click Filter the list, in-place.
    • To copy the results of the filter to another location, click Copy to another location. Then, in the Copy To box, enter a cell reference.

      To select a cell, click Collapse Dialog [image] to temporarily hide the dialog box. Select the cell on the worksheet, and then press Expand Dialog [image].

  4. Select the Unique records only check box.


Format cells using a different locale

The formats for Date, Time, and Special can be set to conform to different locales.

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category box, click either Date, Time, or Special.
  4. In the Locale (location) box, select a locale to see sample formats for that locale in the Type box.
  5. Select the desired number format from the Type box.
  6. Click OK.


Format text by using speech recognition

This feature is available in the Simplified Chinese, English (US), and Japanese language versions of Microsoft Office.

  1. On the Language bar, click Microphone [image] if the microphone is not already turned on.
  2. On the Language bar, click Voice Command [image].
  3. Select the text you want to format.
  4. Say the command you want.
  5. For example, say "Bold," or "Underline."


Format numbers in a chart like numbers on the worksheet

  1. Do one of the following:
    • To format labels along an axis, double-click the appropriate axis.

    • To format data labels or a trendline label, double-click the item.

  2. On the Number tab, select the Linked to source check box.


Macro Error

There is an error in the macro you were running. The specified method can't be used on the specified object for one of the following reasons:

  • An argument contains a value that is not valid. A common cause of this problem is trying to gain access to an object that does not exist; for example, Workbooks(5)when only three workbooks are open.
  • The method can't be used in the applied context. Specifically, some Range object methods require that the range contain data. If the range does not contain data, the method fails.
  • An external error occurred, such as a failure to read or write from a file.
  • A method or property can't be used because of security settings. For example, the properties and methods of the VBE object for manipulating the Microsoft Visual Basic for Applications (VBA) code stored in an Microsoft Office document are inaccessible by default.

    To turn on trusted access to Visual Basic Projects:

    1. On the Tools menu, point to Macro, and then click Security.
    2. On the Trusted Sources tab, select the Trust access to Visual Basic Project check box.

For more information about how to use the method, search for the method name in Visual Basic Help.


Insert a file name in a header or footer

  1. On the View menu, click Header and Footer.
  2. Click Custom Header or Custom Footer.
  3. Click in the Left section, Center section, or Right section box.
  4. On the row of buttons in the Header or Footer dialog box, click File Name [image] .
  5. If you want, do one or more of the following:
    • To insert a path and file name or a worksheet tab, click Path & File [image] or Sheet Name [image] on the row of buttons in the Header or Footer dialog box.

    • To start a new line, press ENTER.

    • To delete a file name from a header or footer, select &[File] and then press DELETE.

Note Make sure the header or footer margin allows enough space for the custom header or footer.


Insert a graphic in a header or footer

  1. On the View menu, click Header and Footer.
  2. Click Custom Header or Custom Footer.
  3. Click in the Left section, Center section, or Right section box.
  4. On the row of buttons in the Header or Footer dialog box, click Insert Picture [image] and then find the graphic you want to insert.
  5. Double-click the graphic to insert it in the header or footer section box.
  6. If you want, do one or more of the following:
    • To make changes to the graphic, click Format Picture [image] on the row of buttons in the Header or Footer dialog box.
    • To replace a graphic, select &[Picture], click Insert Picture [image], and then click Replace.

    • To start a new line in one of the section boxes, press ENTER.

    • To delete a graphic, select &[Picture] and then press DELETE.

Notes

  • Changes to the graphic or graphic format take place immediately and can't be undone.

  • Make sure the header or footer margin allows enough space for the custom header or footer.


Insert a picture from a file

  1. Click the worksheet where you want to insert the picture.
  2. On the Drawing toolbar, click Insert Picture From File [image].
  3. In the Insert Picture dialog box, locate the folder that contains the picture that you want to insert, and then click the picture file.
  4. Click Insert to embed the picture in the worksheet.


Get a stock quote

  1. Make sure smart tags are turned on.

    How?

    1. Click AutoCorrect options on the Tools menu.
    2. Click the Smart Tags tab, and select the Label data with smart tags check box.
  2. Type a recognized U.S. financial symbol (for example, MSFT) in a cell. Type the symbol in capital letters.
  3. Click outside of the cell.
  4. Move your mouse cursor over the purple triangle in the lower-right of the cell, and then click the arrow next to Smart Tag Actions [image] to see a list of options.
  5. Click Insert refreshable stock price.
  6. In the Insert Stock Price dialog box, choose whether to insert the stock price on a new worksheet or in a specific area of your current worksheet.

    The data that is returned may fill a large portion of your worksheet.

Note You can also use an add-in to insert a function that retrieves stock quotes and stock data. For more information, see the Microsoft Office Web site. The hyperlink in this topic goes to the Web. You can switch back to Help at any time.


Insert date and time in a header or footer

  1. On the View menu, click Header and Footer.
  2. Click Custom Header or Custom Footer.
  3. Click in the Left section, Center section, or Right section box.
  4. On the row of buttons in the Header or Footer dialog box, click Date [image] or Time [image] .
  5. If you want, do one or more of the following:

    • To start a new line, press ENTER.

    • To delete a date or time from a header or footer, select &[Date] or &[Time] and then press DELETE.

Note Make sure the header or footer margin allows enough space for the custom header or footer.


Convert Hangul and Hanja

You can convert Hangul to Hanja and vice versa. For example, convert the Hangul word " [image] [image] " to the Hanja word " [image] [image] ". You can also set conversion options.

Convert text from Hangul to Hanja or vice versa

  1. Type the text you want to convert, and then select it.
  2. Click the Language icon [image] on the taskbar, and click Show the Language Bar. On the language bar, select Korean. Click the Hanja icon.
  3. In the Hanja Suggestions or Hangul Suggestions box, select the appropriate converted text.
  4. Do one of the following:

    • To convert the selected word in the Suggesting For box to the word in the Hanja Suggestions or Hangul Suggestions box, click Change.

    • To skip converting the selected word, click Ignore. If you don't want to convert the word in the rest of the document, click Ignore All.

Set Hangul/Hanja conversion options

  1. Select the sentence containing Hangul or Hanja.
  2. Click the Language icon [image] on the taskbar, and click Show the Language Bar. On the language bar, select Korean. Click the Hanja icon.
  3. Click More, click Options, and then select the options you want.

    • With Ignore Hangul ending selected, the ending will not be converted.

    • With Display Recently Used Items selected, the most recently used word will be displayed at the top of the Suggestions list.

    • You can also set the conversion type and display type.


About the Correct Keyboard Setting feature

Correct Keyboard Setting is a feature that automatically corrects words that are entered in English mode but were meant to be entered in Hangul mode, and vice versa. For example, if you enter eogksalsrnr in English mode, it is corrected to tae han min kuk; and if you enter yo u ya p d gya nya syo in Hangul mode, it is corrected to university. Also, IME mode is changed automatically.

Correct Keyboard Setting also automatically corrects English words that have a Hangul ending and are entered in English mode. For example, if you enter optiondmf in English mode, it is automatically corrected to option ul.

Correct Keyboard Setting works even when Hangul and English are mixed. For example, if you enter rntjddnjs ppyo mi ya syo, it is automatically corrected to ku song won quality.


Create a new workbook

Do one of the following:

Create a new, blank workbook

On the File menu, click New, and then click Blank Workbook on the New Workbook task pane.

Create a new workbook based on the default workbook template

Click New [image] on the Standard toolbar.

Note The default workbook template is usually located at C:\Program Files\Microsoft Office\Office10\XLStart.

Create a workbook based on another template

  1. On the File menu, click New, and then click General Templates on the New Workbook task pane.

  2. Click the Spreadsheet Solutions tab or the tab listing your custom templates, and then double-click the template for the type of workbook you want to create.

Note If you don't see the template you want in the New dialog box, make sure the template is installed and located in the correct folder.


Change the way a linked or embedded object is displayed

You can display a linked object or embedded object in a workbook exactly as it appears in the source program or as an icon. If the workbook will be viewed online, and you don't intend to print the workbook, you can display the object as an icon. This minimizes the amount of display space it occupies. Viewers who want to display the information can double-click the icon.

  1. Click the icon for the linked or embedded object you want to display.
  2. On the Edit menu, point to object type Object (for example, Document Object), and then click Convert.
  3. To display the content of the object, clear the Display as icon check box.

    To display an icon of the object, select the Display as icon check box. To change the default icon image or label, click Change Icon, and click the icon you want from the Icon list, or type a label in the Caption box.


Create custom file properties

Create custom file properties for the active workbook

  1. On the File menu, click Properties.
  2. Click the Custom tab.
  3. In the Name box, type a name for the custom property, or select a name from the list.
  4. In the Type box, click the data type for the property you want to add.
  5. In the Value box, type a value for the property. The value you enter must match the selection in the Type box. For example, if you click Number in the Type box, you must type a number in the Value box. Values that don't match the property type are stored as text.
  6. Click Add.

Create custom file properties linked to content in the active workbook

  1. You must name the cell or range that you want to link the property to. Otherwise, the Link to content check box is unavailable.

    How?

    1. Select the cell, range of cells, or nonadjacent selections that you want to name.
    2. Click the Name box at the left end of the formula bar Formula bar.

      1 Name box

    3. Type the name for the cells.
    4. Press ENTER.

    Note You cannot name a cell while you are changing the contents of the cell.

  2. On the File menu, click Properties.
  3. Click the Custom tab.
  4. In the Name box, type a name for the custom property.
  5. Select the Link to content check box.
  6. In the Source box, click the defined content you want to link to, and then click Add.

Note When a link is broken - for example, when a cell or range name is removed from your workbook - the file property stores the data last saved in the cell or range.


Fax a workbook

To do this procedure, you must have installed and set up fax software and hardware.

  1. Open the workbook you want to fax.
  2. On the File menu, click Print.
  3. In the Name box, click the fax driver.
  4. Select the other options you want, and then click OK.


Create an Outlook task for a workbook

These steps allow you to create a task for yourself. If you want to e-mail a task to someone else, use Microsoft Outlook rather than Microsoft Excel. For more information, see Outlook Help.

  1. Open the workbook for which you want to add the task.

  2. On the Reviewing toolbar, click Create Microsoft Outlook Task [image] .

  3. On the Task tab, enter the subject, dates, status, priority, and reminder for the task.

    For more information about task options, see Outlook Help.

  4. Click Save and Close [image] .

Note Once you create the task, you can open it in Outlook. For more information, see Outlook Help.


Display the Properties dialog box when saving workbooks

  1. On the Tools menu, click Options, and then click the General tab.
  2. Select the Prompt for workbook properties check box.


Copy Access data into Excel

Decide whether you want to analyze an entire table or query or all of the data behind a form or report, or copy only selected records.

Do one of the following:

Copy an entire set of data to Microsoft Excel

  1. In the Database window in Microsoft Access, click the table, query, form, or report you want to use in Excel.
  2. On the Tools menu, point to Office Links, and then click Analyze It With MS Excel.

    Access saves the contents of the table, query, form, or report as a Excel workbook (.xls) file and opens the file in Excel. The file is saved with the name of the table, query, or other database object in the current working folder.

Note If you have a main form with one or more subforms or a main report with one or more subreports, Access saves only the data in the main form or report to the workbook.

Copy selected records to Excel

  1. In Microsoft Access, open the table, query, or form that contains the records you want to copy.
  2. On the View menu, click Datasheet View.

  3. Select the records you want to copy.

    If you want to select specific columns, drag across adjacent column headings.

  4. Click Copy [image].
  5. Switch to Excel.
  6. Click in the upper-left corner of the worksheet area where you want the first field name to appear.

    To ensure that the copied records do not replace existing records, make sure that the worksheet has no date below or to the right of the cell you click.

  7. Click Paste [image].
  8. You may need to adjust the row height of data you paste onto your worksheet. Do one of the following:

    • Select the rows, click Cells on the Format menu, click the Alignment tab, and then clear the Wrap text check box.
    • On the Format menu point to Row, and click AutoFit.


Import Excel data to an Access database

  1. Make sure the Microsoft Excel data is in list format: each column has a label in the first row and contains similar facts, and there are no blank rows or columns within the list.
  2. Close the Excel workbook that contains the data you want to use in Microsoft Access.
  3. In Access, open the database where you want to copy the Excel data.
  4. On the Access File menu, point to Get External Data, and then click Import.
  5. In the Import dialog box, click Microsoft Excel in the Files of type box.
  6. In the Look in list, locate the file you want to import, and then double-click the file.
  7. Follow the directions in the Import Spreadsheet Wizard.

    For more information about this wizard and Access, click Display Help after the wizard is finished.


Change the default working folder

This procedure sets the default folder for opening and saving Microsoft Excel files.

  1. On the Tools menu, click Options, and then click the General tab.
  2. In the Default file location box, type the path for the folder you want to display as the default working folder.

    For example, type c:\work.


Set the base address for the hyperlinks in a workbook

By default, unspecified paths to hyperlink destination files are relative to the location of the active workbook. Use this procedure when you want to set a different default path. Each time you create a hyperlink to a file in that location, you'll only have to specify the file name, not the path, in the Insert Hyperlink dialog box.

  1. On the File menu, click Properties.
  2. Click the Summary tab.
  3. In the Hyperlink base box, type the path you want to use.

Note You can override the hyperlink base address by using the full, or absolute, address for the hyperlink in the Insert Hyperlink dialog box.


About global text direction

Global text direction defines the starting alignment, reading order, and keyboard language in edit fields. However, you can change these properties by using key combinations or other methods, such as the Formatting toolbar. Changing the paragraph direction in any edit field affects that field only; no other edit field in the item is affected.

Global text direction also affects:

  • Reading order of text displayed in the columns of all of its Table views.
  • Laying out plain text information in an item's body or content area. Because plain text does not carry a paragraph direction property in it, a message received from a plain text mail client — or item heading information pasted in the body of the item when replying or forwarding — will have a layout that depends on the global text direction.


Change global text direction settings

  1. On the Tools menu, click Options, and then click the International tab.
  2. Choose one of the following:

    • Click Right-to-Left to set edit field starting alignment to right, reading order to right-to-left, and keyboard language to the currently enabled right-to-left language.

    • Click Left-to-Right to set edit field starting alignment to left, reading order to left-to-right, and keyboard language to the currently enabled left-to-right language.

Note When you change the global text direction setting, it will affect the edit fields of items that you open after you change the setting; it will not affect the text direction of the edit fields of items that are already open.


Play back worksheet data

You must have speakers installed to perform this procedure.

Play back a group of cells

  1. On the Tools menu, point to Speech, and then click Show Text To Speech Toolbar.
  2. Select a group of cells to read back.
  3. Choose how the computer will read back your data by clicking By Rows [image] or By Columns [image] on the Text To Speech toolbar.
  4. Click Speak Cells [image] if you want the computer to read back each cell in your selection.
  5. To correct an error, click Stop Speaking [image], and use your mouse and keyboard to make the necessary changes.
  6. Click Speak Cells [image] to continue having the computer read back your selection.

Tip

You can select a specific range of cells for the computer to read back to you, or you can click Speak Cells [image] without selecting any cells and Microsoft Excel will automatically expand the selection to include neighboring cells if there are no empty cells in the range.

Play back after every cell entry

  1. On the Tools menu, point to Speech, and then click Show Text To Speech Toolbar.
  2. On the Text to Speech toolbar, click Speak On Enter [image].
  3. Enter data in a cell. After you press Enter, the computer will read back the data in the cell.

Note If you hide the Text To Speech toolbar and you have not turned off Speak On Enter [image], the computer continues to read back each cell entry you make. Be sure to click Speak On Enter [image] to turn it off.


Add, change, or remove a fill

You can use the Fill Color tool to add a fill to any picture except an animated GIF picture. Make these changes in an animated GIF editing program, and then insert the picture file again.

  1. Select the picture, AutoShape, text box, or WordArt you want to change.
  2. On the Drawing toolbar, click the arrow next to Fill Color [image].
  3. Do one or more of the following:

    Add or change a fill color

    Do one of the following:
    • To change the fill color, click one of the colors.
    • To change to a color that isn't in the color scheme, click More Fill Colors. On the Standard tab, click the color you want, or click the Custom tab to mix your own color.

    Add or change a gradient, patterned, textured, or picture fill

    1. Click Fill Effects, and then click the Gradient, Texture, Picture or Pattern tab.
    2. Select the options you want.

    Remove a fill

    Click No Fill.


Change the color of a shadow

  1. Select the object you want to change.
  2. On the Drawing toolbar, click Shadow [image], and then click Shadow Settings.
  3. On the Shadow Settings toolbar, click the arrow next to Shadow Color [image].
  4. Click the color you want.

    If you don't see the color you want, click More Shadow Colors. Click a color on the Standard tab, or click the Custom tab to mix your own color, and then click OK.

Tip

To change the shadow color so you can see through it, click Shadow Color [image], and then click Semitransparent Shadow.


Resize a shape or text box to fit its text

  1. Click the border of the AutoShape or text box you want to resize.
  2. If you selected an AutoShape or a text box, click AutoShape or Text Box on the Format menu, and then click the Alignment tab.
  3. Select the Automatic size check box.

Note If you later change the size of the AutoShape or text box, you must fit the AutoShape or text box to the text again by selecting the Automatic size check box.


Align objects

Align objects by their edges

Aligning objects may cause them to stack on top of each other. Make sure objects are positioned relative to one another the way you want before executing the command.

  1. Select the objects you want to align.

    To select multiple objects, hold down shift while you click each object.

  2. On the Drawing toolbar, click Draw, point to Align or Distribute, and then click one of the following options:
    • Align Top
    • Align Bottom
    • Align Left
    • Align Right

Align objects horizontally or vertically

The Align Middle command aligns objects horizontally through the middle of the objects. The Align Center command aligns objects vertically through the centers of the objects.

  1. Select the objects you want to align.
  2. On the Drawing toolbar, click Draw, point to Align or Distribute, and then click Align Middle [image] or Align Center [image].

Align objects with cells

  1. On the Drawing toolbar, click Draw, and then point to Snap.
  2. To automatically align objects with the cell grid when you move or draw them, click To Grid.

    To automatically align objects with the vertical and horizontal edges of other shapes when you move or draw them, click To Shape.

Tip

You can also snap the object to the cell grid by holding down ALT while you move, draw, or resize a drawing object.


Add text to a shape or text box

Add text to a shape

Add text that moves with the shape

Select any AutoShape and start typing. New text is added to the end of any existing text within the shape.

Note You cannot add text to a line, connector, or freeform this way; use a text box to place text near or on these drawing objects.

Add text that is independent of the shape

  1. On the Drawing toolbar, click Text Box [image].

  2. Click near or on the AutoShape where you want to add the text, and start typing.

  3. Size the text box by dragging the sizing handles.

Note The text box will not move when you move the shape.

Add text to a text box

  1. On the Drawing toolbar, click Text Box [image].
  2. Do one of the following:
    • To add text that stays on one line (doesn't wrap), click where you want to add the text, and then start typing.
    • To add text that wraps, drag to create a box the size you want, and then start typing.

Tip

The text box must have a fill for you to see the new shape. To change the shape of a text box to any AutoShape, select the text box, click Draw on the Drawing toolbar, point to Change AutoShape, point to a category, and then click the shape you want.


Change font in a shape or text box

  1. Select the text in the AutoShape or text box with the font you want to change.
  2. If you selected an AutoShape, click AutoShape on the Format menu.

    If you selected a text box, click Text Box on the Format menu.

  3. Select the options you want on the Font tab.


Change the margins around text in a shape or text box

  1. Click the border of the AutoShape or text box you want to change.
  2. If you selected an AutoShape, click AutoShape on the Format menu, and then click the Margins tab.

    If you selected a text box, click Text Box on the Format menu, and then click the Margins tab.

  3. Under Internal margin, adjust the measurements to increase or decrease the distance between the text and the outer border of the object.


Add or format an object border

Add a border to an object

  1. Select the object you want to add a border to.
  2. To add a border, do one of the following:
    • To add a solid border, click Line Style [image] on the Drawing toolbar, and then click the style you want.
    • To add a dashed line border, click Dash Style [image] and then click the style you want.

Format an object border

  1. Select the object you want to change.
  2. Do one of the following:

    Change the color of an object border

    1. On the Drawing toolbar, click the arrow next to Line Color [image].
    2. Do one of the following:
      • To change to the default color, click Automatic.

      • To change to another color, click one of the colors below Automatic.

      • To change to a color that isn't displayed, click More Line Colors. Click the color you want on the Standard tab, or click the Custom tab to mix your own color, and then click OK.

    Change the style of an object border

    1. On the Drawing toolbar, click Line Style [image].
    2. Click the style you want; or click More Lines, and then click a style.


Move an object in increments

  1. Select the object you want to move.
  2. On the Drawing toolbar, click Draw, point to Nudge, and then click the direction you want to move the object.

    On a worksheet, you can also move an object by selecting it and pressing the arrow keys. Press CTRL and the arrow keys to move it in single pixel increments.

    Note You cannot move an object in a chart with the arrow keys.


Turn on or off Paste Options

  1. Click Options on the Tools menu, and click the Edit tab.
  2. Select or clear the Show Paste Options buttons check box.


Resize a picture or shape

  1. Click the picture, AutoShape, WordArt, or text box you want to resize.
  2. Do one of the following:

    Resize by using the mouse

    1. Position the mouse pointer over one of the handles.
    2. Do one of the following:

      Increase or decrease the size in one or more directions Drag the mouse away from or toward the center.

      Keep the center of an object in the same place Hold down CTRL while dragging the mouse.

      Maintain the object's proportions Hold down SHIFT while dragging the mouse.

      Maintain the proportions while keeping the center in the same place Hold down CTRL and SHIFT while dragging the mouse.

    3. Release the mouse, and then release CTRL or SHIFT.

    Resize by entering measurements

    1. Click Format, click the command for the type of object you selected, and then click the Size tab.

    2. Enter measurements for the height and width of the object or click the up or down arrow keys to move the height and width.
    3. To maintain the object's proportions, select the Lock aspect ratio check box.

    Note You can reset the original height and width at any time by clicking Reset.


Restore a picture to its original size

  1. Select the picture you want to restore.
  2. On the Format menu, click Picture, and then click the Size tab.
  3. Click Reset.

Tip

To restore size and formatting options for a picture, select the picture, and then click Reset Picture [image] on the Picture toolbar.


Workbook file properties that correspond to Lotus Notes fields

Microsoft Excel property | Lotus Notes field – data type
Filename | Filename (always blank)
Location | Location (always blank)
*Title | Title – Text
*Subject | Subject – Text
*Author | Author – Text
*Keywords | Keywords – Text
*Comments | Comments – Text
Template | Template – Text
*Manager | Manager – Text
*Company | Company – Text
*Category | Category – Text
Created | DateCreated – Time
Modified | LastSavedDate – Time
Last Saved By | LastSavedBy – Text
Size | NumberOfBytes – Text
Revision Number | NumberOfRevisions – Number
Total Editing Time | TotalEditingTime – Number
Printed | LastPrintedDate – Time
Pages | NumberOfPages – Number
Words | NumberOfWords – Number
Characters | NumberOfCharacters – Number
Paragraphs | NumberOfParagraphs – Number
Lines | NumberOfLines – Number
Security | Security – Number
Document Class | DocumentClass – Text
Name of Application | NameOfApplication – Text
*Custom Property Name | Name of the custom property – Text
* Two-way field (In a two-way field, the Notes field is updated from the Microsoft Excel workbook, and vice versa. In a one-way field, the Notes field is updated from the Excel workbook, but not the other way around).


Troubleshoot macros

When I click the Refresh button, a message tells me that my macro changes will be lost.

This message appears when you have made changes to a macro in the Visual Basic Editor and have also changed the copy of your workbook in the Microsoft Script Editor.

To save the changes to your macro, do the following:

  1. Click No.
  2. Switch to the Visual Basic Editor window.
  3. Export any modules you have changed.
  4. In your workbook in Microsoft Script Editor, click Refresh [image] on the Refresh toolbar.
  5. Click Yes.
  6. Import the modules to restore the changes to your macro.

While recording a macro, I recorded an action I didn't want.

To undo an unwanted action in a macro, you can open the macro in the Visual Basic Editor and remove any unwanted steps.

If you don't want to use the Visual Basic Editor, record the macro again without the unwanted action.

A macro I recorded sometimes produces an error message.

A macro you record may not run properly in every situation. If the macro cannot run, Microsoft Excel displays an error message. Some macros depend on certain options or settings in Excel. For example, a macro that searches for bold text won't run properly if bold text isn't displayed. If a macro you've recorded produces an error message, note the error number. You can then search for "error messages" in Visual Basic Help and find information about the message you received.


Move a text box

  • Click, hold, and drag the text box border.

    Make sure to drag the border and not one of the sizing handles. If you drag a sizing handle, the text box will change shape but stay in the same place on the sheet.


Troubleshoot drawing objects and pictures

Importing

A graphic won't import.

You might not have the correct graphics filter installed in the correct folder, or the filter might be corrupted. Graphics filters are stored as files under C:\Program Files\Common Files\Microsoft Shared\Grphflt folder. Browse to this folder and rename the appropriate filter file with the .flt extension. Then perform a Detect and Repair installation of Microsoft Office.

How?

  1. On the Help menu, click Detect and Repair.

    To restore the program shortcuts to the Windows Start menu, make sure the Restore my shortcuts while repairing check box is selected.

  2. Click Start.

Notes

  • This feature is not available for Office applications earlier than Office 2000.
  • This procedure detects and repairs problems such as missing files and registry settings associated with all installed Microsoft Office programs. It will not repair personal files, such as spreadsheets or documents.
  • If the Detect and Repair command does not fix the problem, you might need to reinstall Microsoft Office.

Appearance

The lines in my drawing are jagged.

Try the following:

  • Curved lines, and straight lines that are not absolutely vertical or horizontal, will have some degree of jaggedness on the screen. The curves will appear smooth on the printed page.
  • Curve [image] and Freeform [image] give your drawing a smoother look than Scribble [image].

    Click AutoShapes on the Drawing toolbar, click Lines [image], and then click Curve [image] or Freeform [image].

  • To view your drawing in more detail, increase the magnification in Zoom [image] to 200 percent.
  • To have greater control when you draw, change your mouse setting to the slowest tracking speed in Microsoft Windows Control Panel.
  • Adjust the shape of freeforms to make them look smoother.
    1. Increase the magnification in Zoom [image] to 200 percent.
    2. Click the shape, click Edit Points on the Draw menu, and then drag any vertex.
  • You can smooth freeforms by removing individual vertexes.

    Click the shape, click Edit Points on the Draw menu, point to the vertex you want to delete, and then press CTRL as you click the vertex.

I can't resize an object.

Either the Resize object to fit text option or the Lock aspect ratio option is selected. Select the object and then do one of the following:

  • On the Format menu, click AutoShape or Text Box, and then click the Text Box tab. Clear the Resize AutoShape to fit text check box.
  • On the Format menu, click the command for the type of object you selected — for example, AutoShape or Picture. Click the Size tab, and then clear the Lock aspect ratio check box.

Colors within objects aren't smooth.

If your monitor is capable of showing only 16 colors, colors might not appear smooth. Objects are displayed best on monitors that have more than 256 colors.

I can't make an area transparent.

It might be difficult to see the transparent effect in a photograph or picture; the color you select might appear in a very small area. What might appear to be a single color, such as blue sky, can actually be a range of subtle color variations.

Text in a drawing object doesn't rotate or flip.

In Microsoft Excel, text that is attached to an AutoShape will move with the shape, but it will not rotate or flip — for example, appear at an angle or upside-down — when you rotate or flip the shape. To change the position of text within a shape, click the border of the shape, click AutoShape on the Format menu, and then select the options you want on the Alignment and Margins tabs.

Aligning and arranging

Freeforms I drew won't align evenly.

  • Instead of using the Align or Distribute (Drawing toolbar, Draw menu) command, try aligning the objects by moving them.
  • Hold down CTRL and press the ARROW keys to nudge the freeform in 1-pixel increments.
  • If Snap to Grid (Drawing toolbar, Draw menu) is selected, temporarily turn it off by pressing ALT as you drag a freeform.

I aligned my drawing objects, and they are stacked on top of each other.

Depending on the alignment option you click, objects will move straight up, down, left, or right and might cover an object already there. You can undo the alignment with the Undo command (Edit menu) and move the drawing objects to new positions before you align them.

Items on the Align or Distribute menu are dimmed, and I can't select them.

You must select at least two drawing objects to make the alignment options available and at least three objects to make the distribution options available.

I can't rotate a graphic.

Only drawing objects can be flipped or rotated. If you can convert an object to a drawing object by ungrouping it and then grouping it again, you can flip or rotate it. You can't convert a bitmap to a drawing object.

  • To convert an object, select it, click Ungroup on the Draw menu (Drawing toolbar), and then click Group.
  • If you can't convert the object, open it in another drawing program, rotate it there, and then save it. When you reopen it in Microsoft Excel, it will appear rotated.

Drawing

Freehand drawing is hard to control.

  • Try increasing the magnification in the Zoom box. It's easier to draw details at 200 percent.
  • Use the Freeform tool [image] instead of the Scribble tool [image].
  • Try setting your mouse to the slowest tracking speed available in the Windows Control Panel. You have greater control when you draw at a slow speed.
  • You can adjust the shape of freeforms to make them look smoother.

Editing

I can't change the color of some parts of a picture.

  • If the image is a drawn picture (vector-based), select the picture and then click Recolor Picture [image] on the Picture toolbar.
  • If the picture is clip art, try ungrouping the image, and then use the drawing tools to change the colors.

I can't ungroup an imported picture.

The image is a bitmap, which can't be ungrouped and converted to an object.

You can modify the image in an imaging program, and then insert it into your work.

I can't change an animated GIF picture.

You cannot crop or change the fill, border, shadow, or transparency of an animated GIF picture by using the Picture or Drawing toolbar or the Format Picture dialog box. Make these changes in an animated GIF editing program, and then insert the file again.

Moving and selecting

The AutoShape, Text Box, Picture, WordArt, or Object command isn't on the Format menu.

The AutoShape, Text Box, Picture, WordArt, or Object command is available only if you've first selected the drawing object, text box, imported graphic, text effect, picture, or other object you want to format.

I ungrouped a group of drawing objects and can't regroup them.

If you are working with multiple groups of drawing objects, make sure to select a drawing object in the group that you want to regroup. If you close Microsoft Excel and later want to regroup the objects, select the objects by holding down SHIFT as you click each object, and then click Group on the Draw menu (Drawing toolbar).

When I click a drawing object or graphic to move or edit it, a macro runs.

A macro has been assigned to run when you click the drawing object or graphic. To select the object without running the macro, do one of the following:

  • Right-click the object to select it and display a shortcut menu.
  • On the Drawing toolbar, click Select Objects [image], and then drag around the object to select it.

When I try to move a drawing object, it resizes.

  • To move an AutoShape that does not have text attached to it, drag the body or border of the shape, but not a sizing handle or the adjustment handle. If the AutoShape has text attached to it, or if it has no fill (for example, shows only the outline of the shape), drag its border. If you click the body of a shape that has attached text, you select the text.
  • To resize a selected AutoShape, drag one of the sizing handles or the adjustment handle. If you drag the center or the border of the shape, you will either select text in the shape or move the shape instead of resizing it.

I added a drawing object or graphic to my embedded chart, but it doesn't move when I move the chart.

You must select the embedded chart before you add a shape or graphic. Otherwise, the shape or graphic is added to the worksheet instead of the chart. Click the embedded chart first, click the command you want to use on the Drawing toolbar, and then click the chart.

Drawing objects and imported graphics aren't sorted with the underlying cells.

Size and placement The objects can be no taller than the row or no wider than the column you want to sort. For example, if you want to reorder rows of cells, objects can be no taller than a single row. If you want to reorder columns left to right, objects can be no wider than a single column. If necessary, adjust the row height or column width before you sort the data.

When you select the range of cells to sort, make sure you include all parts of the objects in the selection. For example, if an object extends into a blank row or column outside the filled-in cells you want to sort, include the blank row or column in the selection.

Settings The objects' settings may have been changed so that the objects do not move with cells. To set objects so that they can be sorted with cells, click Select Objects [image] on the Drawing toolbar, and then drag around the objects you want to change. Click AutoShape, Picture, Text Box, WordArt, Control, or Object on the Format menu, and then click Move but don't size with cells on the Properties tab.

Printing

I can't print AutoShapes or objects copied or imported from other programs.

  1. Right-click the object you want to print.

    If an AutoShape has text attached to it, or if it has no fill (for example, shows only the outline of the shape), right-click its border.

  2. On the shortcut menu, click Format object type, and then click the Properties tab.
  3. Select the Print object check box.

Note If the object you want to print is an ActiveX control, you must display the Control Toolbox and change the control properties in design mode.


Troubleshoot toolbars and menus

I can't find a menu command, toolbar button, or dialog box option.

The menu might not be expanded If arrows [image] appear at the bottom of the menu, the menu item might be available on the expanded menu. Click the arrows, and then click the command you want. You can also double-click the menu to expand it.

There might not be enough room to display all the buttons If the toolbar is on the same row as another toolbar, there might not be enough room to display all the buttons. Click Toolbar Options [image], and then click the button you want.

You might have a different language setting The command or control doesn't appear if you don't have editing enabled for the language that the command or control applies to. You need to enable editing for the language you want to work with.

The Microsoft Office program you're using may not be maximized Some toolbar buttons may be hidden if your program window is not maximized. Click the Maximize [image] button to enlarge the program window to its fullest extent.

The toolbar button you want to use may be seldom used Some toolbar buttons may be hidden if they are seldom used. Click Customize on the Tools menu, and then click the Commands tab to find the button you want to add to the toolbar.

I created a custom toolbar and shared it with another person, but it looks different on their computer.

The buttons and commands that you share with another person are always available, but whether or not they appear on the short version of the menu, or on the toolbar when there isn't enough room to display all the buttons, depends on the individual menu and toolbar settings for that person.

Microsoft Office stores the commands and buttons you've used frequently and recently as your personal menu and toolbar settings. When the Always show full menus check box is cleared (Toolbar Options arrow Arrow pointing down, Add or Remove buttons, Customize dialog box, Options tab), these personalized settings affect the commands that appear on each menu. Additionally, if there isn't enough room on a toolbar to display all the buttons (such as when you position a toolbar on the same row as another toolbar), personalized settings affect which buttons do appear.

I can't find the Insert Script, Show All Scripts, or Remove All Scripts command.

These commands are not included on the default menus in Microsoft Excel. To use these commands, you must first add them to the Tools menu.


Query for data from a Web page

You can create or run a Web query to retrieve text or data on a Web page. Web queries are especially useful for retrieving data that is in tables or preformatted areas (tables are defined with the HTML <TABLE> tag; preformatted areas are often defined with the HTML <PRE> tag). The retrieved data does not include pictures, such as .gif images, and does not include the contents of scripts.

Note If you retrieve data from a Web site, it is your responsibility to make sure you use the data in compliance with any applicable terms and conditions governing the use of the data by the owner and/or operator of such web site.

Create a new Web query

  1. Do one of the following:

    Start in Microsoft Excel

    1. On the Data menu, point to Import External Data, and then click New Web Query.

    2. In the New Web Query dialog box enter the URL for the Web page from which you want to get data. You can type the URL, paste it from a copied address, or click the arrow next to the Address list and select a recently used address.

    3. Click Go.

    Start in the browser

    1. In your browser, browse to the Web page from which you want to query data.

    2. Click the arrow next to the Edit with... button (which may appear as one of several application icons, depending on how the page was created) and click Edit with Microsoft Excel.

  2. Click Select a Table next to the tables you want to import or click Select a Table in the upper left corner of the page to import the entire page.

    If there are no Select a Table next to tables on the page, click Show Icons Show/Hide icons at the top of the dialog box to display them.

  3. Web queries are automatically saved with your workbook. If you want to save the query so that it can be run in other workbooks, click Save Query Save Query . The query is saved in a text file with an .iqy extension.
  4. To set formatting and import options for how data is returned, click Options and select the options you want in the Web Query Options dialog box.
  5. Click Import.

    In the Import Data dialog box, do one of the following:

    • To return the data from the Web page to the selected worksheet, click Existing worksheet. On your worksheet, click the cell where you want to place the upper-left corner of the external data range, and then click OK.
    • To return the data to a new worksheet, click New worksheet, and then click OK. Excel adds a new worksheet to your workbook and automatically starts the external data range in the upper-left corner of the new worksheet.

    After you click OK, a spinning refresh icon refresh indicator appears in the status bar to indicate that the query is running. To check the status of the query, double-click the refresh icon.

Run a saved query

Web queries are saved in text files with .iqy extensions. Several Web query files that retrieve data such as stock quotes and currency come with Microsoft Excel.
  1. On the Data menu, point to Import External Data, and then click Import Data.
  2. Locate the folder where your query file is stored in the Look in box.
  3. Select the Web query you want to run.
  4. Click Open.

    In the Import Data dialog box, do one of the following:

    To return the data from the Web page to the selected worksheet, click Existing worksheet. On your worksheet, click the cell where you want to place the upper-left corner of the external data range, and then click OK.

    To return the data to a new worksheet, click New worksheet, and then click OK. Excel adds a new worksheet to your workbook and automatically starts the external data range in the upper-left corner of the new worksheet.

  5. If prompted, enter parameters for the query. If you don't know what the valid parameters are, ask the person who created the query.

    Excel runs the query. A spinning refresh icon refresh indicator appears in the status bar to indicate that the query is running. To check the status of the query, double-click the refresh icon.


Refresh a Web query

  1. Click a cell in the region of the worksheet where your query data was returned (also known as an external data range).

  2. Click Refresh Data Refresh button on the External Data toolbar.

    A spinning refresh icon refresh indicator appears in the status bar to indicate that the query is running. Double-click the icon to check the status of the query.

    Tips

    • You can have your data refresh automatically when the file is opened, at timed intervals, or in the background by clicking Data Range Properties [image] on the External Data toolbar and selecting or clearing options under Refresh control.

    • If the data returned to your worksheet after a refresh isn't what you expected, check the Web page you are querying to make sure it is in the same location and that the data on it is provided in the same way as when you created the query.


Remove smart tags

Remove a single smart tag from a cell

  1. Move the insertion point over the cell until Smart Tag Actions [image] appears.
  2. Click the arrow next to Smart Tag Actions [image], and then click Remove this Smart Tag.

Remove specific types of smart tags

This procedure removes some smart tags, but leaves the feature turned on.
  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. Under Recognizers, clear the check boxes for the smart tags you want to remove.
  3. Click OK.
  4. Close and reopen the workbook for your changes to take effect.

Remove all smart tags

This procedure removes all smart tags, including smart tags labeled by recognizers you may no longer have and smart tags recognized in a document opened on someone else's computer. You cannot undo this action.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.
  2. Clear the Label data with smart tags check box, and clear the Embed smart tags in this workbook check box.
  3. Close and reopen the workbook for your changes to take effect.


About disabled features

Programmability-related features in Microsoft Excel, including specific functionality in templates, Active-X controls, add-in programs, or custom commands, may be disabled or may not work the way you expect when the Microsoft Visual Basic for Applications (VBA) shared feature is disabled. Many features in Office are created in VBA or depend on VBA support to function correctly. If you choose not to install the VBA feature, these dependent applications and features will be disabled or not installed.

For additional information about the affects of disabling VBA, see the Microsoft Office Resource Kit Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

To re-enable VBA, follow these steps:

  1. Run the Office Setup program again.

    How?

    1. Quit all programs.
    2. Double-click the Add/Remove Programs icon in the Microsoft Windows Control Panel.
    3. Do one of the following:

      For Windows 2000 and Windows Millennium Edition:

      • If you installed your Office program as part of Microsoft Office, click Microsoft Office in the Currently installed programs box, and then click the Change button.
      • If you installed your Office program individually, click the name of your program in the Currently installed programs box, and then click the Change button.

      For Windows 98 and Windows NT 4.0:

      • If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click the Add/Remove button.
      • If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click the Add/Remove button.
  2. On the Features to install screen in the Setup program, click the plus sign (+) next to Office Shared Features.
  3. Select Visual Basic for Applications, click the arrow next to your selection, and then click Run from My Computer.

If someone else set up your Office installation for you, contact your System Administrator or Information Technology (IT) Professional to see whether you are running Office with VBA disabled.

Secure Office without removing functionality

For the best protection against macro viruses, you should purchase and install specialized antivirus software. To further protect yourself from macro viruses, you can use the following procedures:

Set macro security level to High

  1. On the Tools menu, click Options.
  2. Click the Security tab.
  3. Click Macro Security.
  4. Click the Security Level tab, and then select the security level you want to use.

Clear the Trust all installed add-ins and templates check box

Depending on your macro security setting, when you open a macro, you will receive a warning and the macro may be disabled for installed templates and add-ins (including wizards).

  1. On the Tools menu, click Options, and then click the Security tab.

  2. Click Macro Security.
  3. Click the Trusted Sources tab.
  4. Clear the Trust all installed add-ins and templates check box.

Note All templates, add-ins, and macros shipped with Microsoft Office XP are digitally signed by Microsoft. Once you add Microsoft to your list of trusted sources for one of these installed files all subsequent interaction with these files will not generate messages.

Clear the list of trusted sources

To perform this procedure, you must have Microsoft Internet Explorer version 4.0 or later installed on your computer.

  1. On the Tools menu, click Options, and then click the Security tab.

  2. Click Macro Security.
  3. Click the Trusted Sources tab.
  4. Click the source you want to remove from the list.
  5. Click Remove.


Save a Web query for use in other workbooks

Web queries are automatically saved for use in the current workbook. Saving a query in an .iqy file allows you to use it in a different workbook or share it with other users.

  1. Point to Import External Data on the Data menu and click New Web Query for a new query or click Edit Query [image] on the External Data toolbar for an existing query.

    If you're creating a new query, navigate to the page you want in the Address box, and click Select a Table next to the tables you want to select. If there are no Select a Table next to tables on the page, click Show Icons Show/Hide icons at the top of the dialog box to display them.

  2. Click Save Query [image] .
  3. Locate the folder in which you want to save the query in the Save in box.
  4. Enter a file name in the File name box.
  5. Click Save.

    To run this query in other workbooks, click Import External Data on the Data menu, then click Import Data. Locate and open the .iqy file.


Save data as a Web Part for use in a digital dashboard

Save an interactive Web Part

  1. Open the workbook that contains the item you want to publish as a Web Part for your digital dashboard.
  2. Click Save as Web Page on the File menu.

  3. Click Publish.

  4. Click the item you want to publish in the Choose list under Item to publish.

  5. Check the Add Interactivity with box under Viewing options and select the type of interactivity you want.

  6. In the File name box, type the URL of the digital dashboard to which you want to save the part followed by the file name for the Web Part. For example, type http://server/share/dashboard_folder/name.htm.
  7. Click Publish.

    Depending on how the server where the digital dashboard resides is configured, you may need to log in to the server before continuing.

  8. In the Name box on the Web File Properties form, type the name for the Web Part.
  9. In the Description box, type a brief description for the Web Part.
  10. To immediately add the Web Part to the dashboard, select Include this Web Part on the dashboard. If you clear this check box, the Web Part will be saved to the dashboard folder, but will not be displayed until you click Content on the dashboard Web page and choose to add it to the dashboard.
  11. Specify the default position for the Web Part, and then click OK.

Save a noninteractive Web Part

  1. Click Save as or Save as Web Page on the File menu.

  2. In the File name box, type the URL of the digital dashboard to which you want to save the part and the file name for the Web Part. For example, type http://server/share/dashboard_folder/name.htm.

  3. Click Save.

    Depending on how the server where the digital dashboard resides is configured, you may need to log in to the server before continuing.

  4. In the Name box on the Web File Properties form, type the name for the Web Part.
  5. In the Description box, type a brief description for the Web Part.
  6. To immediately add the Web Part to the dashboard, select Include this Web Part on the dashboard. If you clear this check box, the Web Part will be saved to the dashboard folder, but will not be displayed until you click Content on the dashboard Web page and choose to add it to the dashboard.
  7. Specify the default position for the Web Part, and then click OK.


Select a cell that has a hyperlink in it

  • To select a cell that has a hyperlink in it without jumping to the hyperlink destination, click the cell and hold the mouse button until the cursor becomes a cross Excel selection cursor, then release the mouse button.


Send a review request

To use this procedure, you must be using Microsoft Outlook 2002.

  1. Open the file that you want to send for review.
  2. On the File menu, point to Send to, and click Mail Recipient (for Review).

Notes

  • If you want to track the reviewer's changes in a Microsoft Excel workbook, you must share the workbook before sending it for review.
  • If the document is stored on a server, the mail message will contain a link to the file to be reviewed.


Make a Web page redirect queries

If you are a Web page author, you can increase the reliability of the data users retrieve from your page by having Web queries from Microsoft Excel redirected to a data source such as XML.

  1. Include the Microsoft Office namespace declaration in the opening HTML tag of your Web page:

    <HTML xmlns:o="urn:schemas-microsoft-com:office:office”>

  2. In the body of your page, add the following attribute to opening TABLE tags:

    <TABLE ... o:WebQuerySourceHRef="http://...>

    where the value is a URL (relative or absolute) to which you want to redirect your Web query.

Note Users can bypass redirection on Web pages by checking Disable Web query redirections in the Web Query Options dialog box (New Web Query dialog box).


About triangle indicators in cells

Triangles in the corners of cells in Microsoft Excel indicate formula errors, comments, or smart tag options.

Error indicator in cell

A green triangle in the upper-left corner of a cell indicates an error in the formula in the cell. If you select the cell, Trace Error [image] appears. Click the arrow next to the button for a list of options.

Note The color of the error checking triangle indicator can be changed by clicking Options on the Tools menu, and then clicking the Error Checking tab.

Comment indicator in cell

A red triangle in the upper-right corner of a cell indicates a comment in the cell. If you rest the mouse cursor over the triangle, you can view the text of the comment.

Smart tag indicator in cell

A purple triangle in the lower-right corner of a cell indicates a smart tag. If you rest the mouse cursor over the triangle, Smart Tag Actions [image] appears. Click the arrow next to the button for a list of smart tag options.


Troubleshoot smart tags

I don't want smart tags in my workbooks.

You can turn off smart tags.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.

  2. Clear the Embed smart tags in this workbook check box.

  3. Close and reopen the workbook.

You can also hide all smart tags in a workbook.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.

  2. In the Show smart tags as box, click None.

I turned off smart tags, but they still show up in my workbooks.

You may have copied text containing a smart tag from another document into your workbook, or smart tags may have been recognized in a document opened on someone else's computer.

To delete the smart tags:

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tags tab.

  2. Clear the Embed smart tags in this workbook check box.
  3. Close and reopen the workbook.

To remove individual smart tags as they occur:

  1. Move the insertion point over the text until Smart Tag Actions [image] appears.

  2. Click the arrow next to Smart Tag Actions [image], and then click Remove this Smart Tag.

I'd like to use smart tags, but I don't want purple triangles on my worksheet.

You can hide the purple triangles and still use the smart tags feature.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tag tab.

  2. In the Show smart tags as list, click Button Only.

  3. Move the insertion point over the text that might be recognized as a smart tag, such as a financial symbol.

  4. Click the arrow next to Smart Tag Actions [image]. You can select an action, even though the purple triangle is absent.

My workbook file size is larger when I include smart tags in my workbook.

Smart tags increase the file size. When size is a concern, turn off the option to embed and save smart tags.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tag tab.

  2. Clear the Embed smart tags in this workbook check box.

Smart tags aren't available

I don't see any smart tags in my workbook.

  1. On the Tools menu, click AutoCorrect Options, and then click the Smart Tag tab.
  2. Select the Label data with smart tags check box.
  3. In the Show smart tags as list, make sure that either Indicator and Button or Button Only are selected.

I don't see smart tags when I type a person's name.

Microsoft Excel recognizes names as smart tags only if you've recently sent the person e-mail.

Saving smart tags

Some smart tags are lost when I save my worksheet as a Web page.

  • Smart tags can only be viewed using Microsoft Internet Explorer 5 or later.

  • Smart tags are not saved if the user chooses to publish to a Web page instead of saving the workbook as a Web page.


Turn off speech playback

  • Do one of the following:
    • To turn off all speech playback, click Stop Speaking [image] on the Text To Speech toolbar.
    • To turn on or off the option for the computer voice to read back your data after every entry, click Speak On Enter [image].

Note If you do not click Speak On Enter [image] to turn off the feature, the computer voice will continue to read your cell entries even if the toolbar is not visible.


Use smart tags

You can use smart tags to perform actions in Microsoft Excel that you'd usually open other programs to perform. For example, if you type a U.S. financial symbol such as MSFT in a cell, the Smart Tag Actions button provides a list of smart tag actions you can perform. The purple triangle in the corner of a worksheet cell indicates smart tags.

Smart tag indicators and button

1 Smart tag indicators

2 Smart Tag Actions button

  1. Make sure smart tags are turned on.

    How?

    1. On the Tools menu, click AutoCorrect options.
    2. Click the Smart Tags tab, and select the Label data with smart tags check box.
  2. Move the insertion point over the purple triangle in a cell until Smart Tag Actions [image] appears.
  3. Click the arrow next to Smart Tag Actions [image] to see the actions you can perform, and then select an action.


View the End-User License Agreement

  1. If the Contents tab isn't visible, click Show [image] in the Microsoft Excel Help window.
  2. On the Contents tab, click End-User License Agreement.


Accessibility features in Excel

Microsoft Excel contains features that make software accessible to a wider range of users, including those who have limited dexterity, low vision, or other disabilities.

Keyboard shortcuts

Show or hide shortcut keys in ScreenTips

  1. On the Tools menu, click Customize.

  2. Click the Options tab.

  3. Under Other, select or clear the Show ScreenTips on toolbars check box.

Note Changing this setting affects all of your Microsoft Office programs.

Get more information about keyboard shortcuts.

Change text size and color

Zoom the display in or out

In the Zoom box [image], click the size you want, or enter a number from 10 to 400.

To enlarge the selected area to fill the window, click Selection.

Note Zooming in or out does not affect printing. Sheets are printed at 100 percent unless you change the scaling on the Page tab of the Page Setup dialog box (File menu).

Make toolbar buttons or drop-down list boxes larger

Do one of the following:

Increase the size of toolbar buttons

  1. On the Tools menu, click Customize.

  2. Click the Options tab.

  3. Select the Large icons check box.

Change the width of a drop-down list box on a toolbar

  1. Make sure the toolbar you want to change is visible.

    How?

    1. On the View menu, point to Toolbars.

    2. Do one of the following:

      • Click the toolbar you want to display.

      • To view more toolbars, click Customize. In the Customize dialog box, click the Toolbars tab, and then select the check box for the toolbar you want to display. Click Close.

  2. On the Tools menu, click Customize.

  3. With the Customize dialog box open, click the list box you want to change — for example, the Font Font box or Font Size Font Size box box on the Formatting toolbar.

  4. Point to the left or right edge of the box. When the pointer changes to a double-headed arrow, drag the edge of the box to change its width.

Zoom using the Microsoft Intellimouse pointing device

You can move around and zoom on your worksheet or chart sheet by using the Microsoft IntelliMouse pointing device. For information about changing options and viewing troubleshooting tips for the Microsoft IntelliMouse, see the IntelliPoint Online User's Guide. (Click the Microsoft Windows Start button, point to Programs, and then point to Microsoft Input Devices.)

To | Do this
Scroll up or down a few rows at a time | Rotate the wheel forward or back.
Pan through a worksheet | Hold down the wheel button, and drag the pointer away from the origin mark origin mark in the direction you want to scroll. To speed up scrolling, drag away from the origin mark; to slow down scrolling, drag toward the origin mark.
Pan through a worksheet automatically | Click the wheel button, and then move the mouse in the direction you want to scroll. To speed up scrolling, drag away from the origin mark; to slow down scrolling, drag toward the origin mark. To stop automatic scrolling, click any mouse button.
Zoom in or out | Hold down CTRL, and then rotate the IntelliMouse wheel forward or back.
Show detail in outlines | Point to a cell that summarizes data in the outline, hold down SHIFT, and then roll the wheel forward.
Hide detail in outlines | Point to any cell that contains detail data, hold down SHIFT, and then roll the wheel back.

Tip

If you use the Microsoft IntelliMouse pointing device to zoom more often than you use it to scroll on a sheet, you can set the wheel button to zoom instead of scroll. On the Tools menu, click Options, click the General tab, and then select the Zoom on roll with IntelliMouse check box.

Customize toolbars and menus

Create a toolbar

  1. On the Tools menu, click Customize.
  2. Click the Toolbars tab.
  3. Click New.
  4. In the Toolbar name box, type the name you want, and then click OK.
  5. Click the Commands tab.
  6. Do one of the following:

    Add a button to the toolbar

    1. Click a category in the Categories box.
    2. Drag the command you want from the Commands box to the displayed toolbar.

    Add a built-in menu to the toolbar

    1. In the Categories box, click Built-in Menus.
    2. Drag the menu you want from the Commands box to the displayed toolbar.
  7. When you have added all the buttons and menus you want, click Close.

Add a button to a toolbar

  1. Make sure the toolbar you want to change is visible.

    How?

    1. On the View menu, point to Toolbars.
    2. Do one of the following:
      • Click the toolbar you want to display.
      • To view more toolbars, click Customize. In the Customize dialog box, click the Toolbars tab, and then select the check box for the toolbar you want to display. Click Close.
  2. Click the Toolbar Options arrow Toolbar Options arrow.
  3. Point to Add or Remove Buttons, and then click Customize.
  4. Click the Commands tab.
  5. In the Categories box, click a category for the command you want the button to perform.
  6. Drag the command or macro you want from the Commands box to the displayed toolbar.
  7. On the Customize dialog box, click Close.

Add a command to a menu

  1. Display the toolbar that has the menu you want to add a command to: Click Customize on the Tools menu, click the Toolbars tab, select the check box for the toolbar, and then click Close.

  2. On the Tools menu, click Customize, and then click the Commands tab.

  3. In the Categories list, click the category for the command.

  4. Drag the command you want from the Commands list over the menu you want to add it to.

  5. When the menu displays a list of commands, point to where you want the command to appear, and then release the mouse button.

Automate entering and editing

Correct spelling and typing errors as you type

To correct your common typing errors automatically, you must specify the commonly-mistyped word in advance.

  1. On the Tools menu, click AutoCorrect Options, and then click the AutoCorrect tab.

  2. Make sure the Replace text as you type check box is selected.

  3. In the Replace box, type the word you often mistype or misspell, for example, type usualy.

  4. In the With box, type the correct spelling of the word, for example, type usually.

  5. Click Add.

Note If you save a long phrase or passage of text as an AutoCorrect entry, you can enter the text later by typing only a few letters. For example, you could type afd to enter "Aperture Film Distributors."

Select the text you want to reuse, copy it, click Autocorrect Options on the Tools menu, and then click the AutoCorrect tab. In the Replace box, type a unique sequence of characters, a sequence that you would not usually type in a workbook. Click in the With box, press CTRL+V to paste the copied text, and then click Add.

Quickly fill in repeated entries in a column

If the first few characters you type in a cell match an existing entry in that column, Microsoft Excel fills in the remaining characters for you. Excel completes only those entries that contain text or a combination of text and numbers; entries that contain only numbers, dates, or times are not completed.

  • To accept the proposed entry, press ENTER. The completed entry exactly matches the pattern of uppercase and lowercase letters of the existing entries.

  • To replace the automatically entered characters, continue typing.

  • To delete the automatically entered characters, press BACKSPACE.

  • To select from a list of entries already in the column, press ALT + DOWN ARROW, or right-click the cell and then click Pick from List on the shortcut menu.


Insert a scanned or digital picture

To complete this procedure, your device (a scanner or digital camera) must be connected to your computer and be TWAIN-compatible. Make sure the device you have installed supports TWAIN by checking the device documentation or contacting the manufacturer.

  1. Open the worksheet in which you want to insert the picture.
  2. If you're using a scanner, set up the picture in the scanning device.
  3. In Microsoft Excel, point to Picture on the Insert menu, and then click From Scanner or Camera.
  4. If you have more than one device connected to your computer, under Device, click the device you want to use.
  5. If you're using a scanner, choose one of the following:

    • Click Web Quality to use a lower resolution or if you intend for your document to be viewed on screen.

    • Click Print Quality to use a higher resolution or if you intend for your document to be printed.

  6. Do one of the following:

    • Click Insert if you're using a scanner and you want to use predefined settings to scan your picture.

    • Click Custom Insert if you're using a scanner and you want to change the image settings, or if you're using a camera. Then follow the instructions that came with the device you're using.

    Note The Insert button might be unavailable when using some scanners because the scanner software doesn't support automatic scanning. If so, you can use the Custom Insert button instead.

  7. Use the options to select the image and transfer it to your worksheet.

    After the image is transferred to the worksheet, you can use the tools on the Picture toolbar to make changes such as cropping the picture, and adjusting its brightness, contrast, and color.


Insert a workbook in a Lotus Notes document or form

  1. In Lotus Notes, click the database you want.
  2. Follow the steps for your version of Lotus Notes:

    Lotus Notes 4.x

    1. Open the document or form where you want to insert the workbook, and do one of the following:

      Document On the Create menu, click a Lotus Notes form that includes an editable rich text field. Click in the rich text field, and then click Object on the Create menu.

      Existing form On the View menu, click Design. Under Design in the navigation pane, click Forms. Double-click the form.

      New form On the Create menu, point to Design , and then click Form.

    2. Do one of the following:

      Insert a new blank workbook Click Create a new object, and then click Microsoft Excel Worksheet in the Object type box.

      Embed a copy of an existing workbook Click Create an object from a file, and then type the name of the workbook in the File box, or click Browse to select from a list.

    3. Do one of the following:

      Select the sheet to display Double-click the Excel object, and then click a different sheet.

      Display a workbook icon Select the Display as icon check box.

    Lotus Notes 3.x

    1. Open the document or form where you want to insert the workbook, and do one of the following:

      Document On the Compose menu, click a Lotus Notes form that includes an editable rich text field, and then click in the rich text field.

      Existing form On the Design menu, click Forms, click a form in the Forms box, click Edit, and then click where you want the workbook to appear.

      New form On the Design menu, click Forms , click New (or click a form in the Forms box and click New Copy), and then click where you want the workbook to appear.

    2. On the Edit menu, point to Insert, and then click Object.
    3. In the Object Type box, click Microsoft Excel Worksheet.
    4. To change how the workbook will appear, click Display Format, select the format you want, and then click OK.
    5. Do one of the following:

      Insert a new blank workbook Click OK.

      Embed a copy of an existing workbook Click Choose File, select the workbook you want from the list, and then click OK.

    6. To select the worksheet to display in the document, double-click the Excel object, and then click a different sheet.


Install or remove individual components in Microsoft Office

If you originally installed your Microsoft Office program from a network file server or from a shared folder, you must install or remove components from that location. If you installed your Office program from a CD-ROM and you've mapped your CD-ROM drive to a new drive letter since installing the Office program, reinstall from the CD-ROM. If you're running any Office program files from the CD-ROM, you must uninstall the Office program and then reinstall it from the CD-ROM.

  1. Quit all programs.
  2. Double-click the Add/Remove Programs icon in the Windows Control Panel.
  3. Do one of the following:

    • For Windows 2000 and Windows Millennium Edition:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office in the Currently installed programs box, and then click the Change button.

    If you installed your Office program individually, click the name of your program in the Currently installed programs box, and then click the Change button.

    • For Windows 98 and Windows NT 4.0:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click the Add/Remove button.

    If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click the Add/Remove button.

  4. Follow the instructions on the screen.


Use Excel data with Lotus Notes views and field exchange

Display data from a workbook in a Notes view

To display data from a workbook in a Notes view, you must first to define a name for the data you want to view that corresponds to a corresponding field in Lotus notes, and you must define a custom file property that corresponds to the properties in Lotus Notes
  1. Insert a Microsoft Excel workbook in a Notes document, or if you don't have a Notes document already set up with a rich text field for the workbook, create a Notes form that includes a workbook.

    How?

    1. In Lotus Notes, click the database you want.
    2. Follow the steps for your version of Lotus Notes:

      Lotus Notes 4.x

      1. Open the document or form where you want to insert the workbook, do one of the following:

        Document On the Create menu, click a Lotus Notes form that includes an editable rich text field. Click in the rich text field, and then click Object on the Create menu.

        Existing form On the View menu, click Design. Under Design in the navigation pane, click Forms. Double-click the form.

        New form On the Create menu, point to Design , and then click Form.

      2. Do one of the following:

        Insert a new blank workbook Click Create a new object, and then click Microsoft Excel Worksheet in the Object type box.

        Embed a copy of an existing workbook Click Create an object from a file, and then type the name of the workbook in the File box, or click Browse to select from a list.

      3. Do one of the following:

        Select the sheet to display Double-click the Excel object, and then click a different sheet.

        Display a workbook icon Select the Display as icon check box.

      Lotus Notes 3.x

      1. Open the document or form where you want to insert the workbook, do one of the following:

        Document On the Compose menu, click a Lotus Notes form that includes an editable rich text field, and then click in the rich text field.

        Existing form On the Design menu, click Forms, click a form in the Forms box, click Edit, and then click where you want the workbook to appear.

        New form On the Design menu, click Forms , click New (or click a form in the Forms box and click New Copy), and then click where you want the workbook to appear.

      2. On the Edit menu, point to Insert, and then click Object.
      3. In the Object Type box, click Microsoft Excel Worksheet.
      4. To change how the workbook will appear, click Display Format, select the format you want, and then click OK.
      5. Do one of the following:

        Insert a new blank workbook Click OK.

        Embed a copy of an existing workbook Click Choose File, select the workbook you want from the list, and then click OK.

      6. To select the worksheet to display in the document, double-click the Excel object, and then click a different sheet.
  2. Do one of the following:

    Lotus Notes 4.x Right-click the embedded workbook in the document or form, and then click Open on the shortcut menu.

    Lotus Notes 3.x Double-click the embedded workbook in the document or form.

  3. In Excel, click the worksheet or chart sheet that contains the data you want to use in Lotus Notes, and then select the data.

    If any of the data cells are protected or contain formulas, the field will be updated in only one direction — from Excel to Notes. If you change the field in Notes, the change won't be reflected in Excel.

  4. In the Name box on the formula bar, type a name, and then press ENTER.
  5. On the File menu, click Properties.
  6. Click the Custom tab.
  7. In the Name box, type a name for the custom file property.
  8. Select the Link to content check box.
  9. In the Value box, type the name that you defined in step 4, and then click Add.
  10. In Notes, create the corresponding field in the Notes form. In the Name box, type the Excel custom file property name (not the Excel defined name).
  11. Select the properties that you want to include in the view. In addition to custom file properties, you can also display many of the workbook file properties, such as the title and author of the workbook.

Update fields that use Field Exchange

  1. Determine whether the fields you want to update are one-way or two-way.

    The following fields are two-way: Title, Subject, Author, Keywords, Comments, Manager, Company, Category, and custom properties. All other fields are one-way.

  2. Do one of the following:

    One-way fields Update one-way fields from workbook properties.

    How?

    1. Do one of the following:

      Lotus Notes 4.x Right-click the Microsoft Excel workbook inserted as an embedded object in the Notes document or form, and then click Open on the shortcut menu.

      Lotus Notes 3.x Double-click the Microsoft Excel workbook inserted as an embedded object in the Notes document or form.

    2. On the File menu in Excel, click Properties.
    3. Change the information in any file property fields you previously defined.
    4. To update the Lotus Notes fields associated with the property fields, save and close the workbook and return to Lotus Notes.

    Two-way fields Use the above method to update two-way fields from workbook properties; or update workbook properties from the Lotus Notes fields.

    How?

    1. In Lotus Notes, open the document that contains the field you want to update.
    2. Select the text in the field you want to update.
    3. Type the new information between the field brackets.
    4. To update the properties in the workbook, double-click the embedded Excel workbook in the Notes document or form.


Graphics file types Excel can use

You can insert many popular graphics file formats into your workbook either directly or with the use of separate graphics filters. You don't need a separate graphics filter installed to insert the following graphics file formats: Enhanced Metafile (.emf), Joint Photographic Experts Group (.jpg), Portable Network Graphics (.png), Microsoft Windows Bitmap (.bmp, .rle, .dib), Graphics Interchange Format (.gif), and Windows Metafile (.wmf) graphics. However, you do need a graphics filter installed to insert all other graphics file formats in this list. If you didn't install the filter you need when you installed Microsoft Excel on your computer, you can add the graphics filter.

Note Filters for the following graphics file formats are available only if you installed Microsoft Office: Computer Graphics Metafile (.cgm), Enhanced Metafile (.emf), Kodak Photo CD (.pcd), Windows Bitmap (.bmp, .rle, .dib), Windows Metafile (.wmf), and WordPerfect Graphics (.wpg).

Computer Graphics Metafile graphics filter

The Computer Graphics Metafile graphics filter (Cgmimp32.flt) supports Version 1 of CGM 1992. The filter handles all three encodings and interprets and supports all elements, and will correctly handle all valid .cgm graphics files.

The major industry profiles of ATA (Air Transport Association) and CALS (Continuous Acquisition and Life Cycle Support) are fully supported by the Computer Graphics Metafile filter. The filter has been certified as ATA-compliant and CALS-compliant by testing administered by the National Institute of Standards and Technology (NIST).

If you install the filter during Setup, the following files are installed: Cgmimp32.flt, Cgmimp32.fnt, Cgmimp32.cfg, and Cgmimp32.hlp.

This filter has the following limitation: CGM 1992 Versions 2, 3, and 4 are not supported.

CorelDRAW graphics filter

The CorelDRAW graphics filter (Cdrimp32.flt) supports .cdr, .cdt, .cmx, and .pat files from CorelDRAW 3.0 through 9.0.

This filter has the following limitations:

  • Object and PostScript texture fills are replaced with solid gray fills.
  • Gradient fills are split into monocolored stripes.
  • There is no support for:
    • CorelDRAW preferences, such as page size and orientation, units, grid, and guidelines.
    • Lenses and powerclips.
    • Pages, layers, and groups.
    • OLE objects.
    • Rotated bitmaps.
    • Vector fills.
    • Multiarea paragraph text.

Encapsulated PostScript (.eps) graphics filter

The Encapsulated PostScript (EPS) graphics filter (Epsimp32.flt) supports the Adobe Systems Encapsulated PostScript Specification versions 3.0 and earlier. The filter supports .eps images from Tagged Image File Format (TIFF) and Windows Metafile (.wmf) embedded previews.

If an EPS graphics file contains an embedded TIFF or Windows Metafile preview, a representation of the image appears on the screen. The quality of the preview depends on the resolution of the TIFF or Windows Metafile image embedded in the EPS file when it is created. Low, medium, and high resolutions are generally available for creating an EPS file. The higher the resolution of the preview image, the larger the EPS file size will be. Because such previews are intended primarily to be used to position images on the page, resolution is often low. A high-resolution preview is not necessary because it is discarded when the EPS file is printed to a PostScript printer.

If an embedded TIFF or Windows Metafile preview is not included in the EPS graphic you import, the graphic displays a message instead of a preview of the graphic in your workbook. However, the graphic prints correctly to a PostScript printer. If you print an EPS graphic to a non-PostScript printer, the preview image is printed as it appears on the screen.

EPS graphics are designed to be printed on a PostScript printer.

Enhanced Metafile (.emf)

The Enhanced Metafile graphics filter (Emfimp32.flt) converts Enhanced Metafiles (.emf) to Windows Metafiles (.wmf). You must have the Enhanced Metafile filter installed to insert an .emf file into a Microsoft Excel workbook as a Microsoft Clip Gallery object or a Microsoft Photo Editor object. However, to insert an .emf file directly into a Microsoft Excel workbook, you don't need the Windows Metafile filter.

Note The Enhanced Metafile graphics filter is available only if you installed Microsoft Office.

Graphics Interchange Format (.gif) filter

The Graphics Interchange Format filter (Gifimp32.flt) supports file format versions GIF87a (including interlacing) and GIF89a (including interlacing and transparency).

You don't need the GIF filter to import and export GIF files, nor do you need the filter to save a workbook that contains GIF images as a Web page (*.htm or *.html). You must have the GIF filter installed to import and export GIF images to the Microsoft Clip Gallery and to import pictures into Microsoft Photo Editor. You also need to have the GIF filter installed to export a single chart to a GIF file by using Microsoft Visual Basic for Applications.

You don't need the GIF filter to insert animated GIF images into Excel workbooks. When you save a workbook that contains an animated GIF image as a Web page, the animation is preserved. You cannot perform certain editing operations — such as cropping or changing the fill, border, or shadow — on an animated GIF image. Make these changes in an animated GIF editing program, and then insert the file again.

The GIF filter imports only the first image of a multi-image GIF file.

JPEG File Interchange Format file

The Joint Photographic Experts Group (JPEG) graphics filter (Jpegim32.flt) supports Version 6.0 of the JPEG File Interchange Format (JFIF). The filter supports cyan-magenta-yellow-black (CMYK) JPEG files. You must have the JPEG filter installed to insert a JPEG file into a Microsoft Excel workbook as a Microsoft Clip Gallery object or a Microsoft Photo Editor object. The JPEG filter is also used to export a single chart to a JPEG file by using Microsoft Visual Basic for Applications. However, to insert a JPEG file directly into a Microsoft Excel workbook, you don't need the JPEG filter.

The filter does not support JPEG Tagged Interchange Format (JTIF) files.

Kodak Photo CD (.pcd) graphics filter

The Photo CD graphics filter supports Kodak Photo CD Version 3.0. The Photo CD graphics file format stores multiple images with different resolution and color depth, and the filter must choose one of the images when you import a Kodak Photo CD file. When you import a Kodak Photo CD file, an Options dialog box appears so you can select the resolution, orientation, and color depth of the image before importing. By default, the filter imports an image with 768 x 512 pixels and 24-bit color depth.

If you install the filter during Setup, the following files are installed: Pcdimp32.flt and Pcdlib32.dll.

Macintosh PICT (.pct) graphics filter

The Macintosh PICT graphics filter (Pictim32.flt) is used to import Macintosh PICT graphics. Rename your Macintosh PICT files with the .pct extension when you copy them to a computer that uses Microsoft Windows so that Microsoft Office for Windows can recognize the files as PICT graphics. For example, if you have a graphics file named Bear on the Macintosh, you should rename the file to Bear.pct before you insert the file into a file for Windows.

PC Paintbrush (.pcx) graphics filter

The PC Paintbrush graphics filter (Pcximp32.flt) supports all versions of the .pcx file format through ZSoft Version 3.0, with support for 256-color images. This is the common interchange format used by Microsoft Windows Paintbrush.

Tagged Image File Format (TIFF) graphics filter

The Tagged Image File Format (TIFF) graphics filter (Tiffim32.flt) supports all image types and compressions that conform to TIFF Specification Revision 5.0 and 6.0, Part1: Baseline TIFF. These types include monochrome, grayscale, palette color, and RGB Full Color images. The filter handles a single 8-bit alpha channel stored with an RGB Full Color image. The TIFF filter also supports the TIFF Extension for CMYK images.

Only the first image of a TIFF file with multiple images (sub files) is imported.

Windows Bitmap (.bmp, .rle, .dib) files

The Windows Bitmap graphics filter (Bmpimp32.flt) supports Windows and OS/2 bitmaps, Run Length Encoded (RLE) bitmaps, and device-independent bitmaps (DIB). You must have the Windows Bitmap filter installed to insert a bitmap file into a Microsoft Excel workbook as a Microsoft Clip Gallery object or a Photo Editor object. However, to insert a bitmap file directly into a Microsoft Excel workbook, you don't need the Windows Bitmap filter.

Note The Windows Bitmap graphics filter is available only if you installed Microsoft Office.

Windows Metafile (.wmf)

The Windows Metafile graphics filter (Wmfimp32.flt) supports the Windows Metafile format. You must have the Windows Metafile filter installed to insert a Windows Metafile into a Microsoft Excel workbook as a Microsoft Clip Gallery object. However, to insert a Windows Metafile directly into a Microsoft Excel workbook, you don't need the Windows Metafile filter.

Note The Windows Metafile graphics filter is available only if you installed Microsoft Office.

WordPerfect Graphics (.wpg) import filter

The WordPerfect Graphics import filter (Wpgimp32.flt) supports WordPerfect Graphics Versions 1.0, 1.0e, and 2.0, which correspond to WordPerfect Version 6.x and earlier. For .wpg images created in DrawPerfect, the picture frame size is the size of the screen.

This filter has the following limitations:

  • PostScript information is lost in Encapsulated PostScript images embedded in WordPerfect Graphics files.
  • WordPerfect Graphics files with large, embedded bitmaps might not appear properly on computers that use the Mach series video drivers from ATI. If you think you have this problem, try running Microsoft Windows Setup and changing your video driver to the 8514/a drivers supplied with Windows.

Hanako (.jsh, jah, and .jbh) graphics filters

The Hanako graphics filter is used for the Japanese language version of Microsoft Office 2000.

The Hanako graphics filter (Jshimp.flt, Jahimp.flt, and Jbhimp.flt) supports and converts .jsh, .jah, and .jbh files from Hanako 2.0 and 3.0 to the Microsoft Windows Metafile format.

The filter has the following limitations:

  • Image data will be deleted when the files are opened.
  • Files with large amounts of data might take time to convert, or might not convert. If this occurs, delete any unnecessary data or objects, or resave the file as multiple files, and then try reopening the files.
  • Complex text formatting or image properties that can't be expressed in the Windows Metafile format will be deleted or simplified when the file is opened. This might affect the alignment of text or images.

FlashPix (.fpx) graphics filter

The FlashPix graphics filter (Fpx32.flt) allows you to import FlashPix (FPX), PhotoDraw, and Picture It! (MIX) pictures into a file.

Other graphics filters

From the Microsoft Office web site, you can download other graphics filters that allow you to insert many popular graphics file formats into your documents. For more information, go to the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can return switch back to Help at any time.

You can also go to the Microsoft Office web site at any time by clicking Office on the Web on the Help menu.


About correcting formulas

Microsoft Excel has several different tools to help you find and correct problems with formulas.

Watch Window

Enables you to watch cells and their formulas on the Watch Window toolbar, even when the cells are out of view.

Watch Window

This toolbar can be moved or docked like any other toolbar. For example, you can dock it on the bottom of the window. The toolbar keeps track of the following properties of a cell: workbook, sheet, name, cell, value, and formula.

You can only have one watch per cell.

Formula error checker

Like a grammar checker, Excel uses certain rules to check for problems in formulas. These rules do not guarantee that your spreadsheet is problem-free, but they can go a long way to finding common mistakes. You can turn these rules on or off individually.

Problems can be reviewed in two ways: one at a time like a spelling checker, or immediately on the worksheet as you work. A triangle appears in the top-left corner of the cell when a problem is found. Both methods present the same options.

Cell with a formula problem

Cell with a formula problem

A problem can be resolved using the options that appear, or it can be ignored. If a problem is ignored, it does not appear in further error checks. However, all previously ignored errors can be reset so that they appear again.

The rules and what they check for

Evaluates to error value The formula does not use the expected syntax, arguments, or data types. Error values include #DIV/0!, #N/A, #NAME?, #NULL!, #NUM!, #REF!, and #VALUE!. Each error value has different causes, and is resolved in different ways.

Note If you enter an error value directly in a cell, it is not marked as a problem.

Text date with 2 digit years The cell contains a text date that can be misinterpreted as the wrong century when used in formulas. For example, the date in the formula =YEAR("1/1/31") could be 1931 or 2031. Use this rule to check for ambiguous text dates.

Number stored as text The cell contains numbers stored as text. These usually come from data imported from other sources. Numbers stored as text can cause unexpected sorting behaviors, and it is best to convert them to numbers.

Inconsistent formula in region

The formula does not match the pattern of other formulas near it. In many cases formulas that are adjacent to other formulas only differ in the references used. For example, the formula =SUM(A10:F10) would be noted because the adjacent formulas change by one row, and it changes by 8 rows.

Formulas
=SUM(A1:F1)
=SUM(A2:F2)
=SUM(A10:F10)
=SUM(A4:F4)

If the references used in a formula are not consistent with those in the adjacent formulas, then the problem is noted.

Formula omits cells in region

The formula may not include a correct reference. If a formula refers to a range of cells, and you add cells to the bottom or right of that range, the references may no longer be correct. The formula does not always automatically update its reference to include the new cells. This rule compares the reference in a formula against adjacent cells. If the adjacent cells contain more numbers (are not blank cells), then the problem is noted.

For example, the formula =SUM(A2:A4) would be noted with this rule, because A6, A7, and A8 are adjacent, and contain data.

Invoice
15,000
9,000
8,000
20,000
5,000
22,500
=SUM(A2:A4)

Unlocked cells contain formulas

The formula is not locked for protection. By default, all cells are locked for protection, so the cell has been set to be unprotected. When a formula is protected it cannot be modified without being unprotected. Check to make sure you do not want the cell protected. Protecting cells that contain formulas prevents them from being changed, and can help avoid future errors.

Formulas refer to empty cells

The formula contains a reference to an empty cell. This can cause unintended results, as in the following example.

Suppose you want to take the average of the numbers below. If the third cell down is blank, then the result is 22.75. If the third cell down contains 0, then the result is 18.2.

Data
24
12
45
10
Formula
=AVERAGE(A2:A6)

Formula Auditing toolbar

Use the Formula Auditing toolbar to graphically display, or trace, the relationships between cells and formulas with blue arrows. You can trace the precedents (the cells that provide data to a specific cell) or you can trace the dependents (the cells that depend on the value in a specific cell).

Worksheet with tracer arrows

Worksheet with tracer arrows

Evaluate Formula

You can see the different parts of a nested formula evaluated in the order the formula is calculated by using the Evaluate Formula dialog box (Formula Auditing toolbar). For example, you can see this in the following formula where the function AVERAGE(F2:F5) is shown as its value 80.

=IF(AVERAGE(F2:F5)>50,SUM(G2:G5),0) as

=IF(80>50,SUM(G2:G5),0)

Notes

  • Some parts of formulas that use the IF and CHOOSE functions are not evaluated, and #N/A is displayed in the Evaluation box.
  • If a reference is blank, a zero value (0) is displayed in the Evaluation box.
  • The following functions are recalculated each time the worksheet changes, and can cause the Evaluate Formula to give results different from what appears in the cell. RAND, AREAS, INDEX, OFFSET, CELL, INDIRECT, ROWS, COLUMNS, NOW, TODAY, RANDBETWEEN.


Add dates

Add a number of days to a date

Use the addition (+) operator to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Date | Days to add
6/9/2007 | 3
=TODAY() | 5
12/10/2008 | 54
Formula | Description (Result)
=A2+B2 | Add 3 days to 6/9/2007 (6/12/2007)
=A3+B3 | Add 5 days to the current day (varies)
=A4+B4 | Add 54 days to 12/10/2008 (2/2/2009)

Add a number of months to a date

Use the DATE, YEAR, MONTH, and DAY functions to do this task.

Worksheet example

This example can be copied on to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Date | Months to add
6/9/2007 | 3
9/2/2007 | 5
12/10/2008 | 25
Formula | Description (Result)
=DATE(YEAR(A2),MONTH(A2)+B2,DAY(A2)) | Add 3 months to 6/9/2007 (9/9/2007)
=DATE(YEAR(A3),MONTH(A3)+B3,DAY(A3)) | Add 5 months to 9/2/2007 (2/2/2008)
=DATE(YEAR(A4),MONTH(A4)+B4,DAY(A4)) | Add 25 months to 12/10/2008 (1/10/2011)

Function details

DATE

YEAR

MONTH

DAY

Add a number of years to a date

Use the DATE, YEAR, MONTH, and DAY functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Date | Years to add
6/9/2007 | 3
9/2/2007 | 5
12/10/2008 | 25
Formula | Description (Result)
=DATE(YEAR(A2)+B2,MONTH(A2),DAY(A2)) | Add 3 years to 6/9/2007 (6/9/2010)
=DATE(YEAR(A3)+B3,MONTH(A3),DAY(A3)) | Add 5 years to 9/2/2007 (9/2/2012)
=DATE(YEAR(A4)+B4,MONTH(A4),DAY(A4)) | Add 25 years to 12/10/2008 (12/10/2033)

Function details

DATE

YEAR

MONTH

DAY

Add a combination of days, months, and years to a date

Use the DATE, YEAR, MONTH, and DAY functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Date
6/9/2007
Formula | Description (Result)
=DATE(YEAR(A2)+3,MONTH(A2)+1,DAY(A2)+5) | Add 3 years, 1 month, and 5 days to 6/9/2007 (7/14/2010)
=DATE(YEAR(A2)+1,MONTH(A2)+7,DAY(A2)+5) | Add 1 year, 7 months, and 5 days to 6/9/2007 (1/14/2009)

The formula above has the following arguments.

Formula to add dates

Formula to add dates

1 start_date: a date or reference to a cell that contains a date

2 add_year: the number of years to be added

3 add_month: the number of months to be added

4 add_day: the number of days to be added

Function details

DATE

YEAR

MONTH

DAY


Add numbers

Add numbers

You can add numbers as you type them into a cell. For example, type =5+10 in a cell to display the result 15.

Add all numbers in a contiguous row or column

Use AutoSum [image] to do this task.

  1. Click a cell below the column of numbers or to the right of the row of numbers.
  2. Click AutoSum [image] on the Standard toolbar, and then press ENTER.

Add numbers that are not in a contiguous row or column

You can use the SUM function to do this task as in the following example.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Salesperson | Invoice
Buchanan | 15,000
Buchanan | 9,000
Suyama | 8,000
Suyama | 20,000
Buchanan | 5,000
Dodsworth | 22,500
Formula | Description (Result)
=SUM(B2:B3, B5) | Adds 2 invoices from Buchanan, and one from Suyama (44,000)
=SUM(B2,B5,B7) | Adds individual invoices from Buchanan, Suyama, and Dodsworth (57,500)

Note The SUM function can include up to 30 cell or range references.

For more information, see the SUM function.

Add numbers based on one condition

You can use the SUMIF function to create a total value for one range based on a value in another range, as in the following example.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Salesperson | Invoice
Buchanan | 15,000
Buchanan | 9,000
Suyama | 8,000
Suyama | 20,000
Buchanan | 5,000
Dodsworth | 22,500
Formula | Description (Result)
=SUMIF(A2:A7,"Buchanan",B2:B7) | Sum of invoices for Buchanan (29000)
=SUMIF(B2:B7,">=9000",B2:B7) | Sum of large invoices greater than or equal to 9,000 (66500)
=SUMIF(B2:B7,"<9000",B2:B7) | Sum of small invoices less than 9,000 (13000)

The SUMIF function uses the following arguments

Formula with SUMIF function

Formula with SUMIF function

1 Range to evaluate: check these cells to determine whether a row meets your criteria.

2 Criteria: the condition that the cells you evaluate must meet for the row to be included in the sum.

3 Range to sum: add the numbers in these cells, provided the row satisfies the condition.

For more information, see the SUMIF function.

Add numbers based on multiple conditions

You can use the IF and SUM functions to do this task, as in the following example.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A | B | C | D
Region | Salesperson | Type | Sales
South | Buchanan | Beverages | 3571
West | Davolio | Dairy | 3338
East | Suyama | Beverages | 5122
North | Suyama | Dairy | 6239
South | Dodsworth | Produce | 8677
South | Davolio | Meat | 450
South | Davolio | Meat | 7673
East | Suyama | Produce | 664
North | Davolio | Produce | 1500
South | Dodsworth | Meat | 6596
Formula | Description (Result)
=SUM(IF((A2:A11="South")*(C2:C11="Meat"),D2:D11)) | Sum of Meat sales in the South region (14719)
=SUM(IF((A2:A11="South")+(A2:A11="East"),D2:D11)) | Sum of sales where the region is South or East (32753)

Note The formulas in the example must be entered as array formulas. After copying the example to a blank worksheet, select the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the error #VALUE! is returned.

For more information, see the functions SUM and IF functions.

Add numbers based on criteria stored in a separate range

You can use the DSUM function to do this task, as in the following example.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A | B | C | D
Region | Salesperson | Type | Sales
South | Buchanan | Beverages | 3571
West | Davolio | Dairy | 3338
East | Suyama | Beverages | 5122
North | Suyama | Dairy | 6239
South | Dodsworth | Produce | 8677
South | Davolio | Meat | 450
South | Davolio | Meat | 7673
East | Suyama | Produce | 664
North | Davolio | Produce | 1500
South | Dodsworth | Meat | 6596
Region | Salesperson | Type | Sales
South |  | Meat |
 |  | Produce |
Formula | Description (Result)
=DSUM(A1:D11, "Sales", A12:D13) | Sum of Meat sales in the South region (14719)
=DSUM(A1:D11, "Sales", A12:D14) | Sum of Meat and Produce sales in the South region (25560)

The DSUM function uses the following arguments.

Formula with DSUM function

1 Range to evaluate: the list from which you want to sum.

2 Field: the label of the column to sum.

3 Criteria: is the range of cells that contains the conditions.

For more information. see the DSUM function.

Add numbers based on multiple conditions with the Conditional Sum Wizard

If you want to summarize values in a list based on specific conditions, you can use the Conditional Sum Wizard. For example, if your list contains sales amounts for different salespeople, the Conditional Sum Wizard add-in program can help you create a formula that calculates the total sales amount for one salesperson.

  1. Click a cell in the list.
  2. On the Tools menu, point to Wizard, and then click Conditional Sum.

    If the Conditional Sum command is not on the Wizard submenu on the Tools menu, you need to load the Conditional Sum Wizard add-in program.

    How?

    1. On the Tools menu, click Add-Ins.

    2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    4. If necessary, follow the instructions in the setup program.
  3. Follow the instructions in the wizard.

Note The formulas created by the Conditional Sum Wizard are array formulas. After you edit these formulas, you must press CTRL+SHIFT+ENTER to lock in the formulas.


Add times

For times entered in the standard time format (hours : minutes : seconds)

For this method to work, hours can never exceed 24, minutes can ever exceed 60, and seconds can never exceed 60.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Hours worked
1:35
8:30
3:00
4:15
8:00
Formula | Description (Result)
=SUM(A2:A5) | Total hours worked when the total is less than a day (17:20)
=SUM(A2:A6)*24 | Total hours worked when the total is greater than a day (25.33333).

Notes

  • To view the second formula as a number, select the cell and click Cells on the Format menu. Click the Number tab, and then click General in the Category box.
  • If the time you are adding contain seconds, format the cell with time format that displays seconds. Select the cell and click Cells on the Format menu. Click the Number tab, and then click Time in the Category box.

Function details

SUM

For times entered as a number in a single time unit

Use the TIME function to manipulate a part of a time — such as the hour or minute — within a formula.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B | C
Time | Description | Amount
10:35:00 AM | Hours | 2
10:35:00 AM | Minutes | 10
10:35:00 AM | Seconds | 30
Formula | Description (Result)
=A2+TIME(C2,0,0) | Add 2 hours to the time above (12:35:00 PM)
=A3+TIME(0,C3,0) | Add 10 minutes to the time above (10:45:00 AM)
=A4+TIME(0,0,C4) | Add 30 seconds to the time above (10:35:30 AM)

Functions details

TIME


Calculate the average of numbers

The average is also called the mean.

Calculate the average of numbers in a contiguous row or column

  1. Click a cell below or to the right of the numbers for which you want to find the average.
  2. Click the arrow next to AutoSum [image] on the Standard toolbar, and then click Average, and then press ENTER.

Calculate the average of numbers not in a contiguous row or column

Use the AVERAGE function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A
Data
10
7
9
27
0
4
Formula | Description (Result)
=AVERAGE(A2:A7) | Averages all of numbers in list above (9.5)
=AVERAGE(A2:A4,A7) | Averages the top three and the last number in the list (7.5)
=AVERAGE(IF(A2:A7<>0, A2:A7,"")) | Averages the numbers in the list except those that contain zero, such as cell A6 (11.4)

Note The last formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the cell A11. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the error #VALUE! is returned.

Function details

AVERAGE

Calculate a weighted average

Use the SUMPRODUCT and SUM functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.

This example calculates the average price paid for a unit across three purchases, where each purchase is for a different number of units at a different price per unit.

1
2
3
4
A | B
Price per unit | Number of units
20 | 500
25 | 750
35 | 200
Formula | Description (Result)
=SUMPRODUCT(A2:A4,B2:B4)/SUM(B2:B4) | Divides the total cost of all three orders by the total number of units ordered (24.66)

Function details

SUM

SUMPRODUCT

Calculate the average of numbers, ignoring zero (0) values

Use the AVERAGE and IF functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A
Data
10
7
9
27
0
4
Formula | Description (Result)
=AVERAGE(IF(A2:A7<>0, A2:A7,"")) | Averages the numbers in the list except those that contain zero, such as cell A6 (11.4)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the cell A9. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the error #VALUE! is returned.

Function details

AVERAGE

IF


Calculate the difference between two dates

Calculate the number of days between two dates

Use the subtraction (-) operator or the NETWORKDAYS function to do this task.

If this function is not available, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Date
6/8/2007
6/20/2007
Formula | Description
=A3-A2 | Days between the two dates (12)
=NETWORKDAYS(A2,A3) | Weekdays between the two dates (9)

Note To view the dates as numbers, select the cell and click Cells on the Format menu. Click the Number tab, and then click Number in the Category box.

Function details

NETWORKDAYS

Calculate the number of months between two dates

Use the MONTH and YEAR functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Date
6/9/2007
9/2/2007
12/10/2008
Formula | Description (Result)
=MONTH(A3)-MONTH(A2) | Months occurring between two dates in the same year (3)
=(YEAR(A4)-YEAR(A3))*12+MONTH(A4)-MONTH(A3) | Months occurring between two dates over a year apart (15)

Note To view the dates as numbers, select the cell and click Cells on the Format menu. Click the Number tab, and then click Number in the Category box.

Function details

MONTH

YEAR

Calculate the number of years between two dates

Use the YEAR function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Date
6/9/2007
6/4/2010
Formula | Description (Result)
=YEAR(A3)-YEAR(A2) | Years occurring between two dates (3)

Notes

  • To view the dates as numbers, select the cell and click Cells on the Format menu. Click the Number tab, and then click Number in the Category box.
  • You cannot subtract a date that is later than another date, or the error #### appears in the cell.

Function details

YEAR


Calculate the median of a group of numbers

Use the MEDIAN function to do this task. The median is the value at the center of an ordered range of numbers.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A
Data
10
7
9
27
0
4
Formula | Description (Result)
=MEDIAN(A2:A7) | Median of numbers in list above (8)

Function details

MEDIAN


Calculate the smallest or largest number in a range

If the cells are in a contiguous row or column

  1. Select a cell below or to the right of the numbers for which you want to find the smallest number
  2. Click the arrow next to AutoSum [image], and then click Min (calculates the smallest), or Max (calculates the largest), and then press ENTER.

If the cells are not in a contiguous row or column

Use the MIN, MAX, SMALL, or LARGE functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A
Data
10
7
9
27
0
4
Formula | Description (Result)
=MIN(A2:A7) | Smallest number in the range (0)
=MAX(A2:A7) | Largest number in the range (27)
=SMALL(A2:A7, 2) | Second smallest number in the range (4)
=LARGE(A2:A7,3) | Third largest number in the range (9)

Function details

LARGE

MAX

MIN

SMALL


Calculate the difference between two times

For presenting the result in the standard time format (hours : minutes : seconds )

Use the subtraction operator (-) to find the difference between times, and the TEXT function to format the times.

Hours never exceed 24, minutes never exceed 60, and seconds never exceed 60.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Start time | End time
6/9/2007 10:35 AM | 6/9/2007 3:30 PM
Formula | Description (Result)
=TEXT(B2-A2,"h") | Hours between two times (4)
=TEXT(B2-A2,"h:mm") | Hours and minutes between two times (4:55)
=TEXT(B2-A2,"h:mm:ss") | Hours and seconds between two times (4:55:00)

Note You can also apply the time and date number format without using the TEXT function to specify the format. However, if you use both a format applied with the TEXT function and number format, the TEXT function takes precedence.

Function details

TEXT

For presenting the result in a total based on one time unit (120 minutes)

Use the INT function, or HOUR, MINUTE, and SECOND functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Start time | End time
6/9/2007 10:35 AM | 6/10/2007 3:30 PM
Formula | Description (Result)
=INT((B2-A2)*24) | Total hours between two times (28)
=(B2-A2)*1440 | Total minutes between two times (1735)
=(B2-A2)*86400 | Total seconds between two times (104100)
=HOUR(B2-A2) | Hours between two times, when the difference does not exceed 24. (4)
=MINUTE(B2-A2) | Minutes between two times, when the difference does not exceed 60. (55)
=SECOND(B2-A2) | Seconds between two times, when the difference does not exceed 60. (0)

Function details

INT

HOUR

MINUTE

SECOND


Change the case of text

Use the UPPER, LOWER, or PROPER functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Name
nancy Davolio
Formula | Description (Result)
=UPPER(A2) | Changes text to all UPPERCASE (NANCY DAVOLIO)
=LOWER(A2) | Changes text to all lowercase (nancy davolio)
=PROPER(A2) | Changes text to Title Case (Nancy Davolio)

Function details

UPPER

LOWER

PROPER


Change which cell is selected next

When you press ENTER to finish working in a cell, Microsoft Excel moves you to an adjacent cell or leaves you in the current cell.

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. To move to an adjacent cell, select the Move selection after Enter check box, and then select a direction in the Direction box. To stay in the current cell, clear the check box.


Check if a number is greater than or less than another number

Use the IF function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
15,000
9,000
8,000
Formula | Description (Result)
=A2>A3 | Is A2 greater than number in A3? (TRUE)
=IF(A3<=A4, "OK","Not OK") | Is A3 less than or equal to the number in A4? (Not OK)

Functions details

IF


Check if a cell contains text

Check if a cell has any text in it

Use the ISTEXT function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
Davolio
123
Formula | Description
=ISTEXT(A2) | Checks to see if cell A2 has text (TRUE)
=ISTEXT(A3) | Checks to see if cell A3 has text (FALSE)

Function details

ISTEXT

Check if cell contents matches specific text, and return a value

Use the IF function to do this task. The IF function returns results you specify.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
Davolio
Formula | Description
=IF(A2="Davolio","OK", "Not OK") | Checks to see if A2 is Davolio (OK)
=IF(A2="Buchanan", TRUE, FALSE) | Checks to see if A2 is Buchanan (FALSE)

Function details

IF

Filter a list for rows that contain specific text

  1. Click a cell in the list you want to filter.
  2. On the Data menu, point to Filter, and then click AutoFilter.
  3. Click the arrow Field arrow in the column that contains the numbers, and click (Custom).
  4. In the box on the left, click equals, or does not equal, contains, or does not contain.
  5. In the box on the right, enter the text you want.
  6. If you need to find text values that share some characters but not others, use a wildcard character.

    How?

    The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

    Use To find
    ? (question mark) Any single character
    For example, sm?th finds "smith" and "smyth"
    * (asterisk) Any number of characters
    For example, *east finds "Northeast" and "Southeast"
    ~ (tilde) followed by ?, *, or ~ A question mark, asterisk, or tilde
    For example, fy91~? finds "fy91?"

Check if part of a cell matches specific text, and return a value

Use the IF, FIND, SEARCH and ISNUMBER functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
Davolio
BD123
Formula | Description (Result)
=IF(ISNUMBER(FIND("v",A2)),"OK", "Not OK") | Checks to see if A2 contain the letter v (OK)
=ISNUMBER(FIND("BD",A3)) | Checks to see if A3 contains BD (TRUE)

The formula above uses the following arguments.

Formula to check for text

Formula to check for text

1 search_for: is what you want to check for

2 to_search: the cell that has the text you want to check

Note The FIND function is case sensitive. Use the SEARCH function in place of the the FIND function if you want to ignore case.

Function details

IF

ISNUMBER

FIND

SEARCH

Find cells that contain text

  1. Select the range of cells you want to search.

    If you want to search the entire worksheet, click any cell.

  2. On the Edit menu, click Find.
  3. In the Find what box, enter the text or numbers you want to search for or choose a recent search from the Find what drop down box.

    Note You can use wildcard characters in your search criteria.

  4. If you want to specify a format for your search, click Format and make your selections in the Find Format dialog box.

  5. Click Options to further define your search. For example, you can search for all of the cells that contain the same kind of data, such as formulas.

    In the Within box, you can select Sheet or Workbook to search a worksheet or an entire workbook.

  6. Click Find All or Find Next.

    Find All lists every occurrence of the item you are searching for and allows you to make a cell active by selecting a specific occurrence. You can sort the results of a Find All search by clicking a header.

Note To cancel a search in progress, press ESC.

Tip

To find data in a list, you can use filters to display only the rows that contain the desired data. For example, in a list that includes international sales data, you can display just domestic sales.


Check status of and fix links

  1. On the Edit menu, click Links.

    The Links command is unavailable if your file does not contain linked information.

  2. Click Check Status to update the status for all links in the list. This may take a while if there are a lot of links, or if the source workbook for the links is on a network location, and the network is slow.

  3. Check the status in the Status column, select the link, and then take the action needed.

    OK No action required, the link is working and up to date.

    Unknown Click Check Status to update the status for all links in the list.

    Not applicable The link uses Object Linking and Embedding (OLE) or Dynamic Data Exchange (DDE). Microsoft Excel cannot check the status of these types of links.

    Error: Source not found Click Change Source, and select another workbook.

    Error: Worksheet not found Click Change Source, and then select another worksheet. The source may have been moved or renamed.

    Warning: Values not updated Click Update Values. The link was not updated when the workbook was opened.

    Warning: Source not recalculated Click Open Source, and calculate the workbook by pressing F9. The workbook may be set to manual calculation. To set to automatic calculation, on the Tools menu, click Options, select the Calculation tab, and then click Automatic.

    Warning: Undefined or non-rectangular name Some names cannot be resolved until the source workbook is opened. Click Open Source, switch back to the destination workbook, and click Check Status. If this does not resolve the problem, make sure the name is not misspelled or missing. Switch to the source workbook, and then on the Insert menu, point to Name, and then click Define, and look for the name.

    Warning: Open source to update values Click Open Source. The link cannot be updated until the source is open.

    Source is open The source is open. No action required unless worksheet errors are present.

    Values updated from filename No action required, the values have been updated.

    Warning: Status indeterminate Excel cannot determine the status of the link. The source may contain no worksheets, or be saved in an unsupported file format. Click Update Values.


Troubleshoot PivotTable reports

Creating a report

An 'insufficient memory' message appears.

Check the memory use setting

  1. Click OK in the message dialog box.

  2. Create the report again, and in step 3 of the PivotTable and PivotChart Wizard, click Options.

  3. Select the Optimize memory check box.

Use page fields to save memory If you still can't create the report, set up one or more of the page fields to retrieve the data as you select each item.

  1. In step 3 of the wizard, click Layout.

  2. Drag one or more fields to the PAGE area.

  3. Double-click each page field.

  4. Click Advanced.

  5. Click Query external data source as you select each page field item.

Simplify the report The number of fields you can add depends on the amount of memory in your computer and the amount of source data used for the report. When you want to use a large number of fields, add them as row fields or page fields. Page fields use the least memory. Row fields use less memory than column fields.

Base multiple reports for the same data on one report When you create a PivotTable report, Microsoft Excel creates a storage area in memory for the report. If you plan to create several reports from the same source data, select Another PivotTable report or PivotChart report in step 1 of the wizard so that the reports all use the same storage area.

Simplify the file Reduce the number of reports in the workbook.

Create the report in a separate file If your report is based on worksheet data, create the report in a different workbook from the workbook that contains the data. That way, the original data and the report do not have to be in memory at the same time.

Step 2 of the PivotTable and PivotChart Wizard doesn't list the report I want.

Check the location of the report The wizard lists only the reports in the workbook where you started the wizard. If the report you want to use as the source is in a different workbook, copy the report into the active workbook.

Check the page field settings The PivotTable report you want may have page fields that are set to query for external data as you select each item. To use a report as the source for another report, its page fields must all be set to retrieve external data for all items at once. Click the source report, double-click each page field, click Advanced, and then check the settings under Page field options.

Importing or pasting from a Web page didn't work right.

Use export instead of copy and paste If you used the Copy command from a PivotTable list on a Web page and then pasted the data into Microsoft Excel, only the cell values are pasted, creating a noninteractive table on the worksheet. To copy the data to Excel as a PivotTable report, use the Export to Microsoft Excel command in the PivotTable list.

Adjust the layout before you export A PivotTable list on a Web page can display detail data at the same time that it displays summarized data. As a result, some layouts possible in a PivotTable list can't be produced in an Excel PivotTable report. For more information about preparing a PivotTable list for export to Excel, click the Help button on the toolbar in the PivotTable list.

I'm having problems with an OLAP data source.

Creating OLAP cubes

Date or time fields have incorrect levels

Check the date or time field in the source database If you don't see the levels you expect in the date or time dimensions in source data from the OLAP Cube Wizard in Microsoft Query, check the date or time field from the underlying relational database that supplied the data for the cube. The database may store dates and times as text instead of a date or time format that the wizard can recognize. If you suspect this is the case, consult the database administrator for the relational database to verify and correct the date or time format for the field.

Check the top level of the dimension When you add date and time fields as lower levels of a dimension, the OLAP Cube Wizard does not automatically break the data out into year/quarter/month/week and hour/minute/second levels. The wizard does this only when you add the date or time field as the top level of a new dimension. If the date or time field is not the top level, modify the cube by opening the .oqy file in Microsoft Query, or contact the person who created the cube to make these changes.

The summary function I want is missing

In the OLAP Cube Wizard, the only summary functions available for data fields are Sum, Count, Min, and Max.

Create the report directly from the database records If you can simplify and reduce your query to where your system can handle the amount of data it returns, try returning the data directly to Microsoft Excel from Microsoft Query without creating a cube. When you create a PivotTable or PivotChart report directly from records in a database, you have access to the full set of PivotTable summary functions (Sum, Count, Average, Max, Min, Product, Count Nums, StdDev, StdDevp, Var, and Varp).

Consider setting up an OLAP server for the database The Microsoft OLAP server product, Microsoft SQL Server OLAP Services, lets you set up a wider range of summary fields than the OLAP client software included in Microsoft Office.

I can't change my OLAP cube

Make sure the original database is available To edit an OLAP cube, you must have access to the original server database that supplied the cube data. Check to make sure the database hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Check for changes to the original database If you used the OLAP Cube Wizard to create the cube from a relational database, tables in the database might have been renamed or deleted so that the cube can no longer locate the original data. Connect to the database in Microsoft Query, and check for any changes to the organization, or schema, of the database. If the database has changed, you'll need to create a new cube.

A 'Data has been lost' message appears

A field you included in the cube is no longer available in the source database.

Check for changes to the original database If the cube is an offline cube file that was created from an OLAP server database, reconnect a report to the server database and check the fields available in the PivotTable Field List window. If the field is no longer available from the server, you can use the Offline OLAP command on the PivotTable menu to create a new offline cube file.

If you created the cube in Microsoft Query, use Query to open the .dqy query file that you used to create the cube, or if you did not keep a .dqy file, create a new query connecting to the original relational database. Check what fields are available. For full instructions, see Help in Microsoft Query. If fields have been removed from the database, you can create a new cube.

Saving the cube file is taking a long time

If you included a large subset of the OLAP data in the cube file, the file may be time consuming to create.

  • To cancel saving the file, click Stop in the Create Cube File – Progress dialog box.

  • To reduce the size of the file, eliminate data that you don't need to view in your report. In step 2 of the Offline Cube Wizard, select only the dimensions and levels within each dimension that you need to see. In step 3, select only the measures that you're using as data fields in the report, and in each dimension eliminate any items you don't need.

I run out of disk space while saving a cube

OLAP databases are designed to manage very large amounts of detailed data, and as a result, the server database might occupy a much larger amount of disk storage than your local hard disk provides. If you specify a large subset of this data for your offline cube file, you might run out of space.

Free up disk space or find another disk Try deleting files you don't need from your disk before saving the cube file. Or try saving the file on a network drive.

Include less data in the offline cube file Consider how you can minimize the amount of data in the file and still have what you need for your PivotTable or PivotChart report. Try the following:

  • Eliminate dimensions In step 2 of the Offline Cube Wizard, select only the dimensions that you actually have displayed as fields in your PivotTable or PivotChart report.

  • Eliminate levels of detail Click the Plus box box next to each selected dimension in step 2 of the wizard, and clear the check boxes for levels lower than those displayed in your report.

  • Eliminate data fields In step 3 of the wizard, click the Plus box box next to Measures, and select only the data fields you're using in the report.

  • Eliminate items of data Click the Plus box box next to each dimension in step 3, and clear the check boxes for items you don't need to see in the report.

Stay connected to the server If you've eliminated all possible data and still cannot save an offline cube file, you'll need to continue using the connection to the server OLAP database to interact with your report.

Using OLAP cubes

Data is missing from my report after I create a cube file

When you selected the contents for the offline cube file, you might have left out some of the data for the fields used in the report. As a result, when you change the report to display different data, data you expected to see isn't available from the offline cube file.

Use the Offline OLAP command on the PivotTable menu to reconnect the report to the server database, and make sure the report displays the data you want to see. Then edit the offline cube file, making sure you include all dimensions, data fields, and levels of detail used in the report.

My report is using fields from the query instead of my cube

If the PivotTable Field List window is showing you the fields from the relational database that you queried to create the cube, you returned the data from your query to Microsoft Excel instead of opening the .oqy file created by the OLAP Cube Wizard. This file stores the cube definition, and if you saved a .cub offline cube file, provides access to that file. If you did not specify a new location for the .oqy file, the file was saved in either my documents\my data sources or winnt\profiles\your user name\my data sources, depending on your version of the Windows operating system.

To base a report on your new cube, click Open on the Excel File menu, click Query Files in the Files of type list, and then locate and double-click the .oqy file. If you want a PivotChart report, click the PivotTable report that's created when you open the .oqy file, and then click Chart Wizard [image] on the PivotTable toolbar.

Data I know is in the database is missing from my cube

Cubes created from OLAP server databases or relational databases don't necessarily include all of the data in the original database. Only the data that you select in the Offline Cube Wizard or OLAP Cube Wizard is included in the cube.

Wait for data retrieval to complete When you change your PivotTable or PivotChart report to display different data, new data is retrieved from the cube. When you refresh the report, new data is retrieved from the original database and the cube is completely reconstructed. This process might take a while.

Check with the person who created the cube If you got the cube from someone else, and the PivotTable Field List window is missing fields that you need or levels of detail that you wanted are unavailable, ask the creator of the cube to change it so that it includes additional data.

Change the contents of an offline cube file If you created the offline cube file in Microsoft Excel from an OLAP server database, use the Offline OLAP command on the PivotTable menu to change the file. Make sure you include all dimensions, data fields, and levels of detail used in the report.

Check the contents of a cube that was created in Query You cannot add data to cubes created with the OLAP Cube Wizard in Microsoft Query, but you can change how the cube is organized and delete data from the cube. If the cube is missing fields from the original relational database, you can create a new cube in Query to include those fields. In Query, open the .dqy file that you used to query the data for the OLAP cube, or create a new query if you did not keep a .dqy file. Add to the query any additional fields that you want in the cube, and then use the Create OLAP Cube command on the Query File menu create a new cube. For full instructions, see Help in Microsoft Query.

New data doesn't appear in my report when I refresh

The offline cube file, or the cube created in Microsoft Query, might not be able to connect with the original server database to retrieve new data.

Make sure the original database is available Check that the original server database that supplied the data for the cube hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Make sure new data is available Check with the database administrator to determine whether the database has been updated in the areas included in your report.

Make sure the database organization hasn't changed If an OLAP server cube has been rebuilt, or a relational database supplying data to a cube has been reorganized, you might need to reorganize your report or create a new offline cube file or OLAP Cube Wizard cube to access the changed data. Contact the database administrator to find out about changes to the database.

Microsoft Excel can't find my offline cube file

The .cub might have been renamed or moved.

Make sure you have the file If someone else gave you the .oqy file you're opening, make sure you also have access to the .cub file.

Browse for the file If you're trying to connect to the offline cube file from the Offline OLAP Settings dialog box, click the Edit offline data file button and then use the Browse button in step 4 of the Create Cube File wizard to locate the file.

Reconnect to the original database If you cannot locate the file, you might be able to reconnect the report to the original OLAP server database. Click the report, click Offline OLAP on the PivotTable menu, and then click On-line OLAP. You can then create a new offline cube file.

Note For further help with problems with OLAP Cube Wizard cubes, see Help in Microsoft Query.

Laying out a report

Data takes a long time to appear when I add a field.

When a report is based on a large amount of external data or an OLAP Cube Wizard data source, delays can be lengthy when you drag fields from the field list onto the worksheet.

Drop data items last Drop fields in the row, column, and page areas first. Drop fields in the data area last. This approach minimizes the amount of data Microsoft Excel has to display for interim steps.

Turn off row and column item display On the PivotTable toolbar, make sure Always Display Items [image] is turned off. The items won't appear as you drag fields to the row and column areas, but will appear once you add a data field.

Use the wizard to change the layout If the response is still too slow, you can return to the PivotTable and PivotChart Wizard to lay out the report. Click the report, click PivotTable and PivotChart Report on the Data menu, and then click Layout.

I can't drag a field.

Check the page field settings If the field you want to drag is set to query for external data as you select each item, the field may be locked in the page position. Double-click the field, click Advanced, and clear the Disable pivoting of this field check box under Page field options. If you drag the field to another area, Microsoft Excel retrieves the external data for all items in the field at once.

Check for OLAP source data In reports with OLAP source data, some fields can be used only as row, column, or page fields. These fields have Dimension field icon icons in the PivotTable Field List window. Fields with Data field icon icons can be used only as data fields.

Check for VBA macros A Visual Basic for Applications (VBA) macro can turn off the ability to change the layout by dragging fields. If the cancel symbol appears over the pointer when you try to drag the field, dragging has been turned off for that field. For help with this case, contact the author of the macros in your workbook.

Check for protection If the worksheet was protected with the Use PivotTable reports check box cleared in the Protect Sheet dialog box, you cannot move fields or make changes. Unprotect the worksheet, or contact the person who protected it.

I can't get data fields in the order I want.

Right-click a data field, point to Order on the shortcut menu, and use the commands on the Order menu to move the field to the position you want.

The field list is missing.

Click the report The list of fields appears only when the report is selected.

Display the field list If you still don't see the field list, click Show Field List [image] on the PivotTable toolbar.

A field doesn't have a dropdown arrow.

Check whether it's the only data field The Data field appears with a dropdown arrow only when you've added two or more data fields to a report.

Check whether the field is in an OLAP dimension In reports with OLAP source data, dimension fields in the row and column areas have an arrow Field arrow in the field button only if the field is the topmost field in the dimension. You can use the arrow in this field to display or hide different levels of detail throughout the dimension.

Check whether upper levels are hidden When upper levels of a dimension are hidden, the topmost field is hidden, and none of the displayed fields have the arrow Field arrow. Right-click any field button for the dimension, and then click Show Levels on the shortcut menu.

The dropdown arrow for a field doesn't work.

On the PivotTable toolbar, click Always Display Items [image]. If you don't want to use this feature, drag a field to the data area. Once you have a field in the data area, the dropdown arrows will work for all fields in the report.

Formatting and customizing a report

Formatting disappears when I refresh or change the layout.

Check the preserve setting Click PivotTable on the PivotTable toolbar, click Table Options, and make sure the Preserve formatting check box is selected.

Cell borders aren't retained Microsoft Excel does not keep cell borders when you change the layout or refresh the report.

Conditional formatting does not work If you try to apply conditional formats to cells in a PivotTable report, you will get unpredictable results.

An AutoFormat changed the layout.

Undo the autoformat Try clicking Undo [image]. If you changed the report to an indented format recently, you may be able to restore it to its previous format and layout.

Move fields Some autoformats change column fields in the report to row fields, and other autoformats change a single row field to a column field. Drag the fields back to their original positions.

Number formatting doesn't match the source data.

Microsoft Excel doesn't use the number formatting from Excel source data in a PivotTable report. By default, numbers are displayed with no decimal places, no 1000 separator, and a minus sign for negative numbers.

To change this format, right-click a cell in the data area, click Field Settings, click Number, and then click the category and options you want. Repeat for each field in the data area.

Renamed numeric items aren't formatted or sorted right.

By default, numeric items in PivotTable fields are formatted to match the type of the underlying source data. For example, an item named 2.0 would get numeric formatting. When you rename a numeric PivotTable item, the item is then formatted as text even if it contains a number. Because Microsoft Excel sorts text separately from numbers, renamed numeric items no longer sort in sequence with the rest of the numbers.

You can reorder the text items manually by dragging them to new positions.

Features I expect to see are missing.

The report may be based on OLAP source data. For example, OLAP databases provide different summary functions as separate data fields, rather than as a PivotTable setting.

To determine whether a report is based on OLAP source data, check the PivotTable Field List window. If the field list has Dimension field icon and Data field icon icons, the report has OLAP source data.

Property fields I selected aren't displayed.

Move the field to the row area In column fields, property fields are displayed only for the lowest level of detail, not for other levels of detail in the report. In row fields, you can display property fields for all levels of detail.

Check the layout setting for the field Double-click the field for which you're displaying property fields, click Layout, and make sure Show items in outline form is selected.

Make sure the level with the property fields is displayed Property fields are associated with specific levels of a dimension field. Right-click the field, and if Show Levels appears on the shortcut menu, levels have been hidden. Click Show Levels to redisplay them. Click the field and then click Show Detail [image] to display additional levels.

Make sure the cube has data for the property fields Check with the administrator for your OLAP server to make sure data is available for the property fields you selected.

Retrieving and refreshing data

A 'PivotTable is invalid' message appears.

Refresh the report For some types of source data, you will see this message when you first try to use a report that was saved as a Web page if a source field has more than one type of data — for example, both text and numbers. Click Refresh Data [image] .

Check the source range If the report is based on worksheet data, make sure that the source data has not been deleted. If the source is a named range and you used the name to specify the source data when you created the report, make sure that the name has not been deleted from the source workbook.

Check the external data source For reports that are based on external data, make sure the database is available and you can connect to it.

Check available memory If a report is not valid when you open a workbook, close any files and quit any programs you don't need so that more memory is available, and then try to open the workbook again.

Wait for the refresh to complete before copying a report When you refresh a report, make sure the refresh is complete and the status bar displays "Ready" before you copy or paste the report into another workbook.

Check the file format If you are opening a report that was created in Microsoft Excel 97, and the report has calculated fields or has a page field that's set to retrieve data for each item individually, make sure you save the report in Excel workbook format (click Save As on the File menu, and click Microsoft Excel Workbook in the Save as type box). Then, if you need to, you can save the workbook in an earlier Excel format.

While a query is running, I can't change my worksheet.

Check whether the area you're editing is being updated While a query is running in the background, you can't change the report you're currently updating, or any other reports based on the report.

Wait for the query to complete, or cancel it To check the progress or cancel a query, double-click the refresh indicator icon in the status bar, and if desired click Stop Refresh.

Run the query in the background On the PivotTable toolbar, click PivotTable, click Table Options, and then select the Background query check box.

Data is missing after refresh.

Set page fields to view all data Select All in every page field before you refresh the report.

If a page field does not include All, either the field is set to query for external data one item at a time, or the source data doesn't include information for an All item. In both cases, the data is refreshed whenever you select a different item.

Check the location of the missing data For reports based on worksheet data, the new data might have been added outside the source range you originally specified, or the source data could have been moved to a new location.

  1. On the Data menu, click PivotTable and PivotChart Report.

  2. Click Back.

  3. Change the source range specification to include the new data or to specify the new location.

  4. Click Finish.

Check that the query is selecting the right data For reports based on external data, review the query in Microsoft Query to make sure it is retrieving the data you want.

Check the cube or cube file If the report is based on a cube created by the OLAP Cube Wizard, open the .oqy file in Microsoft Query and check the contents of the cube to make sure it contains the data you want. If the report is based on a cube file, check the cube file contents: on the PivotTable toolbar, click PivotTable, click Offline OLAP, and then click Edit offline data file. If the report is based on source data from an OLAP server database, contact your database administrator to find out whether the database has changed.

The report looks completely different after refresh, or can't be refreshed.

Check the availability of the source database Make sure you can still connect to the external database and view data.

Check for changes to the source database If the report is based on OLAP source data, changes may have been made to the data available in the cube on the server. Contact the administrator of the OLAP server for more information.

The page field options are unavailable.

Check the type of field The field you selected might not be a page field. These settings are available only for page fields.

Check for external source data The report might not be based on external data. These settings are not available for reports based on worksheet data.

Check for OLAP source data These settings are not available for reports that are based on OLAP source data. The field list has Dimension field icon and Data field icon icons in OLAP-based reports.

Check the data type for the field The page field settings are unavailable for memo fields or fields that contain OLE objects.

Check for parameter query support The ODBC driver for your external database might not support parameter queries. These settings are available only if the driver for your data source supports parameter queries.

The ODBC drivers supplied with Microsoft Query all support parameter queries. To find out whether a third-party driver supports parameter queries, contact your driver vendor.

Check for reports based on another PivotTable report When you base another PivotTable report or more than one PivotChart report on an existing PivotTable report, page field settings are not available for any of the reports.

Check whether the field is grouped Drag the field to the row or column area, right-click any grouped items, click Ungroup, and then drag the field back to the page area to make the page field settings available.

I changed my source data, but the report did not update.

Click the report, and then click Refresh Data [image] on the PivotTable toolbar.

Summarizing and calculating

A data field is using Count instead of Sum.

Check for text or blank items in the field If your data field contains any text values or blank cells, the field uses the Count summary function by default. Double-click the field and click Sum in the Summarize by box.

Check for OLAP source data In reports based on OLAP source data, the available summary functions are determined on the OLAP server, and you cannot change them in the Microsoft Excel report. The field list has Dimension field icon and Data field icon icons in OLAP-based reports.

My formula isn't calculating what I expected.

Calculated fields and calculated items are calculated in different ways. Formulas for calculated fields operate on the sum of the underlying data for any fields referenced in the formula. For example, the formula ='Order Amount' * 1.2 multiplies the sum of the order amounts for each product and salesperson by 1.2; it does not multiply each individual order by 1.2 and then sum the multiplied amounts.

Formulas for calculated items, however, operate on the individual records; the calculated item formula =Seafood * 115% multiplies each individual order for Seafood times 115%, after which the multiplied amounts are summarized together in the data area.

Check the formulas Make sure the formulas for all calculated fields and items in the report are what you intended. To display a list of the formulas, click PivotTable on the PivotTable toolbar, point to Formulas, and then click List Formulas.

Check the order of calculation If you created more than one formula for the cells of a calculated item, make sure the order in which the formulas are calculated is correct: click PivotTable on the PivotTable toolbar, point to Formulas, and then click Solve Order.

I can't change the summary function for a calculated field.

You cannot change the summary function for a calculated field. Calculated fields always use the Sum summary function.

There are asterisks after my totals.

The asterisks indicate that subtotals and grand totals include the values for all items in the field, including any items that you have hidden.

Exclude hidden items from totals On the PivotTable toolbar, click Include Hidden Items in Totals [image].

Turn the asterisks off If you want totals to include hidden items but don't want the asterisks, click PivotTable on the PivotTable toolbar, click Table Options, and then clear the Mark Totals with * check box.


Custom calculations for PivotTable and PivotChart data fields

The following functions are available for custom calculations in data fields.

Function | Result
Difference From | Displays data as the difference from the value of the Base item in the Base field.
% Of | Displays data as a percentage of the value of the Base item in the Base field.
% Difference From | Displays data as the percentage difference from the value of the Base item in the Base field.
Running Total in | Displays the data for successive items in the Base field as a running total.
% Of Row | Displays the data in each row or category as a percentage of the total for the row or category.
% Of Column | Displays all the data in each column or series as a percentage of the total for the column or series.
% Of Total | Displays data as a percentage of the grand total of all the data or data points in the report.
Index | Calculates data as follows: ((value in cell) x (Grand Total of Grand Totals)) / ((Grand Row Total) x (Grand Column Total))


Combine first and last names

Use the CONCATENATE function or the ampersand (&) operator to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
First Name | Last Name
Nancy | Davolio
Andrew | Fuller
Formula | Description (Result)
=A2&" "&B2 | Combines the names above, separated by a space (Nancy Davolio)
=B3&", "&A3 | Combines the names above, separated by a comma (Fuller, Andrew)
=CONCATENATE(A2," ",B2) | Combines the names above, separated by a space (Nancy Davolio)

Note To replace the formula with the results, select the cells, click Copy [image], click Paste [image], click Paste Options [image] , and then click Values Only.

Function details

CONCATENATE


Combine text with a date or time

Use the TEXT function and the & (ampersand) operator to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
Billing Date
5-Jun-2007
Formula | Description (Result)
="Statement date: "&TEXT(A3, "d-mmm-yyyy") | Combine text in a formula with a date (Statement date: 5-Jun-2007)
=A2&" "&TEXT(A3, "mmm-dd-yyyy") | Combine text and date from difference cells into one cell (Billing Date Jun-05-2007)

Note To copy the number format code used in a cell into the formula, select the cell, then click Cells on the on the Format menu. Click the Number tab. In the Category box, click Custom, and then copy the contents of the Type box.

Functions details

TEXT


Compare cell contents

Compare one cell to another cell

Use the EXACT function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
BD122
BD123
BD123
Formula | Description (Result)
=EXACT(A2,A3) | Compare contents of A2 and A3 (FALSE)
=EXACT(A3,A4) | Compare contents of A3 and A4 (TRUE)

Note EXACT is case-sensitive but ignores formatting differences.

Function details

EXACT

Compare one value to a list of values

Use the EXACT and OR functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
List | Cell
Apple | Grape
Orange |
Banana |
Formula | Description (Result)
=OR(EXACT(B2, A2:A4)) | Compares "Grape" to each value in the list (FALSE)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select each formula cell individually. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the error #VALUE! is returned.

The formula above uses the following syntax:

=OR(EXACT(TestValue, CompareRange))

TestValue refers to a cell containing a user-entered value; CompareRange refers to a list of text values to be compared against.

Function details

OR

EXACT


About retrieving PivotTable or PivotChart data one page field item at a time

For large external databases, the queries for your reports can take a long time to return data, or Microsoft Excel may run out of memory or other resources. To prevent these problems, you can have Excel retrieve only the source data needed for the currently displayed page of the report, and retrieve new data when you change the page.

How page fields let you work with more data

Usually Excel retrieves all the data for a report, including data for pages that aren't currently displayed, when you create or refresh the report. When you set up a page field to retrieve data only when you display a new page, you retrieve smaller amounts of data on an as-needed basis. Each time you display a different page field item, the subset of the data for the new item is then retrieved.

You set this option for each page field individually. If you're trying to accommodate a very large amount of data in a report, you can set up as many page fields this way as you need.

How performance is affected

When a page field is set to query page-by-page, the All item summarizing the entire set of data is not available, and the Show Pages command is unavailable. Each time you display a different page, you'll have to wait for the data to be retrieved. If your computer becomes disconnected from the external database, you won't be able to display a different page field item until you can reconnect to the source data. However, this setting does allow you to work with much larger amounts of source data than you could otherwise given your system's limits.

If you query for all the pages at once (the default), this initial retrieval may take longer, but you can then change pages with no delays, because all the data you need is now in memory. You can also display a summary of the entire set of data (the All item) and reorganize the report to use the page fields in other areas. This setting gives you the most versatility when the total amount of data to be retrieved is within your system's limits.

What happens if you move a page field

If you drag a page field that is set to query page-by-page to another position, for example if you try to make it a row field, Excel tries to retrieve the data for all the items, and you may run out of system resources.

When the page-by-page option isn't available

Reports based on source data from OLAP databases automatically query for data on an as-needed basis, and so don't have this option.

The page field must not have any any grouped items; ungroup them to make the option available.

If more than one PivotTable or PivotChart report is based on the same report (you used the Another PivotTable report or PivotChart report option in the wizard), page-by-page retrieval isn't available in any of the reports. For a single PivotChart report and its associated PivotTable report, however, the option is available.

If the ODBC driver for the external database you're querying doesn't support parameter queries, you can't query page-by-page. The ODBC drivers supplied with Microsoft Query all support parameter queries, and third-party driver vendors can tell you whether their drivers have this support.


About controls: when to use ActiveX or Forms toolbar controls

Example of a form with controls

Controls are graphic objects that you place on a form to display or enter data, perform an action, or make the form easier to read. These objects include text boxes, list boxes, option buttons, command buttons, and others. Controls offer users options to select or buttons to click that run macros or Web scripts.

Microsoft Excel has two types of controls. ActiveX controls are appropriate for most situations, and work with both Microsoft Visual Basic for Applications (VBA) macros and Web scripts. Forms toolbar controls are compatible with earlier versions of Excel, beginning with Excel version 5.0, and can be used on XLM macro sheets.

About ActiveX controls

When to use Use an ActiveX control for most online forms, especially when you need to control different events that occur when the control is used. For example, you can add a list box control to a worksheet, and then write a macro to perform different actions depending on which choice a user selects from the list.

What the controls can do ActiveX controls are similar to controls in programming languages such as Microsoft Visual Basic, and are the same controls you can add to custom forms in the Visual Basic Editor. When you add an ActiveX control to a worksheet, you write macro code that refers to the ID number of the control, as opposed to assigning a macro to run when the control is clicked. When a user of the form uses the control, your code then runs to process any events that occur.

What the controls can't do You cannot use ActiveX controls on chart sheets or XLM macro sheets. For these situations, use the Forms toolbar controls. If you want to attach a macro to run directly from a control, use a Forms toolbar control.

ActiveX controls in custom solutions ActiveX controls have properties you can customize. For example, you can specify the appearance of the pointer when a user points to the control. You can write macros that respond to events associated with ActiveX controls. You can use ActiveX controls both on Excel forms and on forms and dialog boxes in VBA programs.

ActiveX controls on Web pages For Excel forms and data that you plan to put on Web pages, you can include ActiveX controls and write Web scripts (rather than macro code) to run when the controls are used in a Web browser. You can write the scripts in VBScript or JavaScript from within Excel by using the Microsoft Script Editor.

Where to find the controls The Control Toolbox is a toolbar that provides ActiveX controls. Some of these controls look the same as the Forms toolbar controls, and others, such as toggle buttons and image controls, are not available on the Forms toolbar. The Control Toolbox also contains custom ActiveX controls installed by other programs, such as the active movie control installed by Microsoft Internet Explorer.

About Forms toolbar controls

When to use Use a control from the Forms toolbar when you want to record all of the macros for a form but do not want to write or modify any macro code in VBA. You can also use Forms toolbar controls on chart sheets.

What the controls can do These controls are designed for use on worksheet forms that other users fill in from Microsoft Excel. You can attach an existing macro to a control or write or record a new macro. When a user of the form clicks the control, the control then runs the macro.

What the controls can't do Forms toolbar controls can't be used to control events, in the way that ActiveX controls can. In addition, Forms toolbar controls can't be used to run Web scripts on Web pages.

Where to find the controls Forms toolbar controls are located on the Forms toolbar.


About add-in programs

Some of the content in this topic may not be applicable to some languages.

Add-ins are programs that add optional commands and features to Microsoft Excel. For example, the Analysis ToolPak add-in program provides a set of data analysis tools that can save steps when you develop complex statistical or engineering analyses.

Excel has three types of add-in programs: Excel add-ins, custom Component Object Model (COM) add-ins, and automation add-ins.

Excel add-ins

Where to get add-ins A set of add-ins is available when you install Excel, and more add-ins are available from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Installing add-ins on your computer Before you can use an add-in, you must first install it on your computer and then load it into Excel. Add-ins (*.xla files) are installed by default in one of the following places:

  • The Library folder or one of its subfolders in the Microsoft Office/Office folder.

  • The Documents and Settings/<user name>/Application Data/Microsoft/AddIns folder.

The administrator for your company's network can designate other locations for add-in programs. See your administrator for more information.

Loading add-ins into Excel After installing an add-in, you must load it into Excel. Loading an add-in makes the feature available in Excel and adds any associated commands to the appropriate menus.

Unloading add-ins from Excel To conserve memory and improve performance, unload add-ins you don't use often. Unloading an add-in removes its features and commands from Excel, but the add-in program remains on your computer so you can easily reload it. When you unload an add-in program, it remains in memory until you restart Excel.

Designing custom Excel add-ins You can use your own Visual Basic programs as custom add-ins. For information about making a Visual Basic program an add-in, see the Microsoft Office XP Developer's Guide, which you can obtain from Microsoft.

COM add-ins

COM add-ins are supplemental programs that provide additional functionality in a variety of programming languages, including Visual Basic, Visual C++, and Visual J++.

Using COM add-ins The developer of a COM add-in usually provides installation and removal programs for the add-in. Contact the person who provided the add-in to you for instructions on how to install and use it.

Designing COM add-ins If you are a developer, you'll find information about designing COM add-ins in Visual Basic Help. While you are developing and testing, you can load or unload a COM add-in in Excel before you have a working installation program for your add-in.

Automation add-ins

Automation add-ins allow COM automation functions to be called from a worksheet.

Using automation add-ins The developer of an automation add-in usually provides installation and removal programs for the add-in. Contact the person who provided the add-in to you for instructions on how to install and use it. Automation add-ins that have been registered on the system can be accessed through the Tools menu.


About charts

Charts are visually appealing and make it easy for users to see comparisons, patterns, and trends in data. For instance, rather than having to analyze several columns of worksheet numbers, you can see at a glance whether sales are falling or rising over quarterly periods, or how the actual sales compare to the projected sales.

Creating charts

You can create a chart on its own sheet or as an embedded object on a worksheet. You can also publish a chart on a Web page. To create a chart, you must first enter the data for the chart on the worksheet. Then select that data and use the Chart Wizard to step through the process of choosing the chart type and the various chart options, or use the Chart toolbar to create a basic chart that you can format later.

Worksheet data and chart

1 Worksheet data

2 Chart created from worksheet data

A PivotChart report is an interactive summary of data in a chart format. It is created differently than regular Microsoft Excel charts. After you create a PivotChart report, you can view different levels of detail or reorganize the layout of the chart by dragging its fields and items.

How worksheet data is represented in a chart

A chart is linked to the worksheet data it's created from and is updated automatically when you change the worksheet data.

How worksheet data appears in a chart

1 Data Marker

2 Major gridline

3 Category names

4 Chart data series names

Data marker Each data marker represents one number from the worksheet. Data markers with the same pattern represent one data series. In the example above, the rightmost data marker represents the Qtr2 Actual value of 99.

Major gridline Microsoft Excel creates axis values from the worksheet data. Note that the axis values in the example above range from 0 to 120, which encompasses the range of values on the worksheet. Major gridlines mark the major intervals on the axis. You can also display minor gridlines on a chart, which mark the intervals between the major intervals.

Category names Excel uses column or row headings in the worksheet data for category axis names. In the example above, the worksheet row headings QTR1 and QTR2 appear as category axis names.

Chart data series names Excel also uses column or row headings in the worksheet data for series names. Series names appear in the chart legend. In the example above, the row headings Projected and Actual appear as series names.

Chart Tips When you rest your pointer over a chart item, a chart tip containing the name of the item appears. For example, when you rest the pointer over a legend, a chart tip that contains the word Legend appears.

Embedded charts and chart sheets

You can create a chart on its own chart sheet or as an embedded chart on a worksheet. Either way, the chart is linked to the source data on the worksheet, which means the chart is updated when you update the worksheet data.

Embedded charts An embedded chart is considered a graphic object and is saved as part of the worksheet on which it is created. Use embedded charts when you want to display or print one or more charts with your worksheet data.

Chart sheets A chart sheet is a separate sheet within your workbook that has its own sheet name. Use a chart sheet when you want to view or edit large or complex charts separately from the worksheet data or when you want to preserve screen space as you work on the worksheet.

A chart sheet.


About consolidating data

To consolidate data, you combine the values from several ranges of data. For example, if you have a worksheet of expense figures for each of your regional offices, you might use a consolidation to roll these figures into a corporate expense worksheet.

Excel provides several ways to consolidate data. The most flexible method is to create formulas that refer to cells in each range of data that you're combining. Formulas that refer to cells on multiple worksheets are called 3-D formulas.

Using 3-D formulas

When you use 3-D references in formulas, there are no restrictions on the layout of the separate ranges of data. You can change the consolidation any way you need to. The consolidation updates automatically when the data in the source ranges changes.

Use formulas to combine data In the following example, the formula in cell A2 adds three numbers that are located in different positions on three different worksheets.

Formula to consolidate cells from three worksheets

Add data to a consolidation with 3-D references When all of your source worksheets have the same layout, you can use a range of sheet names in 3-D formulas. To add another worksheet to the consolidation, just move the sheet into the range your formula refers to.

Inserting another sheet in a consolidation

Consolidating by position

Consolidate by position when the data in all source areas is arranged in identical order and location; for example, if you have data from a series of worksheets that were created from the same template, you can consolidate the data by position.

You can set up the consolidation to update automatically when the source data changes, but you won't be able to change which cells and ranges are included in the consolidation. Or you can update the consolidation manually, allowing you to change the included cells and ranges.

Consolidating by category

Consolidate by category when you want to summarize a set of worksheets that have the same row and column labels but organize the data differently. This method combines data that has matching labels from each worksheet.

You can set up the consolidation to update automatically when the source data changes, but you won't be able to change which cells and ranges are included in the consolidation. Alternatively, you can update the consolidation manually, allowing you to change the included cells and ranges.

Other ways to combine data

You can create a PivotTable report from multiple consolidation ranges. This method is similar to consolidating by category but offers more flexibility to reorganize the categories.

If you are entering data in a series of worksheet forms that are based on the same template, and you want to combine the data from the forms on a single worksheet, consider using the Template Wizard with Data Tracking.


About forms

Example of an Excel form

Microsoft Excel works with several types of forms. You can use forms provided with Excel to enter data in Excel lists or other databases. You can design forms to print out or use online, including forms you open in Excel and forms you put on Web pages. To capture and organize the data on your online forms, you can use an Excel workbook or another program or database.

Built-in forms for Excel lists For lists on Excel worksheets, you can display a data form that lets you enter new data, find rows based on cell contents, update the data, and delete rows from the list.

Ready-made forms for common business tasks Excel provides Spreadsheet Solutions: ready-made templates to help you create expense statements, invoices, and purchase orders. These templates also allow you to store the information entered into the forms in a database.

Designing your own form in Excel You can create Excel forms to print out or use online. Online forms can include controls, such as option buttons and dropdown lists. You can protect an online form so that only certain cells are available for data entry, and you can validate the data to make sure users enter only the types of data the form calls for. You can make online forms available from within Excel, on Web pages, or from Microsoft Visual Basic for Applications (VBA) programs.

Creating a Microsoft Access form to use with Excel data To maintain a list on an Excel worksheet, you can use the AccessLinks add-in program to run the Access Form Wizard. The wizard allows you to design your own data entry form using the form design capabilities of Access, and places a button on your worksheet that you can use to display the form and to enter and maintain the data in the list.

To capture and store the data from an online form, you can use Excel, a database, or another program such as a Web server script.

Using the Excel Template Wizard This wizard links cells in your form template to fields in a database, so that data entered using the form can be stored automatically as database records when users save copies of the form. The database can be a list on an Excel worksheet, a Microsoft Access database, or any of several supported database types.


About templates

To create new workbooks that already have your preferred formatting, you can base the new workbooks on a template. A template can include formatting, styles, standardized text such as page headers and row and column labels, formulas, Visual Basic for Applications macros, and custom toolbars.

Workbook and worksheet templates

Default workbook template

You can create a default workbook template. This template defines the formatting or content of the new workbooks that open when you start Microsoft Excel. Workbooks you create by clicking New [image] or by selecting the workbook template in the Templates dialog box (General Templates..., New Workbook task pane) are based on the default workbook template. The default template for workbooks is called Book.xlt.

You can create additional custom workbook templates designed for specific tasks and projects.

Default worksheet template

You can create a default sheet template.

This template defines the formatting and content of the default worksheets you insert with the Worksheet command (Insert menu). The default template for worksheets is called Sheet.xlt.

If you use a variety of worksheets in your workbooks, you can create additional custom sheet templates.

Storing templates

Storing default workbook and worksheet templates

If you've created a template named Book.xlt or Sheet.xlt and saved it in the XLStart folder, Microsoft Excel uses the template to create new default workbooks or to insert new worksheets. The XLStart folder is usually located at:

C:\Program Files\Microsoft Office\Office10\XLStart

To use template (.xlt) files stored on a network file location, you can specify that location as the alternate startup folder. Custom templates stored in the XLStart folder or the alternate startup folder appear on the General tab in the Templates dialog box (General Templates..., New Workbook task pane).

Storing custom templates

Save custom workbook and worksheet templates in the Templates folder, which is usually

C:\Documents and Settings\user_name\Application Data\Microsoft\Templates

Template files you save in the Templates folder are displayed on the General tab in the Templates dialog box (General Templates..., New Workbook task pane). Built-in templates are displayed on the Spreadsheet Solutions tab. To group your custom templates on a separate tab, save the templates in a subfolder in the Templates folder. Any Excel workbook (.xls) file you save in the Templates folder or one of its subfolders also acts as a template.

Sharing templates

If you are using Microsoft Windows 95 or later, or Microsoft Windows NT version 4.0 or later, you can make a custom template available to others by storing the template on a network location. For example, you might want all users in your workgroup to use a custom template for a special project. Place the template in a folder in a network location that is accessible to all users in your group. Create a shortcut to the folder or template, and have users place the shortcut in their Templates folder.

Settings saved in a template

Formatting

Cell and sheet formats. Set by using the commands on the Format menu.

Page formats and print area settings for each sheet.

Cell styles.

The number and type of sheets in a workbook.

Protected and hidden areas of the workbook. You can hide sheets, rows, and columns and prevent changes to worksheet cells.

Text, data, graphics, and formulas

Text you want to repeat, such as page headers and row and column labels.

Data, graphics, formulas, charts, and other information.

Data validation settings.

Toolbars, automation, and Option settings

Custom toolbars, macros, hyperlinks, and ActiveX controls on forms. To make a custom toolbar available, attach the toolbar to the template.

Workbook calculation options and window view options. Set with the Options command (Tools menu).


About using e-mail and Outlook features in Excel

From within Microsoft Excel, you can use e-mail to send whole workbooks, worksheets, or ranges of data, including charts and PivotTable reports. You can send individual messages or route workbooks to a series of recipients, and Excel can help you send workbooks for review and gather and merge the comments.

Programs you need to send and view e-mail

To send e-mail from Excel To send data as an attachment, you need Microsoft Outlook, Microsoft Outlook Express, Microsoft Exchange Client, or another 32-bit e-mail program compatible with the Messaging Application Programming Interface (MAPI). Make sure Mapi32.dll is in the Windows System folder. To send Excel data as the body of a message, you need Outlook 2000 or Outlook 2002.

Some customization options, such as message tracking and voting, are available only if you’re using Microsoft Exchange Server.

To view e-mail sent from Excel To view attached workbooks, recipients need Excel 97 or later. To view Excel data sent as the body of a message, recipients need Outlook 2002, or a Web browser or e-mail program (such as Outlook 98 or later) that can read documents in HTML format.

Deciding how to send your data

Sending data as the body of a message or as an attachment Send Excel data as the body of a message when you want the recipients to get a range of data, a chart, or a PivotTable report, rather than an entire workbook. This approach results in a smaller message than if you attach an entire workbook.

Send the data as an attachment when you want recipients to get a whole workbook that they can open and edit in Excel. You can send workbooks as attachments from within Excel or directly from many e-mail programs.

If a recipient is using Microsoft Office 97 or earlier, it is better to send the data as an attachment. If you send Excel data as the body of a message, its formatting is lost.

Sending data versus routing data When you send data from Excel, each recipient gets a separate copy of the message and any attachments.

When you route the data, you can only send the data as an attachment, and each recipient gets the message in turn. Use this method if you want each recipient to make changes to the workbook in Excel and see changes made by the previous recipients. You can turn on change tracking to allow each recipient to see who made each change. As the workbook is routed, you can track its status. After the last recipient makes changes, the attached workbook with all changes can be returned to you.

For routing to work, all recipients must use Microsoft Outlook as their e-mail program.

Sending for review If you want to circulate Excel data to several people for review and comment, and want Excel to help you track this process, you can send the data to mail recipients for review. The Send for review feature is similar to using a wizard that organizes the steps for you, making sure you've turned on change tracking and helping you merge changes from any separate copies that are returned to you.

Customizing your e-mail message

If Microsoft Outlook is your e-mail program and you're sending (not routing) Excel data, you can set the following message options.

Importance and sensitivity level You can set the level of importance for a message to indicate whether the recipient needs to read your message immediately. If you want a reply to your message by a certain time, you can set a flag to remind the recipient to respond. You can also mark the sensitivity of the message content as private, personal, or confidential.

Security level If you and the recipients of your messages use Microsoft Exchange Server, you can add security to a message by adding a digital signature or by sealing (encrypting) a message to ensure that it isn't readable by anyone other than the recipients you select.

You must obtain a keyword to your security file from your system administrator to seal or digitally sign a message, and the recipients of your message must provide their passwords to open your sealed message or verify your digital signature.

These security features apply only within your organization and only if you and the recipients of your messages use Exchange Server. Your system administrator must set up the security features on your computers.

Tracking options You can track your messages by receiving notification when your message is delivered or opened.

Delivery options You can set delivery options that determine how and when your message is sent.

  • Set an expiration date.

  • Have replies to your messages automatically go to another user.

  • Delay delivery of the message.

  • Automatically save them in an Outlook folder.

Categories To track and organize messages by a common element, you can assign messages to categories, such as Business, Key Customer, Personal, Gifts, or Goals/Objectives. Categories allow you to find, sort, filter, and group messages. For more information about categories, see Outlook Help.

Posting workbooks to Microsoft Exchange public folders

When you want to make a workbook available to others but you don't want to send it through e-mail, you can post a copy of the workbook to a Microsoft Exchange public folder.

Tracking Excel activity in Microsoft Outlook

Tasks You can use your Outlook task list to track tasks involving Excel workbooks, including recurring tasks. You can add a task for a workbook to your task list from within Excel. For example, if you need to review a workbook by a certain date, you can open the workbook in Excel and then add the review to your task list. You can also use Outlook to assign tasks that others must perform for a workbook or file.

Recording workbook activity By using the Outlook Journal, you can automatically record work activity — for example, when each workbook was created or revised — for all workbooks. To track work for a single workbook, you can manually record the activity in the Outlook Journal.

Linking workbooks with a contact You can link workbook tasks, workbook journal entries, and workbooks to a contact person so that you can keep track of all items related to that contact. For example, if you want to track a workbook by the name of the person who is responsible for it, you can link contact information to a workbook and to other related items, such as e-mail messages and appointments. For more information about linking tasks, journal entries, and workbooks to a contact, see Outlook Help.


About sharing data connections

Query files are text files that contain data source information, including the name of the server where the data is located and the connection information you provide when you create a data source. Query files make it possible for you to share queries with other users.

Opening either an Office database connection ( .odc) file or database query (.dqy) file runs the query and displays a worksheet containing the retrieved data. Opening a .odc or OLAP query (.oqy) query file connects you to the OLAP database or cube and displays a worksheet with a blank PivotTable report for the OLAP data. After you open a query file, you can save an Excel workbook file that contains the retrieved external data. However, you can't use the Save command on the Excel File menu to save in the .dqy or .oqy query file formats.

Creating query files

Creating .odc query files You can create .odc files by connecting to external data through the Select Data Source dialog box or by using the Data Connection Wizard to connect to new data sources. If you need only one table and you don't need to filter data, .odc files are the recommended method for connecting to and sharing data in relational databases, text files, or Excel lists.

Creating .dqy query files You can use Microsoft Query to save .dqy files that contain queries for data in relational databases, text files, or Excel lists. When you open these files in Query, you can view the data in the query and select different data for the query to retrieve. You can save a .dqy file for any query that you create either by using the Query Wizard or directly in Query.

Creating .oqy query files You can save .oqy files to connect to data in an OLAP database, either on a server or in an offline cube file (.cub). When you use Query to create a data source for an OLAP database or cube, an .oqy file is created automatically. Because OLAP databases aren't organized in records or tables, you can't create queries or .dqy files to access these databases.

You can also use the OLAP Cube Wizard in Query to save an .oqy file that connects to a cube file or defines a cube that is created from queried data. This type of .oqy file can include both information that defines what is in the cube and connection information for the relational database. When you open this type of .oqy file in Query, the OLAP Cube Wizard runs so that you can change the cube definition.

Using other query file formats

Using . rqy query files Excel can open query files in .rqy format to support OLE DB data source drivers that will use this format. For more information, see the documentation for your driver.

Using . qry query files Query can open and save query files in .qry format for use with earlier versions of Query that cannot open .dqy files. If you have a query file in .qry format that you want to use in Excel, open the file in Query, and then save it as a .dqy file. For information about saving .dqy files, see Microsoft Query Help.

Using .iqy Web query files Excel can open .iqy Web query files to retrieve data from the Web. You don't need to install Query to create and open .iqy files in Excel.

Sharing data

Sharing query files You can share query files with other people to give them the same access you have to an external database. Other users don't have to set up a data source to open the query file, but they do have to install the ODBC driver or data source driver required to access the external data.

If you don't save your password when you create the data source for the query file, anyone who opens the file in Excel must enter the password before they can access the database.

Reusing and sharing queries Excel can open .odc and .dqy files directly, which allows you or others to create additional external data ranges from the same query. In Query Wizard and Query, you can save a .dqy query file that you can modify, reuse, and share.

If you want to share a summary or report that is based on external data, you can give other users a workbook that contains an external data range, or you can create a report template. A report template lets you save the summary or report without saving the external data so that the file is smaller. The external data is retrieved when a user opens the report template.

Formatting and changing queries

Changing the format and layout You can change the format and layout of the external data range.

Changing a report template After you create a report template, you can make changes to the template as needed.


About exchanging data between Excel and Access

Working with Microsoft Access data in Microsoft Excel

Copy Access records to Excel

  • From Access, you can copy data from any datasheet view or data access page control and then paste the data into Excel. Use this method when you want a static snapshot of a few selected Access records.

  • You can also save the data from an Access table, query, form, or report to an Excel workbook. Use this method to make a static copy of large amounts of Access data.

Note Use these methods when you don't need to refresh the data in Excel every time the Access database changes.

Bring refreshable Access data into Excel

If you want to refresh the data in the worksheet when the Access database changes — for example, to update an Excel summary that you distribute every month so that it contains the current month's data — you can create either a query or an Office Data Connection file to bring the data into Excel. Create a query if you need to retrieve data from more than one table, or think you might need to change the scope of the retrieved data. Use an Office Data Connection file if you want data from only one table in the database and you want to retrieve all of the data in the table. You can return the data to Excel as an external data range or a PivotTable report, both of which can be refreshed.

Using Access to manage Excel data

Link Excel data into an Access database You can link an Excel list into an Access database as a table. Use this approach when you plan to continue maintaining the list in Excel but also want it to be available from within Access. You can view and update data in the linked Excel list from within the Access database. You create this type of link from within the Access database, not from Excel. For more information, see Access Help.

Import Excel data into an Access database If you're working in Access and want to copy data from an Excel workbook into your database, you can import the data into Access. Use this method to bring a copy of a small amount of data that you intend to continue maintaining in Excel into an existing Access database, without having to retype the data.

If you're working in Excel and have installed and loaded the AccessLinks add-in program, you can use several Access features to maintain your Excel data. AccessLinks is available for download from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Convert an Excel list to an Access database If you have a large Excel list that you want to move permanently to an Access database, in order to take advantage of the Access data management capabilities, security, or multiuser capabilities, you can convert the data from Excel to an Access database. Use this method when you want to move the data from Excel into Access and use and maintain the data in Access from then on.

Create an Access report from Excel data If you are familiar with designing Access reports and want to summarize and organize your Excel data in this type of report, you can create an Access report from the data in your Excel list. For more information about designing and using Access reports, refer to Access Help.

Use an Access form to enter Excel data If you want to use a customized form to enter, find, or delete data in an Excel list, you can create an Access form for your list. For example, you can create an Access form that lets you type the entries for an Excel list in a different order from the order of the columns on your worksheet. Use this method if you want specific features available in Access forms. For more information about designing and using Access forms, refer to Access Help.


About changing data on a Web page

The kinds of changes you can make to a Web page created in Microsoft Excel depend on whether the Web page was created with or without interactivity.

With interactivity

If you saved or published interactive data from Excel, you should not open the resulting HTML file in Excel to make modifications. Instead, you should modify the original workbook (.xls file) from which you originally published and then republish the interactive items on the Web page, or open the Web page in a design program and make modifications. The recommended design programs are Microsoft FrontPage 2002, Microsoft Access 2002, and Microsoft Visual Basic 2002.

Which design program you choose depends on what kinds of changes you want to make and how you published or saved the data.

When to use Excel When you want to make changes that use Excel features, you should open the original workbook (.xls) file you used to publish or save the Web page, make changes in the workbook, and republish the data. You should not open an interactive Web page in Excel for the purpose of making changes. The AutoRepublish feature (available in the Publish dialog box) allows you to specify that previously published items should be automatically republished every time the original workbook is saved.

If you do not have access to the original workbook, you can export interactive spreadsheets and PivotTable lists to Excel by using the control's Export to Microsoft Excel Export to Excel button toolbar button in the Web browser or use Microsoft FrontPage 2002 or data access page Design view in Microsoft Access 2002 to change the Web page.

When to use Microsoft FrontPage Use FrontPage when you want to do the following:

  • Rearrange items on your Web page and customize the interactive functionality for spreadsheets, PivotTable lists, and charts
  • Use advanced Web site management tools and gain access to other Web sites
  • Use design-time controls
  • Add ActiveX controls that are available only from FrontPage
  • Change the formatting or add a theme or make the page look like other Web pages

When to use data access page Design view in Microsoft Access Use Access when you want to do the following:

  • Add controls, such as text boxes and drop-down list controls, that display data from an Access or Microsoft SQL Server database
  • Add a chart that shares the same data as your external data range
  • Add ActiveX controls that are available only in data access page Design view

If you use Access to modify the page by adding Microsoft Office Web Component controls or by adding controls that aren't bound to database data, when you republish the page, users with Microsoft Internet Explorer version 4.01 or earlier will still be able to use the page. However, if you add controls other than Microsoft Office Web Component controls and those controls are bound to database data (Access or SQL Server database data), users will also need to have Internet Explorer 5 or later to use the page in the browser.

When to use Visual Basic Use Visual Basic when you want to add custom controls or when you want to use the Microsoft Office Web Components as COM controls or in Visual Basic forms.

Modifying the HTML code You can use an HTML editor, such as FrontPage, or a text editor, such as Notepad, to make changes such as moving items on the Web page. However, any changes you make directly to the HTML code might not be supported in Excel or other Office programs if you try to open the file later in one of those programs.

Making temporary changes using the Web browser You can make changes to your Web page while you have it open in a Web browser, but any changes you make are temporary and are not saved when you exit the browser.

Without interactivity

When you save or publish noninteractive data, such as an entire workbook without interactivity, you can open the resulting HTML file directly in Excel, make changes, and save the file. Noninteractive Web pages are the only kinds of Web pages you should open and modify in Excel.


Ways to customize PivotTable reports

You can customize the appearance and content of a PivotTable report to get the presentation you need. In a new report, first display the data you want to see, and then work on the appearance.

Adding and removing fields

When you click a PivotTable report, blue drop area guidelines appear along with the PivotTable toolbar and the PivotTable Field List window, so that you can customize the report.

To add a field, you can drag it from the field list to the area of the report where you want it, or use the Add To button and dropdown in the field list. To remove a field, drag it out of the report or drag it back onto the field list. Fields that you remove remain available in the field list.

You can use fields with Dimension field icon icons in the field list only as row, column, or page fields, and fields with Data field icon icons only as data fields. If your fields have these icons, each field can be used in the report only once.

If your fields have Field icon icons, you can use any field in any area, and you can add a field to both to the data area and to one of the row, column, or page areas, or display it more than once in the data area, as long as you report doesn't have any calculated items.

You can change the order in which fields appear by dragging them, or in the case of multiple data fields, by using the Order commands on the PivotTable menu.

Changing the layout

Example of changing the layout of a PivotTable report

1 Click a column field

2 Drag it to the row area

3 Sport becomes a row field like Region

When you move a field, it retains most settings you've made using the Field arrow arrow in the field or the Field Settings command, including page field options and layout settings. For example, if you set page field settings and move the field to the row area, then later move the field back to the page area, the settings remain in effect.

Indented and nonindented formats

You can display a PivotTable report in an indented format similar to traditional banded or formatted database reports, in which the summarized data from each data field appears in a single column. New reports are displayed in a nonindented or crosstabulated format, with data field values in a grid. Switching to indented format may change the layout of the report, and it applies an autoformat to the report.

Use Format Report [image] on the PivotTable toolbar to select an indented or nonindented format. The autoformats available for other worksheet areas are not available for PivotTable reports.

Indented formats Formats Report 1 through Report 10 are indented formats. Applying these formats moves all column fields in the report to the row area. Data fields move to the right of row fields, and the field names change to omit the summary function name. For example, Sum of Sales becomes Sales. After you apply a format, you can rearrange the fields as in any PivotTable report.

Setting indented format manually If you don't want to apply an autoformat, you can move all column fields to the row area, double-click each row field, click Layout, and then click Show items in outline form. This setting is retained if you move the field to another area, but the field is displayed in indented format only when it is in the row area.

Nonindented formats Formats PivotTable Classic and Table 1 through Table 10 are nonindented, for use with PivotTable reports that have column fields. Table 1 through Table 10 move the leftmost row field to the column area. Table 1 through Table 5 and Table 7 also add a blank line after each item in the outermost row field.

Character, cell, and number formats

You can change cell formats in a PivotTable report, such as font, background color, and alignment, as you do for other worksheet cells. You can set number formats for individual cells or for all cells of a data field.

Most formatting is retained when you refresh a report or change its layout, provided the Preserve formatting check box in the PivotTable Options dialog box is selected. Cell border changes, however, aren't retained.

Changing what's displayed for errors and empty cells Instead of displaying error values, such as #REF! or #N/A, and blanks for empty cells, you can specify different values for these cells in a PivotTable report.

Using merged cells By default, the labels for items in outer row and column fields appear left justified at the top of the item group. You can center the items horizontally and vertically by selecting the Merge labels check box in the PivotTable Options dialog box.

Adding blank rows between item groups For outer row fields, you can add a blank line after each item or its total row.

Removing formats To remove all character and cell formats in a report, use the None format available from the Format Report command.

Sorting

In a new report, the items in each field appear either in the order received from the source database, or in ascending order. Refreshing a report places new items at the ends of the rows or columns.

Microsoft Excel uses the following ascending sort order: numbers, text, logical values, error values such as #REF and #VALUE, and blank cells. When you sort in descending order, Excel sorts in the reverse order except for blank cells, which are always sorted last. If you want a sorting sequence such as Jan, Feb, Mar, and so forth, you can use a custom sort order, and you can also define your own sorting sequence.

If your report has fields organized in levels, you can sort lower-level items together by hiding the upper levels before you sort. For example, if you display both the Country and City levels, cities are sorted separately under each country, but if you hide the Country level, you can sort cities from different countries together.

You can manually reorder items by clicking and dragging the item labels.

Showing and hiding detail

Your options for varying the amount of detail displayed in a report depend on the type of source data the report is based on.

For OLAP source data ( Dimension field icon and Data field icon icons in the field list), fields are organized in levels of detail, and you can display and hide both individual items and entire levels. Summary values are usually calculated on the OLAP server, so underlying detail records for data values usually aren't available for display. However, your database may have other information available for items, called property fields, that you can display or hide. For example, if your database has a City field, you might be able to display population or climate figures for individual cities.

For other types of source data ( Field icon icons in the field list), you can display and hide individual items and also display underlying detail records for data values and items, if this option hasn't been disabled. You can't directly select multiple items in a page field, but you can move the field temporarily to the row or column area, hide some of the items, and move the field back to the page area, so that the (All) item then displays a summary that omits the hidden items.

For both types of source data, you can automatically display the top or bottom items in a field — for example, the top ten sales reps or the five least expensive products. If you set this type of display for an OLAP field, your setting affects only the current level and lower levels in the dimension, and remains in effect only if you don't hide the level you set it for.

Grouping items

You can use grouping to view less detailed summaries — for example, to view data by quarter instead of week. You can group dates, times, or numbers, and selected items in a report. Grouping works differently for different types of source data.

For OLAP source data ( Dimension field icon and Data field icon icons in the field list), when you select and group individual items, the rest of the items in the field appear in a group named Other. The new group and the Other group become another level of detail that you can show or hide, so that you can still display the individual items that you've grouped. To group items in a page field, you can move the field temporarily to the row or column area, group the items, and then move the field back to the page area. You can also select multiple page field items to display as a combined summary.

For other types of source data ( Field icon icons in the field list), when you select and group individual items, the items are combined in a new item named Group1 (which you can rename). You can't display the individual items unless you ungroup them. The rest of the items in the field are unchanged by adding the group. While items in a field are grouped, you can't add calculated items to the field. To group items in a page field, you can move the field temporarily to the row or column area, group the items, and then move the field back to the page area.

Totals, calculations, and formulas

PivotTable and PivotChart reports provide several types of calculations. Data fields use summary functions to combine values from the underlying source data. You can also use custom calculations to compare data values, or add your own formulas that use elements of the report or other worksheet data.

How PivotTable and PivotChart reports summarize data

Example of PivotTable source data

Source data

The values in the data area summarize the underlying source data in the report.

Example of PivotTable report

PivotTable report made from the above source data

The Month column field provides items March and April. The Region row field provides items North, South, East, and West. The value at the intersection of the April column and the North row is the total sales revenue from the records in the source data that have Month values of April and Region values of North.

Example of a PivotChart report

PivotChart report made from the example PivotTable report

In a PivotChart report, the Region field might be a category field that shows North, South, East, and West as categories. The Month field could be a series field that shows the items March, April, and May as series represented in the legend. A data field called Sum of Sales could contain data markers that represent the total revenue in each region for each month. For example, one data marker would represent, by its position on the value axis, the total sales for April in the North region.

Values and calculations in a PivotChart report reflect those in the associated PivotTable report, and vice versa.

Custom calculations A custom calculation shows values based on other items or cells in the data area. For example, you could display values in the Sum of Sales data field as a percentage of March sales, or as a running total of the items in the Month field.

Formulas If summary functions and custom calculations don't provide the results you want, you can create your own formulas in calculated fields and calculated items. For example, you could add a calculated item with the formula for the sales commission, which could be different for each region. The report would then automatically include the commission in the subtotals and grand totals.

How the type of source data affects calculations

Calculations and options available in a report depend on whether the source data came from an OLAP database or another type of database.

OLAP source data For reports that are created from OLAP cubes, the summarized values are precalculated on the OLAP server before Microsoft Excel displays the results. Therefore, you cannot change how these values are calculated from within the report. You cannot change the summary function used to calculate data fields or subtotals, or add calculated fields or calculated items. If the OLAP server provides calculated fields, known as calculated members, you'll see these fields in the PivotTable field list. You'll also see any calculated fields and calculated items that are created by macros that were written in Visual Basic for Applications and stored in your workbook, but you won't be able to change these fields or items. If you need additional types of calculations, contact your OLAP database administrator.

Other types of source data In reports based on other types of external data or on worksheet data, Microsoft Excel uses the Sum summary function to calculate data fields that contain numeric data, and the Count summary function to calculate data fields that contain text. You can choose a different summary function — such as Average, Max, or Min — to further analyze and customize your data. You can also create your own formulas that use elements of the report or other worksheet data, by creating a calculated field or a calculated item within a field.

Hidden items in totals For OLAP source data, you can include or exclude the values for hidden items when calculating subtotals and grand totals. For other types of source data, values for hidden items are excluded by default, but you can optionally include the hidden items from page fields.

Formula syntax

You can create formulas only in reports that are not based on OLAP source data.

Formulas are available in PivotChart reports and use the same syntax as those in PivotTable reports. For best results when working in a PivotChart report, create and edit formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results in the PivotChart report.

Formula elements In formulas you create for calculated fields and calculated items, you can use operators and expressions as you do in other worksheet formulas. You can use constants and refer to data from the report, but you cannot use cell references or defined names. You cannot use worksheet functions that require cell references or defined names as arguments, and you cannot use array functions.

Names in reports Microsoft Excel provides names to identify the elements of a report in your formulas. The names are composed of the field and item names. In the following example, the data in range C3:C9 is named Dairy.

Example PivotTable report

In a PivotChart report, the field names are displayed in the field buttons, and item names can be seen in each field drop-down list. Don't confuse these names with those you see in chart tips, which reflect series and data point names instead.

Examples A calculated field named Forecast could forecast future orders with a formula such as the following:

=Sales * 1.2

A calculated item in the Type field that estimates sales for a new product based on Dairy sales could use a formula such as the following:

=Dairy * 115%

Formulas operate on sum totals, not individual records Formulas for calculated fields operate on the sum of the underlying data for any fields in the formula. For example, the formula =Sales * 1.2 multiplies the sum of the sales for each type and region by 1.2; it does not multiply each individual sale by 1.2 and then sum the multiplied amounts. Formulas for calculated items, however, operate on the individual records; the calculated item formula =Dairy *115% multiplies each individual sale of Dairy times 115%, after which the multiplied amounts are summarized together in the data area.

Spaces, numbers, and symbols in names In a name that includes more than one field, the fields can be in any order. In the example above, cells C6:D6 can be 'April North' or 'North April'. Use single quotation marks around names that are more than one word or include numbers or symbols.

Totals Formulas cannot refer to totals (such as March Total, April Total, and Grand Total in the example).

Field names in item references You can include the field name in a reference to an item. The item name must be in square brackets — for example, Region[North]. Use this format to avoid #NAME? errors when two items in two different fields in a report have the same name. For example, if a report has an item named Meat in the Type field and another item named Meat in the Category field, you can prevent #NAME? errors by referring to the items as Type[Meat] and Category[Meat].

Referring to items by position You can refer to an item by its position in the report as currently sorted and displayed. Type[1] is Dairy, and Type[2] is Seafood. The item referred to in this way can change whenever the positions of items change or different items are displayed or hidden. Hidden items are not counted in this index.

You can use relative positions to refer to items. The positions are determined relative to the calculated item that contains the formula. If South is the current region, Region[-1] is North; if North is the current region, Region[+1] is South. For example, a calculated item could use the formula =Region[-1] * 3%. If the position you give is before the first item or after the last item in the field, the formula results in a #REF! error.

In calculated item formulas, if you refer to items by their position or relative position, any options you have set under Top 10 AutoShow and AutoSort options in the PivotTable Sort and Top 10 or PivotTable Field Advanced Options dialog boxes are reset to Off or Manual, and the options become unavailable.

Using formulas in PivotChart reports

The methods and rules used for creating formulas in PivotChart reports are the same as the rules for PivotTable reports. When you create a calculated field or calculated item in a PivotChart report, the calculations are reflected in the associated PivotTable report, and vice versa. For best results, create formulas for a PivotChart report in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results graphically in the PivotChart report.

For example, the following PivotChart report shows sales for each salesperson per region:

PivotChart report showing sales for each salesperson per region

To see what sales would look like if they were increased by 10 percent, you could create a calculated field with the following formula:

=Sales * 110%

The result would be reflected in the chart like this:

PivotChart report showing sales increased by 10 percent per region

To see a separate data marker for sales in the North region minus a transportation cost of 8 percent, you could create a calculated item in the Region field with the following formula:

=North – (North * 8%)

The result would look like this:

PivotChart report with a calculated item.

A calculated item created in the Salesperson field, however, would appear as a series represented in the legend and appear in the chart as a data point in each category.


About getting data from a Web page

Web pages often contain information that is perfect for analysis in Microsoft Excel. For example, you can analyze stock quotes in Excel using information that comes directly from a Web page. Depending on your needs, you can retrieve data that is refreshable (that is, you can update the data in Excel with the latest data on the Web page) or you can get data from a Web page and keep it static on the worksheet.

Use a Web query to get data that's refreshable

With a Web query, you can retrieve data such as a single table, multiple tables, or all of the text on a Web page and analyze it by using the tools and features in Excel. With the click of a button, you can easily refresh the data with the latest information from the Web page. For example, you can retrieve and update stock quotes from a public Web page, or a table of sales information from a company Web page.

Web page with table

A Web query can retrieve the data on a Web page and return it to Excel for analysis.

Copy and paste static data or a refreshable query

You can use familiar copy and paste commands to bring the data from a Web page into an Excel worksheet. When you paste Web page data into Excel, you can keep the data static or make it refreshable by clicking Paste Options [image] and clicking Create Refreshable Web Query.

Export data from Microsoft Office Web Components

From the browser, you can export data from interactive spreadsheets and PivotTable lists by using the Export to Excel toolbar button. For more information, see Microsoft Office Web Component Help for PivotTable lists or spreadsheets.

Open an HTML, MHTML or XML file

You can open any HTML file, MTHML file, or well-formed XML file in Excel by using the Open command on the File menu.

When you open an HTML or MHTML file, you get the entire Web page, but you might lose some formatting, scripts, .gif image files (HTML only), or lists of data in a single cell.

When you open an XML file, you have the option of applying one or more referenced stylesheets.


About using Excel with Lotus Notes

Microsoft Excel has several features that support its use within Lotus Notes documents, forms, and views, including support for Notes F/X field exchange and NotesFlow.

Excel data in Notes

Inserting workbooks in documents and forms To exchange information between Lotus Notes and Excel, you can insert an Excel workbook as an embedded object in a Notes document or form. In documents, a workbook is inserted as an embedded object in an editable rich text field. You can also insert a workbook as an embedded object when you create a Notes form. For example, if you want to create multiple Notes documents that contain the same embedded workbook, insert the embedded workbook when you create the Notes form. In this way, the embedded workbook already exists within each new Notes document or form you create from the existing form.

Importing Excel data into a document or form To include data from a workbook in a document or form, you can import the data. When you import Excel data into a document or form, only the data is copied into the document or form. The workbook itself is not included in the document or form, and no link is maintained with the original workbook that supplied the data.

Excel data with Notes field exchange

Notes fields can display Excel file property information If you have an Excel workbook inserted as an embedded object in a Notes form, you can create fields in the Notes form that display file property information from your Excel workbook. You can include as many file property fields from the Properties dialog box in Excel as there are fields in the Notes form.

If you want to use Notes field exchange in the Notes document, the document must already contain the Notes/FX fields you want to use to exchange information. You cannot insert fields in a Notes document; the fields can be inserted only in a Notes form. When you add Notes/FX fields to the form with the embedded workbook, each new Notes document or form you create from that form is ready for Notes/FX field exchange.

Fields and properties correspond with each other Some properties are one-way: changes made in the embedded workbook are reflected in the Notes field, but changes made to the Notes field do not appear in the embedded workbook. For example, the Excel workbook file property Created is a one-way field that corresponds with the Notes DateCreated field. Changes to the Created property in Excel automatically appear in the DateCreated field in the Notes document; however, changing the DateCreated field in the Notes document does not affect the Excel Created property.

Other properties correspond to two-way fields: changes in the Excel workbook are reflected in the Notes field, and changes in the Notes field are reflected in the Excel workbook. Two-way fields are updated in the embedded workbook when you open or activate the workbook and in the Notes document when you close the workbook and return to the Notes document. For example, Title is a two-way field. When you change the Excel workbook file property Title, the change appears in the Title field in the Notes document. When you change the Title field in the Notes document, the changes appear in the Excel workbook file property. Fields that correspond to custom workbook file properties are also two-way fields.

Custom file properties can be used in views In Excel, you can create a custom file property that's linked to a named range of cells. You can then create a corresponding field in Notes, so that the contents of the named range appear in your view.

The NotesFlow Action menu in an Excel workbook

Lotus NotesFlow is a set of workflow features that allows transparent interaction between a Lotus Notes database and other programs such as Microsoft Excel, Word, and PowerPoint. You can use NotesFlow to route forms, send reminders, request and process approvals, and run scheduled batch processes.

When Excel is participating in NotesFlow, an Action menu appears to the left of the Excel Window menu. The Action menu displays each of the available actions as commands. The commands available on the Action menu depend on how the Lotus Notes form is designed. When you design a form in Lotus Notes to use the NotesFlow feature, you publish the actions you want to make available in other programs that support NotesFlow.

The Lotus NotesFlow features require Lotus Notes 4.0 or later. For more information about how to use Lotus NotesFlow, refer to your Lotus Notes documentation.


Merge or split cells or data

Spread the content of one cell over many cells

Text spread and centered over multiple cells

Text spread and centered over multiple cells

Warning Microsoft Excel places only the upper-leftmost data in the selected range into the resulting merged cell. If there is data in other cells, the data is deleted.

  1. Copy the data you want into the upper-leftmost cell within the range.
  2. Select the cells you want to merge.
  3. To merge cells in a row or column and center the cell contents, click Merge and Center [image] on the Formatting toolbar.

Tip

You can change the text alignment in the merged cell by clicking Align Left [image], Center [image], or Align Right [image] on the Formatting toolbar. To make other changes to the text alignment, including the vertical alignment, use the options on the Alignment tab (Cells command, Format menu).

Split merged cells

  1. Select the merged cell.

    When cells have been combined, Merge and Center Merge and center on the Formatting toolbar is selected.

  2. Click Merge and Center Merge and center on the Formatting toolbar.

Divide text across cells

  1. Select the range of cells that contains the text values. The range can be any number of rows tall, but no more than one column wide.

    Note There must be one or more blank columns to the right of the selected column or the data to the right of the selected column will be overwritten.

  2. On the Data menu, click Text to Columns.
  3. Follow the instructions in the Convert Text to Columns Wizard to specify how you want to divide the text into columns.

Combine text from multiple cells into one cell, using a formula

Use the ampersand (&) operator or the CONCATENATE function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
First Name | Last Name
Nancy | Davolio
Andrew | Fuller
Formula | Description (Result)
=A2&" "&B2 | Combines the names above, separated by a space (Nancy Davolio)
=B3&", "&A3 | Combines the names above, separated by a comma (Fuller, Andrew)
=CONCATENATE(A2," ",B2) | Combines the names above, separated by a space (Nancy Davolio)

Note The formula inserts a space between the first and last names by using a space enclosed within quotation marks. Use quotation marks to include any literal text — text that does not change — in the result.

Function details

CONCATENATE


Look up values in a list

Create a lookup formula with the Lookup Wizard

The Lookup Wizard creates the lookup formula based on a worksheet list that has row and column labels. The Lookup Wizard helps you find other values in a row when you know the value in one column, and vice versa. The Lookup Wizard uses INDEX and MATCH in the formulas it creates.

  1. On the Tools menu, click Add-ins, select the Lookup Wizard box, and then click OK.

  2. Click a cell in the list.
  3. On the Tools menu, point to Wizard, and then click Lookup.
  4. Follow the instructions in the wizard.

Look up values by comparing them with the values in the first column

Use the VLOOKUP function to do this task.

Important This method only works if the values in the first row or column have been sorted in ascending order.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.

In this example, you know the frequency and want to look up the associated color.

1
2
3
4
5
6
A | B
Frequency | Color
4.14 | red
4.19 | orange
5.17 | yellow
5.77 | green
6.39 | blue
Formula | Description (Result)
=VLOOKUP(5.77, A1:B6, 2) | Looks up 5.77 in column A, and returns the value from column B that's in the same row (green)

Function details

VLOOKUP

Look up values by comparing them with the values in the first row

Use the HLOOKUP function to do this task

Important This method only works if the values in the first row or column have been sorted in ascending order.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B | C
Status | Axles | Bolts
In stock | 4 | 9
On order | 5 | 10
Back order | 6 | 11
Formula | Description (Result)
=HLOOKUP("Bolts", A1:C4, 3) | Looks up Bolts in row 1, and returns the value from row 3 that's in the same column (10)

Function details

HLOOKUP

Look up values in a range that isn't sorted

Use the INDEX and MATCH functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Product | Count
Bananas | 38
Oranges | 25
Apples | 41
Pears | 40
Formula | Description (Result)
=INDEX(A2:B5,MATCH("Pears",A2:A5,0),2) | Looks up Pears in column A and returns the value for Pears in column B (40).

The formula uses the following arguments.

Formula to look up a value in an unsorted list

Formula to look up a value in an unsorted list (INDEX function)

1 A2:B5: The entire list in which you are looking up values

2 MATCH("Pears",A2:A5,0): The MATCH function determines the row number

3 "Pears": The value to find in the lookup column.

4 A2:A5: The column for the MATCH function to search.

4 2: The column from which to return the value. The leftmost column is 1.

Function details

INDEX

MATCH

Look up values in a range of uncertain size that isn't sorted

Use the OFFSET and MATCH functions to do this task.

Use this process when your data is in an external data range that you refresh each day. You know the price is in column B, but you don't know how many rows of data the server will return, and first column isn't sorted alphabetically.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Product | Count
Bananas | 38
Oranges | 25
Apples | 41
Pears | 40
Formula | Description (Result)
=OFFSET(A1,MATCH("Pears",A2:A5, 0),1) | Looks up Pears in column A and returns the value for Pears in column B ( 40).

The formula uses the following arguments.

Formula to look up a value in an unsorted list (OFFSET function)

1 A1: The upper left cell of the list, also called the starting cell.

2 MATCH("Pears",A2:A5, 0): The MATCH function determines the row number below the starting cell to find the look up value.

3 "Pears": The value to find in the lookup column.

4 A2:A5: The column for the MATCH function to search. Don't include the starting cell in this range. Make sure the range allows for expansion of the list.

4 1: The number of columns to the right of the starting cell to find the lookup value.

Function details

MATCH

OFFSET


About resolving conflicting changes in shared workbooks

Why the Resolve Conflicts dialog box appears

1 Nancy enters 12 and saves the workbook

2 Then Joe enters 50 and saves the workbook

3 Joe gets the conflict dialog

A conflict happens when two users are both editing the same shared workbook and try to save changes that affect the same cell. Microsoft Excel can keep only one of the changes in that cell. When the second user saves the workbook, Excel displays the Resolve Conflicts dialog box.

How conflict resolution works

Who can resolve conflicts All users currently editing a shared workbook have equal authority to decide which changes are kept and discarded. The last user to save a conflicting change sees the Resolve Conflicts dialog box.

Why a change can affect other changes If you accept a change that deletes a row or column, for example, other changes involving that row or column may be affected. If the row or column no longer exists, data that was entered or edited in that row or column in separate changes also no longer exists, so the additional entries and edits are affected.

What happens to changes you don't keep Rejected changes are recorded in the change tracking log, including a record of any additional changes that were affected. In the History worksheet, conflicting changes that were kept have "Won" in the Action Type column. The row numbers in the Losing Action column identify the rows with information about the changes that weren't kept, including any deleted data.

What if you change your mind You can display the History worksheet and look up the information about the change. Then you can either make the change again, or if the change involved deleting data, copy the data from the History worksheet back to the original location.

How to prevent conflicts

Design shared workbooks with per-user protection Before you share a workbook, use the Protect Sheet command (Tools menu, Protection submenu) to authorize each user to edit in a separate area of the worksheet. Users can receive and view changes to areas they aren't authorized to change, but can only make changes to their own designated areas, so conflicts can't arise.

Assign each user an area to work in Conflicts occur only when two users make changes that affect the same cell. To make entering lists easier, Excel allows more than one user to add data to the row at the end of a list without triggering conflicts. If users avoid each other's areas, conflicts won't arise even if you don't use worksheet protection to enforce separate work areas.

Appoint one user tie breaker If one user frequently generates conflicts, have the user turn off the Resolve Conflicts dialog box, so that their changes always happen.

Consider using Microsoft Access If you need more sophisticated multiuser editing, with user-level security and record locking, convert your worksheet to an Access database. You can use the Convert to Access command (AccessLinks add-in program) to do this. See Access Help for information about Access multiuser features.


About PivotChart reports

A PivotChart report provides a graphical representation of the data in a PivotTable report. You can change the layout and data displayed in a PivotChart report just as you can in a PivotTable report.

PivotChart report focusing on western region sales

A PivotTable report of sales data

PivotChart report focusing on produce sales

A PivotChart report of the same data

PivotChart terminology

PivotChart reports have some specialized elements in addition to the series, categories, data markers, and axes of regular Microsoft Excel charts.

Elements of a PivotChart report

1 Page field

2 Data field

3 Series field

4 Items

5 Category field

Page field A field that you use to filter data by specific items. In the example, the Region page field displays data for all regions. To display data for a single region, you can click the drop-down arrow next to (All) and select the region.

Data field A field from the underlying source data that provides values to compare or measure. In the example, Sum of Sales is a data field that summarizes quarterly sales in each region for each sport. The first category data marker (Qtr1) reaches nearly 250 on the value (y) axis. This amount is the sum of Tennis, Safari, and Golf sales in the first quarter. Depending on the source data you use for the report, you can change the summary function to Average, Count, Product, or another calculation.

Series field A field that you assign to a series orientation in a PivotChart report. The items in the field provide the individual data series. In the example, Sport is a series field with three items: Tennis, Safari, and Golf.

Item Items represent the unique entries in a field, and appear in the drop-down lists for page fields, category fields, and series fields. In the example, Qtr1, Qtr2, Qtr3, and Qtr4 are items in the Quarter category field, while Tennis, Safari, and Golf are items in the Sport series field.

Category field A field from the source data that is assigned to a category orientation in a PivotChart report. A category field provides the individual categories for which data points are charted. In the example, Quarter is a category field.

How a PivotChart report represents data

A PivotChart report always has an associated PivotTable report. Both reports have fields that correspond to each other. When you change the position of a field in one report, the corresponding field in the other report also moves.

The following example shows the correspondence between the fields in each type of report:

Corresponding fields in PivotTable and PivotChart reports

1 Page fields

2 Data fields

3 Row field, corresponds to category field

4 Column field, corresponds to series field

When you create a PivotChart report from a PivotTable report, the layout of the PivotChart report — that is, the position of its fields — is determined initially by the layout of the PivotTable report. When you create the PivotChart report first, you determine the chart layout by dragging fields from the PivotTable Field List window to the drop areas on the chart sheet. Microsoft Excel automatically creates an associated PivotTable report that uses a corresponding layout.

Differences between PivotChart reports and regular, noninteractive charts

With regular charts, you create one chart for each view of the data that you want to see. With PivotChart reports, you can create a single chart and view the data in different ways by changing the report layout or the detail displayed.

If you are familiar with regular charts, you will find that most operations are the same in PivotChart reports. However, there are some differences:

Chart types The default chart type for a regular chart is a clustered column chart, which compares values across categories. The default chart type for a PivotChart report is a stacked column chart, which compares the contribution of each value to a total across categories. You can change a PivotChart report to any type except xy (scatter), stock, or bubble.

Chart location Regular charts are embedded on worksheets by default. PivotChart reports are created on chart sheets by default. Once created, you can relocate a PivotChart report to a worksheet.

Creating the chart To create a regular chart in Microsoft Excel, you use the Chart Wizard. To create a PivotChart report, you can use the Chart Wizard, or you can use the PivotTable and PivotChart Wizard if you already have a PivotTable report to serve as the source data for the PivotChart report.

Source data Regular charts are linked directly to worksheet cells. PivotChart reports can be based on several different types of data, including Excel lists and databases, multiple data ranges that you want to consolidate, and external sources, such as Microsoft Access databases and OLAP databases.

Chart elements PivotChart reports contain the same elements as regular charts but also contain fields and items that can be added to, rotated, or removed to display different views of your data. Categories, series, and data in regular charts are category fields, series fields, and data fields in PivotChart reports. PivotChart reports can also contain page fields. Each of these fields contains items, which in regular charts are displayed as category labels or series names in legends. You can hide the field buttons and drop area outlines for printing or publishing to the Web.

Formatting Some types of formatting are lost after you change the layout or refresh a PivotChart report. These types of formatting include trendlines and error bars, changes to data labels, and changes to data series. Regular charts do not lose this formatting once applied.

Moving or resizing items In a PivotChart report, you cannot move or resize the plot area, legend, chart titles, or axis titles, though you can select one of several preset positions for the legend and you can change the font size of titles. In a regular chart, you can move and resize all of these elements.

Creating a PivotChart report

Starting with a PivotTable report Make sure your PivotTable report has at least one row field, to become the category field in the PivotChart report, and a column field to become the series field. If your PivotTable report is in indented format, move at least one field to the column area before you create the chart.

Starting from scratch In the PivotTable and PivotChart Wizard, you specify the type of source data you want to use, and set options for how the data is used. You then lay out the PivotChart report in a manner similar to a PivotTable report. If your workbook doesn't contain a PivotTable report, Microsoft Excel creates one when you create the PivotChart report. When you change the PivotChart report, its associated PivotTable report changes, and vice versa.

Customizing the report You then change the chart type and other options — such as the titles, the legend placement, the data labels, the chart location, and so on — by using the Chart Wizard and commands on the Chart menu.

When to use page fields Using page fields is a convenient way to summarize and quickly focus on a subset of data without having to modify your series and category information. For instance, if you're giving a presentation, you can click (All) in the Year page field to show sales for all years, and then focus on specific years by clicking one year at a time. Each page of your chart has the same category and series layout for different years, so the data for each year can be easily compared. Also, by allowing you to retrieve one page at a time from a large set of data, page fields can conserve memory when your chart uses external source data.


About printing a PivotTable report

In addition to the print settings on the Page Setup dialog box, which apply to all worksheets, Microsoft Excel has print settings that are specific to PivotTable reports. These settings are particularly helpful when you print large reports in indented format (any of formats Report 1 through Report 10, available when you click Format Report [image] on the PivotTable toolbar).

To use these settings, you must have only one report on the worksheet, or set a print area that includes only one report.

Using row and column labels as print titles

You can repeat the row and column labels of a report on every printed page. These labels include the field and item labels for all row, column, and data fields. When you change the layout of the report so that the labels are in different worksheet rows and columns, the new label rows and columns are repeated automatically the next time you print the report.

To set this feature, you must first remove any worksheet print titles you set on the Sheet tab in the Page Setup dialog box.

Repeating item labels for outer row fields

When you have multiple row fields and a page break falls within a group of row field items, you can automatically repeat the item labels for the outer fields at the top of the next page. In the example below, you might want items East and Qtr2 from outer row fields Region and Qtr to print on the next page after the page break:

Repeating item labels after a page break

1 Page break within an item group

2 Item labels from outer row fields repeat on page 2

Setting page breaks per item

You can set automatic page breaks to print each item in an outer row field on a separate page. (In a report with two or more row fields, all but the rightmost one are outer row fields.)

You can then adjust individual page breaks by moving them, so that they become manual page breaks, or by deleting them. You can also add new manual page breaks.


About worksheet and workbook protection

Microsoft Excel provides several layers of protection to control who can access and change your Excel data:

Worksheet protection You can protect elements on a worksheet — such as cells with formulas — from all user access, or you can grant individual users access to the ranges you specify.

Workbook-level protection You can apply protection to workbook elements and you can protect a workbook file from viewing and changes. If a workbook is shared you can protect it from being returned to exclusive use and prevent the change history from being deleted.

Protecting worksheet elements

Protecting elements from all users You can prevent users from inserting, deleting, and formatting rows and columns, from changing the contents of locked cells, and from moving the cursor to cells that are locked or to cells that are unlocked.

By default all cells on a worksheet are locked. Before you protect a worksheet, you can unlock cells where you want users to enter and change data, in two ways. To unlock cells for all users, you can use the Protection tab of the Format Cells dialog box. To unlock cells for specific users, you can use the Allow Users to Edit Ranges dialog box. Any ranges that you specify in this dialog box and don't assign a password for are also unlocked for all users. The cells you leave locked become protected only after you protect the worksheet.

Other worksheet features and elements for which you can restrict access for all users include hyperlinks, sorting, AutoFiltering, PivotTable reports, graphic objects, and scenarios. These protections apply to all users and the entire worksheet, not to individual users or data ranges.

For chart sheets, you can protect the contents of the chart from changes, and you can protect any graphic objects on the sheet, such as text boxes, from being changed or deleted. A protected chart sheet continues to be updated whenever the source data for the chart changes.

Giving specific users access to protected ranges If you have the Windows 2000 operating system, you can allow specific users to edit specific cells or ranges. Users to whom you grant access can edit the cells even if the cells are locked. Your access restrictions take effect only after you protect the worksheet.

The users you specify in the Permissions for range dialog box can automatically edit the range without entering the password. Other users are prompted for the password, and users who enter the password can then edit the range. If a cell belongs to more than one range, users who are authorized to edit any of the ranges can then edit the cell. If a user attempts to edit multiple cells at once and is authorized to edit some but not all of those cells, the user will be prompted to select and edit the cells one by one.

Protecting workbook elements and files

Protecting workbook elements You can prevent users from adding or deleting worksheets, or displaying hidden worksheets. You can also prevent users from changing the sizes or positions of the windows you set up to display a workbook. These protections apply to the entire workbook.

To hide an entire workbook so that users can't see it but can gain access to contents such as macros, use the Hide command on the Window menu, and then save the hidden workbook.

Protecting a shared workbook You can protect a shared workbook so that users cannot return it to exclusive use or delete the change history log. If you want to require a password to remove this type of protection, you must apply the protection before you share the workbook. Applying the protection automatically turns on sharing. Unprotecting these features turns off sharing and deletes all of the saved change history.

Alternatively, you can protect the sharing and change history without a password. You can apply this protection when a workbook is already shared, and then unprotecting won't turn off sharing or delete the change history.

Protecting a workbook file from viewing and editing You can restrict who can open and use the data in a workbook file by requiring a password to view or save changes to the file. You can set two separate passwords, one that users must enter to open and view the file, and another that users must enter before they can edit and save changes to the file. These passwords apply to the workbook file and are separate from the protection provided by the Protect Workbook dialog box.


About offline cube files

An offline cube file is a file with .cub extension that stores a portion of the source data from an OLAP server database. This allows you to continue to make changes to PivotTable and PivotChart reports when the server is unavailable or you're disconnected from the network.

An offline cube file can speed up changes to your reports, especially if your network connection to the OLAP server is slow. However, if your OLAP database is large and you want the cube file to provide access to a large subset of the data, you'll need to provide ample disk space, and saving the file may be time consuming.

Two wizards are provided for creating offline cube files. To copy part of the data in an OLAP server database to a cube file, you use the Offline Cube Wizard, which you run from your report in Microsoft Excel. To create an OLAP cube from the records retrieved by a query, you use the OLAP Cube Wizard, which you run in Microsoft Query.

Creating an offline file from OLAP server data

When you have a PivotTable or PivotChart report that's based on source data from an OLAP server, you can use the Offline Cube Wizard to copy the source data to a separate .cub file on your local disk. To create these files, you must have an OLAP provider, such as Microsoft SQL Server OLAP Services, that supports this capability. The Offline Cube Wizard is available from Excel.

To create the file, you use the Offline Cube Wizard to select a subset of the data in the OLAP database and save that subset in a separate file. To do this, you first create a PivotTable or PivotChart report based on the server database, and then create the offline cube file from the report. You can then switch the report between the server database and the offline file whenever you want to; for example, when you use a portable computer to take work home or on a trip, and later on reconnect the computer to your network.

Your report doesn't have to include every field that you include in the file. You can select from all of the dimensions and data fields available in the OLAP database. To keep the size of your file to a minimum, you can include only the data that you want to be able to display in the report. You can omit entire dimensions, and for most types of dimensions you can also omit lower-level detail and top-level items that you don't need to display. If you include items, any property fields available in the database for the items are also saved in your offline file.

If your OLAP provider doesn't support offline cube files, the Offline OLAP command on the PivotTable menu will be unavailable. Contact the vendor for your OLAP provider for more information.

Creating a cube from the records in a query

For some types of source data, you can create an OLAP cube from records returned by a query, providing the benefits of OLAP organization and retrieval for other types of external data. When you create an OLAP cube from a query, you turn the flat set of records into a structured hierarchy that allows reports to focus on the desired level of detail. You also predefine the summary values for the reports, which speeds up report calculation.

With a cube, you can work with more data in your reports than you could otherwise return to Excel without running out of system resources, and you can create and update reports faster than if you based them on the individual records from the database.

The data from your OLAP cube can be returned to Excel only as a PivotTable report, unlike the records in your query, which can also be returned to Excel as an external data range.

To create an OLAP cube, you first create a query in Microsoft Query that includes all of the fields you want to use in the cube, and save the query in a .dqy file in case you need to make changes in the future. You then run the OLAP Cube Wizard in Query to create the cube.

The wizard lets you create two types of cubes. One type is a cube definition that the wizard saves in an .oqy file. When you open a report that's based on this type of .oqy file, the cube is built temporarily in memory. The second type is a separate offline cube file that allows you to continue working with the data when you are disconnected from the network. For help deciding which type of cube to create, and full information about using the wizard, click the Help button in the OLAP Cube Wizard.

When your original database is updated, you can refresh both types of cubes to incorporate any new or changed data that meets the criteria of the original query. However, you cannot add more fields from the original database or the query to the cube. If you need more fields, you can open and modify your original .dqy query file in Microsoft Query and then run the OLAP Cube Wizard again to create a new cube.


About data entry forms

Microsoft Excel provides the following types of forms to help you enter data in a worksheet list.

Data forms

Excel can generate a built-in data form for your list. The data form displays all of your column labels in a single dialog box, with a blank space beside each label for you to fill in data for the column. You can enter new data, find rows based on cell contents, update existing data, and delete rows from the list.

Use a data form when a simple form listing the columns is sufficient and you don't need more sophisticated or custom features. A data form can make data entry easier than typing across the columns when you have a wide list with more columns than will fit on the screen at one time.

Microsoft Access forms

If you have Access, the Excel AccessLinks add-in program lets you create an Access form to work with data in an Excel list. You use the Access Form Wizard to create the customized form, and then use the form to enter, find, and delete the data stored in the worksheet. The AccessLinks add-in program is available from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Access forms provide more layout and formatting flexibility than a fixed-layout Excel data form. For information about Access form capabilities and options, see Access Help.

Worksheet forms

If you need a sophisticated or specialized data entry form, you can create a worksheet or template to use as a form and then customize the worksheet form to meet your needs. For example, you might create an expense report form for people to fill out online or in printed form.

Use this method when you want complete flexibility to customize your form. Worksheet forms are particularly useful when you want individual printable copies of your forms. If you also want to keep the data from the forms in an Excel list, you can either copy the data manually from each copy of the form into a list, use the Template Wizard to create and maintain a list, or develop a data entry application using the Microsoft Visual Basic Editor.

Template Wizard forms

You can create a form template in Excel and then use the Template Wizard to set up a separate Excel list to collect the data entered in the forms created from the template. Use this method, for example, when multiple users will each fill in a copy of a form.

Use the Template Wizard when you want both a workbook copy of each filled-in form and a separate record of all the entries. When you use Template Wizard forms, Excel maintains your list automatically and keeps an individual printable copy of each filled-in form in a separate workbook. The Template Wizard add-in program is available from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.


About tracking changes

Example of change highlighting and details

Microsoft Excel can maintain and display information about how a worksheet was changed.

Change tracking logs details about workbook changes each time you save a workbook. You can use this history to understand what changes were made, and to accept or reject revisions.

This capability is particularly useful when several users edit a workbook. It's also useful when you submit a workbook to reviewers for comments, and then want to merge input into one copy, selecting which changes and comments to keep.

How change tracking works

When you view the change history, either directly on the worksheet or on a separate History worksheet, you see who made each change, what type of change was made, when it was made, what cells were affected, and what data was added or deleted.

Change tracking is available only in shared workbooks. In fact, when you turn on change tracking, the workbook automatically becomes a shared workbook, although you don't have to store the workbook where others can access it.

Change tracking differs from undo and backup Unlike the Undo button, you can't use the change history to back out changes. However, the history includes a record of any deleted data, so that you can copy lost data from the History worksheet back to the original cells. Because change tracking isn't designed to help you return to earlier versions of a workbook, you should continue to back up workbooks that have change tracking in effect.

Some types of changes aren't tracked Changes you make to cell contents are tracked, but other changes, including formatting changes, are not. Some Excel features are unavailable in shared workbooks and therefore aren't tracked.

History is kept only for a set interval When you turn on change tracking, the history is kept for 30 days. This limit keeps workbook size manageable. You can increase or decrease the number of days of history to keep. If you want to keep the history indefinitely, you can specify a large number of days, or you can make periodic copies of the history information.

How history gets deleted Excel determines what history is kept by counting back from the current date. Each time you close the workbook, Excel erases any part of the change history that is older than the number of days in effect the last time the workbook was saved.

For example, if you're keeping 30 days of change history, and you open a workbook for the first time in two months, you'll be able to view the history from two months ago. However, when you close this workbook, the history from 31 to 60 days ago is deleted.

If you turn off change tracking or stop sharing the workbook, all change history is permanently deleted.

How to use change tracking

Excel provides the following ways to access and use the stored change history.

  • Highlight onscreen Excel can outline changed areas in a different color for each user and display the basic details as a comment when you rest the pointer over each changed cell. Onscreen highlighting is useful when a workbook has only a few changes, or you want to see at a glance what's changed.

  • History worksheet Excel can display a separate worksheet that provides full details in list form, so that you can filter to find changes of interest and print the information. This History worksheet is useful when a workbook has lots of changes, or you want to investigate what happened in a series of changes.

  • Review changes Excel can step you through the changes in sequence using a dialog box that lets you decide whether to accept or reject each change. This method is useful when you're evaluating and working with comments from others.


About opening and saving files from other programs

Some of the content in this topic may not be applicable to some languages.

You can open a file created in another program, such as Lotus 1-2-3 or Quattro Pro, in Microsoft Excel the same way you would open an Excel file. You can then save the file in its original file format or as an Excel workbook using the standard Excel save commands. Files saved as Excel workbooks might not retain all of their original formatting, and features and formatting of an Excel 2002 workbook might not be available in other programs.

Changing the default file format for saving workbooks

If you work with others who use earlier versions of Excel or other spreadsheet programs, you can change the default file format used to save workbooks you create in Excel 2002.

Supported Lotus 1-2-3 and Quattro Pro versions

Excel can directly open files from Lotus 1-2-3 versions up through 4.0 (*.wk?) and Quattro Pro for Windows versions 5.0 and 7.0 by using the Quattro Pro converter. To open a file from a later Quattro Pro version in Excel, either save the file in an earlier Quattro Pro format, or save the file in another format, such as Lotus 1-2-3 (*.wk?). Although you can open Quattro Pro for MS-DOS and Quattro Pro for Windows files, there are some limitations to opening the worksheets.

If you didn't install the converter for Quattro Pro files when you installed Excel, you must install it before you can open files in that format. You can't use the Quattro Pro file converter to save files. You will need to install the Quattro Pro converters from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Password protected files

Excel 2000 and later versions can open password protected WKS and WK1 files and files that are protected at the worksheet level. Excel 2000 and later versions cannot open WK3 or WK4 files that are protected with a file-level password. Excel 2000 and later versions cannot open Quattro Pro files that are password protected. Before you open the file in Excel, make sure you have removed any password from the file.

Opening a text file in Excel

If the data you want to use in Excel is in a text file with data delimited (separated) by tab characters, commas, spaces, or similar characters, you can just open the file in Excel. Excel uses the Text Import Wizard to interpret the text according to your instructions and divides the data into rows and columns on a worksheet. You can also copy delimited text data from a word-processing document or other document into a workbook and then divide the text into columns.

Copying text from another program to Excel

If you want to use only some of the text from a text file, you can copy that data into Excel and then separate the copied text data into columns.


About projecting values

Some of the content in this topic may not be applicable to some languages.

Filling in values automatically

Filling in values for a linear best-fit trend

In a linear series, the step value, or the difference between the first and next value in the series, is added to the starting value and then added to each subsequent value.

Initial selection | Extended linear series
1, 2 | 3, 4, 5
1, 3 | 5, 7, 9
100, 95 | 90, 85

Filling in values for an exponential growth trend

In a growth series, the starting value is multiplied by the step value to get the next value in the series. The resulting product and each subsequent product is then multiplied by the step value.

Initial selection | Extended growth series
1, 2 | 4, 8, 16
1, 3 | 9, 27, 81
2, 3 | 4.5, 6.75, 10.125

Filling in values manually

When you use the Series command, you can manually control how a linear or growth trend is created and use the keyboard to fill in values.

  • In a linear series, the starting values are applied to the least-squares algorithm (y=mx+b) to generate the series.
  • In a growth series, the starting values are applied to the exponential curve algorithm (y=b*m^x) to generate the series.

In either case, the step value is ignored. The series created is equivalent to the values returned by the TREND function or GROWTH function.

Calculating trends by adding a trendline to a chart

You can create a trendline in a chart without creating the data for the trendline.

Projecting values with a worksheet function

Using the FORECAST function

The FORECAST function predicts new values based on a least-squares linear regression of a range of known data or known x-arrays and y-arrays. For example, given corporate earnings for each of the previous six quarters, the FORECAST function returns earnings expected for the next two quarters.

Using the TREND or GROWTH functions

The TREND function and GROWTH function can extrapolate future y-values that extend a straight line or exponential curve that best describes the existing data. They can also return only the y-values based on known x-values for the best-fit line or curve. To plot a line or curve that describes existing data, use the existing x-values and y-values returned by the TREND or GROWTH function.

Using the LINEST or LOGEST function

You can use the LINEST or LOGEST function to calculate a straight line or exponential curve from existing data. The LINEST function and LOGEST function return various regression statistics, including the slope and intercept of the best-fit line.

Performing regression analysis with the Analysis ToolPak add-in

When you need to perform more complicated regression analysis — including calculating and plotting residuals — you can use the regression analysis tool in the Analysis ToolPak add-in. The Regression analysis tool performs linear regression analysis by using the "least squares" method to fit a line through a set of observations. With it, you can analyze how a single dependent variable is affected by the values of one or more independent variables.


About array formulas and array constants

An array formula can perform multiple calculations and then return either a single result or multiple results. Array formulas act on two or more sets of values known as array arguments. Each array argument must have the same number of rows and columns. You create array formulas in the same way that you create other formulas, except you press CTRL+SHIFT+ENTER to enter the formula.

Array constants can be used in place of references when you don't want to enter each constant value in a separate cell on the worksheet.

Some of the built-in functions are array formulas, and must be entered as arrays to get the correct results.

Using an array formula

To calculate a single result This type of array formula can simplify a worksheet model by replacing several different formulas with a single array formula.

For example, the following calculates the total value of an array of stock prices and shares, without using a row of cells to calculate and display the individual values for each stock.

Array formula that produces a single result

Array formula that produces a single result

When you enter the formula ={SUM(B2:D2*B3:D3)} as an array formula, it multiples the Shares and Price for each stock, and then adds the results of those calculations together.

To calculate multiple results Some worksheet functions return arrays of values, or require an array of values as an argument. To calculate multiple results with an array formula, you must enter the array into a range of cells that has the same number of rows and columns as the array arguments.

For example, given a series of three sales figures (in column B) for a series of three months (in column A), the TREND function determines the straight-line values for the sales figures. To display all of the results of the formula, it is entered into three cells in column C (C1:C3).

Array formula that produces multiple results

Array formula that produces multiple results

When you enter the formula =TREND(B1:B3,A1:A3) as an array formula, it produces three separate results (22196, 17079, and 11962), based on the three sales figures and the three months.

Using array constants

In an ordinary formula, you can enter a reference to a cell containing a value, or the value itself, also called a constant. Similarly, in an array formula you can enter a reference to an array, or enter the array of values contained within the cells, also called an array constant. Array formulas accept constants in the same way that nonarray formulas do, but you must enter the array constants in a certain format.

Array constants can contain numbers, text, logical values such as TRUE or FALSE, or error values such as #N/A. Different types of values can be in the same array constant — for example, {1,3,4;TRUE,FALSE,TRUE}. Numbers in array constants can be in integer, decimal, or scientific format. Text must be enclosed in double quotation marks — for example, "Tuesday".

Array constants cannot contain cell references, columns or rows of unequal length, formulas, or the special characters $ (dollar sign), parentheses, or % (percent sign).

The format of array constants

Array constants are enclosed in braces ( { } ).

Separate values in different columns with commas (,). For example, to represent the values 10, 20, 30, and 40, enter {10,20,30,40}. This array constant is known as a 1-by-4 array and is equivalent to a 1-row-by-4-column reference.

Separate values in different rows with semicolons (;). For example, to represent the values 10, 20, 30, and 40 in one row and 50, 60, 70, and 80 in the row immediately below, you would enter a 2-by-4 array constant: {10,20,30,40;50,60,70,80}.


About differences between right-to-left and left-to-right worksheets

Some specific differences you will notice in a right-to-left worksheet compared to a left-to-right worksheet are:

Visual differences

  • Cell A1 appears in the upper-right corner of the worksheet. Column letters progress from A on the right to IV on the left.
  • Row numbers appear on the right side of the document window, and the vertical scroll bar appears on the left side.
  • The fill handle appears in the lower-left corner of the cell.
  • Cell comment indicators appear in the upper-left corner of the cell.
  • In Outline view, outline buttons and document symbols appear at the right side of the worksheet.
  • The horizontal split box appears at the left side of the spreadsheet, above the vertical scroll bar. The vertical split box appears next to the right horizontal scroll arrow.

Functional differences

  • Ranges are referred to by the name of the cell in the upper-right corner of the range and the name of cell in the lower-left corner, separated by a hyphen.
  • The AutoSum tool looks up and to the right for cells to total.
  • AutoFormat formats the worksheet so that row headings in a selected range appear on the right side of a table, and totals appear at the bottom and left sides of the selected range.
  • You can enter button labels, text box entries, and cell comments by using right-to-left, left-to-right, or bidirectional text.


About printing and previewing data on right-to-left worksheets

The tabs within the Page Setup dialog box provide right-to-left characteristics that give you a true representation of your data.

Margins

The page layout sample in the center of the tab reflects the current worksheet direction setting.

The sample worksheet displayed on the Margins tab shows the direction of the first worksheet in the workbook. There might be worksheets with both right-to-left and left-to-right directions in the same workbook.

Worksheet

Worksheets that are too large to print on a single page are printed according to an order established by the direction of the current worksheet. Right-to-left worksheets print down or across, starting in the upper-right corner of the worksheet. The following example shows the page numbering and printing order for a worksheet that is three pages wide and requires six pages to print.

Worksheet direction | Multiple-page printing order
Left-to-right | Left-to-right printing order
Right-to-left | Right-to-left printing order

Print Preview

The Print Preview button displays a right-to-left or left-to-right page direction, depending on the direction of the current worksheet.


About code page and text layout support for right-to-left HTML Web page files

Microsoft Excel supports several code pages that are used in importing, saving, and exporting HTML Web pages that contain right-to-left text.

Language | Code page
Arabic | UTF-8 (default) ISO-8859-6 DOS-720 ASMO-708
Hebrew | UTF-8 (default) ISO-8859-8 DOS-862

Note Excel supports editing and saving of HTML Web page files in logical text layout. HTML Web page files stored in visual text layout can be viewed, but not edited or saved, in logical text layout.


Enter formulas containing right-to-left text in worksheets

Understanding formula entry in Excel with right-to-left features is slightly more complex than understanding text entry, especially because you have the ability to enter both right-to-left and left-to-right text in formulas. Here are a few pointers to help you:

  • Formulas appear left-aligned in the Formula bar and cells, with left-to-right reading order, for both right-to-left and left-to-right worksheets.
  • When a function is inserted in a formula (Function command, Insert menu), the arguments can contain bidirectional text.
  • The reading order and alignment of formula results depend on the reading order and alignment chosen for that cell. The default settings for reading order and alignment are Context and General, respectively.


Create conditional formulas by using the IF function

For a result that is a logical value (TRUE or FALSE)

Use the AND, OR, and NOT functions, and operators to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
15
9
8
Formula | Description (Result)
=AND(A2>A3, A2<A4) | Is 15 greater than 9 and less than 8? (FALSE)
=OR(A2>A3, A2<A4) | Is 15 greater than 9 or less than 8? (TRUE)
=NOT(A2+A3=24) | Is 15 plus 9 not equal to 24? (FALSE)

Function details

AND

OR

NOT

For a result is another calculation, or any other value other than TRUE or FALSE.

Use the IF, AND, and OR functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
15
9
8
Formula | Description (Result)
=IF(A2=15, "OK", "Not OK") | If the value in cell A2 equals 15, then return "OK". (OK)
=IF(AND(A2>A3, A2<A4), "OK", "Not OK") | If 15 is greater than 9 and less than 8, then return "OK". (Not OK)
=IF(OR(A2>A3, A2<A4), "OK", "Not OK") | If 15 is greater than 9 or less than 8, then return "OK". (OK)

The IF function uses the following arguments.

Formula with the IF function

Formula with the IF function

1 logical_test: the condition you want to check

2 value_if_true: the value to return if the condition is true

3 value_if_false: the value to return if the condition is false

Function details

AND

OR

IF


About importing data

By importing data, you don't have to retype the data you want to analyze in Microsoft Excel. You can also update your Excel reports and summaries automatically from the original source database whenever the database is updated with new information.

Importing data

Importing data from databases and files

You can import data to Excel from most data sources by pointing to Import External Data on the Data menu, clicking Import Data, and then choosing the data you want to import in the Select Data Source dialog box.

The Data Connection Wizard, available when you click New Source in the Select Data Source dialog box, makes it possible to import data from external data connections not available from the Select Data Source dialog box. These sources may include OLE DB data sources (including OLAP cubes and exchange servers) and any data sources a system administrator supplies. You cannot filter or join data in the Data Connection Wizard.

The default connection method when you import data using the Data Connection Wizard is through OLE DB providers. The resulting .odc (office data connection) files can be opened for viewing in Internet Explorer and edited in Excel, Notepad, and other Microsoft Office applications if the file doesn't point to an OLAP data source.

Note To bring external data into Microsoft Excel, you must have access to the data. If the external data source you want to access is not on your local computer, you might need to contact the administrator of the database for a password, user permission, or other connection information.

Importing data with Microsoft Query

In most cases, you can import data by using the Import Data command as described in the section above. Use Query or another program only if you need to perform specialized query tasks such as the following:

  • Filter rows or columns of data before they are brought into Excel.
  • Create a parameter query.
  • Sort data before it is brought into Excel.
  • Join multiple tables.

Microsoft Query provides a simple front end, easily accessible from within Excel, to perform these specialized query tasks.

You can use Query to set up ODBC data sources to retrieve data. In Query, you can use the Query Wizard to create a simple query, or you can use advanced criteria in Query to create a more complex query. You can access Query from Excel, or you can create a query from within the PivotTable and PivotChart Wizard.

You can also use Dynamic Data Exchange (DDE) with Query. For more information about DDE, see Query Help.

To import data using Query, you must first:

  • Install Query Query, including the Query Wizard, is an optional feature for Excel. Under most circumstances, you are prompted to install Query when you point to Import External Data on the Data menu and click New Database Query.

  • Install ODBC drivers An ODBC driver is required to retrieve data in relational databases, text files, or Excel using Query. When you install Query, you automatically install a set of ODBC drivers. If you use a driver other than one installed with Query, you must install the driver separately.

  • Install data source drivers A data source driver is required to retrieve OLAP source data. Query supports connecting to databases that are created by using SQL Server OLAP Services; when you installed Query, you automatically installed support for this type of OLAP database. To connect to other OLAP databases, you must install a data source driver and client software.

For more information, see Query Help.

Importing data from the Web

You can import data originating from a Web page by pointing to Import External Data on the Data menu and clicking New Web Query. You must have access to the World Wide Web through your company's intranet or through a modem on your computer or network, or you can make a query against local html or xml sources.

Importing data with Visual Basic for Applications (VBA)

You can use a Visual Basic for Applications macro to gain access to an external data source.

Depending on the data source, you will use either ActiveX Data Objects or Data Access Objects to retrieve data using VBA.

If you want to use a macro that you created in Excel version 5.0 or earlier, click Add-Ins on the Tools menu, and then make sure the ODBC Add-In check box is selected.

For information about creating Visual Basic for Applications macros, see Visual Basic Help.

Note While you are recording a macro that includes a query, Excel can't run the query in the background, even if you chose to run it that way. To change the recorded macro so that it runs in the background, edit the macro in the Visual Basic Editor and change the refresh method for the QueryTable object from "BackgroundQuery := False" to "BackgroundQuery := True".

Refreshing data and naming ranges

Refreshing data

Excel provides many options for refreshing imported data, including refreshing the data whenever you open the workbook and automatically refreshing data at timed intervals. You can continue to work in Excel while data is being refreshed, and you can also check the status of the refresh while it's being refreshed.

If your external data source requires a password to gain access to the data, you can require that the password is entered each time the external data range is refreshed.

When an external data range expands and additional records are returned, Excel can fill formulas in adjacent columns or within the data range so that they remain next to the appropriate data.

You can also choose how to add new data to your worksheet.

Naming external data ranges

Excel automatically names an external data range as follows:

  • External data ranges from Office Data Connection (ODC) files are named with the .odc file extension.
  • External data ranges from databases are named with the name of the query; by default Query_from_source is the name of the data source you used to create the query.
  • External data ranges from text files are named with the text file name.
  • External data ranges from Web queries are named with the name of the Web page from which the data was retrieved.

If your worksheet has more than one external data range from the same source, the ranges are numbered. For example, MyText, MyText_1, MyText_2, and so on.

You can also change the name of an external data range in the Data Range Properties dialog box.


About calculation in workbooks

Calculation is the process of computing formulas and then displaying the results as values in the cells that contain the formulas.

When Microsoft Excel calculates, and how to control it

When are existing formulas recalculated? Excel recalculates those cells that are dependent on other cells that contain changed values. This type of calculation helps to avoid unnecessary calculations. Excel also calculates workbooks each time they are opened.

Background calculation As calculation proceeds, you can choose commands or perform actions such as entering numbers or formulas. Excel temporarily interrupts calculation to carry out the other commands or actions and then resumes calculation. The calculation process may take more time if the workbook contains a large number of formulas, or if the worksheets contain data tables or functions that automatically recalculate every time the workbook is recalculated. Also, the calculation process may take more time if the worksheets contain links to other worksheets or workbooks. You can control when calculation occurs by changing the calculation process to manual calculation.

Precision of calculation

15 digit precision Excel stores and calculates with 15 significant digits of precision.

Excel calculates stored, not displayed, values The displayed, and printed, value depends on how you choose to format and display the stored value. For example, a cell that displays a date as "6/22/2008" also contains a serial number that is the stored value for the date in the cell. You can change the display of the date to another format (for example, to"22-Jun-2008"), but changing the display of a value on a worksheet does not change the stored value.

Change the precision of calculations When a formula performs calculations, Excel usually uses the values stored in cells referenced by the formula. For example, if two cells each contain the value 10.005 and the cells are formatted to display values in currency format, the value $10.01 is displayed in each cell. If you add the two cells together, the result is $20.01 because Excel adds the stored values 10.005 and 10.005, not the displayed values. You can change the precision of calculations so that Excel uses the displayed value instead of the stored value when it recalculates formulas.

Change the number of times Excel calculates, or iterates, a formula Excel cannot automatically calculate a formula that refers to the cell — either directly or indirectly — that contains the formula. This is called a circular reference. If a formula refers back to one of its own cells, you must determine how many times the formula should recalculate.

Note You can use Solver when you need to find the optimum value for a particular cell by adjusting the values of several cells or when you want to apply specific limitations to one or more of the values in the calculation.

Calculating workbooks that were created in an earlier version of Excel

To be sure that older workbooks are calculated correctly, Excel behaves differently when you first open an old workbook than when you open a workbook created in the current version.

When you open a workbook created in the current version, Excel recalculates only the formulas that depend on cells that have changed.

When you use open a workbook that was created in a earlier version of Excel, all the formulas in the workbook — those that depend on cells that have changed and those that do not — are recalculated. This ensures that the workbook is fully optimized for the current Excel version.

Because complete recalculation can take longer than partial recalculation, opening a workbook that was not previously saved in the current Excel version can take longer than usual. After you save the workbook in the current version, it will open faster.


Allow or correct a circular reference

When a formula refers back to its own cell, either directly or indirectly, it is called a circular reference. Microsoft Excel cannot automatically calculate all open workbooks when one of them contains a circular reference. You can remove a circular reference, or you can have Excel calculate each cell involved in the circular reference once by using the results of the previous iteration. Unless you change the default settings for iteration, Excel stops calculating after 100 iterations or after all values in the circular reference change by less than 0.001 between iterations, whichever comes first.

Locate and remove a circular reference

  1. If the Circular Reference toolbar is not displayed, click Customize on the Tools menu, click the Toolbars tab, and then select the Circular Reference check box.
  2. On the Circular Reference toolbar, click the first cell in the Navigate Circular Reference box.
  3. Review the formula in the cell. If you cannot determine whether the cell is the cause of the circular reference, click the next cell in the Navigate Circular Reference box.

    Note The status bar displays the word "Circular," followed by a reference to one of the cells contained in the circular reference. If the word "Circular" appears without a cell reference, the active worksheet does not contain the circular reference.

  4. Continue to review and correct the circular reference until the status bar no longer displays the word "Circular."

Tips

  • When the Circular Reference toolbar appears, tracer arrows appear that point out the cells that depend on the formula.

    You can move between cells in a circular reference by double-clicking the tracer arrows.

Make a circular reference work by changing the number of times Microsoft Excel iterates formulas

  1. On the Tools menu, click Options, and then click the Calculation tab.
  2. Select the Iteration check box.
  3. To set the maximum number of times Microsoft Excel will recalculate, type the number of iterations in the Maximum iterations box. The higher the number of iterations, the more time Excel needs to calculate a worksheet.
  4. To set the maximum amount of change you will accept between calculation results, type the amount in the Maximum change box. The smaller the number, the more accurate the result and the more time Excel needs to calculate a worksheet.


Create or delete custom views

Before you create a view Set up the workbook to appear the way you want to view and print it. If you include print settings in a view, the view includes the defined print area, or the entire worksheet if the sheet has no defined print area.

Create a custom view

  1. Change the settings that you want to save in the view.
  2. On the View menu, click Custom Views.
  3. Click Add.
  4. In the Name box, type a name for the view.

    Make sure to include the active sheet name in the name of a view to make it easier to identify. When you display a view, Microsoft Excel switches to the sheet that was active when you created the view. Excel lists all views in the workbook in the Custom Views dialog box.

  5. Under Include in view, select the options you want.

Delete a custom view

  1. On the View menu, click Custom Views.
  2. In the Views box, click the name of the view you want, and then click Delete.


Differences between Microsoft Excel and Lotus 1-2-3

Some of the content in this topic may not be applicable to some languages.

General differences

Select first, then choose a command In Lotus 1-2-3, you choose a command and then specify a range that the command will affect. In Excel, you select the cell, range, or object you want to work with and then choose a command to perform an action. For example, if you want to format a range of cells, select the cells and then click Cells on the Format menu.

Keys for moving around a worksheet The navigation keys you use to move around a worksheet differ between Excel and Lotus 1-2-3. For example, if you press the HOME key in Lotus 1-2-3, the cell in the upper-left corner of the worksheet is selected; in Excel, the first cell of the current row is selected. You can change the navigation keys in Excel to move around the worksheet in the same way as Lotus 1-2-3.

Parsing text from one column to several In Lotus 1-2-3, you use the Parse command to separate text strings in one column across several columns. When you open a text file in Excel, the Text Import Wizard will assist you in parsing the data into columns. If you need to parse data in one column across several columns on the worksheet, use the Text to Columns command (Data menu).

Macros Excel 2000 and later versions of Excel do not run Lotus 1-2-3 macros. If you want to rewrite Lotus 1-2-3 macros for Excel, see Visual Basic Help.

Lotus 1-2-3 functions that have equivalent Microsoft Excel functions

Many Lotus 1-2-3 functions have Microsoft Excel equivalents. However, Microsoft Excel uses different calculation rules than Lotus 1-2-3 when evaluating text in formulas, certain database criteria, and the value of certain logical operators.

Lotus function | Equivalent function in Microsoft Excel
@@ | INDIRECT
@ABS | ABS
@ACOS | ACOS
@ASIN | ASIN
@ATAN | ATAN
@ATAN2 | ATAN2
@AVG | AVERAGEA
@CELL | CELL
@CELLPOINTER | CELL When used without a second argument, the CELL worksheet function returns information about the cell containing the function.
@CHAR | CHAR
@CHOOSE | CHOOSE
@CLEAN | CLEAN
@CODE | CODE
@COLS | COLUMNS
@COS | COS
@COUNT | COUNTA
@CTERM | NPER The NPER worksheet function requires you to supply a periodic payment value instead of a future value.
@DATE | DATE
@DAVG | DAVERAGE
@DAY | DAY
@D360 The @D360 function is available only in Lotus 1-2-3 Release 3 or later. | DAYS360
@DCOUNT | DCOUNTA
@DDB | DDB
@DGET | DGET
@DMAX | DMAX
@DMIN | DMIN
@DSTD | DSTDEVP
@DSTDS | DSTDEV
@DSUM The @DSTDS function is available only in Lotus 1-2-3 Release 3 or later. | DSUM
@DVAR | DVARP
@DVARS The @DVARS function is available only in Lotus 1-2-3 Release 3 or later. | DVAR
@ERR | Microsoft Excel does not have an equivalent function. You can type error values such as #N/A and #VALUE! directly into cells and formulas in Microsoft Excel.
@EXACT | EXACT
@EXP | EXP
@FALSE | FALSE
@FIND | FIND
@FV | FV
@HLOOKUP | HLOOKUP
@HOUR | HOUR
@IF | IF In Microsoft Excel, the last two arguments can be any value, or contain another worksheet function; they are not limited to numbers or strings, as in @IF.
@INDEX | INDEX The INDEX worksheet function has two forms, one to look up a referenced cell and one to select values from an array.
@INT | TRUNC
@IRR | IRR The list of arguments for the IRR worksheet function is in reverse order of the arguments for the @IRR function.
@ISERR | ISERR The ISERR worksheet function detects any error value in Microsoft Excel except #N/A (#VALUE!, #REF!, #DIV/0!, #NUM!, #NAME?, or #NULL!).
@ISNA | ISNA
@ISNUMBER | ISNONTEXT
@ISRANGE The @ISRANGE function is available only in Lotus 1-2-3 Release 3 or later. | ISREF
@ISSTRING | ISTEXT
@LEFT | LEFT
@LENGTH | LEN
@LN | LN
@LOWER | LOWER
@LOG | LOG
@MAX | MAXA
@MID | MID
@MIN | MINA
@MINUTE | MINUTE
@MOD | MOD
@MONTH | MONTH
@N | N
@NA | NA
@NOW | NOW
@NPV | NPV
@PI | PI
@PMT | PMT You supply the list of arguments for the PMT worksheet function in a different order than you do for the @PMT function.
@PROPER | PROPER
@PUREAVG The @PUREAVG function is available only in Lotus 1-2-3 Release 4 or later. | AVERAGE
@PURECOUNT The @PURECOUNT function is available only in Lotus 1-2-3 Release 4 or later | COUNT
@PUREMAX The @PUREMAX function is available only in Lotus 1-2-3 Release 4 or later. | MAX
@PUREMIN The @PUREMIN function is available only in Lotus 1-2-3 Release 4 or later. | MIN
@PURESTD The @PURESTD function is available only in Lotus 1-2-3 Release 4 or later. | STDEVP
@PURESTDS The @PURESTDS function is available only in Lotus 1-2-3 Release 4 or later. | STDEV
@PUREVAR The @PUREVAR function is available only in Lotus 1-2-3 Release 4 or later. | VARP
@PUREVARS The @PURVARS function is available only in Lotus 1-2-3 Release 4 or later. | VAR
@PV | PV You supply the list of arguments for the PV worksheet function in a different order than you do for the @PV function.
@RAND | RAND The RAND worksheet function calculates values randomly each time the function is recalculated. The @RAND function calculates the same values in each work session.
@RATE | RATE You supply the list of arguments for the RATE worksheet function in a different order than you do for the @RATE function.
@REPEAT | REPT
@REPLACE | REPLACE
@RIGHT | RIGHT
@ROUND | ROUND
@ROWS | ROWS
@S | T
@SECOND | SECOND
@SIN | SIN
@SLN | SLN
@SQRT | SQRT
@STD | STDEVPA
@STDS | STDEVA
@STRING | FIXED
@SUM | SUM
@SYD | SYD
@TAN | TAN
@TERM | NPER You supply the list of arguments for the NPER worksheet function in a different order than you do for the @TERM function.
@TIME | TIME
@TIMEVALUE | TIMEVALUE
@TODAY | TODAY
@TRIM | TRIM
@TRUE | TRUE
@UPPER | UPPER
@VALUE | VALUE
@VAR | VARPA
@VARS | VARA
@VDB | VDB
@VLOOKUP | VLOOKUP
@YEAR | YEAR

Microsoft Excel functions that do not have equivalent Lotus 1-2-3 functions

The following Microsoft Excel functions have no equivalents in Lotus 1-2-3 Release 3.1 or earlier, or in Lotus 1-2-3 for Windows Release 1.0. If you save a workbook in one of these formats, these functions are replaced with the resulting value of the function.

Note This list does not include many Microsoft Excel add-in functions and statistical functions that do not have Lotus 1-2-3 equivalents.

Microsoft Excel function
AREAS
DOLLAR
DPRODUCT
FACT
FREQUENCY
GETPIVOTDATA
GROWTH
INT
HYPERLINK
IPMT
ISBLANK
ISERROR
ISLOGICAL
LINEST
LOGEST
LOOKUP
MATCH
MDETERM
MINVERSE
MIRR
MMULT
PPMT
PRODUCT
SEARCH
SUBSTITUTE
TEXT
TRANSPOSE
TREND
TYPE
WEEKDAY

Lotus 1-2-3 terminology and Microsoft Excel equivalent terms

The following table lists Lotus 1-2-3 terms and equivalent Microsoft Excel terms. The Excel term may not be an exact equivalent of the Lotus 1-2-3 term, but you can use it to look for more information in Help.

Lotus 1-2-3 term | Microsoft Excel term or concept
@Function | Function
Address | Reference
Anchor cell | Selecting a range of cells
Border | Row and column headings
CALC indicator | Status bar
Cell pointer | Active cell
Column labels | Column headings
Control panel | Menu bar, formula bar, status bar
Copy | Copy and then paste
Crosshatching | Chart patterns
Current cell | Active cell
Current worksheet | Active worksheet or chart sheet
Cursor | Insertion point
Data range | Data series
Data table 1 | One-input data table
Data table 2 | Two-input data table
Date format | Number format
Erase | Clear
Formula criteria | Computed criteria
Global | Workspace
Graph | Chart
Graph labels | Chart text
Graph titles | Chart titles
Highlight | Select or selection
Indicator | Status bar
Input range | List or range reference (for Analysis Tools)
Label | Text
Label-prefix | Horizontal alignment
Label/matching criteria | Comparison criteria
Logical 0 | FALSE
Logical 1 | TRUE
Menu pointer | Menu selection
Mode indicator | Status bar
Numbering/matching criteria | Comparison criteria
Numeric format | Number format
Output range | Extract range
Picture file | Chart, chart sheet (no separate file)
Pointer movement keys | Arrow keys
Print range | Print area
Protected cell | Locked/protected cell
Range highlight | Selected range
Repeating label | Horizontal fill alignment (Format menu, Cells command, Alignment tab)
Retrieve a file | Open a file
Row numbers | Row headings
Stacked bar graph | Stacked Column chart, Stacked Bar chart, 100% Stacked Column chart, 100% Stacked Bar chart
Status indicator, status line | Status bar
String | Text
Target cell | Dependent cell
Target file | Dependent document
Time format | Number format
Titles | Split worksheet window with frozen panes
Translate utility | Open and Save As commands on the File menu
Value | Number
Window | Multiple windows, pane

Features of the Excel window

Excel displays workbooks that contain worksheets in a window. By default, the menu bar, the formula bar, and the Standard and Formatting toolbars are displayed at the top of the window. At the bottom of the window, the status bar displays different indicators about the current working environment. For more information about a specific area or item in the window, click What's This? on the Help menu, and then click the area or item. For Help on an option in a dialog box, click the question mark [image] and then click the option.


What's different after you export a PivotTable list from a Web page to Excel

Some of the content in this topic may not be applicable to some languages.

Microsoft Office provides an interactive Web component, called a PivotTable list, that is similar to a Microsoft Excel PivotTable report. For information about preparing a PivotTable list on a Web page for successful export to Excel, click the Help button in the PivotTable list. When you export from a Web page to Excel, you may notice differences in the following areas.

Command and feature names

Access to commands In Excel, you access commands and features from the PivotTable toolbar instead of the toolbar in the PivotTable list. Many commands have different names in Excel. To find the Excel command you want, ask the Office Assistant.

Data fields Excel PivotTable reports have data fields instead of total fields.

Page fields In PivotTable reports, filter fields are called page fields.

Feature differences

Layouts A PivotTable list on a Web page can simultaneously display summarized data and underlying detail records. Excel PivotTable reports cannot display both simultaneously, and as a result, some PivotTable list layouts cannot be exported to Excel. However, Excel PivotTable reports allow indented layouts that aren't available for PivotTable lists on the Web.

Showing and hiding detail Items in PivotTable lists on the Web display Plus box to show detail and Minus box to hide detail. In Excel PivotTable reports, you can show and hide detail by double-clicking items, using the field drop-down arrows, or clicking Show Detail [image] and Hide Detail [image] on the PivotTable toolbar.

Sort order When you initially bind data to a PivotTable list on a Web page, items in the PivotTable list are displayed in the order in which they are received from the source data. Depending on the type of source data, items may initially be sorted in ascending order in an Excel PivotTable report.

Filtering In PivotTable lists on the Web, when you filter the lower levels of items, your filtering remains in effect when these fields aren't displayed. In Excel PivotTable reports, these filter settings aren't retained, but you can refilter the lower levels when you display them.

Formatting In a PivotTable list on a Web page, formatting applies only to selected parts of the list, not to cells. You can select and format fields, items, and totals with character and cell formats. In an Excel PivotTable report, you can format cells or selected parts of the report, and you can change what's displayed for errors and empty cells.

Refresh PivotTable lists on the Web are always refreshed when you initially open them in the browser. Excel PivotTable reports are usually refreshed only when you click Refresh Data [image], but you can set them to be refreshed when you open the file and at timed intervals.

Help Help for PivotTable lists on the Web is provided as a list of topics that you can search. In Excel, the Office Assistant is available to provide help.

PivotTable list features that Excel does not have

Displaying detail In a PivotTable list on a Web page, you can display all of the available source data in list format, without summarizing any of the data. When data is summarized, the list can show full underlying detail for any item if the detail is available from the source data. In Excel PivotTable reports, you can display the underlying detail, if available from the source data, for only one cell in the data area at a time, and Excel puts this data on a separate worksheet.

Editing detail data Excel PivotTable reports do not have this feature. A PivotTable report in Excel can display only data that's present in the underlying source list or database.

Calculated fields in the detail area Because an Excel PivotTable report has no equivalent for the detail area of a PivotTable list on the Web, calculated fields located in the detail area aren't exported to Excel.

Filter by selection In PivotTable lists on the Web, you can filter the data to match a selected cell. In Excel PivotTable reports, you can filter data only by showing and hiding items.

Filtering for top and bottom items Although Excel also has this feature, some top or bottom filters from PivotTable lists on Web pages can't be displayed in Excel.

Grouping items by text type Excel doesn't have the ability to group items by text, such as grouping all the items that start with the same letter. Groups of this type aren't displayed in Excel.

Grouping date items by week Excel PivotTable reports don't allow items to be grouped by week. Items grouped by week in a PivotTable list on a Web page are displayed in Excel grouped by month.

OLAP property fields Excel can display property fields within a PivotTable report, but does not display them as ScreenTips when you rest the pointer over an item. PivotTable lists have some display and filtering options available through Web scripts that Excel does not provide, and as a result, some property fields displayed on a Web page don't appear when the PivotTable list is exported to Excel.

Setting report size A PivotTable list on a Web page fills a window of a certain size within the Web page. Excel PivotTable reports, contained on an Excel worksheet, use as many cells on the worksheet as are necessary to display the data.

Hyperlinks Excel PivotTable reports don't support hyperlinks. Only the text of the hyperlinks from PivotTable lists appears in Excel.

Charts If a Web page has both a PivotTable list and an associated chart, you cannot export both the list and the chart to Excel and have them continue to be linked together in Excel. However, you can export the PivotTable list to Excel and then create a new Excel PivotChart report based on it.


About error bars in charts

Error bars graphically express potential error amounts relative to each data marker in a data series. For example, you could show 5 percent positive and negative potential error amounts in the results of a scientific experiment:

Chart with error bars

Chart types that support error bars You can add error bars to data series in 2-D area, bar, column, line, xy (scatter), and bubble charts. For xy (scatter) and bubble charts, you can display error bars for the x values, the y values, or both.


About euro currency

Some of the content in this topic may not be applicable to some languages.

Microsoft Excel built-in euro currency support

Operating system support For Excel to recognize euro values, your operating system must support the euro sign. Microsoft Windows 2000 Professional, Microsoft Windows NT 4.0 with Service Pack 4 or later, Windows Millennium Edition, and Windows 98 have built-in euro support.

Fonts that display the euro sign The fonts that can display the euro sign are Arial, Courier New, Lucida Console, MS Sans Serif, Tahoma, and Times New Roman. Depending on your operating system, not all fonts may be available.

How Excel recognizes euro values Excel recognizes the regional currency symbol (such as the dollar sign $) designated by regional settings in Windows Control Panel, as currency and not, for example, as text. Excel also recognizes the euro sign as currency, even if you haven't designated it as your regional currency symbol in Control Panel.

Note You can convert euro member currencies to euro currency by using the Euro Currency Tools add-in, which is included with Excel 2002. However, you don't have to install or load this add-in program for Excel to recognize both euro currency values and values in your local currency.

Typing euro currency values If the font you are using supports the euro currency symbol, you can enter the euro sign by pressing ALT+0128 on the numeric keypad.

You can type values with the euro sign [image] before or after the number, and include or omit a space between the number and the euro sign. For example, if you type any of the following values, Excel recognizes them as one euro:

Euro 1 1 Euro Euro 1 1 Euro

Formatting euro currency values When you type a value in euros, Excel formats the cell as currency and includes two decimal places, if the number you type includes any decimal places. For example, if you type Euro 1.2, Excel displays Euro 1.20. If you type 2.359 Euro, Excel stores all three decimal places but displays 2.36 Euro, rounding up the last decimal place. However, if you type Euro 1, Excel displays Euro 1.

If you enter a value in euros and then click Undo [image], Excel removes the currency format from the cell along with the data.

You can also create your own euro currency style to format cells.

Printing values with the euro sign If your printer does not have the euro sign in its resident fonts, a box is printed instead of the euro sign. Contact your printer vendor to find out how to update your printer fonts to include the euro sign. You can also adjust your printer setup not to use resident fonts. Look for an option called Print fonts as graphics in printer setup properties.

Bringing euro data into Excel When you import external data, Excel recognizes euro and local currency values the way you type them. However, when you copy and paste data from another program into Excel, Excel does not recognize euro values.

Using euro values in macros You can also record and play back macros that uses euro values, just as you can record and play back macros that use values in your local currency. You should not use the euro symbol in the name of the module or in procedure names.

Euro Currency Tool add-in

The Microsoft Excel Euro Currency Tools add-in program, available by selecting the Euro Currency Tools check box under Add-ins on the Tools menu, provides the following tools to work with euros and the national currency units of the European Union (EU) members that have adopted the euro.

  • A EuroValue toolbar that you can use to view converted values
  • A Standard toolbar button called Euro [image] to format euro values
  • A toolbar button [image] and Euro Conversion menu command to convert values to and from the euro and between the other euro member currencies, and also convert formulas to use the euro or another euro member currency
  • The EUROCONVERT worksheet function

Converting Excel formulas

The Euro Currency Tools add-in acts upon all cells in a source range that you define. If the source range contains formulas, you can convert them all at the same time according to global options that you set, or Excel can prompt you to define how you want to convert each formula. Whether you convert formulas one at a time or all at once, you can specify a method you want to use for the conversion.

Convert formulas to values When you use this method, Excel calculates the formulas in the source range, converts the results to the new currency, and returns the converted values to the destination range.

Use this method when you won't need to recalculate the converted results later if the values in the referenced cells in the source formula change. This is the default method.

Link new formulas to original data This method creates new formulas in the destination range that refer to the cells that contain the source formulas. The resulting linked formulas convert the results of the source formulas to the new currency by using the EUROCONVERT worksheet function.

Use this method when you plan to update the values in the cells referred to by the source formulas, and will want to recalculate the converted results. Consider using this method whenever you don't convert any of the cells referred to by the source formulas, and you want to perform calculations using the source currency before converting to the new currency.

Copy the original formula but do not apply EuroConvert This method copies the source formulas to new cells and adjusts their relative cell references to refer to the destination cells that contain the converted values.

Use this method when you convert all of the cells that the source formulas refer to and you want the new formulas to use the converted values to calculate their results.

Leave the destination cell blank This method skips over the formula without converting or copying it, and does not enter a value in the destination cell for the formula. If you previously selected either Currency or ISO output, this method does copy the cell formatting, including borders and font, from the source cell to the destination cell.

Use this method for formulas you don't want to include in the destination range.

Edit new formula You can write your own formula based on the source formula, or create a new formula. For example, you can modify the formula to calculate a different value or refer to different cells, or you can add any worksheet function to the formula.

Use this method when none of the other methods meet your requirements.

Working with euro currency in earlier versions of Excel

Tools for working with euro currency in product versions earlier than Excel 2000 are available on the Microsoft Office Web site. If you use earlier Excel product versions, you can view euro values in workbooks that were created in Excel 2002 and saved in a compatible format. The tool supports only formatting, however, so workbooks with cells containing the EUROCONVERT function will return #NAME?.

If you have Excel 2000 Excel 2000 supports the EUROCONVERT function if the Euro Currency Tool add-in is installed.

If you have Excel 98 for the Macintosh For information about the availability of euro features for Excel 98 for the Macintosh, go to the Microsoft Office Web site. See Help for Excel 98 for information about working with Excel for Windows files on the Macintosh.

To display the euro sign, you must first install fonts that include the euro sign. You can obtain these fonts for your version of the Macintosh operating system from Apple Computer, Inc. When you open a workbook on the Macintosh that does not have fonts that include the euro sign, the euro sign will appear as an underscore ( _ ) instead of Euro sign. If you update links or calculate formulas that include the EUROCONVERT worksheet function, the formulas display the #NAME? error.

If you have Excel 97 The add-in for Excel 97 includes only formatting support. Without the add-in you must create the number format for euro currency yourself.

If you have product versions earlier than Excel 97 No add-in program is available for versions of Excel for Windows or Macintosh earlier than Excel 97. For information about euro fonts for Windows 3.x, see the Microsoft Office Web site. If you save an Excel 2002 workbook with euro values and formulas in a format compatible with a version of Excel earlier than Excel 95 and then open the workbook in that version, and you don't have operating system support for the euro sign, the euro sign does not appear. If you update links or calculate formulas that include the EUROCONVERT worksheet function, the formulas display the #NAME? error.

Note No matter what operating system you're running, if you save your document in an earlier Excel file type or in a file format other than Excel, the euro symbol will not display or displays as a different character.

To use a worksheet that contains EUROCONVERT formulas with a version of Excel that does not support the function (Excel 97 or earlier), you can open the workbook in Excel 2002, copy and paste only the values of the cells on a new worksheet, and then save the workbook in a format compatible with the earlier version of Excel.

Conversion rates and new member currencies

The tools you use to convert currencies have fixed conversion rates and conversion tools established by the EU. For information about the rules and rates currently in effect, see the European Commission publications about the euro or the Microsoft Office Web site.

Note The hyperlink in this topic go to the Web. You can switch back to Help at any time.

For a list of the current euro member currencies, see the EUROCONVERT worksheet function. For information about updates currently available for download from the Web, see the Microsoft Office euro Web site. For information about other ways to obtain updates, contact Microsoft Product Support Services or your Microsoft Office vendor.


Select data in a PivotTable report

When you apply formatting or change calculated item formulas in a PivotTable report, you can select either individual cells or sections of the report. Changes you make to sections apply to the elements in the report, and remain in effect when you change the layout or view.

To select cells, use the regular Microsoft Excel selection pointer Excel selection cursor. To select sections of the report, position the mouse pointer at the tops or left sides of field buttons and item labels so that it changes to Down arrow or Right arrow . If you don't see the pointer change shape, click PivotTable on the PivotTable toolbar, point to Select, and make sure Enable Selection [image] is turned on.

You can select the following:

Individual cells

  1. Point to the first cell you want to select, making sure the pointer is Excel selection cursor.
  2. Click to select a single cell, or click and drag to select multiple cells.

An entire report

  1. Click the report.

  2. Click PivotTable on the PivotTable toolbar.

  3. Point to Select, and click Entire Table.

All items in a field

Point to the top edge of the field button until the pointer changes to Down arrow, and then click.

Example of selecting all items in a PivotTable field

Point to the top of the Region button and then click once to select the East and West items.

Item labels, data, or both

  1. Select the items.

  2. Click PivotTable on the PivotTable toolbar.

  3. Point to Select, and then click what you want to select:

    Label [image] to select only the item labels.

    Data [image] to select only the data for the items.

    Label and Data [image] to select both.

All instances of a single item

Point to the top edge of a column field item until the pointer changes to Down arrow, or the left edge of a row field item until the pointer changes to Right arrow, and then click.

Example of selecting all instances of a PivotTable item

Clicking the left edge of Golf selects both rows for Golf.

One instance of an item

  1. Point to the top edge of a column field item until the pointer changes to Down arrow, or the left edge of a row field item until the pointer changes to Right arrow.

  2. Click once, and then click additional times, waiting between clicks so that you do not double-click.

Example of selecting one instance of an item in a PivotTable report

Click the left edge of Golf, then click again to select only the row for Qtr1 Golf.

If a PivotTable report has several row fields, click repeatedly until you've selected only the items you want. For example, to select a single instance of an item in the innermost of four row fields, you would click four times.

Multiple items

  1. Point to the top edge of a column field item until the pointer changes to Down arrow, or the left edge of a row field item until the pointer changes to Right arrow.

  2. Click as many times as necessary to select one of the items you want (see "One instance of an item" above).

  3. Hold down SHIFT and click, or hold down CTRL and click to select additional items within the same field.

  4. To cancel selection of an item, hold down CTRL and click the item.

Totals and grand totals

  1. Point to the top edge of a total in a column field until the pointer changes to Down arrow, or the left edge of a total in a row field until the pointer changes to Right arrow.
  2. Click once to select all totals for the field, then click again to select only the current total.


Guidelines for creating a list on a worksheet

Microsoft Excel has a number of features that make it easy to manage and analyze data in a list. To take advantage of these features, enter data in a list according to the following guidelines.

List organization

Use only one list per worksheet Avoid having more than one list on a worksheet. Some list management features, such as filtering, can be used on only one list at a time.

Put similar items in one column Design the list so that all rows have similar items in the same column.

Keep the list separate Leave at least one blank column and one blank row between the list and other data on the worksheet. Excel can then more easily detect and select the list when you sort, filter, or insert automatic subtotals.

Position critical data above or below the list Avoid placing critical data to the left or right of the list; the data might be hidden when you filter the list.

Show rows and columns Make sure any hidden rows or columns are displayed before making changes to the list. When rows and columns in a list are not showing, data can be deleted inadvertently.

List format

Use formatted column labels Create column labels in the first row of the list. Excel uses the labels to create reports and to find and organize data. Use a font, alignment, format, pattern, border, or capitalization style for column labels that is different from the format you assign to the data in the list. Format the cells as text before you type the column labels.

Use cell borders When you want to separate labels from data, use cell borders — not blank rows or dashed lines — to insert lines below the labels.

Avoid blank rows and columns Avoid putting blank rows and columns in the list so that Excel can more easily detect and select the list.

Don't type leading or trailing spaces Extra spaces at the beginning or end of a cell affect sorting and searching. Instead of typing spaces, indent the text within the cell.

Extend list formats and formulas When you add new rows of data to the end of a list, Excel extends consistent formatting and formulas. Three of the five preceding cells must use the same format for a format to be extended. All of the preceding formulas must be consistent for a formula to be extended.


About supporting Web files and hyperlinks

Web pages often contain images and other supporting files as well as links to other Web pages. When supporting files or pages are moved, the Web page that refers to them may no longer work properly. Following are the ways that Microsoft Excel helps you to manage supporting files and hyperlinks.

Supporting files

When you publish an Excel workbook or worksheet as a Web page, Excel creates a supporting folder named "filename_ files" where it saves all the page's supporting files — such as bullets, background textures, and graphics. For example, if your file is named Page1.htm, Excel creates a subfolder named "Page1_ files." Excel also assigns names such as image001.jpg and image002.gif to the supporting files.

When you delete elements that were saved as relative links, Excel automatically deletes the corresponding supporting files from the supporting folder.

If you move or copy your Web page to another location, you must also move the supporting folder so that you maintain all links to your Web page. When you republish to another location, Excel automatically copies the supporting folder for you.

For example, suppose you have a Web page: http://example.microsoft.com/Page1.htm. It includes bullets, which are stored in a supporting folder: http://example.microsoft.com/Page1_ files. The relative paths for the bullet files are /Page1_ files/image001.gif and /Page1_ files/image002.gif. If you move Page1.htm to a new location, such as http://example.microsoft.com/, you must also move the supporting files folder (Page1_ files) to http://example.microsoft.com/.

By default, the name of the supporting folder is the name of the Web page plus an underscore (_) or a hyphen (-), and the word "files." The word "files" will appear in the language of the version of Excel used to save the file as a Web page. For example, suppose you use the Dutch language version of Excel to save a file called Page1 as a Web page. The default name of the supporting folder would be Page1_ bestanden.

Relative and absolute hyperlinks

When you create Web pages, Microsoft Excel automatically manages the related files and hyperlinks so that the images appear and the links work when the pages are placed on the final Web server.

When all the files — such as bullets, navigational buttons, background textures, graphics, and Web pages you create hyperlinks to — are placed on, or published to, the same Web server, Excel maintains the links as relative links.

Hyperlinks to Web sites on other servers — for example, a list of your favorite places on the Web — are maintained as absolute links — that is, fixed file locations.

When you save your Web pages to a different location, links that can't be converted to relative links remain as absolute links.


About shared workbooks

Several people editing a shared workbook simultaneously

A shared workbook allows several people to edit simultaneously. It's particularly useful for managing lists that change frequently.

For example, if the people in your workgroup each handle several projects and need to know each other's status, the group could use a list in a shared workbook where each person enters and updates a row of information for each project.

Creating a shared workbook

The original author of a workbook prepares it to be shared by entering and formatting the data that needs to be present. The workbook is saved as shared, and put on a network share (not a Web server) available to the intended users.

Allow for unavailable features Because some Microsoft Excel features can be viewed or used but not changed once the workbook is shared, you'll want to set up these features before you share the workbook.

The following features can't be changed after a workbook is shared: merged cells, conditional formats, data validation, charts, pictures, objects including drawing objects, hyperlinks, scenarios, outlines, subtotals, data tables, PivotTable reports, workbook and worksheet protection, and macros.

Make settings that affect all users When you share the workbook, you can customize some sharing features. For example, you can decide whether to keep track of changes for the default 30 days or for a longer or shorter amount of time.

Working in a shared workbook

After you open a shared workbook, you can enter and change data as you do in a regular workbook. A few aspects are different from working in a regular workbook, however.

Seeing other users' changes Each time you save the shared workbook, you're updated with any changes that others have saved since the last time you saved. If you want to keep the shared workbook open to monitor progress, you can have Microsoft Excel update you with changes automatically, at timed intervals that you specify, with or without saving the workbook yourself.

Resolving conflicts When you save changes to a shared workbook, another person who's currently editing the workbook might have saved changes to the same cells. In this case, the changes conflict, and a conflict resolution dialog box appears that allows you to decide whose changes to keep.

Keeping personal views and settings Excel saves a custom view of the shared workbook for you that includes things like which worksheet you have displayed and your zoom settings. By default your view includes any filter and print settings you make, or you can specify that you want to use the original filter and print settings. Each time you open the shared workbook, Excel displays it with your view in effect, so that each user can have his or her own settings.


Create a consecutive list of dates

  1. Type the first day or date in the list, for example Monday or 6/13/08, in a cell.
  2. Select the cell and use the fill handle to fill a list of consecutive days.

Note If you want only weekdays in your list, click Auto Fill Options [image] and then select Fill Weekdays only.


About labels and names in formulas

You can use the labels of columns and rows on a worksheet to refer to the cells within those columns and rows. Or you can create descriptive names to represent cells, ranges of cells, formulas, or constant values. Labels can be used in formulas that refer to data on the same worksheet; if you want to represent a range on another worksheet, use a name.

Using defined names to represent cells, constants, or formulas

A defined name in a formula can make it easier to understand the purpose of the formula. For example, the formula =SUM(FirstQuarterSales) might be easier to identify than =SUM(C20:C30).

Names are available to any sheet. For example, if the name ProjectedSales refers to the range A20:A30 on the first worksheet in a workbook, you can use the name ProjectedSales on any other sheet in the same workbook to refer to range A20:A30 on the first worksheet.

Names can also be used to represent formulas or values that do not change (constants). For example, you can use the name SalesTax to represent the sales tax amount (such as 6.2 percent) applied to sales transactions.

You can also link to a defined name in another workbook, or define a name that refers to cells in another workbook. For example, the formula =SUM(Sales.xls!ProjectedSales) refers to the named range ProjectedSales in the workbook named Sales.

Note By default, names use absolute cell references.

Guidelines for names

What characters are allowed? The first character of a name must be a letter or an underscore character. Remaining characters in the name can be letters, numbers, periods, and underscore characters.

Can names be cell references? Names cannot be the same as a cell reference, such as Z$100 or R1C1.

Can more than one word be used? Yes, but spaces are not allowed. Underscore characters and periods may be used as word separators — for example, Sales_Tax or First.Quarter.

How many characters can be used? A name can contain up to 255 characters.

Note If a name defined for a range contains more than 253 characters, you cannot select it from the Name box.

Are names case sensitive? Names can contain uppercase and lowercase letters. Microsoft Excel does not distinguish between uppercase and lowercase characters in names. For example, if you have created the name Sales and then create another name called SALES in the same workbook, the second name will replace the first one.

Using existing row and column labels as names

When you create a formula that refers to data in a worksheet, you can use the column and row labels in the worksheet to refer to the data. For example, to calculate the total value for the Product column, use the formula =SUM(Product).

Using a label

Using a label

Or if you need to refer to the Product 3 amount for the East division (that is, the value 110.00), you can use the formula =Product 3 East. The space in the formula between "Product 3" and "East" is the intersection operator. This operator designates that Microsoft Excel should find and return the value in the cell at the intersection of the row labeled East and the column labeled Product 3.

Note By default, Excel does not recognize labels in formulas. To use labels in formulas, click Options on the Tools menu, and then click the Calculation tab. Under Workbook options, select the Accept labels in formulas check box.

Stacked labels When you use labels for the columns and rows on your worksheet, you can use those labels to create formulas that refer to data on the worksheet. If your worksheet contains stacked column labels — in which a label in one cell is followed by one or more labels below it — you can use the stacked labels in formulas to refer to data on the worksheet. For example, if the label West is in cell E5 and the label Projected is in cell E6, the formula =SUM(West Projected) returns the total value for the West Projected column.

The order for stacked labels When you refer to information by using stacked labels, you refer to the information in the order in which the labels appear, from top to bottom. If the label West is in cell F5 and the label Actual is in cell F6, you can refer to the actual figures for West by using West Actual in a formula. For example, to calculate the average of the actual figures for West, use the formula =AVERAGE(West Actual).

Using dates as labels When you label a range by using the Label Ranges dialog box and the range contains a year or date as a label, Excel defines the date as a label by placing single quotation marks around the label when you type the label in a formula. For example, suppose your worksheet contains the labels 2007 and 2008 and you have specified these labels by using the Label Ranges dialog box. When you type the formula =SUM(2008), Excel automatically updates the formula to =SUM('2008').


About OLAP source data in PivotTable and PivotChart reports

On-Line Analytical Processing (OLAP) is a way to organize large business databases. OLAP databases are organized to fit the way you retrieve and analyze data so that it's easier to create the reports you need.

OLAP databases are designed to speed up the retrieval of data. Because the OLAP server, rather than Microsoft Excel, computes the summarized values, less data needs to be sent to Excel when you create or change a report. This approach lets you work with much larger amounts of source data than you could if the data were organized in a traditional database, where Excel must retrieve all the individual records and then calculate the summarized values.

OLAP basics

Levels of detail OLAP databases organize data by level of detail, using the same categories you use to analyze the data. For example, a sales database might have fields for the country, region, city, and site of each sale. This information could be organized from least to greatest level of detail, like this:

Levels in geography dimension

Levels in a geography dimension

This organization makes it easy for a PivotTable or PivotChart report to display high-level summaries, such as sales totals across an entire country or region, and also display the details for sites where sales are particularly strong or weak.

Dimensions and cubes A set of levels that encompass one aspect of the data, such as geographic locations, is called a dimension. Similarly, information about when sales were made could be organized in a time dimension with levels for year, quarter, month, and day. OLAP databases are called cubes because they combine several dimensions, such as time, geography, and product lines, with summarized data, such as sales or inventory figures.

OLAP features in Microsoft Excel

Retrieving OLAP data You can connect to OLAP data sources just as you do to other external data sources. You can work with databases created with Microsoft SQL Server OLAP Services, the Microsoft OLAP server product. Excel can also work with third-party OLAP products that are compatible with OLE-DB for OLAP.

You can display OLAP data only as a PivotTable or PivotChart report, not as an external data range. You can save OLAP PivotTable and PivotChart reports in report templates, and you can create Office Data Connection (.odc) files to connect to OLAP databases and query files (.oqy) for OLAP queries. When you open an .odc or .oqy file, Excel displays a blank PivotTable report, ready for you to lay out.

Creating cube files for offline use You can use the Excel Offline Cube Wizard to create files with a subset of the data from an OLAP server database. Offline cube files let you work with OLAP data when you are not connected to your network. You can create cube files only if you use an OLAP provider, such as Microsoft SQL Server OLAP Services, that supports this feature.

Creating cubes from relational databases Another wizard, the OLAP Cube Wizard, allow you to organize data queried from relational databases, such as Microsoft SQL Server, into OLAP cubes. This wizard is available from Microsoft Query, which you access from Excel. A cube lets you work with larger amounts of data in a PivotTable or PivotChart report than you could otherwise, and speeds retrieval of the data.

Software components you need for OLAP access

An OLAP provider To set up OLAP data sources for Microsoft Excel, you need one of the following OLAP providers:

  • Microsoft OLAP provider Excel includes the data source driver and client software you need to access databases created with the Microsoft OLAP product, Microsoft SQL Server OLAP Services. The driver provided with Excel 2002 supports both versions 7.0 and 8.0 of this product. If you have the version 7.0 driver that was provided with Excel 2000, you can use this driver to access version 7.0 databases, but for version 8.0 databases you must use the version 8.0 driver.
  • Third-party OLAP providers For other OLAP products, you need to install additional drivers and client software. To use the Excel features for working with OLAP data, the third-party product must conform to the OLE-DB for OLAP standard and be Microsoft Office compatible. For information about installing and using a third-party OLAP provider, consult your system administrator or the vendor for your OLAP product.

Server databases and cube files The Excel OLAP client software supports connections to two types of OLAP databases. If a database on an OLAP server is available on your network, you can retrieve source data from it directly. If you have an offline cube file containing OLAP data or a cube definition file, you can connect to that file and retrieve source data from it.

Data sources A data source gives you access to all data in the OLAP database or offline cube file. After you have created an OLAP data source, you can base reports on it, and return the OLAP data to Excel in the form of a PivotTable or PivotChart report. You can create a data source while you are using the PivotTable and PivotChart Wizard to create a new report, or you can create a data source in Microsoft Query and use it to create reports in Excel.

Microsoft Query Microsoft Query is an optional Microsoft Office component that you can install and access from Excel. You can use Query to retrieve data from an external database such as Microsoft SQL or Microsoft Access. You do not need to use Query to retrieve data from an OLAP PivotTable that is connected to a cube file.

Feature differences for reports with OLAP source data

If you work with PivotTable and PivotChart reports from both OLAP source data and other types of source data, you will notice some feature differences.

Data retrieval An OLAP server returns new data to Microsoft Excel every time you change the layout of the report. With other types of external source data, you query for all the source data at once, or you can set options to query only when you display different page field items. You also have several other options for refreshing the report.

In reports based on OLAP source data, the page field settings are unavailable, background query is unavailable, and the optimize memory setting is not available.

Field types For OLAP source data, dimension fields have Dimension field icon icons in the field list and can be used only as row (series), column (category), or page fields. Fields with Data field icon icons can be used only as data fields. For other types of source data, all fields have Field icon icons and can be used in any part of a report.

Renamed fields and items For OLAP source data, renamed fields and items that you hide revert to their original names when you redisplay them. For other types of source data, fields and items retain their new names in these situations.

Access to detail data For OLAP source data, the server determines what levels of detail are available and calculates summary values, so the detail records that make up summary values usually aren't available, and you can't show items with no data. The server may, however, provide property fields that you can display. Other types of source data don't have property fields, but you can display the underlying detail for data field values and for items, and you can show items with no data.

OLAP page fields may not have an All item, and the Show Pages command is unavailable.

Initial sort order For OLAP source data, items first appear in the order in which the OLAP server returns them. You can then sort or manually rearrange the items. For other types of source data, the items in a new report first appear sorted in ascending order by item name.

Calculations OLAP servers provide summarized values directly for a report, so you cannot change the summary functions for data fields. For other types of source data, you can change the summary function for a data field and use multiple summary functions for the same data field.

Both types of source data support custom calculations.

You cannot create calculated fields or calculated items in reports with OLAP source data.

Subtotals In reports with OLAP source data, you cannot change the summary function for subtotals, and you cannot display subtotals for inner row or column fields. With other types of source data, you can change subtotal summary functions and show or hide subtotals for all row and column fields.

For OLAP source data, you can include or exclude hidden items when you calculate subtotals and grand totals. For other types of source data, you can include hidden page field items in subtotals, but hidden items in other fields are excluded by default.


About outlining a worksheet

Microsoft Excel can create an outline for your data to let you show and hide levels of detail with a single mouse click. You can click the outline symbols one two three, plus, and minus to quickly display only the rows or columns that provide summaries or headings for sections of your worksheet, or you can use the symbols to see details under an individual summary or heading.

Preparing data to be outlined

Data to be outlined should be in list format, where each column has a label in the first row and contains similar facts, and there are no blank rows or columns within the list.

Before outlining, you may need to sort the data so that rows to be grouped are together. In the illustration above, the list was sorted by region and then by month, so that the detail rows for March and April within the East region are together, and the rows for each month within the West region are together.

Provide summary rows, either above or below each group of detail rows. For best results summary rows should contain formulas that reference cells in each of the detail rows. In the illustration, there's a total row below the detail for each month and region. For example, the sales in rows 11 through 13 are totaled in row 14. You can also outline data where the summary rows contain descriptive text or other data.

If you're outlining columns instead of rows, make sure your list has labels in the first column, and that you have summary columns either to the left or right of your detail columns.

Displaying and hiding outlined data

An outline can have up to eight levels of detail, with each inner level providing details for the preceding outer level. In the illustration, the All Sales row, which contains the total of all the rows, is level 1. The rows containing the total for each month are level 2, and the detail rows for the sales are level 3. To display only the rows for a particular level, you can click the number for the level you want to see. In the illustration, the detail rows for the East region and for April in the West region are hidden, but you can click the plus symbols to display these rows.

Automatic versus manual outlining

Outlining automatically If you have summarized the data with formulas that contain functions, such as SUM, Excel can automatically outline the data, as in the illustration. The summary data must be adjacent to the detail data.

If you insert automatic subtotals in a list organized in rows, Excel automatically outlines the worksheet at the same time, so that you can show or hide as much detail as you need.

Outlining manually If the data is not organized so that Excel can outline it automatically, you can create an outline manually. For example, you'll need to manually outline data if the rows or columns of summary data contain values or descriptive text instead of formulas.

Customizing an outline with styles

You can apply automatic styles to an outline, either when you create it or afterward. For outlined rows, Excel uses styles such as RowLevel_1 and RowLevel_2 . For outlined columns, Excel uses styles such as ColLevel_1 and ColLevel_2. The styles use bold, italic, and other text formats to differentiate the summary rows in your data. By changing the way each of these styles is defined, you can apply different text and cell formats to customize the appearance of your outline. You can also use autoformats to format outlined data.


About Vietnamese worksheets

All Vietnamese worksheets in Excel 2002 share the following features:

File compatibility Excel 2002 can open worksheets created in versions of Vietnamese Excel 2000 or earlier. There may be some Vietnamese-specific formulas that are not supported in Excel 2002. If you open and convert a file from Vietnamese Excel 2000 or earlier, saving it within Excel 2002 may adversely affect some text and number formatting.

Sorting You might experience different sort order results depending on the Regional Settings or Regional Options setting of the Microsoft Windows operating system you are using.


About Thai worksheets

All Thai worksheets in Excel 2002 share the following features:

File compatibility Excel 2002 can open worksheets created in Thai Microsoft Excel 2000 or earlier. There may be some Thai specific formulas that are not supported in Excel 2002.

Dates Dates in cells that use default formats may be displayed differently in Excel 2002 than in Thai Microsoft Excel 2000 or earlier. The default calendar for Excel 2002 is Gregorian, whereas the default calendar is Thai Buddhist for some default date formats in earlier Thai versions of Excel.

Sorting You might experience different sorting order results depending on the user regional setting of the Microsoft Windows operating system you are using.

Thai function formulas There are some Thai function formulas that were available in Thai Microsoft Excel 2000 or earlier that are not supported in Excel 2002. An error message such as #VALUE! will be displayed in cells that contain non-supported Thai function formulas.


About Solver

Solver is part of a suite of commands sometimes called what-if analysis tools. With Solver, you can find an optimal value for a formula in one cell — called the target cell — on a worksheet. Solver works with a group of cells that are related, either directly or indirectly, to the formula in the target cell. Solver adjusts the values in the changing cells you specify — called the adjustable cells — to produce the result you specify from the target cell formula. You can apply constraints to restrict the values Solver can use in the model, and the constraints can refer to other cells that affect the target cell formula.

Use Solver to determine the maximum or minimum value of one cell by changing other cells — for example, you can change the amount of your projected advertising budget and see the affect on your projected profit amount.

Example of a Solver evaluation

In the following example, the level of advertising in each quarter affects the number of units sold, indirectly determining the amount of sales revenue, the associated expenses, and the profit. Solver can change the quarterly budgets for advertising (cells B5:C5), up to a total budget constraint of $20,000 (cell F5), until the value for total profit reaches the maximum possible amount. The values in the adjustable cells are used to calculate the profit for each quarter, so they are related to the formula in target cell F7, =SUM(Q1 Profit:Q2 Profit).

Before Solver evaluation

1 Adjustable cells

2 Constrained cell

3 Target cell

After Solver runs, the new values are as follows:

After Solver evaluation

Solver sample worksheets

Microsoft Excel includes a workbook, Solvsamp.xls in the Office\Samples folder, that demonstrates the types of problems you can solve.

You can use the sample worksheets in Solvsamp.xls to help you set up your problems. To use any of the six worksheets — Product Mix, Shipping Routes, Staff Scheduling, Maximizing Income, Portfolio of Securities, and Engineering Design — open the workbook, switch to the worksheet you want to use, and then click Solver on the Tools menu. The target cell, adjustable cells, and constraints for the worksheet are already specified.

Algorithm and methods used by Solver

The Microsoft Excel Solver tool uses the Generalized Reduced Gradient (GRG2) nonlinear optimization code developed by Leon Lasdon, University of Texas at Austin, and Allan Waren, Cleveland State University.

Linear and integer problems use the simplex method with bounds on the variables, and the branch-and-bound method, implemented by John Watson and Dan Fylstra, Frontline Systems, Inc. For more information on the internal solution process used by Solver, contact:

Frontline Systems, Inc.
P.O. Box 4288
Incline Village, NV 89450-4288
(775) 831-0300
Web site: http://www.frontsys.com
Electronic mail: info@frontsys.com

Portions of the Microsoft Excel Solver program code are copyright 1990, 1991, 1992, and 1995 by Frontline Systems, Inc. Portions are copyright 1989 by Optimal Methods, Inc.


Set an alternative text description for a picture or shape on a Web page

When you save your work as a Web page, the alternative text description is used by the Web browser if pictures or shapes are slow to load or if they are missing.

  1. Click the picture or shape.
  2. On the Format menu, click AutoShape or Picture and then click the Web tab.
  3. In the Alternative text box, type the text you want. The text can be up to 256 characters, but some Web browsers might be able to display only a limited number of the characters.

Note By default, the text you enter in a WordArt object or the text you add to a shape is used as the alternative text description unless you specify text on the Web tab.


Symbols for drawing object manipulation

Symbols are used to indicate the state of a drawing object and how it can be manipulated. Not all drawing objects can be manipulated or changed in the same way, so not all drawing objects use every symbol.

Sizing handles

These appear on a drawing object when it is selected. When you drag these handles, the size of the object is reduced or enlarged.

Object with selection handles

Rotate handle

A green rotate handle appears when you select an object. You can then rotate the object by dragging the handle.

Object with rotate handles

Adjustment handle

A yellow adjustment handle on AutoShapes that allows shape manipulation. In the illustration, the handle was dragged toward the middle of the shape to make the shape thinner.

Objects with adjustment handles

Vertex

These are black squares that appear at the ends and intersections of lines or curves in selected curves and freeform drawing objects when you click Edit Points on the Draw menu. You can drag them to change the shape of the object.

Object with vertexes

Hatched border

When a text box is surrounded by a hatched border, you can enter, delete, select, and format the text inside.

Text box with a hatched border

Dotted border

When a text box is surrounded by a dotted border, you can format the text box itself. To get the dotted border, click the hatched border.

Text box with a dotted border


About Excel templates and forms

Fill out a form Microsoft Excel includes templates that automate the common tasks of filling in invoices, expense statements, and purchase orders. Each time you fill in one of these forms online, you can choose to add the set of entered information as a new record in a database associated with the form template. To use the database, you must have installed the Template Wizard with Data Tracking add-in.

How?

The Template Wizard is an add-in program that sets up a database to store data entered from a Microsoft Excel form. You can use the wizard with any worksheet form that has cells designated for data entry.

The wizard links cells in your form template to fields in the database that it creates for you. When a user creates a new workbook from the template, enters data in the linked cells, and then saves the workbook, Excel creates a new record in the database containing the data from the form.

For example, suppose that you want to track work-related injuries from multiple manufacturing sites. First, create an injury report form on a worksheet. Then use the Template Wizard to create a template from the form that's linked to a database. When workers fill out a new injury report based on the template and then save the form, they create both a "hard copy" report and a corresponding record in the database.

The Template Wizard is available from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Putting existing data in the new database

When you set up a new database, you may already have saved some copies of the Excel form that contain data you'd like to include in the database. The Template Wizard can automatically add this data as long as the data in the existing workbooks is in the same cell locations as in the template that you link to the database.

For example, if you indicate in the Template Wizard that the data in cell D4 of sheet Personal_Data is linked to the Employee ID field in the database, all existing workbooks with data that you want to add to the database must also have the employee number in cell D4 of sheet Personal_Data.

Types of databases the wizard can set up for you

The database can be an Excel list, or a Microsoft Access, Microsoft FoxPro, dBASE, or Paradox database for which you have installed the necessary ODBC driver and other data access components. Store the database in a network location that all users of the form have access to.

Updating records and creating reports from the database

You can use your database program to create reports from the saved data or use it as you would any database. To change the data in a record, you can reopen and edit the saved copy of the form associated with the record. If you delete the copy of the form, the corresponding record is retained in the database and any future updates to the record can be done from within the database program. You can delete the record as you would any record in that type of database.

Access the templates To use the templates, click General Templates... on the New Workbook task pane, and then double-click a template on the Spreadsheet Solutions tab. If the template you want is not listed in the Templates dialog box, you can install it now.

How?

If you originally installed your Microsoft Office program from a network file server or from a shared folder, you must install or remove components from that location. If you installed your Office program from a CD-ROM and you've mapped your CD-ROM drive to a new drive letter since installing the Office program, reinstall from the CD-ROM. If you're running any Office program files from the CD-ROM, you must uninstall the Office program and then reinstall it from the CD-ROM.

  1. Quit all programs.
  2. Double-click the Add/Remove Programs icon in the Windows Control Panel.
  3. Do one of the following:

    • For Windows 2000 and Windows Millennium Edition:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office in the Currently installed programs box, and then click the Change button.

    If you installed your Office program individually, click the name of your program in the Currently installed programs box, and then click the Change button.

    • For Windows 98 and Windows NT 4.0:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click the Add/Remove button.

    If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click the Add/Remove button.

  4. Follow the instructions on the screen.

Find additional templates If you have access to the World Wide Web, you can obtain additional Excel templates designed for tasks such as planning personal finances. For more information, click Office on the Web on the Help menu.

Notes

  • If you installed Microsoft Office XP or Microsoft Excel 2002 in the same folder as the earlier version, Setup moved the existing templates to the Templates folder, which is usually

    C:\Documents and Settings\user_name\Application Data\Microsoft\Templates
    for Windows NT or Windows 95 or later with multiple user capability, or

    C:\Windows\Application Data\Microsoft\Templates
    for Windows 95 or later without multiple user capability.

  • If you upgraded from Microsoft Office 97 or Microsoft Excel 97 for Windows, your existing templates are available on the Office 97 Templates tab in the New dialog box.
  • If you upgraded from Microsoft Office 95 or Microsoft Excel 95 for Windows, your existing templates are available on the Office 95 Templates tab in the New dialog box.
  • If you installed the current version in a different folder, Setup places a shortcut to the existing templates in the Application Data\Microsoft\Templates folder.


About using dates in charts

When you create a chart from worksheet data that uses dates, and the dates make up the category (x) axis in the chart, Microsoft Excel automatically uses a time-scale category axis.

Display of dates The time-scale category axis displays dates in chronological order at specific intervals, or "base units," even if the dates on the worksheet are not in order or in the same base units.

Charts that use time-scale axes

Excel initially sets the time-scale base units (days, months, or years) according to the smallest difference between any two dates in the data. For example, if you have data for stock prices where the smallest difference between dates is seven days, Excel presets the time-scale base unit to days.

You can change the base unit to months to see the performance of the stock over a shorter or longer period of time, as in the first chart in the example. To change the base unit, click the axis, click Selected Axis on the Format menu, and then click the options you want on the Scale tab.

Time-scale charts and times You can't create time-scale charts from data that is measured at intervals of hours, minutes, or seconds. Only days, months, and years are considered base units in time-scale charts.

Chart types that can use a time-scale axis Time-scale axes are available on stock charts and on 2-D and 3-D line, column, bar, and area charts, except when these charts have multiple-level category labels. Time scale axes are not available on PivotChart reports.

Note You cannot have a time-scale axis if the dates in your chart appear in the legend. You can change the way data is plotted in the chart so that the dates appear on the category axis instead.


About functions

Functions are predefined formulas that perform calculations by using specific values, called arguments, in a particular order, or structure. Functions can be used to perform simple or complex calculations. For example, the ROUND function rounds off a number in cell A10.

Structure of a function

Structure of a function

1 Structure. The structure of a function begins with an equal sign (=), followed by the function name, an opening parenthesis, the arguments for the function separated by commas, and a closing parenthesis.

2 Function name. For a list of available functions, click a cell and press SHIFT+F3.

3 Arguments. Arguments can be numbers, text, logical values such as TRUE or FALSE, arrays, error values such as #N/A, or cell references. The argument you designate must produce a valid value for that argument. Arguments can also be constants, formulas, or other functions.

4 Argument tooltip. A tooltip with the syntax and arguments appears as you type the function. For example, type =ROUND( and the tooltip appears. Tooltips only appear for built-in functions.

Entering formulas When you create a formula that contains a function, the Insert Function dialog box helps you enter worksheet functions. As you enter a function into the formula, the Insert Function dialog box displays the name of the function, each of its arguments, a description of the function and each argument, the current result of the function, and the current result of the entire formula.

Nested functions

In certain cases, you may need to use a function as one of the arguments of another function. For example, the following formula uses a nested AVERAGE function and compares the result with the value 50.

Valid returns When a nested function is used as an argument, it must return the same type of value that the argument uses. For example, if the argument returns a TRUE or FALSE value, then the nested function must return a TRUE or FALSE. If it doesn't, Microsoft Excel displays a #VALUE! error value.

Nesting level limits A formula can contain up to seven levels of nested functions. When Function B is used as an argument in Function A, Function B is a second-level function. For instance, the AVERAGE function and the SUM function are both second-level functions because they are arguments of the IF function. A function nested within the AVERAGE function would be a third-level function, and so on.


Convert times

Convert between time units

Use the CONVERT function to do this task.

If this function is not available, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
6
Formula | Description (Result)
=CONVERT(A2,"day","hr") | Convert 6 days to hours (144)
=CONVERT(A2,"hr","mn") | Convert 6 hours to minutes (360)
=CONVERT(A2,"yr", "day") | Convert 6 years to days (2191.5)

Note For conversions using a year, a year is treated as 365.25 days.

Function details

CONVERT

Convert hours from standard time format (hours : minutes : seconds) to a decimal number

Use INT function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Time
10:35 AM
12:15 PM
Formula | Description (Result)
=(A2-INT(A2))*24 | Number of hours since 12:00 AM (10.583333)
=(A3-INT(A3))*24 | Number of hours since 12:00 AM (12.25)

Function details

INT

Convert hours from decimal number to the standard time format (hours : minutes : seconds)

Use the divisor operator (/) and the TEXT function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Hours
10.5833
12.25
Formula | Description (Result)
=TEXT(A2/24, "h:mm") | Hours since 12:00 AM (10:35)
=TEXT(A3/24, "h:mm") | Hours since 12:00 AM (12:15)

Note You can also apply the time number format without using the TEXT function to specify the format. To view the number as a time, select the cell and click Cells on the Format menu. Click the Number tab, and then click Time in the Category box. However, if you use both a format applied with the TEXT function and number format, the TEXT function takes precedence.

Function details

TEXT


Convert measurements

Use the CONVERT function to convert a wide range of measurements, including measures of weight, distance, time, pressure, force, energy, power, magnetism, temperature, and liquid measure.

If this function is not available, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
6
Formula | Description (Result)
=CONVERT(A2,"C","F") | Convert 6 degrees Celsius to Fahrenheit (42.8)
=CONVERT(A2,"tsp","tbs") | Convert 6 teaspoons to tablespoons (2)
=CONVERT(A2,"gal","l") | Convert 6 gallons to liters (22.71741274)
=CONVERT(A2,"mi","km") | Convert 6 miles to kilometers (9.656064)
=CONVERT(A2,"km","mi") | Convert 6 kilometers to miles (3.728227153)
=CONVERT(A2,"in","ft") | Convert 6 inches to feet (0.5)
=CONVERT(A2,"cm","in") | Convert 6 centimeters to inches (2.362204724)

Note To see a full list of all the measures that can be converted see the CONVERT function help topic.

Function details

CONVERT


Settings you can save in a template

Formatting

Cell and sheet formats. Set by using the commands on the Format menu.

Page formats and print area settings for each sheet.

Cell styles.

The number and type of sheets in a workbook.

Protected and hidden areas of the workbook. You can hide sheets, rows, and columns and prevent changes to worksheet cells.

Text, data, graphics, and formulas

Text you want to repeat, such as page headers and row and column labels.

Data, graphics, formulas, charts, and other information.

Data validation settings.

Toolbars, automation, and Option settings

Custom toolbars, macros, hyperlinks, and ActiveX controls on forms. To make a custom toolbar available, attach the toolbar to the template.

Workbook calculation options and window view options. Set with the Options command (Tools menu).


When to use the Layout button

Whenever possible, lay out a PivotTable or PivotChart report directly on the sheet so that you can view the data while you arrange the fields.

Click Layout and use the wizard to lay out the report in the following situations:

  • You're using a large amount of external source data For large external databases, on-sheet layout can be too time consuming. For example, a report based on a cube created with the OLAP Cube Wizard in Microsoft Query is likely to be slow to display data as you drag fields onto the report. If you know your data will be slow to lay out, click Layout now. If you don't know whether this will be a problem, click Finish and try laying out the report on the sheet.

    If you start to do on-sheet layout and data is slow to appear as you drag the fields into place, click Always Display Items [image] on the PivotTable toolbar to turn off initial data display.

    If retrieval is still very slow or error messages appear, click PivotTable and PivotChart Report on the Data menu, click Layout, and lay out the report in the wizard.

  • Retrieval is very slow or you run out of resources If your report is based on external source data and Microsoft Excel runs out of memory or other resources after you click Finish, you can create a page field that retrieves only the smaller amount of data needed for each individual page. This option isn't available if you're using OLAP source data, but it can allow you access to much larger amounts of other types of external data.

    If Excel can't create your report, you'll need to run the PivotTable and PivotChart Wizard again. In step 3, click Layout, drag a field to the PAGE area, and then double-click the field. Click Advanced, and then click Query external data source as you select each page field item.


About linking to another workbook or program

A link is a reference to another workbook, and is sometimes called an external reference. A link can also be made to another program, and this link is sometimes called a remote reference. Because data in another workbook or program may change and outdate the data in your workbook, there are options for controlling the updating of links.

Where links can be used effectively

Linking is especially useful when it is not practical to keep large worksheet models together in the same workbook.

  • Merge data from several workbooks You can link workbooks from several users or departments and then integrate the pertinent data into a summary workbook. That way, when the source workbooks are changed, you won't have to manually change the summary workbook.
  • Create different views of your data You can enter all of your data into one or more source workbooks, and then create a report workbook that contains links to only the pertinent data.
  • Streamline large, complex models By breaking down a complicated model into a series of interdependent workbooks, you can work on the model without opening all of its related sheets. Smaller workbooks are easier to change, don't require as much memory, and are faster to open, save, and calculate.

What a link to another workbook looks like

Formulas with links to other workbooks are displayed in two ways, depending on whether the source workbook — the one workbook that supplies data to a formula — is open or closed.

When the source is open, the link includes the workbook name in square brackets, followed by the worksheet name, an exclamation point (!), and the cells that the formula depends on. For example, the following formula adds the cells C10:C25 from the workbook named Budget.xls.

Link
=SUM([Budget.xls]Annual!C10:C25)

When the source is not open, the link includes the entire path.

Link
=SUM('C:\Reports\[Budget.xls]Annual'!C10:C25)

Note If the name of the other worksheet or workbook contains nonalphabetic characters, you must enclose the name (or the path) within single quotation marks.

Formulas that link to a defined name in another workbook use the workbook name followed by an exclamation point (!), and the name. For example, the following formula adds the cells in the range named Sales from the workbook named Budget.xls.

Link
=SUM(Budget!Sales)

The difference between linking and embedding other programs in Excel

When you copy information between Microsoft Excel or any program that supports Object Linking and Embedding (OLE), such as Microsoft Word, you can copy the information as either a linked object or an embedded object.

Linked and embedded objects in a document

1 Embedded object: No connection to the source file.

2 Linked object: Linked to the source file.

3 Source file: Updates the linked object.

When to use linked objects When you want the information in your destination file to be updated when the data in the source file changes, use linked objects.

With a linked object, the original information remains stored in the source file. The destination file displays a representation of the linked information but stores only the location of the original data (and the size if the object is an Excel chart object). The source file must remain available on your computer or network to maintain the link to the original data.

The linked information is updated automatically if you change the original data in the source file. For example, if you select a range of cells in an Excel workbook and then paste the cells as a linked object in a Word document, the information is updated in Word if you change the information in your workbook.

When to use embedded objects When you don't want to update the copied data when it changes in the source file, use an embedded object. The version of the source is embedded entirely in the workbook.

When someone opens the file on another computer, they can view the embedded object without having access to the original data. Because an embedded object has no links to the source file, the object is not updated if you change the original data. To change an embedded object, double-click the object to open and edit it in the source program. The source program (or another program capable of editing the object) must be installed on your computer. If you copy information as an embedded object, the destination file requires more disk space than if you link the information.

Controlling how links are updated

A linked object is updated automatically by default every time you open the destination file or any time the source file changes while the destination file is open. When you open the workbook, a startup prompt appears, asking if you want to update the links. This is the primary way to update links, although you can also manually update them. You can also control the response to the prompt, or whether to display it at all.

If you use a formula to link data from other programs, that data is updated automatically in Microsoft Excel whenever it is changed in the other program.

Links that use Dynamic Data Exchange (DDE)

You can also create a link using Dynamic Data Exchange (DDE) if the program you are linking to supports it. To determine whether your program supports DDE or to learn the DDE name and topic information for the program, contact the software vendor of the program. For more information about DDE, see the Microsoft Office XP Resource Kit.

How to obtain the Microsoft Office XP Resource Kit

The Microsoft Office XP Resource Kit is the definitive guide to installing, configuring, and supporting Microsoft Office in your organization. Designed for system administrators, consultants, and power users, this guide offers complete coverage whether you're running Microsoft Office on Microsoft Windows 98, Windows 2000, or the Macintosh.

You can obtain the Office Resource Kit wherever computer books are sold or order direct from Microsoft Press, or online at the Microsoft Office Resource Kit Web site.

To locate your nearest source for Microsoft Press products worldwide, visit the Microsoft Press Web site or contact your local Microsoft office. In the United States, call (800) MS-PRESS. In Canada, call (800) 667-1115.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.


About checking and correcting spelling

Check spelling When you check spelling, Microsoft Excel checks the entire active worksheet, including cell values, cell comments, embedded charts, text boxes, buttons, and headers and footers. However, Excel does not check protected worksheets, formulas, or text that results from a formula.

If the formula bar is active when you check spelling, Excel checks only the contents of the formula bar. If you have a range selected, only the range is checked.

Correct spelling and typing errors as you type The AutoCorrect feature in Excel can correct common typing errors as you work. For example, you can specify that Excel change "adn" to "and" and change "their is" to "there is."

Note Don't confuse the AutoCorrect feature with AutoComplete. The AutoComplete feature finishes typing a word that is used repeatedly in a column of a list after you type a few letters of the word or phrase. You can turn off both the AutoCorrect and the AutoComplete behaviors.

Add an AutoCorrect entry during a spelling check If you misspell a word consistently, you can add the common misspelling as an AutoCorrect entry. The common misspelling is automatically corrected.

Add words to a custom spelling dictionary If you use words that aren't in the main dictionary, such as acronyms or proper names, you can add the words to a custom dictionary so Excel questions the words only if they're misspelled.

Note Excel shares spelling dictionaries and AutoCorrect entries with other Microsoft Office programs that you might use.


About viewing workbooks and worksheets

A Microsoft Excel workbook is a file that contains one or more worksheets, which you can use to organize various kinds of related information. You can enter and edit data on several worksheets simultaneously and perform calculations based on data from more than one worksheet. When you create a chart, you can place the chart on the same worksheet as its related data or on a separate chart sheet.

You can move from one worksheet or chart sheet to another by clicking the sheet tabs at the bottom of the workbook window. You can color-code your sheet tabs to make them easier to recognize. The tab for the active sheet is underlined in the color you choose; tabs for inactive sheets are fully colored.

color coded sheet tabs

Viewing different parts of a worksheet at the same time

Split a worksheet To view and scroll independently in different parts of a worksheet, you can split a worksheet horizontally and vertically into separate panes. Splitting a worksheet into panes allows you to view different parts of the same worksheet side by side and is useful, for example, when you want to paste data between different areas of a large worksheet. In the following example, you can view the rows for different cities in the upper panes while keeping the February totals visible in the lower panes.

Worksheet window split into panes

The two right panes scroll together, as do the two lower panes.

Keep labels or data visible To keep row and column labels or other data visible as you scroll through a sheet, you can "freeze" the top rows and/or left columns. The frozen rows and columns don't scroll but remain visible as you move through the rest of the worksheet.

Worksheet window with row 1 frozen

The labels in the first row remain fixed while you scroll the rest of the worksheet vertically.

You cannot both split a worksheet and freeze parts of a worksheet at the same time.

Note Split or frozen panes do not automatically show up on each page when the sheet is printed. You must specify any labels you want to print.

Creating custom views

You can save a set of display and print settings as a custom view, then apply your custom view at any time. For example, you have a worksheet that contains data about four different sales regions. You can set up a view of each region's data and then save them. When you open the worksheet you can then request a certain view and the data is displayed.

What can be stored in custom views? The stored settings include display options, window size and position on the screen, window splits or frozen panes, the sheet that is active, and the cells that are selected at the time the view is created. You can also optionally save hidden rows, hidden columns, filter settings, and print settings.

The custom view includes the entire workbook. If you hide a sheet before a view is added, Excel hides the sheet when you show the view.

Hiding all or part of a workbook

When you hide parts of a workbook, the data is removed from view but is not deleted from the workbook. If you save and close the workbook, the hidden data remains hidden the next time the workbook is opened. If you print the workbook, Microsoft Excel does not print the hidden parts. To prevent others from displaying hidden sheets, rows, or columns, you can protect the workbook or sheet with a password.

Hide workbooks and sheets You can hide workbooks and sheets to reduce the number of windows and sheets on the screen and to prevent unwanted changes. For example, you can hide sheets that contain sensitive data, or you can hide a workbook containing macros so that the macros are available to run but no window appears for the macro workbook. The hidden workbook or sheet data is accessible, and other documents can use the information.

Hide rows and columns You can also hide selected rows and columns of data that you aren't using or that you don't want others to see.

Hide window elements You can hide most window elements in order to use as much of your screen as possible to display worksheet data. These window elements include the Microsoft Windows taskbar and the Excel title bar, toolbars, formula bar, and status bar. These elements remain hidden only as long as the workbook is open; they are redisplayed when you close the workbook and open it again.


Copy comments

  1. Select the cells you want to copy.
  2. Click Copy [image].
  3. Select the upper-left cell of the paste area.
  4. On the Edit menu, click Paste Special.
  5. Click Comments.
  6. Do not press ENTER after you click OK. If you do, the entire cells within the moving border are copied to the paste area. To cancel the moving border, press ESC.

Note Copied comments replace any existing comments in the destination cells.


Find and correct errors in formulas

Formula errors can result in error values as well as cause unintended results. Below are some tools to help find and investigate errors.

Correct an error value, such as #NAME?

If a formula cannot properly evaluate a result, Microsoft Excel will display an error value. Each error type has different causes, and different solutions.

#####

Occurs when a column is not wide enough, or a negative date or time is used.

Review the possible causes and solutions.

Possible causes and solutions

Column is not wide enough to display the content

Increase the width of the column Select the column, point to Column on the Format menu, click Width, and then enter a number.

Shrink the contents to fit the column Select the column, then on the Format menu, click Cells, click the Alignment tab, and then select the Shrink to fit check box.

Apply a different number format In some cases, you can change the cell's number format to make the number fit within the existing cell width. For example, decrease the number of decimal places after the decimal point.

Dates and times are negative numbers

  • If you are using the 1900 date system, dates and times in Microsoft Excel must be positive values.

  • When you subtract dates and times, make sure you build the formula correctly.

  • If the formula is correct, although the result is a negative value, you can display the value by formatting the cell with a format that is not a date or time format. Click Cells on the Format menu, click the Number tab, and then select a format that is not a date or time format.

#VALUE!

Occurs when the wrong type of argument or operand is used.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Entering text when the formula requires a number or a logical value, such as TRUE or FALSE

Microsoft Excel cannot translate the text into the correct data type. Make sure the formula or function is correct for the required operand or argument, and that the cells that are referenced by the formula contain valid values. For example, if cell A5 contains a number and cell A6 contains the text "Not available", the formula =A5+A6 will return the error #VALUE!.

Entering or editing an array formula, and then pressing ENTER

Select the cell or range of cells that contains the array formula, press F2 to edit the formula, and then press CTRL+SHIFT+ENTER.

Entering a cell reference, a formula, or a function as an array constant

Make sure the array constant is not a cell reference, formula, or function.

Supplying a range to an operator or a function that requires a single value, not a range

  • Change the range to a single value.

  • Change the range to include either the same row or the same column that contains the formula.

Using a matrix that is not valid in one of the matrix worksheet functions

Make sure the dimensions of the matrix are correct for the matrix arguments.

Running a macro that enters a function that returns #VALUE!

Make sure the function is not using an incorrect argument.

#DIV/0!

Occurs when a number is divided by zero (0).

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Entering a formula that contains explicit division by zero (0) — for example, =5/0

Change the divisor to a number other than zero.

Using the cell reference to a blank cell or to a cell that contains zero as a divisor

Note If the operand is a cell that is blank, Microsoft Excel interprets the blank as zero.

  • Change the cell reference to another cell.

  • Enter a value other than zero in the cell used as a divisor.

  • Enter the value #N/A into the cell referenced as the divisor, which will change the result of the formula to #N/A from #DIV/0! to denote that the divisor value is not available.

  • Prevent the error value from displaying, using the IF worksheet function. For example, if the formula that creates the error is =A5/B5, use =IF(B5=0,"",A5/B5) instead. The two quotation marks represent an empty text string.

Running a macro that uses a function or a formula that returns #DIV/0!

Make sure the divisor in the function or formula is not zero or blank.

#NAME?

Occurs when Microsoft Excel doesn't recognize text in a formula.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Using a function that is part of the Analysis Toolpak add-in, without the add-in being loaded

Install and load the Analysis Toolpak add-in.

How?

  1. On the Tools menu, click Add-Ins.

  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.

  3. If necessary, follow the instructions in the setup program.

Using a name that does not exist

Make sure the name exists. On the Insert menu, point to Name, and then click Define. If the name is not listed, add the name by using the Define command.

Misspelling the name

Verify the spelling. Select the name in the formula bar Formula bar, press F3, click the name you want to use, and then click OK.

Using a label in a formula, without labels being allowed

Allow labels to be used. On the Tools menu, click Options, and then click the Calculation tab. Under Workbook options, select the Accept labels in formulas check box.

Misspelling the name of a function

Correct the spelling. Insert the correct function name into the formula by clicking Function on the Insert menu.

Entering text in a formula without enclosing the text in double quotation marks

(Excel tries to interpret your entry as a name even though you intended it to be used as text.)

Enclose text in the formula in double quotation marks. For example, the following formula joins the piece of text "The total amount is " with the value in cell B50:

="The total amount is "&B50

Omitting a colon (:) in a range reference

Make sure all range references in the formula use a colon (:); for example, SUM(A1:C10).

Referencing another sheet not enclosed in single quotation marks

If the formula refers to values or cells on other worksheets or workbooks and the name of the other workbook or worksheet contains a nonalphabetical character or a space, you must enclose its name within single quotation marks ( ' ).

#N/A

Occurs when a value is not available to a function or formula.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Missing data, and #N/A or NA() has been entered in its place

Replace #N/A with new data.

Note You can enter #N/A in those cells where data is not yet available. Formulas that refer to those cells will then return #N/A instead of attempting to calculate a value.

Giving an inappropriate value for the lookup_value argument in the HLOOKUP, LOOKUP, MATCH, or VLOOKUP worksheet function

Make sure the lookup_value argument is the correct type of value — for example, a value or a cell reference, but not a range reference.

Using the VLOOKUP, HLOOKUP, or MATCH worksheet function to locate a value in an unsorted table

By default, functions that look up information in tables must be sorted in ascending order. However, the VLOOKUP and HLOOKUP worksheet functions contain a range_lookup argument that instructs the function to find an exact match even if the table is not sorted. To find an exact match, set the range_lookup argument to FALSE.

The MATCH worksheet function contains a match_type argument that specifies the order the list must be sorted in to find a match. If the function cannot find a match, try changing the match_type argument. To find an exact match, set the match_type argument to 0.

Using an argument in an array formula that is not the same number of rows or columns as the range that contains the array formula

If the array formula has been entered into multiple cells, make sure the ranges referenced by the formula have the same number of rows and columns, or enter the array formula into fewer cells. For example, if the array formula has been entered into a range 15 rows high (C1:C15) and the formula refers to a range 10 rows high (A1:A10), the range C11:C15 will display #N/A. To correct this error, enter the formula into a smaller range (for example, C1:C10), or change the range to which the formula refers to the same number of rows (for example, A1:A15).

Omitting one or more required arguments from a built-in or custom worksheet function

Enter all arguments in the function.

Using a custom worksheet function that is not available

Make sure the workbook that contains the worksheet function is open and the function is working properly.

Running a macro that enters a function that returns #N/A

Make sure the arguments in the function are correct and in the correct position.

#REF!

Occurs when a cell reference is not valid.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Deleting cells referred to by other formulas, or pasting moved cells over cells referred to by other formulas

Change the formulas, or restore the cells on the worksheet by clicking Undo [image] immediately after you delete or paste the cells.

Using a link to a program that is not running

Start the program.

Linking to a Dynamic Data Exchange (DDE) topic such as "system" that is not available

Make sure that you're using the correct DDE topic.

Running a macro that enters a function that returns #REF!

Check the function to see if an argument refers to a cell or range of cells that is not valid. For example, if the macro enters a function that refers to a cell above the function, and the cell that contains the function is in row 1, the function will return #REF! because there are no cells above row 1.

#NUM!

Occurs with invalid numeric values in a formula or function.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Using an unacceptable argument in a function that requires a numeric argument

Make sure the arguments used in the function are numbers. For example, even if the value you want to enter is $1,000, enter 1000 in the formula.

Using a worksheet function that iterates, such as IRR or RATE, and the function cannot find a result

Use a different starting value for the worksheet function.

Change the number of times Microsoft Excel iterates formulas.

How?

  1. On the Tools menu, click Options, and then click the Calculation tab.

  2. Select the Iteration check box.

  3. To set the maximum number of times Microsoft Excel will recalculate, type the number of iterations in the Maximum iterations box. The higher the number of iterations, the more time Excel needs to calculate a worksheet.

  4. To set the maximum amount of change you will accept between calculation results, type the amount in the Maximum change box. The smaller the number, the more accurate the result and the more time Excel needs to calculate a worksheet.

Entering a formula that produces a number that is too large or too small to be represented in Microsoft Excel

Change the formula so that its result is between minus one times ten to the 307th and one times ten to the 307th.

#NULL!

Occurs when you specify an intersection of two areas that do not intersect. The intersection operator is a space between references.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Using an incorrect range operator

  • To refer to a contiguous range of cells, use a colon (:) to separate the reference to the first cell in the range from the reference to the last cell in the range. For example, SUM(A1:A10) refers to the range from cell A1 to cell A10 inclusive.

  • To refer to two areas that don't intersect, use the union operator, the comma (,). For example, if the formula sums two ranges, make sure a comma separates the two ranges (SUM(A1:A10,C1:C10)).

Ranges do not intersect

Change the reference so that it intersects.

How?

When you enter or edit a formula, cell references and the borders around the corresponding cells are color-coded.

Color-coded cell references

Color-coded cell references

If there are no squares at each corner of the color-coded border, then the reference is to a named range.

Change references that are not to a named range

  1. Double-click the cell that contains the formula you want to change. Microsoft Excel highlights each cell or range of cells with a different color.

  2. Do one of the following:

    • To move a cell or range reference to a different cell or range, drag the color-coded border of the cell or range to the new cell or range.

    • To include more or fewer cells in a reference, drag a corner of the border.

    • In the formula, select the reference, and type a new one.

  3. Press ENTER.

Change references that are to a named range

  1. Do one of the following:

    • Select the range of cells that contains formulas in which you want to replace references with names.

    • Select a single cell to change the references to names in all formulas on the worksheet.

  2. On the Insert menu, point to Name, and then click Apply.

  3. In the Apply names box, click one or more names.

Watch a formula and result of a cell

Watch cells and their formulas on the Watch Window toolbar, even when the cells are out of view.

Watch Window toolbar

  1. Select the cells you want to watch.

    To select all cells on a worksheet with formulas, click Go To on the Edit menu, click Special, and then click Formulas.

  2. On the Tools menu, point to Formula Auditing menu, and then click Show Watch Window.
  3. Click Add Watch [image].
  4. Click Add.
  5. Move the Watch Window toolbar to the top, bottom, left, or right side of the window.
  6. To change the width of a column, drag the boundary on the right side of the column heading.
  7. To display the cell that an entry in Watch Window toolbar refers to, double-click the entry.

Note Cells that have links to other workbooks are displayed in the Watch Window toolbar only when the other workbook is open.

Calculate a nested formula one step at a time

You can see the different parts of a nested formula evaluated in the order the formula is calculated. For example, you can see this in the following formula where the function AVERAGE(F2:F5) is shown as its value, 80.

=IF(AVERAGE(F2:F5)>50,SUM(G2:G5),0) as

=IF(80>50,SUM(G2:G5),0)

  1. Select the cell you want to evaluate. Only one cell can be evaluated at a time.
  2. On the Tools menu, point to Formula Auditing menu, and then click Evaluate Formula.
  3. Click Evaluate to examine the value of the underlined reference. The result of the evaluation is shown in italics.

    If the underlined part of the formula is a reference to another formula, click Step In to display the other formula in the Evaluation box. Click Step Out to go back to the previous cell and formula.

  4. Continue until each part of the formula has been evaluated.
  5. To see the evaluation again, click Restart.

    To end the evaluation, click Close.

Note The Step In button is not available for a reference the second time the reference appears in the formula, or if the formula refers to a cell in a separate workbook.

Trace the relationships between formulas and cells

You can display both precedent cells and dependent cells of formulas.

  1. On the Tools menu, click Options, and then click the View tab.
  2. Check that Show all or Show placeholders is selected under Objects.
  3. On the Tools menu, point to Formula Auditing, and then click Show Auditing Toolbar.
  4. Do one of the following.

    Trace cells that provide data to a formula (precedents)

    1. Select the cell that contains the formula for which you want to find precedent cells.
    2. To display a tracer arrow to each cell that directly provides data to the active cell, click Trace Precedents [image] on the Formula Auditing toolbar.

    3. To identify the next level of cells that provide data to the active cell, click Trace Precedents [image] again.

    4. To remove tracer arrows one level at a time, starting with the precedent cell farthest away from the active cell, click Remove Precedent Arrows [image]. To remove another level of tracer arrows, click the button again.

    Trace formulas that reference a particular cell (dependents)

    1. Select the cell for which you want to identify the dependent cells.
    2. To display a tracer arrow to each cell that is dependent on the active cell, click Trace Dependents [image] on the Formula Auditing toolbar.

    3. To identify the next level of cells that depend on the active cell, click Trace Dependents [image] again.

    4. To remove tracer arrows one level at a time, starting with the dependent cell farthest away from the active cell, click Remove Dependent Arrows [image]. To remove another level of tracer arrows, click the button again.

  5. To remove all tracer arrows on the worksheet, click Remove All Arrows [image] on the Formula Auditing toolbar.

Note Red arrows show cells that cause errors. If the selected cell is referenced by a cell on another worksheet or workbook, a black arrow points from the selected cell to a worksheet icon worksheet icon.The other workbook must be open before Microsoft Excel can trace these dependencies, however.

Tips

  • To see the color-coded precedents for the arguments in a formula, select a cell and press F2.

  • To select the cell at the other end of an arrow, double-click the arrow. If the cell is in another worksheet or workbook, double-click the black arrow and then double-click the reference you want in the Go to list.

  • To see all the relationships on a worksheet, in an empty cell type = (equal sign), and then click the Select All button. Select the cell, and press Trace Precedents [image] twice.

Select All button

Correct common problems in formulas

Like a grammar checker, Microsoft Excel uses certain rules to check for problems in formulas. These rules do not guarantee that your spreadsheet is problem-free, but they can go a long way to finding common mistakes. You can turn these rules on or off individually. Both methods used below present the same options.

Change which common problems Excel checks for

  1. On the Tools menu, click Options, and then click the Error Checking tab.

  2. Select or clear the check box you want.

Correct common formula problems one at a time, like a spelling checker

Caution If the worksheet has previously been checked for problems and the problems were ignored, the problems will not appear until the ignored problems have been reset.

  1. Select the worksheet you want to check for errors.

  2. If the worksheet is manually calculated, press F9 to recalculate now.

  3. On the Tools menu, click Error Checking.

  4. If you have previously ignored errors, and want to recheck them, click Options, click Reset Ignored Errors, click OK, and then click Resume.

  5. Position the Error Checking dialog just below the formula bar Formula bar. The formula bar is where it is most convenient to make changes to a formula while using the Error Checker.

  6. Click a button on the right of the dialog. The options are different for each type of problem.

    If you click Ignore Error, the problem is marked to be ignored for each consecutive check.

  7. Click Next.

  8. Continue until the error check is complete.

Mark common formula problems on the worksheet and correct them there

If a cell contains a formula that breaks one of the rules, a triangle appears in the top-left corner of the cell.

Cell with a formula problem

    Cell with a formula problem

  1. On the Tools menu, click Options, and then click the Error Checking tab.

  2. Select the Enable background error checking check box.

  3. To change the color of the triangle that marks where a problem occurs, in the Error Indicator Color box, select a new color.

  4. Select a cell with a triangle in the top-left corner of a cell.

  5. Next to the cell, click the button that appears [image], and then click the option you want. The options are different for each type of problem, and the first entry describes the problem.

    If you click Ignore Error, the problem is marked to be ignored for each consecutive check.

  6. Repeat the two previous steps.


Count unique entries in a list

The method for this task depends on the result you want to see.

Count the occurrence of a value in a range of cells

Use the COUNTIF function to do this task.

Example

The example may be easier to understand if you copy to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Salesperson | Invoice
Buchanan | 15,000
Buchanan | 9,000
Suyama | 8,000
Suyama | 20,000
Buchanan | 5,000
Dodsworth | 22,500
Formula | Description (Result)
=COUNTIF(A2:A7,"Buchanan") | Number of invoices for Buchanan (3)
=COUNTIF(A2:A7,A4) | Number of invoices for Suyama (2)

Function details

COUNTIF

Count the occurrence of more than one condition

Use the IF and SUM functions to do this task.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Salesperson | Invoice
Buchanan | 15,000
Buchanan | 9,000
Suyama | 8,000
Suyama | 20,000
Buchanan | 5,000
Dodsworth | 22,500
Formula | Description (Result)
=SUM(IF((A2:A7="Buchanan")+(A2:A7="Dodsworth"),1,0)) | Number of invoices for Buchanan or Dodsworth (4)
=SUM(IF((B2:B7<9000)*(B2:B7>10),1,0)) | Number of invoices with values less than 9000 or greater than 19000 (3)
=SUM(IF(A2:A7="Buchanan",IF(B2:B7<9000,1,0))) | Number of invoices for Buchanan with a value less than 9,000. (1)

Note The formulas in this example must be entered as array formulas. Select each cell that contains a formula, press F2, and then press CTRL+SHIFT+ENTER.

Function details

SUM

IF

Count the occurrences of unique entries

  1. Select the column containing the list.

  2. On the Data menu, click PivotTable and PivotChart Report.
  3. Click Finish.
  4. Drag the column label from PivotTable Field List to Drop Row Fields Here.
  5. Drag the same column label from PivotTable Field List to Drop Data Items Here.

Note If your list contains numbers, the PivotTable report totals the entries instead of counting them. To change from the Sum summary function to the Count summary function, on the PivotTable toolbar, click Field Settings [image], and then in the Summarize by box, click Count.

Count the number of unique values

For example, if a column contains 1,2,2,2 the result is 2 unique values in the column.

  1. On the Data menu, point to Filter, and then click Advanced Filter.
  2. In the Advanced Filter dialog box, click Copy to another location.
  3. In the List range box, delete any information in the box or click the box, and then click the column for which you want to count the unique entries.
  4. If you have a column label, in the Criteria range box, delete any information in the box or click the box, and then click the column label for your column of data.
  5. In the Copy to box, delete any information in the box or click the box, and then click a blank column where you want to copy the unique values.
  6. Select the Unique records only check box, and click OK.
  7. Select the blank cell below the last cell in the list.
  8. Click the arrow next to AutoSum [image] on the Standard toolbar, and then click Count.
  9. Press Enter.


Count days before a date

Use the TODAY function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Date
1/1/2008
6/1/2007
Formula | Description (Result)
=A2-TODAY() | Number of days from current date to end of 2007 (Varies)
=A2-A3 | Number of days from 6/1/2007 until the end of 2007 (214)

Notes

  • In the first formula above, the current date used is taken from the system clock.
  • In the last formula above, to view the date as a number, select the cell and click Cells on the Format menu. Click the Number tab, and then click Number in the Category box.

Function details

TODAY


Count nonblank cells

Use the COUNTA function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
Sales
19
TRUE
Formula | Description (Result)
=COUNTA(A2:A6) | Counts the number of nonblank cells in the list above (3)
=COUNTA(A2:A3, A6) | Counts the number of nonblank cells in the top two, and bottom cell in the list (1)

Function details

COUNTA


Count cells that contain numbers

Use the COUNT function to do this task.

If the cells are in a contiguous row or column

  1. Select a cell below or to the right of the numbers you want to count.
  2. Click the arrow next to the AutoSum [image] on the Standard toolbar, and then click Count, and then press ENTER.

If the cells are not in a contiguous row or column

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
Sales
12/8/2007
19
22.44
Formula | Description (Result)
=COUNT(A2:A6) | Counts number of cells that contain numbers (3) in the list. A date is a number.
=COUNT(A2:A3,A6) | Counts number of cells that contain numbers (2), of the top two and bottom cells in the list. A date is a number.

Function details

COUNT


Count numbers greater than or less than a number

Use the COUNTIF function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Salesperson | Invoice
Buchanan | 15,000
Buchanan | 9,000
Suyama | 8,000
Suyama | 20,000
Buchanan | 5,000
Dodsworth | 22,500
Formula | Description (Result)
=COUNTIF(B2:B7,">9000") | Numbers above 9000 (3)
=COUNTIF(B2:B7,"<=9000") | Numbers less than or equal to 9000 (3)

Function details

COUNTIF


Create a link using Dynamic Data Exchange (DDE)

The program that contains the data you want to link to must support Dynamic Data Exchange (DDE). To determine whether your program supports DDE or to learn the DDE name and topic information for the program, contact the software vendor of the program. For more information about DDE, see the Microsoft Office XP Resource Kit.

How to obtain the Microsoft Office XP Resource Kit

The Microsoft Office XP Resource Kit is the definitive guide to installing, configuring, and supporting Microsoft Office in your organization. Designed for system administrators, consultants, and power users, this guide offers complete coverage whether you're running Microsoft Office on Microsoft Windows 98, Windows 2000, or the Macintosh.

You can obtain the Office Resource Kit wherever computer books are sold or order direct from Microsoft Press, or online at the Microsoft Office Resource Kit Web site.

To locate your nearest source for Microsoft Press products worldwide, visit the Microsoft Press Web site or contact your local Microsoft office. In the United States, call (800) MS-PRESS. In Canada, call (800) 667-1115.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.
  1. Select the cell you want to link from.
  2. Enter a formula using the following syntax: application name; document name or topic; and cell range, value, field, or data that's referred to.

    The following example shows the parts of a remote reference formula and the required separator characters:

    Formula with separators

    A pipe character (|) separates the program name from the document or topic name. An exclamation point (!) separates the document or topic name from the cell range, value, field, or data referred to.

  3. Press ENTER.

Note If the name of the application, document, topic, or data item contains spaces or characters such as colons (:) or minus signs (–) that have special uses in a formula, or if a name resembles a cell reference, enclose the name in single quotation marks.


Create, share, or delete your own chart types

You can create custom chart types by changing any of the standard or custom built-in chart types. You can even share these custom chart types with other users. For example, if you want the same title information to appear on all your company charts, you can create a chart with that title, save the chart as a user-defined custom chart type, and then share it with others to use like a template.

Note Custom chart types are stored in workbooks. Built-in custom chart types are stored in XL8GALRY.XLS. If you have added your own custom chart types, Microsoft Excel stores them in XLUSRGAL.XLS.

Add your own custom chart type to apply to other charts

  1. Click the chart you want to save as a custom chart type.
  2. On the Chart menu, click Chart Type.
  3. On the Custom Types tab, click User-defined.
  4. Click Add.
  5. In the Name box, type a name.
  6. If you want to add a description, type it in the Description box.
  7. Click OK.

Share a custom chart type with other users

  1. On each user's machine, open the copy of the workbook that contains the custom chart type you want to share.
  2. Click the chart you want to save as a custom chart type.
  3. On the Chart menu, click Chart Type.
  4. On the Custom Types tab, click User-defined.
  5. Click Add.
  6. In the Name box, type a name.
  7. If you want to add a description, type it in the Description box.
  8. Click OK.

Delete a user-defined custom chart type

  1. To activate the Chart menu, click a chart.
  2. On the Chart menu, click Chart Type.
  3. On the Custom Types tab, click User-defined.
  4. In the Chart type box, click the format you want to delete.
  5. Click Delete, and then click OK.

Note You cannot delete a built-in custom chart type.


Add an ActiveX control

  1. Open the worksheet where you want to add an ActiveX control.
  2. Display the Control Toolbox: point to Toolbars on the View menu, and then click Control Toolbox.
  3. Click the button for the control you want to add.
  4. On the worksheet, drag the control to the size you want.
  5. If you're adding a check box, text box, command button, option button, list box, combo box, toggle button, or label, enter the text you want to appear on the control.

    How?

    1. Right-click the control.
    2. Point to the name of the object on the shortcut menu (for example, CheckBox Object).
    3. Click Edit.
    4. Edit and type the text.
    5. When you're finished, press ESC.

  6. Set the properties you want for the control: right-click the control, and then click Properties on the shortcut menu.

    For information about the properties, press F1 in the Properties dialog box to display the Microsoft Visual Basic Help for Microsoft Forms.

  7. Do one of the following:

    Add VB macro code for a control to be used in Excel

    1. Right-click the control, and then click View Code on the shortcut menu.

    2. In the Visual Basic Editor, write your macro code.

      For information about writing macro code, see Visual Basic Help.

    3. To quit, click Close and Return to Microsoft Excel on the File menu.

    Add a Web script for a control to be used on a Web page

    1. Click the worksheet anywhere within the data that will go on the Web page.

    2. On the Tools menu, point to Macro, and then click Microsoft Script Editor.

    3. In the Script Editor, write your script, using the control ID to handle events for the control.

      For information about developing Web scripts, click the option you want on the Help menu in the Script Editor window.

    4. To return to Excel from the Script Editor, click Exit on the File menu.

  8. To quit design mode and enable the ActiveX control, click Exit Design Mode [image].


Apply or remove cell borders

  1. On the Formatting toolbar, click the arrow next to Borders [image], and then click Draw Borders [image] on the palette.
  2. Do one of the following:

    Apply cell borders

    1. On the Borders toolbar, click the arrow next to Draw Border [image] or Draw Border Grid [image] , and then click Draw Border [image] on the palette.
    2. Do one of the following:

      Draw a border line on cells Click the line you want as a border with the border drawing tool [image] or click on the line and drag on the lines you want as borders.

      Draw a outside border around a row Click in the center of a cell with the border drawing tool [image] and drag on the row.

      Draw a outside border around a column Click in the center of a cell with the border drawing tool [image] and drag on the column.

    Apply border gridlines

    1. On the Borders toolbar, click the arrow next to Draw Border [image] or Draw Border Grid [image], and then click Draw Border Grid [image] on the palette.
    2. Do one of the following:

      Draw a border line on cells Click the line you want as a border with the border grid drawing tool [image] or click on the line and drag on the lines you want as borders.

      Draw borders around every cell in a row Click in the center of a cell with the border grid drawing tool [image] and drag on the row.

      Draw borders around every cell in a column Click in the center of a cell with the border grid drawing tool [image] and drag on the column.

    Notes

    • To apply a different border line style, click the arrow next to Line Style [image], and then click a line style on the palette.
    • To apply a different border line color, click Line Color [image], and then click a color on the palette.
    • The borders are applied to the edges of the cells, which are rotated to the same degree as the rotated text.
    • Holding the CTRL key temporarily toggles between Draw Border mode and Draw Border Grid mode and also toggles the Erase Border mode between erase borders and erase border grids.

    Remove borders

    1. On the Borders toolbar, click Erase Border [image] on the palette.
    2. Do one of the following:

      Delete a single border Click the border you want to delete with the eraser tool [image].

      Delete more than one border Drag the eraser tool [image] over the borders you want to delete.

    Note Holding the CTRL key temporarily toggles the Erase Border mode between erase borders and erase border grids.


Add a Forms toolbar control

  1. If you want the control to run an existing macro, open the workbook that contains the macro.

  2. Click the worksheet where you want to add the control.
  3. Display the Forms toolbar: point to Toolbars on the View menu, and then click Forms.
  4. Click the button for the control you want to add.
  5. On the worksheet, drag the control to the size you want.
  6. Do one of the following:

    Assign an existing macro

    • If you're adding a button, select the macro you want the button to run in the Macro name box.

    • If you're adding a control other than a button, right-click the control, and then click Assign Macro on the shortcut menu. Select the macro you want.

    Record or write a new macro

    • If the macro does not exist, click Record in the Assign Macro dialog box to record a new macro, or click New to open a Microsoft Visual Basic for Applications (VBA) module in which you can write the macro.

  7. Right-click the control, click Edit Text, and then add the text for the control. When you're finished, right-click the control and then click Exit Edit Text.

  8. Set control properties.

    How?

    Right-click the control, click Format Control, and then click the Control tab. Labels and buttons don't have properties.

    Label Text that provides information about a control or the worksheet or form.

    Edit box Unavailable in Microsoft Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

    Group box Groups related controls, such as option buttons or check boxes.

    Group box properties

    3D shading Displays the group box with a 3-dimensional shaded effect.

    Button Runs a macro when clicked.

    Check box Turns an option on or off. You can check more than one check box at a time on a sheet or in a group.

    Check box properties

    Value Determines the state of the check box, that is, whether it is selected (Checked), cleared (Unchecked), or neither (Mixed).

    Cell link A cell that returns the state of the check box. If the check box is selected, the cell in the Cell link box contains TRUE. If the check box is cleared, the cell contains FALSE. If the check box state is mixed, the cell contains #N/A. If the linked cell is empty, Excel interprets the check box state as FALSE.

    3D shading Displays the check box with a 3-dimensional shaded effect.

    Option button Selects one of a group of options contained in a group box. Use option buttons to allow only one of several possibilities.

    Option button properties

    Value Determines the initial state of the option button, that is, whether it is selected (Checked) or cleared (Unchecked).

    Cell Link Returns the number of the selected option button in the group of options (the first option button is number 1). Use the same Cell Link cell for all options in a group. You can then use the returned number in a formula or a macro to respond to the selected option.

    For example, if you create a personnel form with an option button labeled Full-time and another option button labeled Part-time, you could link the two option buttons to cell C1. The following formula displays "Full-time" if the first option button is selected or "Part-time" if the second option button is selected:

    =IF(C1=1,"Full-time","Part-time")

    3D shading Displays the option button with a 3-dimensional shaded effect.

    List box Displays a list of items.

    List box properties

    Input range Reference to the range containing the values to display in the list box.

    Cell link Returns the number of the item that's selected in the list box (the first item in the list is 1). You can use this number in a formula or macro to return the actual item from the input range.

    For example, if a list box is linked to cell C1 and the input range for the list is D10:D15, the following formula returns the value from range D10:D15 based on the selection in the list:

    =INDEX(D10:D15,C1)

    Selection type Specifies how items can be selected in the list. If you set the selection type to Multi or Extend, the cell specified in the Cell link box is ignored.

    3D shading Displays the list box with a 3-dimensional shaded effect.

    Combo box A drop-down list box. The item that is selected in the list box appears in the text box.

    Combo box properties

    Input range Reference to the range containing the values to display in the drop-down list.

    Cell link Returns the number of the item that's selected in the combo box (the first item in the list is 1). You can use this number in a formula or macro to return the actual item from the input range.

    For example, if a combo box is linked to cell C1 and the input range for the list is D10:D15, the following formula returns the value from range D10:D15 based on the selection in the list:

    =INDEX(D10:D15,C1)

    Drop-down lines Specifies the number of lines to display in the drop-down list.

    3D shading Displays the combo box with a 3-dimensional shaded effect.

    Combination list-edit Unavailable in Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

    Combination drop-down edit Unavailable in Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

    Scroll bar Scrolls through a range of values when you click the scroll arrows or when you drag a scroll box. You can move through a page of values by clicking between the scroll box and a scroll arrow.

    Scroll bar properties

    Current value The relative position of the scroll box within the scroll bar.

    Minimum value The position of the scroll box closest to the top of a vertical scroll bar or the left end of a horizontal scroll bar.

    Maximum value The position of the scroll box farthest from the top of a vertical scroll bar or the right end of a horizontal scroll bar.

    Incremental change The amount the scroll box moves when the arrow at either end of the scroll bar is clicked.

    Page change The amount the scroll box moves when you click between the scroll box and one of the scroll arrows.

    Cell link Returns the current position of the scroll box. This number can be used in a formula or macro to respond to the position of the scroll box.

    3D shading Displays the scroll bar with a 3-dimensional shaded effect.

    Spinner Increases or decreases a value. To increase the value, click the up arrow; to decrease the value, click the down arrow.

    Spinner properties

    Current value The relative position of the spinner within the range of allowed values.

    Minimum value The lowest value allowed for the spinner.

    Maximum value The highest value allowed for the spinner.

    Incremental change The amount the spinner increases or decreases when the arrows are clicked.

    Cell link Returns the current position of the spinner. This number can be used in a formula or macro to return the actual value you want selected by the spinner.

    3D shading Displays the spinner with a 3-dimensional shaded effect.

Tip

A control on a worksheet can run a macro only when the worksheet is active. If you want a button that's available from any workbook or worksheet, you can assign a macro to run from a toolbar button.


Enter data in a cell from a list you specify

Example of a data validation dropdown list

You can create a dropdown list that gets its choices from cells elsewhere on the worksheet.

  1. Type the entries for the dropdown list in a single column or row. Do not include blank cells in the list.

    If you type the list on a different worksheet from the data entry cell, define a name for the list.

    How?

    1. Select the cell, range of cells, or nonadjacent selections that you want to name.
    2. Click the Name box at the left end of the formula bar Formula bar.

      1 Name box

    3. Type the name for the cells.
    4. Press ENTER.

    Note You cannot name a cell while you are changing the contents of the cell.

    If you type the list in a different workbook, define a name with an external reference to the list.

    How?

    1. Open the workbook that contains the list of dropdown entries.
    2. Open the workbook where you want to validate cells, point to Name on the Insert menu, and then click Define.
    3. In the Names in workbook box, type the name.
    4. In the Refers to box, delete the contents, and keep the insertion pointer in the box.
    5. On the Window menu, click the name of the workbook that contains the list of dropdown entries, and then click the worksheet that contains the list.
    6. Select the cells containing the list.
    7. In the Define Name dialog box, click Add, and then click Close.
  2. Select the cell where you want the dropdown list.
  3. On the Data menu, click Validation, and then click the Settings tab.
  4. In the Allow box, click List.
  5. If the list is in the same worksheet, enter a reference to your list in the Source box.

    If the list is elsewhere, enter the name you defined for your list in the Source box.

    Make sure the reference or name is preceded with an equal sign (=).

  6. Make sure the In-cell dropdown check box is selected.
  7. Specify whether the cell can be left blank: Select or clear the Ignore blank check box.
  8. To display optional input instructions when the cell is clicked, click the Input Message tab, make sure the Show input message when cell is selected check box is selected, and then fill in the title and text for the message.
  9. Specify how you want Microsoft Excel to respond when invalid data is entered.

    How?

    1. Click the Error Alert tab, and make sure the Show error alert after invalid data is entered check box is selected.

    2. Select one of the following options for the Style box:

      To display an information message that does not prevent entry of invalid data, click Information.

      To display a warning message that does not prevent entry of invalid data, click Warning.

      To prevent entry of invalid data, click Stop.

    3. Fill in the title and text for the message (up to 225 characters).

      Note If you don't enter a title or text, the title defaults to " Microsoft Excel" and the message to: "The value you entered is not valid. A user has restricted values that can be entered into this cell."

Note Applying data validation to a cell does not format the cell.

Tip

If the entry list is short, you can type the entries directly in the Source box, separated by the Microsoft Windows list separator character (commas by default). For example, you could type Low, Average, High in the Source box instead of entering the three words on a worksheet.


Designate valid cell entries

  1. Select the cell to validate.
  2. On the Data menu, click Validation, and then click the Settings tab.
  3. Specify the type of validation you want:

    Allow values from a list

    1. In the Allow box, click List.
    2. Click the Source box and then do one of the following:
      • To define the list locally, type the list values separated by commas.
      • To use a range of cells with a defined name, type the equal sign (=) followed by the name of the range.
      • To use cell references, select the cells on the worksheet and then press ENTER.
    3. Make sure the In-cell dropdown check box is selected.

    Allow numbers within limits

    1. In the Allow box, click Whole Number or Decimal.

    2. In the Data box, click the type of restriction you want. For example, to set upper and lower limits, click between.

    3. Enter the minimum, maximum, or specific value to allow.

    Allow numbers within limits

    1. In the Allow box, click Whole Number or Decimal.

    2. In the Data box, click the type of restriction you want. For example, to set upper and lower limits, click between.

    3. Enter the minimum, maximum, or specific value to allow.

    Allow dates or times within a timeframe

    1. In the Allow box, click Date or Time.

    2. In the Data box, click the type of restriction you want. For example, to allow dates after a certain day, click greater than.

    3. Enter the start, end, or specific date or time to allow.

    Allow text of a specified length

    1. In the Allow box, click Text Length.

    2. In the Data box, click the type of restriction you want. For example, to allow up to a certain number of characters, click less than or equal to.

    3. Enter the minimum, maximum, or specific length for the text.

    Calculate what's allowed based on the content of another cell

    1. In the Allow box, click the type of data you want.

    2. In the Data box, click the type of restriction you want.

    3. In the box or boxes below the Data box, click the cell that you want to use to specify what's allowed. For example, to allow entries for an account only if the result won't go over the budget, click Decimal for Allow, click less than or equal to for Data, and in the Maximum box, click the cell that contains the budget amount.

    Use a formula to calculate what's allowed

    1. In the Allow box, click Custom.

    2. In the Formula box, enter a formula that calculates a logical value (TRUE for valid entries or FALSE for invalid). For example, to allow the value in the cell for the picnic account only if nothing is budgeted for the discretionary account (cell D6) and the total budget (D20) is also less than the $40,000 allocated, you could enter =AND(D6=0,D20<40000) for the custom formula.

  4. Specify whether the cell can be left blank:
    • If you want to allow blank (null) values, select the Ignore blank check box.
    • If you want to prevent entry of blank (null) values, clear the Ignore blank check box.

    Note If your allowed values are based on a cell range with a defined name, and there is a blank cell anywhere in the range, setting the Ignore blank check box allows any values to be entered in the validated cell. This is also true for any cells referenced by validation formulas: if any referenced cell is blank, setting the Ignore blank check box allows any values to be entered in the validated cell.

  5. To display an optional input message when the cell is clicked, click the Input Message tab, make sure the Show input message when cell is selected check box is selected, and fill in the title and text for the message.

  6. Specify how you want Microsoft Excel to respond when invalid data is entered:

    How?

    1. Click the Error Alert tab, and make sure the Show error alert after invalid data is entered check box is selected.

    2. Select one of the following options for the Style box:

      To display an information message that does not prevent entry of invalid data, click Information.

      To display a warning message that does not prevent entry of invalid data, click Warning.

      To prevent entry of invalid data, click Stop.

    3. Fill in the title and text for the message (up to 225 characters).

      Note If you don't enter a title or text, the title defaults to "Microsoft Excel" and the message to: "The value you entered is not valid. A user has restricted values that can be entered into this cell."

Note Applying data validation to a cell does not format the cell.


Change the page number for the first page

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Page tab.
  3. In the First page number box, type the page number you want to appear on the first page of the worksheet.

    To have Microsoft Excel automatically number the pages of the worksheet, type the word Auto in the First page number box.

Note Excel prints page numbers only if you include page numbers in the header or footer.


Add, change, or remove conditional formats

  1. Select the cells for which you want to add, change, or remove conditional formatting.
  2. On the Format menu, click Conditional Formatting.
  3. Do one of the following:

    Add a conditional format

    1. Do one of the following:

      To use values in the selected cells as the formatting criteria, click Cell Value Is, select the comparison phrase, and then type a constant value or a formula. If you enter a formula, start it with an equal sign (=).

      To use a formula as the formatting criteria (to evaluate data or a condition other than the values in selected cells), click Formula Is and then enter the formula that evaluates to a logical value of TRUE or FALSE.

    2. Click Format.
    3. Select the formatting you want to apply when the cell value meets the condition or the formula returns the value TRUE.
    4. To add another condition, click Add, and then repeat steps 1 through 3.

      You can specify up to three conditions. If none of the specified conditions are true, the cells keep their existing formats.

    Note Using multiple conditions If more than one specified condition is true, Microsoft Excel applies only the formats of the first true condition, even if more than one condition is true.

    Copy formats to other cells

    1. Select the cells that have the conditional formats you want to copy.

    2. On the Formatting toolbar, click Format Painter [image], and then select the cells you want to format.

    Change or remove a conditional format

    Do one or more of the following:
    • To change formats, click Format for the condition you want to change.
    • To reselect formats on the current tab of the Format Cells dialog box, click Clear.
    • To remove one or more conditions, click Delete, and then select the check box for the conditions you want to delete.

    Tip

    To remove all conditional formats as well as all other cell formats for selected cells, point to Clear on the Edit menu, and then click Formats.


Print landscape or portrait

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Page tab.
  3. Under Orientation, click Portrait or Landscape.
  4. Click Print.


Check spelling

  1. Select the range of cells you want to check.

    If you want to check the entire worksheet, click any cell.

  2. Click Spelling [image] on the Standard toolbar.
  3. When the spelling checker identifies a word that is not in the dictionary, make your changes by using the options in the Spelling dialog box.
  4. If you want to check the spelling of text in another language, in the Dictionary language box, click the language whose dictionary you want to use.

    Note If the Spelling dialog box is not available, you can change the language by using the Dictionary language box on the Spelling tab of the Options dialog box (Tools menu).

Tip

If you want to add a word to the list of automatic corrections, in the Spelling dialog box, select the word you want to add from the Suggestions list, and then click AutoCorrect.


Create a formula

Formulas are equations that perform calculations on values in your worksheet. A formula starts with an equal sign (=). For example, the following formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

Create a simple formula: =128+345

The following formulas contain operators and constants.
Example formula | What it does
=128+345 | Adds 128 and 345
=5^2 | Squares 5
  1. Click the cell in which you want to enter the formula.
  2. Type = (an equal sign).
  3. Enter the formula.
  4. Press ENTER.

Create a formula that contains references or names: =A1+23

The following formulas contain relative references to and names of other cells. The cell that contains the formula is known as a dependent cell when its value depends on the values in other cells. For example, cell B2 is a dependent cell if it contains the formula =C2.

Example formula | What it does
=C2 | Uses the value in the cell C2
=Sheet2!B2 | Uses the value in cell B2 on Sheet2
=Asset-Liability | Subtracts a cell named Liability from a cell named Asset
  1. Click the cell in which you want to enter the formula.
  2. In the formula bar Formula bar, type = (equal sign).
  3. Do one of the following:
    • To create a reference, select a cell, a range of cells, a location in another worksheet, or a location in another workbook. You can drag the border of the cell selection to move the selection, or drag the corner of the border to expand the selection.

      Range Finder color-codes precedent cells

    • To create a reference to a named range, press F3, select the name in the Paste name box, and click OK.
  4. Press ENTER.

Create a formula that contains a function: =AVERAGE(A1:B4)

The following formulas contain functions.
Example formula | What it does
=SUM(A:A) | Adds all numbers in column A
=AVERAGE(A1:B4) | Averages all numbers in the range
  1. Click the cell in which you want to enter the formula.
  2. To start the formula with the function, click Insert Function [image] on the formula bar Formula bar.
  3. Select the function you want to use. You can enter a question that describes what you want to do in the Search for a function box (for example, "add numbers" returns the SUM function), or browse from the categories in the Or Select a category box.
  4. Enter the arguments. To enter cell references as an argument, click Collapse Dialog [image] to temporarily hide the dialog box. Select the cells on the worksheet, then press Expand Dialog [image].
  5. When you complete the formula, press ENTER.

Create a formula with nested functions: =IF(AVERAGE(F2:F5)>50, SUM(G2:G5),0)

Nested functions use a function as one of the arguments of another function. The following formula sums a set of numbers (G2:G5) only if the average of another set of numbers (F2:F5) is greater than 50. Otherwise it returns 0.

  1. Click the cell in which you want to enter the formula.
  2. To start the formula with the function, click Insert Function [image] on the formula bar Formula bar.
  3. Select the function you want to use. You can enter a question that describes what you want to do in the Search for a function box (for example, "add numbers" returns the SUM function), or browse from the categories in the Or Select a category box.
  4. Enter the arguments.
    • To enter cell references as an argument, click Collapse Dialog [image] next to the argument you want to temporarily hide the dialog box. Select the cells on the worksheet; then press Expand Dialog [image].
    • To enter another function as an argument, enter the function in the argument box you want. For example, you can add SUM(G2:G5) in the Value_if_true edit box.
    • To switch the parts of the formula displayed in the Function Arguments dialog box, click a function name in the formula bar. For example, if you click IF, the arguments for the IF function appear.

Tips

  • You can enter the same formula into a range of cells by selecting the range first, typing the formula, and then pressing CTRL+ENTER.
  • If you are familiar with the arguments of a function, you can use the function tooltip that appears after you type the function name and an opening parenthesis. Click the function name to view the Help topic on the function, or click an argument name to select the corresponding argument in your formula. To hide the function tooltips, on the Tools menu, click Options, and then clear the Function tooltips check box on the General tab.


Create an on-screen, printed, or Web form

  1. Click New [image].
  2. Delete any sheets you won't use: click each sheet tab, and then click Delete Sheet on the Edit menu.
  3. Add the questions, labels, instructions, and other text you want to appear on the form.
  4. Add formulas for any calculations you want on the form.
  5. Format the form to look the way you want. The following types of Microsoft Excel formatting are particularly useful for forms:
    • Changing text fonts, colors, alignment, and wrapping
    • Changing cell size, colors, and borders
    • Hiding gridlines
    • Merging cells
    • Adding lines, graphics, and sheet backgrounds
  6. Add the features you need to finish the type of form you're creating:

    Printed form

    1. Preview the printed appearance.
    2. Set print options.
    3. Print the form.

    Online form for use as a Web page

    1. Add controls such as check boxes and option buttons.
    2. Create Web scripts to automate the controls.
    3. Save the form as a Web page.

    Online form for use in Excel

    1. Add controls such as check boxes and option buttons.
    2. Add data validation rules.
    3. Add data validation dropdown lists.
    4. Protect areas you don't want changed.
    5. Save the form as a template.
    6. Make the template available over your network by saving it in a shared network folder.

    Online form for use in a Microsoft Visual Basic for Applications program.

    1. Add controls such as check boxes and option buttons.
    2. Create macros to automate the controls.


Create a chart from data in a PivotTable report

This procedure creates a regular, noninteractive chart rather than a PivotChart report.

  1. Select the data in the PivotTable report that you want to use in your chart. To include field buttons and data in the first row and column of the report, start dragging from the lower-right corner of the data you're selecting.
  2. Click Copy [image].
  3. Click a cell in a blank area.
  4. On the Edit menu, click Paste Special.
  5. Click Values, and then click OK.
  6. Click Chart Wizard [image] and follow the instructions in the wizard to create the chart.


Find cells that have conditional formats

  1. To find all cells that have conditional formatting, click any cell.

    To find cells that have conditional formatting settings identical to the settings of a specific cell, click the specific cell.

  2. On the Edit menu, click Go To.
  3. Click Special.
  4. Click Conditional formats.
  5. Do one of the following:

    To find cells with any conditional formatting, click All below Data validation.

    To find cells with identical conditional formats, click Same below Data validation.


Find a record by using a data form

  • To move through records one at a time, use the scroll bar arrows in the dialog box. To move through 10 records at a time, click the scroll bar between the arrows.
  • To move to the next record in the list, click Find Next. To move to the previous record in the list, click Find Prev.
  • To set search conditions, or comparison criteria, click Criteria, then enter the criteria into the data form. To find records that match the criteria, click Find Next or Find Prev. To return to the data form without searching for records based on the criteria you specified, click Form.

Wildcard characters you can use as criteria

The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

Use | To find
? (question mark) | Any single character For example, sm?th finds "smith" and "smyth"
* (asterisk) | Any number of characters For example, *east finds "Northeast" and "Southeast"
~ (tilde) followed by ?, *, or ~ | A question mark, asterisk, or tilde For example, fy91~? finds "fy91?"


Add, delete, or move page breaks

  1. On the View menu, click Page Break Preview.

  2. Do one of the following:

    View page breaks Manually inserted page breaks appear as solid lines. Dashed lines indicate where Microsoft Excel will break pages automatically.

    Move a page break Drag the page break to a new location. Moving an automatic page break changes it to a manual page break.

    Insert vertical or horizontal page breaks Select a row or column below or to the right of where you want to insert a horizontal or vertical page break, right-click, and then click Insert Page Break.

    Remove page breaks Drag the page break outside of the print area. To remove all manual page breaks, right-click any cell on the worksheet, and then click Reset All Page Breaks.


Change the cell range the chart is based on

  1. Click the chart you want to change.
  2. On the Chart menu, click Source Data, and then click the Data Range tab.
  3. Make sure the entire reference in the Data range box is selected.
  4. On the worksheet, select the cells that contain the data you want to appear in the chart.

    If you want the column and row labels to appear in the chart, include the cells that contain them in the selection.


Create an array formula

When you enter an array formula, Microsoft Excel automatically inserts the formula between { } (braces).

Calculate a single result

You can use an array formula to perform several calculations to generate a single result. This type of array formula can simplify a worksheet model by replacing several different formulas with a single array formula.

  1. Click the cell in which you want to enter the array formula.
  2. Type the array formula.

    For example, the following calculates the total value of an array of stock prices and shares, without using a row of cells to calculate and display the individual values for each stock.

    Array formula that produces a single result

    Array formula that produces a single result

    When you enter the formula ={SUM(B2:D2*B3:D3)} as an array formula, it multiples the Shares and Price for each stock, and then adds the results of those calculations together.

  3. Press CTRL+SHIFT+ENTER.

Calculate multiple results

Some worksheet functions return arrays of values, or require an array of values as an argument. To calculate multiple results with an array formula, you must enter the array into a range of cells that has the same number of rows and columns as the array arguments have.

  1. Select the range of cells in which you want to enter the array formula.
  2. Type the array formula.

    For example, given a series of three sales figures (column B) for a series of three months (column A), the TREND function determines the straight-line values for the sales figures. To display all of the results of the formula, it is entered into three cells in column C (C1:C3).

    Array formula that produces multiple results

    Array formula that produces multiple results

    When you enter the formula =TREND(B1:B3,A1:A3) as an array formula, it produces three separate results (22196, 17079, and 11962), based on the three sales figures and the three months.

  3. Press CTRL+SHIFT+ENTER.


Print with or without cell gridlines

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Sheet tab.
  3. Select or clear the Gridlines check box.
  4. Click Print.

Note Worksheets print faster if you print without gridlines.


Print comments

  1. Click the worksheet.
  2. If you want to print the comments in place on the worksheet, display the comments you want to print.

    To display an individual comment, right-click its cell and then click Show Comment on the shortcut menu. To display all comments, click Comments on the View menu. Move and resize any overlapping comments as necessary.

    How?

    1. Click the border of the comment box so that handles appear:

      Worksheet comment with sizing handles

    2. Do one or more of the following:

      To move the comment, drag the border of the comment box.

      To change the size, drag the handles on the sides and corners of the comment box.

  3. On the File menu, click Page Setup, and then click the Sheet tab.
  4. Do one of the following:

    To print the comments where they appear on the worksheet, click As displayed on sheet in the Comments box.

    To print the comments at the end of the sheet, click At end of sheet in the Comments box.

  5. Click Print.


Print in black and white

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Sheet tab.
  3. Under Print, select the Black and white check box.
  4. Click Print.


Print a worksheet with formulas displayed

  1. Display formulas on your worksheet.

    How?

    • On the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode [image] .
  2. On the File menu, click Print.
  3. Under Print what, select an option to print the selection, the active sheet(s), or the entire workbook.

    Tip

    If you want to print more than one worksheet at the same time, select the worksheets before you print.


Print row and column headings or labels on every page

Row headings are the row numbers to the left of the worksheet; column headings are the letters or numbers that appear at the top of the columns on a worksheet.

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Sheet tab.
  3. Do one of the following:

    Print row and column headings

    • Select the Row and column headings check box, and click Print.

    Print row and column labels on every page

    • To print column labels on every page, under Print titles in the Rows to repeat at top box, enter the rows that contain the column labels, and then click Print.

    • To print row labels on every page, under Print titles in the Columns to repeat at left box, enter the columns that contain the row labels, and then click Print.


Print a worksheet to fit a paper width or a number of pages

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Page tab.
  3. Under Scaling, click Fit to.
  4. Do one of the following:

    Print a worksheet to fit a paper width

    In the first box beside Fit to, enter 1 (for 1 page wide).

    In the second box beside Fit to, delete the value so that the number of pages tall is unspecified.

    Print a worksheet on a specified number of pages

    In the boxes beside Fit to, enter the number of pages on which you want to print the work.

Notes
  • Microsoft Excel ignores manual page breaks when you use the Fit to option.
  • When you change the values for Fit to, Excel shrinks the printed image or expands it up to 100 percent, as necessary. To see the how much the image will be adjusted for your new values, click OK, and then click Page Setup on the File menu. The Adjust to box on the Page tab shows the percentage that the printed size will be adjusted.
  • Printed data does not exceed the specified number of pages. Excel does not enlarge the data to fill the pages.


Print

Print the selection, the active worksheet(s), or a workbook

If the worksheet has a defined print area, Microsoft Excel will print only the print area unless a specific selection is made. For example, if you select a range of cells to print and then click Selection, Excel prints the selection and ignores any print area defined for the worksheet.

  1. On the File menu, click Print.
  2. Under Print what, select an option to print the selection, the active sheet(s), or the entire workbook.

Print several worksheets at once

  1. Select the worksheets you want to print.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

  2. On the File menu, click Print.

Print several workbooks at once

All workbook files you want to print must be in the same folder.

  1. On the File menu, click Open.
  2. Hold down CTRL and click the name of each workbook you want to print.
  3. In the Open dialog box, click Tools, and then click Print.


Print a workbook to a file

  1. On the File menu, click Print.
  2. In the Printer box, click the printer on which you want to print the file.
  3. Select the Print to file check box, and then click OK.
  4. Under Output File Name in the Print to file dialog box, type a name for the file you want to print.

Note If you print a workbook to a file so that you can later print the file on a different type of printer than the one used to create the document, the page breaks and font spacing may change.


Replace error values when printing

  1. Select the worksheet with the error you don't want to print.
  2. On the File menu, click Page Setup, and then click the Sheet tab.
  3. Under Print in the Cell errors as box, click <blank>, -- , or #N/A.


Change the default file format for saving workbooks

By default, workbooks are saved in the current Microsoft Excel format. If you work with others who use earlier versions of Microsoft Excel or other spreadsheet programs, you can use another format as the default for saving workbooks.

  1. On the Tools menu, click Options, and then click the Transition tab.
  2. In the Save Excel files as box, click the file format you want.

Notes

  • After you set the default file format, all new workbooks are saved in the selected file format unless you specify a different format in the Save As dialog box when you save a workbook.

  • Some features and formatting might not be available if you save the workbook in the file format of a previous version of Microsoft Excel or another spreadsheet program.


Set the printing order of pages

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Sheet tab.
  3. Under Page order, click an option to print the pages top to bottom or left to right.


Set print resolution and quality

  1. Click the worksheet.
  2. Do one of the following:

    Set a specific print resolution

    1. On the File menu, click Page Setup, and then click the Page tab.
    2. In the Print quality box, click the resolution you want to use.

    Specify draft quality printing

    1. On the File menu, click Page Setup, and then click the Sheet tab.
    2. Select the Draft quality check box.


Set paper size for printing

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Page tab.
  3. In the Paper size box, click the size of paper you want to use.


Add headers and footers for printing

Add a header or footer

  1. Click the worksheet.
  2. On the View menu, click Header and Footer.
  3. In the Header or Footer box, click the header or footer you want.

Create custom headers and footers

You can have only one custom header and one custom footer on each worksheet. If you create a new custom header or footer, it replaces any other custom header or footer on the worksheet.

  1. Click the worksheet.
  2. On the View menu, click Header and Footer.
  3. To base a custom header or footer on an existing header or footer, click the header or footer in the Header or Footer box.
  4. Click Custom Header or Custom Footer.
  5. Click in the Left section, Center section, or Right section box, and then click the buttons to insert the header or footer information you want in that section.
  6. Do one or more of the following:
    • To enter additional text for the header or footer, enter the text in the Left section, Center section, or Right section box.

    • To start a new line in one of the section boxes, press ENTER.

    • To delete a section of a header or footer, select the section that you want to delete in the section box, and then press BACKSPACE.

    Notes

    • You can use the buttons in the Header or Footer dialog boxes to format or further customize your headers and footers.

    • Make sure the header or footer margin allows enough space for the custom header or footer.

Tips

  • To include a single ampersand (&) within the text of a header or footer, use two ampersands. For example, to include "Subcontractors & Services" in a header, type Subcontractors && Services.
  • To start numbering pages with a number other than 1, use &[Page]+ or &[Page]- followed by the number you want to add or subtract from the actual page number. For example, to print starting with number 3 on the first page, type &[Page]+2. To print page 4 with the number 3, type &[Page]-1.


Edit a macro

Before you edit a macro, you should be familiar with the Visual Basic Editor. The Visual Basic Editor can be used to write and edit macros attached to Microsoft Excel workbooks.

  1. Set the security level to Medium or Low.

    How?

    1. On the Tools menu, click Options.
    2. Click the Security tab.
    3. Under Macro Security, click Macro Security.
    4. Click the Security Level tab, and then select the security level you want to use.
  2. On the Tools menu, point to Macro, and then click Macros.
  3. In the Macro name box, enter the name of the macro.
  4. Click Edit.
  5. For Help with the Visual Basic Editor, on the Help menu, click Microsoft Visual Basic Help.


Add data to a chart

To add data to a chart sheet, copy and paste the data from the worksheet to the chart.

To add data to an embedded chart created from adjacent worksheet cells, use the color-coded ranges that surround the data on the worksheet. You can also add data to an embedded chart by dragging the data from the worksheet to the chart. If your embedded chart is created from nonadjacent selections, use the copy and paste procedure.

Add data to a chart by copying and pasting

  1. Select the cells that contain the data you want to add to the chart. If you want the column or row label for the new data to appear in the chart, include the cell that contains the label in the selection.
  2. Click Copy [image].
  3. Click the chart.
  4. Do one of the following:
    • To have Microsoft Excel automatically paste the data in the chart, click Paste [image].

    • To specify how you want to plot the data in the chart, click Paste Special on the Edit menu, and then select the options you want.

Add data to a chart by using color-coded ranges

The embedded chart must be created from adjacent selections and be on the same worksheet as the data used to create it.

  1. Type the data and labels you want to add on the worksheet in the cells next to the existing data.
  2. Select the chart area by clicking the blank area between the border of the chart and the plot area.
  3. Do one of the following:
    • To add new categories and data series to the chart, on the worksheet, drag the blue sizing handle to include the new data and labels in the rectangle.

    • To add new data series only, on the worksheet, drag the green sizing handle to include the new data and labels in the rectangle.

    • To add new categories and data points, on the worksheet, drag the purple sizing handle to include the new data and labels in the rectangle.

Add data to a chart by dragging

  1. Select the cells that contain the data you want to add to the chart. The cells must be next to each other on the worksheet.

    If you want the column or row label for the new data to appear in the chart, include the cell that contains the label in the selection.

  2. Point to the border of the selection.

    Pointer on selection border

  3. Drag the selection to the embedded chart you want to update.

    If Microsoft Excel needs more information to plot the data, the Paste Special dialog box appears. Select the options you want.

Note If you cannot drag the selection, make sure that the Allow cell drag and drop check box is selected. To check this setting, click Options on the Tools menu, and then click the Edit tab.


About forecasting and showing trends in charts

What are trendlines?

Trendlines are used to graphically display trends in data and to analyze problems of prediction. Such analysis is also called regression analysis. By using regression analysis, you can extend a trendline in a chart beyond the actual data to predict future values. For example, the following chart uses a simple linear trendline that is forecast ahead four quarters to clearly show a trend toward rising revenue.

Chart with linear trendline

Moving Average You can also create a moving average, which smoothes out fluctuations in data and shows the pattern or trend more clearly.

Chart types that support trendlines You can add trendlines to data series in unstacked 2-D area, bar, column, line, stock, xy (scatter), and bubble charts. You cannot add trendlines to data series in 3-D, stacked, radar, pie, surface, or doughnut charts. If you change a chart or data series so that it can no longer support the associated trendline — for example, by changing the chart type to a 3-D chart or by changing the view of a PivotChart report or associated PivotTable report — you lose the trendlines.

Creating line data without a chart Use AutoFill or one of the statistical functions such as GROWTH() or TREND() to create data for best-fit linear or exponential lines.

Types of trendlines: choosing the right one for your data

When you want to add a trendline to a chart in Microsoft Excel, you can choose any of the six different trend/regression types. The type of data you have determines the type of trendline you should use.

Trendline reliability A trendline is most reliable when its R-squared value is at or near 1. When you fit a trendline to your data, Excel automatically calculates its R-squared value. If you want, you can display this value on your chart.

Linear

A linear trendline is a best-fit straight line that is used with simple linear data sets. Your data is linear if the pattern in its data points resembles a line. A linear trendline usually shows that something is increasing or decreasing at a steady rate.

In the following example, a linear trendline clearly shows that refrigerator sales have consistently risen over a 13-year period. Notice that the R-squared value is 0.9036, which is a good fit of the line to the data.

Chart with linear trendline

Logarithmic

A logarithmic trendline is a best-fit curved line that is used when the rate of change in the data increases or decreases quickly and then levels out. A logarithmic trendline can use negative and/or positive values.

The following example uses a logarithmic trendline to illustrate predicted population growth of animals in a fixed-space area, where population leveled out as space for the animals decreased. Note that the R-squared value is 0.9407, which is a relatively good fit of the line to the data.

Chart with logarithmic trendline

Polynomial

A polynomial trendline is a curved line that is used when data fluctuates. It is useful, for example, for analyzing gains and losses over a large data set. The order of the polynomial can be determined by the number of fluctuations in the data or by how many bends (hills and valleys) appear in the curve. An Order 2 polynomial trendline generally has only one hill or valley. Order 3 generally has one or two hills or valleys. Order 4 generally has up to three.

The following example shows an Order 2 polynomial trendline (one hill) to illustrate the relationship between speed and gasoline consumption. Notice that the R-squared value is 0.9474, which is a good fit of the line to the data.

Chart with polynomial trendline

Power

A power trendline is a curved line that is used with data sets that compare measurements that increase at a specific rate — for example, the acceleration of a race car at 1-second intervals. You cannot create a power trendline if your data contains zero or negative values.

In the following example, acceleration data is shown by plotting distance in meters by seconds. The power trendline clearly demonstrates the increasing acceleration. Note that the R-squared value is 0.9923, which is a nearly perfect fit of the line to the data.

Chart with power trendline

Exponential

An exponential trendline is a curved line that is used when data values rise or fall at increasingly higher rates. You cannot create an exponential trendline if your data contains zero or negative values.

In the following example, an exponential trendline is used to illustrate the decreasing amount of carbon 14 in an object as it ages. Note that the R-squared value is 1, which means the line fits the data perfectly.

Chart with exponential trendline

Moving Average

A moving average trendline smoothes out fluctuations in data to show a pattern or trend more clearly. A moving average uses a specific number of data points (set by the Period option), averages them, and uses the average value as a point in the line. If Period is set to 2, for example, then the average of the first two data points is used as the first point in the moving average trendline. The average of the second and third data points is used as the second point in the trendline, and so on.

In the following example, a moving average trendline shows a pattern in number of homes sold over a 26-week period.

Chart with moving average line


Use a data entry form to edit a list

A data form is a dialog box that gives you a convenient way to enter or display one complete row of information, or record, in a list at one time.

Before you can use a data form to add a record to a new list, the list must have labels at the top of each column. Microsoft Excel uses these labels to create fields on the form.

  1. Click a cell in the list you want to add the record to.
  2. On the Data menu, click Form.

  3. Do one or more of the following:

    Add a record

    1. Click New.
    2. Type the information for the new record.
    3. When you finish typing data, press ENTER to add the record.

    4. When you finish adding records, click Close to add the new record and close the data form.

    Change a record

    1. Find the record you want to change.

      How?

      • To move through records one at a time, use the scroll bar arrows in the dialog box. To move through 10 records at a time, click the scroll bar between the arrows.
      • To move to the next record in the list, click Find Next. To move to the previous record in the list, click Find Prev.
      • To set search conditions, or comparison criteria, click Criteria, then enter the criteria into the data form. To find records that match the criteria, click Find Next or Find Prev. To return to the data form without searching for records based on the criteria you specified, click Form.

      Wildcard characters you can use as criteria

      The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

      Use To find
      ? (question mark) Any single character
      For example, sm?th finds "smith" and "smyth"
      * (asterisk) Any number of characters
      For example, *east finds "Northeast" and "Southeast"
      ~ (tilde) followed by ?, *, or ~ A question mark, asterisk, or tilde
      For example, fy91~? finds "fy91?"

    2. Change the information in the record.

      • Fields that contain formulas display the results of the formula as a label. The label cannot be changed in the data form.
      • If you change a record that contains a formula, the formula is not calculated until you press ENTER or click Close to update the record.
    3. To move to the next field, press TAB. To move to the previous field, press SHIFT+TAB.
    4. When you finish changing data, press ENTER to update the record and move to the next record.
    5. When you finish changing records, click Close to update the displayed record and close the data form.

    Delete a record

    1. Find the record you want to delete.

      • To move through records one at a time, use the scroll bar arrows in the dialog box. To move through 10 records at a time, click the scroll bar between the arrows.
      • To move to the next record in the list, click Find Next. To move to the previous record in the list, click Find Prev.
      • To set search conditions, or comparison criteria, click Criteria, then enter the criteria into the data form. To find records that match the criteria, click Find Next or Find Prev. To return to the data form without searching for records based on the criteria you specified, click Form.

      Wildcard characters you can use as criteria

      The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

      Use To find
      ? (question mark) Any single character
      For example, sm?th finds "smith" and "smyth"
      * (asterisk) Any number of characters
      For example, *east finds "Northeast" and "Southeast"
      ~ (tilde) followed by ?, *, or ~ A question mark, asterisk, or tilde
      For example, fy91~? finds "fy91?"

    2. Click Delete.

Notes

  • Data forms can display a maximum of 32 fields at one time.
  • While you are adding or changing a record, you can undo changes by clicking Restore as long as the record is the active record in the data form.


About macros

If you perform a task repeatedly in Microsoft Excel, you can automate the task with a macro. A macro is a series of commands and functions that are stored in a Microsoft Visual Basic module and can be run whenever you need to perform the task.

For example, if you often enter long text strings in cells, you can create a macro to format those cells so that the text wraps.

Recording macros When you record a macro, Excel stores information about each step you take as you perform a series of commands. You then run the macro to repeat, or "play back," the commands. If you make a mistake when you record the macro, corrections you make are also recorded. Visual Basic stores each macro in a new module attached to a workbook.

Making a macro easy to run You can run a macro by choosing it from a list in the Macro dialog box. To make a macro run whenever you click a particular button or press a particular key combination, you can assign the macro to a toolbar button, a keyboard shortcut, or a graphic object on a worksheet.

Managing your macros After you record a macro, you can view the macro code with the Visual Basic Editor to correct errors or change what the macro does. For example, if you wanted the text-wrapping macro to also make the text bold, you could record another macro to make a cell bold and then copy the instructions from that macro to the text-wrapping macro.

The Visual Basic Editor is a program designed to make writing and editing macro code easy for beginners, and provides plenty of online Help. You don't have to learn how to program or use the Visual Basic language to make simple changes to your macros. With the Visual Basic Editor, you can edit macros, copy macros from one module to another, copy macros between different workbooks, rename the modules that store the macros, or rename the macros.

Macro security Excel provides safeguards against viruses that can be transmitted by macros. If you share macros with others, you can certify them with a digital signature so that other users can verify that they are from a trustworthy source. Whenever you open a workbook that contains macros, you can verify their source before you enable them.


Position data in a cell

  1. Select the cells you want to reposition. To center or align data that spans several columns or rows, such as column and row labels, first merge a selected range of cells and then select the merged cell for repositioning.
  2. Do one of the following:

    Center, left-align, or right-align data

    On the Formatting toolbar, click the appropriate button.
    • Click Align Left [image], to align text to the left.
    • Click Center [image], to center text.
    • Click Align Right [image], to align text to the right.

    Tip

    To restore the default alignment, select the cells, click Cells on the Format menu, and then click the Alignment tab. In the Horizontal box, click General.

    Increase or decrease indented text from the left edge of a cell

    On the Formatting toolbar, click Increase Indent [image] or Decrease Indent [image].

    Indent text in a cell

    1. On the Format menu, click Cells, and then click the Alignment tab.

    2. Do one of the following:

      • To indent text from the left, right, or both sides of the cell, in the Horizontal box, click Left (Indent), Right (Indent), or Distributed (Indent). Then, in the Indent box, click the amount of indent you want.
      • To indent text from the top, bottom, or both top and bottom of the cell, in the Vertical box, click Top (Indent), Bottom (Indent), or Distributed. Then, in the Indent box, click the amount of indent you want.
      • To horizontally justify text that is distributed in a cell (indented from both sides), in the Horizontal box, click Justify.
      • To horizontally justify text that is not distributed in a cell, in the Horizontal box, click Distributed (Indent), and then click Justify distributed.
      • To vertically justify text in a cell, in the Vertical box, click Justify.

    Align data at the top, center, or bottom of a cell

    1. On the Format menu, click Cells, and then click the Alignment tab.
    2. In the Vertical box, click the option you want.

    Rotate text in a cell

    1. On the Format menu, click Cells, and then click the Alignment tab.
    2. In the Orientation box, click a degree point, or drag the indicator to the angle you want.

      To display text vertically from top to bottom, click the vertical Text box under Orientation.


Change a data consolidation

  • If you used 3-D references or other formulas to consolidate the data, you can change the consolidation by editing the formulas.
  • If you used the Consolidate command on the Data menu, you can change the consolidation by using the following steps:

  1. Click the upper-left cell in the consolidated data.

  2. On the Data menu, click Consolidate.

    You can change the consolidation only if you did not previously select the Create links to source data check box. If the check box is selected, click Close, and re-create the consolidation.

  3. Do one or more of the following:

    Add another source range to the consolidation

    The new source range must have either data in the same positions or column labels that match those in the other ranges in the consolidation.

    1. Click the Reference box.

    2. Click the sheet tab of the first range to consolidate.

    3. Type the name you gave the range, or select the range.

    4. Click Add.

    Adjust the size or shape of a source range

    1. Under All references, click the source range you want to change.

    2. In the References box, edit the selected reference.

    3. Click Add.

    Delete a source range from the consolidation

    1. Under All references, click the source range you want to delete.

    2. Click Delete.

    Make the consolidation update automatically

    Note Once you make this change, you can't add, change, or delete any of the source ranges.

    Select the Create links to source data check box.

  4. To update the consolidation with the changes, click OK.


Change the color palette in a workbook

When you change a color in a workbook palette, any element formatted with that color is changed throughout the entire workbook.

Change a color in a color palette

  1. Switch to the workbook that contains the color palette you want to change.
  2. On the Tools menu, click Options, and then click the Color tab.
  3. Click the color you want to change, and then click Modify.
  4. Do one or more of the following:
    • To replace the selected color on the palette with a different standard color, click the Standard tab, and then click the color you want.

    • To change the hue or another aspect of the selected color, click the Custom tab, and then change the options.

Notes

  • To restore the default color palette, click Reset on the Color tab.
  • If you copy an object or cells with a custom color to another workbook, the custom color is replaced by the color in the corresponding position on the other workbook's color palette. To retain the custom color, either copy the customized color palette to the other workbook or change the corresponding color in the workbook.
  • To replace the default color palette in new workbooks, change the color palette in the default workbook template or in the custom template you use to create workbooks.

Copy a color palette to another workbook

  1. Open the workbook that contains the color palette you want to copy.
  2. Switch to the workbook that you want to copy the color palette to.
  3. On the Tools menu, click Options, and then click the Color tab.
  4. In the Copy colors from box, click the workbook that contains the color palette you want to copy, and then click OK.


Change when and how formulas are calculated

By default, Microsoft Excel automatically recalculates formulas when the cells that the formula depends on have changed.

Calculate a worksheet or workbook now

Press F9 Calculates formulas that have changed since the last calculation, and formulas dependent on them, in all open workbooks. If a workbook is set for automatic calculation, you do not need to press F9 for calculation.

Press SHIFT+F9 Calculates formulas that have changed since the last calculation, and formulas dependent on them, in the active worksheet.

Press CTRL+ALT+F9 Calculates all formulas in all open workbooks, regardless of whether they have changed since last time or not.

Press CTRL+SHIFT+ALT+F9 Rechecks dependent formulas, and then calculates all formulas in all open workbooks, regardless of whether they have changed since last time or not.

Change when a worksheet or workbook calculates

  1. On the Tools menu, click Options, and then click the Calculation tab.
  2. Under Calculation, select an option.

    Changing this option affects all open workbooks.

  3. If you select an option other than Automatic, press F9 to calculate all worksheets in all open workbooks.

    To calculate only the active worksheet, press SHIFT+F9.

Note If a worksheet contains a formula that is linked to a worksheet that has not been calculated and you update that link, Excel displays a message stating that the source worksheet is not completely calculated. To update the link with the current value stored on the source worksheet, even though the value might not be correct, click OK. To cancel updating the link and use the previous value obtained from the source worksheet, click Cancel.

Change the precision of calculations in a workbook

Caution When you change the precision of the calculations in a workbook by using the displayed (formatted) values, Excel permanently changes any constant values on the worksheets in the workbook. If you later choose to calculate with full precision, the original underlying values cannot be restored.

  1. On the Tools menu, click Options, and then click the Calculation tab.
  2. Under Workbook options, select the Precision as displayed check box.

Change the number of times Microsoft Excel iterates a formula

  1. On the Tools menu, click Options, and then click the Calculation tab.
  2. Select the Iteration check box.
  3. To set the maximum number of times Microsoft Excel will recalculate, type the number of iterations in the Maximum iterations box. The higher the number of iterations, the more time Excel needs to calculate a worksheet.
  4. To set the maximum amount of change you will accept between calculation results, type the amount in the Maximum change box. The smaller the number, the more accurate the result and the more time Excel needs to calculate a worksheet.


About calculations and formulas in PivotTable and PivotChart reports

PivotTable and PivotChart reports provide several types of calculations. Data fields use summary functions to combine values from the underlying source data. You can also use custom calculations to compare data values, or add your own formulas that use elements of the report or other worksheet data.

How PivotTable and PivotChart reports summarize data

Example of PivotTable source data

Source data

The values in the data area summarize the underlying source data in the report.

Example of PivotTable report

PivotTable report made from the above source data

The Month column field provides items March and April. The Region row field provides items North, South, East, and West. The value at the intersection of the April column and the North row is the total sales revenue from the records in the source data that have Month values of April and Region values of North.

Example of a PivotChart report

PivotChart report made from the example PivotTable report

In a PivotChart report, the Region field might be a category field that shows North, South, East, and West as categories. The Month field could be a series field that shows the items March, April, and May as series represented in the legend. A data field called Sum of Sales could contain data markers that represent the total revenue in each region for each month. For example, one data marker would represent, by its position on the value axis, the total sales for April in the North region.

Values and calculations in a PivotChart report reflect those in the associated PivotTable report, and vice versa.

Custom calculations A custom calculation shows values based on other items or cells in the data area. For example, you could display values in the Sum of Sales data field as a percentage of March sales, or as a running total of the items in the Month field.

Formulas If summary functions and custom calculations don't provide the results you want, you can create your own formulas in calculated fields and calculated items. For example, you could add a calculated item with the formula for the sales commission, which could be different for each region. The report would then automatically include the commission in the subtotals and grand totals.

How the type of source data affects calculations

Calculations and options available in a report depend on whether the source data came from an OLAP database or another type of database.

OLAP source data For reports that are created from OLAP cubes, the summarized values are precalculated on the OLAP server before Microsoft Excel displays the results. Therefore, you cannot change how these values are calculated from within the report. You cannot change the summary function used to calculate data fields or subtotals, or add calculated fields or calculated items. If the OLAP server provides calculated fields, known as calculated members, you'll see these fields in the PivotTable field list. You'll also see any calculated fields and calculated items that are created by macros that were written in Visual Basic for Applications and stored in your workbook, but you won't be able to change these fields or items. If you need additional types of calculations, contact your OLAP database administrator.

Other types of source data In reports based on other types of external data or on worksheet data, Microsoft Excel uses the Sum summary function to calculate data fields that contain numeric data, and the Count summary function to calculate data fields that contain text. You can choose a different summary function — such as Average, Max, or Min — to further analyze and customize your data. You can also create your own formulas that use elements of the report or other worksheet data, by creating a calculated field or a calculated item within a field.

Hidden items in totals For OLAP source data, you can include or exclude the values for hidden items when calculating subtotals and grand totals. For other types of source data, values for hidden items are excluded by default, but you can optionally include the hidden items from page fields.

Formula syntax

You can create formulas only in reports that are not based on OLAP source data.

Formulas are available in PivotChart reports and use the same syntax as those in PivotTable reports. For best results when working in a PivotChart report, create and edit formulas in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results in the PivotChart report.

Formula elements In formulas you create for calculated fields and calculated items, you can use operators and expressions as you do in other worksheet formulas. You can use constants and refer to data from the report, but you cannot use cell references or defined names. You cannot use worksheet functions that require cell references or defined names as arguments, and you cannot use array functions.

Names in reports Microsoft Excel provides names to identify the elements of a report in your formulas. The names are composed of the field and item names. In the following example, the data in range C3:C9 is named Dairy.

Example PivotTable report

In a PivotChart report, the field names are displayed in the field buttons, and item names can be seen in each field drop-down list. Don't confuse these names with those you see in chart tips, which reflect series and data point names instead.

Examples A calculated field named Forecast could forecast future orders with a formula such as the following:

=Sales * 1.2

A calculated item in the Type field that estimates sales for a new product based on Dairy sales could use a formula such as the following:

=Dairy * 115%

Formulas operate on sum totals, not individual records Formulas for calculated fields operate on the sum of the underlying data for any fields in the formula. For example, the formula =Sales * 1.2 multiplies the sum of the sales for each type and region by 1.2; it does not multiply each individual sale by 1.2 and then sum the multiplied amounts. Formulas for calculated items, however, operate on the individual records; the calculated item formula =Dairy *115% multiplies each individual sale of Dairy times 115%, after which the multiplied amounts are summarized together in the data area.

Spaces, numbers, and symbols in names In a name that includes more than one field, the fields can be in any order. In the example above, cells C6:D6 can be 'April North' or 'North April'. Use single quotation marks around names that are more than one word or include numbers or symbols.

Totals Formulas cannot refer to totals (such as March Total, April Total, and Grand Total in the example).

Field names in item references You can include the field name in a reference to an item. The item name must be in square brackets — for example, Region[North]. Use this format to avoid #NAME? errors when two items in two different fields in a report have the same name. For example, if a report has an item named Meat in the Type field and another item named Meat in the Category field, you can prevent #NAME? errors by referring to the items as Type[Meat] and Category[Meat].

Referring to items by position You can refer to an item by its position in the report as currently sorted and displayed. Type[1] is Dairy, and Type[2] is Seafood. The item referred to in this way can change whenever the positions of items change or different items are displayed or hidden. Hidden items are not counted in this index.

You can use relative positions to refer to items. The positions are determined relative to the calculated item that contains the formula. If South is the current region, Region[-1] is North; if North is the current region, Region[+1] is South. For example, a calculated item could use the formula =Region[-1] * 3%. If the position you give is before the first item or after the last item in the field, the formula results in a #REF! error.

In calculated item formulas, if you refer to items by their position or relative position, any options you have set under Top 10 AutoShow and AutoSort options in the PivotTable Sort and Top 10 or PivotTable Field Advanced Options dialog boxes are reset to Off or Manual, and the options become unavailable.

Using formulas in PivotChart reports

The methods and rules used for creating formulas in PivotChart reports are the same as the rules for PivotTable reports. When you create a calculated field or calculated item in a PivotChart report, the calculations are reflected in the associated PivotTable report, and vice versa. For best results, create formulas for a PivotChart report in the associated PivotTable report, where you can see the individual values that make up your data, and then view the results graphically in the PivotChart report.

For example, the following PivotChart report shows sales for each salesperson per region:

PivotChart report showing sales for each salesperson per region

To see what sales would look like if they were increased by 10 percent, you could create a calculated field with the following formula:

=Sales * 110%

The result would be reflected in the chart like this:

PivotChart report showing sales increased by 10 percent per region

To see a separate data marker for sales in the North region minus a transportation cost of 8 percent, you could create a calculated item in the Region field with the following formula:

=North – (North * 8%)

The result would look like this:

PivotChart report with a calculated item.

A calculated item created in the Salesperson field, however, would appear as a series represented in the legend and appear in the chart as a data point in each category.


Define what part of the worksheet to print

Print a selected area of a worksheet

  1. On the View menu, click Page Break Preview.
  2. Select the area you want to print.
  3. On the File menu, point to Print Area, and then click Set Print Area.

    When you save the document, your print area selection is also saved.

Add cells to an existing print area

  1. On the View menu, click Page Break Preview.
  2. Select the cells you want to add to the print area.
  3. Right-click within the selection, and then click Add to Print Area.

Center worksheet data on the printed page

  1. Click the worksheet.
  2. On the File menu, click Page Setup, and then click the Margins tab.
  3. To center worksheet data horizontally on the page between the left and right margins, select the Horizontally check box under Center on page.

    To center worksheet data vertically on the page between the top and bottom margins, select the Vertically check box under Center on page.

Clear a print area

  • On the File menu, point to Print Area, and click Clear Print Area.


Change the way data is shown in a chart

You can change the order, placement, and worksheet orientation of data series in a chart.

Plot data series from worksheet rows or columns

  1. Click the chart.
  2. On the Chart menu, click Source Data, and then click the Data Range tab.
  3. Click Series in rows or Series in columns.

Add a second axis

When the range of values for different data series in a 2-D chart varies widely, or when you have mixed types of data (such as price and volume), you can plot one or more data series on a secondary value (y) axis. The scale of the secondary axis reflects the values for the associated series.

  1. Click the data series you want to plot along a secondary value axis.
  2. On the Format menu, click Selected Data Series, and then click the Axis tab.
  3. Click Secondary axis.

Reverse the plotting order of categories, values, or series

You can reverse the plotting order of categories or values for most charts, as well as of data series for 3-D charts with a third axis. You cannot reverse the plotting order of values in a radar chart.

  1. Click the axis for the categories, values, or series whose plotting order you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. To reverse the plotting order, do one of the following:
    • For categories, select the Categories in reverse order check box.

    • For values, select the Values in reverse order check box.

    • For series in 3-D charts, select the Series in reverse order check box.

Control the way empty cells are plotted in a chart

  1. Click the chart.
  2. On the Tools menu, click Options, and then click the Chart tab.
  3. Under Plot empty cells as, click the option you want.

Change the points plotted in a pie-of-pie or bar-of-pie chart

  1. Click a slice in the pie chart you want to change.
  2. On the Format menu, click Selected Data Point, and then click the Options tab.
  3. Select the options you want.

Tip

You can also change which slices appear in the pie-of-pie or bar-of-pie chart by dragging. Click a slice or bar segment on the main chart, and then drag it to the pie-of-pie or bar-of-pie chart, or vice versa.

Change the plotting order of data series

3D charts with series in different orders

  1. Click a data series in the chart you want to change.

    To change the plotting order of data series in a surface chart, click a legend key.

  2. On the Format menu, click Selected Data Series or Selected Legend Key, and then click the Series Order tab.
  3. In the Series order box, click the series you want to move.
  4. To place the series in the order you want, click Move Up or Move Down.


About PivotTable and PivotChart source data

When you create a PivotTable or PivotChart report, you can use any of several different types of source data.

Microsoft Excel lists or databases

You can use data from an Excel worksheet as the basis for a report. The data should be in list format, with column labels in the first row, the rest of the rows having similar items in the same column, and no blank rows or columns within the range of data. Excel uses your column labels for the field names in the report.

Selecting the data automatically Click a cell in the list or in the row below the list before running the PivotTable and PivotChart Wizard. The wizard fills in a reference to the entire list for you.

Using a named range To make the report easier to update, name the source range and use the name when you create the report. If the named range expands to include more data, you can refresh the report to include the new data.

Using filtered data Excel ignores any filters you have applied to a list with the commands from the Filter submenu of the Data menu. To create a report that includes only the filtered data, use the Advanced Filter command to extract the data you want to another worksheet location, and then base the report on the extracted range.

Including totals Excel automatically creates subtotals and grand totals in a PivotTable report. If the source list contains automatic subtotals and grand totals created with the Subtotals command on the Data menu, use that command to remove them before you create the report.

External data sources

To summarize and analyze data from outside Microsoft Excel, such as your company's sales records in a database, you can retrieve data from external sources including databases, text files, and sites on the Internet.

Prerequisites for retrieving data To retrieve data from a Web site, you need to be connected to your intranet or the Internet.

To retrieve other types of external data, you must install Microsoft Query and the appropriate open database connectivity (ODBC) drivers or data source drivers. Query provides drivers for many types of external data, including Microsoft SQL Server, Microsoft Access, and text file databases.

Using the PivotTable and PivotChart Wizard You can usually retrieve the data you want from within the wizard. From the wizard, you can create data sources, run saved queries, and create new queries.

In step 2 of the wizard, when you get the external data, you're launching Microsoft Query. You have access to all of Query's features: you can select an existing data source, query, or OLAP cube data source, or define a new one. You can follow the Query Wizard steps to select the data you want, and then return to the PivotTable and PivotChart Wizard in the last step of the Query Wizard, or customize your query directly in Microsoft Query. When you finish working directly in Query and return the data to Excel, you're returned to the PivotTable and PivotChart Wizard.

Using other Excel methods In the following situations, retrieve the data into Excel first, before you create your PivotTable or PivotChart report:

  • Web queries To use a Web query to get data from the Internet, create or run the web query, and then base the report on the worksheet range from the query.
  • Parameter queries To use a parameter query to get the data, create or run the parameter query, and then base the report on the worksheet range that the query retrieves.
  • Report templates and query files To open a query (.dqy) file, or use a report template (.xlt) that does not already include a PivotTable report, first open the query file or template in Excel. Base your report on the worksheet range retrieved by the query or template.
  • Office Data Connection files To use an .odc file to get data from a table in an external database, open the .odc file in Excel. You then have two choices: you can import the data directly into a PivotTable report, or you can import the data into a worksheet and base your report on the worksheet range.

OLAP source data When you retrieve source data from an OLAP database or cube file, the data can be returned to Excel only as a PivotTable report. You can then create PivotChart reports from this PivotTable report. You use Microsoft Query to set up a data source to access the database.

Multiple consolidation ranges

When you have several Microsoft Excel lists with similar categories of data and you want to summarize the data from the lists together on one worksheet, one option is to use a PivotTable or PivotChart report. Excel also provides other ways to consolidate, including formulas with 3D references and the Consolidate command on the Data menu, that work with lists in all kinds of formats and layouts.

Setting up the source data Each range of data should be in list format, with column labels in the first row, row labels in the first column, the rest of the rows having similar items in the same row and column, and no blank rows or columns within the range. The lists or worksheets must have matching row and column names for items that you want to summarize together. Do not include any total rows or total columns from the source data when you specify the data for the report.

Using named ranges To make the report easier to update, name each source range and use the names when you create the PivotTable or PivotChart report. If a named range expands to include more data, you can refresh the report to include the new data.

Page fields in consolidations A consolidation uses custom page fields that contain items representing one or more of the source ranges. For example, if you're consolidating budget data from the Marketing, Sales, and Manufacturing departments, a page field could include one item to display the data for each department plus an item to show the combined data.

After you click Multiple consolidation ranges in step 1 of the PivotTable and PivotChart Wizard, you can choose the kind of page fields you want.

  • A single page field To include one page field with an item for each source range plus an item that consolidates all of the ranges, click Create a single page field for me in step 2a of the wizard.
  • Multiple page fields You can create as many as four page fields and assign your own item names for each source range, allowing you to create partial or full consolidations. For example, one page field could consolidate Marketing and Sales apart from Manufacturing, and another page field could consolidate all three departments. Alternatively, you can simply combine the data from all the ranges, creating a consolidation that doesn't have page fields. Click I will create the page fields in step 2a of the wizard, and then use step 2b to create the page fields and assign the ranges to them as items.

Another PivotTable report

Each time you create a new PivotTable or PivotChart report, Microsoft Excel stores a copy of the data for the report in memory, and saves this storage area as part of the workbook file. Thus each new report requires additional memory and disk space. However, when you use an existing PivotTable report as the source for a new report in the same workbook, both reports share the same copy of the data. Because you reuse the same storage area, the size of the workbook file is reduced and less data is kept in memory.

Location requirements To use a PivotTable report as the source for another report, both reports must be in the same workbook. If the source PivotTable report is in a different workbook, copy the source report to the workbook where you want the new report to appear. PivotTable and PivotChart reports in different workbooks are separate, each with their own copy of the data in memory and in the workbook files.

Page field settings The source PivotTable report cannot contain any page fields that are set to query for external data as you select each item. Reports with this setting don't appear in step 2 of the wizard. To check the setting, double-click each page field, click Advanced, and make sure Retrieve external data for all page field items is selected.

Changes affect both reports When you refresh the data in the new report, Excel also updates the data in the source report, and vice versa. When you group or ungroup items in one report, both are affected. When you create calculated fields or calculated items in one report, both reports are affected.

PivotChart reports You can base a new PivotTable or PivotChart report on another PivotTable report, but not directly on another PivotChart report. However, Excel creates an associated PivotTable report from the same data whenever you create a PivotChart report, so you can base a new report on the associated report.

Changes to a PivotChart report affect the associated PivotTable report, and vice versa. If you want to be able to change the layout or display different data without these changes affecting both reports, create a new PivotTable report based on the same source data as the PivotChart report, rather than basing it on the associated PivotTable report.

PivotTable lists from Web pages You can export a PivotTable list from your Web browser to Excel and view and save the list as a PivotTable report. The new PivotTable report and the PivotTable list both use the same source data, but no link is maintained between the list and the report.

Changing an existing report's source data

Changes in the source data can result in different data being available for analysis. You can update a PivotTable or PivotChart report with new data that falls within your original source data specification by refreshing the report.

To include additional data or different data, you can redefine the source data for the report. If the data is substantially different with many new or additional fields, it may be easier to create a new report.

Displaying new data brought in by refresh Refreshing a report can also change the data available for display. For reports based on worksheet lists, Microsoft Excel retrieves new fields within the source range or named range that you specified. For reports based on external data, Excel retrieves new data that meets the criteria for the underlying query or becomes available in an OLAP cube. You can view any new fields in the field list and add them to the report.

Including different Excel source data For reports based on Excel data, you can run the PivotTable and PivotChart wizard, return to step 2, and redefine the source range to include different data.

Querying for different external data When new fields become available in an external database, or you want to select different records for the report, you can run the PivotTable and PivotChart wizard, return to step 2, and use the Get Data button to start Microsoft Query. In Query, you can change the query to select different data.

Changing OLAP cubes that you create Reports based on OLAP data always have access to all data in the cube. If you created an offline cube file containing a subset of the data in a server cube, you can use the Offline OLAP command on the PivotTable menu to edit your cube file so that it contains different data from the server. If you used the OLAP Cube Wizard in Microsoft Query to define a cube from another database, you can't add more fields from the original database, but you can use the wizard to delete fields or reorganize your cube. You can update both types of cubes with the most recent data from the server cube or the original database by refreshing a report based on the cube.


Change the amount of detail displayed in a PivotChart report

Determine what kind of source data your report has: click the report, if the field list is not displayed click Show Field List [image] on the PivotTable toolbar, and look at the PivotTable Field List window.

  • If the field list has Dimension field icon and Data field icon icons, the report has OLAP source data.

  • If the field list has Field icon icons, the report does not have OLAP source data.

For OLAP reports, do one or more of the following:

Display or hide different levels of detail for a field

  1. Click the associated PivotTable report for the PivotChart report.
  2. Click the field.
  3. To display or hide lower-level detail, click Show Detail [image] or Hide Detail [image] on the PivotTable toolbar.

  4. To hide upper levels of detail, right-click the field button for the lowest level you want to hide, and then click Hide levels on the shortcut menu.

    The level you clicked and all higher levels in the dimension are removed from view, and the dropdown arrow Field arrow is also hidden.

    To redisplay hidden upper levels, right-click any field button in the dimension, and then click Show levels on the shortcut menu.

Note If you hide and then redisplay levels, any renamed items revert to their original names.

Display or hide property fields

  1. Click the associated PivotTable report for the PivotChart report.
  2. Click the field for which you want to display property fields.
  3. On the PivotTable toolbar, click PivotTable, and then click Property Fields.
  4. In the Choose properties from level list, click each level for which you want to display property fields, and then double-click the property fields you want to see.
  5. In the Properties to display box, use the [image] and [image] buttons to arrange the property fields in the order you want them to appear in the report.
  6. Make sure the Show fields for this dimension in outline form check box is selected, and then click OK.
  7. If the levels for which you selected property fields aren't displayed in the report, click the field and then click Show Detail [image] on the PivotTable toolbar.

For non-OLAP reports, do one or more of the following:

Display or hide series detail

  1. Click the associated PivotTable report for the PivotChart report.
  2. Click the column field for the series for which you want to show or hide detail.
  3. On the PivotTable toolbar, click Show Detail [image] or Hide Detail [image].
  4. If prompted, double-click the field that has the detail you want to show.

Display or hide category item detail

  1. Right-click the category label for which you want to show or hide detail, or in a pie or doughnut chart, click the slice or ring for which you want to show or hide detail.
  2. On the shortcut menu, click Show detail category name or Hide detail category name.
  3. If prompted, double-click the field that has the detail you want to show.

Note When you change the amount of detail displayed in a PivotChart report, some chart formatting may be lost.


Control when links are updated

The control of how linked information is updated in Microsoft Excel is dependent on the type of link used.

Links to other workbooks

The workbook that contains the links is called the destination workbook, and the workbook that is linked to is called the source workbook. When both the source workbook and the destination workbook are open, links are updated automatically. When you open a destination workbook, and the source workbook is not open, you are asked whether to update the links using a startup prompt. You can control whether or not the prompt appears, and whether or not to update all links when the prompt does not appear. You can also update only some of the links, if the workbook contains more than one.

Update all links or no links in a workbook

  1. Close all workbooks. If one source workbook is left open, and others are closed, the updates will not be uniform.
  2. Open the workbook that contains the links.
  3. To update the links, click Update.

    To not update the links, click Don't Update.

    For help deciding which button to click, click Help.

Update only some of the links to other workbooks

  1. Close all workbooks.
  2. Open the workbook that contains the links.
  3. When asked whether to update links, click Don't Update.
  4. On the Edit menu, click Links.
  5. In the Source list, click the linked object you want to update.

    To select multiple linked objects, hold down CTRL and click each linked object.

    To select all linked objects, press CTRL+A.

  6. Click Update Values.

Control the startup prompt for updating all links

Don't ask whether to update links when I open any workbook, and update links automatically

This option is for the current user only, and affects every workbook opened. Other users of the workbook are not affected. This option also affects links to other programs.

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. Clear the Ask to update automatic links check box. If the box is cleared, the links are automatically updated, and no prompt is displayed.

Don't ask to update links for this workbook, and let me control whether links are updated

Warning This option affects all users of the workbook. If you choose to not update links, and not to prompt, users of the workbook will not know the data is out of date.

  1. On Edit menu, click Links.

  2. Click Startup Prompt.

  3. Select the option you want.

Note You will still be notified if there are any broken links.

Links to other programs

These options are for links to other programs that use OLE (Object Linking and Embedding) or DDE (Dynamic Data Exchange).

Links to other programs can be set to be updated automatically (when you open the destination file or any time the source file changes while the destination file is open) or manually (you specifically request the update). By default, new links are set to automatic updating. Set a link to update manually when you want to see the previous data before updating to the new data.

Set a link to another program to be updated manually

  1. On the Edit menu, click Links.

    The Links command is unavailable if your file does not contain linked information.

  2. In the Source list, click the linked object you want to update. An A in the Update column means the link is automatic, and a M in the Update column means the link is set to Manual update.

    • To select multiple linked objects, hold down CTRL and click each linked object.

    • To select all linked objects, press CTRL+A.

  3. To update a linked object only when you click Update Values, click Manual.

Set a link to another program to be updated automatically

  1. On the Edit menu, click Links.

    The Links command is unavailable if your file does not contain linked information.

  2. In the Source list, click the linked object you want to update. An A in the Update column means the link is automatic, and a M in the Update column means the link is set to Manual update.

    • To select multiple linked objects, hold down CTRL and click each linked object.

    • To select all linked objects, press CTRL+A.

  3. To update a linked object every time you open the file that contains the object or any time the original information changes while the file is open, click Automatic.
  4. Click OK.
  5. On the Tools menu, click Options, and then click the Calculation tab.
  6. Make sure the Update remote references check box is selected.

Ignore automatic updates for links to other programs

This setting applies only for the current session of Excel. The next time you open the workbook, the prompt to update links overrides this setting.
  1. Switch to the worksheet that contains the links.
  2. On the Tools menu, click Options.
  3. On the Calculation tab, clear the Update remote references check box.

    Note Clearing the check box overrides the Automatic option (for all links) in the Links dialog box (Edit menu), but does not change the option to Manual.

Update a link to another program now

This procedure updates a linked object at any time regardless of whether automatic or manual updating is turned on.

  1. On the Edit menu, click Links.

    The Links command is unavailable if your file does not contain linked information.

  2. In the Source list, click the linked object you want to update.

    • To select multiple linked objects, hold down CTRL and click each linked object.

    • To select all linked objects, press CTRL+A.

  3. Click Update Values.

Don't ask whether to update links when I open any workbook, and update links automatically

This option is for the current user only, and affects every workbook opened. Other users of the workbook are not affected. This option also affects links to other workbooks.

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. Clear the Ask to update automatic links check box. If the box is cleared, the links are automatically updated, and no prompt is displayed.


Customize how Excel starts

You can find XLStart folders in C:\Documents and Settings\username\Application Data\Microsoft\Excel or in C:\Program Files\Microsoft Office\Office10.

Open a workbook automatically when Microsoft Excel starts

  1. In Windows Explorer, move the icon of the workbook you want to open to an XLStart folder.

    If you want to keep the workbook in its current location, use the Create Shortcut command on the File menu to create a shortcut to the workbook, and then move the shortcut to an XLStart folder.

  2. Restart Excel.

    Tip

    To open a group of related workbooks when you start Excel, save the workbooks in a workspace file, and then place the workspace file in an XLStart folder.

Open all files in a folder when Excel starts

Caution Because Excel will attempt to open every file in the additional startup folder, make sure you specify an empty folder or a folder that contains only files that Excel can open.

  1. On the Tools menu, click Options, and then click the General tab.
  2. In the At startup, open all files in box, type the path to the additional startup folder.

Note If a file with the same name is in both the XLStart folder and the additional startup folder, the file in the XLStart folder opens.

Use startup switches when you start Excel

  1. On the Start menu, point to Programs, point to Accessories, and then click Windows Explorer.
  2. In Windows Explorer, go to \Program Files\Microsoft Office\Office10\Shortcut Bar\Office, and then delete the shortcut for Excel.
  3. In Windows Explorer, go to \Program Files\Microsoft Office\Office10, right-click EXCEL.exe, and click Create Shortcut.
  4. Right-click the shortcut you created, click Properties, and then modify the path in the Target box with switches from the table.

    For example, to open the workbook Actuarial Lists.xls, type a space after the path in the Target box, and then type:

    C:\Reference Data\Actuarial Lists.xls
    To start Excel and | Type
    Open a specific workbook | workbook path/file name
    Open a specific workbook as read-only | /r workbook path/file name
    Prevent display of the Excel startup screen and a new blank workbook | /e
    Specify the working folder

    Note The folder specified in the startup switch is used instead of the location specified in the Default file location box on the General tab (Tools menu, Options command).

             /p folder path/folder name
    Specify Office Safe Mode | /safe

  5. Click OK.
  6. Move the shortcut to \Windows\Documents and Settings\Start Menu.

Note Your custom shortcut may be replaced by a Windows Installer shortcut if you name the shortcut Microsoft Excel, and either of the following are true:

  • You use the Detect and Repair command in Microsoft Office, and you selected the Repair my shortcuts while repairing check box.
  • You select the Repair Office option in Maintenance Mode setup, click the Repair errors in my Office installation option, and then select the Restore My Shortcuts check box.

If a Windows Installer shortcut replaces your custom shortcut, you must re-create your custom, non-Windows Installer, shortcuts.

Stop a workbook from loading when Excel starts

This procedure clears all ways in which a workbook could be loaded.

  1. On the Tools menu, click Options, and then click the General tab.
  2. Clear the contents of the At startup, open all files in box.
  3. Remove workbooks stored in the XLStart folder.
  4. In Windows Explorer, remove the icon of the workbook you want to open to an XLStart folder.
  5. Remove a startup switch from the Excel icon.
  6. Right-click the Excel icon that you want to use to open Excel, and clear the contents of the Target box.

Start Excel without running automatic macros

Automatic macros, such as Auto_Open, are designed to run when you start Excel. For more information about these macros, see Microsoft Visual Basic Help.

  • To prevent macros from automatically running, hold down SHIFT while you start Excel.

    Note If you start Excel from the Office Shortcut Bar, click the Microsoft Excel button on the Office Shortcut Bar first, and then immediately hold down SHIFT while Excel starts.

Save workbook settings you want to use every time you start Excel with a workbook template (book.xlt)

Settings that can be saved

Formatting

Cell and sheet formats. Set by using the commands on the Format menu.

Page formats and print area settings for each sheet.

Cell styles.

The number and type of sheets in a workbook.

Protected and hidden areas of the workbook. You can hide sheets, rows, and columns and prevent changes to worksheet cells.

Text, data, graphics, and formulas

Text you want to repeat, such as page headers and row and column labels.

Data, graphics, formulas, charts, and other information.

Data validation settings.

Toolbars, automation, and Option settings

Custom toolbars, macros, hyperlinks, and ActiveX controls on forms. To make a custom toolbar available, attach the toolbar to the template.

Workbook calculation options and window view options. Set with the Options command (Tools menu).

Create a template

  1. Decide which type of template you want:

    Workbook template

    Create a workbook that contains the sheets, default text (such as page headers and column and row labels), formulas, macros, styles, and other formatting you want in new workbooks based on the template.

    Worksheet template

    Create a workbook that contains one worksheet. On the worksheet, include the formatting, styles, text, and other information you want to appear on all new sheets of the same type.

  2. To display a picture of the first page of a template in the Preview box of the Templates dialog box (General Templates..., New Workbook task pane), click Properties on the File menu, click the Summary tab, and then select the Save preview picture check box.

  3. On the File menu, click Save As.

  4. In the Save as type box, click Template.

  5. In the Save in box, select the folder where you want to store the template.

    • To create the default workbook template or default worksheet template, select either the XLStart folder or the alternate startup folder. The XLStart folder is usually

      C:\Program Files\Microsoft Office\Office10\XLStart

    • To create a custom workbook or worksheet template, select the Templates folder, which is usually

      C:\Documents and Settings\user_name\Application Data\Microsoft\Templates

  6. Enter the name of the template in the File name box. Do one of the following:

    Workbook template

    • Type book to create the default workbook template.

      To create a custom workbook template, type any valid file name.

    Worksheet template

    • Type sheet to create a template for default worksheets.

      To create a custom sheet template, type any valid file name.

  7. Click Save, and then click Close on the File menu.


Copy Excel data and charts to Word or PowerPoint

  1. Select the data or chart you want to copy.
  2. Click Copy [image].
  3. Switch to Microsoft Word or Microsoft PowerPoint.
  4. Click in the document or presentation where you want to put the Microsoft Excel data or chart, and do one of the following:

    Paste the data into Word

    1. Click Paste [image] on the Formatting toolbar.
    2. Click Paste Options [image] next to the data, and then do one of the following:

      To paste the data as a Word table, click Match Destination Table Style or Keep Source Formatting.

      To paste a link to the Excel data, so that the data in the Word document is updated whenever you change the data in the original Excel workbook, click Match Destination Table Style and Link to Excel or Keep Source Formatting and Link to Excel.

      To paste the data as text with each row in a separate paragraph and tabs separating the cell values, click Keep Text Only.

    Paste a chart into Word

    1. Click Paste [image] on the Formatting toolbar.
    2. Click Paste Options [image] next to the chart, and then do one of the following:

      To paste the chart as a chart, so that when you double-click the chart in the Word document you can use Excel to edit it, click Excel Chart.

      To paste a link to the Excel chart, so that the chart in the Word document is updated whenever you change the chart in the original Excel workbook, click Link to Excel Chart.

      To paste a bitmap picture of the chart, click Picture of Chart.

    Paste the data into PowerPoint

    • On the Edit menu, click Paste Special, and then do one of the following:

      To paste the data as an Excel range, so that when you double-click the range in the presentation you can edit it with Excel, click Microsoft Excel Worksheet Object. If data is cut off, double-click the object and resize the columns to show all the data.

      To paste a link to the Excel data, so that the data in the presentation is updated whenever you change the data in the original Excel workbook, click Paste link, and then click Microsoft Excel Worksheet Object.

      To paste the data as text that you can edit in PowerPoint, click Formatted Text (RTF) or Unformatted Text.

      To paste a bitmap picture of the data, click Picture or Bitmap.

    Paste a chart into PowerPoint

    • On the Edit menu, click Paste Special, and then do one of the following:

      To paste the chart as a chart, so that when you double-click the chart in the presentation you can use Excel to edit it, click Microsoft Excel Chart Object.

      To paste a link to the Excel chart, so that the chart in the presentation is updated whenever you change the chart in the original Excel workbook, click Paste link, and then click Microsoft Excel Chart Object.

      To paste a bitmap picture of the chart, click Picture.

Tip

If you want a range of Excel data that you've pasted into Word or PowerPoint to expand when the data expands in Excel, name the range in Excel before you copy it, and then paste a link to the named range.


Create a hyperlink

Create a hyperlink to a new file

  1. Right-click the cell or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.
  2. Under Link to on the left side of the dialog box, click Create new document.
  3. Type a name for the new file in the Name of new document box.
  4. To specify a location other than the one shown under Full Path, type the new location in the Name of new document box or click Change and then select the location you want. Click OK.
  5. Under When to edit, click an option to specify whether to open the new file for editing now or later.
  6. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip and then type the text you want in the ScreenTip text box. Click OK.

Create a hyperlink to an existing file or Web page

  1. Right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.
  2. Under Link to on the left side of the dialog box, click Existing File or Web page.
  3. Do one of the following:

    • To select a file from the current folder, click Current Folder and then click the file you want to link to.

    • To select the Web page from a list of browsed pages, click Browsed Pages and then click the Web page you want to link to.

    • To select a file from a list of files you have recently used, click Recent Files and then click the file you want to link to.

    • If you know the name and location of the file or Web page you want to link to, you can type that information in the Address box.

    • To select the Web page by opening your browser and searching for the page, click Browse the Web [image] , open the Web page you want to link to, and then switch back to Microsoft Excel without closing your browser.
  4. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip and then type the text you want in the ScreenTip text box. Click OK.

Create a hyperlink to a specific location on a Web page

To create a hyperlink to a specific location on a Web page, make sure the Web page has a bookmark at that location.

  1. In Microsoft Excel, right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.
  2. Under Link to on the left side of the dialog box, click Existing file or Web page.
  3. Do one of the following:

    • To select a Web page from the current folder, click Current Folder and then click the Web page you want to link to.

    • To select the Web page from a list of browsed pages, click Browsed Pages and then click the Web page you want to link to.

    • To select a Web page from a list of files you have recently used, click Recent Files and then click the Web page you want to link to.

    • If you know the name and location of the Web page you want to link to, you can type that information in the Address box.

    • To select the Web page by opening your browser and searching for the page, click Browse the Web [image] , open the Web page you want to link to, and then switch back to Excel without closing your browser.

  4. Click Bookmark, and then double-click the bookmark you want.
  5. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip, type the text you want in the ScreenTip text box, and then click OK.

Create a hyperlink to a specific location in a workbook

To link to a location in the current workbook or another workbook, you can either define a name for the destination cells or use a cell reference.

  1. To use a name, name the destination cells in the destination workbook.

    How?

    1. Select the cell, range of cells, or nonadjacent selections that you want to name.
    2. Click the Name box at the left end of the formula bar Formula bar.

      1 Name box

    3. Type the name for the cells.
    4. Press ENTER.

    Note You cannot name a cell while you are changing the contents of the cell.

  2. In the source workbook, right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.
  3. Do one of the following:

    • To link to a location in your current workbook, click Place in this document under Link to.

    • To link to a location in another workbook, click Existing file or Web page under Link to.

  4. If you chose Existing file or Web page, locate and select the workbook you want to link to, and then click the Bookmark button.
  5. Do one of the following:

    • In the list under Cell Reference, click the sheet you want to link to, and then type the cell reference in the Type in the cell reference box. Click OK.

    • In the list under Defined Names, click the name that represents the cells you want to link to. Click OK.

  6. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip and then type the text you want in the ScreenTip text box. Click OK.

Create a customized hyperlink by using a worksheet function

Creates a shortcut or jump that opens a document stored on a network server, an intranet, or the Internet. When you click the cell that contains the HYPERLINK function, Microsoft Excel opens the file stored at link_location.

Syntax

HYPERLINK(link_location,friendly_name)

Link_location is the path and file name to the document to be opened as text. Link_location can refer to a place in a document — such as a specific cell or named range in an Excel worksheet or workbook, or to a bookmark in a Microsoft Word document. The path can be to a file stored on a hard disk drive, or the path can be a universal naming convention (UNC) path on a server (in Microsoft Excel for Windows) or a Uniform Resource Locator (URL) path on the Internet or an intranet.

  • Link_location can be a text string enclosed in quotation marks or a cell that contains the link as a text string.

  • If the jump specified in link_location does not exist or cannot be navigated, an error appears when you click the cell.

Friendly_name is the jump text or numeric value that is displayed in the cell. Friendly_name is displayed in blue and is underlined. If friendly_name is omitted, the cell displays the link_location as the jump text.

  • Friendly_name can be a value, a text string, a name, or a cell that contains the jump text or value.

  • If friendly_name returns an error value (for example, #VALUE!), the cell displays the error instead of the jump text.

Remark

To select a cell that contains HYPERLINK, click the cell and hold the mouse button until the cursor becomes a cross Excel selection cursor, then release the mouse button.

Examples

The following example opens a worksheet named Budget Report.xls that is stored on the Internet at the location named example.microsoft.com/report and displays the text "Click for report":

=HYPERLINK("http://example.microsoft.com/report/budget report.xls", "Click for report")

The following example creates a hyperlink to cell F10 on the worksheet named Annual in the workbook Budget Report.xls, which is stored on the Internet at the location named example.microsoft.com/report. The cell on the worksheet that contains the hyperlink displays the contents of cell D1 as the jump text:

=HYPERLINK("[http://example.microsoft.com/report/budget report.xls]Annual!F10", D1)

The following example creates a hyperlink to the range named DeptTotal on the worksheet named First Quarter in the workbook Budget Report.xls, which is stored on the Internet at the location named example.microsoft.com/report. The cell on the worksheet that contains the hyperlink displays the text "Click to see First Quarter Department Total":

=HYPERLINK("[http://example.microsoft.com/report/budget report.xls]First Quarter!DeptTotal", "Click to see First Quarter Department Total")

To create a hyperlink to a specific location in a Microsoft Word document, you must use a bookmark to define the location you want to jump to in the document. The following example creates a hyperlink to the bookmark named QrtlyProfits in the document named Annual Report.doc located at example.microsoft.com:

=HYPERLINK("[http://example.microsoft.com/Annual Report.doc]QrtlyProfits", "Quarterly Profit Report")

In Excel for Windows, the following example displays the contents of cell D5 as the jump text in the cell and opens the file named 1stqtr.xls, which is stored on the server named FINANCE in the Statements share. This example uses a UNC path:

=HYPERLINK("\\FINANCE\Statements\1stqtr.xls", D5)

The following example opens the file 1stqtr.xls in Excel for Windows that is stored in a directory named Finance on drive D, and displays the numeric value stored in cell H10:

=HYPERLINK("D:\FINANCE\1stqtr.xls", H10)

In Excel for Windows, the following example creates a hyperlink to the area named Totals in another (external) workbook, Mybook.xls:

=HYPERLINK("[C:\My Documents\Mybook.xls]Totals")

In Microsoft Excel for the Macintosh, the following example displays "Click here" in the cell and opens the file named First Quarter that is stored in a folder named Budget Reports on the hard drive named Macintosh HD:

=HYPERLINK("Macintosh HD:Budget Reports:First Quarter", "Click here")

You can create hyperlinks within a worksheet to jump from one cell to another cell. For example, if the active worksheet is the sheet named June in the workbook named Budget, the following formula creates a hyperlink to cell E56. The link text itself is the value in cell E56.

=HYPERLINK("[Budget]June!E56", E56)

To jump to a different sheet in the same workbook, change the name of the sheet in the link. In the previous example, to create a link to cell E56 on the September sheet, change the word "June" to "September."

Create a hyperlink to an e-mail address

When you click a hyperlink to an e-mail address, your e-mail program automatically starts and creates an e-mail message with the correct address in the To box, provided you have an e-mail program installed.

  1. Right-click the text or graphic you want to represent the hyperlink, and then click Hyperlink on the shortcut menu.
  2. Under Link to on the left side of the dialog box, click E-mail address.
  3. In the E-mail address box, type the e-mail address you want.
  4. In the Subject box, type the subject of the e-mail message.

    Note that some Web browsers and e-mail programs might not recognize the subject line.

  5. To assign a tip to be displayed when you rest the pointer on the hyperlink, click ScreenTip, type the text you want in the ScreenTip text box, and then click OK.

Tip

You can also create a hyperlink to an e-mail address in a cell by typing the address directly in the cell. For example, type someone@microsoft.com, and the hyperlink is created automatically.


Create a PivotChart report

Create a PivotChart report from an existing PivotTable report

Do one of the following:

Make a default chart in one step

  • Click the PivotTable report, and then click Chart Wizard [image].

Use the Chart Wizard to create a customized chart

  1. Click a cell outside and not adjacent to the PivotTable report.

  2. Click Chart Wizard [image].

  3. Click a chart type in step 1 of the wizard. You can use any chart type except xy (scatter), bubble, or stock.

  4. In step 2 of the wizard, click the PivotTable report, so that the reference in the Data range box expands to include the entire report.

  5. Follow the instructions in the remaining Chart Wizard steps.

Create a PivotChart report from other data

When you create a PivotChart report, Microsoft Excel also creates an associated PivotTable report in the same workbook to supply the source data for the chart.
  1. If you are basing the report on a Web query, parameter query, report template, Office Data Connection file, or query file, retrieve the data into the workbook and then base the report on the worksheet range containing the retrieved data, or if your query resulted in a PivotTable report instead of a worksheet range, click the report, click Chart Wizard [image], and then follow the steps below to lay out the report onscreen.

    If you are basing the report on an Excel list or database, click a cell in the list or database.

  2. On the Data menu, click PivotTable and PivotChart Report.
  3. In step 1 of the PivotTable and PivotChart Wizard, click the type of source data you're using, and then under What kind of report do you want to create?, click PivotChart (with PivotTable).
  4. Follow the instructions in step 2 of the wizard.
  5. In step 3 of the wizard, specify where you want to put the associated PivotTable report. Then decide whether to lay out the PivotChart report on the screen or in the wizard.

    Usually you can lay out the report on the screen. Use the wizard to lay out the report if you expect retrieval from a large external data source to be slow, or you need to set page fields to retrieve data one page at a time. If you aren't sure, try laying out the report on the screen. You can return to the wizard if necessary.

  6. Do one of the following:

    Lay out the report on the screen

    1. From the PivotTable Field List window, drag the fields that you want to display on the category axis to the area on the PivotChart diagram labeled Drop Category Fields Here.

      If you don't see the field list, click within the outlines of the drop areas, and if necessary click Show Field List [image] on the PivotTable toolbar to display the field list.

      To see what levels of detail are available in fields that have levels, click Plus box next to the field.

    2. Drag fields that you want to display as series (items shown in the legend) to the area labeled Drop Series Fields Here.
    3. Drag fields that you want to use as page fields to the area labeled Drop Page Fields Here.
    4. Drag fields that contain the data that you want to compare or measure to the area labeled Drop Data Items Here.

      Only fields that have the Field icon or Data field icon icon can be dragged to this area.

    5. To rearrange fields, drag them from one area to another. To remove a field, drag it out of the PivotChart report.

    Note If data is very slow to appear as you lay out the report, click the associated PivotTable report for the PivotChart report and then click Always Display Pivot Items [image] on the PivotTable toolbar to turn off initial data display. If retrieval is still very slow or error messages appear, click the associated PivotTable report for the PivotChart report, click PivotTable and PivotChart Report on the Data menu, and then lay out the report in the wizard.

    Lay out the report in the wizard

    If you've exited from the wizard, click PivotTable and PivotChart Report on the Data menu to return to it.

    1. In step 3 of the wizard, click Layout.
    2. From the group of field buttons on the right, drag the fields that you want to display on the category axis onto the ROW area in the diagram.
    3. Drag fields that you want to display as series (items shown in the legend) onto the COLUMN area.
    4. Drag the fields that contain the data that you want to compare or measure onto the DATA area.
    5. Drag fields that you want to use as page fields onto the PAGE area.

      If you want Excel to retrieve external data one page at a time, so that you can work with large amounts of source data, double-click the page field, click Advanced, click Query external data source as you select each page field item, and then click OK twice.

    6. To rearrange fields, drag them from one area to another. Some fields can only be used in some of the areas; if you drop a field in an area where it can't be used, the field won't appear in the area.
    7. To remove a field, drag it out of the diagram.
    8. When you are finished laying out the report, click OK, and then click Finish.
    9. If you want, change the chart type and options to customize your chart.

      How?

      1. Click the chart sheet.
      2. Click Chart Wizard [image], and then select the chart type you want.
      3. Click Next, and then select the options you want for titles, axes, gridlines, legend, data labels, and data table.

Tip

If you don't want to see the associated PivotTable report for your PivotChart report, you can hide it. Click the worksheet containing the PivotTable report, point to Sheet on the Format menu, and then click Hide.


Display or hide zero values

Display or hide all zero values on a worksheet

  1. On the Tools menu, click Options, and then click the View tab.
  2. Do one of the following:

    • To display zero (0) values in cells, select the Zero values check box.

    • To display zero values as blank cells, clear the check box.

Use a number format to hide zero values in selected cells

Caution This topic applies a format to hide zero values in selected cells. If the value in one of these cells changes to a nonzero value, the format of the value will be similar to the General number format.

  1. Select the cells that contain the zeros (0's) you want to hide.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click Custom.
  4. In the Type box, type 0;-0;;@

Notes

  • The hidden values appear only in the formula bar Formula bar — or in the cell if you edit within the cell — and are not printed.
  • To display hidden values again, select the cells, click the Cells command on the Format menu, and then click the Number tab. In the Category list, click General to apply the default number format. To redisplay a date or a time, select the appropriate date or time format on the Number tab.

Use a conditional format to hide zero values returned by a formula

  1. Select the cell that contains the zero value.

  2. On the Format menu, click Conditional Formatting.

  3. In the box on the left, click Cell Value Is.

  4. In the second box from the left, click equal to.

  5. In the box on the right, type 0.

  6. Click Format, and then click the Font tab.

  7. In the Color box, select white.

Use a formula to display zeros as a blanks, or dashes

Use the IF function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
10
10
Formula | Description (Result)
=A2-A3 | Second number subtracted from the first (0)
=IF(A2-A3=0,"",A2-A3) | Returns a blank cell when the value is zero (blank cell)
=IF(A2-A3=0,"-",A2-A3) | Returns a dash when the value is zero (-)

Function details

IF

Hide zero values in a PivotTable report

  1. Click the report.
  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.
  3. Do one or more of the following:

    Change error display Select the For error values, show check box under Format options. In the box, type the value you want to display instead of errors. To display errors as blank cells, delete any characters in the box.

    Change empty cell display Select the For empty cells, show check box. In the box, type the value you want to display in empty cells. To display blank cells, delete any characters in the box. To display zeros, clear the check box.


Enter data in worksheet cells

Enter numbers, text, a date, or a time

  1. Click the cell where you want to enter data.
  2. Type the data and press ENTER or TAB.

    Numbers and text in a list

    1. Enter data in a cell in the first column, and then press TAB to move to the next cell.
    2. At the end of the row, press ENTER to move to the beginning of the next row.
    3. If the cell at the beginning of the next row doesn't become active, click Options on the Tools menu, and then click the Edit tab. Under Settings, select the Move selection after Enter check box, and then click Down in the Direction box.

    Dates Use a slash or a hyphen to separate the parts of a date; for example, type 9/5/2002 or 5-Sep-2002. To enter today's date, press CTRL+; (semicolon).

    Times To enter a time based on the 12-hour clock, type a space and then a or p after the time; for example, 9:00 p. Otherwise, Microsoft Excel enters the time as AM. To enter the current time, press CTRL+SHIFT+: (colon).

Enter numbers with a fixed number of decimal places or trailing zeros

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. Select the Fixed decimal check box.
  3. In the Places box, enter a positive number of digits to the right of the decimal point or a negative number for digits to the left of the decimal point.

    For example, if you enter 3 in the Places box and then type 2834 in the cell, the value will be 2.834. If you enter -3 in the Places box and then type 283, the value will be 283000.

    Data you entered before selecting the Fixed decimal option is not affected.

Tip

To temporarily override the Fixed decimal option, type a decimal point when you enter the number.

Enter the same data into several cells at once

  1. Select the cells where you want to enter data. The cells do not have to be adjacent.
  2. Type the data and press CTRL+ENTER.

Enter or edit the same data on multiple worksheets

When you select a group of sheets and then change data on one of them, the same changes are applied to all the selected sheets. Data may be replaced in the process.

  1. Select the worksheets where you want to enter data.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

  2. Select the cell or cell range where you want to enter data.
  3. Type or edit the data in the first selected cell.
  4. Press ENTER or TAB.
Note To cancel a selection of multiple sheets, click any unselected sheet. If no unselected sheet is visible, right-click the tab of a selected sheet, and then click Ungroup Sheets on the shortcut menu.

Automatically fill in repeated entries in a column

If the first few characters you type in a cell match an existing entry in that column, Microsoft Excel fills in the remaining characters for you. Excel completes only those entries that contain text or a combination of text and numbers; entries that contain only numbers, dates, or times are not completed.

  • To accept the proposed entry, press ENTER. The completed entry exactly matches the pattern of uppercase and lowercase letters of the existing entries.
  • To replace the automatically entered characters, continue typing.
  • To delete the automatically entered characters, press BACKSPACE.

  • To select from a list of entries already in the column, right-click the cell, and then click Pick from List on the shortcut menu.

Fill in a series of numbers, dates, or other items

  1. Select the first cell in the range you want to fill.
  2. Enter the starting value for the series.
  3. Enter a value in the next cell to establish a pattern.

    How?

    • If you want the series 2, 3, 4, 5..., enter 2 and 3 in the first two cells. If you want the series 2, 4, 6, 8..., enter 2 and 4. If you want the series 2, 2, 2, 2..., you can leave the second cell blank.

    • To specify the type of series, use the right mouse button to drag the fill handle over the range, and then click the appropriate command on the shortcut menu. For example, if the starting value is the date JAN-2002, click Fill Months for the series FEB-2002, MAR-2002, and so on; or click Fill Years for the series JAN-2003, JAN-2004, and so on.
    • To manually control how the series is created, or use the keyboard to fill in a series, use the Series command on the shortcut menu.
  4. Select the cell or cells that contain the starting values.
  5. Drag the fill handle over the range you want to fill.

    Selected cell with fill handle

    To fill in increasing order, drag down or to the right.

    To fill in decreasing order, drag up or to the left.

Enter the same data in other worksheets

If you've already entered data on one worksheet, you can quickly copy the data to corresponding cells on other sheets.

  1. Select the sheet that contains the data and the sheets to which you want to copy the data.
  2. Select the cells that contain the data you want to copy.
  3. On the Edit menu, point to Fill, and then click Across Worksheets.


Change and save data on a Web page

Make and save changes using Microsoft Excel

Noninteractive data

When you save an entire workbook without interactivity, you can open the Web page that Excel creates (an HTML version of the file with an .htm extension), modify the data, and save the file in Excel.

  1. In Excel, open the Web page (.htm file) that you saved as an entire workbook without interactivity.

  2. Make changes.

  3. Click Save on the File menu.

Note You can also open and modify parts of a workbook that you save without interactivity — such as a range, sheet, or chart. However, fewer Excel features are maintained in the file, and you may not be able to modify them as you could originally. For instance, when you save a chart as a noninteractive Web page, the chart becomes a separate image and can no longer be modified on the page. However, when you save an entire workbook without interactivity that has a chart in it, the actual chart is saved rather than just an image, and it can be modified when you reopen the file.

Interactive data

When you save Excel data with interactivity, you should not open the Web page that Excel creates (an HTML version of the file with an .htm extension) in Excel. Instead, you should modify the original workbook (.xls) file from which you published, make changes, and republish to a Web page.

  1. In Excel, open the workbook (.xls) from which you originally published the Web page.

  2. Make changes.

  3. Click Save as Web page on the File menu.

  4. Click Publish.

  5. To republish a worksheet or item that you have already published, select Previously published items and then select the worksheet or item you want to republish. To prevent an item from being republished, select the item and click Remove. To continue publishing, click another item in the list.

  6. Click Publish.

Tips

  • Check the AutoRepublish every time this workbook is saved box (Publish dialog box) to specify that previously published items should be automatically republished every time the original workbook is saved.

  • If you do not have access to the original workbook, you can export interactive spreadsheets and PivotTable lists to Excel by using the control's Export to Microsoft Excel Export to Excel button toolbar button in the Web browser or use Microsoft FrontPage 2002 or data access page Design view in Microsoft Access 2002 to change the Web page.

Make and save changes using a design program

When you want to make changes to any Web page you've saved or published in Excel (with the exception of a noninteractive entire workbook) and you don't want to modify the original workbook and republish in Excel, you can open the Web page and make the changes to it in another design program such as Microsoft FrontPage 2002, data access page Design view in Microsoft Access 2002, or Microsoft Visual Basic.

  1. Open your Web page by using a Web browser.
  2. If an arrow appears next to the Edit button, click it and select the design program you want to use. If not, click the Edit button.
  3. Make changes and save your work. For information on saving in the application you're using, see Help for that application.

Note If your browser doesn't have an Edit button, or if clicking the Edit button opens a program other than the one you want, you can open the Web page directly in the program you want to modify it with, such as FrontPage 2002.


Formatting and features that are not transferred in Excel file format conversions

The Microsoft Excel Workbook file format preserves all worksheet and chart data, formatting, macros, and other features available in Excel 2002. If you save an Excel 2002 workbook in another file format, some of the formatting, data, and other features might be lost. For more information about compatibility, see the Microsoft Office XP Resource Kit.

How to obtain the Microsoft Office XP Resource Kit

The Microsoft Office XP Resource Kit is the definitive guide to installing, configuring, and supporting Microsoft Office in your organization. Designed for system administrators, consultants, and power users, this guide offers complete coverage whether you're running Microsoft Office on Microsoft Windows 98, Windows 2000, or the Macintosh.

You can obtain the Office Resource Kit wherever computer books are sold or order direct from Microsoft Press, or online at the Microsoft Office Resource Kit Web site.

To locate your nearest source for Microsoft Press products worldwide, visit the Microsoft Press Web site or contact your local Microsoft office. In the United States, call (800) MS-PRESS. In Canada, call (800) 667-1115.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.

Microsoft Excel formats

Microsoft Excel 97-2002 & 5.0/95 Workbook

When you save a workbook in the Microsoft Excel 97-2002 & 5.0/95 Workbook format, the workbook is saved in a single file that includes the Excel 97-2000 and Excel 5.0/95 file formats. (Excel version 5.0 and Excel 95 have identical file formats, as do Excel 97, Excel 98 for the Macintosh, and Excel 2002.) The file size will be larger because the file contains both sets of data.

Users of Excel 2000 can continue to work in a workbook saved in the dual format without losing any features or formatting unique to this version. When users of Excel version 5.0 or Excel 95 open the workbook, a message appears recommending that they use the file read-only. However, if users ignore the recommendation and save the workbook in an earlier version of Excel, features and formatting available only in Excel 2002, Excel 2000, or Excel 97 are lost.

To avoid losing work performed in Excel 2002, you can protect a workbook from changes by requiring a password to change the workbook or by making the workbook read-only.

Microsoft Excel 97 Workbook

The following features of Excel 2002 are not preserved if you open and then save an Excel 2002 workbook in Excel 97.

Excel 2002 feature | In Excel 97 Workbook format
OLAP PivotTable and PivotChart reports | Appear as read-only.
External data ranges | AutoRefresh doesn't work, nor does column formatting, filtering, or sorting.
Indented format PivotTable reports | If edited in Excel 97 or earlier, reports change to nonindented layout but maintain character and cell formatting.
PivotChart reports | Appear as regular charts. Multiple level category labels are modified, and value axis display units convert to literal values.
ScreenTips for hyperlinks | Not saved.

Microsoft Excel 5.0/95 Workbook

The following features of Excel 2002 are not preserved if you save an Excel 2002 workbook in the Excel 5.0/95 Workbook (*.xls) format.

Workbook properties and settings

Excel 2002 feature | In Excel 5.0/95 Workbook format
65,536 rows per worksheet | Rows after 16,384 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.

Formatting and layout features

Excel 2002 feature | In Excel 5.0/95 Workbook format
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated text | Text rotated at angles other than 90 degrees, -90 degrees, or 0 (zero) degrees is changed to horizontal orientation.
Indentations within cells | Indentation is removed, and the contents of cells are left-aligned.
Merged cells | Cells are split into their original configuration, and data appears in the upper-left cell.
Conditional formatting | Conditional formatting is lost, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
New border styles | Border styles are converted to the closest style available in Excel 5.0 or Excel 95.
Aligned underlining of multiple fonts | Underlining might not be aligned.
Currency formatting | Currency formatting is lost, and cells are reformatted with the General number style.
Euro symbol | Not saved.

Chart features

Excel 2002 feature | In Excel 5.0/95 Workbook format
Pie of pie/Bar of pie chart | Saved as type 1 pie chart.
Bubble chart | Saved as type 1 xy (scatter) chart.
3-D marker shape (cylinder, pyramid, and cone) | Saved as 3-D column chart (rectangular shape).
Data tables in charts | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills and patterns in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Not saved.
Time-scale axis (x-axis categories with date format) | Special scaling information is lost, and the axis is converted to a normal category axis.
Shadows on series and points | Not saved.
Sizable line and xy (scatter) data markers | Not saved.
Special placement of data labels | Saved in the default location for chart items.
PivotChart reports | Displayed as regular charts. Multiple level category labels are modified, and value axis display units are converted to literal values.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Excel 5.0/95 Workbook format
Natural-language references in formulas | Column and row label references are converted to A1 reference notation. Names of named cells and ranges are preserved.
New worksheet functions not supported in Excel 95 or version 5.0 (AVERAGEA; MAXA; MINA; STDEVA; STDEVPA; VARA; VARPA; HYPERLINK; GETPIVOTDATA; BAHTTEXT) | Excel calculates the function before saving the file and replaces the formula with the resulting value. The HYPERLINK function is resolved to the value =#N/A.
Calculated fields, calculated items, and formatting based on structured data tables | Preserved until the user changes or refreshes the PivotTable data, after which these features are lost.
Preserved formatting in PivotTable reports | Formatting is saved, but structured behavior is lost as soon as users make changes to or refresh the PivotTable data.
PivotTable features All properties new in Excel 2002 are lost, including the following:
  • Page field placement across columns or down rows.
  • Alternate strings for #N/A and error cell display.
  • Server-based page fields.
  • AutoSort and AutoShow on fields.
  • Multiple selection on page fields.
  • Persistent grouping and sorting.
  • Data fields displayed as numbers.
Web and database queries to external data sources | Data resulting from the latest query is saved, but the query is not.
Parameterized queries | Cannot be run or edited.
Shared queries (connections without a data source name) | Supported in Excel 95 (with ODBC 2.0). In Excel 5.0 (with ODBC 1.0), users are prompted for connection information.
Report templates | Not saved.
Indented format PivotTable reports | If edited in Excel 97 or earlier, reports change to nonindented layout but maintain character and cell formatting.
OLAP PivotTable and PivotChart reports | Appear as read-only.
External data ranges | Not saved.

OLE objects and graphics

If you use the Excel 5.0/95 Workbook file format as the default when you save a workbook, and you insert in the workbook an OLE object that contains Excel 2002 features, those features will not be saved if you open and then save the workbook in either Excel 5.0 or Excel 95. However, if you open the workbook in Excel 2002, insert a workbook object that contains Excel 2002 features, and then save the workbook, the Excel 2002 OLE object features are saved.

For example, you can open a workbook in Excel 5.0 or Excel 95 that was saved in the Excel 5.0/95 format. However, if you insert a workbook object that contains features unique to Excel 2002 — such as merged cells or a bubble chart — and then save the workbook, those features are lost.

Excel 2002 feature | In Excel 5.0/95 Workbook format
WordArt objects | Saved as filled rectangles.
AutoShape drawing objects | Converted to Excel 5.0/95 drawing objects; three-dimensional shapes are preserved as two-dimensional objects.
Scanned photographic images | Saved only if inserted in a graphics format that is available in Excel 5.0 or Excel 95.

Workgroup and Internet features

Excel 2002 feature | In Excel 5.0/95 Workbook format
Comments | Saved as cell notes.
Hyperlinks | Not saved.
Change tracking and audit trail | Change history is lost.
Shared workbooks | Workbook is removed from shared use, and the change history is lost.
Data validation rules specified for cells | Not saved.

Programmability features

Microsoft Visual Basic modules are converted to module sheets. All text is preserved in the module; however, not all new objects, methods, and properties in Excel 2002 are supported in the Excel 5.0/95 format. In some cases, you must edit the converted code to run the macros. Excel macro sheets (.xlm sheets) are preserved with no loss of function.

Excel 2002 feature | In Excel 5.0/95 Workbook format
ActiveX controls | Appear but cannot be used.
Office Forms dialog box controls | Not supported.

Templates

The Microsoft Excel 2002 template file format preserves all worksheet and chart data, formatting, macros, and other features available in Excel 2002.

You cannot save a workbook in the template file format of an earlier version of Excel.

Lotus 1-2-3 formats

Lotus 1-2-3 Release 4 (WK4)

The Lotus 1-2-3 Release 4.0 (WK4) format saves sheet data and formatting in a single file.

The following features of Microsoft Excel 2002 are not preserved if you open and then save an Excel workbook in Lotus 1-2-3 Release 4 (WK4).

Workbook properties and settings

Excel 2002 feature | In Lotus 1-2-3 Release 4 format
Number of worksheets | Depends on the available memory. Sheet names of up to 15 characters are saved.
65,536 rows per worksheet | Rows after 8,192 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.

Formatting and layout features

Excel 2002 feature | In Lotus 1-2-3 Release 4 format
Cells that contain text with different text formats | Fonts, font sizes, and font colors are saved; bold, italic, and underline formats are saved; accountant underline format is converted to regular underline format. Superscript, subscript, and strikethrough formats are not saved. In cells that contain text with different text formats, all text in the cell takes on the format of the first character in the cell.
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated text | Rotated text and vertically oriented text are saved in their current orientation.
Indentations within cells | Indentation within cells is removed, and the contents of cells are left-aligned.
Merged cells | Merged cells are split into their original configuration. Data is placed in the top-left cell.
Conditional formatting | Not saved, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
New border styles | Except for diagonal borders, borders formats are saved. Dashed border line styles are not saved.
Aligned underlining of multiple fonts | Underlining might not be aligned.
Text alignment | Centered, right-aligned, and left-aligned formatting is saved. Top, centered, and bottom vertical alignment is saved.
Fill colors and patterns | Converted to the closest available color and pattern supported by Lotus 1-2-3.
Euro symbol | Not saved.
Number formatting Negative numbers represented as -1234 in Excel are enclosed in parentheses.

Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

Fractional second formats are saved in General format with two decimal places.

Fractional formats (for example, 13/64) are converted to decimal fractions.

Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Chart features

Embedded charts are saved on the sheet in the closest available Lotus 1-2-3 chart format.

Excel 2002 feature | In Lotus 1-2-3 Release 4 format
3-D marker shape (cylinder, pyramid, and cone) | Not saved.
Trendlines and error bars | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills, patterns, and shading in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Saved as the closest available solid color and pattern.
Shadows on series and points | Not saved.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Lotus 1-2-3 Release 4 format
Formulas that contain 3-D references | 3-D references and external references to other workbooks and sheets in formulas are saved.
PivotTable reports | The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
Formulas | If a formula contains a function that is not supported by Lotus 1-2-3 Release 4, Excel calculates the function before saving the file and replaces the formula with the resulting value.
Functions available in Excel 97 and Excel 2002 | Converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.
Excel intersection (blank space) and union (comma) operators | Not saved.
Scenarios | Not saved.

OLE objects and graphics

Excel 2002 feature | In Lotus 1-2-3 Release 4 format
Imported graphics and drawing objects | Not saved.
Embedded objects | Not saved.

Workgroup and Internet features

Excel 2002 feature | In Lotus 1-2-3 Release 4 format
Comments | Not saved.
Hyperlinks | Not saved.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2002 feature | In Lotus 1-2-3 Release 4 format
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Form controls | Not saved.

Lotus 1-2-3 Release 3 (WK3)

The Lotus 1-2-3 Release 3 (WK3) format saves only text, values, and formulas.

The following features of Microsoft Excel 2002 are not preserved if you open and then save an Excel workbook in Lotus 1-2-3 Release 3.

Workbook properties and settings

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Number of worksheets | Depends on the available memory. Sheet names are converted to the Lotus 1-2-3 default names A, B, C, and so on.
65,536 rows per worksheet | Rows after 8,192 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.
Settings specified in the Page Setup dialog box (File menu) and manual page breaks | Not saved.

Formatting features

The following table lists the effect of saving a workbook in WK3 format without an associated FMT3 file. To save most formatting, save workbooks in the Lotus WK1,ALL (1-2-3) or WK1,FMT (1-2-3) format.

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Column widths | Saved.
Cell and text formats | Not saved.
Fonts | Converted to 10-point Courier font.
Conditional formatting | Not saved, and cells are reformatted with the Normal style.
Euro symbol | Not saved.
Number formatting Negative numbers represented as -1234 in Excel are enclosed in parentheses.

Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

Fractional seconds formats are saved in General format.

Fractional formats (for example, 13/64) are converted to decimal fractions.

Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Chart features

Embedded charts are saved as a separate chart sheets in the closest available Lotus 1-2-3 chart format.

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
3-D marker shape (cylinder, pyramid, and cone) | Not saved.
Trendlines and error bars | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills, patterns, and shading in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Saved as the closest available solid color and pattern.
Shadows on series and points | Not saved.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Formulas that contain 3-D references | 3-D references and external references to other workbooks and sheets in formulas are saved.
PivotTable reports | The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
References | References to rows beyond 8,192 wrap to the beginning of the worksheet; for example, the reference A8193 becomes the reference A1 in the converted WK3 file.
Formulas | If a formula contains a function that is not supported by Lotus 1-2-3 Release 3, Excel calculates the function before saving the file and replaces the formula with the resulting value.
Functions available in Excel 97 and Excel 2002 | Converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.
Excel intersection (blank space) and union (comma) operators | Not saved.
Scenarios | Not saved.
Defined names of ranges | Not saved.

OLE objects and graphics

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Imported graphics and drawing objects | Not saved.
Embedded objects | Not saved.

Workgroup and Internet features

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Comments | Not saved.
Hyperlinks | Not saved.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Form controls | Not saved.

Lotus 1-2-3 Release 3 (WK3, FM3)

When you save a Microsoft Excel workbook in the Lotus 1-2-3 Release 3 (WK3, FM3) (*.wk3) format, data is saved in the resulting WK3 file, and formatting information is saved separately in the FM3 (*.fmt3) file. If you reopen the WK3 file in Microsoft Excel, the formatting in the associated FM3 file is applied automatically. The formatting files are used in Lotus 1-2-3 by the WYSIWYG or Impress add-in to format worksheets.

Data saved in the WK3 file

The following features of Microsoft Excel 2002 are not preserved if you open and then save an Excel workbook in Lotus 1-2-3 Release 3.

Workbook properties and settings

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Number of worksheets | Depends on the available memory. Sheet names are converted to the Lotus 1-2-3 default names A, B, C, and so on.
65,536 rows per worksheet | Rows after 8,192 are deleted.
32,767 characters per cell | Characters after 255 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.
Settings specified in the Page Setup dialog box (File menu) and manual page breaks | Not saved.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Formulas that contain 3-D references | 3-D references and external references to other workbooks and sheets in formulas are saved.
PivotTable reports | The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
References | References to rows beyond 8,192 wrap to the beginning of the worksheet; for example, the reference A8193 becomes the reference A1 in the converted WK3 file.
Formulas | If a formula contains a function that is not supported by Lotus 1-2-3 Release 3, Excel calculates the function before saving the file and replaces the formula with the resulting value.
Functions available in Excel 97 and Excel 2002 | Converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.
Excel intersection (blank space) and union (comma) operators | Not saved.
Scenarios | Not saved.

OLE objects and graphics

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Imported graphics and drawing objects | Not saved.
Embedded objects | Not saved.

Workgroup and Internet features

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Comments | Not saved.
Hyperlinks | Not saved.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Form controls | Not saved.

Data saved in the FM3 file.

Formatting features

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
Column widths and row heights | Original column widths and row heights are saved.
Cells that contain text with different text formats | Fonts, font sizes, and font colors are saved; bold, italic, and underline formats are saved; accountant underline format is converted to regular underline format. Superscript, subscript, and strikethrough formats are not saved. In cells that contain text with different text formats, all text in the cell takes on the format of the first character in the cell.
Cells that contain TrueType fonts | TrueType fonts are converted to the closest available printer font. Font color is converted to the closest available color supported by Lotus 1-2-3. Font sizes are saved.
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated and vertically oriented text | Rotated text and vertically oriented text is changed to horizontal orientation.
Indentations within cells | Indentation within cells is removed, and the contents of cells are left-aligned.
Merged cells | Merged cells are split into their original configuration. Data is placed in the top-left cell.
Conditional formatting | Not saved, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
New border styles | Except for diagonal borders, borders formats are saved. Dashed border line styles are not saved.
Aligned underlining of multiple fonts | Underlining might not be aligned.
Text alignment | Centered, right-aligned, and left-aligned formatting is saved. Top, centered, and bottom vertical alignment is saved.
Fill colors and patterns | Converted to the closest available color and pattern supported by Lotus 1-2-3.
Border styles | Borders are converted to the closest available border style; for example, dotted borders are converted to single lines. Color borders are converted to black. Some shading colors and patterns may be converted to black shading.
Euro symbol | Not saved.
Number formatting Negative numbers represented as -1234 in Excel are enclosed in parentheses.

Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

Fractional seconds formats are saved in General format.

Fractional formats (for example, 13/64) are converted to decimal fractions.

Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Chart features

Embedded charts are saved on the sheet if you save the workbook in WK3, FM3 (1-2-3) format.

Excel 2002 feature | In Lotus 1-2-3 Release 3 format
3-D marker shape (cylinder, pyramid, and cone) | Not saved.
Trendlines and error bars | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Gradient fills, patterns, and shading in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Saved as the closest available solid color and pattern.
Shadows on series and points | Not saved.

Lotus 1-2-3 Release 2.x (WK1)

The Lotus 1-2-3 Release 2.x (WK1) format saves text, values, and formulas of the active worksheet.

The following features of Excel 2002 are not preserved if you open and then save an Excel 2002 workbook in Lotus 1-2-3 Release 2.x.

Workbook properties and settings

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Number of worksheets | Saves the active worksheet.
65,536 rows per worksheet | Rows after 8,192 are deleted.
32,767 characters per cell | Characters after 240 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.
Settings specified in the Page Setup dialog box (File menu) and manual page breaks | Not saved.

Formatting features

The following table lists the effect of saving a workbook in WK1 format without an associated ALL or FMT file. To save most formatting, save workbooks in the Lotus WK1,ALL (1-2-3) or WK1,FMT (1-2-3) format.

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Column widths | Saved.
Cell and text formats | Not saved.
Fonts | Converted to 10-point Courier.
Conditional formatting | Not saved, and cells are reformatted with the Normal style.
Euro symbol | Not saved.
Number formatting Negative numbers represented as -1234 in Excel are enclosed in parentheses. Negative numbers displayed in red font color are displayed in the default font color.

Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

Fractional seconds formats are saved in General format.

Fractional formats (for example, 13/64) are converted to decimal fractions.

Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Chart features

Embedded charts are not saved on the sheet if you save the workbook in WK1 format.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Formulas that contain 3-D references | Formulas that contain 3-D references or other references to nonadjacent ranges of cells cannot be saved in this Lotus 1-2-3 format. However, if formulas contain references to adjacent ranges of cells, either on the same sheet or in another workbook, the formulas and references are saved.
PivotTable reports | The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
References | References to rows beyond 8,192 wrap to the beginning of the worksheet; for example, the reference A8193 becomes the reference A1 in the converted WK1 file.
Formulas | Most formulas are saved. If a formula contains a function that is not supported by Lotus 1-2-3 Release 2.x, Excel calculates the function before saving the file and replaces the formula with the resulting value. For example, the A functions available in Excel 97, Excel 2000, and Excel 2002 are converted to their resulting values.
Functions available in Excel 97 and Excel 2002 | Converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.
Excel intersection (blank space) and union (comma) operators | Not saved.
Scenarios | Not saved.
Defined names of ranges | Saved.

OLE objects and graphics

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Imported graphics and drawing objects | Not saved.
Embedded objects | Not saved.

Workgroup and Internet features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Comments | Not saved.
Hyperlinks | Not saved.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Form controls | Not saved.

Lotus 1-2-3 Release 2.x (WK1, FMT)

When you save a Microsoft Excel workbook in the Lotus 1-2-3 Release 2.x (WK1, FMT) format, data is saved in the resulting WK1 file, and formatting information is saved separately in the FMT file. If you reopen the WK1 file in Microsoft Excel, the formatting in the associated FMT file is applied automatically.

Data saved in the WK1 file.

The following features of Microsoft Excel 2002 are not preserved if you open and then save an Excel workbook in Lotus 1-2-3 Release 2.x.

Workbook properties and settings

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Number of worksheets | Depends on the available memory. Sheet names are converted to the Lotus 1-2-3 default names A, B, C, and so on.
65,536 rows per worksheet | Rows after 8,192 are deleted.
32,767 characters per cell | Characters after 240 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.
Settings specified in the Page Setup dialog box (File menu) and manual page breaks | Not saved.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Formulas that contain 3-D references | 3-D references and external references to other workbooks and sheets in formulas are saved.
PivotTable reports | The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
References | References to rows beyond 8,192 wrap to the beginning of the worksheet; for example, the reference A8193 becomes the reference A1 in the converted WK3 file.
Formulas | If a formula contains a function that is not supported by Lotus 1-2-3 Release 2.x, Excel calculates the function before saving the file and replaces the formula with the resulting value.
Functions available in Excel 97 and Excel 2002 | Converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.
Excel intersection (blank space) and union (comma) operators | Not saved.
Scenarios | Not saved.

OLE objects and graphics

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Imported graphics and drawing objects | Not saved.
Embedded objects | Not saved.

Workgroup and Internet features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Comments | Not saved.
Hyperlinks | Not saved.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Form controls | Not saved.

Data saved in the FMT file.

Formatting features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Column widths and row heights | Original column widths and row heights are saved.
Cells that contain text with different text formats | Fonts, font sizes, and font colors are saved; bold, italic, and underline formats are saved; accountant underline format is converted to regular underline format. Superscript, subscript, and strikethrough formats are not saved. In cells that contain text with different text formats, all text in the cell takes on the format of the first character in the cell.
Cells that contain TrueType fonts | TrueType fonts are converted to the closest available printer font. Font color is converted to the closest available color supported by Lotus 1-2-3. Font sizes are saved.
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated and vertically oriented text | Rotated text and vertically oriented text is changed to horizontal orientation.
Indentations within cells | Indentation within cells is removed, and the contents of cells are left-aligned.
Merged cells | Merged cells are split into their original configuration. Data is placed in the top-left cell.
Conditional formatting | Not saved, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
Border styles | Borders are converted to the closest available border style; for example, dotted borders are converted to single lines. Color borders are converted to black. Fill colors and patterns are converted to the closest available color and pattern supported by Lotus 1-2-3; some shading colors and patterns may be converted to black shading.
New border styles | Except for diagonal borders, borders formats are saved. Dashed border line styles are not saved.
Aligned underlining of multiple fonts | Underlining might not be aligned.
Text alignment | Centered, right-aligned, and left-aligned formatting is saved. Top, centered, and bottom vertical alignment is saved.
Fill colors and patterns | Converted to the closest available color and pattern supported by Lotus 1-2-3.
Euro symbol | Not saved.
Number formatting Negative numbers represented as -1234 in Excel are enclosed in parentheses.

Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

Fractional seconds formats are saved in General format.

Fractional formats (for example, 13/64) are converted to decimal fractions.

Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Chart features

Embedded charts are saved on the sheet if you save the workbook in WK1, FMT format.

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
3-D marker shape (cylinder, pyramid, and cone) | Not saved.
Trendlines and error bars | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Data tables in chart sheets | Not saved.
Gradient fills, patterns, and shading in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Saved as the closest available solid color and pattern.
Shadows on series and points | Not saved.

Lotus 1-2-3 Release 2.x (WK1, ALL)

If you save a Microsoft Excel 2002 workbook in the Lotus 1-2-3 file format WK1,ALL (1-2-3), formatting is saved in a separate ALL file. The ALL file is used in Lotus 1-2-3 by the ALLWAYS add-in to format worksheets. If you reopen the WK1 file in Excel, the formatting in the associated ALL file is applied automatically.

Data saved in the WK1 file.

The following features of Microsoft Excel 2002 are not preserved if you open and then save an Excel workbook in Lotus 1-2-3 Release 2.x.

Workbook properties and settings

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Number of worksheets | Depends on the available memory. Sheet names are converted to the Lotus 1-2-3 default names A, B, C, and so on.
65,536 rows per worksheet | Rows after 8,192 are deleted.
32,767 characters per cell | Characters after 240 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.
Settings specified in the Page Setup dialog box (File menu) and manual page breaks | Not saved.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Formulas that contain 3-D references | 3-D references and external references to other workbooks and sheets in formulas are saved.
PivotTable and Chart reports | PivotTable and Chart reports are saved in the closest available Lotus 1-2-3 chart format.
References | References to rows beyond 8,192 wrap to the beginning of the worksheet; for example, the reference A8193 becomes the reference A1 in the converted WK3 file.
Formulas | If a formula contains a function that is not supported by Lotus 1-2-3 Release 2.x, Excel calculates the function before saving the file and replaces the formula with the resulting value.
Functions available in Excel 97 and Excel 2002 | Converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.
Excel intersection (blank space) and union (comma) operators | Not saved.
Scenarios | Not saved.

OLE objects and graphics

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Imported graphics and drawing objects | Not saved.
Embedded objects | Not saved.

Workgroup and Internet features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Comments | Not saved.
Hyperlinks | Not saved.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Form controls | Not saved.

Data saved in the ALL file.

Formatting features

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
Column widths and row heights | Original column widths and row heights are saved.
Cells that contain text with different text formats | Fonts are converted according to the font substitution settings for your system. Font color is converted to the closest available color supported by Lotus 1-2-3. Font sizes are converted. Bold, italic, and underline formats are saved; accountant underline format is converted to regular underline format. Superscript, subscript, and strikethrough formats are not saved. In cells that contain text with different text formats, all text in the cell takes on the format of the first character in the cell.
Cells that contain TrueType fonts | TrueType fonts are converted to the closest available printer font. Font color is converted to the closest available color supported by Lotus 1-2-3. Font sizes are saved.
Text formatted with Shrink to fit option on the Alignment tab (Format menu, Cells command) | Text is the original point size (before the Shrink to fit option was applied).
Rotated and vertically oriented text | Rotated text and vertically oriented text is changed to horizontal orientation.
Indentations within cells | Indentation within cells is removed, and the contents of cells are left-aligned.
Merged cells | Merged cells are split into their original configuration. Data is placed in the top-left cell.
Conditional formatting | Not saved, and cells are reformatted with the Normal style.
Sheet backgrounds | Not saved.
Border styles | Borders are converted to the closest available border style; for example, dotted borders are converted to single lines. Color borders are converted to black. Fill colors and patterns are converted to the closest available color and pattern supported by Lotus 1-2-3; some shading colors and patterns may be converted to black shading.
New border styles | Except for diagonal borders, borders formats are saved. Dashed border line styles are not saved.
Aligned underlining of multiple fonts | Underlining might not be aligned.
Text alignment | Centered, right-aligned, and left-aligned formatting is saved. Top, centered, and bottom vertical alignment is saved.
Fill colors and patterns | Converted to the closest available color and pattern supported by Lotus 1-2-3.
Euro symbol | Not saved.
Number formatting Negative numbers represented as -1234 in Excel are enclosed in parentheses.

Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

Fractional seconds formats are saved in General format.

Fractional formats (for example, 13/64) are converted to decimal fractions.

Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Chart features

Embedded charts are saved on a separate chart sheet if you save the workbook in WK1, ALL format.

Excel 2002 feature | In Lotus 1-2-3 Release 2 format
3-D marker shape (cylinder, pyramid, and cone) | Not saved.
Trendlines and error bars | Not saved.
Rotated text on axis and data labels | Saved as horizontally oriented text (0 [zero] degrees).
Data tables in chart sheets | Not saved.
Gradient fills, patterns, and shading in chart items | Saved as the closest available solid color and pattern.
Shading in surface charts | Saved as the closest available solid color and pattern.
Shadows on series and points | Not saved.

Lotus 1-2-3 Release 1.x (WKS)

The Lotus 1-2-3 Release 1.x (WKS) format saves only text, values, and formulas of the active worksheet.

The following features of Excel 2002 are not preserved if you open and then save an Excel 2002 workbook in Lotus 1-2-3 Release 1.x.

Workbook properties and settings

Excel 2002 feature | In Lotus 1-2-3 Release 1 format
Number of worksheets | Saves the active worksheet.
65,536 rows per worksheet | Rows after 2,048 are deleted.
32,767 characters per cell | Characters after 240 are deleted.
Custom views defined for a workbook | Not saved.
Attached toolbars | Not saved.
Settings specified in the Page Setup dialog box (File menu) and manual page breaks | Not saved.

Formatting features

Excel 2002 feature | In Lotus 1-2-3 Release 1 format
Column widths | Saved.
Cell and text formats | Not saved.
Fonts | Converted to 10-point Courier font.
Conditional formatting | Not saved and cells are reformatted with the Normal style.
Euro symbol | Not saved.
Number formatting Negative numbers represented as -1234 in Excel are enclosed in parentheses. Negative numbers displayed in red font color are displayed in the default font color.

Accounting format, in which currency symbols are aligned at the left of the cell, is converted to normal currency format.

Special formats for Social Security numbers, phone numbers, and ZIP Codes are not saved.

Combined date and time formats (for example, 12/9/2000 2:45 PM) are saved in date-only format.

Fractional seconds formats are saved in General format.

Fractional formats (for example, 13/64) are converted to decimal fractions.

Dates represented by the first letter of the month (for example, "J" for January) are saved in General format, which causes the date to be displayed as a serial number.

Display of gridlines | Turned off.

Chart features

Embedded charts are not saved on the sheet if you save the workbook in WKS format.

Analysis, PivotTable, and data access features

Excel 2002 feature | In Lotus 1-2-3 Release 1 format
Formulas that contain 3-D references | Formulas that contain 3-D references or other references to nonadjacent ranges of cells cannot be saved in this Lotus 1-2-3 format. Formulas that contain references to another workbook are converted to their resulting values.
PivotTable reports | The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
References | References to rows beyond 2,048 wrap to the beginning of the worksheet; for example, the reference A2049 becomes the reference A1 in the converted WKS file.
Formulas | Most formulas are saved. If a formula contains a function that is not supported by Lotus 1-2-3 Release 1.x, Excel calculates the function before saving the file and replaces the formula with the resulting value. For example, the A functions available in Excel 97, Excel 2000, and Excel 2002 are converted to their resulting values.
Functions available in Excel 97 and Excel 2002 | Converted to the corresponding Lotus 1-2-3 functions; for example, AVERAGEA is converted to @AVG.
Excel intersection (blank space) and union (comma) operators | Not saved.
Scenarios | Not saved.
Defined names of ranges | Saved.

OLE objects and graphics
Excel 2002 feature | In Lotus 1-2-3 Release 1 format
Imported graphics and drawing objects | Not saved.
Embedded objects | Not saved.

Workgroup and Internet features

Excel 2002 feature | In Lotus 1-2-3 Release 1 format
Comments | Not saved.
Hyperlinks | Not saved.
Data validation rules specified for cells | Not saved.

Programmability features

Excel 2002 feature | In Lotus 1-2-3 Release 1 format
Visual Basic macros | Visual Basic code is not saved.
ActiveX controls | Not saved.
Form controls | Not saved.

Text file formats

Formatted Text (Space delimited)

The Formatted Text (*.prn) format saves only the text and values as they are displayed in cells of the active worksheet.

All rows are saved. If a row of cells contains more than 240 characters, characters beyond 240 wrap to a new line at the end of the converted file. For example, if the rows 1 through 10 all contain more than 240 characters, the remaining text in row 1 is placed in row 11, the remaining text in row 2 is placed in row 12, and so on.

Columns of data are separated by commas, and each row of data ends in a carriage return. If cells display formulas instead of formula values, the formulas are converted as text. All formatting, graphics, objects, and other worksheet contents are lost. The euro symbol will be converted to a question mark.

Before saving a worksheet in this format, make sure all data that you want converted is visible and that there is adequate spacing between the columns. Otherwise, data may be lost or not properly separated in the converted file. You may need to adjust the column widths of the worksheet.

Text (Tab delimited)

The Text (*.txt) file format saves only the text and values as they are displayed in cells of the active worksheet. All rows and all characters in each cell are saved. Columns of data are separated by tab characters, and each row of data ends in a carriage return. If a cell contains a comma, the cell contents are enclosed in double quotation marks. All formatting, graphics, objects, and other worksheet contents are lost. The euro symbol will be converted to a question mark.

If cells display formulas instead of formula values, the formulas are saved as text. To preserve the formulas if you reopen the file in Microsoft Excel, select the Delimited option in the Text Import Wizard, and select tab characters as the delimiters.

Note If your workbook contains special font characters, such as a copyright symbol (©), and you will be using the converted text file on a computer with a different operating system, save the workbook in the text file format appropriate for that system. For example, if you are using Windows and want to use the text file on a Macintosh computer, save the file in the Text (Macintosh) format. If you are using a Macintosh computer and want to use the text file on a system running Windows or Windows NT, save the file in the Text (Windows) format.

Text (Unicode)

The Text (*.txt) format saves all text and values as they appear in cells of the active worksheet.

However, if you open a file in Text (Unicode) format by using a program that does not read Unicode, such as Notepad in Microsoft Windows 95 or a Microsoft MS-DOS-based program, your data will be lost.

Note Notepad in Microsoft Windows NT does read files in Text (Unicode) format.

CSV (Comma delimited)

The CSV (*.csv) file format saves only the text and values as they are displayed in cells of the active worksheet. All rows and all characters in each cell are saved. Columns of data are separated by commas, and each row of data ends in a carriage return. If a cell contains a comma, the cell contents are enclosed in double quotation marks.

If cells display formulas instead of formula values, the formulas are converted as text. All formatting, graphics, objects, and other worksheet contents are lost. The euro symbol will be converted to a question mark.

Note If your workbook contains special font characters such as a copyright symbol (©), and you will be using the converted text file on a computer with a different operating system, save the workbook in the text file format appropriate for that system. For example, if you are using Windows and want to use the text file on a Macintosh computer, save the file in the CSV (Macintosh) format. If you are using a Macintosh computer and want to use the text file on a system running Windows or Windows NT, save the file in the CSV (Windows) format.

DIF (Data Interchange Format)

The DIF (*.dif) format saves only the text, values, and formulas on the active worksheet.

  • All rows and all characters in each cell are saved.
  • If worksheet options are set to display formula results in the cells, only the formula results are saved in the converted file. To save the formulas, display the formulas on the worksheet before saving the file. To display the formulas, select the Formulas check box on the View tab of the Options dialog box (Tools menu).
  • Column widths and most number formats are saved, but all other formats are lost.
  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.
  • Cell comments, graphics, embedded charts, objects, form controls, hyperlinks, data validation settings, conditional formatting, and other worksheet features are lost.
  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
  • Visual Basic code is lost.
  • The euro symbol will be converted to a question mark.

SYLK (Symbolic Link)

The SYLK (*.slk) format saves only the values and formulas on the active worksheet, and limited cell formatting.

  • All rows are saved; up to 255 characters are saved per cell.
  • If a Microsoft Excel function is not supported in SYLK format, Microsoft Excel calculates the function before saving the file and replaces the formula with the resulting value.
  • Most text formats are saved; converted text takes on the format of the first character in the cell. Rotated text, merged cells, and horizontal and vertical text alignment settings are lost. The font color might be converted to a different color if you reopen the converted SYLK sheet in Microsoft Excel. Borders are converted to single-line borders. Cell shading is converted to a dotted gray shading.
  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.
  • Cell comments are saved; you can display the comments if you reopen the SYLK file in Microsoft Excel.
  • Graphics, embedded charts, objects, form controls, hyperlinks, data validation settings, conditional formatting, and other worksheet features are lost.
  • Visual Basic code is lost.
  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
  • If you are converting the file for use in Microsoft Excel for the Macintosh version 1.5 or earlier, clear the 1904 date system check box on the Calculation tab of the Options dialog box (Tools menu), and then make sure that all values are visible before you save the file.

Note You can use the SYLK (Symbolic Link) format to save workbook files for use in Microsoft Multiplan. Excel 2002 does not include file format converters for converting workbook files directly into the Multiplan format.

Other spreadsheet and database programs

Quattro Pro for MS-DOS (WQ1)

The WQ1 (Quattro Pro for DOS) file format saves only the text, values, and formulas on the active worksheet.

  • Microsoft Excel saves only rows 1 through 8192; up to 240 characters are saved per cell.
  • If a Microsoft Excel function is not supported in WQ1 format, Microsoft Excel calculates the function before saving the file and replaces the formula with the resulting value.
  • Text formatting is converted to 12-point Courier font; all other text formats, such as bold and italic, are lost.
  • Column widths are saved, but merged cells, rotated text, and other cell formats are lost.
  • Most number formats are saved.
  • Borders are converted to the closest available border style in Quattro Pro. Cell shading and color border line styles are not supported.
  • Settings specified in the Page Setup dialog box (File menu) and manual page breaks are lost.
  • Cell comments, graphics, embedded charts, objects, form controls, hyperlinks, data validation settings, conditional formatting, and other worksheet features are lost.
  • The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.
  • Visual Basic for Applications code is lost.
  • The euro symbol will be lost.

Quattro Pro graphs Because Quattro Pro for Windows stores its graphs in a different way than Excel stores its charts, graphs in Quattro Pro for Windows are not imported when a Quattro Pro for Windows file is imported into Excel.

Quattro Pro Scenario Manager The Microsoft Excel Scenario Manager is not directly equivalent to the Quattro Pro for Windows Scenario Manager. Therefore, Excel will import only the data from the scenario that was displayed the last time the file was saved in Quattro Pro for Windows.

External data links Hyperlinks to external database tables or to the Data Modeling Desktop are not imported because they are not compatible with ODBC, Microsoft Query, or Microsoft Excel PivotTable reports.

OLE objects Excel will not import embedded OLE objects from a Quattro Pro for Windows file.

Gradient fills For gradient fills, the object is formatted by using the primary color from the fill.

Macros Excel 2002 and Excel 2000 do not run Quattro Pro macros. You can rewrite any macros that you need in Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.

dBASE file formats (DBF 2, DBF 3, DBF 4)

The dBASE file formats DBF 2 (dBASE II), DBF 3 (dBASE III), and DBF 4 (dBASE IV) save only the text and values as they are displayed in cells of the active worksheet. All cell formatting, page layout settings, graphics, objects, and other Microsoft Excel features are lost. The data displayed in the current view of a PivotTable report is saved; all other PivotTable data is lost.

  • All rows are saved; the following numbers of columns are saved:
    Format | Columns
    DBF 2 (dBASE II) | 32
    DBF 3 (dBASE III) | 128
    DBF 4 (dBASE IV) | 256
  • If a range of cells is named "Database," only that range of cells is converted. If you have added new records after naming the database range, you must redefine the range to include the new records before you save the file in dBASE format. If a database range is not defined and a single cell within the range is selected, the single cell is converted. If a range of cells is selected, the cells in the current region will be converted and saved. Any blank cells, or cells containing numbers in row one of the selected range will be converted to N1, N2, and so on.
  • Text values in the first row of the range are used as dBASE field names, which are limited to 10 characters; subsequent characters are truncated. If the first row contains all numbers, automatic field names (N1, N2, and so on) are inserted in the converted file.
  • Data types of values in the first row of data in the converted range determine the data types of each field (column) of data. If the first row of data contains a blank value for a field, the field is converted as a text field, even if subsequent rows contain numbers in that field; the numbers are converted as text.
  • Only data visible in the worksheet cells is saved. Widen the columns in Excel, and make sure all the data is visible before you save the sheet in dBASE format.
  • If cells contain decimal fractions but are formatted in Excel with the General number format, the values are rounded to the closest whole number. To preserve numbers to the right of the decimal point, format the cells with the Number format, and then specify the number of decimal places you want saved.
  • If cells in the converted range contain formulas, only the resulting values of formulas are saved, even if the sheet display options are set to show formulas in the worksheet cells instead of values. To ensure that the formula values are converted correctly, click Options on the Tools menu, click the View tab, and clear the Formulas check box. Then make sure that all values are visible before you save the file. If you want to save a formula as text, insert an apostrophe (') before the formula.
  • The euro symbol will be lost.

Clipboard objects

Clipboard format specifics

Format | Clipboard type identifiers
Picture | Picture (Windows enhanced metafile, EMF) Note If you copy a Windows metafile (WMF) picture from another program, Microsoft Excel pastes the item as an enhanced metafile format (EMF) picture.
Microsoft Excel file formats | Binary file formats for Microsoft Excel versions 3.0, 4.0, 5.0/95, Microsoft Excel 97-2000, Microsoft Excel Workbook (BIFF, BIFF3, BIFF4, BIFF5, and BIFF8)
Embedded object | Microsoft Excel objects, objects from properly registered programs that support OLE 2.0 (OwnerLink), and Picture or another presentation format
Linked object | OwnerLink, ObjectLink, Link, Picture, or other format
HTML (HyperText Markup Language) | .htm Note When you copy text from another program, Microsoft Excel pastes the text in HTML format, regardless of the format of the original text.


Group items in a PivotTable or PivotChart field

  1. If the field is a page field, check the page field settings, and then move it temporarily to the row or column area.

    How?

    For a PivotChart report, work in the associated PivotTable report.

    1. Double-click the page field.
    2. Click Advanced.
    3. Make sure the Retrieve external data for all page field items option is either selected or unavailable.
    4. Click OK twice.
    5. Drag the page field to the row or column area.

  2. Do one of the following:

    Group numeric items

    1. Right-click the field with the numeric items, point to Group and Show Details on the shortcut menu, and then click Group.
    2. In the Starting at box, enter the first item to group.
    3. In the Ending at box, enter the last item to group.
    4. In the By box, type the number of items that you want in each group.

    Group dates or times

    1. Right-click the field with the dates or times, point to Group and Show Details on the shortcut menu, and then click Group.
    2. Enter the first date or time to group in the Starting at box, and enter the last date or time to group in the Ending at box.
    3. In the By box, click one or more time periods for the groups.

      To group items by weeks, click Days in the By box, make sure Days is the only time period selected, and then click 7 in the Number of days box. You can then click additional time periods to group by, such as Month, if you want.

    Group selected items

    1. Select the items to group, either by clicking and dragging, or by holding down CTRL or SHIFT while you click.

      For a PivotChart report, select the items in the associated PivotTable report.

    2. Right-click the selected items, point to Group and Show Details on the shortcut menu, and then click Group.

    Note For fields organized in levels, you can only group items that all have the same next-level item. For example, if the field has levels Country and City, you can't group cities from different countries.

    Ungroup items

    • Right-click the group, point to Group and Show Details on the shortcut menu, and then click Ungroup.

      In a numeric or date/time field, right-click any group; Excel then ungroups all groups for the field.

  3. If the field was formerly a page field, drag it back to the page area.

Notes

  • Grouping numeric items, dates, and times is unavailable for some types of source data.

  • When you group or ungroup items in a PivotChart report or its associated PivotTable report, some chart formatting may be lost.


Display the relationships between formulas and cells

You can display both precedent cells and dependent cells of formulas.

  1. On the Tools menu, click Options, and then click the View tab.
  2. Check that Show all or Show placeholders is selected under Objects.
  3. On the Tools menu, point to Formula Auditing, and then click Show Formula Auditing Toolbar.
  4. Do one of the following.

    Trace cells that provide data to a formula (precedents)

    1. Select the cell that contains the formula for which you want to find precedent cells.
    2. To display a tracer arrow to each cell that directly provides data to the active cell, click Trace Precedents [image] on the Formula Auditing toolbar.

    3. To identify the next level of cells that provide data to the active cell, click Trace Precedents [image] again.

    4. To remove tracer arrows one level at a time, starting with the precedent cell farthest away from the active cell, click Remove Precedent Arrows [image]. To remove another level of tracer arrows, click the button again.

    Trace formulas that reference a particular cell (dependents)

    1. Select the cell for which you want to identify the dependent cells.
    2. To display a tracer arrow to each cell that is dependent on the active cell, click Trace Dependents [image] on the Formula Auditing toolbar.

    3. To identify the next level of cells that depend on the active cell, click Trace Dependents [image] again.

    4. To remove tracer arrows one level at a time, starting with the dependent cell farthest away from the active cell, click Remove Dependent Arrows [image]. To remove another level of tracer arrows, click the button again.

  5. To remove all tracer arrows on the worksheet, click Remove All Arrows [image] on the Formula Auditing toolbar.

Note Red arrows show cells that cause errors. If the selected cell is referenced by a cell on another worksheet or workbook, a black arrow points from the selected cell to a worksheet icon worksheet icon.The other workbook must be open before Microsoft Excel can trace these dependencies, however.

Tips

  • To see the color-coded precedents for the arguments in a formula, select a cell and press F2.

  • To select the cell at the other end of an arrow, double-click the arrow. If the cell is in another worksheet or workbook, double-click the black arrow and then double-click the reference you want in the Go to list.

  • To see all the relationships on a worksheet, in an empty cell type = (equal sign), and then click the Select All button. Select the cell, and press Trace Precedents [image] twice.

Select All button


About moving and copying data

When you copy a cell by dragging or by clicking Cut [image] or Copy [image], and Paste [image], Microsoft Excel copies the entire cell, including formulas and their resulting values, comments, and cell formats.

If the selected copy area includes hidden cells, Excel also copies the hidden cells. If the paste area contains hidden rows or columns, you might need to unhide the paste area to see all of the copied cells.

Instead of copying entire cells, you can copy specified contents from the cells. For example, you can copy the resulting value of a formula without copying the formula itself or you can copy only the formula. You can also change what part of the cell you pasted by clicking Paste Options [image] in the lower right corner of your pasted selection.

Note Paste Options [image] is available only after you copy a selection, not after you cut or move a selection.


Move and resize chart items with the mouse

Microsoft Excel automatically sizes titles to accommodate their text. You can move titles with the mouse but you cannot resize them.

  1. Click the chart area, the plot area, or the legend you want to move or resize.
  2. To move an item, point to the item, and then drag it to another location.

    To resize an item, point to a sizing handle. When the pointer changes to a double-headed arrow, drag the sizing handle until the item is the size you want.

    Chart item being resized


Name cells in a workbook

You can use the labels of columns and rows on a worksheet to refer to the cells within those columns and rows. Or you can create descriptive names to represent cells, ranges of cells, formulas, or constant values. Labels can be used in formulas that refer to data on the same worksheet; if you want to represent a range on another worksheet, use a name.

You can also create 3-D names that represent the same cell or range of cells across multiple worksheets.

Use labels as references

This option must be set when you first create a workbook, or you will need to re-enter the formulas that use labels.

  1. Click Options on the Tools menu, and then click the Calculation tab.
  2. Under Workbook options, select the Accept labels in formulas check box.
  3. To re-enter a formula that used a label before setting this option, select the cell that contains the formula, press F2, and then press ENTER.
Note To have this option recognized by default for all new workbooks, create a new workbook, follow the procedure above, and save the setting in the template book.xlt.

How?

  1. Decide which type of template you want:

    Workbook template

    Create a workbook that contains the sheets, default text (such as page headers and column and row labels), formulas, macros, styles, and other formatting you want in new workbooks based on the template.

    Worksheet template

    Create a workbook that contains one worksheet. On the worksheet, include the formatting, styles, text, and other information you want to appear on all new sheets of the same type.

  2. To display a picture of the first page of a template in the Preview box of the Templates dialog box (General Templates..., New Workbook task pane), click Properties on the File menu, click the Summary tab, and then select the Save preview picture check box.

  3. On the File menu, click Save As.

  4. In the Save as type box, click Template.

  5. In the Save in box, select the folder where you want to store the template.

    • To create the default workbook template or default worksheet template, select either the XLStart folder or the alternate startup folder. The XLStart folder is usually

      C:\Program Files\Microsoft Office\Office10\XLStart

    • To create a custom workbook or worksheet template, select the Templates folder, which is usually

      C:\Documents and Settings\user_name\Application Data\Microsoft\Templates

  6. Enter the name of the template in the File name box. Do one of the following:

    Workbook template

    • Type book to create the default workbook template.

      To create a custom workbook template, type any valid file name.

    Worksheet template

    • Type sheet to create a template for default worksheets.

      To create a custom sheet template, type any valid file name.

  7. Click Save, and then click Close on the File menu.

Name a cell or a range of cells

  1. Select the cell, range of cells, or nonadjacent selections that you want to name.
  2. Click the Name box at the left end of the formula bar Formula bar.

    1 Name box

  3. Type the name for the cells.
  4. Press ENTER.

Note You cannot name a cell while you are changing the contents of the cell.

Convert existing row and column labels to names

  1. Select the range you want to name, including the row or column labels.
  2. On the Insert menu, point to Name, and then click Create.
  3. In the Create names in box, designate the location that contains the labels by selecting the Top row, Left column, Bottom row, or Right column check box.

Note A name created by using this procedure refers only to the cells that contain values and does not include the existing row and column labels.

Specifying labels When you select cells in labeled ranges to create formulas, Microsoft Excel can insert the labels in place of the cell references in your formulas. Using labels can make it easier to see how a formula is constructed. You can use the Label Ranges dialog box (Insert menu, Name submenu, Label command) to specify the ranges that contain column and row labels on your worksheet.

Name cells on more than one worksheet by using a 3-D reference

This is also called a 3-D reference.

  1. On the Insert menu, point to Name, and then click Define.
  2. In the Names in workbook box, type the name.
  3. If the Refers to box contains a reference, select the equal sign (=) and the reference and press BACKSPACE.
  4. In the Refers to box, type = (equal sign).
  5. Click the tab for the first worksheet to be referenced.
  6. Hold down SHIFT and click the tab for the last worksheet to be referenced.
  7. Select the cell or range of cells to be referenced.


Print a PivotTable report

  1. If you have more than one PivotTable report on the worksheet, set a print area that includes only the report you want to print.

    How?

    1. Click the report.
    2. On the PivotTable toolbar, click PivotTable, point to Select, and then click Entire Table.
    3. On the File menu, point to Print Area, and then click Set Print Area.
  2. On the File menu, click Page Setup, and adjust the page settings, sheet settings, margins, and headers and footers.
  3. If you want to repeat the row and column labels from the report on each page as print titles, clear the Rows to repeat at top and Columns to repeat at left boxes, and then set PivotTable print titles.

    How?

    1. On the PivotTable toolbar, click PivotTable, and then click Table Options.
    2. Under Format options, select the Set print titles check box.
    3. If your report has more than one row field and you also want to repeat outer row field items on each page, select the Repeat item labels on each printed page check box.
  4. If your report has more than one row field and you want automatic page breaks after each item in one or more outer row fields, set these page breaks.

    How?

    1. Double-click the outer row field that has the items you want to print on separate pages.
    2. Click Layout.
    3. Select the Insert page break after each item check box.
  5. On the View menu, click Page Break Preview, and make any adjustments you want to the page breaks.

    You can insert new manual page breaks and move and delete automatic page breaks.

  6. On the File menu, click Print Preview, and check your print layout. To make adjustments, you can repeat any of the previous steps as needed.
  7. When the preview looks correct, click Print.


Print preview commands

Button | Action
Next | Displays the next page to be printed. If you have multiple worksheets selected and click Next when the last page of a selected worksheet appears, Excel displays the first page of the next selected worksheet.
Previous | Displays the previous page to be printed. If you have multiple worksheets selected and click Previous when the first page of a selected worksheet appears, Excel displays the last page of the previous selected worksheet.
Zoom | Switches between a full-page view of a sheet and a magnified view. The Zoom feature does not affect printing size. You can also switch between a full-page view and a magnified view of a worksheet by clicking any area of the worksheet. Depending on the resolution of your monitor, you may not see certain graphics, such as thin borders, in full-page view.
Print | Lets you set printing options and then prints the selected worksheet.
Setup | Lets you set options that control the appearance of printed sheets.
Margins | Displays or hides margin handles that you can drag to adjust page margins, header and footer margins, and column widths.
Page Break Preview | Switches to page break preview, in which you can adjust the page breaks on the active worksheet. You can also resize the print area and edit the worksheet. The name of the button changes from Page Break Preview to Normal View if you were in page break preview when you clicked Print Preview [image] .
Normal View | Displays the active worksheet in normal view.
Close | Closes the print preview window and returns to the previous view of the active worksheet.


Project values

You can fill in a series of values that fit a simple linear trend or an exponential growth trend by using the fill handle. To extend complex and nonlinear data, you can use the worksheet functions or the regression analysis tool in the Analysis ToolPak add-in.

Fill in values automatically

Fill in a series for a linear best-fit trend

  1. Select at least two cells that contain the starting values for the trend.

    If you want to increase the accuracy of the trend series, select additional starting values.

  2. Drag the fill handle in the direction you want to fill with increasing or decreasing values.

    For example, if the selected starting values in cells C1:E1 are 3, 5, and 8, drag the fill handle to the right to fill with increasing trend values, or drag it to the left to fill with decreasing values.

Tip

To manually control how the series is created or to use the keyboard to fill in a series, use the Series command.

Fill in a series for a growth trend

  1. Select at least two cells that contain the starting values for the trend.

    If you want to increase the accuracy of the trend series, select additional starting values.

  2. Hold down the right mouse button and drag the fill handle in the direction you want to fill with increasing or decreasing values.

    For example, if the selected starting values in cells C1:E1 are 3, 5, and 8, drag the fill handle to the right to fill with increasing trend values, or drag it to the left to fill with decreasing values.

  3. Release the mouse button, and then click Growth Trend on the shortcut menu.

Tip

To manually control how the series is created or to use the keyboard to fill in a series, use the Series command.

Fill in values manually

Create linear and growth trends with the Series command

  1. Select the cell where you want to start the series. The cell must contain the first value in the series.

    When you use the Series command, the resulting series replaces the original selected values. If you want to save the original values, copy them to a different row or column, and then create the series by selecting the copied values.

  2. On the Edit menu, point to Fill, and then click Series.
  3. Do one of the following:

    • To fill the series down the page, click Columns.

    • To fill the series across the page, click Rows.

  4. In the Step value box, enter the value that you want to increase the series by.
    Series type | Step value result
    linear | The step value is added to the first starting value and then added to each subsequent value.
    growth | The first starting value is multiplied by the step value. The resulting product and each subsequent product is then multiplied by the step value.
  5. Under Type, click Linear or Growth.
  6. In the Stop value box, enter the value you want to stop the series at.

Note If there is more than one starting value in the series and you want Microsoft Excel to generate the trend, select the Trend box.

Calculate trends by adding a trendline to a chart

You can create a trendline in a chart without creating the data for the trendline.

How?

  1. Click the data series to which you want to add a trendline or moving average.
  2. On the Chart menu, click Add Trendline.
  3. On the Type tab, click the type of regression trendline or moving average you want.

    • If you select Polynomial, enter in the Order box the highest power for the independent variable.

    • If you select Moving Average, enter in the Period box the number of periods to be used to calculate the moving average.

Notes

  • The Based on series box lists all the data series in the chart that support trendlines. To add a trendline to another series, click the name in the box, and then select the options you want.
  • If you add a moving average to an xy (scatter) chart, the moving average is based on the order of the x values plotted in the chart. To get the result you want, you might need to sort the x values before adding a moving average.

Project values with a worksheet function

You can use these functions to project values.

Function | Description
FORECAST | Project values
TREND | Project values that fit a straight trend line
GROWTH | Project values that fit an exponential curve
LINEST | Calculate a straight line from existing data
LOGEST | Calculate an exponential curve from existing data

Perform regression analysis with the Analysis ToolPak add-in

When you need to perform more complicated regression analysis — including calculating and plotting residuals — you can use the regression analysis tool in the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Data Analysis.

    If Data Analysis is not available, load the Analysis ToolPak.

    How?

    1. On the Tools menu, click Add-Ins.

    2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.

    3. If necessary, follow the instructions in the setup program.
  2. In the Data Analysis dialog box, click the name of the analysis tool you want to use, then click OK.
  3. In the dialog box for the tool you selected, set the analysis options you want.

    You can use the Help button on the dialog box to get more information about the options.


Put Excel data on a Web page

  1. Open or select the workbook that contains the items you want to publish.
  2. On the File menu, click Save as Web Page.

    If you have already selected the item you want to publish, or want to publish an entire workbook without interactivity, you can select the options you want in the Save as Web Page dialog box, click Save, and you're done. Otherwise, continue. Create a customized hyperlink by using a worksheet function.

  3. Click Publish.
  4. Under Item to publish, click what you want to publish in the Choose box.

    Choosing items to publish

    To select the worksheet or item that you want to publish, select one item from the Choose list. You can publish only one item at a time. To publish another item, select the new item and repeat the publishing procedure. The following list outlines what you can publish and how to publish it.

    • Entire workbooks Select Entire workbook. You can publish an entire workbook with interactivity in the Publish dialog box, but not without interactivity.
    • Entire worksheets Select Items on Sheetname, and then select All contents of Sheetname.
    • Items Select Items on Sheetname, and then select the item you want to publish, such as a PivotTable report or a chart. Items do not include ranges of cells.
    • Ranges of cells Select Range of cells and then, if the selection box does not contain the range you want, click the worksheet (the dialog box will collapse to a selection box), select a range of cells from the Microsoft Excel workbook, and then click Expand Dialog [image].
    • Charts Select Items on Sheetname, and then select Chart x.
    • Filtered lists Select Items on Sheetname, and then select the AutoFilter item you want to publish.
    • External data ranges Select Items on Sheetname, and then select the Query item you want to publish.
    • Republishing To republish a worksheet or item that you have already published, select Previously published items and then select the worksheet or item you want to republish. To prevent an item from being republished, select the item and click Remove. To continue publishing, click another item in the list.
  5. Under Viewing options, select or clear the Add interactivity with check box, and if necessary, click the type of functionality you want.

    Publishing with or without interactivity

    Publishing without interactivity

    If you want users to view the data you publish but not work with it in the browser, you can publish it as noninteractive data. You can open, edit and save noninteractive Web pages in Microsoft Excel, but you cannot make any changes to the data in the browser.

    • Be sure the Add interactivity with check box under Viewing options is cleared.
    • For a filtered list, Web page viewers can see only the data that was not filtered when you published the list. However, all data in the list is published to the Web page. Filtered (hidden) data can be viewed by viewing the HTML source code for the page.
    • You cannot publish an entire workbook without interactivity in the Publish dialog box. Instead, click Save As Web Page on the File menu, and instead of clicking Publish, select Entire Workbook in the Save as Web Page dialog box and make sure the Add interactivity box is cleared.

    Publishing with interactivity

    To enable people to work with the data on your Web page in a browser, you can make your data interactive. For example, you can publish an interactive spreadsheet that calculates loan information. A user who browses to the page can enter financial information such as loan amount and interest rate to calculate a monthly payment.

    • Select the Add interactivity with check box and select the type of interactivity you want from the list. The type of interactivity that's available depends on what you are publishing. For example:
      • For a worksheet that contains formulas, select Spreadsheet functionality so that users of your Web page can enter new values in a cell and the formulas will automatically calculate the results.
      • For a PivotTable report, select PivotTable functionality so that users of your Web page can change the layout of rows and columns to see different summaries of the source data.
      • For an external data range, select PivotTable functionality so that Web page viewers can update the data from its source.
      • For a filtered list, select Spreadsheet functionality.
      • For a chart or PivotChart report, select Chart functionality. If you try to publish all contents of a worksheet that contains a chart with interactive functionality, the chart is not included on the Web page. To put an interactive chart on a Web page, you must publish the chart separately.

      Notes

      • Browser users must have Microsoft Internet Explorer 4.1 or later and an appropriate Microsoft Office license to work with spreadsheets, charts, or PivotTable lists published interactively from Microsoft Excel.
      • You cannot open and modify interactive Web pages in Excel, so it's a good idea to save a copy of the original workbook from which you publish in case you want to make changes in Excel and republish.
  6. To add a title over the published selection, click Change under Publish as. Type the title you want, and then click OK.
  7. Next to the File name box, click Browse, and locate the drive, folder, Web folder, Web server, or FTP location where you want to save or publish your Web page. You can also choose an existing Web page to append to or replace as long as you have permission to modify the Web page and have access to the HTML file.
  8. To view the Web page in your browser after you publish it, select the Open published Web page in browser check box.
  9. If you expect to make changes in the workbook later and want to automatically republish the items each time the workbook is saved, select the AutoRepublish every time this workbook is saved check box.
  10. Click Publish.

    If you are publishing to an existing Web page, click Replace file to copy over the existing page, or Add to file to append your data to the end of the Web page.


Remove filters

  • To remove a filter applied to one column in a list, click the arrow Field arrow next to the column, and then click All.
  • To remove filters applied to all columns in a list, point to Filter on the Data menu, and then click Show All.
  • To remove the filter arrows from a list, point to Filter on the Data menu, and then click AutoFilter.


Replace a formula with its result

You can "freeze" a formula so that it no longer recalculates by replacing a formula with its calculated value. If you want to freeze only part of a formula, you can replace only the part you don't want to recalculate.

Replace a formula with its calculated value

Caution When you replace a formula with its value, Microsoft Excel permanently removes the formula. If you accidentally replace a formula with a value and want to restore the formula, click Undo [image] immediately after you enter or paste the value.

  1. Select the cell that contains the formula.

    If the formula is an array formula, select the range that contains the array formula.

    How?

    1. Click a cell in the array formula.
    2. On the Edit menu, click Go To.
    3. Click Special.
    4. Click Current array.
  2. Click Copy [image].
  3. Click Paste [image] on the Standard toolbar.
  4. Click the arrow next to Paste Options [image], and then click Values Only.

Replace part of a formula with its calculated value

Caution When you replace part of a formula with its value, it cannot be restored.

  1. Click the cell that contains the formula.
  2. In the formula bar Formula bar, select the portion of the formula you want to replace with its calculated value. When you select the part of the formula you want to replace, make sure to include the entire operand. For example, if you select a function, you must select the entire function name, the opening parenthesis, the arguments, and the closing parenthesis.
  3. To calculate the selected portion, press F9.
  4. To replace the selected portion of the formula with its calculated value, press ENTER.

    If the formula is an array formula, press CTRL+SHIFT+ENTER.


Display or hide items in a PivotTable or PivotChart field

Hiding an item in a row field or column field removes it from the report, but the item still appears in the dropdown list for the field. Hiding an item in a page field removes it both from the report and from the dropdown list for the field.

Do one or more of the following:

Display the top or bottom items in a field

  1. Click the field. For a PivotChart report, click the field in its associated PivotTable report.
  2. On the PivotTable toolbar, click PivotTable, and then click Sort and Top 10.
  3. Under Top 10 AutoShow, click On.
  4. In the Show box, click Top or Bottom, and in the box to the right, enter the number of items to display.
  5. In the Using field box, click the data field to use to calculate the top or bottom items.

Display or hide items in a row (category) or column (series) field

  1. Click the arrow Field arrow in the field.
  2. Select the check box for each item that you want to show, and clear the check box for each item that you want to hide.

    For fields that are organized in levels, click Plus box to list lower-level items so that you can display or hide them individually. The double-check Double-checked box indicates that some or all of the lower-level items are displayed, single-check indicates that only the checked item is displayed, and cleared indicates that neither the item nor its lower-level items are displayed.

  3. To show or hide items that have no data, double-click the field, and then in the PivotTable Field dialog box, select or clear the Show items with no data check box. (Some types of source data don't support this option.)

    For example, if there were no sales in April, you will see an item for April sales only if you show items with no data.

Display or hide items in a page field

  1. Double-click the page field.
  2. If the Hide items box is present, select each item that you want to hide, and clear the selection from each item that you want to show.

    If the Hide items box is missing, your source data always lists all available items in the dropdown list for the page field.

  3. To show or hide items that have no data, select or clear the Show items with no data check box. (Some types of source data don't support this option.)

    For example, if there were no sales in April, you will see an item for April sales only if you show items with no data.

Redisplay hidden items in a field

  1. Double-click the field.
  2. In the PivotTable Field dialog box, click Advanced.
  3. Under Top 10 AutoShow, click Off.
  4. Click OK, and if the Hide items box is present and has items selected, clear selection from all such items.
  5. If the field is a row (category) or column (series) field, click its arrow Field arrow, and then click (Show All).

Note When you display or hide items in a PivotChart report or its associated PivotTable report, some chart formatting may be lost.

Tip

When calculating subtotals and grand totals in PivotTable reports, you can include or exclude the hidden items. On the PivotTable toolbar, click Include Hidden Items in Totals [image]. If this button is unavailable, your source data allows you to include or exclude hidden items in page fields: click PivotTable, click Table Options, and then select or clear the Subtotal hidden page items check box.


Sort a list

Sort rows in ascending order (A to Z, or 0 to 9) or descending order (Z to A, or 9 to 0)

  1. Click a cell in the column you would like to sort by.
  2. Click Sort Ascending [image] or Sort Descending [image].

Note In a PivotTable report, Microsoft Excel uses the selected field to sort.

Sort rows by 2 or 3 columns

For best results, the list you sort should have column labels.

  1. Click a cell in the list you want to sort.
  2. On the Data menu, click Sort.
  3. In the Sort by and Then by boxes, click the columns you want to sort.
  4. Select any other sort options you want, and then click OK.

Sort by 4 columns

  1. Click a cell in the list you want to sort.
  2. On the Data menu, click Sort.
  3. In the first Sort by box click the column of least importance.
  4. Click OK.
  5. On the Data menu, click Sort.
  6. In the Sort by and Then by boxes, click the other 3 columns you want to sort, starting with the most important.
  7. Select any other sort options you want, and then click OK.

Sort rows by months or weekdays

  1. Select a cell or range in the list you want to sort.
  2. On the Data menu, click Sort.
  3. In the Sort by box, click the column you want to sort.
  4. Click Options.
  5. Under First key sort order, click the custom sort order you want, and then click OK.
  6. Select any other sort options you want, and then click OK.

Use your own list as the sort order

  1. In a range of cells, enter the values you want to sort by, in the order you want them, from top to bottom. For example:

    Data
    High
    Medium
    Low

  2. Select the range.

  3. On the Tools menu, click Options, and then click the Custom Lists tab.

  4. Click Import, and then click OK.

  5. Select a cell in the list you want to sort.

  6. On the Data menu, click Sort.

  7. In the Sort by box, click the column you want to sort.

  8. Click Options.

  9. Under First key sort order, click the custom list you created. For example, click High, Medium, Low.

  10. Click OK.

  11. Select any other sort options you want, and then click OK.

Note You can't use a custom sort order in a Then by box. The custom sort order applies only to the column specified in the Sort by box. To sort multiple columns by using a custom sort order, sort by each column separately. For example, to sort by columns A and B, in that order, first sort by column B, and then specify the custom sort order by using the Sort Options dialog box. Next, sort the list by column A.

Sort columns by rows

Most of the time, you sort rows. This procedure sorts the order of columns.

  1. Click a cell in the list you want to sort.
  2. On the Data menu, click Sort.
  3. Click Options.
  4. Under Orientation, click Sort left to right, and then click OK.
  5. In the Sort by and Then by boxes, click the rows you want to sort.

Note When you sort rows that are part of a worksheet outline, Microsoft Excel sorts the highest-level groups (level 1) so that the detail rows or columns stay together, even if the detail rows or columns are hidden.


Sort a PivotTable or PivotChart report

Microsoft Excel uses the following order for ascending sort: numbers, text, logical values, error values such as #REF! and #VALUE!, and then blank cells. Descending order is the reverse, except for blank cells, which are always sorted last.

  1. Click the field with the items you want to sort.

    For a PivotChart report, click the field in the associated PivotTable report. To sort items in a series field, click the corresponding column field. To sort items in a category field, click the corresponding row field.

  2. Do one of the following:

    Sort the items ascending or descending

    1. On the PivotTable toolbar, click PivotTable, and then click Sort and Top 10.
    2. Under AutoSort options, click Ascending or Descending.
    3. In the Using field list, do one of the following:

      To sort the items by their labels, click the same field that you're sorting.

      To sort the items by their values in the data area, click the data field that supplies the values you want to sort on.

    Note When you refresh the report or change its layout, Excel resorts the field in the order you specified.

    Sort the items by a particular data value

    1. Click the cell in the data area that contains the value you want to sort by. For example, if you want to sort your products by a particular month's sales value, click the value for that month in the data area.
    2. On the Data menu, click Sort.
    3. Select any options you want, and then click OK.

    Note You'll need to repeat the sort if you refresh or update the report.

    Sort the items in a custom order

    The custom order is not retained if you refresh the report.

    1. On the Data menu, click Sort.
    2. Click Options.
    3. In the First key sort order box, click an option.

      If you don't see the option you want, you can create your own custom sort order by clicking Options on the Tools menu and using the Custom Lists tab.

    Note You can organize items in a custom order manually by selecting and dragging them.

    Stop sorting or return the items to their original order

    1. On the PivotTable toolbar, click PivotTable, and then click Sort and Top 10.
    2. Under AutoSort options, click Manual to stop automatic sorting or Data source order to return the items to their original order.

Note After you sort a PivotChart report or its associated PivotTable report, some chart formatting may be lost.

Tip

In a field that's organized in levels, you can sort all the items for a lower level together by hiding the upper levels before you sort. To hide an upper level, right-click it and then click Hide Levels on the shortcut menu.


Troubleshoot converting file formats

Some of the content in this topic may not be applicable to some languages.

I can't open my Lotus 1-2-3 file in Microsoft Excel.

Excel 2000 or later versions can't open some password-protected files.

  1. Open the file in Lotus 1-2-3.
  2. Save the file without password protection, or save it as a WKS or WK1 file.
  3. Open the file in Excel.

Notes

  • Excel can open password-protected WKS and WK1 files and prompts you for the password before the worksheet is opened.
  • Excel cannot open WK3 or WK4 files that are protected with a file-level password.
  • Excel can open Lotus 1-2-3 files that are protected at the worksheet level.

I can't open a file I created in Microsoft Works.

Excel 2000 or later versions cannot directly open files created in Microsoft Works version 3.0 or later. To open a Works file in Excel, first open it in Works and use the Save As command to convert it to one of the file formats listed below. Then close the Works file and open the converted version in Excel.

  • Works for Windows 2.0/Works for DOS SS
  • Excel SS
  • Lotus 1-2-3

To open a Microsoft Works database file in Excel, first save the file in Microsoft Works as a dBASE file, and then open the dBASE file in Excel.

I can't open my Quattro Pro files in Excel.

Excel 2000 and later versions cannot open Quattro Pro files that are password protected. Before you open the file in Excel, make sure you have removed any password from the file. You may need to install the Quattro Pro converter. This is available on the Microsoft Office Web site.

Note This hyperlink goes to the Web. You can return to Help at any time.

My workbook is very large and takes a long time to open.

When you open a workbook that was created in an earlier version of Microsoft Excel, the workbook is completely recalculated to ensure that all formulas are fully optimized for the current Excel version. After you save the workbook in the new version, the next time you open it, opening will take less time.

When you worked on the file in Lotus 1-2-3, you may have formatted entire columns. Microsoft Excel converts all formatted cells, even if they're blank, making the worksheet large and slow to open. You can correct the problem in Lotus 1-2-3 or in Excel.

Use Lotus 1-2-3

  1. Open the original WK4 file in Lotus 1-2-3, and select all blank cells below the last cell in the worksheet that contains data.

  2. On the Edit menu, click Delete, and then click OK.

  3. Save and close the worksheet, and open it again in Excel.

Use Excel

  1. In Excel, select all blank rows below the last cell in your worksheet that contains data.

  2. On the Edit menu, click Delete.

  3. Save the workbook.

The formatting I applied in Excel is gone.

You may have opened a file from another program, applied Excel formatting, then saved in the original format. This removes all of the Excel formatting.

If you changed the extension of the file to .xls but didn't select the Microsoft Excel Workbook format in the Save As dialog box, the Excel formatting is not saved.

Values on the converted sheet don't match the values on the original sheet.

Excel calculates some operators and functions in a different order from other spreadsheet programs. To calculate formulas using the same rules as Lotus 1-2-3, click Options on the Tools menu, and then click the Transition tab. Under Sheet options, select the Transition formula evaluation check box.

Some formulas were changed to text or values.

When Excel opens a file created in another spreadsheet program and encounters an operator or function that it cannot convert, it uses the result of the formula — not the formula itself — for the contents of the cell. You can reenter the formula on your Excel worksheet by using an equivalent operator or function.

Some Lotus 1-2-3 functions don't have equivalent Excel functions. Cells containing unconverted formulas are identified by comments and show the last values that were calculated in Lotus 1-2-3. To correct this problem, view comments, locate the unconverted formulas, and rewrite them. To display all of the comments, click Comments on the View menu.

Dates and phone numbers from my Lotus 1-2-3 file are displayed as text.

You formatted the date or phone number cells with a Text number format, and you used hyphens to separate the numbers (for example, 2-10-98 or 555-1212) in your Lotus 1-2-3 worksheet. You can correct the problem in Lotus 1-2-3 or in Excel.

Use Lotus 1-2-3

  1. Open the file in Lotus 1-2-3.

  2. Change dates that use a Text number format to a Date number format.

  3. Replace hyphens in dates with forward slashes (/).

Use Excel

  1. Double-click the cell.

  2. Delete the equal sign (=) in front of the date or phone number, and press ENTER.

    Dates appear with forward-slash separators.

Note To display a date with hyphen separators, click the cell, and then click Cells on the Format menu. Click the Number tab, and click the date format you want in the Type box.

My Lotus 1-2-3 or Quattro Pro macros don't run in Microsoft Excel.

Excel 2000 and later versions do not run Lotus 1-2-3 or Quattro Pro macros. You can rewrite any macros that you need in Visual Basic for Applications (VBA). For information about writing Excel macro code, see Visual Basic Help.

All of the text in the file appears in the first column.

  1. Select the range of cells that contains the text values. The range can be any number of rows tall, but no more than one column wide.

    Note There must be enough blank columns to the right of the selected column to accommodate the columns of data you want to create or the data to the right of the selected column will be overwritten.

  2. On the Data menu, click Text to Columns.
  3. Follow the instructions in the Convert Text to Columns Wizard to specify how you want to divide the text into columns.

When I save data in dBASE format, some of my data is missing.

Only data in the named range or current region is saved When you save an Excel worksheet in dBASE (DB2, DB3, or DB4) format and the worksheet contains a range named "Database," only data in the named range is saved in the dBASE file. If you add new records after naming the range, you must redefine the database range to include the new records before you save the sheet in dBASE format.

If there is no range named "Database" on the sheet, only data in the current region is converted. If the first row of data contains text, Excel uses it as the header row to define field names. If the first row contains all numbers, Microsoft Excel creates field names such as N1, N2, and so on.

Make sure character strings are shorter than column width When saving data in dBASE format, Excel assigns a data type to each field (column of data) that is based on the field data in the first record of the database range or current region.

If a field in the first record contains text, that field is assigned the character data type, and any numbers contained in the field in other rows become character strings. The column width of the field determines the string length; character strings longer than the column width are truncated in dBASE. To prevent losing data, select the range you want to convert in Excel, and apply a monospaced font such as Courier. To size the columns to show all the data, point to Columns on the Format menu, and then click AutoFit Selection. Numeric data fields cannot contain text; any text in a numeric data field becomes null.

Use a number format other than General If decimal numbers have the General number format, the decimal places are truncated in dBASE. Before you save the data in dBASE format, apply a different number format to all data in that field. On the Format menu, click Cells, and then click the Number tab. In the Category box, click Number or Scientific, and then specify the number of decimal places you want.

Change time data to text data Fields that contain time data cannot be converted. Before you save data in dBASE format, you can change time data to text data by using the TEXT worksheet function. For example, to change the time 12:34 PM to text data, use the function =TEXT("12:34", "hh:mm AM/PM").

Links to other Lotus 1-2-3 worksheets aren't converted correctly or have #REF! errors.

When you open a Lotus 1-2-3 worksheet in Microsoft Excel, you must click Yes when prompted to update the workbook with changes for Excel to convert links in the worksheet properly. When you convert a worksheet to Excel, you can maintain links to other Lotus 1-2-3 worksheets, or you can convert all the workbooks to Excel and change the links accordingly.

Correct the #REF! errors

  1. In Excel, close the converted worksheet without saving.
  2. Open the worksheet again in Excel, but this time click Yes when prompted to update the workbook with changes.

Keep links to other Lotus 1-2-3 worksheets when you convert to Excel

  1. Make sure the linked-to Lotus 1-2-3 worksheets are closed.
  2. In Excel, open the Lotus 1-2-3 worksheet that contains the links, and click Yes when prompted to update the workbook with changes.
  3. On the File menu, click Save As, and then click Microsoft Excel Workbook in the Save as type box.

Change links to use converted Excel workbooks

  1. In Excel, open all the linked-to Lotus 1-2-3 worksheets.
  2. Open the worksheet that contains the links.
  3. For each linked-to worksheet, click Save As on the File menu, and then click Microsoft Excel Workbook in the Save as type box.
  4. Save the workbook that contains the links.


Load or unload add-in programs

Microsoft Excel has three types of add-in programs that provide optional commands and features. Excel add-ins are available when you install Excel or Microsoft Office and are available from the Microsoft Office Web site. Developers and solution providers usually design custom Component Object Model (COM) add-ins and automation add-ins.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Load or unload an Excel add-in program

  1. On the Tools menu, click Add-Ins.

    Load an add-in

    1. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    2. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    3. If necessary, follow the instructions in setup program.

    Unload an add-in

    1. In the Add-Ins available box, clear the check box next to the add-in you want to unload, and then click OK.
    2. Do one of the following:
      • To remove the add-in from the menu, restart Excel.

        Note Unloading or removing an add-in doesn't remove the add-in file from your disk.

      • To remove the add-in from your disk, uninstall it (Microsoft Office, Microsoft Excel for Windows, Add-Ins).

        How?

        If you originally installed your Microsoft Office program from a network file server or from a shared folder, you must install or remove components from that location. If you installed your Office program from a CD-ROM and you've mapped your CD-ROM drive to a new drive letter since installing the Office program, reinstall from the CD-ROM. If you're running any Office program files from the CD-ROM, you must uninstall the Office program and then reinstall it from the CD-ROM.

        1. Quit all programs.
        2. Double-click the Add/Remove Programs icon in the Windows Control Panel.
        3. Do one of the following:

          • For Windows 2000 and Windows Millennium Edition:

          If you installed your Office program as part of Microsoft Office, click Microsoft Office in the Currently installed programs box, and then click the Change button.

          If you installed your Office program individually, click the name of your program in the Currently installed programs box, and then click the Change button.

          • For Windows 98 and Windows NT 4.0:

          If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click the Add/Remove button.

          If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click the Add/Remove button.

        4. Follow the instructions on the screen.

Load or unload a COM add-in program

Developers You can use this procedure to load or unload a COM add-in for testing before you have designed installation and removal programs for your add-in.

Other users of Microsoft Excel If you are not a developer, you should not need to use this procedure. Contact the administrator who provided the add-in if you want installation and removal instructions.

  • Do one of the following:

    Load a COM add-in

    1. On the View menu, point to Toolbars, and then click Customize.

    2. Click the Commands tab.

    3. Under Categories, click Tools.

    4. Under Commands, click COM Add-Ins and drag your selection to the toolbar.

    5. Click COM Add-Ins on the toolbar to see a list of the available add-ins in the COM Add-Ins dialog box.

    Unload a COM add-in

    • Do one of the following:

      • To unload an add-in from memory but keep its name in the list, clear the check box next to its name in the COM Add-in dialog box, and then click OK.

        Note Unloading or removing an add-in doesn't remove the add-in file from your computer.

      • To remove an add-in from the list and from your disk, click the add-in name, and then click Remove.

Load or unload an automation add-in program

Developers You can use this procedure to load or unload an automation program before you have designed installation and removal programs for your add-in.

Other users of Microsoft Excel If you are not a developer, you should not need to use this procedure. Contact the administrator who provided the add-in if you want installation and removal instructions.

  1. On the Tools menu, click Add-Ins.
  2. Do one of the following:

    Load an automation add-in

    1. Click Automation on the Add-Ins dialog box.

    2. In the Automation servers available list, select the add-in you want, and then click OK.

      Note Not all automation servers in the list can be installed as automation add-ins.

    3. If the add-in you want isn't in the list, click Browse, locate the add-in, and then click OK.

    Unload an automation add-in

    Automation add-ins must be removed from the registry. See your system administrator for details.


Display a different page in a PivotTable or PivotChart page field

  1. Click the arrow Field arrow in the cell with the item currently displayed in the page field.

  2. Do one of the following:

    Select a single item Click the item you want. In fields organized in levels, click Plus box beside a level to display the lower-level items, or click Minus box to display higher-level items, until the item you want appears in the list.

    Select multiple items In reports based on OLAP source data, click the Select multiple items check box, and then click the items you want. In other types of reports, where this check box is not present, click OK and then double-click the field and hold down CTRL while you click the items you don't want to select in the Hide items box.

    Display the summary of all items Click (All), if available. This option is unavailable for some source databases, or if the page field options are set to query the data for each item separately. To check the page field options, click Field Settings [image] on the PivotTable toolbar, and then click Advanced.

Note When you display a different page in a PivotChart report or its associated PivotTable report, some chart formatting may be lost.

Tip

For some kinds of source data, you can display each PivotTable page on a separate worksheet. Click the report, click PivotTable on the PivotTable toolbar, and then click Show Pages. If the report has more than one page field, click the one you want.


Refer to the same cell or range on multiple sheets

A reference that refers to the same cell or range on multiple sheets is called a 3-D reference.

  1. Click the cell where you want to enter the function.
  2. Type = (equal sign), enter the name of the function, and then type an opening parenthesis.

    Functions that can be used in a 3-D reference

    SUM - adds numbers

    AVERAGE - calculates average (arithmetic mean) of numbers

    AVERAGEA - calculates average (arithmetic mean) of numbers; includes text and logicals

    COUNT - counts cells that contain numbers

    COUNTA - counts cells that are not empty

    MAX - finds largest value in a set of values

    MAXA - finds largest value in a set of values; includes text and logicals

    MIN - finds smallest value in a set of values

    MINA - finds smallest value in a set of values; includes text and logicals

    PRODUCT - multiplies numbers

    STDEV - calculates standard deviation based on a sample

    STDEVA - calculates standard deviation based on a sample; includes text and logicals

    STDEVP - calculates standard deviation of an entire population

    STDEVPA - calculates standard deviation of an entire population; includes text and logicals

    VAR - estimates variance based on a sample

    VARA - estimates variance based on a sample; includes text and logicals

    VARP - calculates variance for an entire population

    VARPA - calculates variance for an entire population; includes text and logicals

  3. Click the tab for the first worksheet to be referenced.
  4. Hold down SHIFT and click the tab for the last worksheet to be referenced.
  5. Select the cell or range of cells to be referenced.
  6. Complete the formula, and press ENTER.


Change how PivotTable or PivotChart data is summarized

  1. In a PivotTable report, click the data field or a cell in the data area.

    For a PivotChart report, work in the associated PivotTable report.

  2. On the PivotTable toolbar, click Field Settings [image].
  3. In the Summarize by box, click the summary function you want to use.

    For some types of source data, and for calculated fields and fields with calculated items, you can't change the summary function.

  4. If you want to use a custom calculation, click Options, click the calculation you want in the Show data as list, and then select a Base field and Base item, if these options are available for the calculation you chose, to provide the data for the calculation. The base field should not be the same one you chose in step 1.

    Note Setting Show data as to Normal turns off custom calculation.

  5. If the report has multiple data fields, repeat these steps for each one that you want to change.
  6. If your source data allows you to change the summary function, you can use more than one summary method for the same field. Drag the field from the PivotTable Field List window to the data area a second time, and then repeat the steps above for the second instance of the field.

Note When you change the summary method in a PivotChart report or its associated PivotTable report, some chart formatting may be lost.


Display or hide totals in a PivotTable report

Do one or more of the following:

Display subtotals for individual fields

  1. Double-click the field.

  2. Do one of the following:

    Subtotal an outer row or column field Click Automatic under Subtotals. To use a different summary function or display more than one type of subtotal, click the summary function you want in the box to the right of Custom (this option is unavailable for some types of source data).

    Subtotal an inner row or column field Click Custom under Subtotals, if this option is available, and then click a summary function in the box to the right.

    Remove subtotals Click None under Subtotals.

    Note If a field contains a calculated item, you can't change the subtotal summary function.

    Tip

    For outer row fields, you can display subtotals above or below their items. Double-click the field, click Layout, click Show items in outline form, and then select or clear the Display subtotals at top of group check box.

Display grand totals for the entire report

  1. Click the report.

  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.

  3. Do one of the following:

    Display grand totals Select the Grand totals for columns check box, the Grand totals for rows check box, or both.

    Hide grand totals Clear either or both check boxes.

    Note Grand totals for a field use the same summary function as the subtotals for the field.

Calculate the totals with or without hidden items

  1. Click the report.

  2. On the PivotTable toolbar, click Include Hidden Items in Totals [image].

    If this button is unavailable, your source data allows you to include or exclude hidden items in page fields: click PivotTable, click Table Options, and then select or clear the Subtotal hidden page items check box.

Note When you display or hide totals, some formatting may be lost in any PivotChart reports based on the PivotTable report.


What's installed with Excel

Some of the content in this topic may not be applicable to some languages.

This topic provides reference information about what features are installed with Microsoft Excel and where you can find these features in both Excel 2002 and Microsoft Office XP installation programs.

For current information about the features included in Excel 2002, see the Xlread10.txt file in your Microsoft Office\Office folder (or Microsoft Office folder if you installed the stand-alone version of Microsoft Excel).

Installed by default

Feature | Location in the installation program
Microsoft Excel Program Files | Microsoft Excel for Windows
Help for Microsoft Excel | Microsoft Excel for Windows; Help
Internet Assistant VBA | Microsoft Excel for Windows; Add-ins
Sample Files | Microsoft Excel for Windows; Sample Files
Text to Speech | Microsoft Excel for Windows; Text to Speech
Graphics filters | Office Shared Features; Converters and Filters
International Support | Office Shared Features; International Support
Clip art | Office Shared Features; Clip Organizer Collections
English Proofing Tools | Office Shared Features; Proofing Tools
Office Assistant | Office Shared Features; Office Assistant
Visual Basic for Applications | Office Shared Features; Visual Basic for Applications
Web Components | Office Shared Features; Office Web Components (2002) Office Shared Features; Office Web Components (2000)
Microsoft Graph (including Microsoft Graph Help) | Office Tools; Microsoft Graph
Save My Settings Wizard | Office Tools; Save My Settings Wizard
System Information | Office Tools; System Information
Smart Tag Plug-ins | Office Tools; Smart Tag Plugins
Web Discussions and Hosted Webs | Office Tools; Office Server Extensions Support

Installed by default on first use

Feature | Location in the installation program
Add-ins | Microsoft Excel for Windows; Add-ins
Spreadsheet templates | Microsoft Excel for Windows; Spreadsheet Templates
Speech | Office Shared Features; Alternative User Input
Graphics filters | Office Shared Features; Converters and Filters
Japanese Font | Office Shared Features; International Support
Korean Font | Office Shared Features; International Support
Traditional Chinese Font | Office Shared Features; International Support
Simplified Chinese Font | Office Shared Features; International Support
Additional Office Assistants | Office Shared Features; Office Assistant
French Proofing Tools | Office Shared Features; Proofing Tools
Spanish Proofing Tools | Office Shared Features; Proofing Tools
Visual Basic Help | Office Shared Features; Visual Basic for Applications
Equation Editor | Office Tools; Equation Editor
HTML Source Editing (Including Web Scripting and Web Debugging) | Office Tools: HTML Source Editing
Language Settings Tool | Office Tools; Language Settings Tool
Microsoft Draw Converter | Office Tools; Microsoft Draw Converter
Microsoft Office Binder Support | Office Tools; Microsoft Office Binder Support
Microsoft Office Document Imaging | Office Tools; Microsoft Office Document Imaging
Find Fast | Office Tools; Support for Fast Searching
Organization Chart | Office Tools; Organization chart converter
Microsoft Office Shortcut Bar | Office Tools; Microsoft Office Shortcut Bar
Microsoft Query (including Help and drivers) | Office Tools; Microsoft Query

Installed only with custom installation

Feature | Location in the installation program
Handwriting | Office Shared Features; Alternative User Input
Armenian and Georgian Font | Office Shared Features; International Support
Universal Font | Office Shared Features; International Support
Hindi Font | Office Shared Features; International Support
Syriac Font | Office Shared Features; International Support
Tamil Font | Office Shared Features; International Support
Digital Signature for VBA Projects | Office Shared Features; Digital Signature for VBA Projects


Delete comments

Selected comments

  1. Select the cells containing the comments you want to delete.
  2. On the Edit menu, point to Clear, and then click Comments.

All comments on a worksheet

  1. On the Edit menu, click Go To.
  2. Click Special.
  3. Click Comments, and then click OK.
  4. On the Edit menu, point to Clear, and then click Comments.


Break links

Break a link to a source

Important When you break a link to a source, all formulas that that use the source are converted to their current value. For example, the link =SUM([Budget.xls]Annual!C10:C25) would be converted to =45. Because this action cannot be undone, you may want to save a version of the file before you start.

  1. On the Edit menu, click Links.
  2. In the Source list, click the link you want to break.

    To select multiple linked objects, hold down CTRL and click each linked object.

    To select all links, press CTRL+A.

  3. Click Break Link.
  4. If the link used a defined name, the name is not automatically removed. You may want to delete the name as well.

    How?

    1. On the Insert menu, point to Name, and then click Define.
    2. In the Names in workbook list, click the name you want to change.
    3. Do one of the following:

      Change the name

      1. Type the new name for the reference, and then click Add.
      2. Click the original name, and then click Delete.

      Change the cell, formula, or constant represented by a name

      Change it in the Refers to box.

      Delete the name

      Click Delete.

  5. If you use an external data range, a parameter of a query may also use data from another workbook. You may want to check for and remove any of these type of links.

Control the startup prompt for updating links

Don't prompt for all workbooks I open, and update the links automatically

This option is for the current user only, and affects every workbook opened. Other users of the workbook are not affected.

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. Clear the Ask to update automatic links check box. If the box is cleared, the links are automatically updated, and no alert is displayed.

Prompt in the same way for every user of the workbook

Warning This option affects all users of the workbook. If you choose to not update links, and not to prompt, users of the workbook will not know the data is out of date.

  1. On Edit menu, click Links.

  2. Click Startup Prompt.

  3. Select the option you want.

Note You will still be notified if there are any broken links.

Replace a single formula with its calculated value

Caution When you replace a formula with its value, Microsoft Excel permanently removes the formula. If you accidentally replace a formula with a value and want to restore the formula, click Undo [image] immediately after you enter or paste the value.

  1. Select the cell that contains the formula.

    If the formula is an array formula, select the range that contains the array formula.

    How?

    1. Click any cell in the array range.
    2. On the Edit menu, click Go To.
    3. Click Special.
    4. Click Current array.

  2. Click Copy [image].
  3. Click Paste [image] on the Standard toolbar.
  4. Click the arrow next to Paste Options [image], and then click Values.


Create a dialog box

You can create a dialog box in Microsoft Excel either of two ways:

  • Create a form on a worksheet and use controls to make the form look and work like a dialog box. Excel does not have a specialized tool for editing dialog boxes.
  • Create the dialog box in Microsoft Visual Basic for Applications (VBA). For more information, see Visual Basic Help.


Display or hide scroll bars

  1. On the Tools menu, click Options, and then click the View tab.
  2. Select or clear the Horizontal scroll bar check box and Vertical scroll bar check box.


Display or hide the status bar

  1. On the Tools menu, click Options, and then click the View tab.
  2. Select or clear the Status bar check box.


Display minus signs on negative numbers

  1. Select the cells you want to change.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. Do one of the following:

    For simple numbers, click Number in the Category list.

    For currency, click Currency in the Category list.

  4. In the Negative numbers box, select the display style for negative numbers.


Display numbers with scientific notation

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.

  3. In the Category list, click Scientific. In the Decimal places box, enter the number of decimal places you want to display.


Display or hide sheet tabs

Display or hide all sheet tabs

  1. On the Tools menu, click Options, and then click the View tab.
  2. Select or clear the Sheet tabs check box. When displaying sheet tabs, you may also need to expand the tab scrolling area.

    Tab scrolling buttons

Display more or fewer sheet tabs

  1. Point to the tab split bar.

    Tab split bar

  2. When the pointer changes to a split pointer Split pointer, drag the tab split bar to the right or left.

    To return the tab split bar to its original position, double-click the tab split bar.

    Tip

    You can activate a sheet by right-clicking any tab scrolling button and then selecting the sheet you want from the shortcut menu.

If the sheet names are cut off or difficult to read

Increase the scroll bar height. In the Microsoft Windows Control Panel, double-click the Display icon, click the Appearance tab, click Scrollbar in the Item list, and then increase the number in the Size box.


Divide numbers

Type =10/5 in a cell to display the result 2.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
15,000
12
Formula | Description (Result)
=A2/A3 | Divides 15,000 by 12 (1250)


Formulas referring to empty cells

The formula contains a reference to an empty cell. This can cause unintended results, as in the following example.

Suppose you want to take the average of the numbers below. If the third cell down is blank, then the result is 22.75. If the third cell down contains 0, then the result is 18.2.

Data
24
12
45
10
Formula
=AVERAGE(A2:A6)


Evaluate a nested formula one step at a time

You can see the different parts of a nested formula evaluated in the order the formula is calculated. For example, you can see this in the following formula where the function AVERAGE(F2:F5) is shown as its value, 80.

=IF(AVERAGE(F2:F5)>50,SUM(G2:G5),0) as

=IF(80>50,SUM(G2:G5),0)

  1. Select the cell you want to evaluate. Only one cell can be evaluated at a time.
  2. On the Tools menu, point to Formula Auditing, and then click Evaluate Formula.
  3. Click Evaluate to examine the value of the underlined reference. The result of the evaluation is shown in italics.

    If the underlined part of the formula is a reference to another formula, click Step In to display the other formula in the Evaluation box. Click Step Out to go back to the previous cell and formula.

  4. Continue until each part of the formula has been evaluated.
  5. To see the evaluation again, click Restart.

    To end the evaluation, click Close.

Note The Step In button is not available for a reference the second time the reference appears in the formula, or if the formula refers to a cell in a separate workbook.


ABS

See Also

Returns the absolute value of a number. The absolute value of a number is the number without its sign.

Syntax

ABS(number)

Number is the real number of which you want the absolute value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
-4
Formula | Description (Result)
=ABS(2) | Absolute value of 2 (2)
=ABS(-2) | Absolute value of -2 (2)
=ABS(A2) | Absolute value of -4 (4)


ACCRINT

See Also

Returns the accrued interest for a security that pays periodic interest.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ACCRINT(issue,first_interest,settlement,rate,par,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Issue is the security's issue date.

First_interest is the security's first interest date.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Rate is the security's annual coupon rate.

Par is the security's par value. If you omit par, ACCRINT uses $1,000.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Issue, first_interest, settlement, frequency, and basis are truncated to integers.
  • If issue, first_interest, or settlement is not a valid date, ACCRINT returns the #VALUE! error value.
  • If rate ≤ 0 or if par ≤ 0, ACCRINT returns the #NUM! error value.
  • If frequency is any number other than 1, 2, or 4, ACCRINT returns the #NUM! error value.
  • If basis < 0 or if basis > 4, ACCRINT returns the #NUM! error value.
  • If issue ≥ settlement, ACCRINT returns the #NUM! error value.
  • ACCRINT is calculated as follows:

    where:

    Ai = number of accrued days for the ith quasi-coupon period within odd period.

    NC = number of quasi-coupon periods that fit in odd period. If this number contains a fraction, raise it to the next whole number.

    NLi = normal length in days of the ith quasi-coupon period within odd period.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Data | Description
March 1, 2008 | Issue date
August 31, 2008 | First interest date
May 1, 2008 | Settlement date
10.0% | Coupon rate
1,000 | Par value
2 | Frequency is semiannual (see above)
0 | 30/360 basis (see above)
Formula | Description (Result)
=ACCRINT(A2,A3,A4,A5,A6,A7,A8) | Accrued interest for a treasury bond with the terms above (16.66666667)
=ACCRINT(DATE(2008,3,5),A3,A4,A5,A6,A7,A8) | Accrued interest with the terms above, except the issue date is March 5, 2008. (15.55555556)


ACCRINTM

See Also

Returns the accrued interest for a security that pays interest at maturity.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ACCRINTM(issue,maturity,rate,par,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Issue is the security's issue date.

Maturity is the security's maturity date.

Rate is the security's annual coupon rate.

Par is the security's par value. If you omit par, ACCRINTM uses $1,000.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Issue, settlement, and basis are truncated to integers.
  • If issue or settlement is not a valid date, ACCRINTM returns the #VALUE! error value.
  • If rate ≤ 0 or if par ≤ 0, ACCRINTM returns the #NUM! error value.
  • If basis < 0 or if basis > 4, ACCRINTM returns the #NUM! error value.
  • If issue ≥ settlement, ACCRINTM returns the #NUM! error value.
  • ACCRINTM is calculated as follows:

    where:

    A = Number of accrued days counted according to a monthly basis. For interest at maturity items, the number of days from the issue date to the maturity date is used.

    D = Annual Year Basis.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
April 1, 2008 | Issue date
June 15, 2008 | Maturity date
10.0% | Percent coupon
$1,000 | Par value
3 | Actual/365 basis (see above)
Formula | Description (Result)
=ACCRINTM(A2,A3,A4,A5,A6) | The accrued interest for the terms above (20.54795)


ACOS

See Also

Returns the arccosine, or inverse cosine, of a number. The arccosine is the angle whose cosine is number. The returned angle is given in radians in the range 0 (zero) to pi.

Syntax

ACOS(number)

Number is the cosine of the angle you want and must be from -1 to 1.

Remark

If you want to convert the result from radians to degrees, multiply it by 180/PI() or use the DEGREES function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=ACOS(-0.5) | Arccosine of -0.5 in radians, 2*pi/3 (2.094395)
=ACOS(-0.5)*180/PI() | Arccosine of -0.5 in degrees (120)
=DEGREES(ACOS(-0.5)) | Arccosine of -0.5 in degrees (120)


ACOSH

See Also

Returns the inverse hyperbolic cosine of a number. Number must be greater than or equal to 1. The inverse hyperbolic cosine is the value whose hyperbolic cosine is number, so ACOSH(COSH(number)) equals number.

Syntax

ACOSH(number)

Number is any real number equal to or greater than 1.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=ACOSH(1) | Inverse hyperbolic cosine of 1 (0)
=ACOSH(10) | Inverse hyperbolic cosine of 10 (2.993223)


ADDRESS

See Also

Creates a cell address as text, given specified row and column numbers.

Syntax

ADDRESS(row_num,column_num,abs_num,a1,sheet_text)

Row_num is the row number to use in the cell reference.

Column_num is the column number to use in the cell reference.

Abs_num specifies the type of reference to return.

Abs_num | Returns this type of reference
1 or omitted | Absolute
2 | Absolute row; relative column
3 | Relative row; absolute column
4 | Relative

A1 is a logical value that specifies the A1 or R1C1 reference style. If a1 is TRUE or omitted, ADDRESS returns an A1-style reference; if FALSE, ADDRESS returns an R1C1-style reference.

Sheet_text is text specifying the name of the worksheet to be used as the external reference. If sheet_text is omitted, no sheet name is used.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Formula | Description (Result)
=ADDRESS(2,3) | Absolute reference ($C$2)
=ADDRESS(2,3,2) | Absolute row; relative column (C$2)
=ADDRESS(2,3,2,FALSE) | Absolute row; relative column in R1C1 reference style (R2C[3])
=ADDRESS(2,3,1,FALSE,"[Book1]Sheet1") | Absolute reference to another workbook and worksheet ([Book1]Sheet1!R2C3)
=ADDRESS(2,3,1,FALSE,"EXCEL SHEET") | Absolute reference to another worksheet ('EXCEL SHEET'!R2C3)


AMORDEGRC

See Also

Returns the depreciation for each accounting period. This function is provided for the French accounting system. If an asset is purchased in the middle of the accounting period, the prorated depreciation is taken into account. The function is similar to AMORLINC, except that a depreciation coefficient is applied in the calculation depending on the life of the assets.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

AMORDEGRC(cost,date_purchased,first_period,salvage,period,rate,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Cost is the cost of the asset.

Date_purchased is the date of the purchase of the asset.

First_period is the date of the end of the first period.

Salvage is the salvage value at the end of the life of the asset.

Period is the period.

Rate is the rate of depreciation.

Basis is the year basis to be used.

Basis | Date system
0 | 360 days (NASD method)
1 | Actual
3 | 365 days in a year
4 | 360 days in a year (European method)

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • This function will return the depreciation until the last period of the life of the assets or until the cumulated value of depreciation is greater than the cost of the assets minus the salvage value.
  • The depreciation coefficients are:
    Life of assets (1/rate) | Depreciation coefficient
    Between 3 and 4 years | 1.5
    Between 5 and 6 years | 2
    More than 6 years | 2.5
  • The depreciation rate will grow to 50 percent for the period preceding the last period and will grow to 100 percent for the last period.
  • If the life of assets is between 0 (zero) and 1, 1 and 2, 2 and 3, or 4 and 5, the #NUM! error value is returned.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Data | Description
2400 | Cost
8/19/2008 | Date purchased
12/31/2008 | End of the first period
300 | Salvage value
1 | Period
15% | Depreciation rate
1 | Actual basis (see above)
Formula | Description (Result)
=AMORDEGRC(A2,A3,A4,A5,A6,A7,A8) | First period depreciation (776)


AMORLINC

See Also

Returns the depreciation for each accounting period. This function is provided for the French accounting system. If an asset is purchased in the middle of the accounting period, the prorated depreciation is taken into account.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

AMORLINC(cost,date_purchased,first_period,salvage,period,rate,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Cost is the cost of the asset.

Date_purchased is the date of the purchase of the asset.

First_period is the date of the end of the first period.

Salvage is the salvage value at the end of the life of the asset.

Period is the period.

Rate is the rate of depreciation.

Basis is the year basis to be used.

Basis | Date system
0 | 360 days (NASD method)
1 | Actual
3 | 365 days in a year
4 | 360 days in a year (European method)

Remark

Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Data | Description
2400 | Cost
8/19/2008 | Date purchased
12/31/2008 | End of the first period
300 | Salvage value
1 | Period
15% | Depreciation rate
1 | Actual basis (see above)
Formula | Description (Result)
=AMORLINC(A2,A3,A4,A5,A6,A7,A7) | First period depreciation (360)


AND

See Also

Returns TRUE if all its arguments are TRUE; returns FALSE if one or more argument is FALSE.

Syntax

AND(logical1,logical2, ...)

Logical1, logical2, ... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

Remarks

  • The arguments must evaluate to logical values such as TRUE or FALSE, or the arguments must be arrays or references that contain logical values.
  • If an array or reference argument contains text or empty cells, those values are ignored.
  • If the specified range contains no logical values, AND returns the #VALUE! error value.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=AND(TRUE, TRUE) | All arguments are TRUE (TRUE)
=AND(TRUE, FALSE) | One argument is FALSE (FALSE)
=AND(2+2=4, 2+3=5) | All arguments evaluate to TRUE (TRUE)

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
50
104
Formula | Description (Result)
=AND(1<A2, A2<100) | Because 50 is between 1 and 100 (TRUE)
=IF(AND(1<A3, A3<100), A3, "The value is out of range.") | Displays the second number above, if it is between 1 and 100, otherwise displays a message (The value is out of range.)
=IF(AND(1<A2, A2<100), A2, "The value is out of range.") | Displays the first number above, if it is between 1 and 100, otherwise displays a message (50)


AREAS

See Also

Returns the number of areas in a reference. An area is a range of contiguous cells or a single cell.

Syntax

AREAS(reference)

Reference is a reference to a cell or range of cells and can refer to multiple areas. If you want to specify several references as a single argument, then you must include extra sets of parentheses so that Microsoft Excel will not interpret the comma as a field separator. See the following example.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=AREAS(B2:D4) | Number of areas in the range (1)
=AREAS((B2:D4,E5,F6:I9)) | Number of areas in the range (3)
=AREAS(B2:D4 B2) | Number of areas in the range (1)


ASC

See Also

For Double-byte character set (DBCS) languages, changes half-width (single-byte) English characters to full-width (double-byte) characters.

Syntax

ASC(text)

Text is the text or a reference to a cell that contains the text you want to change. If text does not contain any full-width English letters, text is not changed.

Examples

=ASC("EXCEL") equals "EXCEL"

=ASC(" Excel Excel Excel Excel ") equals " Excel Excel Excel Excel "


ASIN

See Also

Returns the arcsine, or inverse sine, of a number. The arcsine is the angle whose sine is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ASIN(number)

Number is the sine of the angle you want and must be from -1 to 1.

Remark

To express the arcsine in degrees, multiply the result by 180/PI( ) or use the DEGREES function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=ASIN(-0.5) | Arcsine of -0.5 in radians, -pi/6 (-0.5236)
=ASIN(-0.5)*180/PI() | Arcsine of -0.5 in degrees (-30)
=DEGREES(ASIN(-0.5)) | Arcsine of -0.5 in degrees (-30)


ASINH

See Also

Returns the inverse hyperbolic sine of a number. The inverse hyperbolic sine is the value whose hyperbolic sine is number, so ASINH(SINH(number)) equals number.

Syntax

ASINH(number)

Number is any real number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=ASINH(-2.5) | Inverse hyperbolic sine of -2.5 (-1.64723)
=ASINH(10) | Inverse hyperbolic sine of 10 (2.998223)


ATAN

See Also

Returns the arctangent, or inverse tangent, of a number. The arctangent is the angle whose tangent is number. The returned angle is given in radians in the range -pi/2 to pi/2.

Syntax

ATAN (number)

Number is the tangent of the angle you want.

Remark

To express the arctangent in degrees, multiply the result by 180/PI( ) or use the DEGREES function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=ATAN(1) | Arctangent of 1 in radians, pi/4 (0.785398)
=ATAN(1)*180/PI() | Arctangent of 1 in degrees (45)
=DEGREES(ATAN(1)) | Arctangent of 1 in degrees (45)


ATAN2

See Also

Returns the arctangent, or inverse tangent, of the specified x- and y-coordinates. The arctangent is the angle from the x-axis to a line containing the origin (0, 0) and a point with coordinates (x_num, y_num). The angle is given in radians between -pi and pi, excluding -pi.

Syntax

ATAN2(x_num,y_num)

X_num is the x-coordinate of the point.

Y_num is the y-coordinate of the point.

Remarks

  • A positive result represents a counterclockwise angle from the x-axis; a negative result represents a clockwise angle.
  • ATAN2(a,b) equals ATAN(b/a), except that a can equal 0 in ATAN2.
  • If both x_num and y_num are 0, ATAN2 returns the #DIV/0! error value.
  • To express the arctangent in degrees, multiply the result by 180/PI( ) or use the DEGREES function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=ATAN2(1, 1) | Arctangent of the point 1,1 in radians, pi/4 (0.785398)
=ATAN2(-1, -1) | Arctangent of the point -1,-1 in radians, -3*pi/4 (-2.35619)
=ATAN2(-1, -1)*180/PI() | Arctangent of the point 1,1 in degrees (-135)
=DEGREES(ATAN2(-1, -1)) | Arctangent of the point 1,1 in degrees (-135)


ATANH

See Also

Returns the inverse hyperbolic tangent of a number. Number must be between -1 and 1 (excluding -1 and 1). The inverse hyperbolic tangent is the value whose hyperbolic tangent is number, so ATANH(TANH(number)) equals number.

Syntax

ATANH(number)

Number is any real number between 1 and -1.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=ATANH(0.76159416) | Inverse hyperbolic tangent of 0.76159416 (1, approximately)
=ATANH(-0.1) | Inverse hyperbolic tangent of -0.1 (-0.10034)


AVEDEV

See Also

Returns the average of the absolute deviations of data points from their mean. AVEDEV is a measure of the variability in a data set.

Syntax

AVEDEV(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want the average of the absolute deviations. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must either be numbers or be names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • The equation for average deviation is:

AVEDEV is influenced by the unit of measurement in the input data.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A
Data
4
5
6
7
5
4
3
Formula | Description (Result)
=AVEDEV(A2:A8) | Average of the absolute deviations of the numbers above from their mean (1.020408)


AVERAGE

See Also

Returns the average (arithmetic mean) of the arguments.

Syntax

AVERAGE(number1,number2,...)

Number1, number2, ... are 1 to 30 numeric arguments for which you want the average.

Remarks

  • The arguments must either be numbers or be names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

Tip

When averaging cells, keep in mind the difference between empty cells and those containing the value zero, especially if you have cleared the Zero values check box on the View tab (Options command, Tools menu). Empty cells are not counted, but zero values are.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
10
7
9
27
2
Formula | Description (Result)
=AVERAGE(A2:A6) | Average of the numbers above (11)
=AVERAGE(A2:A6, 5) | Average of the numbers above and 5 (10)


AVERAGEA

See Also

Calculates the average (arithmetic mean) of the values in the list of arguments. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

AVERAGEA(value1,value2,...)

Value1, value2, ... are 1 to 30 cells, ranges of cells, or values for which you want the average.

Remarks

  • The arguments must be numbers, names, arrays, or references.
  • Array or reference arguments that contain text evaluate as 0 (zero). Empty text ("") evaluates as 0 (zero). If the calculation must not include text values in the average, use the AVERAGE function.
  • Arguments that contain TRUE evaluate as 1; arguments that contain FALSE evaluate as 0 (zero).

Tip

When averaging cells, keep in mind the difference between empty cells and those containing the value zero, especially if you have cleared the Zero values check box on the View tab (Options command, Tools menu). Empty cells are not counted, but zero values are.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A
Data
10
7
9
2
Not available
Formula | Description (Result)
=AVERAGEA(A2:A6) | Average of the numbers above, and the text "Not Available". The cell with the text "Not available" is used in the calculation. (5.6)
=AVERAGEA(A2:A5,A7) | Average of the numbers above, and the empty cell. (7)


BESSELI

See Also

Returns the modified Bessel function, which is equivalent to the Bessel function evaluated for purely imaginary arguments.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

BESSELI(x,n)

X is the value at which to evaluate the function.

N is the order of the Bessel function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELI returns the #VALUE! error value.
  • If n is nonnumeric, BESSELI returns the #VALUE! error value.
  • If n < 0, BESSELI returns the #NUM! error value.
  • The n-th order modified Bessel function of the variable x is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=BESSELI(1.5, 1) | Modified Bessel function at 1.5 with an order of 1 (0.981666)


BESSELJ

See Also

Returns the Bessel function.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

BESSELJ(x,n)

X is the value at which to evaluate the function.

N is the order of the Bessel function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELJ returns the #VALUE! error value.
  • If n is nonnumeric, BESSELJ returns the #VALUE! error value.
  • If n < 0, BESSELJ returns the #NUM! error value.
  • The n-th order Bessel function of the variable x is:

    where:

    is the Gamma function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=BESSELJ(1.9, 2) | Bessel function at 1.9 with an order of 2 (0.329926)


BESSELK

See Also

Returns the modified Bessel function, which is equivalent to the Bessel functions evaluated for purely imaginary arguments.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

BESSELK(x,n)

X is the value at which to evaluate the function.

N is the order of the function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELK returns the #VALUE! error value.
  • If n is nonnumeric, BESSELK returns the #VALUE! error value.
  • If n < 0, BESSELK returns the #NUM! error value.
  • The n-th order modified Bessel function of the variable x is:

    where Jn and Yn are the J and Y Bessel functions, respectively.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=BESSELK(1.5, 1) | Modified Bessel function at 1.5 with an order of 1 (0.277388)


BESSELY

See Also

Returns the Bessel function, which is also called the Weber function or the Neumann function.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

BESSELY(x,n)

X is the value at which to evaluate the function.

N is the order of the function. If n is not an integer, it is truncated.

Remarks

  • If x is nonnumeric, BESSELY returns the #VALUE! error value.
  • If n is nonnumeric, BESSELY returns the #VALUE! error value.
  • If n < 0, BESSELY returns the #NUM! error value.
  • The n-th order Bessel function of the variable x is:

    where:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=BESSELY(2.5, 1) | Weber's Bessel function at 2.5 and an order of 1 (0.145918)


BETADIST

See Also

Returns the cumulative beta probability density function. The cumulative beta probability density function is commonly used to study variation in the percentage of something across samples, such as the fraction of the day people spend watching television.

Syntax

BETADIST(x,alpha,beta,A,B)

X is the value between A and B at which to evaluate the function.

Alpha is a parameter of the distribution.

Beta is a parameter of the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETADIST returns the #VALUE! error value.
  • If alpha ≤ 0 or beta ≤ 0, BETADIST returns the #NUM! error value.
  • If x < A, x > B, or A = B, BETADIST returns the #NUM! error value.
  • If you omit values for A and B, BETADIST uses the standard cumulative beta distribution, so that A = 0 and B = 1.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
2 | Value at which to evaluate the function
8 | Parameter of the distribution
10 | Parameter of the distribution
1 | Lower bound
3 | Upper bound
Formula | Description (Result)
=BETADIST(A2,A3,A4,A5,A6) | Cumulative beta probability density function, for the above parameters (0.685470581)


BETAINV

See Also

Returns the inverse of the cumulative beta probability density function. That is, if probability = BETADIST(x,...), then BETAINV(probability,...) = x. The cumulative beta distribution can be used in project planning to model probable completion times given an expected completion time and variability.

Syntax

BETAINV(probability,alpha,beta,A,B)

Probability is a probability associated with the beta distribution.

Alpha is a parameter of the distribution.

Beta is a parameter the distribution.

A is an optional lower bound to the interval of x.

B is an optional upper bound to the interval of x.

Remarks

  • If any argument is nonnumeric, BETAINV returns the #VALUE! error value.
  • If alpha ≤ 0 or beta ≤ 0, BETAINV returns the #NUM! error value.
  • If probability ≤ 0 or probability > 1, BETAINV returns the #NUM! error value.
  • If you omit values for A and B, BETAINV uses the standard cumulative beta distribution, so that A = 0 and B = 1.
BETAINV uses an iterative technique for calculating the function. Given a probability value, BETAINV iterates until the result is accurate to within ±3x10-7. If BETAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
0.685470581 | Probability associated with the beta distribution
8 | Parameter of the distribution
10 | Parameter of the distribution
1 | Lower bound
3 | Upper bound
Formula | Description (Result)
=BETAINV(A2,A3,A4,A5,A6) | Inverse of the cumulative beta probability density function for the parameters above (2)


BIN2DEC

See Also

Converts a binary number to decimal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

BIN2DEC(number)

Number is the binary number you want to convert. Number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Remark

If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2DEC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=BIN2DEC(1100100) | Converts binary 1100100 to decimal (100)
=BIN2DEC(1111111111) | Converts binary 1111111111 to decimal (-1)


BIN2HEX

See Also

Converts a binary number to hexadecimal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

BIN2HEX(number,places)

Number is the binary number you want to convert. Number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, BIN2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2HEX returns the #NUM! error value.
  • If number is negative, BIN2HEX ignores places and returns a 10-character hexadecimal number.
  • If BIN2HEX requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, BIN2HEX returns the #VALUE! error value.
  • If places is negative, BIN2HEX returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=BIN2HEX(11111011, 4) | Converts binary 11111011 to hexadecimal with 4 characters (00FB)
=BIN2HEX(1110) | Converts binary 1110 to hexadecimal (E)
=BIN2HEX(1111111111) | Converts binary 1111111111 to hexadecimal (FFFFFFFFFF)


BIN2OCT

See Also

Converts a binary number to octal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

BIN2OCT(number,places)

Number is the binary number you want to convert. Number cannot contain more than 10 characters (10 bits). The most significant bit of number is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, BIN2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is not a valid binary number, or if number contains more than 10 characters (10 bits), BIN2OCT returns the #NUM! error value.
  • If number is negative, BIN2OCT ignores places and returns a 10-character octal number.
  • If BIN2OCT requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, BIN2OCT returns the #VALUE! error value.
  • If places is negative, BIN2OCT returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=BIN2OCT(1001, 3) | Converts binary 1001 to octal with 3 characters (011)
=BIN2OCT(1100100) | Converts binary 1100100 to octal (144)
=BIN2OCT(1111111111) | Converts binary 1111111111 to octal (7777777777)


BINOMDIST

See Also

Returns the individual term binomial distribution probability. Use BINOMDIST in problems with a fixed number of tests or trials, when the outcomes of any trial are only success or failure, when trials are independent, and when the probability of success is constant throughout the experiment. For example, BINOMDIST can calculate the probability that two of the next three babies born are male.

Syntax

BINOMDIST(number_s,trials,probability_s,cumulative)

Number_s is the number of successes in trials.

Trials is the number of independent trials.

Probability_s is the probability of success on each trial.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, then BINOMDIST returns the cumulative distribution function, which is the probability that there are at most number_s successes; if FALSE, it returns the probability mass function, which is the probability that there are number_s successes.

Remarks

  • Number_s and trials are truncated to integers.
  • If number_s, trials, or probability_s is nonnumeric, BINOMDIST returns the #VALUE! error value.
  • If number_s < 0 or number_s > trials, BINOMDIST returns the #NUM! error value.
  • If probability_s < 0 or probability_s > 1, BINOMDIST returns the #NUM! error value.
  • The binomial probability mass function is:

    where:

    is COMBIN(n,x).

    The cumulative binomial distribution is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
6 | Number of successes in trials
10 | Number of independent trials
0.5 | Probability of success on each trial
Formula | Description (Result)
=BINOMDIST(A2,A3,A4,FALSE) | Probability of exactly 6 of 10 trials being successful (0.205078)


CALL

See Also

Calls a procedure in a dynamic link library or code resource. There are two syntax forms of this function. Use syntax 1 only with a previously registered code resource, which uses arguments from the REGISTER function. Use syntax 2a or 2b to simultaneously register and call a code resource.

Important This function is provided for advanced users only. If you use the CALL function incorrectly, you may cause errors that will require you to restart your computer. This function is only available from an Excel macro sheet.

Syntax 1

Used with REGISTER

CALL(register_id,argument1,...)

Syntax 2a

Used alone (in Microsoft Excel for Windows)

CALL(module_text,procedure,type_text,argument1,...)

Syntax 2b

Used alone (in Microsoft Excel for the Macintosh)

CALL(file_text,resource,type_text,argument1,...)

Register_id is the value returned by a previously executed REGISTER or REGISTER.ID function.

Argument1, ... are the arguments to be passed to the procedure.

Module_text is quoted text specifying the name of the dynamic link library (DLL) that contains the procedure in Microsoft Excel for Windows.

File_text is the name of the file that contains the code resource in Microsoft Excel for the Macintosh.

Procedure is text specifying the name of the function in the DLL in Microsoft Excel for Windows. You can also use the ordinal value of the function from the EXPORTS statement in the module-definition file (.DEF). The ordinal value must not be in the form of text.

Resource is the name of the code resource in Microsoft Excel for the Macintosh. You can also use the resource ID number. The resource ID number must not be in the form of text.

Type_text is text specifying the data type of the return value and the data types of all arguments to the DLL or code resource. The first letter of type_text specifies the return value. The codes you use for type_text are described in detail in Using the CALL and REGISTER Functions. For stand-alone DLLs or code resources (XLLs), you can omit this argument.

Example

Syntax 1 (32-Bit Microsoft Excel)

IN 32-bit Microsoft Excel for Windows, the following macro formula registers the GetTickCount function from 32-bit Microsoft Windows. GetTickCount returns the number of milliseconds that have elapsed since Microsoft Windows was started.

REGISTER("Kernel32","GetTickCount","J")

Assuming that this REGISTER function is in cell A5, after your macro registers GetTickCount, you can use the CALL function to return the number of milliseconds that have elapsed:

CALL(A5)

Syntax 1 (16-Bit Microsoft Excel)

In 16-bit Microsoft Excel for Windows, the following macro formula registers the GetTickCount function from 16-bit Microsoft Windows. GetTickCount returns the number of milliseconds that have elapsed since Microsoft Windows was started.

REGISTER("User","GetTickCount","J")

Assuming that this REGISTER function is in cell A5, after your macro registers GetTickCount, you can use the CALL function to return the number of milliseconds that have elapsed:

CALL(A5)

Example

Syntax 2a (32-Bit Microsoft Excel)

On a worksheet, you can use the following CALL formula (syntax 2a) to call the GetTickCount function:

CALL("Kernel32","GetTickCount","J!")

The ! in the type_text argument forces Microsoft Excel to recalculate the CALL function every time the worksheet recalculates. This updates the elapsed time whenever the worksheet recalculates.

Syntax 2a (16-Bit Microsoft Excel)

On a worksheet, you can use the following CALL formula (syntax 2a) to call the GetTickCount function:

CALL("User","GetTickCount","J!")

The ! in the type_text argument forces Microsoft Excel to recalculate the CALL function every time the worksheet recalculates. This updates the elapsed time whenever the worksheet recalculates.

Tip

You can use optional arguments to the REGISTER function to assign a custom name to a function. This name will appear in the Insert Function dialog box, and you can call the function by using its custom name in a formula. For more information, see REGISTER.


CEILING

See Also

Returns number rounded up, away from zero, to the nearest multiple of significance. For example, if you want to avoid using pennies in your prices and your product is priced at $4.42, use the formula =CEILING(4.42,0.05) to round prices up to the nearest nickel.

Syntax

CEILING(number,significance)

Number is the value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, CEILING returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.
  • If number and significance have different signs, CEILING returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Formula | Description (Result)
=CEILING(2.5, 1) | Rounds 2.5 up to nearest multiple of 1 (3)
=CEILING(-2.5, -2) | Rounds -2.5 up to nearest multiple of -2 (-4)
=CEILING(-2.5, 2) | Returns an error, because -2.5 and 2 have different signs (#NUM!)
=CEILING(1.5, 0.1) | Rounds 1.5 up to the nearest multiple of 0.1 (1.5)
=CEILING(0.234, 0.01) | Rounds 0.234 up to the nearest multiple of 0.01 (0.24)


CELL

See Also

Returns information about the formatting, location, or contents of the upper-left cell in a reference.

Syntax

CELL(info_type,reference)

Info_type is a text value that specifies what type of cell information you want. The following list shows the possible values of info_type and the corresponding results.

Info_type | Returns
"address" | Reference of the first cell in reference, as text.
"col" | Column number of the cell in reference.
"color" | 1 if the cell is formatted in color for negative values; otherwise returns 0 (zero).
"contents" | Value of the upper-left cell in reference; not a formula.
"filename" | Filename (including full path) of the file that contains reference, as text. Returns empty text ("") if the worksheet that contains reference has not yet been saved.
"format" | Text value corresponding to the number format of the cell. The text values for the various formats are shown in the following table. Returns "-" at the end of the text value if the cell is formatted in color for negative values. Returns "()" at the end of the text value if the cell is formatted with parentheses for positive or all values.
"parentheses" | 1 if the cell is formatted with parentheses for positive or all values; otherwise returns 0.
"prefix" | Text value corresponding to the "label prefix" of the cell. Returns single quotation mark (') if the cell contains left-aligned text, double quotation mark (") if the cell contains right-aligned text, caret (^) if the cell contains centered text, backslash (\) if the cell contains fill-aligned text, and empty text ("") if the cell contains anything else.
"protect" | 0 if the cell is not locked, and 1 if the cell is locked.
"row" | Row number of the cell in reference.
"type" | Text value corresponding to the type of data in the cell. Returns "b" for blank if the cell is empty, "l" for label if the cell contains a text constant, and "v" for value if the cell contains anything else.
"width" | Column width of the cell rounded off to an integer. Each unit of column width is equal to the width of one character in the default font size.

Reference is the cell that you want information about. If omitted, information specified in info_type is returned for the last cell that was changed. The following list describes the text values CELL returns when info_type is "format", and reference is a cell formatted with a built-in number format.

If the Microsoft Excel format is | CELL returns
General | "G"
0 | "F0"
#,##0 | ",0"
0.00 | "F2"
#,##0.00 | ",2"
$#,##0_);($#,##0) | "C0"
$#,##0_);[Red]($#,##0) | "C0-"
$#,##0.00_);($#,##0.00) | "C2"
$#,##0.00_);[Red]($#,##0.00) | "C2-"
0% | "P0"
0.00% | "P2"
0.00E+00 | "S2"
# ?/? or # ??/?? | "G"
m/d/yy or m/d/yy h:mm or mm/dd/yy | "D4"
d-mmm-yy or dd-mmm-yy | "D1"
d-mmm or dd-mmm | "D2"
mmm-yy | "D3"
mm/dd | "D5"
h:mm AM/PM | "D7"
h:mm:ss AM/PM | "D6"
h:mm | "D9"
h:mm:ss | "D8"

If the info_type argument in the CELL formula is "format", and if the cell is formatted later with a custom format, then you must recalculate the worksheet to update the CELL formula.

Remark

The CELL function is provided for compatibility with other spreadsheet programs.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
5-Mar
TOTAL
Formula | Description (Result)
=CELL("row",A20) | The row number of cell A20 (20)
=CELL("format", A2) | The format code of the first string (D2, see above)
=CELL("contents", A3) | The content of cell A3 (TOTAL)


CHAR

See Also

Returns the character specified by a number. Use CHAR to translate code page numbers you might get from files on other types of computers into characters.

Operating environment | Character set
Macintosh | Macintosh character set
Windows | ANSI

Syntax

CHAR(number)

Number is a number between 1 and 255 specifying which character you want. The character is from the character set used by your computer.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=CHAR(65) | Displays the 65 character in the set (A)
=CHAR(33) | Displays the 33 character in the set (!)


CHIDIST

See Also

Returns the one-tailed probability of the chi-squared distribution. The γ2 distribution is associated with a γ2 test. Use the γ2 test to compare observed and expected values. For example, a genetic experiment might hypothesize that the next generation of plants will exhibit a certain set of colors. By comparing the observed results with the expected ones, you can decide whether your original hypothesis is valid.

Syntax

CHIDIST(x,degrees_freedom)

X is the value at which you want to evaluate the distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIDIST returns the #VALUE! error value.
  • If x is negative, CHIDIST returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIDIST returns the #NUM! error value.
  • CHIDIST is calculated as CHIDIST = P(X>x), where X is a γ2 random variable.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
18.307 | Value at which you want to evaluate the distribution
10 | Degrees of freedom
Formula | Description (Result)
=CHIDIST(A2,A3) | One-tailed probability of the chi-squared distribution, for the above terms (0.050001)


CHIINV

See Also

Returns the inverse of the one-tailed probability of the chi-squared distribution. If probability = CHIDIST(x,...), then CHIINV(probability,...) = x. Use this function to compare observed results with expected ones in order to decide whether your original hypothesis is valid.

Syntax

CHIINV(probability,degrees_freedom)

Probability is a probability associated with the chi-squared distribution.

Degrees_freedom is the number of degrees of freedom.

Remarks

  • If either argument is nonnumeric, CHIINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, CHIINV returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1 or degrees_freedom ≥ 10^10, CHIINV returns the #NUM! error value.

CHIINV uses an iterative technique for calculating the function. Given a probability value, CHIINV iterates until the result is accurate to within ± 3x10^-7. If CHIINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
0.05 | Probability associated with the chi-squared distribution
10 | Degrees of freedom
Formula | Description (Result)
=CHIINV(A2,A3) | Inverse of the one-tailed probability of the chi-squared distribution (18.30703)


CHITEST

See Also

Returns the test for independence. CHITEST returns the value from the chi-squared (γ2) distribution for the statistic and the appropriate degrees of freedom. You can use γ2 tests to determine whether hypothesized results are verified by an experiment.

Syntax

CHITEST(actual_range,expected_range)

Actual_range is the range of data that contains observations to test against expected values.

Expected_range is the range of data that contains the ratio of the product of row totals and column totals to the grand total.

Remarks

  • If actual_range and expected_range have a different number of data points, CHITEST returns the #N/A error value.
  • The γ2 test first calculates a γ2 statistic and then sums the differences of actual values from the expected values. The equation for this function is CHITEST=p( X>γ2 ), where:

    and where:

    Aij = actual frequency in the i-th row, j-th column

    Eij = expected frequency in the i-th row, j-th column

    r = number or rows

    c = number of columns

    CHITEST returns the probability for a γ2 statistic and degrees of freedom, df, where df = (r - 1)(c - 1).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B | C
Men (Actual) | Women (Actual) | Description
58 | 35 | Agree
11 | 25 | Neutral
10 | 23 | Disagree
Men (Expected) | Women (Expected) | Description
45.35 | 47.65 | Agree
17.56 | 18.44 | Neutral
16.09 | 16.91 | Disagree
Formula | Description (Result)
=CHITEST(A2:B4,A6:B8) | The γ2 statistic for the data above is 16.16957 with 2 degrees of freedom (0.000308)


CHOOSE

See Also

Uses index_num to return a value from the list of value arguments. Use CHOOSE to select one of up to 29 values based on the index number. For example, if value1 through value7 are the days of the week, CHOOSE returns one of the days when a number between 1 and 7 is used as index_num.

Syntax

CHOOSE(index_num,value1,value2,...)

Index_num specifies which value argument is selected. Index_num must be a number between 1 and 29, or a formula or reference to a cell containing a number between 1 and 29.

  • If index_num is 1, CHOOSE returns value1; if it is 2, CHOOSE returns value2; and so on.

  • If index_num is less than 1 or greater than the number of the last value in the list, CHOOSE returns the #VALUE! error value.

  • If index_num is a fraction, it is truncated to the lowest integer before being used.

Value1,value2,... are 1 to 29 value arguments from which CHOOSE selects a value or an action to perform based on index_num. The arguments can be numbers, cell references, defined names, formulas, functions, or text.

Remarks

  • If index_num is an array, every value is evaluated when CHOOSE is evaluated.
  • The value arguments to CHOOSE can be range references as well as single values.

    For example, the formula:

    =SUM(CHOOSE(2,A1:A10,B1:B10,C1:C10))

    evaluates to:

    =SUM(B1:B10)

    which then returns a value based on the values in the range B1:B10.

    The CHOOSE function is evaluated first, returning the reference B1:B10. The SUM function is then evaluated using B1:B10, the result of the CHOOSE function, as its argument.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Data
1st | Nails
2nd | Screws
3rd | Nuts
Finished | Bolts
Formula | Description (Result)
=CHOOSE(2,A2,A3,A4,A5) | Value from the second argument A3 (2nd)
=CHOOSE(4,B2,B3,B4,B5) | Value from the fourth argument B5 (Bolts)

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A
Data
23
45
12
10
Formula | Description (Result)
=SUM(A2:CHOOSE(2,A3,A4,A5)) | Sums the range A2:A4 (80)


CLEAN

See Also

Removes all nonprintable characters from text. Use CLEAN on text imported from other applications that contains characters that may not print with your operating system. For example, you can use CLEAN to remove some low-level computer code that is frequently at the beginning and end of data files and cannot be printed.

Syntax

CLEAN(text)

Text is any worksheet information from which you want to remove nonprintable characters.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
=CHAR(7)&"text"&CHAR(7)
Formula | Description (Result)
=CLEAN(A2) | Removes the nonprintable character, CHAR(7), from the string above (text)


CODE

See Also

Returns a numeric code for the first character in a text string. The returned code corresponds to the character set used by your computer.

Operating environment | Character set
Macintosh | Macintosh character set
Windows | ANSI

Syntax

CODE(text)

Text is the text for which you want the code of the first character.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=CODE("A") | Displays the numeric code for A (65)
=CODE("!") | Displays the numeric code for ! (33)


COLUMN

See Also

Returns the column number of the given reference.

Syntax

COLUMN(reference)

Reference is the cell or range of cells for which you want the column number.

  • If reference is omitted, it is assumed to be the reference of the cell in which the COLUMN function appears.

  • If reference is a range of cells, and if COLUMN is entered as a horizontal array, COLUMN returns the column numbers of reference as a horizontal array.

  • Reference cannot refer to multiple areas.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=COLUMN() | Column in which the formula appears (1)
=COLUMN(A10) | Column of the reference (1)


COLUMNS

See Also

Returns the number of columns in an array or reference.

Syntax

COLUMNS(array)

Array is an array or array formula, or a reference to a range of cells for which you want the number of columns.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=COLUMNS(C1:E4) | Number of columns in the reference (3)
=COLUMNS({1,2,3;4,5,6}) | Number of columns in the array constant (3)


COMBIN

See Also

Returns the number of combinations for a given number of items. Use COMBIN to determine the total possible number of groups for a given number of items.

Syntax

COMBIN(number,number_chosen)

Number is the number of items.

Number chosen is the number of items in each combination.

Remarks

  • Numeric arguments are truncated to integers.
  • If either argument is nonnumeric, COMBIN returns the #VALUE! error value.
  • If number < 0, number_chosen < 0, or number < number_chosen, COMBIN returns the #NUM! error value.
  • A combination is any set or subset of items, regardless of their internal order. Combinations are distinct from permutations, for which the internal order is significant.
  • The number of combinations is as follows, where number = n and number_chosen = k:

    where:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=COMBIN(8,2) | Possible two-person teams that can be formed from 8 candidates (28)


COMPLEX

See Also

Converts real and imaginary coefficients into a complex number of the form x + yi or x + yj.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

COMPLEX(real_num,i_num,suffix)

Real_num is the real coefficient of the complex number.

I_num is the imaginary coefficient of the complex number.

Suffix is the suffix for the imaginary component of the complex number. If omitted, suffix is assumed to be "i".

Note All complex number functions accept "i" and "j" for suffix, but neither "I" nor "J". Using uppercase results in the #VALUE! error value. All functions that accept two or more complex numbers require that all suffixes match.

Remarks

  • If real_num is nonnumeric, COMPLEX returns the #VALUE! error value.
  • If i_num is nonnumeric, COMPLEX returns the #VALUE! error value.
  • If suffix is neither "i" nor "j", COMPLEX returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=COMPLEX(3,4) | Complex number with 3 and 4 as the real and imaginary coefficients (3 + 4i)
=COMPLEX(3,4,"j") | Complex number with 3 and 4 as the real and imaginary coefficients, and j as the suffix (3 + 4j)
=COMPLEX(0,1) | Complex number with 0 and 1 as the real and imaginary coefficients (i)
=COMPLEX(1,0) | Complex number with 1 and 0 as the real and imaginary coefficients (1)


CONCATENATE

See Also

Joins several text strings into one text string.

Syntax

CONCATENATE (text1,text2,...)

Text1, text2, ... are 1 to 30 text items to be joined into a single text item. The text items can be text strings, numbers, or single-cell references.

Remarks

The "&" operator can be used instead of CONCATENATE to join text items.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
brook trout
species
32
Formula | Description
=CONCATENATE("Stream population for ",A2," ",A3," is ",A4,"/mile") | Concatenates a sentence from the data above (Stream population for brook trout species is 32/mile)


CONFIDENCE

See Also

Returns the confidence interval for a population mean. The confidence interval is a range on either side of a sample mean. For example, if you order a product through the mail, you can determine, with a particular level of confidence, the earliest and latest the product will arrive.

Syntax

CONFIDENCE(alpha,standard_dev,size)

Alpha is the significance level used to compute the confidence level. The confidence level equals 100*(1 - alpha)%, or in other words, an alpha of 0.05 indicates a 95 percent confidence level.

Standard_dev is the population standard deviation for the data range and is assumed to be known.

Size is the sample size.

Remarks

  • If any argument is nonnumeric, CONFIDENCE returns the #VALUE! error value.
  • If alpha ≤ 0 or alpha ≥ 1, CONFIDENCE returns the #NUM! error value.
  • If standard_dev ≤ 0, CONFIDENCE returns the #NUM! error value.
  • If size is not an integer, it is truncated.
  • If size < 1, CONFIDENCE returns the #NUM! error value.
  • If we assume alpha equals 0.05, we need to calculate the area under the standard normal curve that equals (1 - alpha), or 95 percent. This value is ± 1.96. The confidence interval is therefore:

Example

Suppose we observe that, in our sample of 50 commuters, the average length of travel to work is 30 minutes with a population standard deviation of 2.5. We can be 95 percent confident that the population mean is in the interval:

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
0.05 | Significance level
2.5 | Standard deviation of the population
50 | Sample size
Formula | Description (Result)
=CONFIDENCE(A2,A3,A4) | Confidence interval for a population mean. In other words, the average length of travel to work equals 30 ± 0.692951 minutes, or 29.3 to 30.7 minutes. (0.692951)


CONVERT

See Also

Converts a number from one measurement system to another. For example, CONVERT can translate a table of distances in miles to a table of distances in kilometers.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

CONVERT(number,from_unit,to_unit)

Number is the value in from_units to convert.

From_unit is the units for number.

To_unit is the units for the result. CONVERT accepts the following text values (in quotation marks) for from_unit and to_unit.

Weight and mass | From_unit or to_unit
Gram | "g"
Slug | "sg"
Pound mass (avoirdupois) | "lbm"
U (atomic mass unit) | "u"
Ounce mass (avoirdupois) | "ozm"

Distance | From_unit or to_unit
Meter | "m"
Statute mile | "mi"
Nautical mile | "Nmi"
Inch | "in"
Foot | "ft"
Yard | "yd"
Angstrom | "ang"
Pica (1/72 in.) | "Pica"

Time | From_unit or to_unit
Year | "yr"
Day | "day"
Hour | "hr"
Minute | "mn"
Second | "sec"

Pressure | From_unit or to_unit
Pascal | "Pa"
Atmosphere | "atm"
mm of Mercury | "mmHg"

Force | From_unit or to_unit
Newton | "N"
Dyne | "dyn"
Pound force | "lbf"

Energy | From_unit or to_unit
Joule | "J"
Erg | "e"
Thermodynamic calorie | "c"
IT calorie | "cal"
Electron volt | "eV"
Horsepower-hour | "HPh"
Watt-hour | "Wh"
Foot-pound | "flb"
BTU | "BTU"

Power | From_unit or to_unit
Horsepower | "HP"
Watt | "W"

Magnetism | From_unit or to_unit
Tesla | "T"
Gauss | "ga"

Temperature | From_unit or to_unit
Degree Celsius | "C"
Degree Fahrenheit | "F"
Degree Kelvin | "K"

Liquid measure | From_unit or to_unit
Teaspoon | "tsp"
Tablespoon | "tbs"
Fluid ounce | "oz"
Cup | "cup"
U.S. pint | "pt"
U.K. pint | "uk_pt"
Quart | "qt"
Gallon | "gal"
Liter | "l"

The following abbreviated unit prefixes can be prepended to any metric from_unit or to_unit.

Prefix | Multiplier | Abbreviation
exa | 1E+18 | "E"
peta | 1E+15 | "P"
tera | 1E+12 | "T"
giga | 1E+09 | "G"
mega | 1E+06 | "M"
kilo | 1E+03 | "k"
hecto | 1E+02 | "h"
dekao | 1E+01 | "e"
deci | 1E-01 | "d"
centi | 1E-02 | "c"
milli | 1E-03 | "m"
micro | 1E-06 | "u"
nano | 1E-09 | "n"
pico | 1E-12 | "p"
femto | 1E-15 | "f"
atto | 1E-18 | "a"

Remarks

  • If the input data types are incorrect, CONVERT returns the #VALUE! error value.
  • If the unit does not exist, CONVERT returns the #N/A error value.
  • If the unit does not support an abbreviated unit prefix, CONVERT returns the #N/A error value.
  • If the units are in different groups, CONVERT returns the #N/A error value.
  • Unit names and prefixes are case-sensitive.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=CONVERT(1.0, "lbm", "kg") | Converts 1 pound mass to kilograms (0.453592)
=CONVERT(68, "F", "C") | Converts 68 degrees Fahrenheit to Celsius (20)
=CONVERT(2.5, "ft", "sec") | Data types are not the same so an error is returned (#N/A)
=CONVERT(CONVERT(100,"ft","m"),"ft","m") | Converts 100 square feet into square meters (9.290304).


CORREL

See Also

Returns the correlation coefficient of the array1 and array2 cell ranges. Use the correlation coefficient to determine the relationship between two properties. For example, you can examine the relationship between a location's average temperature and the use of air conditioners.

Syntax

CORREL(array1,array2)

Array1 is a cell range of values.

Array2 is a second cell range of values.

Remarks

  • The arguments must be numbers, or they must be names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If array1 and array2 have a different number of data points, CORREL returns the #N/A error value.
  • If either array1 or array2 is empty, or if s (the standard deviation) of their values equals zero, CORREL returns the #DIV/0! error value.
  • The equation for the correlation coefficient is:

    where:

    and:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data1 | Data2
3 | 9
2 | 7
4 | 12
5 | 15
6 | 17
Formula | Description (Result)
=CORREL(A2:A6,B2:B6) | Correlation coefficient of the two data sets above (0.997054)


COS

See Also

Returns the cosine of the given angle.

Syntax

COS(number)

Number is the angle in radians for which you want the cosine.

Remark

If the angle is in degrees, multiply it by PI()/180 or use the COS function to convert it to radians.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=COS(1.047) | Cosine of 1.047 radians (0.500171)
=COS(60*PI()/180) | Cosine of 60 degrees (0.5)
=COS(RADIANS(60)) | Cosine of 60 degrees (0.5)


COSH

See Also

Returns the hyperbolic cosine of a number.

Syntax

COSH(number)

Number is any real number for which you want to find the hyperbolic cosine.

Remark

The formula for the hyperbolic cosine is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=COSH(4) | Hyperbolic cosine of 4 (27.30823)
=COSH(EXP(1)) | Hyperbolic cosine of the base of the natural logarithm (7.610125)


COUNT

See Also

Counts the number of cells that contain numbers and also numbers within the list of arguments. Use COUNT to get the number of entries in a number field that's in a range or array of numbers.

Syntax

COUNT(value1,value2,...)

Value1, value2, ... are 1 to 30 arguments that can contain or refer to a variety of different types of data, but only numbers are counted.

Remarks

  • Arguments that are numbers, dates, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.
  • If an argument is an array or reference, only numbers in that array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored. If you need to count logical values, text, or error values, use the COUNTA function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A
Data
Sales
12/8/2008
19
22.24
TRUE
#DIV/0!
Formula | Description (Result)
=COUNT(A2:A8) | Counts the number of cells that contain numbers in the list above (3)
=COUNT(A5:A8) | Counts the number of cells that contain numbers in the last 4 rows of the list (2)
=COUNT(A2:A8,2) | Counts the number of cells that contain numbers in the list, and the value 2 (4)


COUNTA

See Also

Counts the number of cells that are not empty and the values within the list of arguments. Use COUNTA to count the number of cells that contain data in a range or array.

Syntax

COUNTA(value1,value2,...)

Value1, value2, ... are 1 to 30 arguments representing the values you want to count. In this case, a value is any type of information, including empty text ("") but not including empty cells. If an argument is an array or reference, empty cells within the array or reference are ignored. If you do not need to count logical values, text, or error values, use the COUNT function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A
Data
Sales
12/8/2008
19
22.24
TRUE
#DIV/0!
Formula | Description (Result)
=COUNTA(A2:A8) | Counts the number of nonblank cells in the list above (6)
=COUNTA(A5:A8) | Counts the number of nonblank cells in the last 4 rows of the list (4)
=COUNTA(A1:A7,2) | Counts the number of nonblank cells in the list above and the value 2 (7)
=COUNTA(A1:A7,"Two") | Counts the number of nonblank cells in the list above and the value "Two" (7)


COUNTBLANK

See Also

Counts empty cells in a specified range of cells.

Syntax

COUNTBLANK(range)

Range is the range from which you want to count the blank cells.

Remark

Cells with formulas that return "" (empty text) are also counted. Cells with zero values are not counted.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Data
6 | =IF(B4<30,"",B4)
 | 27
4 | 34
Formula | Description (Result)
=COUNTBLANK(A2:B5) | Counts empty cells in the range above. The formula returns empty text. (4)


COUNTIF

See Also

Counts the number of cells within a range that meet the given criteria.

Syntax

COUNTIF(range,criteria)

Range is the range of cells from which you want to count cells.

Criteria is the criteria in the form of a number, expression, or text that defines which cells will be counted. For example, criteria can be expressed as 32, "32", ">32", "apples".

Remark

Microsoft Excel provides additional functions that can be used to analyze your data based on a condition. For example, to calculate a sum based on a string of text or a number within a range, use the SUMIF worksheet function. To have a formula return one of two values based on a condition, such as a sales bonus based on a specified sales amount, use the IF worksheet function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Data
apples | 32
oranges | 54
peaches | 75
apples | 86
Formula | Description (Result)
=COUNTIF(A2:A5,"apples") | Number of cells with apples in the first column above (2)
=COUNTIF(B2:B5,">55") | Number of cells with a value greater than 55 in the second column above (2)


COUPDAYBS

See Also

Returns the number of days from the beginning of the coupon period to the settlement date.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

COUPDAYBS(settlement,maturity,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, 30 years after the January 1, 2008, issue date.
  • All arguments are truncated to integers.
  • If settlement or maturity is not a valid date, COUPDAYBS returns the #VALUE! error value.
  • If frequency is any number other than 1, 2, or 4, COUPDAYBS returns the #NUM! error value.
  • If basis < 0 or if basis > 4, COUPDAYBS returns the #NUM! error value.
  • If settlement ≥ maturity, COUPDAYBS returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
January 25, 2007 | Settlement date
November 15, 2008 | Maturity date
2 | Semiannual coupon (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=COUPDAYBS(A2,A3,A4,A5) | The number of days from the beginning of the coupon period to the settlement date, for a bond with the above terms (71)


COUPDAYS

See Also

Returns the number of days in the coupon period that contains the settlement date.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

COUPDAYS(settlement,maturity,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date is January 1, 2038, 30 years after the January 1, 2008 issue date.
  • All arguments are truncated to integers.
  • If settlement or maturity is not a valid date, COUPDAYS returns the #VALUE! error value.
  • If frequency is any number other than 1, 2, or 4, COUPDAYS returns the #NUM! error value.
  • If basis < 0 or if basis > 4, COUPDAYS returns the #NUM! error value.
  • If settlement ≥ maturity, COUPDAYS returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
January 25, 2007 | Settlement date
November 15, 2008 | Maturity date
2 | Semiannual coupon (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=COUPDAYS(A2,A3,A4,A5) | The number of days in the coupon period that contains the settlement date, for a bond with the above terms (181)


COUPDAYSNC

See Also

Returns the number of days from the settlement date to the next coupon date.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

COUPDAYSNC(settlement,maturity,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • All arguments are truncated to integers.
  • If settlement or maturity is not a valid date, COUPDAYSNC returns the #VALUE! error value.
  • If frequency is any number other than 1, 2, or 4, COUPDAYSNC returns the #NUM! error value.
  • If basis < 0 or if basis > 4, COUPDAYSNC returns the #NUM! error value.
  • If settlement ≥ maturity, COUPDAYSNC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
January 25, 2007 | Settlement date
November 15, 2008 | Maturity date
2 | Semiannual coupon (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=COUPDAYSNC(A2,A3,A4,A5) | The number of days from the settlement date to the next coupon date, for a bond with the above terms (110)


COUPNCD

See Also

Returns a number that represents the next coupon date after the settlement date.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

COUPNCD(settlement,maturity,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • All arguments are truncated to integers.
  • If settlement or maturity is not a valid date, COUPNCD returns the #VALUE! error value.
  • If frequency is any number other than 1, 2, or 4, COUPNCD returns the #NUM! error value.
  • If basis < 0 or if basis > 4, COUPNCD returns the #NUM! error value.
  • If settlement ≥ maturity, COUPNCD returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
January 25, 2007 | Settlement date
November 15, 2008 | Maturity date
2 | Semiannual coupon (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=COUPNCD(A2,A3,A4,A5) | The next coupon date after the settlement date, for a bond with the above terms (May 15, 2007)

Note To view the number as a date, select the cell and click Cells on the Format menu. Click the Number tab, and then click Date in the Category box.


COUPNUM

See Also

Returns the number of coupons payable between the settlement date and maturity date, rounded up to the nearest whole coupon.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

COUPNUM(settlement,maturity,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • All arguments are truncated to integers.
  • If settlement or maturity is not a valid date, COUPNUM returns the #VALUE! error value.
  • If frequency is any number other than 1, 2, or 4, COUPNUM returns the #NUM! error value.
  • If basis < 0 or if basis > 4, COUPNUM returns the #NUM! error value.
  • If settlement ≥ maturity, COUPNUM returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
January 25, 2007 | Settlement date
November 15, 2008 | Maturity date
2 | Semiannual coupon (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=COUPNUM(A2,A3,A4,A5) | The number of coupon payments for a bond with the above terms (4)


COUPPCD

See Also

Returns a number that represents the previous coupon date before the settlement date.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

COUPPCD(settlement,maturity,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • All arguments are truncated to integers.
  • If settlement or maturity is not a valid date, COUPPCD returns the #VALUE! error value.
  • If frequency is any number other than 1, 2, or 4, COUPPCD returns the #NUM! error value.
  • If basis < 0 or if basis > 4, COUPPCD returns the #NUM! error value.
  • If settlement ≥ maturity, COUPPCD returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
January 25, 2007 | Settlement date
November 15, 2008 | Maturity date
2 | Semiannual coupon (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=COUPPCD(A2,A3,A4,A5) | The previous coupon date before the settlement date, for a bond with the above terms (November 15, 2006)

Note To view the number as a date, select the cell and click Cells on the Format menu. Click the Number tab, and then click Date in the Category box.


COVAR

See Also

Returns covariance, the average of the products of deviations for each data point pair. Use covariance to determine the relationship between two data sets. For example, you can examine whether greater income accompanies greater levels of education.

Syntax

COVAR(array1,array2)

Array1 is the first cell range of integers.

Array2 is the second cell range of integers.

Remarks

  • The arguments must either be numbers or be names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If array1 and array2 have different numbers of data points, COVAR returns the #N/A error value.
  • If either array1 or array2 is empty, COVAR returns the #DIV/0! error value.
  • The covariance is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data1 | Data2
3 | 9
2 | 7
4 | 12
5 | 15
6 | 17
Formula | Description (Result)
=COVAR(A2:A6, B2:B6) | Covariance, the average of the products of deviations for each data point pair above (5.2)


CRITBINOM

See Also

Returns the smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value. Use this function for quality assurance applications. For example, use CRITBINOM to determine the greatest number of defective parts that are allowed to come off an assembly line run without rejecting the entire lot.

Syntax

CRITBINOM(trials,probability_s,alpha)

Trials is the number of Bernoulli trials.

Probability_s is the probability of a success on each trial.

Alpha is the criterion value.

Remarks

  • If any argument is nonnumeric, CRITBINOM returns the #VALUE! error value.
  • If trials is not an integer, it is truncated.
  • If trials < 0, CRITBINOM returns the #NUM! error value.
  • If probability_s is < 0 or probability_s > 1, CRITBINOM returns the #NUM! error value.
  • If alpha < 0 or alpha > 1, CRITBINOM returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
6 | Number of Bernoulli trials
0.5 | Probability of a success on each trial
0.75 | Criterion value
Formula | Description (Result)
=CRITBINOM(A2,A3,A4) | Smallest value for which the cumulative binomial distribution is greater than or equal to a criterion value (4)


CUMIPMT

See Also

Returns the cumulative interest paid on a loan between start_period and end_period.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

CUMIPMT(rate,nper,pv,start_period,end_period,type)

Rate is the interest rate.

Nper is the total number of payment periods.

Pv is the present value.

Start_period is the first period in the calculation. Payment periods are numbered beginning with 1.

End_period is the last period in the calculation.

Type is the timing of the payment.

Type | Timing
0 (zero) | Payment at the end of the period
1 | Payment at the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 10 percent, use 10%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 10% for rate and 4 for nper.
  • Nper, start_period, end_period, and type are truncated to integers.
  • If rate ≤ 0, nper ≤ 0, or pv ≤ 0, CUMIPMT returns the #NUM! error value.
  • If start_period < 1, end_period < 1, or start_period > end_period, CUMIPMT returns the #NUM! error value.
  • If type is any number other than 0 or 1, CUMIPMT returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
9% | Annual interest rate
30 | Years of the loan
125,000 | Present value
Formula | Description (Result)
=CUMIPMT(A2/12,A3*12,A4,13,24,0) | Total interest paid in the second year of payments, periods 13 through 24 (-11135.23)
=CUMIPMT(A2/12,A3*12,A4,1,1,0) | Interest paid in a single payment in the first month (-937.50)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


CUMPRINC

See Also

Returns the cumulative principal paid on a loan between start_period and end_period.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

CUMPRINC(rate,nper,pv,start_period,end_period,type)

Rate is the interest rate.

Nper is the total number of payment periods.

Pv is the present value.

Start_period is the first period in the calculation. Payment periods are numbered beginning with 1.

End_period is the last period in the calculation.

Type is the timing of the payment.

Type | Timing
0 (zero) | Payment at the end of the period
1 | Payment at the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • Nper, start_period, end_period, and type are truncated to integers.
  • If rate ≤ 0, nper ≤ 0, or pv ≤ 0, CUMPRINC returns the #NUM! error value.
  • If start_period < 1, end_period < 1, or start_period > end_period, CUMPRINC returns the #NUM! error value.
  • If type is any number other than 0 or 1, CUMPRINC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
9.00% | Interest rate per annum
30 | Term in years
125,000 | Present value
Formula | Description (Result)
=CUMPRINC(A2/12,A3*12,A4,13,24,0) | The total principal paid in the second year of payments, periods 13 through 24 (-934.1071)
=CUMPRINC(A2/12,A3*12,A4,1,1,0) | The principal paid in a single payment in the first month (-68.27827)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


DATE

See Also

Returns the sequential serial number that represents a particular date. If the cell format was General before the function was entered, the result is formatted as a date.

Syntax

DATE(year,month,day)

Year The year argument can be one to four digits. Microsoft Excel interprets the year argument according to the date system you are using. By default, Excel for Windows uses the 1900 date system; Excel for the Macintosh uses the 1904 date system.

For the 1900 date system

  • If year is between 0 (zero) and 1899 (inclusive), Excel adds that value to 1900 to calculate the year. For example, DATE(108,1,2) returns January 2, 2008 (1900+108).

  • If year is between 1900 and 9999 (inclusive), Excel uses that value as the year. For example, DATE(2008,1,2) returns January 2, 2008.

  • If year is less than 0 or is 10000 or greater, Excel returns the #NUM! error value.

For the 1904 date system

  • If year is between 4 and 1899 (inclusive), Excel adds that value to 1900 to calculate the year. For example, DATE(108,1,2) returns January 2, 2008 (1900+108).

  • If year is between 1904 and 9999 (inclusive), Excel uses that value as the year. For example, DATE(2008,1,2) returns January 2, 2008.

  • If year is less than 4 or is 10000 or greater or if year is between 1900 and 1903 (inclusive), Excel returns the #NUM! error value.

Month is a number representing the month of the year. If month is greater than 12, month adds that number of months to the first month in the year specified. For example, DATE(2008,14,2) returns the serial number representing February 2, 2009.

Day is a number representing the day of the month. If day is greater than the number of days in the month specified, day adds that number of days to the first day in the month. For example, DATE(2008,1,35) returns the serial number representing February 4, 2008.

Remarks

  • Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Excel for the Macintosh uses a different date system as its default.
  • The DATE function is most useful in formulas where year, month, and day are formulas, not constants.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B | C
Year | Month | Day
2008 | 1 | 1
Formula | Description (Result)
=DATE(A2,B2,C2) | Serial date for the date above, using the 1900 date system (1/1/2008 or 39448)

Note To view the number as a serial number, select the cell and click Cells on the Format menu. Click the Number tab, and then click General in the Category box.


DATEVALUE

See Also

Returns the serial number of the date represented by date_text. Use DATEVALUE to convert a date represented by text to a serial number.

Syntax

DATEVALUE(date_text)

Date_text is text that represents a date in a Microsoft Excel date format. For example, "1/30/2008" or "30-Jan-2008" are text strings within quotation marks that represent dates. Using the default date system in Excel for Windows, date_text must represent a date from January 1, 1900, to December 31, 9999. Using the default date system in Excel for the Macintosh, date_text must represent a date from January 1, 1904, to December 31, 9999. DATEVALUE returns the #VALUE! error value if date_text is out of this range.

If the year portion of date_text is omitted, DATEVALUE uses the current year from your computer's built-in clock. Time information in date_text is ignored.

Remarks

  • Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Excel for the Macintosh uses a different date system as its default.
  • Most functions automatically convert date values to serial numbers.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=DATEVALUE("8/22/2008") | Serial number of the text date, using the 1900 date system (39682)
=DATEVALUE("22-AUG-2008") | Serial number of the text date, using the 1900 date system (39682)
=DATEVALUE("2008/02/23") | Serial number of the text date, using the 1900 date system (39501)
=DATEVALUE("5-JUL") | Serial number of the text date, using the 1900 date system, and assuming the computer's built-in clock is set to 2008 (39634)

Note To view the number as a date, select the cell and click Cells on the Format menu. Click the Number tab, and then click Date in the Category box.


DAVERAGE

See Also

Averages the values in a column of a list or database that match conditions you specify.

Syntax

DAVERAGE(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DAY

See Also

Returns the day of a date, represented by a serial number. The day is given as an integer ranging from 1 to 31.

Syntax

DAY(serial_number)

Serial_number is the date of the day you are trying to find. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Remarks

Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.

Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Date
15-Apr-2008
Formula | Description (Result)
=DAY(A2) | Day of the date above (15)


DAYS360

See Also

Returns the number of days between two dates based on a 360-day year (twelve 30-day months), which is used in some accounting calculations. Use this function to help compute payments if your accounting system is based on twelve 30-day months.

Syntax

DAYS360(start_date,end_date,method)

Start_date and end_date are the two dates between which you want to know the number of days. If start_date occurs after end_date, DAYS360 returns a negative number. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Method is a logical value that specifies whether to use the U.S. or European method in the calculation.

Method | Defined
FALSE or omitted | U.S. (NASD) method. If the starting date is the 31st of a month, it becomes equal to the 30th of the same month. If the ending date is the 31st of a month and the starting date is earlier than the 30th of a month, the ending date becomes equal to the 1st of the next month; otherwise the ending date becomes equal to the 30th of the same month.
TRUE | European method. Starting dates and ending dates that occur on the 31st of a month become equal to the 30th of the same month.

Remark

Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Dates
1/30/2008
2/1/2008
Formula | Description (Result)
=DAYS360(A2,A3) | Number of days between the two dates above, based on a 360-day year (1)


DB

See Also

Returns the depreciation of an asset for a specified period using the fixed-declining balance method.

Syntax

DB(cost,salvage,life,period,month)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Period is the period for which you want to calculate the depreciation. Period must use the same units as life.

Month is the number of months in the first year. If month is omitted, it is assumed to be 12.

Remarks

  • The fixed-declining balance method computes depreciation at a fixed rate. DB uses the following formulas to calculate depreciation for a period:

    (cost - total depreciation from prior periods) * rate

    where:

    rate = 1 - ((salvage / cost) ^ (1 / life)), rounded to three decimal places

  • Depreciation for the first and last periods is a special case. For the first period, DB uses this formula:

    cost * rate * month / 12

  • For the last period, DB uses this formula:

    ((cost - total depreciation from prior periods) * rate * (12 - month)) / 12

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
1,000,000 | Initial cost
100,000 | Salvage value
6 | Lifetime in years
Formula | Description (Result)
=DB(A2,A3,A4,1,7) | Depreciation in first year, with only 7 months calculated (186,083.33)
=DB(A2,A3,A4,2,7) | Depreciation in second year (259,639.42)
=DB(A2,A3,A4,3,7) | Depreciation in third year (176,814.44)
=DB(A2,A3,A4,4,7) | Depreciation in fourth year (120,410.64)
=DB(A2,A3,A4,5,7) | Depreciation in fifth year (81,999.64)
=DB(A2,A3,A4,6,7) | Depreciation in sixth year (55,841.76)
=DB(A2,A3,A4,7,7) | Depreciation in seventh year, with only 5 months calculated (15,845.10)


DCOUNT

See Also

Counts the cells that contain numbers in a column of a list or database that match conditions you specify.

The field argument is optional. If field is omitted, DCOUNT counts all records in the database that match the criteria.

Syntax

DCOUNT(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DCOUNTA

See Also

Counts the nonblank cells in a column of a list or database that match conditions you specify.

The field argument is optional. If field is omitted, DCOUNTA counts all records in the database that match the criteria.

Syntax

DCOUNTA(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DDB

See Also

Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify.

Syntax

DDB(cost,salvage,life,period,factor)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is being depreciated (sometimes called the useful life of the asset).

Period is the period for which you want to calculate the depreciation. Period must use the same units as life.

Factor is the rate at which the balance declines. If factor is omitted, it is assumed to be 2 (the double-declining balance method).

Important All five arguments must be positive numbers.

Remarks

  • The double-declining balance method computes depreciation at an accelerated rate. Depreciation is highest in the first period and decreases in successive periods. DDB uses the following formula to calculate depreciation for a period:

    ((cost-salvage) - total depreciation from prior periods) * (factor/life)

  • Change factor if you do not want to use the double-declining balance method.
  • Use the VDB function if you want to switch to the straight-line depreciation method when depreciation is greater than the declining balance calculation.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
2400 | Initial cost
300 | Salvage value
10 | Lifetime in years
Formula | Description (Result)
=DDB(A2,A3,A4*365,1) | First day's depreciation. Microsoft Excel automatically assumes that factor is 2. (1.32)
=DDB(A2,A3,A4*12,1,2) | First month's depreciation (40.00)
=DDB(A2,A3,A4,1,2) | First year's depreciation (480.00)
=DDB(A2,A3,A4,2,1.5) | Second year's depreciation using a factor of 1.5 instead of the double-declining balance method (306.00)
=DDB(A2,A3,A4,10) | Tenth year's depreciation. Microsoft Excel automatically assumes that factor is 2 (22.12)

Note The results are rounded to two decimal places.


DEC2BIN

See Also

Converts a decimal number to binary.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DEC2BIN(number,places)

Number is the decimal integer you want to convert. If number is negative, places is ignored and DEC2BIN returns a 10-character (10-bit) binary number in which the most significant bit is the sign bit. The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, DEC2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number < -512 or if number > 511, DEC2BIN returns the #NUM! error value.
  • If number is nonnumeric, DEC2BIN returns the #VALUE! error value.
  • If DEC2BIN requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, DEC2BIN returns the #VALUE! error value.
  • If places is negative, DEC2BIN returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=DEC2BIN(9, 4) | Converts decimal 9 to binary with 4 characters (1001)
=DEC2BIN(-100) | Converts decimal -100 to binary (1110011100)


DEC2HEX

See Also

Converts a decimal number to hexadecimal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DEC2HEX(number,places)

Number is the decimal integer you want to convert. If number is negative, places is ignored and DEC2HEX returns a 10-character (40-bit) hexadecimal number in which the most significant bit is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, DEC2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number < -549,755,813,888 or if number > 549,755,813,887, DEC2HEX returns the #NUM! error value.
  • If number is nonnumeric, DEC2HEX returns the #VALUE! error value.
  • If DEC2HEX requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, DEC2HEX returns the #VALUE! error value.
  • If places is negative, DEC2HEX returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=DEC2HEX(100, 4) | Converts decimal 100 to hexadecimal with 4 characters (0064)
=DEC2HEX(-54) | Converts decimal -54 to hexadecimal (FFFFFFFFCA)


DEC2OCT

See Also

Converts a decimal number to octal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DEC2OCT(number, places)

Number is the decimal integer you want to convert. If number is negative, places is ignored and DEC2OCT returns a 10-character (30-bit) octal number in which the most significant bit is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, DEC2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number < -536,870,912 or if number > 536,870,911, DEC2OCT returns the #NUM! error value.
  • If number is nonnumeric, DEC2OCT returns the #VALUE! error value.
  • If DEC2OCT requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, DEC2OCT returns the #VALUE! error value.
  • If places is negative, DEC2OCT returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=DEC2OCT(58, 3) | Converts decimal 58 to octal (072)
=DEC2OCT(-100) | Converts decimal to octal (7777777634)


DEGREES

See Also

Converts radians into degrees.

Syntax

DEGREES(angle)

Angle is the angle in radians that you want to convert.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=DEGREES(PI()) | Degrees of pi radians (180)


DELTA

See Also

Tests whether two values are equal. Returns 1 if number1 = number2; returns 0 otherwise. Use this function to filter a set of values. For example, by summing several DELTA functions you calculate the count of equal pairs. This function is also known as the Kronecker Delta function.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DELTA(number1,number2)

Number1 is the first number.

Number2 is the second number. If omitted, number2 is assumed to be zero.

Remarks

  • If number1 is nonnumeric, DELTA returns the #VALUE! error value.
  • If number2 is nonnumeric, DELTA returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=DELTA(5, 4) | Checks whether 5 equals 4 (0)
=DELTA(5, 5) | Checks whether 5 equals 5 (1)
=DELTA(0.5, 0) | Checks whether 0.5 equals 0 (0)


DEVSQ

See Also

Returns the sum of squares of deviations of data points from their sample mean.

Syntax

DEVSQ(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate the sum of squared deviations. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be numbers, or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • The equation for the sum of squared deviations is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A
Data
4
5
8
7
11
4
3
Formula | Description (Result)
=DEVSQ(A2:A8) | Sum of squares of deviations of data above from their sample mean (48)


DGET

See Also

Extracts a single value from a column of a list or database that matches conditions you specify.

Syntax

DGET(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Remarks

  • If no record matches the criteria, DGET returns the #VALUE! error value.
  • If more than one record matches the criteria, DGET returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DISC

See Also

Returns the discount rate for a security.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DISC(settlement,maturity,pr,redemption,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Pr is the security's price per $100 face value.

Redemption is the security's redemption value per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, and basis are truncated to integers.
  • If settlement or maturity is not a valid serial date number, DISC returns the #VALUE! error value.
  • If pr ≤ 0 or if redemption ≤ 0, DISC returns the #NUM! error value.
  • If basis < 0 or if basis > 4, DISC returns the #NUM! error value.
  • If settlement ≥ maturity, DISC returns the #NUM! error value.
  • DISC is calculated as follows:

    where:

    B = number of days in a year, depending on the year basis.

    DSM = number of days between settlement and maturity.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
January 25, 2007 | Settlement date
June 15, 2007 | Maturity date
97.975 | Price
100 | Redemption value
1 | Actual/360 basis (see above)
Formula | Description (Result)
=DISC(A2,A3,A4,A5,A6) | The bond discount rate, for a bond with the above terms (0.052420213 or 5.24%)

Note To view the number as a percent, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


DMAX

See Also

Returns the largest number in a column of a list or database that matches conditions you specify.

Syntax

DMAX(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DMIN

See Also

Returns the smallest number in a column of a list or database that matches conditions you specify.

Syntax

DMIN(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DOLLAR

See Also

The function described in this Help topic converts a number to text format and applies a currency symbol. The name of the function (and the symbol that it applies) depends upon your language settings.

This function converts a number to text using currency format, with the decimals rounded to the specified place. The format used is $#,##0.00_);($#,##0.00).

Syntax

DOLLAR(number,decimals)

Number is a number, a reference to a cell containing a number, or a formula that evaluates to a number.

Decimals is the number of digits to the right of the decimal point. If decimals is negative, number is rounded to the left of the decimal point. If you omit decimals, it is assumed to be 2.

Remark

The major difference between formatting a cell that contains a number with the Cells command (Format menu) and formatting a number directly with the DOLLAR function is that DOLLAR converts its result to text. A number formatted with the Cells command is still a number. You can continue to use numbers formatted with DOLLAR in formulas, because Microsoft Excel converts numbers entered as text values to numbers when it calculates.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A
Data
1234.567
-1234.567
-0.123
99.888
Formula | Description (Result)
=DOLLAR(A2, 2) | Displays the first number in a currency format, 2 digits to the right of the decimal point ($1,234.57)
=DOLLAR(A2, -2) | Displays the first number in a currency format, 2 digits to the left of the decimal point ($1,200)
=DOLLAR(A3, -2) | Displays the second number in a currency format, 2 digits to the left of the decimal point (($1,200))
=DOLLAR(A4, 4) | Displays the third number in a currency format, 4 digits to the right of the decimal point(($0.1230))
=DOLLAR(A5) | Displays the fourth number in a currency format, 2 digit to the left of the decimal point ($99.89)


DOLLARDE

See Also

Converts a dollar price expressed as a fraction into a dollar price expressed as a decimal number. Use DOLLARDE to convert fractional dollar numbers, such as securities prices, to decimal numbers.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DOLLARDE(fractional_dollar,fraction)

Fractional_dollar is a number expressed as a fraction.

Fraction is the integer to use in the denominator of the fraction.

Remarks

  • If fraction is not an integer, it is truncated.
  • If fraction is less than 0, DOLLARDE returns the #NUM! error value.
  • If fraction is 0, DOLLARDE returns the #DIV/0! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=DOLLARDE(1.02,16) | Converts 1.02, read as 1 and 2/16, to a decimal number (1.125)
=DOLLARDE(1.1,32) | Converts 1.1, read as 1 and 10/32, to a decimal number (1.3125)


DOLLARFR

See Also

Converts a dollar price expressed as a decimal number into a dollar price expressed as a fraction. Use DOLLARFR to convert decimal numbers to fractional dollar numbers, such as securities prices.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DOLLARFR(decimal_dollar,fraction)

Decimal_dollar is a decimal number.

Fraction is the integer to use in the denominator of a fraction.

Remarks

  • If fraction is not an integer, it is truncated.
  • If fraction is less than 0, DOLLARFR returns the #NUM! error value.
  • If fraction is 0, DOLLARFR returns the #DIV/0! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=DOLLARFR(1.125,16) | Converts the decimal number 1.125 to a number read as 1 and 2/16 (1.02)
=DOLLARFR(1.125,32) | Converts the decimal number 1.125 to a number read as 1 and 1/8 (1.04)


DPRODUCT

See Also

Multiplies the values in a column of a list or database that match conditions you specify.

Syntax

DPRODUCT(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DSTDEV

See Also

Estimates the standard deviation of a population based on a sample by using the numbers in a column of a list or database that match conditions you specify.

Syntax

DSTDEV(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DSTDEVP

See Also

Calculates the standard deviation of a population based on the entire population, using the numbers in a column of a list or database that match conditions you specify.

Syntax

DSTDEVP(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DSUM

See Also

Adds the numbers in a column of a list or database that match conditions you specify.

Syntax

DSUM(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DURATION

See Also

Returns the Macauley duration for an assumed par value of $100. Duration is defined as the weighted average of the present value of the cash flows and is used as a measure of a bond price's response to changes in yield.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

DURATION(settlement,maturity,coupon,yld,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Coupon is the security's annual coupon rate.

Yld is the security's annual yield.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, frequency, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, DURATION returns the #VALUE! error value.
  • If coupon < 0 or if yld < 0, DURATION returns the #NUM! error value.
  • If frequency is any number other than 1, 2, or 4, DURATION returns the #NUM! error value.
  • If basis < 0 or if basis > 4, DURATION returns the #NUM! error value.
  • If settlement ≥ maturity, DURATION returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Data | Description
January 1, 2008 | Settlement date
January 1, 2016 | Maturity date
8% | Percent coupon
9.0% | Percent yield
2 | Frequency is semiannual (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=DURATION(A2,A3,A4,A5,A6,A7) | The duration, for the bond with the terms above (5.993775)


DVAR

See Also

Estimates the variance of a population based on a sample by using the numbers in a column of a list or database that match conditions you specify.

Syntax

DVAR(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


DVARP

See Also

Calculates the variance of a population based on the entire population by using the numbers in a column of a list or database that match conditions you specify.

Syntax

DVARP(database,field,criteria)

Database is the range of cells that makes up the list or database. A database is a list of related data in which rows of related information are records, and columns of data are fields. The first row of the list contains labels for each column.

Field indicates which column is used in the function. Field can be given as text with the column label enclosed between double quotation marks, such as "Age" or "Yield," or as a number that represents the position of the column within the list: 1 for the first column, 2 for the second column, and so on.

Criteria is the range of cells that contains the conditions you specify. You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying a condition for the column.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B | C | D | E | F
Tree | Height | Age | Yield | Profit | Height
Apple | >10 |  |  |  | <16
Pear |  |  |  |  |
Tree | Height | Age | Yield | Profit
Apple | 18 | 20 | 14 | 105.00
Pear | 12 | 12 | 10 | 96.00
Cherry | 13 | 14 | 9 | 105.00
Apple | 14 | 15 | 10 | 75.00
Pear | 9 | 8 | 8 | 76.80
Apple | 8 | 9 | 6 | 45.00
Formula | Description (Result)
=DCOUNT(A4:E10,"Age",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Age fields in those records contain numbers. (1)
=DCOUNTA(A4:E10,"Profit",A1:F2) | This function looks at the records of apple trees between a height of 10 and 16 and counts how many of the Profit fields in those records are not blank. (1)
=DMAX(A4:E10,"Profit",A1:A3) | The maximum profit of apple and pear trees. (105)
=DMIN(A4:E10,"Profit",A1:B2) | The minimum profit of apple trees over 10 in height. (75)
=DSUM(A4:E10,"Profit",A1:A2) | The total profit from apple trees. (225)
=DSUM(A4:E10,"Profit",A1:F2) | The total profit from apple trees with a height between 10 and 16. (75)
=DPRODUCT(A4:E10,"Yield",A1:B2) | The product of the yields from apple trees with a height greater than 10. (140)
=DAVERAGE(A4:E10,"Yield",A1:B2) | The average yield of apple trees over 10 feet in height. (12)
=DAVERAGE(A4:E10,3,A4:E10) | The average age of all trees in the database. (13)
=DSTDEV(A4:E10,"Yield",A1:A3) | The estimated standard deviation in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (2.97)
=DSTDEVP(A4:E10,"Yield",A1:A3) | The true standard deviation in the yield of apple and pear trees if the data in the database is the entire population. (2.65)
=DVAR(A4:E10,"Yield",A1:A3) | The estimated variance in the yield of apple and pear trees if the data in the database is only a sample of the total orchard population. (8.8)
=DVARP(A4:E10,"Yield",A1:A3) | The true variance in the yield of apple and pear trees if the data in the database is the entire orchard population. ( 7.04)
=DGET(A4:E10,"Yield",A1:A3) | Returns the #NUM! error value because more than one record meets the criteria.

Tips

  • You can use any range for the criteria argument, as long as it includes at least one column label and at least one cell below the column label for specifying the condition.

    For example, if the range G1:G2 contains the column label Income in G1 and the amount 10,000 in G2, you could define the range as MatchIncome and use that name as the criteria argument in the database functions.

  • Although the criteria range can be located anywhere on the worksheet, do not place the criteria range below the list. If you add more information to the list by using the Form command on the Data menu, the new information is added to the first row below the list. If the row below the list is not blank, Microsoft Excel cannot add the new information.
  • Make sure the criteria range does not overlap the list.
  • To perform an operation on an entire column in a database, enter a blank line below the column labels in the criteria range.

Examples of criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.

  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.

  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


EDATE

See Also

Returns the serial number that represents the date that is the indicated number of months before or after a specified date (the start_date). Use EDATE to calculate maturity dates or due dates that fall on the same day of the month as the date of issue.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

EDATE(start_date,months)

Start_date is a date that represents the start date. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Months is the number of months before or after start_date. A positive value for months yields a future date; a negative value yields a past date.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • If start_date is not a valid date, EDATE returns the #VALUE! error value.
  • If months is not an integer, it is truncated.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Date
01/15/2008
Formula | Description (Result)
=EDATE(A2,1) | The date, one month after the date above (February 15, 2008)
=EDATE(A2,-1) | The date, one month before the date above (December 15, 2007)
=EDATE(A2,2) | The date, two months after the date above (March 15, 2008)

Note To view the number as a date, select the cell and click Cells on the Format menu. Click the Number tab, and then click Date in the Category box.


EFFECT

See Also

Returns the effective annual interest rate, given the nominal annual interest rate and the number of compounding periods per year.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

EFFECT(nominal_rate,npery)

Nominal_rate is the nominal interest rate.

Npery is the number of compounding periods per year.

Remarks

  • Npery is truncated to an integer.
  • If either argument is nonnumeric, EFFECT returns the #VALUE! error value.
  • If nominal_rate ≤ 0 or if npery < 1, EFFECT returns the #NUM! error value.
  • EFFECT is calculated as follows:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
5.25% | Nominal interest rate
4 | Number of compounding periods per year
Formula | Description (Result)
=EFFECT(A2,A3) | Effective interest rate with the terms above (0.053543 or 5.3543 percent)


EOMONTH

See Also

Returns the serial number for the last day of the month that is the indicated number of months before or after start_date. Use EOMONTH to calculate maturity dates or due dates that fall on the last day of the month.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

EOMONTH(start_date,months)

Start_date is a date that represents the starting date. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Months is the number of months before or after start_date. A positive value for months yields a future date; a negative value yields a past date.

  • If months is not an integer, it is truncated.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • If start_date is not a valid date, EOMONTH returns the #NUM! error value.
  • If start_date plus months yields an invalid date, EOMONTH returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Date
01/01/2008
Formula | Description (Result)
=EOMONTH(A2,1) | Date of the last day of the month, one month after the date above (February 29, 2008)
=EOMONTH(A2,-3) | Date of the last day of the month, three months before the date above (October 31, 2007)

Note To view the number as a date, select the cell and click Cells on the Format menu. Click the Number tab, and then click Date in the Category box.


ERF

See Also

Returns the error function integrated between lower_limit and upper_limit.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ERF(lower_limit,upper_limit)

Lower_limit is the lower bound for integrating ERF.

Upper_limit is the upper bound for integrating ERF. If omitted, ERF integrates between zero and lower_limit.

Remarks

  • If lower_limit is nonnumeric, ERF returns the #VALUE! error value.
  • If lower_limit is negative, ERF returns the #NUM! error value.
  • If upper_limit is nonnumeric, ERF returns the #VALUE! error value.
  • If upper_limit is negative, ERF returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=ERF(0.74500) | Error function integrated between 0 and 0.74500 (0.707929)
=ERF(1) | Error function integrated between 0 and 1 (0.842701)


ERFC

See Also

Returns the complementary ERF function integrated between x and infinity.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ERFC(x)

X is the lower bound for integrating ERF.

Remarks

  • If x is nonnumeric, ERFC returns the #VALUE! error value.
  • If x is negative, ERFC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=ERFC(1) | Complementary ERF function of 1 (0.1573)


ERROR.TYPE

See Also

Returns a number corresponding to one of the error values in Microsoft Excel or returns the #N/A error if no error exists. You can use ERROR.TYPE in an IF function to test for an error value and return a text string, such as a message, instead of the error value.

Syntax

ERROR.TYPE(error_val)

Error_val is the error value whose identifying number you want to find. Although error_val can be the actual error value, it will usually be a reference to a cell containing a formula that you want to test.

If error_val is | ERROR.TYPE returns
#NULL! | 1
#DIV/0! | 2
#VALUE! | 3
#REF! | 4
#NAME? | 5
#NUM! | 6
#N/A | 7
Anything else | #N/A

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
#NULL!
=1/0
Formula | Description (Result)
=ERROR.TYPE(A2) | Number of the #NULL! error (1)
=IF(ERROR.TYPE(A3)<3,CHOOSE(ERROR.TYPE(A3),"Ranges do not intersect","The divisor is zero")) | Checks cell A3 to see whether the cell contains either the #NULL! error value or the #DIV/0! error value. If it does, then the number for the error value is used in the CHOOSE worksheet function to display one of two messages; otherwise, the #N/A error value is returned. (The divisor is zero.)


EUROCONVERT

See Also

Some of the content in this topic may not be applicable to some languages.

Converts a number to euros, converts a number from euros to a euro member currency, or converts a number from one euro member currency to another by using the euro as an intermediary (triangulation). The currencies available for conversion are those of European Union (EU) members that have adopted the euro. The function uses fixed conversion rates that are established by the EU.

Syntax

EUROCONVERT(number,source,target,full_precision,triangulation_precision)

Number is the currency value you want to convert, or a reference to a cell containing the value.

Source is a three-letter string, or reference to a cell containing the string, corresponding to the ISO code for the source currency. The following currency codes are available in the EUROCONVERT function:

Country/Region | Basic unit of currency | ISO code
Belgium | franc | BEF
Luxembourg | franc | LUF
Germany | deutsche mark | DEM
Spain | peseta | ESP
France | franc | FRF
Ireland | pound | IEP
Italy | lira | ITL
Netherlands | guilder | NLG
Austria | schilling | ATS
Portugal | escudo | PTE
Finland | markka | FIM
Euro member states | euro | EUR

The following countries may adopt the euro after the initial version of EUROCONVERT, and if so, Microsoft will update the EUROCONVERT function. For information about new euro member currencies and updates to the EUROCONVERT function, connect to the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Country/Region | Basic unit of currency | ISO Code
Denmark | krone | DKK
Greece | drachma | GRD
Sweden | krona | SEK
UK | pound sterling | GBP

Target is a three-letter string, or cell reference, corresponding to the ISO code of the currency to which you want to convert the number. See the previous Source table for the ISO codes.

Full_precision is a logical value (TRUE or FALSE), or an expression that evaluates to a value of TRUE or FALSE, that specifies how to display the result.

Use | If you want Excel to
FALSE | Display the result with the currency-specific rounding rules, see the table that follows. Excel uses the calculation precision value to calculate the result and the display precision value to display the result. FALSE is the default if the full_precision argument is omitted.
TRUE | Display the result with all significant digits resulting from the calculation.

The following table shows the currency specific rounding rules, that is, how many decimal places Excel uses to calculate a currency's conversion and display the result.
ISO code | Calculation precision | Display precision
BEF | 0 | 0
LUF | 0 | 0
DEM | 2 | 2
ESP | 0 | 0
FRF | 2 | 2
IEP | 2 | 2
ITL | 0 | 0
NLG | 2 | 2
ATS | 2 | 2
PTE | 0 | 2
FIM | 2 | 2
EUR | 2 | 2

Triangulation_precision is an integer equal to or greater than 3 that specifies the number of significant digits to be used for the intermediate euro value when converting between two euro member currencies. If you omit this argument, Excel does not round the intermediate euro value. If you include this argument when converting from a euro member currency to the euro, Excel calculates the intermediate euro value that could then be converted to a euro member currency.

Remarks

  • Excel truncates any trailing zeros in the return value.
  • If the source ISO code is the same as the target ISO code, Excel returns the original value of the number.
  • Invalid parameters return #VALUE.
  • This function does not apply a number format.
  • This function cannot be used in array formulas.

Examples

These examples assume conversion rates of 1 euro = 6.55957 French francs and 1.95583 deutsche marks. The EUROCONVERT function uses the current rates established by the EU. Microsoft will update the function if the rates change. To get full information about the rules and the rates currently in effect, see the European Commission publications about the euro.

The examples show the resulting value stored in the cell, not the formatted value.

EUROCONVERT(1.20,"DEM","EUR") equals 0.61 euro. Because neither full_precision nor triangulation_precision are specified, the result uses the calculation precision for the euro, which is 2 decimal places.

EUROCONVERT(1,"FRF","EUR",TRUE,3) equals 0.152 euro. When converting to euros, if full_precision is TRUE, the result has the precision specified by triangulation_precision.

EUROCONVERT(1,"FRF","EUR",FALSE,3) equals 0.15 euro. When converting to euros, if full_precision is FALSE, the result uses the calculation precision for the euro, which is 2 decimal places.

EUROCONVERT(1,"FRF","DEM",TRUE,3) equals 0.29728616 DM. Because triangulation_precision is 3, the intermediate euro value is rounded to three places. Because full_precision is TRUE, the resulting deutsche mark value is stored with all significant digits.

EUROCONVERT(1,"FRF","DEM",FALSE,3) equals 0.30 DM. Because triangulation_precision is 3, the intermediate euro value is rounded to three places. Because full_precision is FALSE, the resulting deutsche mark value is rounded to the calculation precision for the deutsche mark, which is 2 decimal places.


EVEN

See Also

Returns number rounded up to the nearest even integer. You can use this function for processing items that come in twos. For example, a packing crate accepts rows of one or two items. The crate is full when the number of items, rounded up to the nearest two, matches the crate's capacity.

Syntax

EVEN(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, EVEN returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an even integer, no rounding occurs.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=EVEN(1.5) | Rounds 1.5 up to the nearest even integer (2)
=EVEN(3) | Rounds 3 up to the nearest even integer (4)
=EVEN(2) | Rounds 2 up to the nearest even integer (2)
=EVEN(-1) | Rounds -1 up to the nearest even integer (-2)


EXACT

See Also

Compares two text strings and returns TRUE if they are exactly the same, FALSE otherwise. EXACT is case-sensitive but ignores formatting differences. Use EXACT to test text being entered into a document.

Syntax

EXACT(text1,text2)

Text1 is the first text string.

Text2 is the second text string.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
First string | Second string
word | word
Word | word
w ord | word
Formula | Description (Result)
=EXACT(A2,B2) | Checks whether the strings in the first row match (TRUE)
=EXACT(A3,B3) | Checks whether the strings in the second row match (FALSE)
=EXACT(A4,B4) | Checks whether the strings in the third row match (FALSE)


EXP

See Also

Returns e raised to the power of number. The constant e equals 2.71828182845904, the base of the natural logarithm.

Syntax

EXP(number)

Number is the exponent applied to the base e.

Remarks

  • To calculate powers of other bases, use the exponentiation operator (^).
  • EXP is the inverse of LN, the natural logarithm of number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=EXP(1) | Approximate value of e (2.718282)
=EXP(2) | Base of the natural logarithm e raised to the power of 2 (7.389056)


EXPONDIST

See Also

Returns the exponential distribution. Use EXPONDIST to model the time between events, such as how long an automated bank teller takes to deliver cash. For example, you can use EXPONDIST to determine the probability that the process takes at most 1 minute.

Syntax

EXPONDIST(x,lambda,cumulative)

X is the value of the function.

Lambda is the parameter value.

Cumulative is a logical value that indicates which form of the exponential function to provide. If cumulative is TRUE, EXPONDIST returns the cumulative distribution function; if FALSE, it returns the probability density function.

Remarks

  • If x or lambda is nonnumeric, EXPONDIST returns the #VALUE! error value.
  • If x < 0, EXPONDIST returns the #NUM! error value.
  • If lambda ≤ 0, EXPONDIST returns the #NUM! error value.
  • The equation for the probability density function is:

  • The equation for the cumulative distribution function is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
0.2 | Value of the function
10 | Parameter value
Formula | Description (Result)
=EXPONDIST(A2,A3,TRUE) | Cumulative exponential distribution function (0.864665)
=EXPONDIST(0.2,10,FALSE) | Probability exponential distribution function (1.353353)


FACT

See Also

Returns the factorial of a number. The factorial of a number is equal to 1*2*3*...* number.

Syntax

FACT(number)

Number is the nonnegative number you want the factorial of. If number is not an integer, it is truncated.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Formula | Description (Result)
=FACT(5) | Factorial of 5, or 1*2*3*4*5 (120)
=FACT(1.9) | Factorial of the integer of 1.9 (1)
=FACT(0) | Factorial of 0 (1)
=FACT(-1) | Negative numbers cause an error value (#NUM!)
=FACT(1) | Factorial of 1 (1)


FACTDOUBLE

See Also

Returns the double factorial of a number.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

FACTDOUBLE(number)

Number is the value for which to return the double factorial. If number is not an integer, it is truncated.

Remarks

  • If number is nonnumeric, FACTDOUBLE returns the #VALUE! error value.
  • If number is negative, FACTDOUBLE returns the #NUM! error value.
  • If number is even:

  • If number is odd:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=FACTDOUBLE(6) | Double factorial of 6 (48)
=FACTDOUBLE(7) | Double factorial of 7 (105)


FALSE

See Also

Returns the logical value FALSE.

Syntax

FALSE( )

Remark

You can also type the word FALSE directly onto the worksheet or into the formula, and Microsoft Excel interprets it as the logical value FALSE.


FDIST

See Also

Returns the F probability distribution. You can use this function to determine whether two data sets have different degrees of diversity. For example, you can examine the test scores of men and women entering high school and determine if the variability in the females is different from that found in the males.

Syntax

FDIST(x,degrees_freedom1,degrees_freedom2)

X is the value at which to evaluate the function.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FDIST returns the #VALUE! error value.
  • If x is negative, FDIST returns the #NUM! error value.
  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.
  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FDIST returns the #NUM! error value.
  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FDIST returns the #NUM! error value.
  • FDIST is calculated as FDIST=P( F<x ), where F is a random variable that has an F distribution.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
15.20675 | Value at which to evaluate the function
6 | Numerator degrees of freedom
4 | Denominator degrees of freedom
Formula | Description (Result)
=FDIST(A2,A3,A4) | F probability distribution for the terms above (0.01)


FIND

See Also

Also applies to:

FINDB

FIND finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text, from the first character of within_text. You can also use SEARCH to find one text string within another, but unlike SEARCH, FIND is case sensitive and doesn't allow wildcard characters.

FINDB finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text, based on the number of bytes each character uses, from the first character of within_text. This function is for use with double-byte characters. You can also use SEARCHB to find one text string within another.

Syntax

FIND(find_text,within_text,start_num)

FINDB(find_text,within_text,start_num)

Find_text is the text you want to find.

Within_text is the text containing the text you want to find.

Start_num specifies the character at which to start the search. The first character in within_text is character number 1. If you omit start_num, it is assumed to be 1.

Tip

Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. FIND begins with character 8, finds find_text at the next character, and returns the number 9. FIND always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • If find_text is "" (empty text), FIND matches the first character in the search string (that is, the character numbered start_num or 1).
  • Find_text cannot contain any wildcard characters.
  • If find_text does not appear in within_text, FIND and FINDB return the #VALUE! error value.
  • If start_num is not greater than zero, FIND and FINDB return the #VALUE! error value.
  • If start_num is greater than the length of within_text, FIND and FINDB return the #VALUE! error value.

Example 1 (FIND)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
Miriam McGovern
Formula | Description (Result)
=FIND("M",A2) | Position of the first "M" in the string above (1)
=FIND("m",A2) | Position of the first "m" in the string above (6)
=FIND("M",A2,3) | Position of the first "M" in the string above, starting with the third character (8)

Example 2 (FIND)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
Ceramic Insulators #124-TD45-87
Copper Coils #12-671-6772
Variable Resistors #116010
Formula | Description (Result)
=MID(A2,1,FIND(" #",A2,1)-1) | Extracts text from position 1 to the position of "#" in the first string above (Ceramic Insulators)
=MID(A3,1,FIND(" #",A3,1)-1) | Extracts text from position 1 to the position of "#" in the second string above (Copper Coils)
=MID(A4,1,FIND(" #",A4,1)-1) | Extracts text from position 1 to the position of "#" in the third string above (Variable Resistors)

Example (FINDB)

In the following examples, FIND returns 2 because "" is in the second position within the string, and FINDB returns 3 because each character is counted by its bytes; the first character has 2 bytes, so the second character begins at byte 3.

=FIND(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 2

=FINDB(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 3


FINV

See Also

Returns the inverse of the F probability distribution. If p = FDIST(x,...), then FINV(p,...) = x.

The F distribution can be used in an F-test that compares the degree of variability in two data sets. For example, you can analyze income distributions in the United States and Canada to determine whether the two countries have a similar degree of income diversity.

Syntax

FINV(probability,degrees_freedom1,degrees_freedom2)

Probability is a probability associated with the F cumulative distribution.

Degrees_freedom1 is the numerator degrees of freedom.

Degrees_freedom2 is the denominator degrees of freedom.

Remarks

  • If any argument is nonnumeric, FINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, FINV returns the #NUM! error value.
  • If degrees_freedom1 or degrees_freedom2 is not an integer, it is truncated.
  • If degrees_freedom1 < 1 or degrees_freedom1 ≥ 10^10, FINV returns the #NUM! error value.
  • If degrees_freedom2 < 1 or degrees_freedom2 ≥ 10^10, FINV returns the #NUM! error value.

FINV can be used to return critical values from the F distribution. For example, the output of an ANOVA calculation often includes data for the F statistic, F probability, and F critical value at the 0.05 significance level. To return the critical value of F, use the significance level as the probability argument to FINV.

FINV uses an iterative technique for calculating the function. Given a probability value, FINV iterates until the result is accurate to within ± 3x10^-7. If FINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
0.01 | Probability associated with the F cumulative distribution
6 | Numerator degrees of freedom
4 | Denominator degrees of freedom
Formula | Description (Result)
=FINV(A2,A3,A4) | Inverse of the F probability distribution for the terms above (15.20675)


FISHER

See Also

Returns the Fisher transformation at x. This transformation produces a function that is normally distributed rather than skewed. Use this function to perform hypothesis testing on the correlation coefficient.

Syntax

FISHER(x)

X is a numeric value for which you want the transformation.

Remarks

  • If x is nonnumeric, FISHER returns the #VALUE! error value.
  • If x ≤ -1 or if x ≥ 1, FISHER returns the #NUM! error value.

  • The equation for the Fisher transformation is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=FISHER(0.75) | Fisher transformation at 0.75 (0.972955)


FISHERINV

See Also

Returns the inverse of the Fisher transformation. Use this transformation when analyzing correlations between ranges or arrays of data. If y = FISHER(x), then FISHERINV(y) = x.

Syntax

FISHERINV(y)

Y is the value for which you want to perform the inverse of the transformation.

Remarks

  • If y is nonnumeric, FISHERINV returns the #VALUE! error value.

  • The equation for the inverse of the Fisher transformation is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=FISHERINV(0.972955) | Inverse of the Fisher transformation at 0.972955 (0.75)


FIXED

See Also

Rounds a number to the specified number of decimals, formats the number in decimal format using a period and commas, and returns the result as text.

Syntax

FIXED(number,decimals,no_commas)

Number is the number you want to round and convert to text.

Decimals is the number of digits to the right of the decimal point.

No_commas is a logical value that, if TRUE, prevents FIXED from including commas in the returned text.

Remarks

  • Numbers in Microsoft Excel can never have more than 15 significant digits, but decimals can be as large as 127.
  • If decimals is negative, number is rounded to the left of the decimal point.
  • If you omit decimals, it is assumed to be 2.
  • If no_commas is FALSE or omitted, then the returned text includes commas as usual.

  • The major difference between formatting a cell containing a number with the Cells command (Format menu) and formatting a number directly with the FIXED function is that FIXED converts its result to text. A number formatted with the Cells command is still a number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
1234.567
-1234.567
44.332
Formula | Description (Result)
=FIXED(A2, 1) | Rounds the first number 1 digit to the right of the decimal point (1,234.6)
=FIXED(A2, -1) | Rounds the first number 1 digit to the left of the decimal point (1,230)
=FIXED(-1234.567, -1, TRUE) | Rounds the second number 1 digit to the left of the decimal point, without commas (-1230)
=FIXED(44.332) | Rounds the third number 2 digits to the left of the decimal point (44.33)


FLOOR

See Also

Rounds number down, toward zero, to the nearest multiple of significance.

Syntax

FLOOR(number,significance)

Number is the numeric value you want to round.

Significance is the multiple to which you want to round.

Remarks

  • If either argument is nonnumeric, FLOOR returns the #VALUE! error value.
  • If number and significance have different signs, FLOOR returns the #NUM! error value.
  • Regardless of the sign of number, a value is rounded down when adjusted away from zero. If number is an exact multiple of significance, no rounding occurs.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Formula | Description (Result)
=FLOOR(2.5, 1) | Rounds 2.5 down to nearest multiple of 1 (2)
=FLOOR(-2.5, -2) | Rounds -2.5 down to nearest multiple of -2 (-2)
=FLOOR(-2.5, 2) | Returns an error, because -2.5 and 2 have different signs (#NUM!)
=FLOOR(1.5, 0.1) | Rounds 1.5 down to the nearest multiple of 0.1 (1.5)
=FLOOR(0.234, 0.01) | Rounds 0.234 down to the nearest multiple of 0.01 (0.23)


FORECAST

See Also

Calculates, or predicts, a future value by using existing values. The predicted value is a y-value for a given x-value. The known values are existing x-values and y-values, and the new value is predicted by using linear regression. You can use this function to predict future sales, inventory requirements, or consumer trends.

Syntax

FORECAST(x,known_y's,known_x's)

X is the data point for which you want to predict a value.

Known_y's is the dependent array or range of data.

Known_x's is the independent array or range of data.

Remarks

  • If x is nonnumeric, FORECAST returns the #VALUE! error value.
  • If known_y's and known_x's are empty or contain a different number of data points, FORECAST returns the #N/A error value.
  • If the variance of known_x's equals zero, then FORECAST returns the #DIV/0! error value.
  • The equation for FORECAST is a+bx, where:

    and:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Known Y | Known X
6 | 20
7 | 28
9 | 31
15 | 38
21 | 40
Formula | Description (Result)
=FORECAST(30,A2:A6,B2:B6) | Predicts a value for y given an x value of 30 (10.60725)


A bibliography of financial, statistical, and engineering methods

See Also

The following books provide detailed information on financial, statistical, and engineering methods.

Abramowitz, Milton, and Irene A. Stegun. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. 10th ed. Washington, D.C.: U.S. Government Printing Office, 1972.

Devore, Jay L. Probability and Statistics for Engineering and the Sciences. 4th ed. Belmont, Calif.: Wadsworth, 1991.

Fabozzi, Frank J. The Handbook of Fixed-Income Securities. 3rd ed. Homewood, Ill.: Irwin Professional, 1990.

Hewlett-Packard, HP-12C Owner's Handbook and Problem-Solving Guide. N.p.: Hewlett-Packard, 1981.

Lynch, John J., Jr., and Jan H. Mayle. Standard Securities Calculation Methods, Fixed Income Securities Formulas. New York: Securities Industry Association, 1994.

McCall, Robert B. Fundamental Statistics for the Behavioral Sciences. 6th ed. Belmont, Calif.: Wadsworth, 1994.

Monks, Joseph G. Operations Management: Theory and Problems. 3rd ed. New York: McGraw-Hill, 1987.

Press, W. H., B. P. Flannery, S. A. Teukolsky, and W. T. Vetterling. Numerical Recipes in C: The Art of Scientific Computing. 2nd ed. New York: Cambridge University Press, 1992.

Sokal, Robert R., and F. James Rohlf. Biometry: The Principles and Practice of Statistics in Biological Research. 2nd ed. New York: W. H. Freeman, 1995.

Stigum, Marcia, and John Mann. Money Market Calculations: Yields, Break-Evens, & Arbitrage. 2nd ed. Homewood, Ill.: Irwin Professional, 1989.


FREQUENCY

See Also

Calculates how often values occur within a range of values, and then returns a vertical array of numbers. For example, use FREQUENCY to count the number of test scores that fall within ranges of scores. Because FREQUENCY returns an array, it must be entered as an array formula.

Syntax

FREQUENCY(data_array,bins_array)

Data_array is an array of or reference to a set of values for which you want to count frequencies. If data_array contains no values, FREQUENCY returns an array of zeros.

Bins_array is an array of or reference to intervals into which you want to group the values in data_array. If bins_array contains no values, FREQUENCY returns the number of elements in data_array.

Remarks

  • FREQUENCY is entered as an array formula after you select a range of adjacent cells into which you want the returned distribution to appear.
  • The number of elements in the returned array is one more than the number of elements in bins_array. The extra element in the returned array returns the count of any values above the highest interval. For example, when counting three ranges of values (intervals) that are entered into three cells, be sure to enter FREQUENCY into four cells for the results. The extra cell returns the number of values in data_array that are greater than the third interval value.
  • FREQUENCY ignores blank cells and text.
  • Formulas that return arrays must be entered as array formulas.

Example

This example assumes all test scores are integers.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B
Scores | Bins
79 | 70
85 | 79
78 | 89
85 |
50 |
81 |
95 |
88 |
97 |
Formula | Description (Result)
=FREQUENCY(A2:A10,B2:B5) | Number of scores less than or equal to 70 (1)
 | Number of scores in the bin 71-79 (2)
 | Number of scores in the bin 80-89 (4)
 | Number of scores greater than or equal to 90 (2)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A13:A16 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 1.


FTEST

See Also

Returns the result of an F-test. An F-test returns the one-tailed probability that the variances in array1 and array2 are not significantly different. Use this function to determine whether two samples have different variances. For example, given test scores from public and private schools, you can test whether these schools have different levels of test score diversity.

Syntax

FTEST(array1,array2)

Array1 is the first array or range of data.

Array2 is the second array or range of data.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If the number of data points in array1 or array2 is less than 2, or if the variance of array1 or array2 is zero, FTEST returns the #DIV/0! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data1 | Data2
6 | 20
7 | 28
9 | 31
15 | 38
21 | 40
Formula | Description (Result)
=FTEST(A2:A6,B2:B6) | F-test for the data sets above (0.648318)


FV

See Also

Returns the future value of an investment based on periodic, constant payments and a constant interest rate.

Syntax

FV(rate,nper,pmt,pv,type)

For a more complete description of the arguments in FV and for more information on annuity functions, see PV.

Rate is the interest rate per period.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes. If pmt is omitted, you must include the pv argument.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now. If pv is omitted, it is assumed to be 0 (zero), and you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
6% | Annual interest rate
10 | Number of payments
-200 | Amount of the payment
-500 | Present value
1 | Payment is due at the beginning of the period (see above)
Formula | Description (Result)
=FV(A2/12, A3, A4, A5, A6) | Future value of an investment with the above terms (2581.40)

Note The annual interest rate is divided by 12 because it is compounded monthly.

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
12% | Annual interest rate
12 | Number of payments
-1000 | Amount of the payment
Formula | Description (Result)
=FV(A2/12, A3, A4) | Future value of an investment with the above terms (12,682.50)

Note The annual interest rate is divided by 12 because it is compounded monthly.

Example 3

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
11% | Annual interest rate
35 | Number of payments
-2000 | Amount of the payment
1 | Payment is due at the beginning of the year (see above)
Formula | Description (Result)
=FV(A2/12, A3, A4,, A5) | Future value of an investment with the above terms (82,846.25)

Note The annual interest rate is divided by 12 because it is compounded monthly.

Example 4

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
6% | Annual interest rate
12 | Number of payments
-100 | Amount of the payment
-1000 | Present value
1 | Payment is due at the beginning of the year (see above)
Formula | Description (Result)
=FV(A2/12, A3, A4, A5, A6) | Future value of an investment with the above terms (2301.40)

Note The annual interest rate is divided by 12 because it is compounded monthly.


FVSCHEDULE

See Also

Returns the future value of an initial principal after applying a series of compound interest rates. Use FVSCHEDULE to calculate the future value of an investment with a variable or adjustable rate.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

FVSCHEDULE(principal,schedule)

Principal is the present value.

Schedule is an array of interest rates to apply.

Remark

The values in schedule can be numbers or blank cells; any other value produces the #VALUE! error value for FVSCHEDULE. Blank cells are taken as zeros (no interest).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=FVSCHEDULE(1,{0.09,0.11,0.1}) | Future value of 1 with compound interest rates of 0.09,0.11,0.1 (1.33089)


GAMMADIST

See Also

Returns the gamma distribution. You can use this function to study variables that may have a skewed distribution. The gamma distribution is commonly used in queuing analysis.

Syntax

GAMMADIST(x,alpha,beta,cumulative)

X is the value at which you want to evaluate the distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMADIST returns the standard gamma distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, GAMMADIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If x, alpha, or beta is nonnumeric, GAMMADIST returns the #VALUE! error value.
  • If x < 0, GAMMADIST returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, GAMMADIST returns the #NUM! error value.
  • The equation for the gamma distribution is:

    The standard gamma distribution is:

  • When alpha = 1, GAMMADIST returns the exponential distribution with:

  • For a positive integer n, when alpha = n/2, beta = 2, and cumulative = TRUE, GAMMADIST returns (1 - CHIDIST(x)) with n degrees of freedom.
  • When alpha is a positive integer, GAMMADIST is also known as the Erlang distribution.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
10 | Value at which you want to evaluate the distribution
9 | Alpha parameter to the distribution
2 | Beta parameter to the distribution
Formula | Description (Result)
=GAMMADIST(A2,A3,A4,FALSE) | Probability gamma distribution with the terms above (0.032639)
=GAMMADIST(A2,A3,A4,TRUE) | Cumulative gamma distribution with the terms above (0.068094)


GAMMAINV

See Also

Returns the inverse of the gamma cumulative distribution. If p = GAMMADIST(x,...), then GAMMAINV(p,...) = x.

You can use this function to study a variable whose distribution may be skewed.

Syntax

GAMMAINV(probability,alpha,beta)

Probability is the probability associated with the gamma distribution.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution. If beta = 1, GAMMAINV returns the standard gamma distribution.

Remarks

  • If any argument is nonnumeric, GAMMAINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, GAMMAINV returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, GAMMAINV returns the #NUM! error value.
GAMMAINV uses an iterative technique for calculating the function. Given a probability value, GAMMAINV iterates until the result is accurate to within ±3x10^-7. If GAMMAINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
0.068094 | Probability associated with the gamma distribution
9 | Alpha parameter to the distribution
2 | Beta parameter to the distribution
Formula | Description (Result)
=GAMMAINV(A2,A3,A4) | Inverse of the gamma cumulative distribution for the above terms (10)


GAMMALN

See Also

Returns the natural logarithm of the gamma function, Γ(x).

Syntax

GAMMALN(x)

X is the value for which you want to calculate GAMMALN.

Remarks

  • If x is nonnumeric, GAMMALN returns the #VALUE! error value.
  • If x ≤ 0, GAMMALN returns the #NUM! error value.
  • The number e raised to the GAMMALN(i) power, where i is an integer, returns the same result as (i - 1)!.
  • GAMMALN is calculated as follows:

    where:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=GAMMALN(4) | Natural logarithm of the gamma function at 4 (1.791759)


GCD

See Also

Returns the greatest common divisor of two or more integers. The greatest common divisor is the largest integer that divides both number1 and number2 without a remainder.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

GCD(number1,number2, ...)

Number1, number2, ... are 1 to 29 values. If any value is not an integer, it is truncated.

Remarks

  • If any argument is nonnumeric, GCD returns the #VALUE! error value.
  • If any argument is less than zero, GCD returns the #NUM! error value.
  • One divides any value evenly.
  • A prime number has only itself and one as even divisors.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=GCD(5, 2) | Greatest common divisor of 5 and 2 (1)
=GCD(24, 36) | Greatest common divisor of 24 and 36 (12)
=GCD(7, 1) | Greatest common divisor of 7 and 1 (1)
=GCD(5, 0) | Greatest common divisor of 5 and 0 (5)


GEOMEAN

See Also

Returns the geometric mean of an array or range of positive data. For example, you can use GEOMEAN to calculate average growth rate given compound interest with variable rates.

Syntax

GEOMEAN(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate the mean. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If any data point ≤ 0, GEOMEAN returns the #NUM! error value.
  • The equation for the geometric mean is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A
Data
4
5
8
7
11
4
3
Formula | Description (Result)
=GEOMEAN(A2:A8) | Geometric mean of the data set above (5.476987)


GESTEP

See Also

Returns 1 if number ≥ step; returns 0 (zero) otherwise. Use this function to filter a set of values. For example, by summing several GESTEP functions you calculate the count of values that exceed a threshold.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

GESTEP(number,step)

Number is the value to test against step.

Step is the threshold value. If you omit a value for step, GESTEP uses zero.

Remark

If any argument is nonnumeric, GESTEP returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=GESTEP(5, 4) | Checks whether 5 is greater than or equal to 4 (1)
=GESTEP(5, 5) | Checks whether 5 is greater than or equal to 5 (1)
=GESTEP(-4, -5) | Checks whether -4 is greater than or equal to -5 (1)
=GESTEP(-1, 0) | Checks whether -1 is greater than or equal to 0 (0)


GETPIVOTDATA

See Also

Returns data stored in a PivotTable report. You can use GETPIVOTDATA to retrieve summary data from a PivotTable report, provided the summary data is visible in the report.

Note You can quickly enter a simple GETPIVOTDATA formula by typing = in the cell you want to return the value to and then clicking the cell in the PivotTable report that contains the data you want to return.

Syntax

GETPIVOTDATA(data_field,pivot_table,field1,item1,field2,item2,...)

Data_field is the name, enclosed in quotation marks, for the data field that contains the data you want to retrieve.

Pivot_table is a reference to any cell, range of cells, or named range of cells in a PivotTable report. This information is used to determine which PivotTable report contains the data you want to retrieve.

Field1, Item1, Field2, Item2 are one to 14 pairs of field names and item names that describe the data you want to retrieve. The pairs can be in any order. Field names and names for items other than dates and numbers are enclosed in quotation marks. For OLAP PivotTable reports, items can contain the source name of the dimension as well as the source name of the item. A field and item pair for an OLAP PivotTable might look like this:

"[Product]","[Product].[All Products].[Foods].[Baked Goods]"

Remarks

  • Calculated fields or items and custom calculations are included in GETPIVOTDATA calculations.
  • If pivot_table is a range that includes two or more PivotTable reports, data will be retrieved from whichever report was created most recently in the range.
  • If the field and item arguments describe a single cell, the value of that cell is returned regardless of whether it is a string, number, error, and so on.
  • If an item contains a date, the value must be expressed as a serial number or populated by using the DATE function so that the value will be retained if the spreadsheet is opened in a different locale. For example, an item referring to the date March 5, 1999 could be entered as 36224 or DATE(1999,3,5). Times can be entered as decimal values or by using the TIME function.
  • If pivot_table is not a range in which a PivotTable report is found, GETPIVOTDATA returns #REF!.
  • If the arguments do not describe a visible field, or if they include a page field that is not displayed, GETPIVOTDATA returns #REF!.

Examples

The range that contains the PivotTable report is:

GETPIVOTDATA("Sales",$A$4) returns the grand total of the Sales field, $49,325.

GETPIVOTDATA("Sum of Sales",$A$4) also returns the grand total of the Sales field, $49,325; the field name can be entered exactly as it looks on the sheet, or as its root (without "Sum of," "Count of," and so forth).

GETPIVOTDATA("Sales",$A$4,"Month","March") returns the grand total for March, $30,337.

GETPIVOTDATA("Sales",$A$4,"Month","March","Product","Produce","Salesperson","Buchanan") returns $10,201.

GETPIVOTDATA("Sales",$A$4,"Region","South") returns #REF! because the South region data is not visible.

GETPIVOTDATA("Sales",$A$4,"Product","Beverages","Salesperson","Davolio") returns #REF! because there is no total value of beverage sales for Davolio.


GROWTH

See Also

Calculates predicted exponential growth by using existing data. GROWTH returns the y-values for a series of new x-values that you specify by using existing x-values and y-values. You can also use the GROWTH worksheet function to fit an exponential curve to existing x-values and y-values.

Syntax

GROWTH(known_y's,known_x's,new_x's,const)

Known_y's is the set of y-values you already know in the relationship y = b*m^x.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

  • If any of the numbers in known_y's is 0 or negative, GROWTH returns the #NUM! error value.

Known_x's is an optional set of x-values that you may already know in the relationship y = b*m^x.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a vector (that is, a range with a height of one row or a width of one column).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

New_x's are new x-values for which you want GROWTH to return corresponding y-values.

  • New_x's must include a column (or row) for each independent variable, just as known_x's does. So, if known_y's is in a single column, known_x's and new_x's must have the same number of columns. If known_y's is in a single row, known_x's and new_x's must have the same number of rows.

  • If new_x's is omitted, it is assumed to be the same as known_x's.

  • If both known_x's and new_x's are omitted, they are assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 1.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 1 and the m-values are adjusted so that y = m^x.

Remarks

  • Formulas that return arrays must be entered as array formulas after selecting the correct number of cells.
  • When entering an array constant for an argument such as known_x's, use commas to separate values in the same row and semicolons to separate rows.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.

This example uses the same data as the LOGEST example. The first formula shows corresponding values to the known values. The second formula predicts the next months values, if the exponential trend continues.

1
2
3
4
5
6
7
A | B | C
Month | Units | Formula (Corresponding Units)
11 | 33,100 | =GROWTH(B2:B7,A2:A7)
12 | 47,300 |
13 | 69,000 |
14 | 102,000 |
15 | 150,000 |
16 | 220,000 |
Month | Formula (Predicted Units)
17 | =GROWTH(B2:B7,A2:A7, A9:A10)
18 |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range C2:C7 or B9:B10 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single results are 32618.20377 and 320196.7184.


HARMEAN

See Also

Returns the harmonic mean of a data set. The harmonic mean is the reciprocal of the arithmetic mean of reciprocals.

Syntax

HARMEAN(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate the mean. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If any data point ≤ 0, HARMEAN returns the #NUM! error value.
  • The harmonic mean is always less than the geometric mean, which is always less than the arithmetic mean.
  • The equation for the harmonic mean is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A
Data
4
5
8
7
11
4
3
Formula | Description (Result)
=HARMEAN(A2:A8) | Harmonic mean of the data set above (5.028376)


HEX2BIN

See Also

Converts a hexadecimal number to binary.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

HEX2BIN(number,places)

Number is the hexadecimal number you want to convert. Number cannot contain more than 10 characters. The most significant bit of number is the sign bit (40th bit from the right). The remaining 9 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, HEX2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, HEX2BIN ignores places and returns a 10-character binary number.
  • If number is negative, it cannot be less than FFFFFFFE00, and if number is positive, it cannot be greater than 1FF.
  • If number is not a valid hexadecimal number, HEX2BIN returns the #NUM! error value.
  • If HEX2BIN requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, HEX2BIN returns the #VALUE! error value.
  • If places is negative, HEX2BIN returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=HEX2BIN("F", 8) | Converts hexadecimal F to binary, with 8 characters (00001111)
=HEX2BIN("B7") | Converts hexadecimal B7 to binary (10110111)
=HEX2BIN("FFFFFFFFFF") | Converts hexadecimal FFFFFFFFFF to binary (1111111111)


HEX2DEC

See Also

Converts a hexadecimal number to decimal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

HEX2DEC(number)

Number is the hexadecimal number you want to convert. Number cannot contain more than 10 characters (40 bits). The most significant bit of number is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Remark

If number is not a valid hexadecimal number, HEX2DEC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=HEX2DEC("A5") | Converts hexadecimal A5 to decimal (165)
=HEX2DEC("FFFFFFFF5B") | Converts hexadecimal FFFFFFFF5B to decimal (-165)
=HEX2DEC("3DA408B9") | Converts hexadecimal 3DA408B9 to decimal (1034160313)


HEX2OCT

See Also

Converts a hexadecimal number to octal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

HEX2OCT(number,places)

Number is the hexadecimal number you want to convert. Number cannot contain more than 10 characters. The most significant bit of number is the sign bit. The remaining 39 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, HEX2OCT uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, HEX2OCT ignores places and returns a 10-character octal number.
  • If number is negative, it cannot be less than FFE0000000, and if number is positive, it cannot be greater than 1FFFFFFF.
  • If number is not a valid hexadecimal number, HEX2OCT returns the #NUM! error value.
  • If HEX2OCT requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, HEX2OCT returns the #VALUE! error value.
  • If places is negative, HEX2OCT returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=HEX2OCT("F", 3) | Converts hexadecimal F to octal with 3 characters (017)
=HEX2OCT("3B4E") | Converts hexadecimal 3B4E to octal (35516)
=HEX2OCT("FFFFFFFF00") | Converts hexadecimal FFFFFFFF00 to octal (7777777400)


HLOOKUP

See Also

Searches for a value in the top row of a table or an array of values, and then returns a value in the same column from a row you specify in the table or array. Use HLOOKUP when your comparison values are located in a row across the top of a table of data, and you want to look down a specified number of rows. Use VLOOKUP when your comparison values are located in a column to the left of the data you want to find.

The H in HLOOKUP stands for "Horizontal."

Syntax

HLOOKUP(lookup_value,table_array,row_index_num,range_lookup)

Lookup_value is the value to be found in the first row of the table. Lookup_value can be a value, a reference, or a text string.

Table_array is a table of information in which data is looked up. Use a reference to a range or a range name.

  • The values in the first row of table_array can be text, numbers, or logical values.

  • If range_lookup is TRUE, the values in the first row of table_array must be placed in ascending order: ...-2, -1, 0, 1, 2,... , A-Z, FALSE, TRUE; otherwise, HLOOKUP may not give the correct value. If range_lookup is FALSE, table_array does not need to be sorted.

  • Uppercase and lowercase text are equivalent.

  • You can put values in ascending order, left to right, by selecting the values and then clicking Sort on the Data menu. Click Options, click Sort left to right, and then click OK. Under Sort by, click the row in the list, and then click Ascending.

Row_index_num is the row number in table_array from which the matching value will be returned. A row_index_num of 1 returns the first row value in table_array, a row_index_num of 2 returns the second row value in table_array, and so on. If row_index_num is less than 1, HLOOKUP returns the #VALUE! error value; if row_index_num is greater than the number of rows on table_array, HLOOKUP returns the #REF! error value.

Range_lookup is a logical value that specifies whether you want HLOOKUP to find an exact match or an approximate match. If TRUE or omitted, an approximate match is returned. In other words, if an exact match is not found, the next largest value that is less than lookup_value is returned. If FALSE, HLOOKUP will find an exact match. If one is not found, the error value #N/A is returned.

Remarks

  • If HLOOKUP can't find lookup_value, and range_lookup is TRUE, it uses the largest value that is less than lookup_value.
  • If lookup_value is smaller than the smallest value in the first row of table_array, HLOOKUP returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B | C
Axles | Bearings | Bolts
4 | 4 | 9
5 | 7 | 10
6 | 8 | 11
Formula | Description (Result)
=HLOOKUP("Axles",A1:C4,2,TRUE) | Looks up Axles in row 1, and returns the value from row 2 that's in the same column. (4)
=HLOOKUP("Bearings",A1:C4,3,FALSE) | Looks up Bearings in row 1, and returns the value from row 3 that's in the same column. (7)
=HLOOKUP("B",A1:C4,3,TRUE) | Looks up B in row 1, and returns the value from row 3 that's in the same column. Because B is not an exact match, the next largest value that is less than B is used: Axles. (5)
=HLOOKUP("Bolts",A1:C4,4) | Looks up Bolts in row 1, and returns the value from row 4 that's in the same column. (11)
=HLOOKUP(3,{1,2,3;"a","b","c";"d","e","f"},2,TRUE) | Looks up 3 in the first row of the array constant, and returns the value from row 2 in same column. (c)


HOUR

See Also

Returns the hour of a time value. The hour is given as an integer, ranging from 0 (12:00 A.M.) to 23 (11:00 P.M.).

Syntax

HOUR(serial_number)

Serial_number is the time that contains the hour you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Microsoft Excel for Windows and Excel for the Macintosh use different date systems as their defaults. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Time
3:30:30 AM
3:30:30 PM
15:30
Formula | Description (Result)
=HOUR(A2) | Hour of first time (3)
=HOUR(A3) | Hour of second time (15)
=HOUR(A4) | Hour of third time (15)


HYPERLINK

See Also

Creates a shortcut or jump that opens a document stored on a network server, an intranet, or the Internet. When you click the cell that contains the HYPERLINK function, Microsoft Excel opens the file stored at link_location.

Syntax

HYPERLINK(link_location,friendly_name)

Link_location is the path and file name to the document to be opened as text. Link_location can refer to a place in a document — such as a specific cell or named range in an Excel worksheet or workbook, or to a bookmark in a Microsoft Word document. The path can be to a file stored on a hard disk drive, or the path can be a universal naming convention (UNC) path on a server (in Microsoft Excel for Windows) or a Uniform Resource Locator (URL) path on the Internet or an intranet.

  • Link_location can be a text string enclosed in quotation marks or a cell that contains the link as a text string.

  • If the jump specified in link_location does not exist or cannot be navigated, an error appears when you click the cell.

Friendly_name is the jump text or numeric value that is displayed in the cell. Friendly_name is displayed in blue and is underlined. If friendly_name is omitted, the cell displays the link_location as the jump text.

  • Friendly_name can be a value, a text string, a name, or a cell that contains the jump text or value.

  • If friendly_name returns an error value (for example, #VALUE!), the cell displays the error instead of the jump text.

Remark

To select a cell that has a hyperlink in it without jumping to the hyperlink destination, click the cell and hold the mouse button until the cursor becomes a cross Excel selection cursor, then release the mouse button.

Examples

The following example opens a worksheet named Budget Report.xls that is stored on the Internet at the location named example.microsoft.com/report and displays the text "Click for report":

=HYPERLINK("http://example.microsoft.com/report/budget report.xls", "Click for report")

The following example creates a hyperlink to cell F10 on the worksheet named Annual in the workbook Budget Report.xls, which is stored on the Internet at the location named example.microsoft.com/report. The cell on the worksheet that contains the hyperlink displays the contents of cell D1 as the jump text:

=HYPERLINK("[http://example.microsoft.com/report/budget report.xls]Annual!F10", D1)

The following example creates a hyperlink to the range named DeptTotal on the worksheet named First Quarter in the workbook Budget Report.xls, which is stored on the Internet at the location named example.microsoft.com/report. The cell on the worksheet that contains the hyperlink displays the text "Click to see First Quarter Department Total":

=HYPERLINK("[http://example.microsoft.com/report/budget report.xls]First Quarter!DeptTotal", "Click to see First Quarter Department Total")

To create a hyperlink to a specific location in a Microsoft Word document, you must use a bookmark to define the location you want to jump to in the document. The following example creates a hyperlink to the bookmark named QrtlyProfits in the document named Annual Report.doc located at example.microsoft.com:

=HYPERLINK("[http://example.microsoft.com/Annual Report.doc]QrtlyProfits", "Quarterly Profit Report")

In Excel for Windows, the following example displays the contents of cell D5 as the jump text in the cell and opens the file named 1stqtr.xls, which is stored on the server named FINANCE in the Statements share. This example uses a UNC path:

=HYPERLINK("\\FINANCE\Statements\1stqtr.xls", D5)

The following example opens the file 1stqtr.xls in Excel for Windows that is stored in a directory named Finance on drive D, and displays the numeric value stored in cell H10:

=HYPERLINK("D:\FINANCE\1stqtr.xls", H10)

In Excel for Windows, the following example creates a hyperlink to the area named Totals in another (external) workbook, Mybook.xls:

=HYPERLINK("[C:\My Documents\Mybook.xls]Totals")

In Microsoft Excel for the Macintosh, the following example displays "Click here" in the cell and opens the file named First Quarter that is stored in a folder named Budget Reports on the hard drive named Macintosh HD:

=HYPERLINK("Macintosh HD:Budget Reports:First Quarter", "Click here")

You can create hyperlinks within a worksheet to jump from one cell to another cell. For example, if the active worksheet is the sheet named June in the workbook named Budget, the following formula creates a hyperlink to cell E56. The link text itself is the value in cell E56.

=HYPERLINK("[Budget]June!E56", E56)

To jump to a different sheet in the same workbook, change the name of the sheet in the link. In the previous example, to create a link to cell E56 on the September sheet, change the word "June" to "September."


HYPGEOMDIST

See Also

Returns the hypergeometric distribution. HYPGEOMDIST returns the probability of a given number of sample successes, given the sample size, population successes, and population size. Use HYPGEOMDIST for problems with a finite population, where each observation is either a success or a failure, and where each subset of a given size is chosen with equal likelihood.

Syntax

HYPGEOMDIST(sample_s,number_sample,population_s,number_population)

Sample_s is the number of successes in the sample.

Number_sample is the size of the sample.

Population_s is the number of successes in the population.

Number_population is the population size.

Remarks

  • All arguments are truncated to integers.
  • If any argument is nonnumeric, HYPGEOMDIST returns the #VALUE! error value.
  • If sample_s < 0 or sample_s is greater than the lesser of number_sample or population_s, HYPGEOMDIST returns the #NUM! error value.
  • If sample_s is less than the larger of 0 or (number_sample - number_population + population_s), HYPGEOMDIST returns the #NUM! error value.
  • If number_sample < 0 or number_sample > number_population, HYPGEOMDIST returns the #NUM! error value.
  • If population_s < 0 or population_s > number_population, HYPGEOMDIST returns the #NUM! error value.
  • If number_population < 0, HYPGEOMDIST returns the #NUM! error value.
  • The equation for the hypergeometric distribution is:

    where:

    x = sample_s

    n = number_sample

    M = population_s

    N = number_population

    HYPGEOMDIST is used in sampling without replacement from a finite population.

Example

A sampler of chocolates contains 20 pieces. Eight pieces are caramels, and the remaining 12 are nuts. If a person selects 4 pieces at random, the following function returns the probability that exactly 1 piece is a caramel.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
1 | Number of successes in the sample
4 | Sample size
8 | Number of successes in the population
20 | Population size
Formula | Description (Result)
=HYPGEOMDIST(A2,A3,A4,A5) | Hypergeometric distribution for sample and population above (0.363261)


IF

See Also

Returns one value if a condition you specify evaluates to TRUE and another value if it evaluates to FALSE.

Use IF to conduct conditional tests on values and formulas.

Syntax

IF(logical_test,value_if_true,value_if_false)

Logical_test is any value or expression that can be evaluated to TRUE or FALSE. For example, A10=100 is a logical expression; if the value in cell A10 is equal to 100, the expression evaluates to TRUE. Otherwise, the expression evaluates to FALSE. This argument can use any comparison calculation operator.

Value_if_true is the value that is returned if logical_test is TRUE. For example, if this argument is the text string "Within budget" and the logical_test argument evaluates to TRUE, then the IF function displays the text "Within budget". If logical_test is TRUE and value_if_true is blank, this argument returns 0 (zero). To display the word TRUE, use the logical value TRUE for this argument. Value_if_true can be another formula.

Value_if_false is the value that is returned if logical_test is FALSE. For example, if this argument is the text string "Over budget" and the logical_test argument evaluates to FALSE, then the IF function displays the text "Over budget". If logical_test is FALSE and value_if_false is omitted, (that is, after value_if_true, there is no comma), then the logical value FALSE is returned. If logical_test is FALSE and value_if_false is blank (that is, after value_if_true, there is a comma followed by the closing parenthesis), then the value 0 (zero) is returned. Value_if_false can be another formula.

Remarks

  • Up to seven IF functions can be nested as value_if_true and value_if_false arguments to construct more elaborate tests. See the last of the following examples.
  • When the value_if_true and value_if_false arguments are evaluated, IF returns the value returned by those statements.
  • If any of the arguments to IF are arrays, every element of the array is evaluated when the IF statement is carried out.
  • Microsoft Excel provides additional functions that can be used to analyze your data based on a condition. For example, to count the number of occurrences of a string of text or a number within a range of cells, use the COUNTIF worksheet function. To calculate a sum based on a string of text or a number within a range, use the SUMIF worksheet function. Learn about calculating a value based on a condition.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
50
Formula | Description (Result)
=IF(A2<=100,"Within budget","Over budget") | If the number above is less than or equal to 100, then the formula displays "Within budget". Otherwise, the function displays "Over budget" (Within budget)
=IF(A2=100,SUM(B5:B15),"") | If the number above is 100, then the range B5:B15 is calculated. Otherwise, empty text ("") is returned ()

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Actual Expenses | Predicted Expenses
1500 | 900
500 | 900
500 | 925
Formula | Description (Result)
=IF(A2>B2,"Over Budget","OK") | Checks whether the first row is over budget (Over Budget)
=IF(A3>B3,"Over Budget","OK") | Checks whether the second row is over budget (OK)

Example 3

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Score
45
90
78
Formula | Description (Result)
=IF(A2>89,"A",IF(A2>79,"B", IF(A2>69,"C",IF(A2>59,"D","F")))) | Assigns a letter grade to the first score (F)
=IF(A3>89,"A",IF(A3>79,"B", IF(A3>69,"C",IF(A3>59,"D","F")))) | Assigns a letter grade to the second score (A)
=IF(A4>89,"A",IF(A4>79,"B", IF(A4>69,"C",IF(A4>59,"D","F")))) | Assigns a letter grade to the third score (C)

In the preceding example, the second IF statement is also the value_if_false argument to the first IF statement. Similarly, the third IF statement is the value_if_false argument to the second IF statement. For example, if the first logical_test (Average>89) is TRUE, "A" is returned. If the first logical_test is FALSE, the second IF statement is evaluated, and so on.

The letter grades are assigned to numbers using the following key.

If Score is | Then return
Greater than 89 | A
From 80 to 89 | B
From 70 to 79 | C
From 60 to 69 | D
Less than 60 | F


IMABS

See Also

Returns the absolute value (modulus) of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMABS(inumber)

Inumber is a complex number for which you want the absolute value.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMABS returns the #NUM! error value.
  • The absolute value of a complex number is:

    where:

    z = x + yi

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMABS("5+12i") | Absolute value of 5+12i (13)


IMAGINARY

See Also

Returns the imaginary coefficient of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMAGINARY(inumber)

Inumber is a complex number for which you want the imaginary coefficient.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMAGINARY returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=IMAGINARY("3+4i") | Imaginary coefficient of the complex number 3+4i (4)
=IMAGINARY("0-j") | Imaginary coefficient of the complex number 0-j (-1)
=IMAGINARY(4) | Imaginary coefficient 4 (0)


IMARGUMENT

See Also

Returns the argument Theta (theta), an angle expressed in radians, such that:

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMARGUMENT(inumber)

Inumber is a complex number for which you want the argument Theta.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMARGUMENT returns the #NUM! error value.
  • IMARGUMENT is calculated as follows:

    where:

    Equation and

    z = x + yi

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMARGUMENT("3+4i") | Theta argument of 3+4i, in radians (0.927295)


IMCONJUGATE

See Also

Returns the complex conjugate of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMCONJUGATE(inumber)

Inumber is a complex number for which you want the conjugate.

Remarks

  • 2Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMCONJUGATE returns the #NUM! error value.
  • The conjugate of a complex number is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMCONJUGATE("3+4i") | Complex conjugate of 3+4i (3 - 4i)


IMCOS

See Also

Returns the cosine of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMCOS(inumber)

Inumber is a complex number for which you want the cosine.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is a logical value, IMCOS returns the #VALUE! error value.
  • If inumber is not in the form x + yi or x + yj, IMCOS returns the #NUM! error value.
  • The cosine of a complex number is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMCOS("1+i") | Cosine of 1+i (0.83373 - 0.988898i)


IMDIV

See Also

Returns the quotient of two complex numbers in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMDIV(inumber1,inumber2)

Inumber1 is the complex numerator or dividend.

Inumber2 is the complex denominator or divisor.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber1 or inumber2 is not in the form x + yi or x + yj, IMDIV returns the #NUM! error value.
  • The quotient of two complex numbers is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMDIV("-238+240i","10+24i") | Quotient of the two complex numbers in the formula (5 + 12i)


IMEXP

See Also

Returns the exponential of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMEXP(inumber)

Inumber is a complex number for which you want the exponential.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMEXP returns the #NUM! error value.
  • The exponential of a complex number is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMEXP("1+i") | Exponential of the complex number 1+i (1.468694 + 2.287355i)


IMLN

See Also

Returns the natural logarithm of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMLN(inumber)

Inumber is a complex number for which you want the natural logarithm.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMLN returns the #NUM! error value.
  • The natural logarithm of a complex number is:

    where:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMLN("3+4i") | Natural logarithm of 3+4i (1.609438 + 0.927295i)


IMLOG2

See Also

Returns the base-2 logarithm of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMLOG2(inumber)

Inumber is a complex number for which you want the base-2 logarithm.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMLOG2 returns the #NUM! error value.
  • The base-2 logarithm of a complex number can be calculated from the natural logarithm as follows:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMLOG2("3+4i") | Base-2 logarithm of 3+4i (2.321928 + 1.337804i)


IMLOG10

See Also

Returns the common logarithm (base 10) of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMLOG10(inumber)

Inumber is a complex number for which you want the common logarithm.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMLOG10 returns the #NUM! error value.
  • The common logarithm of a complex number can be calculated from the natural logarithm as follows:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMLOG10("3+4i") | Logarithm (base 10) of 3+4i (0.69897 + 0.402719i)


IMPOWER

See Also

Returns a complex number in x + yi or x + yj text format raised to a power.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMPOWER(inumber,number)

Inumber is a complex number you want to raise to a power.

Number is the power to which you want to raise the complex number.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMPOWER returns the #NUM! error value.
  • If number is nonnumeric, IMPOWER returns the #VALUE! error value.
  • Number can be an integer, fractional, or negative.
  • A complex number raised to a power is calculated as follows:

    where:

    and:

    and:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMPOWER("2+3i", 3) | 2+3i raised to the power of 3 (-46 + 9i)


IMPRODUCT

See Also

Returns the product of 2 to 29 complex numbers in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMPRODUCT(inumber1,inumber2,...)

Inumber1, inumber2,… are 1 to 29 complex numbers to multiply.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber1 or inumber2 is not in the form x + yi or x + yj, IMPRODUCT returns the #NUM! error value.

    The product of two complex numbers is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=IMPRODUCT("3+4i","5-3i") | Product of the two complex numbers (27 + 11i)
=IMPRODUCT("1+2i",30) | Product of a complex number and 30 (30 + 60i)


IMREAL

See Also

Returns the real coefficient of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMREAL(inumber)

Inumber is a complex number for which you want the real coefficient.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMREAL returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMREAL("6-9i") | Real coefficient of 6-9i (6)


IMSIN

See Also

Returns the sine of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMSIN(inumber)

Inumber is a complex number for which you want the sine.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMSIN returns the #NUM! error value.
  • The sine of a complex number is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMSIN("3+4i") | Sine of 3+4i (3.853738 - 27.016813i)


IMSQRT

See Also

Returns the square root of a complex number in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMSQRT(inumber)

Inumber is a complex number for which you want the square root.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If inumber is not in the form x + yi or x + yj, IMSQRT returns the #NUM! error value.
  • The square root of a complex number is:

    where:

    and:

    and:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMSQRT("1+i") | Square root of 1+i (1.098684 + 0.45509i)


IMSUB

See Also

Returns the difference of two complex numbers in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMSUB(inumber1,inumber2)

Inumber1 is the complex number from which to subtract inumber2.

Inumber2 is the complex number to subtract from inumber1.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If either number is not in the form x + yi or x + yj, IMSUB returns the #NUM! error value.
  • The difference of two complex numbers is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMSUB("13+4i","5+3i") | Difference between the two complex numbers in the formula (8 + i)


IMSUM

See Also

Returns the sum of two or more complex numbers in x + yi or x + yj text format.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

IMSUM(inumber1,inumber2,...)

Inumber1,inumber2,... are 1 to 29 complex numbers to add.

Remarks

  • Use COMPLEX to convert real and imaginary coefficients into a complex number.
  • If any argument is not in the form x + yi or x + yj, IMSUM returns the #NUM! error value.
  • The sum of two complex numbers is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=IMSUM("3+4i","5-3i") | Sum of the two complex numbers in the formula (8+i)


INDEX

See Also

Returns a value or the reference to a value from within a table or range. There are two forms of the INDEX() function: array and reference. The array form always returns a value or an array of values; the reference form always returns a reference.

INDEX(array,row_num,column_num) returns the value of a specified cell or array of cells within array.

INDEX(reference,row_num,column_num,area_num) returns a reference to specified cells within reference.

Syntax 1 (array)

Syntax 2 (reference)


INDEX

See Also

Returns the reference of the cell at the intersection of a particular row and column. If the reference is made up of nonadjacent selections, you can pick the selection to look in.

The INDEX function has two syntax forms: array and reference. The array form always returns a value or an array of values; the reference form always returns a reference.

Syntax 2

Reference form

INDEX(reference,row_num,column_num,area_num)

Reference is a reference to one or more cell ranges.

  • If you are entering a nonadjacent range for the reference, enclose reference in parentheses.

  • If each area in reference contains only one row or column, the row_num or column_num argument, respectively, is optional. For example, for a single row reference, use INDEX(reference,,column_num).

Row_num is the number of the row in reference from which to return a reference.

Column_num is the number of the column in reference from which to return a reference.

Area_num selects a range in reference from which to return the intersection of row_num and column_num. The first area selected or entered is numbered 1, the second is 2, and so on. If area_num is omitted, INDEX uses area 1.

  • For example, if reference describes the cells (A1:B4,D1:E4,G1:H4), then area_num 1 is the range A1:B4, area_num 2 is the range D1:E4, and area_num 3 is the range G1:H4.

Remarks

  • After reference and area_num have selected a particular range, row_num and column_num select a particular cell: row_num 1 is the first row in the range, column_num 1 is the first column, and so on. The reference returned by INDEX is the intersection of row_num and column_num.

  • If you set row_num or column_num to 0 (zero), INDEX returns the reference for the entire column or row, respectively.

  • Row_num, column_num, and area_num must point to a cell within reference; otherwise, INDEX returns the #REF! error value. If row_num and column_num are omitted, INDEX returns the area in reference specified by area_num.
  • The result of the INDEX function is a reference and is interpreted as such by other formulas. Depending on the formula, the return value of INDEX may be used as a reference or as a value. For example, the formula CELL("width",INDEX(A1:B2,1,2)) is equivalent to CELL("width",B1). The CELL function uses the return value of INDEX as a cell reference. On the other hand, a formula such as 2*INDEX(A1:B2,1,2) translates the return value of INDEX into the number in cell B1.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A | B | C
Fruit | Price | Count
Apples | 0.69 | 40
Bananas | 0.34 | 38
Lemons | 0.55 | 15
Oranges | 0.25 | 25
Pears | 0.59 | 40
Almonds | 2.80 | 10
Cashews | 3.55 | 16
Peanuts | 1.25 | 20
Walnuts | 1.75 | 12
Formula | Description (Result)
=INDEX(A2:C6,2,3) | The intersection of the second row and third column in the range A2:C6, which is the content of cell C3. (38)
=INDEX((A1:C6,A8:C11),2,2,2) | The intersection of the second row and second column in the second area of A8:C11, which is the content of cell B9. (3.55)
=SUM(INDEX(A1:C11,0,3,1)) | The sum of the third column in the first area of the range A1:C11, which is the sum of C1:C6. (216)
=SUM(B2:INDEX(A2:C6,5,2)) | The sum of the range starting at B2, and ending at the intersection of the fifth row and the second column of the range A2:A6, which is the sum of B2:B6. (2.42)


INDEX

See Also

Returns the value of an element in a table or an array, selected by the row and column number indexes.

The INDEX function has two syntax forms: array and reference. The array form always returns a value or array of values; the reference form always returns a reference. Use the array form if the first argument to INDEX is an array constant.

Syntax 1

Array form

INDEX(array,row_num,column_num)

Array is a range of cells or an array constant.

  • If array contains only one row or column, the corresponding row_num or column_num argument is optional.

  • If array has more than one row and more than one column, and only row_num or column_num is used, INDEX returns an array of the entire row or column in array.

Row_num selects the row in array from which to return a value. If row_num is omitted, column_num is required.

Column_num selects the column in array from which to return a value. If column_num is omitted, row_num is required.

Remarks

  • If both the row_num and column_num arguments are used, INDEX returns the value in the cell at the intersection of row_num and column_num.
  • If you set row_num or column_num to 0 (zero), INDEX returns the array of values for the entire column or row, respectively. To use values returned as an array, enter the INDEX function as an array formula in a horizontal range of cells for a row, and in a vertical range of cells for a column. To enter an array formula, press CTRL+SHIFT+ENTER.

  • Row_num and column_num must point to a cell within array; otherwise, INDEX returns the #REF! error value.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Data
Apples | Lemons
Bananas | Pears
Formula | Description (Result)
=INDEX(A2:B3,2,2) | Value at the intersection of the second row and second column in the range (Pears)
=INDEX(A2:B3,2,1) | Value at the intersection of the second row and first column in the range (Bananas)

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=INDEX({1,2;3,4},0,2) | Value in the first row, second column in the array constant (2)
 | Value in the second row, second column in the array constant (4)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A2:A3 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 2.


INDIRECT

See Also

Returns the reference specified by a text string. References are immediately evaluated to display their contents. Use INDIRECT when you want to change the reference to a cell within a formula without changing the formula itself.

Syntax

INDIRECT(ref_text,a1)

Ref_text is a reference to a cell that contains an A1-style reference, an R1C1-style reference, a name defined as a reference, or a reference to a cell as a text string. If ref_text is not a valid cell reference, INDIRECT returns the #REF! error value.

  • If ref_text refers to another workbook (an external reference), the other workbook must be open. If the source workbook is not open, INDIRECT returns the #REF! error value.

A1 is a logical value that specifies what type of reference is contained in the cell ref_text.

  • If a1 is TRUE or omitted, ref_text is interpreted as an A1-style reference.

  • If a1 is FALSE, ref_text is interpreted as an R1C1-style reference.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Data
B2 | 1.333
B3 | 45
George | 10
5 | 62
Formula | Description (Result)
=INDIRECT($A$2) | Value of the reference in cell A2 (1.333)
=INDIRECT($A$3) | Value of the reference in cell A3 (45)
=INDIRECT($A$4) | If the cell B4 has the defined name "George," the value of the defined name is returned (10)
=INDIRECT("B"&$A$5) | Value of a reference in cell A5 (62)

When you create a formula that refers to a cell, the reference to the cell will be updated if: (1) the cell is moved by using the Cut command to delete the cell or (2) the cell is moved because rows or columns are inserted or deleted. If you always want the formula to refer to the same cell regardless of whether the row above the cell is deleted or the cell is moved, use the INDIRECT worksheet function. For example, if you always want to refer to cell A10, use the following syntax:

=INDIRECT("A10")


INFO

See Also

Returns information about the current operating environment.

Syntax

INFO(type_text)

Type_text is text that specifies what type of information you want returned.

Type_text | Returns
"directory" | Path of the current directory or folder.
"memavail" | Amount of memory available, in bytes.
"memused" | Amount of memory being used for data.
"numfile" | Number of active worksheets in the open workbooks.
"origin" | Absolute A1-style reference, as text, prepended with "$A:" for Lotus 1-2-3 release 3.x compatibility. Returns the cell reference of the top and leftmost cell visible in the window, based on the current scrolling position.
"osversion" | Current operating system version, as text.
"recalc" | Current recalculation mode; returns "Automatic" or "Manual".
"release" | Version of Microsoft Excel, as text.
"system" | Name of the operating environment:
 | Macintosh = "mac"
 | Windows = "pcdos"
"totmem" | Total memory available, including memory already in use, in bytes.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=INFO("numfile") | Number of active worksheets (varies)
=INFO("recalc") | Recalculation mode for the workbook (Automatic or Manual)


INT

See Also

Rounds a number down to the nearest integer.

Syntax

INT(number)

Number is the real number you want to round down to an integer.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
19.5
Formula | Description (Result)
=INT(8.9) | Rounds 8.9 down (8)
=INT(-8.9) | Rounds -8.9 down (-9)
=A2-INT(A2) | Returns the decimal part of a positive real number in cell A2 (0.5)


INTERCEPT

See Also

Calculates the point at which a line will intersect the y-axis by using existing x-values and y-values. The intercept point is based on a best-fit regression line plotted through the known x-values and known y-values. Use the INTERCEPT function when you want to determine the value of the dependent variable when the independent variable is 0 (zero). For example, you can use the INTERCEPT function to predict a metal's electrical resistance at 0°C when your data points were taken at room temperature and higher.

Syntax

INTERCEPT(known_y's,known_x's)

Known_y's is the dependent set of observations or data.

Known_x's is the independent set of observations or data.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If known_y's and known_x's contain a different number of data points or contain no data points, INTERCEPT returns the #N/A error value.
  • The equation for the intercept of the regression line is:

    where the slope is calculated as:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Known y | Known x
2 | 6
3 | 5
9 | 11
1 | 7
8 | 5
Formula | Description (Result)
=INTERCEPT(A2:A6, B2:B6) | Point at which a line will intersect the y-axis by using the x-values and y-values above (0.0483871)


INTRATE

See Also

Returns the interest rate for a fully invested security.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

INTRATE(settlement,maturity,investment,redemption,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Investment is the amount invested in the security.

Redemption is the amount to be received at maturity.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, INTRATE returns the #VALUE! error value.
  • If investment ≤ 0 or if redemption ≤ 0, INTRATE returns the #NUM! error value.
  • If basis < 0 or if basis > 4, INTRATE returns the #NUM! error value.
  • If settlement ≥ maturity, INTRATE returns the #NUM! error value.
  • INTRATE is calculated as follows:

    where:

    B = number of days in a year, depending on the year basis.

    DIM = number of days from settlement to maturity.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
February 15, 2008 | Settlement date
May 15, 2008 | Maturity date
1,000,000 | Investment
1,014,420 | Redemption value
2 | Actual/360 basis (see above)
Formula | Description (Result)
=INTRATE(A2,A3,A4,A5,A6) | Discount rate, for the terms of the bond above (0.05768 or 5.77%)

Note To view the number as a percentage, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


IPMT

See Also

Returns the interest payment for a given period for an investment based on periodic, constant payments and a constant interest rate. For a more complete description of the arguments in IPMT and for more information about annuity functions, see PV.

Syntax

IPMT(rate,per,nper,pv,fv,type)

Rate is the interest rate per period.

Per is the period for which you want to find the interest and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due. If type is omitted, it is assumed to be 0.

Set type equal to | If payments are due
0 | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, cash you pay out, such as deposits to savings, is represented by negative numbers; cash you receive, such as dividend checks, is represented by positive numbers.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
10% | Annual interest
1 | Period for which you want to find the interest
3 | Years of loan
8000 | Present value of loan
Formula | Description (Result)
=IPMT(A2/12, A3*3, A4, A5) | Interest due in the first month for a loan with the terms above (-22.41)
=IPMT(A2, 3, A4, A5) | Interest due in the last year for a loan with the terms above, where payments are made yearly (-292.45)

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


IRR

See Also

Returns the internal rate of return for a series of cash flows represented by the numbers in values. These cash flows do not have to be even, as they would be for an annuity. However, the cash flows must occur at regular intervals, such as monthly or annually. The internal rate of return is the interest rate received for an investment consisting of payments (negative values) and income (positive values) that occur at regular periods.

Syntax

IRR(values,guess)

Values is an array or a reference to cells that contain numbers for which you want to calculate the internal rate of return.

  • Values must contain at least one positive value and one negative value to calculate the internal rate of return.
  • IRR uses the order of values to interpret the order of cash flows. Be sure to enter your payment and income values in the sequence you want.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored.

Guess is a number that you guess is close to the result of IRR.

  • Microsoft Excel uses an iterative technique for calculating IRR. Starting with guess, IRR cycles through the calculation until the result is accurate within 0.00001 percent. If IRR can't find a result that works after 20 tries, the #NUM! error value is returned.
  • In most cases you do not need to provide guess for the IRR calculation. If guess is omitted, it is assumed to be 0.1 (10 percent).
  • If IRR gives the #NUM! error value, or if the result is not close to what you expected, try again with a different value for guess.

Remarks

IRR is closely related to NPV, the net present value function. The rate of return calculated by IRR is the interest rate corresponding to a 0 (zero) net present value. The following formula demonstrates how NPV and IRR are related:

NPV(IRR(B1:B6),B1:B6) equals 3.60E-08 [Within the accuracy of the IRR calculation, the value 3.60E-08 is effectively 0 (zero).]

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Data | Description
-70,000 | Initial cost of a business
12,000 | Net income for the first year
15,000 | Net income for the second year
18,000 | Net income for the third year
21,000 | Net income for the fourth year
26,000 | Net income for the fifth year
Formula | Description (Result)
=IRR(A2:A6) | Investment's internal rate of return after four years (-2%)
=IRR(A2:A7) | Internal rate of return after five years (9%)
=IRR(A2:A4,-10%) | To calculate the internal rate of return after two years, you need to include a guess (-44%)


ISEVEN

See Also

Returns TRUE if number is even, or FALSE if number is odd.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ISEVEN(number)

Number is the value to test. If number is not an integer, it is truncated.

Remark

If number is nonnumeric, ISEVEN returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=ISEVEN(-1) | Checks whether -1 is even (FALSE)
=ISEVEN(2.5) | Checks whether 2.5 is even (TRUE)
=ISEVEN(5) | Checks whether 5 is even (FALSE)


IS Functions

See Also

This section describes the nine worksheet functions used for testing the type of a value or reference.

Each of these functions, referred to collectively as the IS functions, checks the type of value and returns TRUE or FALSE depending on the outcome. For example, the ISBLANK function returns the logical value TRUE if value is a reference to an empty cell; otherwise it returns FALSE.

Syntax

ISBLANK(value)
ISERR(value)
ISERROR(value)
ISLOGICAL(value)
ISNA(value)
ISNONTEXT(value)
ISNUMBER(value)
ISREF(value)
ISTEXT(value)

Value is the value you want tested. Value can be a blank (empty cell), error, logical, text, number, or reference value, or a name referring to any of these, that you want to test.

Function | Returns TRUE if
ISBLANK | Value refers to an empty cell.
ISERR | Value refers to any error value except #N/A.
ISERROR | Value refers to any error value (#N/A, #VALUE!, #REF!, #DIV/0!, #NUM!, #NAME?, or #NULL!).
ISLOGICAL | Value refers to a logical value.
ISNA | Value refers to the #N/A (value not available) error value.
ISNONTEXT | Value refers to any item that is not text. (Note that this function returns TRUE if value refers to a blank cell.)
ISNUMBER | Value refers to a number.
ISREF | Value refers to a reference.
ISTEXT | Value refers to text.

Remarks
  • The value arguments of the IS functions are not converted. For example, in most other functions where a number is required, the text value "19" is converted to the number 19. However, in the formula ISNUMBER("19"), "19" is not converted from a text value, and the ISNUMBER function returns FALSE.
  • The IS functions are useful in formulas for testing the outcome of a calculation. When combined with the IF function, they provide a method for locating errors in formulas (see the following examples).

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=ISLOGICAL(TRUE) | Checks whether TRUE is a logical value (TRUE)
=ISLOGICAL("TRUE") | Checks whether "TRUE" is a logical value (FALSE)
=ISNUMBER(4) | Checks whether 4 is a number (TRUE)

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
Gold
Region1
#REF!
330.92
#N/A
Formula | Description (Result)
=ISBLANK(A2) | Checks whether cell C2 is blank (FALSE)
=ISERROR(A4) | Checks whether #REF! is an error (TRUE)
=ISNA(A4) | Checks whether #REF! is the #N/A error (FALSE)
=ISNA(A6) | Checks whether #N/A is the #N/A error (TRUE)
=ISERR(A6) | Checks whether #N/A is an error (FALSE)
=ISNUMBER(A5) | Checks whether 330.92 is a number (TRUE)
=ISTEXT(A3) | Checks whether Region1 is text (TRUE)


ISODD

See Also

Returns TRUE if number is odd, or FALSE if number is even.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ISODD(number)

Number is the value to test. If number is not an integer, it is truncated.

Remark

If number is nonnumeric, ISODD returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=ISODD(-1) | Checks whether -1 is odd (TRUE)
=ISODD(2.5) | Checks whether 2.5 is odd (FALSE)
=ISODD(5) | Checks whether 5 is odd (TRUE)


ISPMT

See also

Calculates the interest paid during a specific period of an investment. This function is provided for compatibility with Lotus 1-2-3.

Syntax

ISPMT(rate,per,nper,pv)

Rate is the interest rate for the investment.

Per is the period for which you want to find the interest, and must be between 1 and nper.

Nper is the total number of payment periods for the investment.

Pv is the present value of the investment. For a loan, pv is the loan amount.

Remarks

  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • For all the arguments, the cash you pay out, such as deposits to savings or other withdrawals, is represented by negative numbers; the cash you receive, such as dividend checks and other deposits, is represented by positive numbers.
  • For additional information about financial functions, see the PV function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Data | Description
10% | Annual interest rate
1 | Period
3 | Number of years in the investment
8000000 | Amount of loan
Formula | Description (Result)
=ISPMT(A2/12,A3,A4*12,A5) | Interest paid for the first monthly payment of a loan with the above terms (-64814.8)
=ISPMT(A2,1,A4,A5) | Interest paid in the first year of a loan with the above terms (-533333)

Note The interest rate is divided by 12 to get a monthly rate. The number of years the money is paid out is multiplied by 12 to get the number of payments.


JIS

See Also

The function described in this Help topic converts half-width (single-byte) letters within a character string to full-width (double-byte) characters. The name of the function (and the characters that it converts) depends upon your language settings.

For Japanese, this function changes half-width (single-byte) English letters or katakana within a character string to full-width (double-byte) characters.

Syntax

JIS(text)

Text is the text or a reference to a cell that contains the text you want to change. If text does not contain any half-width English letters or katakana, text is not changed.

Example

=JIS("EXCEL") equals "EXCEL"

=JIS(" Excel Excel Excel Excel ") equals " Excel Excel Excel Excel "


KURT

See Also

Returns the kurtosis of a data set. Kurtosis characterizes the relative peakedness or flatness of a distribution compared with the normal distribution. Positive kurtosis indicates a relatively peaked distribution. Negative kurtosis indicates a relatively flat distribution.

Syntax

KURT(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate kurtosis. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If there are fewer than four data points, or if the standard deviation of the sample equals zero, KURT returns the #DIV/0! error value.
  • Kurtosis is defined as:

    where:

    s is the sample standard deviation.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Data
3
4
5
2
3
4
5
6
4
7
Formula | Description (Result)
=KURT(A2:A11) | Kurtosis of the data set above (-0.1518)


LARGE

See Also

Returns the k-th largest value in a data set. You can use this function to select a value based on its relative standing. For example, you can use LARGE to return the highest, runner-up, or third-place score.

Syntax

LARGE(array,k)

Array is the array or range of data for which you want to determine the k-th largest value.

K is the position (from the largest) in the array or cell range of data to return.

Remarks

  • If array is empty, LARGE returns the #NUM! error value.
  • If k ≤ 0 or if k is greater than the number of data points, LARGE returns the #NUM! error value.

If n is the number of data points in a range, then LARGE(array,1) returns the largest value, and LARGE(array,n) returns the smallest value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Data
3 | 4
5 | 2
3 | 4
5 | 6
4 | 7
Formula | Description (Result)
=LARGE(A2:B6,3) | 3rd largest number in the numbers above (5)
=LARGE(A2:B6,7) | 7th largest number in the numbers above (4)


LCM

See Also

Returns the least common multiple of integers. The least common multiple is the smallest positive integer that is a multiple of all integer arguments number1, number2, and so on. Use LCM to add fractions with different denominators.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

LCM(number1,number2, ...)

Number1, number2,... are 1 to 29 values for which you want the least common multiple. If value is not an integer, it is truncated.

Remarks

  • If any argument is nonnumeric, LCM returns the #VALUE! error value.
  • If any argument is less than one, LCM returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=LCM(5, 2) | Least common multiple of 5 and 2 (10)
=LCM(24, 36) | Least common multiple of 24 and 36 (72)


LEFT

See Also

Also applies to:

LEFTB

LEFT returns the first character or characters in a text string, based on the number of characters you specify.

LEFTB returns the first character or characters in a text string, based on the number of bytes you specify. This function is for use with double-byte characters.

Syntax

LEFT(text,num_chars)

LEFTB(text,num_bytes)

Text is the text string that contains the characters you want to extract.

Num_chars specifies the number of characters you want LEFT to extract.

  • Num_chars must be greater than or equal to zero.

  • If num_chars is greater than the length of text, LEFT returns all of text.

  • If num_chars is omitted, it is assumed to be 1.

Num_bytes specifies the number of characters you want LEFTB to extract, based on bytes.

Example (LEFT)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
Sale Price
Sweden
Formula | Description (Result)
=LEFT(A2,4) | First four characters in the first string (Sale)
=LEFT(A3) | First character in the second string (S)

Example (LEFTB)

LEFTB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ",4) equals " Tokyo to Shibuya Tokyo to Shibuya "


LEN

See Also

Also applies to:

LENB

LEN returns the number of characters in a text string.

LENB returns the number of bytes used to represent the characters in a text string. This function is for use with double-byte characters.

Syntax

LEN(text)

LENB(text)

Text is the text whose length you want to find. Spaces count as characters.

Example (LEN)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
Phoenix, AZ
One
Formula | Description (Result)
=LEN(A2) | Length of the first string (11)
=LEN(A3) | Length of the second string (0)
=LEN(A4) | Length of the third string, which includes 5 spaces (8)

Example (LENB)

=LENB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 6


LINEST

See Also

Calculates the statistics for a line by using the "least squares" method to calculate a straight line that best fits your data, and returns an array that describes the line. Because this function returns an array of values, it must be entered as an array formula.

The equation for the line is:

y = mx + b or

y = m1x1 + m2x2 + ... + b (if there are multiple ranges of x-values)

where the dependent y-value is a function of the independent x-values. The m-values are coefficients corresponding to each x-value, and b is a constant value. Note that y, x, and m can be vectors. The array that LINEST returns is {mn,mn-1,...,m1,b}. LINEST can also return additional regression statistics.

Syntax

LINEST(known_y's,known_x's,const,stats)

Known_y's is the set of y-values you already know in the relationship y = mx + b.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

Known_x's is an optional set of x-values that you may already know in the relationship y = mx + b.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a vector (that is, a range with a height of one row or a width of one column).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 0.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 0 and the m-values are adjusted to fit y = mx.

Stats is a logical value specifying whether to return additional regression statistics.

  • If stats is TRUE, LINEST returns the additional regression statistics, so the returned array is {mn,mn-1,...,m1,b;sen,sen-1,...,se1,seb;r2,sey;F,df;ssreg,ssresid}.

  • If stats is FALSE or omitted, LINEST returns only the m-coefficients and the constant b.

The additional regression statistics are as follows.

Statistic | Description
se1,se2,...,sen | The standard error values for the coefficients m1,m2,...,mn.
Seb | The standard error value for the constant b (seb = #N/A when const is FALSE).
r2 | The coefficient of determination. Compares estimated and actual y-values, and ranges in value from 0 to 1. If it is 1, there is a perfect correlation in the sample — there is no difference between the estimated y-value and the actual y-value. At the other extreme, if the coefficient of determination is 0, the regression equation is not helpful in predicting a y-value. For information about how r2 is calculated, see "Remarks" later in this topic.
sey | The standard error for the y estimate.
F | The F statistic, or the F-observed value. Use the F statistic to determine whether the observed relationship between the dependent and independent variables occurs by chance.
df | The degrees of freedom. Use the degrees of freedom to help you find F-critical values in a statistical table. Compare the values you find in the table to the F statistic returned by LINEST to determine a confidence level for the model.
ssreg | The regression sum of squares.
ssresid | The residual sum of squares.

The following illustration shows the order in which the additional regression statistics are returned.

Remarks

  • You can describe any straight line with the slope and the y-intercept:

    Slope (m):
    To find the slope of a line, often written as m, take two points on the line, (x1,y1) and (x2,y2); the slope is equal to (y2 - y1)/(x2 - x1).

    Y-intercept (b):
    The y-intercept of a line, often written as b, is the value of y at the point where the line crosses the y-axis.

    The equation of a straight line is y = mx + b. Once you know the values of m and b, you can calculate any point on the line by plugging the y- or x-value into that equation. You can also use the TREND function.

  • When you have only one independent x-variable, you can obtain the slope and y-intercept values directly by using the following formulas:

    Slope:
    =INDEX(LINEST(known_y's,known_x's),1)

    Y-intercept:
    =INDEX(LINEST(known_y's,known_x's),2)

  • The accuracy of the line calculated by LINEST depends on the degree of scatter in your data. The more linear the data, the more accurate the LINEST model. LINEST uses the method of least squares for determining the best fit for the data. When you have only one independent x-variable, the calculations for m and b are based on the following formulas:

  • The line- and curve-fitting functions LINEST and LOGEST can calculate the best straight line or exponential curve that fits your data. However, you have to decide which of the two results best fits your data. You can calculate TREND(known_y's,known_x's) for a straight line, or GROWTH(known_y's, known_x's) for an exponential curve. These functions, without the new_x's argument, return an array of y-values predicted along that line or curve at your actual data points. You can then compare the predicted values with the actual values. You may want to chart them both for a visual comparison.
  • In regression analysis, Microsoft Excel calculates for each point the squared difference between the y-value estimated for that point and its actual y-value. The sum of these squared differences is called the residual sum of squares. Microsoft Excel then calculates the sum of the squared differences between the actual y-values and the average of the y-values, which is called the total sum of squares (regression sum of squares + residual sum of squares). The smaller the residual sum of squares is, compared with the total sum of squares, the larger the value of the coefficient of determination, r2, which is an indicator of how well the equation resulting from the regression analysis explains the relationship among the variables.
  • Formulas that return arrays must be entered as array formulas.
  • When entering an array constant such as known_x's as an argument, use commas to separate values in the same row and semicolons to separate rows. Separator characters may be different depending on your locale setting in Regional Settings or Regional Options in Control Panel.
  • Note that the y-values predicted by the regression equation may not be valid if they are outside the range of the y-values you used to determine the equation.

Example 1 Slope and Y-Intercept

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Known y | Known x
1 | 0
9 | 4
5 | 2
7 | 3
Formula | Formula
=LINEST(A2:A5,B2:B5,,FALSE) |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A7:B7 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 2.

When entered as an array, the slope (2) and the y-intercept (1) are returned.

Example 2 Simple Linear Regression

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Month | Sales
1 | 3100
2 | 4500
3 | 4400
4 | 5400
5 | 7500
6 | 8100
Formula | Description (Result)
=SUM(LINEST(B2:B7, A2:A7)*{9,1}) | Estimate sales for the ninth month (11000)

In general, SUM({m,b}*{x,1}) equals mx + b, the estimated y-value for a given x-value. You can also use the TREND function.

Example 3 Multiple Linear Regression

Suppose a commercial developer is considering purchasing a group of small office buildings in an established business district.

The developer can use multiple linear regression analysis to estimate the value of an office building in a given area based on the following variables.

Variable | Refers to the
y | Assessed value of the office building
x1 | Floor space in square feet
x2 | Number of offices
x3 | Number of entrances
x4 | Age of the office building in years

This example assumes that a straight-line relationship exists between each independent variable (x1, x2, x3, and x4) and the dependent variable (y), the value of office buildings in the area.

The developer randomly chooses a sample of 11 office buildings from a possible 1,500 office buildings and obtains the following data. "Half an entrance" means an entrance for deliveries only.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
12
A | B | C | D | E
Floor space (x1) | Offices (x2) | Entrances (x3) | Age (x4) | Assessed value (y)
2310 | 2 | 2 | 20 | 142,000
2333 | 2 | 2 | 12 | 144,000
2356 | 3 | 1.5 | 33 | 151,000
2379 | 3 | 2 | 43 | 150,000
2402 | 2 | 3 | 53 | 139,000
2425 | 4 | 2 | 23 | 169,000
2448 | 2 | 1.5 | 99 | 126,000
2471 | 2 | 2 | 34 | 142,900
2494 | 3 | 3 | 23 | 163,000
2517 | 4 | 4 | 55 | 169,000
2540 | 2 | 3 | 22 | 149,000
Formula
=LINEST(E2:E12,A2:D12,TRUE,TRUE)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A14:E18 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is -234.2371645.

When entered as an array, the following regression statistics are returned. Use this key to identify the statistic you want.

The multiple regression equation, y = m1*x1 + m2*x2 + m3*x3 + m4*x4 + b, can now be obtained using the values from row 14:

y = 27.64*x1 + 12,530*x2 + 2,553*x3+ 234.24*x4 + 52,318

The developer can now estimate the assessed value of an office building in the same area that has 2,500 square feet, three offices, and two entrances and is 25 years old, by using the following equation:

y = 27.64*2500 + 12530*3 + 2553*2 - 234.24*25 + 52318 = $158,261

Or you can copy the following table to cell A21 of the example workbook.

Floor space (x1) | Offices (x2) | Entrances (x3) | Age (x4) | Assessed value (y)
2500 | 3 | 2 | 25 | =D14*A22 + C14*B22 + B14*C22 + A14*D22 + E14

You can also use the TREND function to calculate this value.

Example 4 Using The F And R2 Statistics

In the previous example, the coefficient of determination, or r2, is 0.99675 (see cell A17 in the output for LINEST), which would indicate a strong relationship between the independent variables and the sale price. You can use the F statistic to determine whether these results, with such a high r2 value, occurred by chance.

Assume for the moment that in fact there is no relationship among the variables, but that you have drawn a rare sample of 11 office buildings that causes the statistical analysis to demonstrate a strong relationship. The term "Alpha" is used for the probability of erroneously concluding that there is a relationship.

There is a relationship among the variables if the F-observed statistic is greater than the F-critical value. The F-critical value can be obtained by referring to a table of F-critical values in many statistics textbooks. To read the table, assume a single-tailed test, use an Alpha value of 0.05, and for the degrees of freedom (abbreviated in most tables as v1 and v2), use v1 = k = 4 and v2 = n - (k + 1) = 11 - (4 + 1) = 6, where k is the number of variables in the regression analysis and n is the number of data points. The F-critical value is 4.53.

The F-observed value is 459.753674 (cell A18), which is substantially greater than the F-critical value of 4.53. Therefore, the regression equation is useful in predicting the assessed value of office buildings in this area.

Example 5 Calculating The T-Statistics

Another hypothesis test will determine whether each slope coefficient is useful in estimating the assessed value of an office building in example 3. For example, to test the age coefficient for statistical significance, divide -234.24 (age slope coefficient) by 13.268 (the estimated standard error of age coefficients in cell A15). The following is the t-observed value:

t = m4 ÷ se4 = -234.24 ÷ 13.268 = -17.7

If you consult a table in a statistics manual, you will find that t-critical, single tail, with 6 degrees of freedom and Alpha = 0.05 is 1.94. Because the absolute value of t, 17.7, is greater than 1.94, age is an important variable when estimating the assessed value of an office building. Each of the other independent variables can be tested for statistical significance in a similar manner. The following are the t-observed values for each of the independent variables.

Variable | t-observed value
Floor space | 5.1
Number of offices | 31.3
Number of entrances | 4.8
Age | 17.7

These values all have an absolute value greater than 1.94; therefore, all the variables used in the regression equation are useful in predicting the assessed value of office buildings in this area.


LN

See Also

Returns the natural logarithm of a number. Natural logarithms are based on the constant e (2.71828182845904).

Syntax

LN(number)

Number is the positive real number for which you want the natural logarithm.

Remark

LN is the inverse of the EXP function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=LN(86) | Natural logarithm of 86 (4.454347)
=LN(2.7182818) | Natural logarithm of the value of the constant e (1)
=LN(EXP(3)) | Natural logarithm of e raised to the power of 3 (3)


LOG

See Also

Returns the logarithm of a number to the base you specify.

Syntax

LOG(number,base)

Number is the positive real number for which you want the logarithm.

Base is the base of the logarithm. If base is omitted, it is assumed to be 10.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=LOG(10) | Logarithm of 10 (1)
=LOG(8, 2) | Logarithm of 8 with base 2 (3)
=LOG(86, 2.7182818) | Logarithm of 86 with base e (4.454347)


LOG10

See Also

Returns the base-10 logarithm of a number.

Syntax

LOG10(number)

Number is the positive real number for which you want the base-10 logarithm.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=LOG10(86) | Base-10 logarithm of 86 (1.934498451)
=LOG10(10) | Base-10 logarithm of 10 (1)
=LOG10(1E5) | Base-10 logarithm of 1E5 (5)
=LOG10(10^5) | Base-10 logarithm of 10^5 (5)


LOGEST

See Also

In regression analysis, calculates an exponential curve that fits your data and returns an array of values that describes the curve. Because this function returns an array of values, it must be entered as an array formula.

The equation for the curve is:

y = b*m^x or

y = (b*(m1^x1)*(m2^x2)*_) (if there are multiple x-values)

where the dependent y-value is a function of the independent x-values. The m-values are bases corresponding to each exponent x-value, and b is a constant value. Note that y, x, and m can be vectors. The array that LOGEST returns is {mn,mn-1,...,m1,b}.

Syntax

LOGEST(known_y's,known_x's,const,stats)

Known_y's is the set of y-values you already know in the relationship y = b*m^x.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

Known_x's is an optional set of x-values that you may already know in the relationship y = b*m^x.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a range of cells with a height of one row or a width of one column (which is also known as a vector).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 1.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 1, and the m-values are fitted to y = m^x.

Stats is a logical value specifying whether to return additional regression statistics.

  • If stats is TRUE, LOGEST returns the additional regression statistics, so the returned array is {mn,mn-1,...,m1,b;sen,sen-1,...,se1,seb;r 2,sey; F,df;ssreg,ssresid}.

  • If stats is FALSE or omitted, LOGEST returns only the m-coefficients and the constant b.

For more information about additional regression statistics, see LINEST.

Remarks

  • The more a plot of your data resembles an exponential curve, the better the calculated line will fit your data. Like LINEST, LOGEST returns an array of values that describes a relationship among the values, but LINEST fits a straight line to your data; LOGEST fits an exponential curve. For more information, see LINEST.
  • When you have only one independent x-variable, you can obtain the slope (m) and y-intercept (b) values directly by using the following formulas:

    Slope (m):
    INDEX(LOGEST(known_y's,known_x's),1)

    Y-intercept (b):
    INDEX(LOGEST(known_y's,known_x's),2)

    You can use the y = b*m^x equation to predict future values of y, but Microsoft Excel provides the GROWTH function to do this for you. For more information, see GROWTH.

  • Formulas that return arrays must be entered as array formulas.
  • When entering an array constant such as known_x's as an argument, use commas to separate values in the same row and semicolons to separate rows. Separator characters may be different depending on your locale setting in Regional Settings or Regional Options in Control Panel.
  • You should note that the y-values predicted by the regression equation may not be valid if they are outside the range of y-values you used to determine the equation.

Example 1 m-coefficients and the constant b

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Month | Units
11 | 33,100
12 | 47,300
13 | 69,000
14 | 102,000
15 | 150,000
16 | 220,000
Formula | Formula
=LOGEST(B2:B7,A2:A7, TRUE, FALSE) |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A9:B9 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 1.463275628.

When entered as an array, the m-coefficients and the constant b are returned.

y = b*m1^x1 or using the values from the array:

y = 495.3 * 1.4633x

You can estimate sales for future months by substituting the month number for x in this equation, or you can use the GROWTH function.

Example 2 Full statistics

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Month | Units
11 | 33,100
12 | 47,300
13 | 69,000
14 | 102,000
15 | 150,000
16 | 220,000
Formula
=LOGEST(B2:B7,A2:A7, TRUE, TRUE)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A9:B13 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 1.463275628.

When entered as an array, the following regression statistics are returned. Use this key to identify the statistic you want.

You can use the additional regression statistics (cells A10:B13 in the above output array) to determine how useful the equation is for predicting future values.

Important The methods you use to test an equation using LOGEST are similar to the methods for LINEST. However, the additional statistics LOGEST returns are based on the following linear model:

ln y = x1 ln m1 + ... + xn ln mn + ln b

You should keep this in mind when you evaluate the additional statistics, especially the sei and seb values, which should be compared to ln mi and ln b, not to mi and b. For more information, consult an advanced statistics manual.


LOGINV

See Also

Returns the inverse of the lognormal cumulative distribution function of x, where ln(x) is normally distributed with parameters mean and standard_dev. If p = LOGNORMDIST(x,...) then LOGINV(p,...) = x.

Use the lognormal distribution to analyze logarithmically transformed data.

Syntax

LOGINV(probability,mean,standard_dev)

Probability is a probability associated with the lognormal distribution.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

Remarks

  • If any argument is nonnumeric, LOGINV returns the #VALUE! error value.
  • If probability < 0 or probability > 1, LOGINV returns the #NUM! error value.
  • If standard_dev <= 0, LOGINV returns the #NUM! error value.

  • The inverse of the lognormal distribution function is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
0.039084 | Probability associated with the lognormal distribution
3.5 | Mean of ln(x)
1.2 | Standard deviation of ln(x)
Formula | Description (Result)
=LOGINV(A2, A3, A4) | Inverse of the lognormal cumulative distribution function for the terms above (4.000014)


LOGNORMDIST

See Also

Returns the cumulative lognormal distribution of x, where ln(x) is normally distributed with parameters mean and standard_dev. Use this function to analyze data that has been logarithmically transformed.

Syntax

LOGNORMDIST(x,mean,standard_dev)

X is the value at which to evaluate the function.

Mean is the mean of ln(x).

Standard_dev is the standard deviation of ln(x).

Remarks

  • If any argument is nonnumeric, LOGNORMDIST returns the #VALUE! error value.
  • If x ≤ 0 or if standard_dev ≤ 0, LOGNORMDIST returns the #NUM! error value.
  • The equation for the lognormal cumulative distribution function is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
4 | Value at which to evaluate the function (x)
3.5 | Mean of ln(x)
1.2 | Standard deviation of ln(x)
Formula | Description (Result)
=LOGNORMDIST(A2,A3,A4) | Cumulative lognormal distribution at 4 with the terms above (0.039084)


LOOKUP

See Also

Returns a value either from a one-row or one-column range or from an array. The LOOKUP function has two syntax forms: vector and array. The vector form of LOOKUP looks in a one-row or one-column range (known as a vector) for a value and returns a value from the same position in a second one-row or one-column range. The array form of LOOKUP looks in the first row or column of an array for the specified value and returns a value from the same position in the last row or column of the array.

Syntax 1 (vector)

Syntax 2 (array)


LOOKUP

See Also

The LOOKUP function has two syntax forms: vector and array.

A vector is a range of only one row or one column. The vector form of LOOKUP looks in a one-row or one-column range (known as a vector) for a value and returns a value from the same position in a second one-row or one-column range. Use this form of the LOOKUP function when you want to specify the range that contains the values you want to match. The other form of LOOKUP automatically looks in the first column or row.

Syntax 1

Vector form

LOOKUP(lookup_value,lookup_vector,result_vector)

Lookup_value is a value that LOOKUP searches for in the first vector. Lookup_value can be a number, text, a logical value, or a name or reference that refers to a value.

Lookup_vector is a range that contains only one row or one column. The values in lookup_vector can be text, numbers, or logical values.

Important The values in lookup_vector must be placed in ascending order: ...,-2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE; otherwise, LOOKUP may not give the correct value. Uppercase and lowercase text are equivalent.

Result_vector is a range that contains only one row or column. It must be the same size as lookup_vector.

Remarks

  • If LOOKUP can't find the lookup_value, it matches the largest value in lookup_vector that is less than or equal to lookup_value.
  • If lookup_value is smaller than the smallest value in lookup_vector, LOOKUP gives the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Frequency | Color
4.14 | red
4.19 | orange
5.17 | yellow
5.77 | green
6.39 | blue
Formula | Description (Result)
=LOOKUP(4.91,A2:A6,B2:B6) | Looks up 4.19 in column A, and returns the value from column B that's in the same row (orange)
=LOOKUP(5.00,A2:A6,B2:B6) | Looks up 5.00 in column A, and returns the value from column B that's in the same row (orange)
=LOOKUP(7.66,A2:A6,B2:B6) | Looks up 7.66 in column A, matches the next smallest value (6.39), and returns the value from column B that's in the same row (blue)
=LOOKUP(0,A2:A6,B2:B6) | Looks up 0 in column A, and returns an error because 0 is less than the smallest value in the lookup_vector A2:A7 (#N/A)


LOOKUP

See Also

The LOOKUP function has two syntax forms: vector and array.

The array form of LOOKUP looks in the first row or column of an array for the specified value and returns a value from the same position in the last row or column of the array. Use this form of LOOKUP when the values you want to match are in the first row or column of the array. Use the other form of LOOKUP when you want to specify the location of the column or row.

Tip

In general, it's best to use the HLOOKUP or VLOOKUP function instead of the array form of LOOKUP. This form of LOOKUP is provided for compatibility with other spreadsheet programs.

Syntax 2

Array form

LOOKUP(lookup_value,array)

Lookup_value is a value that LOOKUP searches for in an array. Lookup_value can be a number, text, a logical value, or a name or reference that refers to a value.

  • If LOOKUP can't find the lookup_value, it uses the largest value in the array that is less than or equal to lookup_value.

  • If lookup_value is smaller than the smallest value in the first row or column (depending on the array dimensions), LOOKUP returns the #N/A error value.

Array is a range of cells that contains text, numbers, or logical values that you want to compare with lookup_value.

The array form of LOOKUP is very similar to the HLOOKUP and VLOOKUP functions. The difference is that HLOOKUP searches for lookup_value in the first row, VLOOKUP searches in the first column, and LOOKUP searches according to the dimensions of array.

  • If array covers an area that is wider than it is tall (more columns than rows), LOOKUP searches for lookup_value in the first row.

  • If array is square or is taller than it is wide (more rows than columns), LOOKUP searches in the first column.

  • With HLOOKUP and VLOOKUP, you can index down or across, but LOOKUP always selects the last value in the row or column.

Important The values in array must be placed in ascending order: ...,-2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE; otherwise, LOOKUP may not give the correct value. Uppercase and lowercase text are equivalent.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=LOOKUP("C",{"a","b","c","d";1,2,3,4}) | Looks up "C" in first row of the array and returns the value in the last row that's in the same column (3)
=LOOKUP("bump",{"a",1;"b",2;"c",3}) | Looks up "bump" in first row of the array and returns the value in the last column that's in the same row (2)


LOWER

See Also

Converts all uppercase letters in a text string to lowercase.

Syntax

LOWER(text)

Text is the text you want to convert to lowercase. LOWER does not change characters in text that are not letters.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
E. E. Cummings
Apt. 2B
Formula | Description (Result)
=LOWER(A2) | Lower case of first string (e. e. cummings)
=LOWER(A3) | Lower case of last string (apt. 2b)


MATCH

See Also

Returns the relative position of an item in an array that matches a specified value in a specified order. Use MATCH instead of one of the LOOKUP functions when you need the position of an item in a range instead of the item itself.

Syntax

MATCH(lookup_value,lookup_array,match_type)

Lookup_value is the value you use to find the value you want in a table.

  • Lookup_value is the value you want to match in lookup_array. For example, when you look up someone's number in a telephone book, you are using the person's name as the lookup value, but the telephone number is the value you want.

  • Lookup_value can be a value (number, text, or logical value) or a cell reference to a number, text, or logical value.

Lookup_array is a contiguous range of cells containing possible lookup values. Lookup_array must be an array or an array reference.

Match_type is the number -1, 0, or 1. Match_type specifies how Microsoft Excel matches lookup_value with values in lookup_array.

  • If match_type is 1, MATCH finds the largest value that is less than or equal to lookup_value. Lookup_array must be placed in ascending order: ...-2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE.

  • If match_type is 0, MATCH finds the first value that is exactly equal to lookup_value. Lookup_array can be in any order.

  • If match_type is -1, MATCH finds the smallest value that is greater than or equal to lookup_value. Lookup_array must be placed in descending order: TRUE, FALSE, Z-A, ...2, 1, 0, -1, -2, ..., and so on.

  • If match_type is omitted, it is assumed to be 1.

Remarks

  • MATCH returns the position of the matched value within lookup_array, not the value itself. For example, MATCH("b",{"a","b","c"},0) returns 2, the relative position of "b" within the array {"a","b","c"}.
  • MATCH does not distinguish between uppercase and lowercase letters when matching text values.
  • If MATCH is unsuccessful in finding a match, it returns the #N/A error value.
  • If match_type is 0 and lookup_value is text, lookup_value can contain the wildcard characters asterisk (*) and question mark (?). An asterisk matches any sequence of characters; a question mark matches any single character.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Product | Count
Bananas | 25
Oranges | 38
Apples | 40
Pears | 41
Formula | Description (Result)
=MATCH(39,B2:B5,1) | Because there is not an exact match, the position of the next lowest value (38) in the range B2:B5 is returned. (2)
=MATCH(41,B2:B5,0) | The position of 41 in the range B2:B5. (4)
=MATCH(40,B2:B5,-1) | Returns an error because the range B2:B5 is not in descending order. (#N/A)


MAX

See Also

Returns the largest value in a set of values.

Syntax

MAX(number1,number2,...)

Number1, number2, ... are 1 to 30 numbers for which you want to find the maximum value.

Remarks

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.
  • If an argument is an array or reference, only numbers in that array or reference are used. Empty cells, logical values, or text in the array or reference are ignored. If logical values and text must not be ignored, use MAXA instead.
  • If the arguments contain no numbers, MAX returns 0 (zero).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
10
7
9
27
2
Formula | Description (Result)
=MAX(A2:A6) | Largest of the numbers above (27)
=MAX(A2:A6, 30) | Largest of the numbers above and 30 (30)


MAXA

See Also

Returns the largest value in a list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

MAXA is similar to MINA. For more information, see the examples for MINA.

Syntax

MAXA(value1,value2,...)

Value1, value2, ... are 1 to 30 values for which you want to find the largest value.

Remarks

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use the MAX worksheet function instead.
  • If an argument is an array or reference, only values in that array or reference are used. Empty cells and text values in the array or reference are ignored.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).
  • If the arguments contain no values, MAXA returns 0 (zero).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
0
0.2
0.5
0.4
TRUE
Formula | Description (Result)
=MAXA(A2:A6) | Largest of the numbers above. TRUE evaluates to 1 (1)


MDETERM

See Also

Returns the matrix determinant of an array.

Syntax

MDETERM(array)

Array is a numeric array with an equal number of rows and columns.

Remarks

  • Array can be given as a cell range, for example, A1:C3; as an array constant, such as {1,2,3;4,5,6;7,8,9}; or as a name to either of these.

  • If any cells in array are empty or contain text, MDETERM returns the #VALUE! error value.

  • MDETERM also returns #VALUE! if array does not have an equal number of rows and columns.

  • The matrix determinant is a number derived from the values in array. For a three-row, three-column array, A1:C3, the determinant is defined as:

    MDETERM(A1:C3) equals
    A1*(B2*C3-B3*C2) + A2*(B3*C1-B1*C3) + A3*(B1*C2-B2*C1)

  • Matrix determinants are generally used for solving systems of mathematical equations that involve several variables.
  • MDETERM is calculated with an accuracy of approximately 16 digits, which may lead to a small numeric error when the calculation is not complete. For example, the determinant of a singular matrix may differ from zero by 1E-16.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B | C | D
Data | Data | Data | Data
1 | 3 | 8 | 5
1 | 3 | 6 | 1
1 | 1 | 1 | 0
7 | 3 | 10 | 2
Formula | Description (Result)
=MDETERM(A2:D5) | Determinant of the matrix above (88)
=MDETERM({3,6,1;1,1,0;3,10,2}) | Determinant of the matrix as an array constant (1)
=MDETERM({3,6;1,1}) | Determinant of the matrix in the array constant (-3)
=MDETERM({1,3,8,5;1,3,6,1}) | Returns an error because the array does not have an equal number of rows and columns (#VALUE!)


MDURATION

See Also

Returns the modified Macauley duration for a security with an assumed par value of $100.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

MDURATION(settlement,maturity,coupon,yld,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Coupon is the security's annual coupon rate.

Yld is the security's annual yield.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date is January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, frequency, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, MDURATION returns the #VALUE! error value.
  • If yld < 0 or if coupon < 0, MDURATION returns the #NUM! error value.
  • If frequency is any number other than 1, 2, or 4, MDURATION returns the #NUM! error value.
  • If basis < 0 or if basis > 4, MDURATION returns the #NUM! error value.
  • If settlement ≥ maturity, MDURATION returns the #NUM! error value.
  • Modified duration is defined as follows:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Data | Description
January 1, 2008 | Settlement date
January 1, 2016 | Maturity date
8% | Percent coupon
9.0% | Percent yield
2 | Frequency is semiannual (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=MDURATION(A2,A3,A4,A5,A6,A7) | The modified duration, for the bond with the terms above (5.73567)


MEDIAN

See Also

Returns the median of the given numbers. The median is the number in the middle of a set of numbers; that is, half the numbers have values that are greater than the median, and half have values that are less.

Syntax

MEDIAN(number1,number2,...)

Number1, number2, ... are 1 to 30 numbers for which you want the median.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers. Microsoft Excel examines all the numbers in each reference or array argument.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

  • If there is an even number of numbers in the set, then MEDIAN calculates the average of the two numbers in the middle. See the second formula in the example.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A
Data
1
2
3
4
5
6
Formula | Description (Result)
=MEDIAN(A2:A6) | Median of the first 5 numbers in the list above (3)
=MEDIAN(A2:A7) | Median of all the numbers above, or the average of 3 and 4 (3.5)


MID

See Also

Also applies to:

MIDB

MID returns a specific number of characters from a text string, starting at the position you specify, based on the number of characters you specify.

MIDB returns a specific number of characters from a text string, starting at the position you specify, based on the number of bytes you specify. This function is for use with double-byte characters.

Syntax

MID(text,start_num,num_chars)

MIDB(text,start_num,num_bytes)

Text is the text string containing the characters you want to extract.

Start_num is the position of the first character you want to extract in text. The first character in text has start_num 1, and so on.

Num_chars specifies the number of characters you want MID to return from text.

Num_bytes specifies the number of characters you want MIDB to return from text, in bytes.

Remarks

  • If start_num is greater than the length of text, MID returns "" (empty text).
  • If start_num is less than the length of text, but start_num plus num_chars exceeds the length of text, MID returns the characters up to the end of text.
  • If start_num is less than 1, MID returns the #VALUE! error value.

  • If num_chars is negative, MID returns the #VALUE! error value.

  • If num_bytes is negative, MIDB returns the #VALUE! error value.

Example (MID)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
Fluid Flow
Formula | Description (Result)
=MID(A2,1,5) | Five characters from the string above, starting at the first character (Fluid)
=MID(A2,7,20) | Twenty characters from the string above, starting at the seventh (Flow)
=MID(A2,20,5) | Because the starting point is greater than the length of the string, empty text is returned ()

Example (MIDB)

=MIDB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ",1,6) equals " Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya "


MIN

See Also

Returns the smallest number in a set of values.

Syntax

MIN(number1,number2,...)

Number1, number2, ... are 1 to 30 numbers for which you want to find the minimum value.

Remarks

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values or text that cannot be translated into numbers cause errors.
  • If an argument is an array or reference, only numbers in that array or reference are used. Empty cells, logical values, or text in the array or reference are ignored. If logical values and text should not be ignored, use MINA instead.
  • If the arguments contain no numbers, MIN returns 0.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
10
7
9
27
2
Formula | Description (Result)
=MIN(A2:A6) | Smallest of the numbers above (2)
=MIN(A2:A6,0) | Smallest of the numbers above and 0 (0)


MINA

See Also

Returns the smallest value in the list of arguments. Text and logical values such as TRUE and FALSE are compared as well as numbers.

Syntax

MINA(value1,value2,...)

Value1, value2, ... are 1 to 30 values for which you want to find the smallest value.

Remarks

  • You can specify arguments that are numbers, empty cells, logical values, or text representations of numbers. Arguments that are error values cause errors. If the calculation must not include text or logical values, use the MIN worksheet function instead.
  • If an argument is an array or reference, only values in that array or reference are used. Empty cells and text values in the array or reference are ignored.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero).
  • If the arguments contain no values, MINA returns 0.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
FALSE
0.2
0.5
0.4
0.8
Formula | Description (Result)
=MINA(A2:A6) | Smallest of the numbers above. FALSE evaluates to 0 (0)


MINUTE

See Also

Returns the minutes of a time value. The minute is given as an integer, ranging from 0 to 59.

Syntax

MINUTE(serial_number)

Serial_number is the time that contains the minute you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remarks

Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5, since it is half of a day).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Time
4:48:00 PM
Formula | Description (Result)
=MINUTE(A2) | Minutes of the time above (48)


MINVERSE

See Also

Returns the inverse matrix for the matrix stored in an array.

Syntax

MINVERSE(array)

Array is a numeric array with an equal number of rows and columns.

Remarks

  • Array can be given as a cell range, such as A1:C3; as an array constant, such as {1,2,3;4,5,6;7,8,9}; or as a name for either of these.

  • If any cells in array are empty or contain text, MINVERSE returns the #VALUE! error value.

  • MINVERSE also returns the #VALUE! error value if array does not have an equal number of rows and columns.

  • Formulas that return arrays must be entered as array formulas.
  • Inverse matrices, like determinants, are generally used for solving systems of mathematical equations involving several variables. The product of a matrix and its inverse is the identity matrix — the square array in which the diagonal values equal 1, and all other values equal 0.
  • As an example of how a two-row, two-column matrix is calculated, suppose that the range A1:B2 contains the letters a, b, c, and d that represent any four numbers. The following table shows the inverse of the matrix A1:B2.
    Column A | Column B
    Row 1 | d/(a*d-b*c) | b/(b*c-a*d)
    Row 2 | c/(b*c-a*d) | a/(a*d-b*c)
  • MINVERSE is calculated with an accuracy of approximately 16 digits, which may lead to a small numeric error when the cancellation is not complete.
  • Some square matrices cannot be inverted and will return the #NUM! error value with MINVERSE. The determinant for a noninvertable matrix is 0.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Data
4 | -1
2 | 0
Formula | Formula
=MINVERSE(A2:B3) |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A5:B6 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 0.

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B | C
Data | Data | Data
1 | 2 | 1
3 | 4 | -1
0 | 2 | 0
Formula | Formula | Formula
=MINVERSE(A2:C4) |  |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A6:C8 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 0.25.

Tip

Use the INDEX function to access individual elements from the inverse matrix.


MIRR

See Also

Returns the modified internal rate of return for a series of periodic cash flows. MIRR considers both the cost of the investment and the interest received on reinvestment of cash.

Syntax

MIRR(values,finance_rate,reinvest_rate)

Values is an array or a reference to cells that contain numbers. These numbers represent a series of payments (negative values) and income (positive values) occurring at regular periods.

  • Values must contain at least one positive value and one negative value to calculate the modified internal rate of return. Otherwise, MIRR returns the #DIV/0! error value.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.

Finance_rate is the interest rate you pay on the money used in the cash flows.

Reinvest_rate is the interest rate you receive on the cash flows as you reinvest them.

Remarks

  • MIRR uses the order of values to interpret the order of cash flows. Be sure to enter your payment and income values in the sequence you want and with the correct signs (positive values for cash received, negative values for cash paid).
  • If n is the number of cash flows in values, frate is the finance_rate, and rrate is the reinvest_rate, then the formula for MIRR is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
A | B
Data | Description
-$120,000 | Initial cost
39,000 | Return first year
30,000 | Return second year
21,000 | Return third year
37,000 | Return fourth year
46,000 | Return fifth year
10.00% | Annual interest rate for the 120,000 loan
12.00% | Annual interest rate for the reinvested profits
Formula | Description (Result)
=MIRR(A2:A7, A8, A9) | Investment's modified rate of return after five years (13%)
=MIRR(A2:A5, A8, A9) | Modified rate of return after three years (-5%)
=MIRR(A2:A7, A8, 14%) | Five-year modified rate of return based on a reinvest_rate of 14 percent (13%)


MMULT

See Also

Returns the matrix product of two arrays. The result is an array with the same number of rows as array1 and the same number of columns as array2.

Syntax

MMULT(array1,array2)

Array1, array2 are the arrays you want to multiply.

Remarks

  • The number of columns in array1 must be the same as the number of rows in array2, and both arrays must contain only numbers.

  • Array1 and array2 can be given as cell ranges, array constants, or references.
  • If any cells are empty or contain text, or if the number of columns in array1 is different from the number of rows in array2, MMULT returns the #VALUE! error value.
  • The matrix product array a of two arrays b and c is:

    where i is the row number, and j is the column number.

  • Formulas that return arrays must be entered as array formulas.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Array 1 | Array 1
1 | 3
7 | 2
Array 2 | Array 2
2 | 0
0 | 2
Formula | Formula
=MMULT(A2:B3,A5:B6) |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A8:B9 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 2.

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Array 1 | Array 1
3 | 0
2 | 0
Array 2 | Array 2
2 | 0
0 | 2
Formula | Formula
=MMULT(A2:B3,A5:B6) |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A8:B9 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 6.


MOD

See Also

Returns the remainder after number is divided by divisor. The result has the same sign as divisor.

Syntax

MOD(number,divisor)

Number is the number for which you want to find the remainder.

Divisor is the number by which you want to divide number.

Remarks

  • If divisor is 0, MOD returns the #DIV/0! error value.

  • The MOD function can be expressed in terms of the INT function:

    MOD(n, d) = n - d*INT(n/d)

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=MOD(3, 2) | Remainder of 3/2 (1)
=MOD(-3, 2) | Remainder of -3/2. The sign is the same as divisor (1)
=MOD(3, -2) | Remainder of 3/-2. The sign is the same as divisor (-1)
=MOD(-3, -2) | Remainder of -3/-2. The sign is the same as divisor (-1)


MODE

See Also

Returns the most frequently occurring, or repetitive, value in an array or range of data. Like MEDIAN, MODE is a location measure.

Syntax

MODE(number1,number2,...)

Number1, number2, ... are 1 to 30 arguments for which you want to calculate the mode. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments should be numbers, names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If the data set contains no duplicate data points, MODE returns the #N/A error value.

In a set of values, the mode is the most frequently occurring value; the median is the middle value; and the mean is the average value. No single measure of central tendency provides a complete picture of the data. Suppose data is clustered in three areas, half around a single low value, and half around two large values. Both AVERAGE and MEDIAN may return a value in the relatively empty middle, and MODE may return the dominant low value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A
Data
5.6
4
4
3
2
4
Formula | Description (Result)
=MODE(A2:A7) | Mode, or most frequently occurring number above (4)


MONTH

See Also

Returns the month of a date represented by a serial number. The month is given as an integer, ranging from 1 (January) to 12 (December).

Syntax

MONTH(serial_number)

Serial_number is the date of the month you are trying to find. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Remarks

Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.

Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Date
15-Apr-2008
Formula | Description (Result)
=MONTH(A2) | Month of the date above (4)


MROUND

See Also

Returns a number rounded to the desired multiple.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

MROUND(number,multiple)

Number is the value to round.

Multiple is the multiple to which you want to round number.

Remark

MROUND rounds up, away from zero, if the remainder of dividing number by multiple is greater than or equal to half the value of multiple.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=MROUND(10, 3) | Rounds 10 to a nearest multiple of 3 (9)
=MROUND(-10, -3) | Rounds 10 to a nearest multiple of 3 (-9)
=MROUND(1.3, 0.2) | Rounds 1.3 to a nearest multiple of 0.2 (1.4)
=MROUND(5, -2) | Returns an error, because -2 and 5 have different signs (#NUM!)


MULTINOMIAL

See Also

Returns the ratio of the factorial of a sum of values to the product of factorials.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

MULTINOMIAL(number1,number2, ...)

Number1,number2, ... are 1 to 29 values for which you want the multinomial.

Remarks

  • If any argument is nonnumeric, MULTINOMIAL returns the #VALUE! error value.
  • If any argument is less than one, MULTINOMIAL returns the #NUM! error value.
  • The multinomial is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=MULTINOMIAL(2, 3, 4) | Ratio of the factorial of a sum of 2, 3 and 4 to the product of factorials (1260)


N

See Also

Returns a value converted to a number.

Syntax

N(value)

Value is the value you want converted. N converts values listed in the following table.

If value is or refers to | N returns
A number | That number
A date, in one of the built-in date formats available in Microsoft Excel | The serial number of that date
TRUE | 1
FALSE | 0
An error value, such as #DIV/0! | The error value
Anything else | 0

Remarks
  • It is not generally necessary to use the N function in a formula, because Excel automatically converts values as necessary. This function is provided for compatibility with other spreadsheet programs.
  • Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Excel for the Macintosh uses a different date system as its default.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A
Data
7
Even
TRUE
4/17/2008
Formula | Description (Result)
=N(A2) | Because A2 contains a number, it is returned (7)
=N(A3) | Because A3 contains text, 0 is returned (0, see above)
=N(A4) | Because A4 is the logical value TRUE, 1 is returned (1, see above)
=N(A5) | Because A5 is a date, the serial number is returned (varies with the date system used)
=N("7") | Because "7" is text, 0 is returned (0, see above)


NA

See Also

Returns the error value #N/A. #N/A is the error value that means "no value is available." Use NA to mark empty cells. By entering #N/A in cells where you are missing information, you can avoid the problem of unintentionally including empty cells in your calculations. (When a formula refers to a cell containing #N/A, the formula returns the #N/A error value.)

Syntax

NA( )

Remarks

  • You must include the empty parentheses with the function name. Otherwise, Microsoft Excel will not recognize it as a function.
  • You can also type the value #N/A directly into a cell. The NA function is provided for compatibility with other spreadsheet programs.


NEGBINOMDIST

See Also

Returns the negative binomial distribution. NEGBINOMDIST returns the probability that there will be number_f failures before the number_s-th success, when the constant probability of a success is probability_s. This function is similar to the binomial distribution, except that the number of successes is fixed, and the number of trials is variable. Like the binomial, trials are assumed to be independent.

For example, you need to find 10 people with excellent reflexes, and you know the probability that a candidate has these qualifications is 0.3. NEGBINOMDIST calculates the probability that you will interview a certain number of unqualified candidates before finding all 10 qualified candidates.

Syntax

NEGBINOMDIST(number_f,number_s,probability_s)

Number_f is the number of failures.

Number_s is the threshold number of successes.

Probability_s is the probability of a success.

Remarks

  • Number_f and number_s are truncated to integers.
  • If any argument is nonnumeric, NEGBINOMDIST returns the #VALUE! error value.
  • If probability_s < 0 or if probability > 1, NEGBINOMDIST returns the #NUM! error value.
  • If (number_f + number_s - 1) ≤ 0, NEGBINOMDIST returns the #NUM! error value.
  • The equation for the negative binomial distribution is:

    where:

    x is number_f, r is number_s, and p is probability_s.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
10 | Number of failures
5 | Threshold number of successes
0.25 | Probability of a success
Formula | Description (Result)
=NEGBINOMDIST(A2,A3,A4) | Negative binomial distribution for the terms above (0.055049)


NETWORKDAYS

See Also

Returns the number of whole working days between start_date and end_date. Working days exclude weekends and any dates identified in holidays. Use NETWORKDAYS to calculate employee benefits that accrue based on the number of days worked during a specific term.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

NETWORKDAYS(start_date,end_date,holidays)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Start_date is a date that represents the start date.

End_date is a date that represents the end date.

Holidays is an optional range of one or more dates to exclude from the working calendar, such as state and federal holidays and floating holidays. The list can be either a range of cells that contains the dates or an array constant of the serial numbers that represent the dates.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • If any argument is not a valid date, NETWORKDAYS returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Date | Description
10/01/2008 | Start date of project
3/01/2009 | End date of project
11/26/2008 | Holiday
12/4/2008 | Holiday
1/21/2009 | Holiday
Formula | Description (Result)
=NETWORKDAYS(A2,A3) | Number of workdays between the start and end date above (108)
=NETWORKDAYS(A2,A3,A4) | Number of workdays between the start and end date above, excluding the first holiday (107)
=NETWORKDAYS(A2,A3,A4:A6) | Number of workdays between the start and end date above, excluding every holiday above (105)

Note To convert the range of cells used for holidays in the last example into an array constant, select reference A4:A6 in the formula and then press F9.


NOMINAL

See Also

Returns the nominal annual interest rate, given the effective rate and the number of compounding periods per year.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

NOMINAL(effect_rate,npery)

Effect_rate is the effective interest rate.

Npery is the number of compounding periods per year.

Remarks

  • Npery is truncated to an integer.
  • If either argument is nonnumeric, NOMINAL returns the #VALUE! error value.
  • If effect_rate ≤ 0 or if npery < 1, NOMINAL returns the #NUM! error value.
  • NOMINAL is related to EFFECT as shown in the following equation:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
5.3543% | Effective interest rate
4 | Number of compounding periods per year
Formula | Description (Result)
=NOMINAL(A2,A3) | Nominal interest rate with the terms above (0.0525 or 5.25 percent)


NORMDIST

See Also

Returns the normal distribution for the specified mean and standard deviation. This function has a very wide range of applications in statistics, including hypothesis testing.

Syntax

NORMDIST(x,mean,standard_dev,cumulative)

X is the value for which you want the distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Cumulative is a logical value that determines the form of the function. If cumulative is TRUE, NORMDIST returns the cumulative distribution function; if FALSE, it returns the probability mass function.

Remarks

  • If mean or standard_dev is nonnumeric, NORMDIST returns the #VALUE! error value.
  • If standard_dev ≤ 0, NORMDIST returns the #NUM! error value.
  • If mean = 0, standard_dev = 1, and cumulative = TRUE, NORMDIST returns the standard normal distribution, NORMSDIST.
  • The equation for the normal density function (cumulative = FALSE) is:

  • When cumulative = TRUE, the formula is the integral from negative infinity to x of the given formula.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
42 | Value for which you want the distribution
40 | Arithmetic mean of the distribution
1.5 | Standard deviation of the distribution
Formula | Description (Result)
=NORMDIST(A2,A3,A4,TRUE) | Cumulative distribution function for the terms above (0.908789)
=NORMDIST(A2,A3,A4,FALSE) | Probability mass function for the terms above (0.10934005)


NORMINV

See Also

Returns the inverse of the normal cumulative distribution for the specified mean and standard deviation.

Syntax

NORMINV(probability,mean,standard_dev)

Probability is a probability corresponding to the normal distribution.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If any argument is nonnumeric, NORMINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, NORMINV returns the #NUM! error value.
  • If standard_dev ≤ 0, NORMINV returns the #NUM! error value.

  • If mean = 0 and standard_dev = 1, NORMINV uses the standard normal distribution (see NORMSINV).

NORMINV uses an iterative technique for calculating the function. Given a probability value, NORMINV iterates until the result is accurate to within ± 3x10^-7. If NORMINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
0.908789 | Probability corresponding to the normal distribution
40 | Arithmetic mean of the distribution
1.5 | Standard deviation of the distribution
Formula | Description (Result)
=NORMINV(A2,A3,A4) | Inverse of the normal cumulative distribution for the terms above (42)


NORMSDIST

See Also

Returns the standard normal cumulative distribution function. The distribution has a mean of 0 (zero) and a standard deviation of one. Use this function in place of a table of standard normal curve areas.

Syntax

NORMSDIST(z)

Z is the value for which you want the distribution.

Remarks

  • If z is nonnumeric, NORMSDIST returns the #VALUE! error value.
  • The equation for the standard normal density function is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=NORMSDIST(1.333333) | Normal cumulative distribution function at 1.333333 (0.908789)


NORMSINV

See Also

Returns the inverse of the standard normal cumulative distribution. The distribution has a mean of zero and a standard deviation of one.

Syntax

NORMSINV(probability)

Probability is a probability corresponding to the normal distribution.

Remarks

  • If probability is nonnumeric, NORMSINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, NORMSINV returns the #NUM! error value.

NORMSINV uses an iterative technique for calculating the function. Given a probability value, NORMSINV iterates until the result is accurate to within ± 3x10^-7. If NORMSINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=NORMSINV(0.908789) | Inverse of the standard normal cumulative distribution, with a probability of 0.908789 (1.3333)


NOT

See Also

Reverses the value of its argument. Use NOT when you want to make sure a value is not equal to one particular value.

Syntax

NOT(logical)

Logical is a value or expression that can be evaluated to TRUE or FALSE.

Remark

If logical is FALSE, NOT returns TRUE; if logical is TRUE, NOT returns FALSE.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=NOT(FALSE) | Reverses FALSE (TRUE)
=NOT(1+1=2) | Reverses an equation that evaluates to TRUE (FALSE)


NOW

See Also

Returns the serial number of the current date and time. If the cell format was General before the function was entered, the result is formatted as a date.

Syntax

NOW( )

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Numbers to the right of the decimal point in the serial number represent the time; numbers to the left represent the date. For example, the serial number .5 represents the time 12:00 noon.
  • The NOW function changes only when the worksheet is calculated or when a macro that contains the function is run. It is not updated continuously.


NPER

See Also

Returns the number of periods for an investment based on periodic, constant payments and a constant interest rate.

Syntax

NPER(rate, pmt, pv, fv, type)

For a more complete description of the arguments in NPER and for more information about annuity functions, see PV.

Rate is the interest rate per period.

Pmt is the payment made each period; it cannot change over the life of the annuity. Typically, pmt contains principal and interest but no other fees or taxes.

Pv is the present value, or the lump-sum amount that a series of future payments is worth right now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
12% | Annual interest rate
-100 | Payment made each period
-1000 | Present value
10000 | Future value
1 | Payment is due at the beginning of the period (see above)
Formula | Description (Result)
=NPER(A2/12, A3, A4, A5, 1) | Periods for the investment with the above terms (60)
=NPER(A2/12, A3, A4, A5) | Periods for the investment with the above terms, except payments are made at the beginning of the period (60)
=NPER(A2/12, A3, A4) | Periods for the investment with the above terms, except with a future value of 0 (-9.578)


NPV

See Also

Calculates the net present value of an investment by using a discount rate and a series of future payments (negative values) and income (positive values).

Syntax

NPV(rate,value1,value2, ...)

Rate is the rate of discount over the length of one period.

Value1, value2, ... are 1 to 29 arguments representing the payments and income.

  • Value1, value2, ... must be equally spaced in time and occur at the end of each period.
  • NPV uses the order of value1, value2, ... to interpret the order of cash flows. Be sure to enter your payment and income values in the correct sequence.
  • Arguments that are numbers, empty cells, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers are ignored.
  • If an argument is an array or reference, only numbers in that array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored.

Remarks

  • The NPV investment begins one period before the date of the value1 cash flow and ends with the last cash flow in the list. The NPV calculation is based on future cash flows. If your first cash flow occurs at the beginning of the first period, the first value must be added to the NPV result, not included in the values arguments. For more information, see the examples below.
  • If n is the number of cash flows in the list of values, the formula for NPV is:

  • NPV is similar to the PV function (present value). The primary difference between PV and NPV is that PV allows cash flows to begin either at the end or at the beginning of the period. Unlike the variable NPV cash flow values, PV cash flows must be constant throughout the investment. For information about annuities and financial functions, see PV.
  • NPV is also related to the IRR function (internal rate of return). IRR is the rate for which NPV equals zero: NPV(IRR(...), ...) = 0.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
10% | Annual discount rate
-10,000 | Initial cost of investment one year from today
3,000 | Return from first year
4,200 | Return from second year
6,800 | Return from third year
Formula | Description (Result)
=NPV(A2, A3, A4, A5, A6) | Net present value of this investment (1,188.44)

In the preceding example, you include the initial $10,000 cost as one of the values, because the payment occurs at the end of the first period.

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Data | Description
8% | Annual discount rate. This might represent the rate of inflation or the interest rate of a competing investment.
-40,000 | Initial cost of investment
8,000 | Return from first year
9,200 | Return from second year
10,000 | Return from third year
12,000 | Return from fourth year
14,500 | Return from fifth year
Formula | Description (Result)
=NPV(A2, A4:A8)+A3 | Net present value of this investment (1,922.06)
=NPV(A2, A4:A8, -9000)+A3 | Net present value of this investment, with a loss in the sixth year of 9000 (-3,749.47)

In the preceding example, you don't include the initial $40,000 cost as one of the values, because the payment occurs at the beginning of the first period.


OCT2BIN

See Also

Converts an octal number to binary.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

OCT2BIN(number,places)

Number is the octal number you want to convert. Number may not contain more than 10 characters. The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, OCT2BIN uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, OCT2BIN ignores places and returns a 10-character binary number.
  • If number is negative, it cannot be less than 7777777000, and if number is positive, it cannot be greater than 777.
  • If number is not a valid octal number, OCT2BIN returns the #NUM! error value.
  • If OCT2BIN requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, OCT2BIN returns the #VALUE! error value.
  • If places is negative, OCT2BIN returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=OCT2BIN(3, 3) | Converts octal 3 to binary with 3 characters (011)
=OCT2BIN(7777777000) | Converts octal 7777777000 to binary (1000000000)


OCT2DEC

See Also

Converts an octal number to decimal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

OCT2DEC(number)

Number is the octal number you want to convert. Number may not contain more than 10 octal characters (30 bits). The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Remark

If number is not a valid octal number, OCT2DEC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=OCT2DEC(54) | Converts octal 54 to decimal (44)
=OCT2DEC(7777777533) | Converts octal 7777777533 to decimal (-165)


OCT2HEX

See Also

Converts an octal number to hexadecimal.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

OCT2HEX(number,places)

Number is the octal number you want to convert. Number may not contain more than 10 octal characters (30 bits). The most significant bit of number is the sign bit. The remaining 29 bits are magnitude bits. Negative numbers are represented using two's-complement notation.

Places is the number of characters to use. If places is omitted, OCT2HEX uses the minimum number of characters necessary. Places is useful for padding the return value with leading 0s (zeros).

Remarks

  • If number is negative, OCT2HEX ignores places and returns a 10-character hexadecimal number.
  • If number is not a valid octal number, OCT2HEX returns the #NUM! error value.
  • If OCT2HEX requires more than places characters, it returns the #NUM! error value.
  • If places is not an integer, it is truncated.
  • If places is nonnumeric, OCT2HEX returns the #VALUE! error value.
  • If places is negative, OCT2HEX returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=OCT2HEX(100, 4) | Converts octal number 100 to hexadecimal with 4 characters (0040)
=OCT2HEX(7777777533) | Converts octal number 7777777533 to hexadecimal (FFFFFFFF5B)


ODD

See Also

Returns number rounded up to the nearest odd integer.

Syntax

ODD(number)

Number is the value to round.

Remarks

  • If number is nonnumeric, ODD returns the #VALUE! error value.
  • Regardless of the sign of number, a value is rounded up when adjusted away from zero. If number is an odd integer, no rounding occurs.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Formula | Description (Result)
=ODD(1.5) | Rounds 1.5 up to the nearest odd integer (3)
=ODD(3) | Rounds 3 up to the nearest odd integer (3)
=ODD(2) | Rounds 2 up to the nearest odd integer (3)
=ODD(-1) | Rounds -1 up to the nearest odd integer (-1)
=ODD(-2) | Rounds -2 up to the nearest odd integer (-3)


ODDFPRICE

See Also

Returns the price per $100 face value of a security having an odd (short or long) first period.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ODDFPRICE(settlement,maturity,issue,first_coupon,rate,yld,redemption,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date.

First_coupon is the security's first coupon date.

Rate is the security's interest rate.

Yld is the security's annual yield.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, issue, first_coupon, and basis are truncated to integers.
  • If settlement, maturity, issue, or first_coupon is not a valid date, ODDFPRICE returns the #VALUE! error value.
  • If rate < 0 or if yld < 0, ODDFPRICE returns the #NUM! error value.
  • If basis < 0 or if basis > 4, ODDFPRICE returns the #NUM! error value.
  • The following date condition must be satisfied; otherwise, ODDFPRICE returns the #NUM! error value:

    maturity > first_coupon > settlement > issue

  • ODDFPRICE is calculated as follows:

    Odd short first coupon:

    where:

    A = number of days from the beginning of the coupon period to the settlement date (accrued days).

    DSC = number of days from the settlement to the next coupon date.

    DFC = number of days from the beginning of the odd first coupon to the first coupon date.

    E = number of days in the coupon period.

    N = number of coupons payable between the settlement date and the redemption date. (If this number contains a fraction, it is raised to the next whole number.)

    Odd long first coupon:

    where:

    Ai = number of days from the beginning of the ith, or last, quasi-coupon period within odd period.

    DCi = number of days from dated date (or issue date) to first quasi-coupon (i = 1) or number of days in quasi-coupon (i = 2,..., i = NC).

    DSC = number of days from settlement to next coupon date.

    E = number of days in coupon period.

    N = number of coupons payable between the first real coupon date and redemption date. (If this number contains a fraction, it is raised to the next whole number.)

    NC = number of quasi-coupon periods that fit in odd period. (If this number contains a fraction, it is raised to the next whole number.)

    NLi = normal length in days of the full ith, or last, quasi-coupon period within odd period.

    Nq = number of whole quasi-coupon periods between settlement date and first coupon.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B
Data | Description (Result)
November 11, 2008 | Settlement date
March 1, 2021 | Maturity date
October 15, 2008 | Issue date
March 1, 2009 | First coupon date
7.85% | Percent coupon
6.25% | Percent yield
100 | Redemptive value
2 | Frequency is semiannual (see above)
1 | Actual/actual basis (see above)
Formula | Description (Result)
=ODDFPRICE(A2,A3,A4,A5,A6,A7,A8,A9,A10) | The price per $100 face value of a security having an odd (short or long) first period, for the bond with the above terms (113.5977)


ODDFYIELD

See Also

Returns the yield of a security that has an odd (short or long) first period.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ODDFYIELD(settlement,maturity,issue,first_coupon,rate,pr,redemption,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date.

First_coupon is the security's first coupon date.

Rate is the security's interest rate.

Pr is the security's price.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, issue, first_coupon, and basis are truncated to integers.
  • If settlement, maturity, issue, or first_coupon is not a valid date, ODDFYIELD returns the #VALUE! error value.
  • If rate < 0 or if pr ≤ 0, ODDFYIELD returns the #NUM! error value.
  • If basis < 0 or if basis > 4, ODDFYIELD returns the #NUM! error value.
  • The following date condition must be satisfied; otherwise, ODDFYIELD returns the #NUM! error value:

    maturity > first_coupon > settlement > issue

  • Excel uses an iterative technique to calculate ODDFYIELD. This function uses the Newton method based on the formula used for the function ODDFPRICE. The yield is changed through 100 iterations until the estimated price with the given yield is close to the price. See ODDFPRICE for the formula that ODDFYIELD uses.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B
Data | Description (Result)
November 11, 2008 | Settlement date
March 1, 2021 | Maturity date
October 15, 2008 | Issue date
March 1, 2009 | First coupon date
5.75% | Percent coupon
84.50 | Price
100 | Redemptive value
2 | Frequency is semiannual (see above)
0 | 30/360 basis (see above)
Formula | Description (Result)
=ODDFYIELD(A2,A3,A4,A5,A6,A7,A8,A9,A10) | The yield of a security that has an odd (short or long) first period, for the bond with the terms above (0.077245542 or 7.72%)

Note To view the number as a percentage, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


ODDLPRICE

See Also

Returns the price per $100 face value of a security having an odd (short or long) last coupon period.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ODDLPRICE(settlement,maturity,last_interest,rate,yld,redemption,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Last_interest is the security's last coupon date.

Rate is the security's interest rate.

Yld is the security's annual yield.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, last_interest, and basis are truncated to integers.
  • If settlement, maturity, or last_interest is not a valid date, ODDLPRICE returns the #VALUE! error value.
  • If rate < 0 or if yld < 0, ODDLPRICE returns the #NUM! error value.
  • If basis < 0 or if basis > 4, ODDLPRICE returns the #NUM! error value.
  • The following date condition must be satisfied; otherwise, ODDLPRICE returns the #NUM! error value:

    maturity > settlement > last_interest

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
A | B
Data | Description (Result)
February 7, 2008 | Settlement date
June 15, 2008 | Maturity date
October 15, 2007 | Last interest date
3.75% | Percent coupon
4.05% | Percent yield
$100 | Redemptive value
2 | Frequency is semiannual (see above)
0 | 30/360 basis (see above)
Formula | Description (Result)
=ODDLPRICE(A2,A3,A4,A5,A6,A7,A8,A9) | The price per $100 of a security having an odd (short or long) last coupon period, for a bond with the above terms (99.87829)


ODDLYIELD

See Also

Returns the yield of a security that has an odd (short or long) last period.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

ODDLYIELD(settlement,maturity,last_interest,rate,pr,redemption,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Last_interest is the security's last coupon date.

Rate is the security's interest rate.

Pr is the security's price.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, last_interest, and basis are truncated to integers.
  • If settlement, maturity, or last_interest is not a valid date, ODDLYIELD returns the #VALUE! error value.
  • If rate < 0 or if pr ≤ 0, ODDLYIELD returns the #NUM! error value.
  • If basis < 0 or if basis > 4, ODDLYIELD returns the #NUM! error value.
  • The following date condition must be satisfied; otherwise, ODDLYIELD returns the #NUM! error value:

    maturity > settlement > last_interest

  • ODDLYIELD is calculated as follows:

    where:

    Ai = number of accrued days for the ith, or last, quasi-coupon period within odd period counting forward from last interest date before redemption.

    DCi = number of days counted in the ith, or last, quasi-coupon period as delimited by the length of the actual coupon period.

    NC = number of quasi-coupon periods that fit in odd period; if this number contains a fraction it will be raised to the next whole number.

    NLi = normal length in days of the ith, or last, quasi-coupon period within odd coupon period.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
A | B
Data | Description
April 20, 2008 | Settlement date
June 15, 2008 | Maturity date
December 24, 2007 | Last interest date
3.75% | Percent coupon
$99.875 | Price
$100 | Redemption value
2 | Frequency is semiannual (see above)
0 | 30/360 basis (see above)
Formula | Description (Result)
=ODDLYIELD(A2,A3,A4,A5,A6,A7,A8,A9) | The yield of a security that has an odd (short or long) last period, for the bond with the terms above (0.045192)


OFFSET

See Also

Returns a reference to a range that is a specified number of rows and columns from a cell or range of cells. The reference that is returned can be a single cell or a range of cells. You can specify the number of rows and the number of columns to be returned.

Syntax

OFFSET(reference,rows,cols,height,width)

Reference is the reference from which you want to base the offset. Reference must refer to a cell or range of adjacent cells; otherwise, OFFSET returns the #VALUE! error value.

Rows is the number of rows, up or down, that you want the upper-left cell to refer to. Using 5 as the rows argument specifies that the upper-left cell in the reference is five rows below reference. Rows can be positive (which means below the starting reference) or negative (which means above the starting reference).

Cols is the number of columns, to the left or right, that you want the upper-left cell of the result to refer to. Using 5 as the cols argument specifies that the upper-left cell in the reference is five columns to the right of reference. Cols can be positive (which means to the right of the starting reference) or negative (which means to the left of the starting reference).

Height is the height, in number of rows, that you want the returned reference to be. Height must be a positive number.

Width is the width, in number of columns, that you want the returned reference to be. Width must be a positive number.

Remarks

  • If rows and cols offset reference over the edge of the worksheet, OFFSET returns the #REF! error value.

  • If height or width is omitted, it is assumed to be the same height or width as reference.

  • OFFSET doesn't actually move any cells or change the selection; it just returns a reference. OFFSET can be used with any function expecting a reference argument. For example, the formula SUM(OFFSET(C2,1,2,3,1)) calculates the total value of a 3-row by 1-column range that is 1 row below and 2 columns to the right of cell C2.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=OFFSET(C3,2,3,1,1) | Displays the value in cell F5 (0)
=SUM(OFFSET(C3:E5,-1,0,3,3)) | Sums the range C2:E4 (0)
=OFFSET(C3:E5,0,-3,3,3) | Returns an error, because the reference is not on the worksheet (#REF!)


OR

See Also

Returns TRUE if any argument is TRUE; returns FALSE if all arguments are FALSE.

Syntax

OR(logical1,logical2,...)

Logical1,logical2,... are 1 to 30 conditions you want to test that can be either TRUE or FALSE.

Remarks

  • The arguments must evaluate to logical values such as TRUE or FALSE, or in arrays or references that contain logical values.
  • If an array or reference argument contains text or empty cells, those values are ignored.
  • If the specified range contains no logical values, OR returns the #VALUE! error value.
  • You can use an OR array formula to see if a value occurs in an array. To enter an array formula, press CTRL+SHIFT+ENTER.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=OR(TRUE) | One argument is TRUE (TRUE)
=OR(1+1=1,2+2=5) | All arguments evaluate to FALSE (FALSE)
=OR(TRUE,FALSE,TRUE) | At least one argument is TRUE (TRUE)


PEARSON

See Also

Returns the Pearson product moment correlation coefficient, r, a dimensionless index that ranges from -1.0 to 1.0 inclusive and reflects the extent of a linear relationship between two data sets.

Syntax

PEARSON(array1,array2)

Array1 is a set of independent values.

Array2 is a set of dependent values.

Remarks

  • The arguments must be either numbers or names, array constants, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If array1 and array2 are empty or have a different number of data points, PEARSON returns the #N/A error value.
  • The r value of the regression line is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Independent values | Dependent values
9 | 10
7 | 6
5 | 1
3 | 5
1 | 3
Formula | Description (Result)
=PEARSON(A2:A6,B2:B6) | Pearson product moment correlation coefficient for the data sets above (0.699379)


PERCENTILE

See Also

Returns the k-th percentile of values in a range. You can use this function to establish a threshold of acceptance. For example, you can decide to examine candidates who score above the 90th percentile.

Syntax

PERCENTILE(array,k)

Array is the array or range of data that defines relative standing.

K is the percentile value in the range 0..1, inclusive.

Remarks

  • If array is empty or contains more than 8,191 data points, PERCENTILE returns the #NUM! error value.
  • If k is nonnumeric, PERCENTILE returns the #VALUE! error value.
  • If k is < 0 or if k > 1, PERCENTILE returns the #NUM! error value.
  • If k is not a multiple of 1/(n - 1), PERCENTILE interpolates to determine the value at the k-th percentile.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A
Data
1
3
2
4
Formula | Description (Result)
=PERCENTILE(A2:A5,0.3) | 30th percentile of the list above (1.9)


PERCENTRANK

See Also

Returns the rank of a value in a data set as a percentage of the data set. This function can be used to evaluate the relative standing of a value within a data set. For example, you can use PERCENTRANK to evaluate the standing of an aptitude test score among all scores for the test.

Syntax

PERCENTRANK(array,x,significance)

Array is the array or range of data with numeric values that defines relative standing.

X is the value for which you want to know the rank.

Significance is an optional value that identifies the number of significant digits for the returned percentage value. If omitted, PERCENTRANK uses three digits (0.xxx).

Remarks

  • If array is empty, PERCENTRANK returns the #NUM! error value.
  • If significance < 1, PERCENTRANK returns the #NUM! error value.
  • If x does not match one of the values in array, PERCENTRANK interpolates to return the correct percentage rank.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
A
Data
13
12
11
8
4
3
2
1
1
1
Formula | Description (Result)
=PERCENTRANK(A2:A11,2) | Percent rank of 2 in the list above (0.333, because 3 values in the set are smaller than 2, and 6 are larger than 2; 3/(3+6)=0.333)
=PERCENTRANK(A2:A11,4) | Percent rank of 4 in the list above (0.555)
=PERCENTRANK(A2:A11,8) | Percent rank of 8 in the list above (0.666)
=PERCENTRANK(A2:A11,5) | Percent rank of 5 in the list above (0.583, one-quarter of the way between the PERCENTRANK of 4 and the PERCENTRANK of 8)

Note To view the number as a percentage, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


PERMUT

See Also

Returns the number of permutations for a given number of objects that can be selected from number objects. A permutation is any set or subset of objects or events where internal order is significant. Permutations are different from combinations, for which the internal order is not significant. Use this function for lottery-style probability calculations.

Syntax

PERMUT(number,number_chosen)

Number is an integer that describes the number of objects.

Number_chosen is an integer that describes the number of objects in each permutation.

Remarks

  • Both arguments are truncated to integers.
  • If number or number_chosen is nonnumeric, PERMUT returns the #VALUE! error value.
  • If number ≤ 0 or if number_chosen < 0, PERMUT returns the #NUM! error value.
  • If number < number_chosen, PERMUT returns the #NUM! error value.
  • The equation for the number of permutations is:

Example

Suppose you want to calculate the odds of selecting a winning lottery number. Each lottery number contains three numbers, each of which can be between 0 (zero) and 99, inclusive. The following function calculates the number of possible permutations:

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
100 | Number of objects
3 | Number of objects in each permutation
Formula | Description (Result)
=PERMUT(A2,A3) | Permutations possible for the terms above (970200)


PHONETIC

See Also

Extracts the phonetic (furigana) characters from a text string.

Syntax

PHONETIC(reference)

Reference is a text string or a reference to a single cell or a range of cells that contain a furigana text string.

Remarks

  • If reference is a range of cells, the furigana text string in the upper-left corner cell of the range is returned.

  • If the reference is a range of nonadjacent cells, the #N/A error value is returned.

Example

If cells C4 contains " Tokyo Tokyo Tokyo " and cell B7 contains " Osaka Osaka Osaka ", the following are true:

=PHONETIC(C4) equals " Tokyo Tokyo Tokyo Tokyo Tokyo Tokyo "

=PHONETIC(B7) equals " Osaka Osaka Osaka Osaka Osaka "


PI

See Also

Returns the number 3.14159265358979, the mathematical constant pi, accurate to 15 digits.

Syntax

PI( )

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Radius
3
Formula | Description (Result)
=PI() | Pi (3.14159265358979)
=PI()/2 | Pi/2 (1.570796327)
=PI()*(A2^2) | Area of a circle, with the radius above (28.27433388)


PMT

See Also

Calculates the payment for a loan based on constant payments and a constant interest rate.

Syntax

PMT(rate,nper,pv,fv,type)

For a more complete description of the arguments in PMT, see the PV function.

Rate is the interest rate for the loan.

Nper is the total number of payments for the loan.

Pv is the present value, or the total amount that a series of future payments is worth now; also known as the principal.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 (zero) or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks
  • The payment returned by PMT includes principal and interest but no taxes, reserve payments, or fees sometimes associated with loans.
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at an annual interest rate of 12 percent, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12 percent for rate and 4 for nper.

Tip

To find the total amount paid over the duration of the loan, multiply the returned PMT value by nper.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
8% | Annual interest rate
10 | Number of months of payments
10000 | Amount of loan
Formula | Description (Result)
=PMT(A2/12, A3, A4) | Monthly payment for a loan with the above terms (-1,037.03)
=PMT(A2/12, A3, A4, 0, 1) | Monthly payment for a loan with the above terms, except payments are due at the beginning of the period (-1,030.16)

Example 2

You can use PMT to determine payments to annuities other than loans.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
6% | Annual interest rate
18 | Years you plan on saving
50,000 | Amount you want to have save in 18 years
Formula | Description (Result)
=PMT(A2/12, A3*12, 0, A4) | Amount to save each month to have 50,000 at the end of 18 years (-129.08)

Note The interest rate is divided by 12 to get a monthly rate. The number of years the money is paid out is multiplied by 12 to get the number of payments.


POISSON

See Also

Returns the Poisson distribution. A common application of the Poisson distribution is predicting the number of events over a specific time, such as the number of cars arriving at a toll plaza in 1 minute.

Syntax

POISSON(x,mean,cumulative)

X is the number of events.

Mean is the expected numeric value.

Cumulative is a logical value that determines the form of the probability distribution returned. If cumulative is TRUE, POISSON returns the cumulative Poisson probability that the number of random events occurring will be between zero and x inclusive; if FALSE, it returns the Poisson probability mass function that the number of events occurring will be exactly x.

Remarks

  • If x is not an integer, it is truncated.
  • If x or mean is nonnumeric, POISSON returns the #VALUE! error value.
  • If x ≤ 0, POISSON returns the #NUM! error value.
  • If mean ≤ 0, POISSON returns the #NUM! error value.
  • POISSON is calculated as follows.

    For cumulative = FALSE:

    For cumulative = TRUE:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
2 | Number of events
5 | Expected mean
Formula | Description (Result)
=POISSON(A2,A3,TRUE) | Cumulative Poisson probability with the terms above (0.124652)
=POISSON(A2,A3,FALSE) | Poisson probability mass function with the terms above (0.084224)


POWER

See Also

Returns the result of a number raised to a power.

Syntax

POWER(number,power)

Number is the base number. It can be any real number.

Power is the exponent to which the base number is raised.

Remark

The "^" operator can be used instead of POWER to indicate to what power the base number is to be raised, such as in 5^2.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=POWER(5,2) | 5 squared (25)
=POWER(98.6,3.2) | 98.6 raised to the power of 3.2 (2401077)
=POWER(4,5/4) | 4 raised to the power of 5/4 (5.656854)


PPMT

See Also

Returns the payment on the principal for a given period for an investment based on periodic, constant payments and a constant interest rate.

Syntax

PPMT(rate,per,nper,pv,fv,type)

For a more complete description of the arguments in PPMT, see PV.

Rate is the interest rate per period.

Per specifies the period and must be in the range 1 to nper.

Nper is the total number of payment periods in an annuity.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (zero), that is, the future value of a loan is 0.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remark

Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description (Result)
10% | Annual interest rate
2 | Number of years in the loan
2000 | Amount of loan
Formula | Description (Result)
=PPMT(A2/12, 1, A3*12, A4) | Payment on principle for the first month of loan (-75.62)

Note The interest rate is divided by 12 to get a monthly rate. The number of years the money is paid out is multiplied by 12 to get the number of payments.

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description (Result)
8% | Annual interest rate
10 | Number of years in the loan
200,000 | Amount of loan
Formula | Description (Result)
=PPMT(A2, A3, 10, A4) | Principal payment for the last year of the loan with the above terms (-27,598.05)


PRICE

See Also

Returns the price per $100 face value of a security that pays periodic interest.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

PRICE(settlement,maturity,rate,yld,redemption,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Rate is the security's annual coupon rate.

Yld is the security's annual yield.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, frequency, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, PRICE returns the #VALUE! error value.
  • If yld < 0 or if rate < 0, PRICE returns the #NUM! error value.
  • If redemption ≤ 0, PRICE returns the #NUM! error value.
  • If frequency is any number other than 1, 2, or 4, PRICE returns the #NUM! error value.
  • If basis < 0 or if basis > 4, PRICE returns the #NUM! error value.
  • If settlement ≥ maturity, PRICE returns the #NUM! error value.
  • PRICE is calculated as follows:

    where:

    DSC = number of days from settlement to next coupon date.

    E = number of days in coupon period in which the settlement date falls.

    N = number of coupons payable between settlement date and redemption date.

    A = number of days from beginning of coupon period to settlement date.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Data | Description
February 15, 2008 | Settlement date
November 15, 2017 | Maturity date
5.75% | Percent semiannual coupon
6.50% | Percent yield
$100 | Redemption value
2 | Frequency is semiannual (see above)
0 | 30/360 basis (see above)
Formula | Description (Result)
=PRICE(A2,A3,A4,A5,A6,A7,A8) | The bond price, for the bond with the terms above (94.63436)


PRICEDISC

See Also

Returns the price per $100 face value of a discounted security.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

PRICEDISC(settlement,maturity,discount,redemption,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Discount is the security's discount rate.

Redemption is the security's redemption value per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, PRICEDISC returns the #VALUE! error value.
  • If discount ≤ 0 or if redemption ≤ 0, PRICEDISC returns the #NUM! error value.
  • If basis < 0 or if basis > 4, PRICEDISC returns the #NUM! error value.
  • If settlement ≥ maturity, PRICEDISC returns the #NUM! error value.
  • PRICEDISC is calculated as follows:

    where:

    B = number of days in year, depending on year basis.

    DSM = number of days from settlement to maturity.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
February 16, 2008 | Settlement date
March 1, 2008 | Maturity date
5.25% | Percent discount rate
$100 | Redemption value
2 | Actual/360 basis (see above)
Formula | Description (Result)
=PRICEDISC(A2,A3,A4,A5,A6) | The bond price, for the bond with the terms above (99.79583)


PRICEMAT

See Also

Returns the price per $100 face value of a security that pays interest at maturity.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

PRICEMAT(settlement,maturity,issue,rate,yld,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date, expressed as a serial date number.

Rate is the security's interest rate at date of issue.

Yld is the security's annual yield.

Basis is the type of day count basis to use.

Basis | Day count basis
0 (zero) or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, issue, and basis are truncated to integers.
  • If settlement, maturity, or issue is not a valid date, PRICEMAT returns the #VALUE! error value.
  • If rate < 0 or if yld < 0, PRICEMAT returns the #NUM! error value.
  • If basis < 0 or if basis > 4, PRICEMAT returns the #NUM! error value.
  • If settlement ≥ maturity, PRICEMAT returns the #NUM! error value.
  • PRICEMAT is calculated as follows:

    where:

    B = number of days in year, depending on year basis.

    DSM = number of days from settlement to maturity.

    DIM = number of days from issue to maturity.

    A = number of days from issue to settlement.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Data | Description
February 15, 2008 | Settlement date
April 13, 2008 | Maturity date
November 11, 2007 | Issue date
6.1% | Percent semiannual coupon
6.1% | Percent yield
0 | 30/360 basis (see above)
Formula | Description (Result)
=PRICEMAT(A2,A3,A4,A5,A6,A7) | The price, for the bond with the terms above (99.98449888)


PROB

See Also

Returns the probability that values in a range are between two limits. If upper_limit is not supplied, returns the probability that values in x_range are equal to lower_limit.

Syntax

PROB(x_range,prob_range,lower_limit,upper_limit)

X_range is the range of numeric values of x with which there are associated probabilities.

Prob_range is a set of probabilities associated with values in x_range.

Lower_limit is the lower bound on the value for which you want a probability.

Upper_limit is the optional upper bound on the value for which you want a probability.

Remarks

  • If any value in prob_range ≤ 0 or if any value in prob_range > 1, PROB returns the #NUM! error value.
  • If the sum of the values in prob_range ¹ 1, PROB returns the #NUM! error value.
  • If upper_limit is omitted, PROB returns the probability of being equal to lower_limit.
  • If x_range and prob_range contain a different number of data points, PROB returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
x | Probability
0 | 0.2
1 | 0.3
2 | 0.1
3 | 0.4
Formula | Description (Result)
=PROB(A2:A5,B2:B5,2) | Probability that x is 2 (0.1)
=PROB(A2:A5,B2:B5,1,3) | Probability that x is between 1 and 3 (0.8)


PRODUCT

See Also

Multiplies all the numbers given as arguments and returns the product.

Syntax

PRODUCT(number1,number2,...)

Number1, number2, ... are 1 to 30 numbers that you want to multiply.

Remarks

  • Arguments that are numbers, logical values, or text representations of numbers are counted; arguments that are error values or text that cannot be translated into numbers cause errors.
  • If an argument is an array or reference, only numbers in the array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
5
15
30
Formula | Description (Result)
=PRODUCT(A2:A4) | Multiplies the numbers above (2250)
=PRODUCT(A2:A4, 2) | Multiplies the numbers above and 2 (4500)


PROPER

See Also

Capitalizes the first letter in a text string and any other letters in text that follow any character other than a letter. Converts all other letters to lowercase letters.

Syntax

PROPER(text)

Text is text enclosed in quotation marks, a formula that returns text, or a reference to a cell containing the text you want to partially capitalize.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
this is a TITLE
2-cent's worth
76BudGet
Formula | Description (Result)
=PROPER(A2) | Proper case of first string (This Is A Title)
=PROPER(A3) | Proper case of second string (2-Cent'S Worth)
=PROPER(A4) | Proper case of third string (76Budget)


PV

See Also

Returns the present value of an investment. The present value is the total amount that a series of future payments is worth now. For example, when you borrow money, the loan amount is the present value to the lender.

Syntax

PV(rate,nper,pmt,fv,type)

Rate is the interest rate per period. For example, if you obtain an automobile loan at a 10 percent annual interest rate and make monthly payments, your interest rate per month is 10%/12, or 0.83%. You would enter 10%/12, or 0.83%, or 0.0083, into the formula as the rate.

Nper is the total number of payment periods in an annuity. For example, if you get a four-year car loan and make monthly payments, your loan has 4*12 (or 48) periods. You would enter 48 into the formula for nper.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. For example, the monthly payments on a $10,000, four-year car loan at 12 percent are $263.33. You would enter -263.33 into the formula as the pmt. If pmt is omitted, you must include the fv argument.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0). For example, if you want to save $50,000 to pay for a special project in 18 years, then $50,000 is the future value. You could then make a conservative guess at an interest rate and determine how much you must save each month. If fv is omitted, you must include the pmt argument.

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Remarks
  • Make sure that you are consistent about the units you use for specifying rate and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for rate and 4*12 for nper. If you make annual payments on the same loan, use 12% for rate and 4 for nper.
  • The following functions apply to annuities:
    CUMIPMT | PPMT
    CUMPRINC | PV
    FV | RATE
    FVSCHEDULE | XIRR
    IPMT | XNPV
    PMT

    An annuity is a series of constant cash payments made over a continuous period. For example, a car loan or a mortgage is an annuity. For more information, see the description for each annuity function.
  • In annuity functions, cash you pay out, such as a deposit to savings, is represented by a negative number; cash you receive, such as a dividend check, is represented by a positive number. For example, a $1,000 deposit to the bank would be represented by the argument -1000 if you are the depositor and by the argument 1000 if you are the bank.
  • Microsoft Excel solves for one financial argument in terms of the others. If rate is not 0, then:

    If rate is 0, then:

    (pmt * nper) + pv + fv = 0

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
500 | Money paid out of an insurance annuity at the end of every month
8% | Interest rate earned on the money paid out
20 | Years the money will be paid out
Formula | Description (Result)
=PV(A3/12, 12*A4, A2, , 0) | Present value of an annuity with the terms above (-59,777.15).

The result is negative because it represents money that you would pay, an outgoing cash flow. If you are asked to pay (60,000) for the annuity, you would determine this would not be a good investment because the present value of the annuity (59,777.15) is less than what you are asked to pay.

Note The interest rate is divided by 12 to get a monthly rate. The years the money is paid out is multiplied by 12 to get the number of payments.


QUARTILE

See Also

Returns the quartile of a data set. Quartiles often are used in sales and survey data to divide populations into groups. For example, you can use QUARTILE to find the top 25 percent of incomes in a population.

Syntax

QUARTILE(array,quart)

Array is the array or cell range of numeric values for which you want the quartile value.

Quart indicates which value to return.

If quart equals | QUARTILE returns
0 | Minimum value
1 | First quartile (25th percentile)
2 | Median value (50th percentile)
3 | Third quartile (75th percentile)
4 | Maximum value

Remarks
  • If array is empty, QUARTILE returns the #NUM! error value.
  • If quart is not an integer, it is truncated.
  • If quart < 0 or if quart > 4, QUARTILE returns the #NUM! error value.
  • MIN, MEDIAN, and MAX return the same value as QUARTILE when quart is equal to 0 (zero), 2, and 4, respectively.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
A
Data
1
2
4
7
8
9
10
12
Formula | Description (Result)
=QUARTILE(A2:A9,1) | First quartile (25th percentile) of the data above (3.5)


QUOTIENT

See Also

Returns the integer portion of a division. Use this function when you want to discard the remainder of a division.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

QUOTIENT(numerator,denominator)

Numerator is the dividend.

Denominator is the divisor.

Remark

If either argument is nonnumeric, QUOTIENT returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=QUOTIENT(5, 2) | Integer portion of 5/2 (2)
=QUOTIENT(4.5, 3.1) | Integer portion of 4.5/3.1 (1)
=QUOTIENT(-10, 3) | Integer portion of -10/3 (-3)


RADIANS

See Also

Converts degrees to radians.

Syntax

RADIANS(angle)

Angle is an angle in degrees that you want to convert.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=RADIANS(270) | 270 degrees as radians (4.712389 or 3π/2 radians)


RAND

See Also

Returns an evenly distributed random number greater than or equal to 0 and less than 1. A new random number is returned every time the worksheet is calculated.

Syntax

RAND( )

Remarks

  • To generate a random real number between a and b, use:

    RAND()*(b-a)+a

  • If you want to use RAND to generate a random number but don't want the numbers to change every time the cell is calculated, you can enter =RAND() in the formula bar, and then press F9 to change the formula to a random number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=RAND() | A random number between 0 and 1 (varies)
=RAND()*100 | A random number equal to 0 but less than 100 (varies)


RANDBETWEEN

See Also

Returns a random number between the numbers you specify. A new random number is returned every time the worksheet is calculated.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

RANDBETWEEN(bottom,top)

Bottom is the smallest integer RANDBETWEEN will return.

Top is the largest integer RANDBETWEEN will return.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=RANDBETWEEN(1,100) | Random number between 1 and 100 (varies)
=RANDBETWEEN(-1,1) | Random number between -1 and 1 (varies)


RANK

See Also

Returns the rank of a number in a list of numbers. The rank of a number is its size relative to other values in a list. (If you were to sort the list, the rank of the number would be its position.)

Syntax

RANK(number,ref,order)

Number is the number whose rank you want to find.

Ref is an array of, or a reference to, a list of numbers. Nonnumeric values in ref are ignored.

Order is a number specifying how to rank number.

  • If order is 0 (zero) or omitted, Microsoft Excel ranks number as if ref were a list sorted in descending order.
  • If order is any nonzero value, Microsoft Excel ranks number as if ref were a list sorted in ascending order.

Remarks

RANK gives duplicate numbers the same rank. However, the presence of duplicate numbers affects the ranks of subsequent numbers. For example, in a list of integers, if the number 10 appears twice and has a rank of 5, then 11 would have a rank of 7 (no number would have a rank of 6).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
7
3.5
3.5
1
2
Formula | Description (Result)
=RANK(A3,A2:A6,1) | Rank of 3.5 in the list above (3)
=RANK(A2,A2:A6,1) | Rank of 7 in the list above (5)


RATE

See Also

Returns the interest rate per period of an annuity. RATE is calculated by iteration and can have zero or more solutions. If the successive results of RATE do not converge to within 0.0000001 after 20 iterations, RATE returns the #NUM! error value.

Syntax

RATE(nper,pmt,pv,fv,type,guess)

For a complete description of the arguments nper, pmt, pv, fv, and type, see PV.

Nper is the total number of payment periods in an annuity.

Pmt is the payment made each period and cannot change over the life of the annuity. Typically, pmt includes principal and interest but no other fees or taxes. If pmt is omitted, you must include the fv argument.

Pv is the present value — the total amount that a series of future payments is worth now.

Fv is the future value, or a cash balance you want to attain after the last payment is made. If fv is omitted, it is assumed to be 0 (the future value of a loan, for example, is 0).

Type is the number 0 or 1 and indicates when payments are due.

Set type equal to | If payments are due
0 or omitted | At the end of the period
1 | At the beginning of the period

Guess is your guess for what the rate will be.
  • If you omit guess, it is assumed to be 10 percent.
  • If RATE does not converge, try different values for guess. RATE usually converges if guess is between 0 and 1.

Remark

Make sure that you are consistent about the units you use for specifying guess and nper. If you make monthly payments on a four-year loan at 12 percent annual interest, use 12%/12 for guess and 4*12 for nper. If you make annual payments on the same loan, use 12% for guess and 4 for nper.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
4 | Years of the loan
-200 | Monthly payment
8000 | Amount of the loan
Formula | Description (Result)
=RATE(A2*12, A3, A4) | Monthly rate of the loan with the above terms (1%)
=RATE(A2*12, A3, A4)*12 | Annual rate of the loan with the above terms (0.09241767 or 9.24%)

Note The number of years of the loan is multiplied by 12 to get the number of months.


RECEIVED

See Also

Returns the amount received at maturity for a fully invested security.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

RECEIVED(settlement,maturity,investment,discount,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Investment is the amount invested in the security.

Discount is the security's discount rate.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, RECEIVED returns the #VALUE! error value.
  • If investment ≤ 0 or if discount ≤ 0, RECEIVED returns the #NUM! error value.
  • If basis < 0 or if basis > 4, RECEIVED returns the #NUM! error value.
  • If settlement ≥ maturity, RECEIVED returns the #NUM! error value.
  • RECEIVED is calculated as follows:

    where:

    B = number of days in a year, depending on the year basis.

    DIM = number of days from issue to maturity.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
February 15, 2008 | Settlement (issue) date
May 15, 2008 | Maturity date
1,000,000 | Investment
5.75% | Percent discount rate
2 | Actual/360 basis (see above)
Formula | Description (Result)
=RECEIVED(A2,A3,A4,A5,A6) | The total amount to be received at maturity, for the bond with the terms above (1014584.654)


REGISTER.ID

See Also

Returns the register ID of the specified dynamic link library (DLL) or code resource that has been previously registered. If the DLL or code resource has not been registered, this function registers the DLL or code resource and then returns the register ID.

REGISTER.ID can be used on worksheets (unlike REGISTER), but you cannot specify a function name and argument names with REGISTER.ID.

For more information about DLLs and code resources and data types, see Using the CALL and REGISTER Functions.

Note Because Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different types of code resources, REGISTER.ID has a slightly different syntax for each operating environment.

Syntax 1

For Microsoft Excel for Windows

REGISTER.ID(module_text,procedure,type_text)

Syntax 2

For Microsoft Excel for the Macintosh

REGISTER.ID(file_text,resource,type_text)

Module_text is text specifying the name of the DLL that contains the function in Microsoft Excel for Windows.

Procedure is text specifying the name of the function in the DLL in Microsoft Excel for Windows. You can also use the ordinal value of the function from the EXPORTS statement in the module-definition file (.DEF). The ordinal value or resource ID number must not be in text form.

Type_text is text specifying the data type of the return value and the data types of all arguments to the DLL. The first letter of type_text specifies the return value. If the function or code resource is already registered, you can omit this argument.

File_text is text specifying the name of the file that contains the code resource in Microsoft Excel for the Macintosh.

Resource is text specifying the name of the function in the code resource in Microsoft Excel for the Macintosh. You can also use the resource ID number. The ordinal value or resource ID number must not be in text form.

Examples (32-Bit Microsoft Excel)

The following formula registers the GetTickCount function from 32-bit Microsoft Windows and returns the register ID:

REGISTER.ID("Kernel32", "GetTickCount", "J!")

Assuming that GetTickCount was already registered on another sheet using the preceding formula, the following formula returns the register ID for GetTickCount:

REGISTER.ID("Kernel32", "GetTickCount")

Examples (16-Bit Microsoft Excel)

The following formula registers the GetTickCount function from 16-bit Microsoft Windows and returns the register ID:

REGISTER.ID("User", "GetTickCount", "J!")

Assuming that GetTickCount was already registered on another sheet using the preceding formula, the following formula returns the register ID for GetTickCount:

REGISTER.ID("User", "GetTickCount")


REPLACE

See Also

Also applies to:

REPLACEB

REPLACE replaces part of a text string, based on the number of characters you specify, with a different text string.

REPLACEB replaces part of a text string, based on the number of bytes you specify, with a different text string. This function is for use with double-byte characters.

Syntax

REPLACE(old_text,start_num,num_chars,new_text)

REPLACEB(old_text,start_num,num_bytes,new_text)

Old_text is text in which you want to replace some characters.

Start_num is the position of the character in old_text that you want to replace with new_text.

Num_chars is the number of characters in old_text that you want REPLACE to replace with new_text.

Num_bytes is the number of bytes in old_text that you want REPLACEB to replace with new_text.

New_text is the text that will replace characters in old_text.

Example (REPLACE)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
abcdefghijk
2009
123456
Formula | Description (Result)
=REPLACE(A2,6,5,"*") | Replaces five characters, starting with the sixth character (abcde*k)
=REPLACE(A3,3,2,"10") | Replaces the last two digits of 2009 with 10 (2010)
=REPLACE(A4,1,3,"@") | Replaces the first three characters with @ (@456)

Example (REPLACEB)

In the following example, the first three double-byte characters in cell C4 are replaced with " Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ":

=REPLACEB(C4,1,6," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ")


REPT

See Also

Repeats text a given number of times. Use REPT to fill a cell with a number of instances of a text string.

Syntax

REPT(text,number_times)

Text is the text you want to repeat.

Number_times is a positive number specifying the number of times to repeat text.

Remarks

  • If number_times is 0 (zero), REPT returns "" (empty text).

  • If number_times is not an integer, it is truncated.

  • The result of the REPT function cannot be longer than 32,767 characters, or REPT returns #VALUE!.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=REPT("*-", 3) | Displays the string 3 times (*-*-*-)
=REPT("-",10) | Displays a dash 10 times (----------)


RIGHT

See Also

Also applies to:

RIGHTB

RIGHT returns the last character or characters in a text string, based on the number of characters you specify.

RIGHTB returns the last character or characters in a text string, based on the number of bytes you specify. This function is for use with double-byte characters.

Syntax

RIGHT(text,num_chars)

RIGHTB(text,num_bytes)

Text is the text string containing the characters you want to extract.

Num_chars specifies the number of characters you want RIGHT to extract.

Num_bytes specifies the number of characters you want RIGHTB to extract, based on bytes.

Remarks

  • Num_chars must be greater than or equal to zero.
  • If num_chars is greater than the length of text, RIGHT returns all of text.
  • If num_chars is omitted, it is assumed to be 1.

Example (RIGHT)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
Sale Price
Stock Number
Formula | Description (Result)
=RIGHT(A2,5) | Last 5 characters of the first string (Price)
=RIGHT(A3) | Last character of the second string (r)

Example (RIGHTB)

=RIGHTB(" Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ",2) equals " Tokyo to Shibuya "


ROMAN

See Also

Converts an arabic numeral to roman, as text.

Syntax

ROMAN(number,form)

Number is the Arabic numeral you want converted.

Form is a number specifying the type of roman numeral you want. The roman numeral style ranges from Classic to Simplified, becoming more concise as the value of form increases. See the example following ROMAN(499,0) below.

Form | Type
0 or omitted | Classic.
1 | More concise. See example below.
2 | More concise. See example below.
3 | More concise. See example below.
4 | Simplified.
TRUE | Classic.
FALSE | Simplified.

Remarks

  • If number is negative, the #VALUE! error value is returned.
  • If number is greater than 3999, the #VALUE! error value is returned.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Formula | Description (Result)
=ROMAN(499,0) | Classic roman numeral style for 499 (CDXCIX)
=ROMAN(499,1) | More concise version for 499 (LDVLIV)
=ROMAN(499,2) | More concise version for 499 (XDIX)
=ROMAN(499,3) | More concise version for 499 (VDIV)
=ROMAN(499,4) | More concise version for 499 (ID)
=ROMAN(2013,0) | Classic roman numeral style for 2013 (MMXIII)


ROUND

See Also

Rounds a number to a specified number of digits.

Syntax

ROUND(number,num_digits)

Number is the number you want to round.

Num_digits specifies the number of digits to which you want to round number.

Remarks

  • If num_digits is greater than 0 (zero), then number is rounded to the specified number of decimal places.
  • If num_digits is 0, then number is rounded to the nearest integer.
  • If num_digits is less than 0, then number is rounded to the left of the decimal point.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=ROUND(2.15, 1) | Rounds 2.15 to one decimal place (2.2)
=ROUND(2.149, 1) | Rounds 2.149 to one decimal place (2.1)
=ROUND(-1.475, 2) | Rounds -1.475 to two decimal places (-1.48)
=ROUND(21.5, -1) | Rounds 21.5 to one decimal place to the left of the decimal point (20)


ROUNDDOWN

See Also

Rounds a number down, toward zero.

Syntax

ROUNDDOWN(number,num_digits)

Number is any real number that you want rounded down.

Num_digits is the number of digits to which you want to round number.

Remarks

  • ROUNDDOWN behaves like ROUND, except that it always rounds a number down.
  • If num_digits is greater than 0 (zero), then number is rounded down to the specified number of decimal places.
  • If num_digits is 0, then number is rounded down to the nearest integer.
  • If num_digits is less than 0, then number is rounded down to the left of the decimal point.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Formula | Description (Result)
=ROUNDDOWN(3.2, 0) | Rounds 3.2 down to zero decimal places (3)
=ROUNDDOWN(76.9,0) | Rounds 76.9 down to zero decimal places (76)
=ROUNDDOWN(3.14159, 3) | Rounds 3.14159 down to three decimal places (3.141)
=ROUNDDOWN(-3.14159, 1) | Rounds -3.14159 down to one decimal place (-3.1)
=ROUNDDOWN(31415.92654, -2) | Rounds 31415.92654 down to 2 decimal places to the left of the decimal (31400)


ROUNDUP

See Also

Rounds a number up, away from 0 (zero).

Syntax

ROUNDUP(number,num_digits)

Number is any real number that you want rounded up.

Num_digits is the number of digits to which you want to round number.

Remarks

  • ROUNDUP behaves like ROUND, except that it always rounds a number up.

  • If num_digits is greater than 0 (zero), then number is rounded up to the specified number of decimal places.

  • If num_digits is 0, then number is rounded up to the nearest integer.

  • If num_digits is less than 0, then number is rounded up to the left of the decimal point.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Formula | Description (Result)
=ROUNDUP(3.2,0) | Rounds 3.2 up to zero decimal places (4)
=ROUNDUP(76.9,0) | Rounds 76.9 up to zero decimal places (77)
=ROUNDUP(3.14159, 3) | Rounds 3.14159 up to three decimal places (3.142)
=ROUNDUP(-3.14159, 1) | Rounds -3.14159 up to one decimal place (-3.2)
=ROUNDUP(31415.92654, -2) | Rounds 31415.92654 up to 2 decimal places to the left of the decimal (31500)


ROW

See Also

Returns the row number of a reference.

Syntax

ROW(reference)

Reference is the cell or range of cells for which you want the row number.

  • If reference is omitted, it is assumed to be the reference of the cell in which the ROW function appears.

  • If reference is a range of cells, and if ROW is entered as a vertical array, ROW returns the row numbers of reference as a vertical array.

  • Reference cannot refer to multiple areas.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=ROW() | Row in which the formula appears (2)
=ROW(C10) | Row of the reference (10)

Example 2

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=ROW(C4:D6) | First row in the reference (4)
 | Second row in the reference (5)
 | Third row in the reference (6)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A2:A4 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 4.


ROWS

See Also

Returns the number of rows in a reference or array.

Syntax

ROWS(array)

Array is an array, an array formula, or a reference to a range of cells for which you want the number of rows.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=ROWS(C1:E4) | Number of rows in the reference (4)
=ROWS({1,2,3;4,5,6}) | Number of rows in the array constant (2)


RSQ

See Also

Returns the square of the Pearson product moment correlation coefficient through data points in known_y's and known_x's. For more information, see PEARSON. The r-squared value can be interpreted as the proportion of the variance in y attributable to the variance in x.

Syntax

RSQ(known_y's,known_x's)

Known_y's is an array or range of data points.

Known_x's is an array or range of data points.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If known_y's and known_x's are empty or have a different number of data points, RSQ returns the #N/A error value.
  • The equation for the r value of the regression line is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Known y | Known x
2 | 6
3 | 5
9 | 11
1 | 7
8 | 5
7 | 4
5 | 4
Formula | Description (Result)
=RSQ(A2:A8,B2:B8) | Square of the Pearson product moment correlation coefficient through data points above (0.05795)


RTD

See Also

Retrieves real-time data from a program that supports COM automation.

Syntax

=RTD(ProgID,server,topic1,[topic2],...)

ProgID the name of the ProgID of a registered COM automation add-in that has been installed on the local computer. Enclose the name in quotation marks.

server name of the server where the add-in should be run. If there is no server, and the program is run locally, leave the argument blank. Otherwise, enter quotation marks ("") around the server name. When using RTD within Visual Basic for Applications (VBA), double quotation marks or the VBA NullString property are required for the server, even if the server is running locally.

topic1, topic2,... 1 to 28 parameters that together represent a unique piece of real-time data.

Remarks

  • The RTD COM automation add-in must be created and registered on a local computer. No RTD servers are shipped with Microsoft Office XP, so if you haven't installed a real-time data server, you will get an error message in a cell if you try to use the RTD function.
  • When the server has been programmed to continually update results, unlike other functions, RTD formulas will change when Microsoft Excel is in automatic calculation mode.

Example

Formula | Description (Result)
=RTD("MyComAddIn.Progid",,"LOREM_IPSUM","Price") | Data


SEARCH

See Also

Also applies to:

SEARCHB

SEARCH returns the number of the character at which a specific character or text string is first found, beginning with start_num. Use SEARCH to determine the location of a character or text string within another text string so that you can use the MID or REPLACE functions to change the text.

SEARCHB also finds one text string (find_text) within another text string (within_text), and returns the number of the starting position of find_text. The result is based on the number of bytes each character uses, beginning with start_num. This function is for use with double-byte characters You can also use FINDB to find one text string within another.

Syntax

SEARCH(find_text,within_text,start_num)

SEARCHB(find_text,within_text,start_num)

Find_text is the text you want to find. You can use the wildcard characters, question mark (?) and asterisk (*), in find_text. A question mark matches any single character; an asterisk matches any sequence of characters. If you want to find an actual question mark or asterisk, type a tilde (~) before the character.

Within_text is the text in which you want to search for find_text.

Start_num is the character number in within_text at which you want to start searching.

Tip

Use start_num to skip a specified number of characters. For example, suppose you are working with the text string "AYF0093.YoungMensApparel". To find the number of the first "Y" in the descriptive part of the text string, set start_num equal to 8 so that the serial-number portion of the text is not searched. SEARCH begins with character 8, finds find_text at the next character, and returns the number 9. SEARCH always returns the number of characters from the start of within_text, counting the characters you skip if start_num is greater than 1.

Remarks

  • SEARCH and SEARCHB do not distinguish between uppercase and lowercase letters when searching text.
  • SEARCH and SEARCHB are similar to FIND and FINDB, except that FIND and FINDB are case sensitive.
  • If find_text is not found, the #VALUE! error value is returned.
  • If start_num is omitted, it is assumed to be 1.
  • If start_num is not greater than 0 (zero) or is greater than the length of within_text, the #VALUE! error value is returned.

Example (SEARCH)

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
Statements
Profit Margin
margin
Formula | Description (Result)
=SEARCH("e",A2,6) | Position of the first "e" in the first string above, starting at the sixth position (7)
=SEARCH(A4,A3) | Position of "margin" in "Profit Margin" (8)
=REPLACE(A3,SEARCH(A4,A3),6,"Amount") | Replaces "Margin" with "Amount" (Profit Amount)

Example (SEARCHB)

In the following examples, SEARCH returns 2 because "" is in the second position within the string, and SEARCHB returns 3 because each character is counted by its bytes; the first character has 2 bytes, so the second character begins at byte 3.

=SEARCH(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 2

=SEARCHB(" Tokyo to Shibuya "," Tokyo to Shibuya Tokyo to Shibuya Tokyo to Shibuya ") equals 3


SECOND

See Also

Returns the seconds of a time value. The second is given as an integer in the range 0 (zero) to 59.

Syntax

SECOND(serial_number)

Serial_number is the time that contains the seconds you want to find. Times may be entered as text strings within quotation marks (for example, "6:45 PM"), as decimal numbers (for example, 0.78125, which represents 6:45 PM), or as results of other formulas or functions (for example, TIMEVALUE("6:45 PM")).

Remark

Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Time
4:48:18 PM
4:48 PM
Formula | Description
=SECOND(A2) | Seconds in the first time (18)
=SECOND(A3) | Seconds in the second time (0)


SERIESSUM

See Also

Returns the sum of a power series based on the formula:

Many functions can be approximated by a power series expansion.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

SERIESSUM(x,n,m,coefficients)

X is the input value to the power series.

N is the initial power to which you want to raise x.

M is the step by which to increase n for each term in the series.

Coefficients is a set of coefficients by which each successive power of x is multiplied. The number of values in coefficients determines the number of terms in the power series. For example, if there are three values in coefficients, then there will be three terms in the power series.

Remark

If any argument is nonnumeric, SERIESSUM returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Coefficients
=PI()/4
1
=-1/FACT(2)
=1/FACT(4)
=-1/FACT(6)
Formula | Description (Result)
=SERIESSUM(A2,0,2,A3:A6) | Approximation to the cosine of Pi/4 radians, or 45 degrees (0.707103)


SIGN

See Also

Determines the sign of a number. Returns 1 if the number is positive, zero (0) if the number is 0, and -1 if the number is negative.

Syntax

SIGN(number)

Number is any real number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=SIGN(10) | Sign of a positive number (1)
=SIGN(4-4) | Sign of zero (0)
=SIGN(-0.00001) | Sign of a negative number (-1)


SIN

See Also

Returns the sine of the given angle.

Syntax

SIN(number)

Number is the angle in radians for which you want the sine.

Remark

If your argument is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Formula | Description (Result)
=SIN(PI()) | Sine of pi radians (0, approximately)
=SIN(PI()/2) | Sine of pi/2 radians (1)
=SIN(30*PI()/180) | Sine of 30 degrees (0.5)
=SIN(RADIANS(30)) | Sine of 30 degrees (0.5)


SINH

See Also

Returns the hyperbolic sine of a number.

Syntax

SINH(number)

Number is any real number.

Remark

The formula for the hyperbolic sine is:

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=SINH(1) | Hyperbolic sine of 1 (1.175201194)
=SINH(-1) | Hyperbolic sine of -1 (-1.175201194)

Example 2

You can use the hyperbolic sine function to approximate a cumulative probability distribution. Suppose a laboratory test value varies between 0 and 10 seconds. An empirical analysis of the collected history of experiments shows that the probability of obtaining a result, x, of less than t seconds is approximated by the following equation:

P(x<t) = 2.868 * SINH(0.0342 * t), where 0<t<10

To calculate the probability of obtaining a result of less than 1.03 seconds, substitute 1.03 for t.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=2.868*SINH(0.0342*1.03) | Probability of obtaining a result of less than 1.03 seconds (0.101049063)

You can expect this result to occur about 101 times for every 1000 experiments.


SKEW

See Also

Returns the skewness of a distribution. Skewness characterizes the degree of asymmetry of a distribution around its mean. Positive skewness indicates a distribution with an asymmetric tail extending toward more positive values. Negative skewness indicates a distribution with an asymmetric tail extending toward more negative values.

Syntax

SKEW(number1,number2,...)

Number1, number2 ... are 1 to 30 arguments for which you want to calculate skewness. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If there are fewer than three data points, or the sample standard deviation is zero, SKEW returns the #DIV/0! error value.
  • The equation for skewness is defined as:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Data
3
4
5
2
3
4
5
6
4
7
Formula | Description (Result)
=SKEW(A2:A11) | Skewness of a distribution of the data set above (0.359543)


SLN

See Also

Returns the straight-line depreciation of an asset for one period.

Syntax

SLN(cost,salvage,life)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is depreciated (sometimes called the useful life of the asset).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
30,000 | Cost
7,500 | Salvage value
10 | Years of useful life
Formula | Description (Result)
=SLN(A2, A3, A4) | The depreciation allowance for each year (2,250)


SLOPE

See Also

Returns the slope of the linear regression line through data points in known_y's and known_x's. The slope is the vertical distance divided by the horizontal distance between any two points on the line, which is the rate of change along the regression line.

Syntax

SLOPE(known_y's,known_x's)

Known_y's is an array or cell range of numeric dependent data points.

Known_x's is the set of independent data points.

Remarks

  • The arguments must be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If known_y's and known_x's are empty or have a different number of data points, SLOPE returns the #N/A error value.
  • The equation for the slope of the regression line is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Known y | Known x
2 | 6
3 | 5
9 | 11
1 | 7
8 | 5
7 | 4
5 | 4
Formula | Description (Result)
=SLOPE(A2:A8,B2:B8) | Slope of the linear regression line through the data points above (0.305556)


SMALL

See Also

Returns the k-th smallest value in a data set. Use this function to return values with a particular relative standing in a data set.

Syntax

SMALL(array,k)

Array is an array or range of numerical data for which you want to determine the k-th smallest value.

K is the position (from the smallest) in the array or range of data to return.

Remarks

  • If array is empty, SMALL returns the #NUM! error value.
  • If k ≤ 0 or if k exceeds the number of data points, SMALL returns the #NUM! error value.
  • If n is the number of data points in array, SMALL(array,1) equals the smallest value, and SMALL(array,n) equals the largest value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B
Data | Data
3 | 1
4 | 4
5 | 8
2 | 3
3 | 7
4 | 12
6 | 54
4 | 8
7 | 23
Formula | Description (Result)
=SMALL(A2:A10,4) | 4th smallest number in first column (4)
=SMALL(B2:B10,2) | 2nd smallest number in the second column (3)


SQL.REQUEST

See Also

Some of the content in this topic may not be applicable to some languages.

Connects with an external data source, and runs a query from a worksheet. SQL.REQUEST then returns the result as an array without the need for macro programming. If this function is not available, you must install the Microsoft Excel ODBC add-in program (XLODBC.XLA). You can install the add-in from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Syntax

SQL.REQUEST(connection_string,output_ref,driver_prompt,query_text,col_names_logical)

Connection_string supplies information, such as the data source name, user ID, and passwords, required by the driver being used to connect to a data source and must follow the driver's format. The following table provides three example connection strings for three drivers.

Driver | Connection_string
dBASE | DSN=NWind;PWD=test
SQL Server | DSN=MyServer;UID=dbayer; PWD=123;Database=Pubs
ORACLE | DNS=My Oracle Data Source;DBQ=MYSER VER;UID=JohnS;PWD=Sesame

  • You must define the data source name (DSN) used in connection_string before you try to connect to it.

  • You can enter connection_string as an array or a string. If connection_string exceeds 250 characters, you must enter it as an array.

  • If SQL.REQUEST is unable to gain access to the data source using connection_string, it returns the #N/A error value.

Output_ref is a cell reference where you want the completed connection string placed. If you enter SQL.REQUEST on a worksheet, then output_ref is ignored.

  • Use output_ref when you want SQL.REQUEST to return the completed connection string (you must enter SQL.REQUEST on a macro sheet in this case).

  • If you omit output_ref, SQL.REQUEST does not return a completed connection string.

Driver_prompt specifies when the driver dialog box is displayed and which options are available. Use one of the numbers described in the following table. If driver_prompt is omitted, SQL.REQUEST uses 2 as the default.

Driver_prompt | Description
1 | Driver dialog box is always displayed.
2 | Driver dialog box is displayed only if information provided by the connection string and the data source specification is not sufficient to complete the connection. All dialog box options are available.
3 | Driver dialog box is displayed only if information provided by the connection string and the data source specification is not sufficient to complete the connection. Dialog box options appear dimmed and unavailable if they are not required.
4 | Driver dialog box is not displayed. If the connection is not successful, it returns an error.

Query_text is the SQL statement that you want to execute on the data source.

  • If SQL.REQUEST is unable to execute query_text on the specified data source, it returns the #N/A error value.

  • You can update a query by concatenating references into query_text. In the following example, every time $A$3 changes, SQL.REQUEST uses the new value to update the query.

    "SELECT Name FROM Customers WHERE Balance > "&$A$3&"".

    Microsoft Excel limits strings to a length of 255 characters. If query_text exceeds that length, enter the query in a vertical range of cells, and use the entire range as the query_text. The values of the cells are concatenated to form the complete SQL statement.

Column_names_logical indicates whether column names are returned as the first row of the results. Set this argument to TRUE if you want the column names to be returned as the first row of the results. Use FALSE if you do not want the column names returned. If column_names_logical is omitted, SQL.REQUEST does not return column names.

Return Value

  • If this function completes all of its actions, it returns an array of query results or the number of rows affected by the query.
  • If SQL.REQUEST is unable to access the data source using connection_string, it returns the #N/A error value.

Remarks

  • SQL.REQUEST can be entered as an array. When you enter SQL.REQUEST as an array, it returns an array to fit that range.
  • If the range of cells is larger than the result set, SQL.REQUEST adds empty cells to the returned array to increase it to the necessary size.
  • If the result set is larger than the range entered as an array, SQL.REQUEST returns the whole array.
  • The arguments to SQL.REQUEST are in a different order than the arguments to the SQLRequest function in Visual Basic for Applications.

Example

Suppose you want to make a query of a dBASE database named DBASE4. When you enter the following formula in a cell, an array of query results is returned, with the first row being the column names:

SQL.REQUEST("DSN=NWind;DBQ=c:\msquery;FIL=dBASE4", c15, 2,
"Select Custmr_ID, Due_Date from Orders WHERE order_Amt>100", TRUE)


SQRT

See Also

Returns a positive square root.

Syntax

SQRT(number)

Number is the number for which you want the square root.

Remark

If number is negative, SQRT returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
-16
Formula | Description (Result)
=SQRT(16) | Square root of 16 (4)
=SQRT(A2) | Square root of the number above. Because the number is negative, an error is returned (#NUM!)
=SQRT(ABS(A2)) | Square root of the absolute value of the number above (4)


SQRTPI

See Also

Returns the square root of (number * pi).

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

SQRTPI(number)

Number is the number by which pi is multiplied.

Remark

If number < 0, SQRTPI returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=SQRTPI(1) | Square root of pi (1.772454)
=SQRTPI(2) | Square root of 2 * pi (2.506628)


STANDARDIZE

See Also

Returns a normalized value from a distribution characterized by mean and standard_dev.

Syntax

STANDARDIZE(x,mean,standard_dev)

X is the value you want to normalize.

Mean is the arithmetic mean of the distribution.

Standard_dev is the standard deviation of the distribution.

Remarks

  • If standard_dev ≤ 0, STANDARDIZE returns the #NUM! error value.
  • The equation for the normalized value is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
42 | Value to normalize
40 | Arithmetic mean of the distribution
1.5 | Standard deviation of the distribution
Formula | Description (Result)
=STANDARDIZE(A2,A3,A4) | Normalized value of 42 for the terms above (1.333333)


STDEV

See Also

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEV(number1,number2,...)

Number1, number2, ... are 1 to 30 number arguments corresponding to a sample of a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • STDEV assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the standard deviation using STDEVP.
  • The standard deviation is calculated using the "nonbiased" or "n-1" method.
  • STDEV uses the following formula:

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the STDEVA worksheet function.

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=STDEV(A2:A11) | Standard deviation of breaking strength (27.46391572)


STDEVA

See Also

Estimates standard deviation based on a sample. The standard deviation is a measure of how widely values are dispersed from the average value (the mean). Text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

STDEVA(value1,value2,...)

Value1, value2, ... are 1 to 30 values corresponding to a sample of a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • STDEVA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the standard deviation using STDEVPA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEV worksheet function instead.
  • The standard deviation is calculated using the "nonbiased" or "n-1" method.
  • STDEVA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=STDEVA(A2:A11) | Standard deviation of breaking strength for all the tools (27.46391572)


STDEVP

See Also

Calculates standard deviation based on the entire population given as arguments. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVP(number1,number2,...)

Number1, number2, ... are 1 to 30 number arguments corresponding to a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

  • Text and logical values such as TRUE and FALSE are ignored. If logical values and text must not be ignored, use the STDEVPA worksheet function.

Remarks

  • STDEVP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the standard deviation using STDEV.
  • For large sample sizes, STDEV and STDEVP return approximately equal values.
  • The standard deviation is calculated using the "biased" or "n" method.
  • STDEVP uses the following formula:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=STDEVP(A2:A11) | Standard deviation of breaking strength, assuming only 10 tools are produced (26.05455814)


STDEVPA

See Also

Calculates standard deviation based on the entire population given as arguments, including text and logical values. The standard deviation is a measure of how widely values are dispersed from the average value (the mean).

Syntax

STDEVPA(value1,value2,...)

Value1, value2, ... are 1 to 30 values corresponding to a population. You can also use a single array or a reference to an array instead of arguments separated by commas.

Remarks

  • STDEVPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the standard deviation using STDEVA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the STDEVP worksheet function instead.
  • For large sample sizes, STDEVA and STDEVPA return approximately equal values.
  • The standard deviation is calculated using the "biased" or "n" method.
  • STDEVPA uses the following formula:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=STDEVPA(A2:A11) | Standard deviation of breaking strength, assuming only 10 tools are produced (26.05455814)


STEYX

See Also

Returns the standard error of the predicted y-value for each x in the regression. The standard error is a measure of the amount of error in the prediction of y for an individual x.

Syntax

STEYX(known_y's,known_x's)

Known_y's is an array or range of dependent data points.

Known_x's is an array or range of independent data points.

Remarks

  • The arguments must either be numbers or be names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If known_y's and known_x's are empty or have a different number of data points, STEYX returns the #N/A error value.
  • The equation for the standard error of the predicted y is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Known y | Known x
2 | 6
3 | 5
9 | 11
1 | 7
8 | 5
7 | 4
5 | 4
Formula | Description (Result)
=STEYX(A2:A8,B2:B8) | Standard error of the predicted y-value for each x in the regression (3.305719)


SUBSTITUTE

See Also

Substitutes new_text for old_text in a text string. Use SUBSTITUTE when you want to replace specific text in a text string; use REPLACE when you want to replace any text that occurs in a specific location in a text string.

Syntax

SUBSTITUTE(text,old_text,new_text,instance_num)

Text is the text or the reference to a cell containing text for which you want to substitute characters.

Old_text is the text you want to replace.

New_text is the text you want to replace old_text with.

Instance_num specifies which occurrence of old_text you want to replace with new_text. If you specify instance_num, only that instance of old_text is replaced. Otherwise, every occurrence of old_text in text is changed to new_text.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
Sales Data
Quarter 1, 2008
Quarter 1, 2011
Formula | Description (Result)
=SUBSTITUTE(A2, "Sales", "Cost") | Substitutes Cost for Sales (Cost Data)
=SUBSTITUTE(A3, "1", "2", 1) | Substitutes first instance of "1" with "2" (Quarter 2, 2008)
=SUBSTITUTE(A4, "1", "2", 3) | Substitutes third instance of "1" with "2" (Quarter 1, 2012)


SUBTOTAL

See Also

Returns a subtotal in a list or database. It is generally easier to create a list with subtotals using the Subtotals command (Data menu). Once the subtotal list is created, you can modify it by editing the SUBTOTAL function.

Syntax

SUBTOTAL(function_num,ref1,ref2,...)

Function_num is the number 1 to 11 that specifies which function to use in calculating subtotals within a list.

Function_Num | Function
1 | AVERAGE
2 | COUNT
3 | COUNTA
4 | MAX
5 | MIN
6 | PRODUCT
7 | STDEV
8 | STDEVP
9 | SUM
10 | VAR
11 | VARP

Ref1, ref2, are 1 to 29 ranges or references for which you want the subtotal.

Remarks

  • If there are other subtotals within ref1, ref2,… (or nested subtotals), these nested subtotals are ignored to avoid double counting.
  • SUBTOTAL will ignore any hidden rows that result from a list being filtered. This is important when you want to subtotal only the visible data that results from a list that you have filtered.
  • If any of the references are 3-D references, SUBTOTAL returns the #VALUE! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A
Data
120
10
150
23
Formula | Description (Result)
=SUBTOTAL(9,A2:A5) | Subtotal of the column above using the SUM function (303)
=SUBTOTAL(1,A2:A5) | Subtotal of the column above using the AVERAGE function (75.75)


SUM

See Also

Adds all the numbers in a range of cells.

Syntax

SUM(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want the total value or sum.

Remarks

  • Numbers, logical values, and text representations of numbers that you type directly into the list of arguments are counted. See the first and second examples following.
  • If an argument is an array or reference, only numbers in that array or reference are counted. Empty cells, logical values, text, or error values in the array or reference are ignored. See the third example following.
  • Arguments that are error values or text that cannot be translated into numbers cause errors.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A
Data
-5
15
30
'5
TRUE
Formula | Description (Result)
=SUM(3, 2) | Adds 3 and 2 (5)
=SUM("5", 15, TRUE) | Adds 5, 15 and 1, because the text values are translated into numbers, and the logical value TRUE is translated into the number 1 (21)
=SUM(A2:A4) | Adds the first three numbers in the column above (40)
=SUM(A2:A4, 15) | Adds the first three numbers in the column above, and 15 (55)
=SUM(A5,A6, 2) | Adds the values in the last two rows above, and 2. Because nonnumeric values in references are not translated, the values in the column above are ignored (2)


SUMIF

See Also

Adds the cells specified by a given criteria.

Syntax

SUMIF(range,criteria,sum_range)

Range is the range of cells you want evaluated.

Criteria is the criteria in the form of a number, expression, or text that defines which cells will be added. For example, criteria can be expressed as 32, "32", ">32", "apples".

Sum_range are the actual cells to sum.

Remarks

  • The cells in sum_range are summed only if their corresponding cells in range match the criteria.

  • If sum_range is omitted, the cells in range are summed.

  • Microsoft Excel provides additional functions that can be used to analyze your data based on a condition. For example, to count the number of occurrences of a string of text or a number within a range of cells, use the COUNTIF function. To have a formula return one of two values based on a condition, such as a sales bonus based on a specified sales amount, use the IF function.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Property Value | Commission
100,000 | 7,000
200,000 | 14,000
300,000 | 21,000
400,000 | 28,000
Formula | Description (Result)
=SUMIF(A2:A5,">160000",B2:B5) | Sum of the commissions for property values over 160000 (63,000)


SUMPRODUCT

See Also

Multiplies corresponding components in the given arrays, and returns the sum of those products.

Syntax

SUMPRODUCT(array1,array2,array3, ...)

Array1, array2, array3, ... are 2 to 30 arrays whose components you want to multiply and then add.

Remarks

  • The array arguments must have the same dimensions. If they do not, SUMPRODUCT returns the #VALUE! error value.
  • SUMPRODUCT treats array entries that are not numeric as if they were zeros.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B | C | D
Array 1 | Array 1 | Array 2 | Array 2
3 | 4 | 2 | 7
8 | 6 | 6 | 7
1 | 9 | 5 | 3
Formula | Description (Result)
=SUMPRODUCT(A2:B4, C2:D4) | Multiplies all the components of the two arrays and then adds the products — that is, 3*2 + 4*7 + 8*6 + 6*7 + 1*5 + 9*3. (156)

Remark

The preceding example returns the same result as the formula SUM(A2:B4*C2:D4) entered as an array. Using arrays provides a more general solution for doing operations similar to SUMPRODUCT. For example, you can calculate the sum of the squares of the elements in A2:B4 by using the formula =SUM(A2:B4^2) and pressing CTRL+SHIFT+ENTER.


SUMSQ

See Also

Returns the sum of the squares of the arguments.

Syntax

SUMSQ(number1,number2, ...)

Number1, number2, ... are 1 to 30 arguments for which you want the sum of the squares. You can also use a single array or a reference to an array instead of arguments separated by commas.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=SUMSQ(3, 4) | Sum of the squares of 3 and 4 (25)


SUMX2MY2

See Also

Returns the sum of the difference of squares of corresponding values in two arrays.

Syntax

SUMX2MY2(array_x,array_y)

Array_x is the first array or range of values.

Array_y is the second array or range of values.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If array_x and array_y have a different number of values, SUMX2MY2 returns the #N/A error value.
  • The equation for the sum of the difference of squares is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
First array | Second array
2 | 6
3 | 5
9 | 11
1 | 7
8 | 5
7 | 4
5 | 4
Formula | Description (Result)
=SUMX2MY2(A2:A8,B2:B8) | Sum of the difference of squares of the two arrays above (-55)
=SUMX2MY2({2, 3, 9, 1, 8, 7, 5}, {6, 5, 11, 7, 5, 4, 4}) | Sum of the difference of squares of the two arrays constants (-55)


SUMX2PY2

See Also

Returns the sum of the sum of squares of corresponding values in two arrays. The sum of the sum of squares is a common term in many statistical calculations.

Syntax

SUMX2PY2(array_x,array_y)

Array_x is the first array or range of values.

Array_y is the second array or range of values.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If array_x and array_y have a different number of values, SUMX2PY2 returns the #N/A error value.
  • The equation for the sum of the sum of squares is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
First array | Second array
2 | 6
3 | 5
9 | 11
1 | 7
8 | 5
7 | 4
5 | 4
Formula | Description (Result)
=SUMX2PY2(A2:A8,B2:B8) | Sum of the sum of squares of the two arrays above (521)
=SUMX2PY2({2, 3, 9, 1, 8, 7, 5}, {6, 5, 11, 7, 5, 4, 4}) | Sum of the sum of squares of the two arrays constants (521)


SUMXMY2

See Also

Returns the sum of squares of differences of corresponding values in two arrays.

Syntax

SUMXMY2(array_x,array_y)

Array_x is the first array or range of values.

Array_y is the second array or range of values.

Remarks

  • The arguments should be either numbers or names, arrays, or references that contain numbers.
  • If an array or reference argument contains text, logical values, or empty cells, those values are ignored; however, cells with the value zero are included.
  • If array_x and array_y have a different number of values, SUMXMY2 returns the #N/A error value.
  • The equation for the sum of squared differences is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
First array | Second array
2 | 6
3 | 5
9 | 11
1 | 7
8 | 5
7 | 4
5 | 4
Formula | Description (Result)
=SUMXMY2(A2:A8,B2:B8) | Sum of squares of differences of the two arrays above (79)
=SUMXMY2({2, 3, 9, 1, 8, 7, 5}, {6, 5, 11, 7, 5, 4, 4}) | Sum of squares of differences of the two arrays constants (79)


SYD

See Also

Returns the sum-of-years' digits depreciation of an asset for a specified period.

Syntax

SYD(cost,salvage,life,per)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is depreciated (sometimes called the useful life of the asset).

Per is the period and must use the same units as life.

Remark

  • SYD is calculated as follows:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
30,000 | Initial cost
7,500 | Salvage value
10 | Lifespan in years
Formula | Description (Result)
=SYD(A2,A3,A4,1) | Yearly depreciation allowance for the first year (4,090.91)
=SYD(A2,A3,A4,10) | Yearly depreciation allowance for the tenth year (409.09)


T

See Also

Returns the text referred to by value.

Syntax

T(value)

Value is the value you want to test.

Remarks

  • If value is or refers to text, T returns value. If value does not refer to text, T returns "" (empty text).

  • You do not generally need to use the T function in a formula because Microsoft Excel automatically converts values as necessary. This function is provided for compatibility with other spreadsheet programs.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
Rainfall
19
TRUE
Formula | Description (Result)
=T(A2) | Because the first value is text, the text is returned (Rainfall)
=T(A3) | Because the second value is a number, empty text is returned ()
=T(A4) | Because the third value is a logical value, empty text is returned ()


TAN

See Also

Returns the tangent of the given angle.

Syntax

TAN(number)

Number is the angle in radians for which you want the tangent.

Remark

If your argument is in degrees, multiply it by PI()/180 or use the RADIANS function to convert it to radians.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=TAN(0.785) | Tangent of 0.785 radians (0.99920)
=TAN(45*PI()/180) | Tangent of 45 degrees (1)
=TAN(RADIANS(45)) | Tangent of 45 degrees (1)


TANH

See Also

Returns the hyperbolic tangent of a number.

Syntax

TANH(number)

Number is any real number

Remark

The formula for the hyperbolic tangent is:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=TANH(-2) | Hyperbolic tangent of -2 (-0.96403)
=TANH(0) | Hyperbolic tangent of 0 (0)
=TANH(0.5) | Hyperbolic tangent of 0.5 (0.462117)


TBILLEQ

See Also

Returns the bond-equivalent yield for a Treasury bill.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

TBILLEQ(settlement,maturity,discount)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the Treasury bill's settlement date. The security settlement date is the date after the issue date when the Treasury bill is traded to the buyer.

Maturity is the Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.

Discount is the Treasury bill's discount rate.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Settlement and maturity are truncated to integers.
  • If settlement or maturity is not a valid date, TBILLEQ returns the #VALUE! error value.
  • If discount ≤ 0, TBILLEQ returns the #NUM! error value.
  • If settlement > maturity, or if maturity is more than one year after settlement, TBILLEQ returns the #NUM! error value.
  • TBILLEQ is calculated as TBILLEQ = (365 x rate)/(360-(rate x DSM)), where DSM is the number of days between settlement and maturity computed according to the 360 days per year basis.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
March 31, 2008 | Settlement date
June 1, 2008 | Maturity date
9.14% | Percent discount rate
Formula | Description (Result)
=TBILLEQ(A2,A3,A4) | The bond equivalent yield, for the Treasury bill with the terms above (0.094151 or 9.42%)

Note To view the number as a percent, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


TBILLPRICE

See Also

Returns the price per $100 face value for a Treasury bill.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

TBILLPRICE(settlement,maturity,discount)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the Treasury bill's settlement date. The security settlement date is the date after the issue date when the Treasury bill is traded to the buyer.

Maturity is the Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.

Discount is the Treasury bill's discount rate.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Settlement and maturity are truncated to integers.
  • If settlement or maturity is not a valid date, TBILLPRICE returns the #VALUE! error value.
  • If discount ≤ 0, TBILLPRICE returns the #NUM! error value.
  • If settlement > maturity, or if maturity is more than one year after settlement, TBILLPRICE returns the #NUM! error value.
  • TBILLPRICE is calculated as follows:

    where:

    DSM = number of days from settlement to maturity, excluding any maturity date that is more than one calendar year after the settlement date.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
March 31, 2008 | Settlement date
June 1, 2008 | Maturity date
9% | Percent discount rate
Formula | Description (Result)
=TBILLPRICE(A2,A3,A4) | The price, for the Treasury bill with the terms above (98.45)


TBILLYIELD

See Also

Returns the yield for a Treasury bill.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

TBILLYIELD(settlement,maturity,pr)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the Treasury bill's settlement date. The security settlement date is the date after the issue date when the Treasury bill is traded to the buyer.

Maturity is the Treasury bill's maturity date. The maturity date is the date when the Treasury bill expires.

Pr is the Treasury bill's price per $100 face value.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Settlement and maturity are truncated to integers.
  • If settlement or maturity is not a valid date, TBILLYIELD returns the #VALUE! error value.
  • If pr ≤ 0, TBILLYIELD returns the #NUM! error value.
  • If settlement ≥ maturity, or if maturity is more than one year after settlement, TBILLYIELD returns the #NUM! error value.
  • TBILLYIELD is calculated as follows:

    where:

    DSM = number of days from settlement to maturity, excluding any maturity date that is more than one calendar year after the settlement date.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
March 31, 2008 | Settlement date
June 1, 2008 | Maturity date
98.45 | Price per $100 face value
Formula | Description (Result)
=TBILLYIELD(A2,A3,A4) | The yield, for the treasury bill with the terms above (0.091417 or 9.1417 percent)


TDIST

See Also

Returns the Percentage Points (probability) for the Student t-distribution where a numeric value (x) is a calculated value of t for which the Percentage Points are to be computed. The t-distribution is used in the hypothesis testing of small sample data sets. Use this function in place of a table of critical values for the t-distribution.

Syntax

TDIST(x,degrees_freedom,tails)

X is the numeric value at which to evaluate the distribution.

Degrees_freedom is an integer indicating the number of degrees of freedom.

Tails specifies the number of distribution tails to return. If tails = 1, TDIST returns the one-tailed distribution. If tails = 2, TDIST returns the two-tailed distribution.

Remarks

  • If any argument is nonnumeric, TDIST returns the #VALUE! error value.
  • If degrees_freedom < 1, TDIST returns the #NUM! error value.
  • The degrees_freedom and tails arguments are truncated to integers.
  • If tails is any value other than 1 or 2, TDIST returns the #NUM! error value.
  • TDIST is calculated as TDIST = p( x<X ), where X is a random variable that follows the t-distribution.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
1.96 | Value at which to evaluate the distribution
60 | Degrees of freedom
Formula | Description (Result)
=TDIST(A2,A3,2) | Two-tailed distribution (0.054644927, or 5.46 percent)
=TDIST(A2,A3,1) | One-tailed distribution (0.027322463 or 2.73 percent)

Note To view the number as a percent, select the cell and, on the Format menu, click Cells. Click the Number tab, and then click Percentage in the Category box.


TEXT

See Also

Converts a value to text in a specific number format.

Syntax

TEXT(value,format_text)

Value is a numeric value, a formula that evaluates to a numeric value, or a reference to a cell containing a numeric value.

Format_text is a number format in text form from in the Category box on the Number tab in the Format Cells dialog box.

Remarks

  • Format_text cannot contain an asterisk (*).

  • Formatting a cell with an option on the Number tab (Cells command, Format menu) changes only the format, not the value. Using the TEXT function converts a value to formatted text, and the result is no longer calculated as a number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Salesperson | Sales
Buchanan | 2800
Dodsworth | 40%
Formula | Description (Result)
=A2&" sold "&TEXT(B2, "$0.00")&" worth of units." | Combines contents above into a phrase (Buchanan sold $2800.00 worth of units.)
=A3&" sold "&TEXT(B3,"0%")&" of the total sales." | Combines contents above into a phrase (Dodsworth sold 40% of the total sales.)


TIME

See Also

Returns the decimal number for a particular time. If the cell format was General before the function was entered, the result is formatted as a date.

The decimal number returned by TIME is a value ranging from 0 (zero) to 0.99999999, representing the times from 0:00:00 (12:00:00 AM) to 23:59:59 (11:59:59 P.M.).

Syntax

TIME(hour,minute,second)

Hour is a number from 0 (zero) to 32767 representing the hour. Any value greater than 23 will be divided by 24 and the remainder will be treated as the hour value. For example, TIME(27,0,0) = TIME(3,0,0) = .125 or 3:00 AM.

Minute is a number from 0 to 32767 representing the minute. Any value greater than 59 will be converted to hours and minutes. For example, TIME(0,750,0) = TIME(12,30,0) = .520833 or 12:30 PM.

Second is a number from 0 to 32767 representing the second. Any value greater than 59 will be converted to hours, minutes, and seconds. For example, TIME(0,0,2000) = TIME(0,33,22) = .023148 or 12:33:20 AM

Remark

Microsoft Excel for Windows and Microsoft Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B | C
Hour | Minute | Second
12 | 0 | 0
16 | 48 | 10
Formula | Description (Result)
=TIME(A2,B2,C2) | Decimal part of a day, for the first time above (0.5)
=TIME(A3,B3,C3) | Decimal part of a day, for the second time above (0.700115741)

Note To view the time as a decimal number, select the cell and click Cells on the Format menu. Click the Number tab, and then click General or Number in the Category box.


TIMEVALUE

See Also

Returns the decimal number of the time represented by a text string. The decimal number is a value ranging from 0 (zero) to 0.99999999, representing the times from 0:00:00 (12:00:00 AM) to 23:59:59 (11:59:59 P.M.).

Syntax

TIMEVALUE(time_text)

Time_text is a text string that represents a time in any one of the Microsoft Excel time formats; for example, "6:45 PM" and "18:45" text strings within quotation marks that represent time.

Remarks

  • Date information in time_text is ignored.

  • Excel for Windows and Excel for the Macintosh use different date systems as their default. Time values are a portion of a date value and represented by a decimal number (for example, 12:00 PM is represented as 0.5 because it is half of a day).

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=TIMEVALUE("2:24 AM") | Decimal part of a day, for the time (0.1)
=TIMEVALUE("22-Aug-2008 6:35 AM") | Decimal part of a day, for the time (0.274305556)

Note To view the number as a time, select the cell and click Cells on the Format menu. Click the Number tab, and then click Time in the Category box.


TINV

See Also

Returns the t-value of the Student's t-distribution as a function of the probability and the degrees of freedom.

Syntax

TINV(probability,degrees_freedom)

Probability is the probability associated with the two-tailed Student's t-distribution.

Degrees_freedom is the number of degrees of freedom with which to characterize the distribution.

Remarks

  • If either argument is nonnumeric, TINV returns the #VALUE! error value.
  • If probability < 0 or if probability > 1, TINV returns the #NUM! error value.
  • If degrees_freedom is not an integer, it is truncated.
  • If degrees_freedom < 1, TINV returns the #NUM! error value.
  • TINV is calculated as TINV = p( t<X ), where X is a random variable that follows the t-distribution.
  • A one-tailed t-value can be returned by replacing probability with 2*probability. For a probability of 0.05 and degrees of freedom of 10, the two-tailed value is calculated with TINV(0.05,10), which returns 2.28139. The one-tailed value for the same probability and degrees of freedom can be calculated with TINV(2*0.05,10), which returns 1.812462.

    Note In some tables, probability is described as (1-p).

  • TINV uses an iterative technique for calculating the function. Given a probability value, TINV iterates until the result is accurate to within ± 3x10^-7. If TINV does not converge after 100 iterations, the function returns the #N/A error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Data | Description
0.054645 | Probability associated with the two-tailed Student's t-distribution
60 | Degrees of freedom
Formula | Description (Result)
=TINV(A2,A3) | t-value of the Student's t-distribution for the terms above (1.959997462)


TODAY

See Also

Returns the serial number of the current date. The serial number is the date-time code used by Microsoft Excel for date and time calculations. If the cell format was General before the function was entered, the result is formatted as a date.

Syntax

TODAY( )

Remark

Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.


TRANSPOSE

See Also

Returns a vertical range of cells as a horizontal range, or vice versa. TRANSPOSE must be entered as an array formula in a range that has the same number of rows and columns, respectively, as an array has columns and rows. Use TRANSPOSE to shift the vertical and horizontal orientation of an array on a worksheet.

Syntax

TRANSPOSE(array)

Array is an array or range of cells on a worksheet that you want to transpose. The transpose of an array is created by using the first row of the array as the first column of the new array, the second row of the array as the second column of the new array, and so on.

Example 1

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B | C
Data | Data | Data
1 | 2 | 3
Formula | Description (Result)
=TRANSPOSE($A$2:$C$2) | Value from first column (1)
 | Value from second column (2)
 | Value from third column (3)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A5:A7 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 1.

Example 2

Some functions, such as LINEST, return horizontal arrays. LINEST returns a horizontal array of the slope and Y-intercept for a line. The following formula returns a vertical array of the slope and Y-intercept from LINEST.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
A | B
Known y | Known x
1 | 0
9 | 4
5 | 2
7 | 3
Formula | Description (Result)
=TRANSPOSE(LINEST(A2:A5,B2:B5,,FALSE)) | Slope (2)
 | Y-intercept (1)

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range A7:A8 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single result is 2.


TREND

See Also

Returns values along a linear trend. Fits a straight line (using the method of least squares) to the arrays known_y's and known_x's. Returns the y-values along that line for the array of new_x's that you specify.

Syntax

TREND(known_y's,known_x's,new_x's,const)

Known_y's is the set of y-values you already know in the relationship y = mx + b.

  • If the array known_y's is in a single column, then each column of known_x's is interpreted as a separate variable.

  • If the array known_y's is in a single row, then each row of known_x's is interpreted as a separate variable.

Known_x's is an optional set of x-values that you may already know in the relationship y = mx + b.

  • The array known_x's can include one or more sets of variables. If only one variable is used, known_y's and known_x's can be ranges of any shape, as long as they have equal dimensions. If more than one variable is used, known_y's must be a vector (that is, a range with a height of one row or a width of one column).

  • If known_x's is omitted, it is assumed to be the array {1,2,3,...} that is the same size as known_y's.

New_x's are new x-values for which you want TREND to return corresponding y-values.

  • New_x's must include a column (or row) for each independent variable, just as known_x's does. So, if known_y's is in a single column, known_x's and new_x's must have the same number of columns. If known_y's is in a single row, known_x's and new_x's must have the same number of rows.

  • If you omit new_x's, it is assumed to be the same as known_x's.

  • If you omit both known_x's and new_x's, they are assumed to be the array {1,2,3,...} that is the same size as known_y's.

Const is a logical value specifying whether to force the constant b to equal 0.

  • If const is TRUE or omitted, b is calculated normally.

  • If const is FALSE, b is set equal to 0 (zero), and the m-values are adjusted so that y = mx.

Remarks

  • For information about how Microsoft Excel fits a line to data, see LINEST.
  • You can use TREND for polynomial curve fitting by regressing against the same variable raised to different powers. For example, suppose column A contains y-values and column B contains x-values. You can enter x^2 in column C, x^3 in column D, and so on, and then regress columns B through D against column A.
  • Formulas that return arrays must be entered as array formulas.
  • When entering an array constant for an argument such as known_x's, use commas to separate values in the same row and semicolons to separate rows.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.

The first formula shows corresponding values to the known values. The second formula predicts the next months values, if the linear trend continues.

1
2
3
4
5
6
7
8
9
10
11
12
13
A | B | C
Month | Cost | Formula (Corresponding Cost)
1 | $133,890 | =TREND(B2:B13,A2:A13)
2 | $135,000 |
3 | $135,790 |
4 | $137,300 |
5 | $138,130 |
6 | $139,100 |
7 | $139,900 |
8 | $141,120 |
9 | $141,890 |
10 | $143,230 |
11 | $144,000 |
12 | $145,290 |
Month | Formula (Predicted Cost)
13 | =TREND(B2:B13,A2:A13,A15:A19)
14 |
15 |
16 |
17 |

Note The formula in the example must be entered as an array formula. After copying the example to a blank worksheet, select the range C2:C13 or B15:B19 starting with the formula cell. Press F2, and then press CTRL+SHIFT+ENTER. If the formula is not entered as an array formula, the single results are 133953.3333 and 146171.5152.


TRIM

See Also

Removes all spaces from text except for single spaces between words. Use TRIM on text that you have received from another application that may have irregular spacing.

Syntax

TRIM(text)

Text is the text from which you want spaces removed.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Formula | Description (Result)
=TRIM(" First Quarter Earnings ") | Removes leading and trailing spaces from the text in the formula (First Quarter Earnings)


TRIMMEAN

See Also

Returns the mean of the interior of a data set. TRIMMEAN calculates the mean taken by excluding a percentage of data points from the top and bottom tails of a data set. You can use this function when you wish to exclude outlying data from your analysis.

Syntax

TRIMMEAN(array,percent)

Array is the array or range of values to trim and average.

Percent is the fractional number of data points to exclude from the calculation. For example, if percent = 0.2, 4 points are trimmed from a data set of 20 points (20 x 0.2): 2 from the top and 2 from the bottom of the set.

Remarks

  • If percent < 0 or percent > 1, TRIMMEAN returns the #NUM! error value.
  • TRIMMEAN rounds the number of excluded data points down to the nearest multiple of 2. If percent = 0.1, 10 percent of 30 data points equals 3 points. For symmetry, TRIMMEAN excludes a single value from the top and bottom of the data set.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
12
A
Data
4
5
6
7
2
3
4
5
1
2
3
Formula | Description (Result)
=TRIMMEAN(A2:A12,0.2) | Mean of the interior of a data set above, with 20 percent excluded from calculation (3.777778)


TRUE

See Also

Returns the logical value TRUE.

Syntax

TRUE( )

Remark

You can enter the value TRUE directly into cells and formulas without using this function. The TRUE function is provided primarily for compatibility with other spreadsheet programs.


TRUNC

See Also

Truncates a number to an integer by removing the fractional part of the number.

Syntax

TRUNC(number,num_digits)

Number is the number you want to truncate.

Num_digits is a number specifying the precision of the truncation. The default value for num_digits is 0 (zero).

Remark

TRUNC and INT are similar in that both return integers. TRUNC removes the fractional part of the number. INT rounds numbers down to the nearest integer based on the value of the fractional part of the number. INT and TRUNC are different only when using negative numbers: TRUNC(-4.3) returns -4, but INT(-4.3) returns -5 because -5 is the lower number.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Formula | Description (Result)
=TRUNC(8.9) | Integer part of 8.9 (8)
=TRUNC(-8.9) | Integer part of -8.9 (-8)
=TRUNC(PI()) | Integer part of pi (3)


TTEST

See Also

Returns the probability associated with a Student's t-Test. Use TTEST to determine whether two samples are likely to have come from the same two underlying populations that have the same mean.

Syntax

TTEST(array1,array2,tails,type)

Array1 is the first data set.

Array2 is the second data set.

Tails specifies the number of distribution tails. If tails = 1, TTEST uses the one-tailed distribution. If tails = 2, TTEST uses the two-tailed distribution.

Type is the kind of t-Test to perform.

If type equals | This test is performed
1 | Paired
2 | Two-sample equal variance (homoscedastic)
3 | Two-sample unequal variance (heteroscedastic)

Remarks

  • If array1 and array2 have a different number of data points, and type = 1 (paired), TTEST returns the #N/A error value.
  • The tails and type arguments are truncated to integers.
  • If tails or type is nonnumeric, TTEST returns the #VALUE! error value.
  • If tails is any value other than 1 or 2, TTEST returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
A | B
Data 1 | Data 2
3 | 6
4 | 19
5 | 3
8 | 2
9 | 14
1 | 4
2 | 5
4 | 17
5 | 1
Formula | Description (Result)
=TTEST(A2:A10,B2:B10,2,1) | Probability associated with a Student's paired t-Test, with a two-tailed distribution (0.196016)


TYPE

See Also

Returns the type of value. Use TYPE when the behavior of another function depends on the type of value in a particular cell.

Syntax

TYPE(value)

Value can be any Microsoft Excel value, such as a number, text, logical value, and so on.

If value is | TYPE returns
Number | 1
Text | 2
Logical value | 4
Error value | 16
Array | 64

Remarks
  • TYPE is most useful when you are using functions that can accept different types of data, such as ARGUMENT and INPUT. Use TYPE to find out what type of data is returned by a function or formula.
  • You cannot use TYPE to determine whether a cell contains a formula. TYPE only determines the type of the resulting, or displayed, value. If value is a cell reference to a cell that contains a formula, TYPE returns the type of the formula's resulting value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
Smith
Formula | Description (Result)
=TYPE(A2) | Checks the type of the value above (2)
=TYPE("Mr. "&A2) | Checks the type of "Mr. Smith" (2)
=TYPE(2+A2) | Checks the type of the formula, which returns the error #VALUE! (16)
=TYPE({1,2;3,4}) | Checks the type of an array constant (64)


UPPER

See Also

Converts text to uppercase.

Syntax

UPPER(text)

Text is the text you want converted to uppercase. Text can be a reference or text string.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
total
Yield
Formula | Description (Result)
=UPPER(A2) | Upper case of first string (TOTAL)
=UPPER(A3) | Upper case of second string (YIELD)


Using the CALL and REGISTER Functions

Some of the content in this topic may not be applicable to some languages.

The following describes the argument and return value data types used by the CALL, REGISTER, and REGISTER.ID functions. Arguments and return values differ slightly depending on your operating environment, and these differences are noted in the data type table.

The Microsoft Office XP Developer's Guide contains detailed information about dynamic link libraries (DLLs) and code resources, the Microsoft Excel application programming interface (API), file formats, and many other technical aspects of Microsoft Excel. It also contains code samples and programming tools that you can use to develop custom applications. To locate your nearest source for Microsoft Press products worldwide, visit the Microsoft Press Web site or contact your local Microsoft office. In the United States, call Microsoft Press at (800) MS-PRESS. In Canada, call (800) 667-1115.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Data Types

In the CALL, REGISTER, and REGISTER.ID functions, the type_text argument specifies the data type of the return value and the data types of all arguments to the DLL function or code resource. The first character of type_text specifies the data type of the return value. The remaining characters indicate the data types of all the arguments. For example, a DLL function that returns a floating-point number and takes an integer and a floating-point number as arguments would require "BIB" for the type_text argument.

The following table contains a complete list of the data type codes that Microsoft Excel recognizes, a description of each data type, how the argument or return value is passed, and a typical declaration for the data type in the C programming language.

Code | Description | Pass by | C Declaration
A | Logical (FALSE = 0), TRUE = 1) | Value | short int
B | IEEE 8-byte floating-point number | Value (Windows) Reference (Macintosh) | double (Windows) double * (Macintosh)
C | Null-terminated string (maximum string length = 255) | Reference | char *
D | Byte-counted string (first byte contains length of string, maximum string length = 255 characters) | Reference | Unsigned char *
E | IEEE 8-byte floating-point number | Reference | double *
F | Null-terminated string (maximum string length = 255 characters) | Reference (modify in place) | char *
G | Byte-counted string (first byte contains length of string, maximum string length = 255 characters) | Reference (modify in place) | unsigned char *
H | Unsigned 2-byte integer | Value | unsigned short int
I | Signed 2-byte integer | Value | short int
J | Signed 4-byte integer | Value | long int
K | Array | Reference | FP *
L | Logical (FALSE = 0, TRUE = 1) | Reference | short int *
M | Signed 2-byte integer | Reference | short int *
N | Signed 4-byte integer | Reference | long int *
O | Array | Reference | Three arguments are passed: unsigned short int * unsigned short int * double [ ]
P | Microsoft Excel OPER data structure | Reference | OPER *
R | Microsoft Excel XLOPER data structure | Reference | XLOPER *

Remarks
  • The C-language declarations are based on the assumption that your compiler defaults to 8-byte doubles, 2-byte short integers, and 4-byte long integers.
  • In the Microsoft Windows programming environment, all pointers are far pointers. For example, you must declare the D data type code as unsigned char far * in Microsoft Windows.
  • All functions in DLLs and code resources are called using the Pascal calling convention. Most C compilers allow you to use the Pascal calling convention by adding the Pascal keyword to the function declaration, as shown in the following example:

    pascal void main (rows,columns,a)

  • If a function uses a pass-by-reference data type for its return value, you can pass a null pointer as the return value. Microsoft Excel will interpret the null pointer as the #NUM! error value.

Additional Data Type Information

This section contains detailed information about the F, G, K, O, P, and R data types and other information about the type_text argument.

F and G Data Types

With the F and G data types, a function can modify a string buffer that is allocated by Microsoft Excel. If the return value type code is F or G, then Microsoft Excel ignores the value returned by the function. Instead, Microsoft Excel searches the list of function arguments for the first corresponding data type (F or G) and then takes the current contents of the allocated string buffer as the return value. Microsoft Excel allocates 256 bytes for the argument, so the function may return a larger string than it received.

K Data Type

The K data type uses a pointer to a variable-size FP structure. You must define this structure in the DLL or code resource as follows:

typedef struct _FP
{
    unsigned short int rows;
    unsigned short int columns;
    double array[1];        /* Actually, array[rows][columns] */
} FP;

The declaration double array[1] allocates storage for only a single-element array. The number of elements in the actual array equals the number of rows multiplied by the number of columns.

O Data Type

The O data type can be used only as an argument, not as a return value. It passes three items: a pointer to the number of rows in an array, a pointer to the number of columns in an array, and a pointer to a two-dimensional array of floating-point numbers.

Instead of returning a value, a function can modify an array passed by the O data type. To do this, you can use ">O" as the type_text argument. For more information, see "Modifying in Place — Functions Declared as Void" below.

The O data type was created for direct compatibility with Fortran DLLs, which pass arguments by reference.

P Data Type

The P data type is a pointer to an OPER structure. The OPER structure contains 8 bytes of data, followed by a 2-byte identifier that specifies the type of data. With the P data type, a DLL function or code resource can take and return any Microsoft Excel data type.

The OPER structure is defined as follows:

typedef struct _oper

{
    union
    {
        double num;
        unsigned char *str;
        unsigned short int bool;
        unsigned short int err;
        struct
        {
            struct _oper *lparray;
            unsigned short int rows;
            unsigned short int columns;
        } array;
    } val;
    unsigned short int type;
} OPER;

The type field contains one of these values.

Type | Description | Val field to use
1 | Numeric | num
2 | String (first byte contains length of string) | str
4 | Boolean (logical) | bool
16 | Error: the error values are: 0#NULL! 7#DIV/0! 15#Value! 23#REF! 29#NAME? 36#NUM! 42#N/A | err
64 | Array | array
128 | Missing argument |
256 | Empty cell |

The last two values can be used only as arguments, not return values. The missing argument value (128) is passed when the caller omits an argument. The empty cell value (256) is passed when the caller passes a reference to an empty cell.

R Data Type — Calling Microsoft Excel Functions from DLLs

The R data type is a pointer to an XLOPER structure, which is an enhanced version of the OPER structure. In Microsoft Excel version 4.0 and later, you can use the R data type to write DLLs and code resources that call Microsoft Excel functions. With the XLOPER structure, a DLL function can pass sheet references and implement flow control, in addition to passing data. A complete description of the R data type and the Microsoft Excel application programming interface (API) is beyond the scope of this topic. The Microsoft Office XP Developer's Guide contains detailed information about the R data type, the Microsoft Excel API, and many other technical aspects of Microsoft Excel.

Volatile Functions and Recalculation

Microsoft Excel usually calculates a DLL function (or a code resource) only when it is entered into a cell, when one of its precedents changes, or when the cell is calculated during a macro. On a worksheet, you can make a DLL function or code resource volatile, which means that it recalculates every time the worksheet recalculates. To make a function volatile, add an exclamation point (!) as the last character in the type_text argument.

For example, in Microsoft Excel for Windows, the following worksheet formula recalculates every time the worksheet recalculates:

CALL("Kernel32","GetTickCount","J!")

Modifying in Place — Functions Declared as Void

You can use a single digit n for the return type code in type_text, where n is a number from 1 to 9. This tells Microsoft Excel to modify the variable in the location pointed to by the nth argument in type_text, instead of returning a value. This is also known as modifying in place. The nth argument must be a pass-by-reference data type (C, D, E, F, G, K, L, M, N, O, P, or R). The DLL function or code resource must also be declared with the void keyword in the C language (or the procedure keyword in the Pascal language).

For example, a DLL function that takes a null-terminated string and two pointers to integers as arguments can modify the string in place. Use "1FMM" as the type_text argument, and declare the function as void.

Versions prior to Microsoft Excel 4.0 used the > character to modify the first argument in place; there was no way to modify any argument other than the first. The > character is equivalent to n = 1 in Microsoft Excel version 4.0 and later.


VALUE

See Also

Converts a text string that represents a number to a number.

Syntax

VALUE(text)

Text is the text enclosed in quotation marks or a reference to a cell containing the text you want to convert.

Remarks

  • Text can be in any of the constant number, date, or time formats recognized by Microsoft Excel. If text is not in one of these formats, VALUE returns the #VALUE! error value.

  • You do not generally need to use the VALUE function in a formula because Excel automatically converts text to numbers as necessary. This function is provided for compatibility with other spreadsheet programs.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=VALUE("$1,000") | Number equivalent of the string (1000)
=VALUE("16:48:00")-VALUE("12:00:00") | The serial number equivalent to 4 hours and 48 minutes, which is "16:48:00"-"12:00:00" (0.2 or 4:48)

Note To view the number as a time, select the cell and click Cells on the Format menu. Click the Number tab, and then click Time in the Category box.


VAR

See Also

Estimates variance based on a sample.

Syntax

VAR(number1,number2,...)

Number1, number2, ... are 1 to 30 number arguments corresponding to a sample of a population.

Remarks

  • VAR assumes that its arguments are a sample of the population. If your data represents the entire population, then compute the variance using VARP.
  • Logical values such as TRUE, FALSE, and text are ignored. If logical values and text must not be ignored, use the VARA worksheet function.
  • VAR uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=VAR(A2:A11) | Variance for the breaking strength of the tools (754.2666667)


VARA

See Also

Estimates variance based on a sample. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARA(value1,value2,...)

Value1, value2, ... are 1 to 30 value arguments corresponding to a sample of a population.

Remarks

  • VARA assumes that its arguments are a sample of the population. If your data represents the entire population, you must compute the variance using VARPA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the VAR worksheet function instead.
  • VARA uses the following formula:

Example

Suppose 10 tools stamped from the same machine during a production run are collected as a random sample and measured for breaking strength.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=VARA(A2:A11) | Estimates the variance for the breaking strength (754.2666667)


VARP

See Also

Calculates variance based on the entire population.

Syntax

VARP(number1,number2,...)

Number1, number2, ... are 1 to 30 number arguments corresponding to a population.

Remarks

  • VARP assumes that its arguments are the entire population. If your data represents a sample of the population, then compute the variance using VAR.
  • The equation for VARP is:

  • Logical values such as TRUE and FALSE and text are ignored. If logical values and text must not be ignored, use the VARPA worksheet function.

Example

Suppose all 10 tools stamped from the same machine during a production run are collected and measured for breaking strength.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=VARP(A2:A11) | Variance of breaking strengths for all the tools, assuming that only 10 tools are produced (678.84)


VARPA

See Also

Calculates variance based on the entire population. In addition to numbers, text and logical values such as TRUE and FALSE are included in the calculation.

Syntax

VARPA(value1,value2,...)

Value1, value2, ... are 1 to 30 value arguments corresponding to a population.

Remarks

  • VARPA assumes that its arguments are the entire population. If your data represents a sample of the population, you must compute the variance using VARA.
  • Arguments that contain TRUE evaluate as 1; arguments that contain text or FALSE evaluate as 0 (zero). If the calculation must not include text or logical values, use the VARP worksheet function instead.
  • The equation for VARPA is :

Example

Suppose all 10 tools stamped from the same machine during a production run are collected and measured for breaking strength.

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Strength
1345
1301
1368
1322
1310
1370
1318
1350
1303
1299
Formula | Description (Result)
=VARPA(A2:A11) | Variance of breaking strengths for all the tools, assuming that only 10 tools are produced (678.84)


VDB

See Also

Returns the depreciation of an asset for any period you specify, including partial periods, using the double-declining balance method or some other method you specify. VDB stands for variable declining balance.

Syntax

VDB(cost,salvage,life,start_period,end_period,factor,no_switch)

Cost is the initial cost of the asset.

Salvage is the value at the end of the depreciation (sometimes called the salvage value of the asset).

Life is the number of periods over which the asset is depreciated (sometimes called the useful life of the asset).

Start_period is the starting period for which you want to calculate the depreciation. Start_period must use the same units as life.

End_period is the ending period for which you want to calculate the depreciation. End_period must use the same units as life.

Factor is the rate at which the balance declines. If factor is omitted, it is assumed to be 2 (the double-declining balance method). Change factor if you do not want to use the double-declining balance method. For a description of the double-declining balance method, see DDB.

No_switch is a logical value specifying whether to switch to straight-line depreciation when depreciation is greater than the declining balance calculation.

  • If no_switch is TRUE, Microsoft Excel does not switch to straight-line depreciation even when the depreciation is greater than the declining balance calculation.
  • If no_switch is FALSE or omitted, Excel switches to straight-line depreciation when depreciation is greater than the declining balance calculation.

All arguments except no_switch must be positive numbers.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
2400 | Initial cost
300 | Salvage value
10 | Lifetime in years
Formula | Description (Result)
=VDB(A2, A3, A4*365, 0, 1) | First day's depreciation. Excel automatically assumes that factor is 2 (1.32)
=VDB(A2, A3, A4*12, 0, 1) | First month's depreciation (40.00)
=VDB(A2, A3, A4, 0, 1) | First year's depreciation (480.00)
=VDB(A2, A3, A4*12, 6, 18) | Depreciation between the sixth month and the eighteenth month (396.31)
=VDB(A2, A3, A4*12, 6, 18, 1.5) | Depreciation between the sixth month and the eighteenth month using a factor of 1.5 instead of the double-declining balance method (311.81)
=VDB(A2, A3, A4, 0, 0.875, 1.5) | Depreciation for the first fiscal year that you own the asset, assuming that tax laws limit you to 150-percent depreciation of the declining balance. Asset is purchased in the middle of the first quarter of the fiscal year. (315.00)

Note The results are rounded to two decimal places.


VLOOKUP

See Also

Searches for a value in the leftmost column of a table, and then returns a value in the same row from a column you specify in the table. Use VLOOKUP instead of HLOOKUP when your comparison values are located in a column to the left of the data you want to find.

The V in VLOOKUP stands for "Vertical."

Syntax

VLOOKUP(lookup_value,table_array,col_index_num,range_lookup)

Lookup_value is the value to be found in the first column of the array. Lookup_value can be a value, a reference, or a text string.

Table_array is the table of information in which data is looked up. Use a reference to a range or a range name, such as Database or List.

  • If range_lookup is TRUE, the values in the first column of table_array must be placed in ascending order: ..., -2, -1, 0, 1, 2, ..., A-Z, FALSE, TRUE; otherwise VLOOKUP may not give the correct value. If range_lookup is FALSE, table_array does not need to be sorted.

  • You can put the values in ascending order by choosing the Sort command from the Data menu and selecting Ascending.

  • The values in the first column of table_array can be text, numbers, or logical values.

  • Uppercase and lowercase text are equivalent.

Col_index_num is the column number in table_array from which the matching value must be returned. A col_index_num of 1 returns the value in the first column in table_array; a col_index_num of 2 returns the value in the second column in table_array, and so on. If col_index_num is less than 1, VLOOKUP returns the #VALUE! error value; if col_index_num is greater than the number of columns in table_array, VLOOKUP returns the #REF! error value.

Range_lookup is a logical value that specifies whether you want VLOOKUP to find an exact match or an approximate match. If TRUE or omitted, an approximate match is returned. In other words, if an exact match is not found, the next largest value that is less than lookup_value is returned. If FALSE, VLOOKUP will find an exact match. If one is not found, the error value #N/A is returned.

Remarks

  • If VLOOKUP can't find lookup_value, and range_lookup is TRUE, it uses the largest value that is less than or equal to lookup_value.
  • If lookup_value is smaller than the smallest value in the first column of table_array, VLOOKUP returns the #N/A error value.
  • If VLOOKUP can't find lookup_value, and range_lookup is FALSE, VLOOKUP returns the #N/A value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.

The example uses values for air at 1 atm pressure.

1
2
3
4
5
6
7
8
9
10
A | B | C
Density | Viscosity | Temperature
0.457 | 3.55 | 500
0.525 | 3.25 | 400
0.616 | 2.93 | 300
0.675 | 2.75 | 250
0.746 | 2.57 | 200
0.835 | 2.38 | 150
0.946 | 2.17 | 100
1.09 | 1.95 | 50
1.29 | 1.71 | 0
Formula | Description (Result)
=VLOOKUP(1,A2:C10,2) | Looks up 1 in column A, and returns the value from column B in the same row (2.17)
=VLOOKUP(1,A2:C10,3,TRUE) | Looks up 1 in column A, and returns the value from column C in the same row (100)
=VLOOKUP(.7,A2:C10,3,FALSE) | Looks up 0.746 in column A. Because there is no exact match in column A, an error is returned (#N/A)
=VLOOKUP(0.1,A2:C10,2,TRUE) | Looks up 0.1 in column A. Because 0.1 is less than the smallest value in column A, an error is returned (#N/A)
=VLOOKUP(2,A2:C10,2,TRUE) | Looks up 2 in column A, and returns the value from column B in the same row (1.71)


WEEKDAY

See Also

Returns the day of the week corresponding to a date. The day is given as an integer, ranging from 1 (Sunday) to 7 (Saturday), by default.

Syntax

WEEKDAY(serial_number,return_type)

Serial_number is a sequential number that represents the date of the day you are trying to find. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Return_type is a number that determines the type of return value.

Return_type | Number returned
1 or omitted | Numbers 1 (Sunday) through 7 (Saturday). Behaves like previous versions of Microsoft Excel.
2 | Numbers 1 (Monday) through 7 (Sunday).
3 | Numbers 0 (Monday) through 6 (Sunday).

Remark

Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
2/14/2008
Formula | Description (Result)
=WEEKDAY(A2) | Day of the week, with numbers 1 (Sunday) through 7 (Saturday) (5)
=WEEKDAY(A2,2) | Day of the week, with numbers 1 (Monday) through 7 (Sunday) (4)
=WEEKDAY(A2,3) | Day of the week, with numbers 0 (Monday) through 6 (Sunday) (3)

Note 2/14/2008 is a Thursday.


WEEKNUM

See Also

Returns a number that indicates where the week falls numerically within a year.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

WEEKNUM(serial_num,return_type)

Serial_num is a date within the week. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Return_type is a number that determines on which day the week begins. The default is 1.

Serial_num | Week Begins
1 | Week begins on Sunday. Weekdays are numbered 1 through 7.
2 | Week begins on Monday. Weekdays are numbered 1 through 7.

Remark

Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
March 9, 2008
Formula | Description (Result)
=WEEKNUM(A2,1) | Number of the week in the year, with a week beginning on Sunday (11)
=WEEKNUM(A2,2) | Number of the week in the year, with a week beginning on Monday (10)

Note March 9, 2008 is a Sunday.


WEIBULL

See Also

Returns the Weibull distribution. Use this distribution in reliability analysis, such as calculating a device's mean time to failure.

Syntax

WEIBULL(x,alpha,beta,cumulative)

X is the value at which to evaluate the function.

Alpha is a parameter to the distribution.

Beta is a parameter to the distribution.

Cumulative determines the form of the function.

Remarks

  • If x, alpha, or beta is nonnumeric, WEIBULL returns the #VALUE! error value.
  • If x < 0, WEIBULL returns the #NUM! error value.
  • If alpha ≤ 0 or if beta ≤ 0, WEIBULL returns the #NUM! error value.
  • The equation for the Weibull cumulative distribution function is:

  • The equation for the Weibull probability density function is:

  • When alpha = 1, WEIBULL returns the exponential distribution with:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
105 | Value at which to evaluate the function
20 | Alpha parameter to the distribution
100 | Beta parameter to the distribution
Formula | Description (Result)
=WEIBULL(A2,A3,A4,TRUE) | Weibull cumulative distribution function for the terms above (0.929581)
=WEIBULL(A2,A3,A4,FALSE) | Weibull probability density function for the terms above (0.035589)


WORKDAY

See Also

Returns a number that represents a date that is the indicated number of working days before or after a date (the starting date). Working days exclude weekends and any dates identified as holidays. Use WORKDAY to exclude weekends or holidays when you calculate invoice due dates, expected delivery times, or the number of days of work performed.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

WORKDAY(start_date,days,holidays)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Start_date is a date that represents the start date.

Days is the number of nonweekend and nonholiday days before or after start_date. A positive value for days yields a future date; a negative value yields a past date.

Holidays is an optional list of one or more dates to exclude from the working calendar, such as state and federal holidays and floating holidays. The list can be either a range of cells that contain the dates or an array constant of the serial numbers that represent the dates.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • If any argument is not a valid date, WORKDAY returns the #VALUE! error value.
  • If start_date plus days yields an invalid date, WORKDAY returns the #NUM! error value.
  • If days is not an integer, it is truncated.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Date | Description
10/01/2008 | Start date
151 | Days to completion
11/26/2008 | Holiday
12/4/2008 | Holiday
1/21/2009 | Holiday
Formula | Description (Result)
=WORKDAY(A2,A3) | Date 151 workdays from the start date (4/30/2009)
=WORKDAY(A2,A3,A4:A6) | Date 151 workdays from the start date, excluding holidays (5/5/2009)

Notes

  • To view the number as a date, select the cell and click Cells on the Format menu. Click the Number tab, and then click Date in the Category box.
  • To convert the range of cells used for holidays in the last example into a array constant, select A4:A6 and then press F9.


XIRR

See Also

Returns the internal rate of return for a schedule of cash flows that is not necessarily periodic. To calculate the internal rate of return for a series of periodic cash flows, use the IRR function.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

XIRR(values,dates,guess)

Values is a series of cash flows that corresponds to a schedule of payments in dates. The first payment is optional and corresponds to a cost or payment that occurs at the beginning of the investment. If the first value is a cost or payment, it must be a negative value. All succeeding payments are discounted based on a 365-day year. The series of values must contain at least one positive and one negative value.

Dates is a schedule of payment dates that corresponds to the cash flow payments. The first payment date indicates the beginning of the schedule of payments. All other dates must be later than this date, but they may occur in any order. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Guess is a number that you guess is close to the result of XIRR.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Numbers in dates are truncated to integers.
  • XIRR expects at least one positive cash flow and one negative cash flow; otherwise, XIRR returns the #NUM! error value.
  • If any number in dates is not a valid date, XIRR returns the #VALUE! error value.
  • If any number in dates precedes the starting date, XIRR returns the #NUM! error value.
  • If values and dates contain a different number of values, XIRR returns the #NUM! error value.
  • In most cases you do not need to provide guess for the XIRR calculation. If omitted, guess is assumed to be 0.1 (10 percent).
  • XIRR is closely related to XNPV, the net present value function. The rate of return calculated by XIRR is the interest rate corresponding to XNPV = 0.
  • Excel uses an iterative technique for calculating XIRR. Using a changing rate (starting with guess), XIRR cycles through the calculation until the result is accurate within 0.000001 percent. If XIRR can't find a result that works after 100 tries, the #NUM! error value is returned. The rate is changed until:

    where:

    di = the ith, or last, payment date.

    d1 = the 0th payment date.

    Pi = the ith, or last, payment.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Values | Dates
-10,000 | January 1, 2008
2,750 | March 1, 2008
4,250 | October 30, 2008
3,250 | February 15, 2009
2,750 | April 1, 2009
Formula | Description (Result)
=XIRR(A2:A6,B2:B6,0.1) | The internal rate of return (0.373362535 or 37.34%)

Note To view the number as a percentage, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


XNPV

See Also

Returns the net present value for a schedule of cash flows that is not necessarily periodic. To calculate the net present value for a series of cash flows that is periodic, use the NPV function.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

XNPV(rate,values,dates)

Rate is the discount rate to apply to the cash flows.

Values is a series of cash flows that corresponds to a schedule of payments in dates. The first payment is optional and corresponds to a cost or payment that occurs at the beginning of the investment. If the first value is a cost or payment, it must be a negative value. All succeeding payments are discounted based on a 365-day year. The series of values must contain at least one positive value and one negative value.

Dates is a schedule of payment dates that corresponds to the cash flow payments. The first payment date indicates the beginning of the schedule of payments. All other dates must be later than this date, but they may occur in any order.

Remarks

  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • Numbers in dates are truncated to integers.
  • If any argument is nonnumeric, XNPV returns the #VALUE! error value.
  • If any number in dates is not a valid date, XNPV returns the #VALUE! error value.
  • If any number in dates precedes the starting date, XNPV returns the #NUM! error value.
  • If values and dates contain a different number of values, XNPV returns the #NUM! error value.
  • XNPV is calculated as follows:

    where:

    di = the ith, or last, payment date.

    d1 = the 0th payment date.

    Pi = the ith, or last, payment.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Values | Dates
-10,000 | January 1, 2008
2,750 | March 1, 2008
4,250 | October 30, 2008
3,250 | February 15, 2009
2,750 | April 1, 2009
Formula | Description (Result)
=XNPV(.09,A2:A6,B2:B6) | The net present value for an investment with the above cost and returns. The cash flows are discounted at 9 percent. (2086.6476 or 2086.65)


YEAR

See Also

Returns the year corresponding to a date. The year is returned as an integer in the range 1900-9999.

Syntax

YEAR(serial_number)

Serial_number is the date of the year you want to find. Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Remarks

Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.

Values returned by the YEAR, MONTH and DAY functions will be Gregorian values regardless of the display format for the supplied date value. For example, if the display format of the supplied date is Hijri, the returned values for the YEAR, MONTH and DAY functions will be values associated with the equivalent Gregorian date.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Date
7/5/2008
7/5/10
Formula | Description (Result)
=YEAR(A2) | Year of the first date (2008)
=YEAR(A3) | Year of the second date (2010)


YEARFRAC

See Also

Calculates the fraction of the year represented by the number of whole days between two dates (the start_date and the end_date). Use the YEARFRAC worksheet function to identify the proportion of a whole year's benefits or obligations to assign to a specific term.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

YEARFRAC(start_date,end_date,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Start_date is a date that represents the start date.

End_date is a date that represents the end date.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • All arguments are truncated to integers.
  • If start_date or end_date are not valid dates, YEARFRAC returns the #VALUE! error value.
  • If basis < 0 or if basis > 4, YEARFRAC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A | B
Data | Description
1/1/2007 | Start date
7/30/2007 | End date
2 | Actual/360 (see above)
Formula | Description (Result)
=YEARFRAC(A2,A3,A4) | Fraction of the year between the two dates (0.583333333)


YIELD

See Also

Returns the yield on a security that pays periodic interest. Use YIELD to calculate bond yield.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

YIELD(settlement,maturity,rate,pr,redemption,frequency,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Rate is the security's annual coupon rate.

Pr is the security's price per $100 face value.

Redemption is the security's redemption value per $100 face value.

Frequency is the number of coupon payments per year. For annual payments, frequency = 1; for semiannual, frequency = 2; for quarterly, frequency = 4.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, frequency, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, YIELD returns the #VALUE! error value.
  • If rate < 0, YIELD returns the #NUM! error value.
  • If pr ≤ 0 or if redemption ≤ 0, YIELD returns the #NUM! error value.
  • If frequency is any number other than 1, 2, or 4, YIELD returns the #NUM! error value.
  • If basis < 0 or if basis > 4, YIELD returns the #NUM! error value.
  • If settlement ≥ maturity, YIELD returns the #NUM! error value.
  • If there is one coupon period or less until redemption, YIELD is calculated as follows:

    where:

    A = number of days from the beginning of the coupon period to the settlement date (accrued days).

    DSR = number of days from the settlement date to the redemption date.

    E = number of days in the coupon period.

  • If there is more than one coupon period until redemption, YIELD is calculated through a hundred iterations. The resolution uses the Newton method, based on the formula used for the function PRICE. The yield is changed until the estimated price given the yield is close to price.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
A | B
Data | Description
February 15, 2008 | Settlement date
November 15, 2016 | Maturity date
5.75% | Percent coupon
95.04287 | Price
$100 | Redemption value
2 | Frequency is semiannual (see above)
0 | 30/360 basis (see above)
Formula | Description (Result)
=YIELD(A2,A3,A4,A5,A6,A7,A8) | The yield, for the bond with the terms above (0.065 or 6.5%)

Note To view the number as a percentage, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


YIELDDISC

See Also

Returns the annual yield for a discounted security.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

YIELDDISC(settlement,maturity,pr,redemption,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Pr is the security's price per $100 face value.

Redemption is the security's redemption value per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, and basis are truncated to integers.
  • If settlement or maturity is not a valid date, YIELDDISC returns the #VALUE! error value.
  • If pr ≤ 0 or if redemption ≤ 0, YIELDDISC returns the #NUM! error value.
  • If basis < 0 or if basis > 4, YIELDDISC returns the #NUM! error value.
  • If settlement ≥ maturity, YIELDDISC returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
A | B
Data | Description
February 16, 2008 | Settlement date
March 1, 2008 | Maturity date
99.795 | Price
$100 | Redemption value
2 | Actual/360 basis
Formula | Description (Result)
=YIELDDISC(A2,A3,A4,A5,A6) | The yield, for the bond with the terms above (0.052823 or 5.28%)

Note To view the number as a percentage, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


YIELDMAT

See Also

Returns the annual yield of a security that pays interest at maturity.

If this function is not available, and returns the #NAME? error, install and load the Analysis ToolPak add-in.

How?

  1. On the Tools menu, click Add-Ins.
  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.
  3. If necessary, follow the instructions in the setup program.

Syntax

YIELDMAT(settlement,maturity,issue,rate,pr,basis)

Important Dates should be entered by using the DATE function, or as results of other formulas or functions. For example, use DATE(2008,5,23) for the 23rd day of May, 2008. Problems can occur if dates are entered as text.

Settlement is the security's settlement date. The security settlement date is the date after the issue date when the security is traded to the buyer.

Maturity is the security's maturity date. The maturity date is the date when the security expires.

Issue is the security's issue date, expressed as a serial date number.

Rate is the security's interest rate at date of issue.

Pr is the security's price per $100 face value.

Basis is the type of day count basis to use.

Basis | Day count basis
0 or omitted | US (NASD) 30/360
1 | Actual/actual
2 | Actual/360
3 | Actual/365
4 | European 30/360

Remarks
  • Microsoft Excel stores dates as sequential serial numbers so they can be used in calculations. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Microsoft Excel for the Macintosh uses a different date system as its default.
  • The settlement date is the date a buyer purchases a coupon, such as a bond. The maturity date is the date when a coupon expires. For example, suppose a 30-year bond is issued on January 1, 2008, and is purchased by a buyer six months later. The issue date would be January 1, 2008, the settlement date would be July 1, 2008, and the maturity date would be January 1, 2038, which is 30 years after the January 1, 2008, issue date.
  • Settlement, maturity, issue, and basis are truncated to integers.
  • If settlement, maturity, or issue is not a valid date, YIELDMAT returns the #VALUE! error value.
  • If rate < 0 or if pr ≤ 0, YIELDMAT returns the #NUM! error value.
  • If basis < 0 or if basis > 4, YIELDMAT returns the #NUM! error value.
  • If settlement ≥ maturity, YIELDMAT returns the #NUM! error value.

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
A | B
Data | Description
March 15, 2008 | Settlement date
November 3, 2008 | Maturity date
November 8, 2007 | Issue date
6.25% | Percent semiannual coupon
100.0123 | Price
0 | 30/360 basis (see above)
Formula | Description (Result)
=YIELDMAT(A2,A3,A4,A5,A6,A7) | The yield, for the bond with the terms above (0.060954 or 6.09%)

Note To view the number as a percentage, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.


ZTEST

See Also

Returns the two-tailed P-value of a z-test. The z-test generates a standard score for x with respect to the data set (array) and returns the two-tailed probability for the normal distribution. You can use this function to assess the likelihood that a particular observation is drawn from a particular population.

Syntax

ZTEST(array,x,sigma)

Array is the array or range of data against which to test x.

X is the value to test.

Sigma is the population (known) standard deviation. If omitted, the sample standard deviation is used.

Remarks

  • If array is empty, ZTEST returns the #N/A error value.
  • ZTEST is calculated as follows:

Example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
5
6
7
8
9
10
11
A
Data
3
6
7
8
6
5
4
2
1
9
Formula | Description (Result)
=ZTEST(A2:A11,4) | Two-tailed P-value of a z-test for the data set above, at the value of 4 (0.090574)


Hide error values and error indicators in cells

For example, the formula =1/0 returns #DIV/0. Error values include #DIV/0!, #N/A, #NAME?, #NULL!, #NUM!, #REF!, and #VALUE!.

Format text in cells that contain errors so they don't show

  1. Select the cells that contain the error value.
  2. On the Format menu, click Conditional Formatting.

  3. In the box on the left, click Formula Is.

  4. In the box on the right, type =ISERROR(reference), where reference is a reference to the cell that contains the error value.

  5. Click Format, and then click the Font tab.

  6. Click Format.
  7. In the Color box, select white.

Display a dash, #N/A, or NA in place of an error value

Use the IF, ISERROR, and NA functions to do this task.

  1. Select the cell that contain the error value.
  2. Wrap the following formula around the formula in the cell, where old_formula is the formula that was previously in the cell.

    =IF(ISERROR(old_formula),"",old_formula)

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
10
0
Formula | Description (Result)
=A2/A3 | Results in an error (#DIV/0)
=IF(ISERROR(A2/A3),"NA",A2/A3) | Returns NA when the value is an error
=IF(ISERROR(A2/A3),"-",A2/A3) | Returns a dash when the value is an error
=IF(ISERROR(A2/A3),NA(),A2-A3) | Returns #N/A when the value is an error

Function details

IF

ISERROR

Hide error values in a PivotTable report

  1. Click the report.
  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.
  3. Do one or more of the following:

    Change error display Select the For error values, show check box under Format options. In the box, type the value you want to display instead of errors. To display errors as blank cells, delete any characters in the box.

    Change empty cell display Select the For empty cells, show check box. In the box, type the value you want to display in empty cells. To display blank cells, delete any characters in the box. To display zeros, clear the check box.

Hide error indicators in cells

If a cell contains a formula that breaks one of the rules, a triangle appears in the top-left corner of the cell. You can prevent these indicators from being displayed.

Cell with a formula problem

Cell with a formula problem

  1. On the Tools menu, click Options and then click the Error Checking tab.
  2. Clear the Enable background error checking check box.


About comments

Example of a worksheet comment

A comment is a note that you attach to a cell, separate from other cell content. Comments are useful as reminders to yourself, such as noting how a complex formula works, or to provide feedback to other users.

Viewing comments Microsoft Excel provides several ways to view comments. Cells with comments have indicator triangles in the upper-right corners. If you rest the pointer over a cell that has an indicator, its comment appears. You can also display comments continuously — either individual comments or all the comments on the worksheet. The Reviewing toolbar steps you through each comment in a workbook in sequence. You can also print out the comments, either in place on the worksheet or as a list at the end of the printout.

User names in comments Comments are identified by user name, so that you can tell who entered each comment in a shared workbook or a workbook being routed to several users for review. When you merge changes from several workbooks, the comments are also combined so all comment text for a cell appears in sequence.


About right-to-left language features

When languages such as Arabic, Farsi, Hebrew, or Urdu are enabled for editing, you have several features available to you to make working in a right-to-left or bidirectional environment easier.

Excel 2002 provides full forward compatibility for workbooks that were saved in all previous versions of Microsoft Excel and Microsoft Excel with right-to-left support; however, workbooks that are saved in Excel 2002 and Excel 2000 file format are not compatible with any previous versions of Microsoft Excel.

Set a worksheet direction

Even though a workbook has a certain direction, you can display its individual worksheets in either a right-to-left or left-to-right view.

Unlike workbooks, in which the change is not apparent until a new workbook is created, worksheets display the direction change immediately.

When you switch worksheet directions, Microsoft Excel with right-to-left features simply reorients the data from left-to-right or right-to-left. All underlying formulas and values remain intact. Cells with the General alignment attribute will left align left-to-right text and right align right-to-left text, regardless of worksheet direction.

Right-to-left data in worksheets

  • General is the default alignment, regardless of worksheet direction.
  • When entering right-to-left text in a worksheet, characters will appear from the right side of the Formula bar and move to the left.
  • In addition to entering right-to-left, left-to-right, or bidirectional text in a cell, you can also change the reading order and alignment of cell text.

Bidirectional fonts

Any version of Microsoft Excel with right-to-left support is designed to display and print both right-to-left and left-to-right text. To do this, the program should use a font that contains both right-to-left and left-to-right language characters. Most fonts available with bidirectional Microsoft Windows operating systems contain both right-to-left and left-to-right characters. If you choose a font that does not contain both right-to-left and left-to-right characters, existing text in one or both languages may be displayed incorrectly using the default secondary font, Tahoma. To correct this problem, choose a different font.

Checking the spelling of bidirectional text

You can check the spelling of both your English and right-to-left text in cells. Simply choose a dictionary whose language corresponds to the text used.

  • You must install a version of Microsoft Excel that includes a right-to-left language dictionary so that you will be able to check spelling of right-to-left text.
  • When checking text with a right-to-left language dictionary, English words are ignored and not flagged as misspelled. Similarly, when checking text with an English dictionary, right-to-left language words are ignored and not flagged as misspelled.
  • To change dictionaries, select the dictionaries you want on the Spelling tab of the Options dialog box (Tools menu).

Right-to-left features on Web pages

Right-to-left features on Web pages are set according to a two-level hierarchy: page level and control level.

Page level

A Web page that's published from Microsoft Excel will have the same display direction, either left-to-right or right-to-left, as the corresponding Excel worksheet it was created from. That direction appears as a setting of the Dir property of the Web page.

Notes

  • Web page direction is included in the underlying HTML code of the Web page through the use of the standard HTML Direction (DIR) attribute. For example, the code <HTML DIR=RTL>, placed at the beginning of the <HTML> element, identifies a right-to-left Web page.
  • Controls that are placed on a Web page inherit the directionality of the Web page itself, depending on whether the control has right-to-left features. Controls without right-to-left features appear in a left-to-right direction.

Control level

Controls with right-to-left features initially appear on a Web page according to the direction of the Web page. After you place a control on a Web page, you may be able to change the control display direction to give it right-to-left appearance and functionality. The property name that controls the display direction varies with the control type. The properties in the following table control directionality for Web page controls.

Control type Description
Microsoft Office Web Component controls The Office Web Component controls are the spreadsheet, the chart, and the PivotTable list.

For the spreadsheet and PivotTable list, set or change in a design program, such as Microsoft FrontPage 2000 or Microsoft Access data access page Design view, by using the Advanced section of the property toolbox for the control. No setting is available for the chart.

The direction setting property is RightToLeft.

Note Office Web Component controls each have a property toolbox that can be used both while designing the control and working with it in the browser; however, the right-to-left setting can't be changed in the browser.
Intrinsic browser controls Examples of intrinsic browser controls include Table, Label, TextBox, ComboBox, ListBox, OptionGroup, and ScrollingText.

Set or change the direction by using an HTML editor, such as the Microsoft Script Editor, that exposes control properties in a properties window.

The direction setting property is typically Dir.
ActiveX controls These are other controls that are available with Microsoft Office 2000 programs or Microsoft Visual Basic.

Set or change the direction by using an HTML editor, such as the Microsoft Access 2000 data access page Design view or the Microsoft Script Editor, to add controls and expose control properties in a properties window.

The direction setting property is typically RightToLeft.

Import and export right-to-left worksheets in text formats

Microsoft Excel stores all characters as Unicode code page values in logical text layout, but can import and export worksheets saved as text files if these files contain right-to-left text stored in the appropriate Windows code page and logical text layout. For example, a text file containing Arabic text must be stored in the Arabic Windows code page 1256 to be successfully imported by Excel.

To create text files that are recognized by Excel, use ConvText, a stand-alone text-file conversion utility included with Excel. ConvText provides both logical and visual text layout options and an extensive list of supported bidirectional code pages to create a new file in a recognizable text format. Subsequently, you can choose Windows (ANSI) as the file origin setting in the Text Import Wizard when importing an appropriately formatted text file.

Note A worksheet in Lotus or Quattro Pro format that requires code page or text layout conversion, or both, can still be imported into Excel by saving the worksheet in text file format prior to importing it. The ability to save a worksheet in text file format is a standard feature of most database or spreadsheet products. ConvText can then be used to create a recognizable text file. When Excel imports the text file, data from the original worksheet will be fully recreated in a new Excel worksheet.

Right-to-left sort order

Right-to-left sort order will be applied wherever possible. This applies to data lists in table view, card view, and icon view, and to group-by lists, contact lists, folder lists, and address lists.

Note Some server-side views might not sort data according to right-to-left sort order because they follow supported server-side sort orders.


About drawing objects and pictures

You can add graphics to your worksheets and charts to make them more visually appealing, to create eye-catching reports, or to add emphasis. For example, you can display a logo on your worksheet, create a flowchart, and use graphics in chart data markers. You can make your worksheet interactive by using graphic objects as hyperlinks or by assigning buttons to macros.

Types of graphics

About pictures

When you're creating art or designs with Microsoft Office programs, it's helpful to know which types — bitmaps or drawn pictures — you're using. Your formatting and editing options will vary, depending on the type of picture you're working with.

What is a bitmap?

Bitmap pictures (also called paint-type or raster images) are made from a series of small dots, much like a piece of graph paper with specific squares filled in to form an image. Bitmaps are created with and edited in paint programs, such as Microsoft Paint. All scanned graphics and photographs are bitmaps. When they are resized, they lose definition, and the individual dots that make up the picture become visible.

You can change the way colors look in a bitmap picture by adjusting the brightness and contrast, converting color to black and white or grayscale, or creating transparent areas. To change specific colors in a bitmap, you need to use a photo editing program.

Bitmap pictures are often saved with a .bmp, .png, .jpg, or .gif extension.

What is a drawn picture?

Drawn pictures (also called vector drawings) are created from lines, curves, rectangles, and other objects. The individual lines can be edited, moved, and rearranged. When a drawn picture is resized, the computer redraws the lines and shapes so that they retain their original definition and perspective. AutoShapes are drawn pictures.

Because a drawn picture is made of lines and shapes, you can group and ungroup, reorder, and change the color of one or all parts of the picture.

Drawn pictures are saved in the format of the application that created them. For example, Microsoft Windows Metafiles are saved with a .wmf extension.

About reducing a picture's file size

When you insert a picture with a file size that is greater than a certain threshold, your Microsoft Office program presents you with the option to compress the picture before inserting it. The program automatically selects the type of compression that best suits the type of picture.

By compressing the picture's file size, you will help control the size of the file you are inserting it into. However, the picture might lose some quality.

To save room on your hard disk or to reduce download time, when you're formatting a picture you can use the Compress Pictures feature to do the following:

  • Reduce resolution (to 96 dots per inch (dpi) for Web and 200 dpi for print), and unnecessary information is discarded.
  • Discard extra information. For example, when a picture has been cropped or resized, the "hidden" parts of the picture are stored in the file.
  • Compress the picture, if possible.

Finding clips

About the Clip Organizer

The Microsoft Clip Organizer contains drawings, photographs, sounds, videos, and other media files — called clips— that you can insert and use in presentations, publications, and other Microsoft Office documents.

In an Office program, you can find, add, and organize media clips by using:

Insert Clip Art This command opens a task pane where you can search for clips. Although this task pane resembles the Office Basic Search task pane, you use it to find media clips, not documents. You can search for media files based on descriptive keywords, file name, file format, and clip collections.

Microsoft Clip Organizer This link can be found at the bottom of the Insert Clip Art task pane and opens the main Clip Organizer window. You can use Clip Organizer to browse through clip collections, add clips, or catalog clips in ways that make sense to you. For example, you can create a collection to group the clips you use most frequently, or let Clip Organizer automatically add and catalog media files on your hard disk.

Clip Organizer Online If you have an Internet connection open, clip art search results will automatically include content from Clip Organizer Online. Or, you can visit the site yourself by clicking the link at the bottom of the task pane.

Microsoft Office Tools on the Web If you have an Internet connection, you can use the Office on the Web tools to purchase a variety of clip-related options.

About finding clips

Using the Insert Clip Art task pane, you can quickly and easily find photographs, drawings, sound effects, music, videos, and other media files — called clips— to use in Microsoft Office documents.

You can search for clips by entering search keywords or phrases in normal, everyday language — for example, "buildings" or "people at work." If you find a clip that is close to what you're looking for, you can find more clips based on a similar artistic style.

If you want to narrow your search, you can specify the clip collections you want to search or ignore, or choose to search only for certain types of media files.

Search results

As soon as you start a search, the Insert Clip Art task pane begins listing thumbnails of drawings, photos, sounds, and other media files.

If a clip isn't installed on your computer, you'll see an icon in the lower-left corner of the thumbnail that tells you where the clip can be found.

Icon | Clip location
CD-ROM icon | CD-ROM or DVD
Clip Gallery Live icon | Microsoft Clip Organizer Online site
Icon for Microsoft Partner Web site (free) | Microsoft Partner Web site (free)
 | Microsoft Partner Web site (available for purchase)
 | Unavailable

If a clip is an animated GIF, you'll see this icon in the lower-right corner of the thumbnail:

Search tips

You can use everyday language to describe the clip you want to find. The following guidelines can help you refine keyword searches.

Type this keyword | To find
car | Clips with "car" as the exact search keyword
blue car | Clips with the search key words "blue" and "car"
"blue car" | Clips with the phrase "blue car"
blue, car | Clips with the search key word "blue" or "car"

You can also search by entering the file name of the media clip you want to find. If you don't know the exact file name, you can substitute wildcard characters for one or more real characters.

  • Use the asterisk (*) as a substitute for zero or more characters in a file name. For example, type car*.jpg to locate file names like "cardboard.jpg" or "carton.jpg".

  • Use the question mark (?) as a substitute for a single character in a file name. For example, type car?.jpg to locate file names like "car1.jpg" or "car2.jpg", but not "carton.jpg".

The Microsoft Clip Organizer window

If you don't find what you need by using the Insert Clip Art task pane, you can open the main Clip Organizer window, where you can browse through organized collections of media clips. The clips in Clip Organizer are sorted into collections — for example, Office Collections contains the media files that are included as part of Microsoft Office.

Clip Organizer has its own Help system, where you'll find such information as how to organize your clips in collections, how to assign keywords to clips for easy searching, and how to work with the Clip Organizer by using shortcut keys.

Shapes

About Shapes

Shapes can be resized, rotated, flipped, colored, and combined to make more complex shapes. Many have an adjustment handle that you can use to change the most prominent feature of a shape — for example, you can change the size of the point on an arrow.

The AutoShapes available on the Drawing toolbar include several categories of shapes: lines, connectors, basic shapes, flowchart elements, stars and banners, and callouts. More shapes can be found in the Clip Organizer as well.

You can add text to shapes. The text you add becomes part of the shape — if you rotate or flip the shape, the text rotates or flips with it.

Text boxes can be treated as shapes. They are formatted in many of the same ways shapes are formatted, including adding colors, fills, and borders.

About positioning text in shapes

Some types of shapes can include associated text. Shapes with this feature include most AutoShapes (except lines, connectors, and freeforms), text boxes, and WordArt.

When you type text directly into an AutoShape or text box, the text is attached to the shape, and you can:

  • Adjust and position the text within it.

  • Make the text wrap in the shape or place it in the top, bottom, or middle of the shape.

  • Change the margins between the text and the edge of the shape.

  • Resize the shape to fit the text precisely.

If the shape is WordArt, you can create shadowed, skewed, rotated, and stretched text, as well as text that has been fitted to predefined shapes. Text in WordArt does not wrap or need margin settings, because the text is an object.

About text shadows and 3-D effects

Depending on the effect you want, you can shadow or emboss text in three different ways:

  • Add a shadow or embossed effect directly to the text. When you use this method, you can't change such shadow features as offset or color.

  • Add a shadow or embossed effect to an unfilled object that contains text. With this method, the text takes on the same shadow options as the object, and you can control and change shadow features.

  • Insert WordArt — a drawing object that contains special text effects such as shadowing and perspective.

Text shadowing examples

1 Add shadow directly to text

2 Add shadow to a text box (unfilled object)

3 Add WordArt

About connector lines

There are three types of connector lines to connect objects — straight, elbow (angled), and curved.

Types of connector lines

After you choose a connector AutoShape, blue connector sites appear on objects as you move the mouse pointer over them. These points indicate where you can attach a connector line.

When you rearrange objects that are joined with a connector line, the connectors remain attached to the objects and move with the objects. If you move either end of a connector, that end unlocks or detaches from the object. You can then lock it to another connection site on the same object, or you can lock it to another object. Once the connector locks on a connection site, the connector stays connected to the objects, no matter how you move each object.

1 Locked connector

2 Unlocked connector

After you rearrange connected objects, some connectors might need to be rerouted to make the most direct connections and keep connectors from crossing objects.

Changing drawing objects or graphics

About resizing or cropping an object

There are two ways that you can change the size of a picture — resizing and cropping.

Resizing changes the dimensions of the picture by stretching or shrinking it.

Before and after examples of resizing

Cropping reduces the size of the picture by removing the vertical or horizontal edges. Cropping is often used to hide or trim a part of a picture, either for emphasis or to remove unwanted portions.

Before and after example of cropping

You can also outcrop, which adds a margin around a picture.

You can always restore a resized or a cropped picture to its original size. If you're certain you won't want to undo your work, then after you crop the picture, use the Optimize Pictures feature to delete the cropped parts of the picture from the file completely.

About transparent areas

When printed, transparent areas in pictures are the same color as the paper on which they're printed. In an electronic display — such as a Web page — transparent areas are the same color as the background. Metafiles, such as those with shapes, usually have transparent areas.

Although you cannot change the transparency of an animated GIF picture by using the Picture toolbar, you can make these changes in an animated GIF editing program, and then insert the file.

About stacking objects

Objects automatically stack in individual layers as you add them. You see the stacking order when objects overlap — the top object covers a portion of objects beneath it.

Objects in a stack

You can move individual objects or groups of objects in a stack. For example, you can move objects up or down within a stack one layer at a time, or you can move them to the top or bottom of a stack in one move. You can overlap objects when you draw to create different effects.

About grouping and ungrouping objects

When you group objects, you combine them so you can work with them as though they were a single object. You can flip, rotate, and resize or scale all objects in a group as a single unit. You can also change the attributes of all objects in a group at one time — for example, you might change the fill color or add a shadow to all objects in the group. Or, you can select an item within a group and apply an attribute, without ungrouping. You can also create groups within groups to help you build complex drawings.

You can ungroup a group of objects at any time and then regroup them later.

Excel applications for graphics

Using graphics as data markers

You can add graphic objects to embedded charts and chart sheets, and you can also use graphics as data markers.

Chart with graphics as data markers

Using graphics as hyperlinks

You can make graphics and buttons "hot" by using them as hyperlinks. When you click the graphic, you go to a specified location in the current document or Web page, to a different Microsoft Excel workbook or Web page, or to a file that was created in a different program. For example, you can insert a graphic that represents your company's stock symbol and then use it as a hyperlink to go to a page that contains your company's current stock prices.

Graphic used as a hyperlink

1 Hyperlinked graphic

Using macros with graphics

You can assign a macro — that is, an automated Visual Basic for Applications program — to run when you click a graphic or button. You can even use graphics on worksheets to create an integrated workbook interface for your automated program. For example, you can create a graphic that represents a calculator and assign a macro to it that finds and displays the current monthly budget for your company.

Graphic used to start a macro

1 Graphic assigned a macro

Creating pictures of cells, charts, and other objects

You can create pictures of worksheet data, charts, and other objects and use them as illustrations on a worksheet or in a document created in another program. You can resize, move, and change a picture as you can any drawing object.

You can also create a linked picture of worksheet data so that the picture can be updated when the source data changes.


Add, change, or delete a constraint in Solver

  1. On the Tools menu, click Solver.

    If the Solver command is not available on the Tools menu, you need to load the Solver add-in program.

    How?

    1. On the Tools menu, click Add-Ins.

    2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    4. If necessary, follow the instructions in the setup program.
  2. Add or make changes to constraints.

    How?

    Add a constraint

    1. In the Solver Parameters dialog box, under Subject to the Constraints, click Add.

    2. In the Cell Reference box, enter the cell reference or name of the cell range for which you want to constrain the value.

    3. Click the relationship ( <=, =, >=, Int, or Bin ) that you want between the referenced cell and the constraint. If you click Int, "integer" appears in the Constraint box. If you click Bin, "binary" appears in the Constraint box.

    4. In the Constraint box, type a number, a cell reference or name, or a formula.

    5. Do one of the following:

      • To accept the constraint and add another, click Add.

      • To accept the constraint and return to the Solver Parameters dialog box, click OK.

    Notes

    • You can apply the Int and Bin relationships only in constraints on adjustable cells.

    • When the Assume Linear Model check box on the Solver Options dialog box is selected, there is no limit on the number of constraints. For nonlinear problems, each adjustable cell can have up to 100 constraints, in addition to bounds and integer restrictions on the variables.

    Change or delete a constraint

    1. In the Solver Parameters dialog box, under Subject to the Constraints, click the constraint that you want to change or delete.

    2. Click Change and then make your changes, or click Delete.


Add a formula to a one-variable data table

Formulas used in a one-variable data table must refer to the same input cell.

  1. Do one of the following:
    • If the data table is column-oriented, type the new formula in a blank cell to the right of an existing formula in the top row of the table.

    • If the data table is row-oriented, type the new formula in a blank cell below an existing formula in the first column of the table.

  2. Select the data table, including the column or row that contains the new formula.
  3. On the Data menu, click Table.
  4. Do one of the following:
    • If the data table is column-oriented, type the cell reference for the input cell in the Column input cell box.

    • If the data table is row-oriented, type the cell reference for the input cell in the Row input cell box.


Add a comment to a cell

Example of a worksheet comment

Comments are notes that you enter for a cell.

  1. Click the cell you want to comment on.
  2. On the Insert menu, click Comment.
  3. In the box, type the comment text.

    If you don't want your name in the comment, select and delete the name.

  4. When you finish typing the text, click outside the comment box.

Note When you sort, comments are sorted along with the data. In PivotTable reports, however, comments do not move when you change the layout of the report.


Add a trendline to a chart

  1. Click the data series to which you want to add a trendline or moving average.
  2. On the Chart menu, click Add Trendline.
  3. On the Type tab, click the type of regression trendline or moving average you want.

    • If you select Polynomial, enter in the Order box the highest power for the independent variable.

    • If you select Moving Average, enter in the Period box the number of periods to be used to calculate the moving average.

Notes

  • The Based on series box lists all the data series in the chart that support trendlines. To add a trendline to another series, click the name in the box, and then select the options you want.
  • If you add a moving average to an xy (scatter) chart, the moving average is based on the order of the x values plotted in the chart. To get the result you want, you might need to sort the x values before adding a moving average.


Add or remove a sheet background pattern

  1. Click the sheet that you want to add a background pattern to or delete a background pattern from. Make sure only one sheet is selected.
  2. Do one of the following:

    Add a sheet background pattern

    1. On the Format menu, point to Sheet, and then click Background.
    2. Select the graphics file to use for the background pattern.

      The selected graphic is repeated to fill the sheet. You can apply solid color shading to cells that contain data.

      3. Remove a sheet background pattern

      On the Format menu, point to Sheet, and then click Delete Background.

    Note Background patterns do not print and are not retained in individual worksheets or items that you save as Web pages. However, if you publish an entire workbook as a Web page, the background is retained.


Add error bars to a chart

  1. Click the data series to which you want to add error bars.
  2. On the Format menu, click Selected Data Series.
  3. On the X Error Bars tab or the Y Error Bars tab, select the options you want.

Note If you change the worksheet values or formulas associated with the data points in the series, the error bars are adjusted to reflect your changes.


Create a custom dictionary

Create a custom dictionary

  1. Click Spelling [image] on the Standard toolbar.
  2. When you identify a word that you want to add to a custom dictionary, click Options in the Spelling dialog box.
  3. In the Add words to box, type a name for your new custom dictionary.

    The following are default locations for custom dictionaries.

    In Microsoft Windows 2000 or later

    Custom dictionaries are stored by default in the C:\Program Files\Common Files\Microsoft Shared\Proof folder.

    In Microsoft Windows Millennium Edition or Microsoft Windows 98

    Custom dictionaries are stored by default in either the C:\Windows_folder\Application Data\Microsoft\Proof folder or the C:\Windows_folder\Profiles\User_name\Application Data\Microsoft\Proof folder.

    In Microsoft Windows NT 4.0

    Custom dictionaries are stored by default in the C:\Windows_folder\Profiles\User_name\Application Data\Microsoft\Proof folder.

Add a word to a custom dictionary

  1. Click Spelling [image] on the Standard toolbar.
  2. When you identify a word that you want to add to a custom dictionary, click Options in the Spelling dialog box.
  3. In the Add words to box, click the name of the custom dictionary, and then click OK.

Note If you want to use a custom dictionary from an earlier version of Microsoft Excel, type the name of the dictionary in the Add words to box to register the dictionary with the current version of Excel.


Share contact data between Excel and Outlook

Do one or both of the following:

Export Microsoft Excel names and addresses to Microsoft Outlook

  1. Select the data you want to export and create a named range of cells.

    How?

    1. Select the range of cells that you want to name.
    2. Click the Name box at the left end of the formula bar Formula bar.

      1 Name box

    3. Type the name for the cells.
    4. Press ENTER.

    Note You cannot name a cell while you are changing the contents of the cell.

  2. Close the workbook that contains the range you want to export.
  3. Start Outlook.
  4. On the File menu, click Import and Export.
  5. In the Import a File Wizard, click Import from another program or file, and then click Next.
  6. In the Select file type to import from box, click Microsoft Excel, and then click Next.
  7. Click Browse, select the file you want to import, click OK, and then click Next.
  8. Select the Contacts folder and click Next.
  9. If necessary, map fields from the file you are importing to Outlook fields.

    How?

    1. Click Map Custom Fields.
    2. In the From box, drag the field you want to convert onto the Microsoft Outlook field listed in the To box.
      • If you want to see additional records in the From box, click Previous or Next.
      • If you want to remove all mapping, click Clear Map.
      • If you want to reset the original mapping, click Default Map.
    3. To display additional fields in the To box, click the plus sign (+) next to the field. For example, to display the Business Street and Business City fields, click the + next to Business Address.
    4. If no field exists in the To box that would accommodate a field you are importing, you can create a new custom field. Click Add a Custom Field, and specify the field name in the New Field dialog box. You can create as many custom fields as you need.
    5. Click OK.
  10. Click Finish.

Import Outlook contacts into Excel

  1. Start Outlook.
  2. On the File menu, click Import and Export.
  3. Click Export to a file, and then click Next.
  4. In the Create a file of type box, click Microsoft Excel, and then click Next.
  5. In the Select folder to export from box, click Contacts, and then click Next.
  6. Type a name for the file, click Next, and then click Finish.
  7. In Excel, open the file you created in the previous step.

Tip

If you want to create a Microsoft Word mail merge from your Outlook contacts, you can do so without importing the contacts into Excel. Microsoft Word 2002 can access your contacts directly from Outlook. For more information, see Word Help.


Combine text and numbers

Display text before or after a number in a cell, using a number format

If a column you want to sort contains both numbers and text (such as Product #15, Product #100, Product #200), it may not sort as expected. You can use a number format to add text without changing the sorting behavior of the number.

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click a category, and then click a built-in format that resembles the one you want.
  4. In the Category list, click Custom.
  5. In the Type box, edit the number format codes to create the format you want.

    To display both text and numbers in a cell, enclose the text characters in double quotation marks (" ") or precede the numbers with a backslash (\). Editing a built-in format does not remove the format.
    To display | Use this code
    12 as Product #12 | "Product # " 0
    12:00 as 12:00 AM EST | h:mm AM/PM "EST"
    -12 as $-12.00 Shortage and 12 as $12.00 Surplus | $0.00 "Surplus";$-0.00 "Shortage"

Combine text and numbers from different cells into the same cell, using a formula

Use the CONCATENATION, TEXT functions and the ampersand (&) operator to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Salesperson | Sales
Buchanan | 28
Dodsworth | 40%
Formula | Description (Result)
=A2&" sold "&B2&" units." | Combines contents above into a phrase (Buchanan sold 28 units)
=A3&" sold "&TEXT(B3,"0%")&" of the total sales." | Combines contents above into a phrase (Dodsworth sold 40% of the total sales)
=CONCATENATE(A2," sold ",B2," units.") | Combines contents above into a phrase (Buchanan sold 28 units)

Note the use of the TEXT function in the formula. When you join a number to a string of text by using the concatenation operator, use the TEXT function to format the number. The formula uses the underlying value from the referenced cell (.4 in this example) — not the formatted value you see in the cell (40%). The TEXT function restores the number formatting.

Functions details

CONCATENATE

TEXT


Change column width and row height

Change the width:

Of a single column

Drag the boundary on the right side of the column heading until the column is the width you want.

Column boundary being dragged

The displayed column width is the average number of digits 0 through 9 of the standard font that fit in a cell.

Of multiple columns

Select the columns you want to change, and then drag a boundary to the right of a selected column heading.

To do the same for all columns on the worksheet, click the Select All Select All button button, and then drag the boundary of any column heading.

To fit the contents

Double-click the boundary to the right of the column heading.

To do the same for all columns on the worksheet, click the Select All Select All button button, and then double-click a boundary to the right of one of the column headings.

To a specific width

Select the column, point to Column on the Format menu, click Width, and then enter a number.

To match another column

  1. Select a cell in the column, click Copy [image] on the Standard toolbar, and then select the target column.
  2. On the Edit menu, click Paste Special, and then click Column widths.

Change the default width

  1. Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.
  2. On the Format menu, point to Column, and then click Standard Width.
  3. Type a new measurement.

    The number that appears in the Standard column width box is the average number of digits 0-9 of the standard font that fit in a cell.

Tip

To define the default column width for all new workbooks and worksheets, create a workbook template and a worksheet template.

Change the height

Of a single row

Drag the boundary below the row heading until the row is the height you want.

Row boundary being dragged

Of multiple rows

Select the rows you want to change, and drag a boundary below a selected row heading.

To change the row height for all rows on the worksheet, click the Select All Select All button button, and then drag the boundary below any row heading.

To fit the contents

Double-click the boundary below the row heading.

To a specific height

Select the column, point to Row on the Format menu, click Height, and then enter a number.


Align text in chart titles and text boxes

  1. Click the title or the border of the text box you want to align.
  2. For an axis title, click Selected Axis Title on the Format menu.

    For a chart title, click Selected Chart Title on the Format menu.

    For a text box, click Selected Object on the Format menu.

  3. Click the Alignment tab.

    If you don't see the Alignment tab, the title or border is not selected. Click Cancel, click outside of the text you want to format, and then repeat the procedure.

  4. Select the options you want.

Tip

To quickly change the horizontal alignment of selected chart titles and text boxes, click Align Left [image], Center [image], or Align Right [image] on the Formatting toolbar.


Apply or remove automatic formatting on a range of cells

  1. Select the range you want to format or remove the autoformat from.
  2. On the Format menu, click AutoFormat.
  3. Do one of the following:

    Apply an autoformat Click the format you want. If you want to use only selected parts of the autoformat, click Options, and then clear the check boxes for the formats you don't want to apply.

    Remove an autoformat At the bottom of the list, click the format above None.


Apply a style

A style is a collection of formats, like bold text or background shading.
  1. Select the cells you want to format.
  2. On the Format menu, click Style.

  3. To apply a basic style, click the style you want in the Style name box.

    To apply common number styles, click Comma Style [image], Currency Style [image], or Percent Style [image] on the Formatting toolbar.


Apply a border around a page

  1. Select the range of cells on the page that you want to add a border to or delete a border from.
  2. Do one of the following:

    Apply cell borders

    To apply the most recently selected border style, click Borders [image] on the Formatting toolbar.

    To apply a different border style, click the arrow next to Borders [image] , and then click a border on the palette.

    Notes

    • More border settings To apply additional border styles, click Cells on the Format menu, and then click the Border tab. Click the line style you want, and then click a button to indicate the border placement.
    • Border styles To change the line style of an existing border, select the cells that the border appears on. On the Border tab, click a new style in the Style list, and then click the border you want to change in the diagram under Border.

    Remove cell borders

    On the Formatting toolbar, click the arrow next to Borders [image], and then click [image] on the palette.


Change fills and lines in charts

Use this procedure to change colors, apply a texture or pattern, or change the line width or border style for data markers, the chart area, the plot area, gridlines, axes, and tick marks in 2-D and 3-D charts, trendlines and error bars in 2-D charts, and the walls and floor in 3-D charts.

  1. Double-click the chart item you want to change.
  2. If necessary, click the Patterns tab, and then select the options you want.

    To specify a fill effect, click Fill Effects, and then select the options you want on the Gradient, Texture, or Pattern tabs.

Note Formatting applied to an axis is also applied to the tick marks on that axis. Gridlines are formatted independently of axes.


Change the spacing between data markers in bar and column charts

  1. Click a data series in the chart you want to change. You need to select only a single data series to change the overlap or spacing of all data series of the same chart type.
  2. On the Format menu, click Selected Data Series, and then click the Options tab.
  3. To change the overlap of the data markers in each category, enter a value between -100 and 100 in the Overlap box. The higher the value, the greater the overlap within the category.

    To change the spacing between categories of data markers, enter a value between 0 (zero) and 500 in the Gap width box. The higher the value, the greater the distance between each category.


View multiple sheets or workbooks at the same time

  1. Open the workbooks you want to view.

    To view multiple sheets in the active workbook, click New Window on the Window menu. Switch to the new window, and then click a sheet you want to view. Repeat for each sheet you want to view.

  2. On the Window menu, click Arrange.
  3. Under Arrange, click the option you want.

    To view sheets in only the active workbook, select the Windows of active workbook check box.

Tip

To restore a workbook window to full size, click Maximize [image] at the upper-right corner of the workbook window.


Attach a custom toolbar to a workbook

  1. Create the custom toolbar you want to attach.

    How?

    1. On the Tools menu, click Customize.
    2. Click the Toolbars tab.
    3. Click New.
    4. In the Toolbar name box, type the name you want, and then click OK.
    5. Click the Commands tab.
    6. Do one of the following:

      Add a button to the toolbar

      1. Click a category in the Categories box.
      2. Drag the command you want from the Commands box to the displayed toolbar.

      Add a built-in menu to the toolbar

      1. In the Categories box, click Built-in Menus.
      2. Drag the menu you want from the Commands box to the displayed toolbar.
    7. When you have added all the buttons and menus you want, click Close.
  2. Open the workbook to which you want to attach a toolbar.
  3. On the Tools menu, click Customize, and then click the Toolbars tab.
  4. Click Attach.
  5. Click the custom toolbar you want to attach, and then click Copy.

    Note Be sure to save the workbook after attaching a toolbar.


Create a macro for an ActiveX control

For more information about writing macros, see Microsoft Visual Basic Help.

  1. Display the Control Toolbox: point to Toolbars on the View menu, and then click Control Toolbox.
  2. Click Design Mode [image].
  3. Right-click the control, and then click View Code on the shortcut menu.
  4. In the Visual Basic Editor, write a new macro or change the existing macro.
  5. When you finish writing the macro, click Close and Return to Microsoft Excel on the File menu.
  6. When you finish designing the control, click Exit Design Mode [image].

Tip

If you're designing a form for use on a Web page rather than in Microsoft Excel or a Visual Basic program, use a Web script instead of a macro to automate the control.


Create an outline

This outline lets you show and hide the detail rows for monthly sales.

  1. If your summary rows are above the detail rows, or your summary columns are to the left of the detail columns, change the direction setting.

    How?

    1. On the Data menu, point to Group and Outline, and then click Settings.
    2. Clear the Summary rows below detail check box, the Summary columns to right of detail check box, or both check boxes.

  2. If you want to set outline styles that will be applied automatically when the outline is created, set the Automatic styles option.

    How?

    1. On the Data menu, point to Group and Outline, and then click Settings.
    2. Select the Automatic styles check box.

    Note If you don't want to apply automatic styles before you begin, you can apply them after you create the outline.

  3. Decide whether to outline the worksheet automatically or manually.

    • You can outline any worksheet manually.

    • You can outline worksheets automatically if they have summary formulas that reference cells in the detail data. All columns containing summary formulas must be either to the right or to the left of the detail data, or rows containing summary formulas must be either below or above the detail data.

      If you aren't sure whether your worksheet meets these requirements, try outlining automatically, and if the results aren't as you expect, undo the operation and outline manually instead.

  4. Do one of the following:

    Outline the data automatically

    1. Select the range of cells you want to outline.

      To outline the entire worksheet, click any cell on the worksheet.

    2. On the Data menu, point to Group and Outline, and then click Auto Outline.

    Outline the data manually

    1. Select the rows or columns that contain detail data.

      Detail rows or columns are usually adjacent to the row or column that contains the summary formula or a heading. For example, if row 6 contains totals for rows 3 through 5, select rows 3 through 5. If row 8 contains a heading that describes rows 9 through 12, select rows 9 through 12.

    2. On the Data menu, point to Group and Outline, and then click Group.

      The outline symbols appear beside the group on the screen.

    3. Continue selecting and grouping detail rows or columns until you have created all of the levels you want in the outline.

  5. If you didn't select automatic styles, you can apply styles now.

    How?

    1. Select the cells that you want to apply outline styles to.
    2. On the Data menu, point to Group and Outline, and then click Settings.
    3. Select the Automatic styles check box.
    4. Click Apply Styles.


Set a column width on a right-to-left worksheet

  • Do one of the following:
    • Double-click the left column border in the column header to set the column to Best Fit.
    • Drag the left column border in the column header to the width you want.


Convert bidirectional text files to and from ANSI

The ConvText utility is available on the Microsoft Office Web site and on the installation CDs for Microsoft Office language versions that offer right-to-left support. ConvText provides more support (additional code pages and visual text layout options) than the following features when converting bidirectional files to ANSI characters:

  • The Microsoft Excel Text Import Wizard for converting right-to-left characters in bidirectional files to ANSI characters with logical text layout.

  • The Microsoft Excel Save As command (File menu) for converting ANSI characters with logical text layout to other bidirectional file formats.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

The following examples illustrate how to use ConvText with Excel. Similar steps are required to use ConvText with other Microsoft Office applications such as Access.

Convert bidirectional text files to ANSI

  1. In the Program Files\Microsoft Office\Office10 folder, double-click the ConvText.exe icon.
  2. Click Convert To Windows ANSI Code Page.
  3. Type file names in the Source and Target boxes, or click Browse.
  4. Do one of the following:
    • Click Load to retrieve a previously saved conversion specification.
    • Select the code page, text layout, file type, and any other relevant parameters that match the target text file to be created.
  5. Click Save to retain the conversion specifications.
  6. Click Convert.
  7. Import the converted text file into Excel.

All field names and records from the original table or worksheet will be fully recreated in a new table.

Convert bidirectional text files from ANSI

  1. Save a copy of the worksheet you want to convert to a non-ANSI code page.
  2. In the Program Files\Microsoft Office\Office10 folder, double-click the ConvText.exe icon.
  3. Click Convert From Windows ANSI Code Page.
  4. Type file names in the Source and Target boxes, or click Browse.
  5. Do one of the following:
    • Click Load to retrieve a previously saved conversion specification.
    • Select the code page, text layout, file type, and any other relevant parameters that match the target text file to be created.
  6. Click Save to retain the conversion specifications.
  7. Click Convert.


Create a repeating series on a right-to-left worksheet

  • Do one of the following:

    • Drag the fill handle down or to the left to create a progressive series.

    • Drag the fill handle up or to the right to create a regressive series.

Note When you use the fill handle to create a date series, dates will appear as Gregorian or Hijri. Hijri date calculations, however, only support days; they do not support month and year calculations.


Display or hide control characters

  1. On the Tools menu, click Options , and then click the International tab.
  2. Select or clear the Show control characters check box.


Set the direction for worksheets and charts

Set the direction of the current worksheet

  • Do one of the following:

    • Press or release the Sheet Right-To-Left [image] button.

    • On the Tools menu, click Options, click the International tab, and select or clear the View current sheet right-to-left check box.

Set the direction for new workbooks and worksheets

  1. Click Options on the Tools menu, and then click the International tab.
  2. Do one of the following in the Right-to-left option group.

    • Click Right-To-Left to have new objects displayed in a direction familiar to right-to-left users.

    • Click Left-To-Right to have new objects displayed in a direction familiar to left-to-right users.

Change the direction of a chart

When right-to-left editing is enabled in Microsoft Excel, and the default orientation for new charts is right-to-left, charts are automatically configured with a right-to-left view. This means that the horizontal (category) axis origin and the vertical (value) axis appear to the right side of the chart, and the chart legend appears to the left of the chart.

You can manually move chart objects to a position that supports the direction you are trying to achieve — for example, to change a left-to-right chart to a right-to-left chart, do the following:

  1. Click the horizontal (category) axis to select it, then right-click the axis and click Format Axis on the shortcut menu.
  2. Click the Scale tab and select the Categories In Reverse Order option. The horizontal (category) axis origin and the vertical (value) axis appear at the right side of the chart.
  3. Click the legend border to select it, then right-click the border and click Format Legend on the shortcut menu.
  4. Click the Placement tab and select Left in the Placement group. The chart legend will appear to the left of the chart.


Set insertion point behavior

  1. On the Tools menu, click Options, and then click the International tab.
  2. In the Cursor Movement option group, do one of the following:

    • Click Logical to have insertion point movement that moves in the logical order of bidirectional text.

    • Click Visual to have insertion point movement that ignores text language and moves contiguously to the right or left.


Set the text direction for cells

  1. Click the down arrow next to the Text Direction [image] button.
  2. Do one of the following:

    • For right-to-left reading order, click Right-to-Left.

    • For left-to-right reading order, click Left-to-Right.

    • For reading order that is consistent with the language of the first entered character, click Context.

Note You can also set reading order on the Format menu by clicking Cells and then using the Text Direction list on the Alignment tab.


Set the direction of a Web page or Web page controls

Set the direction of a Web page

  • Do one of the following:

    • Before publishing a new Web page, set the direction of the worksheet to match the desired direction of the Web page. A new Web page will automatically assume the direction of the worksheet on which it is based.

    • For a published Web page that is running in a browser, do one of the following:

      • Edit the HTML source directly as text. On the View menu, click HTML Source, and then modify the <HTML> element to <HTML DIR=RTL> for a right-to-left page direction, or to <HTML DIR=LTR> for a left-to-right page direction.
      • Use an HTML editor that exposes document properties in a properties window — such as the Microsoft Script Editor — to change the Dir property setting (LTR or RTL) of the Web page at the beginning of the <HTML> element. Click Properties [image], click the perimeter of the Web page until the document properties are displayed, click the All tab if available, and then change the Dir property setting to the Web page direction you want: either RTL or LTR.

Set the direction of a control on a Web page

  • Do one of the following:

    • Before publishing a new Web page, set the direction of the worksheet to match the desired direction of the control. A new control will automatically assume the direction of the worksheet on which it is based.

    • For a published Web page, do one of the following:

      • For the Microsoft Office Web Component controls You can set the direction of the control either in the browser or by opening the Web page in a design program such as FrontPage 2002 or Access 2002 data access page Design view. Click the Command and Options button on the toolbar to display the Command and Options dialog box.
        • For a Microsoft Office PivotTable control, select or clear the Display right to left check box in the General Options group on the Behavior tab.

        • For a Microsoft Office Spreadsheet control, select or clear the Display right to left check box in the Show/Hide group on the Sheet tab.

        • For a Microsoft Office Chart control, right-to-left appearance can be achieved using standard chart format options so an additional right-to-left direction setting is not available.

        • For information about activating the controls, see Help in the design program. For information about displaying the toolbar and using the Command and Options dialog box, see Help for the control when the control is activated in the design program or the browser.
      • For intrinsic browser controls For controls that are used when publishing static Web pages (that is, pages without interactivity), edit the HTML source code directly as text. Or, you can use an HTML editor, such as the Microsoft Script Editor, to expose control properties in a properties window and change the Dir property setting (LTR or RTL) of the control.
      • For an ActiveX control that is added separately Edit the HTML source directly as text, or use an HTML editor — such as the Access 2002 data access page Design view or the Microsoft Script Editor — to expose control properties in a properties window and change the RightToLeft property setting, or equivalent (typically True or False).


Format dates using alternate calendars

Format dates using Gregorian and Hijri calendars

Do one of the following:

  • Create a custom number format.

  1. On the Format menu, click Cells, and then click the Number tab.

  2. Select Custom from the list of number categories.

  3. Select a number format code as a starting point for your date format.

  4. In they Type box, do one of the following:

    • To display dates using the Gregorian calendar, regardless of the Regional Options or Regional Settings of the Microsoft Windows Control Panel setting, type B1 before the date format code — for example, B1dd/mm/yy.

    • When Arabic editing is enabled, to display dates using the Hijri calendar, regardless of the Regional Options or Regional Settings setting, type B2 before the date format code — for example, B2dd/mm/yy.

    Note It is also possible to format the date by changing the locale selected in the Locale (location) box for the Date category on the Number tab and then selecting a date format in the Type box.

  • Enter a date in a cell and have Excel interpret it as a Hijri date instead of Gregorian.

    Type A or a in front of the date entry — for example, enter the short date 'a9/25/20', which will be interpreted as Hijri date 9/25/1420 (this is Gregorian date 1/1/2000). If the cell is unformatted, it will be assigned the number format 'B2m/d/yyyy' and the value will be displayed as 9/25/1420.

Format dates using the Buddhist calendar

Do one of the following:

  • When the Default version of Microsoft Office is set to Thai in the Enabled Languages tab of Microsoft Office Language Settings, do the following:

    • Create a custom number format.

      1. On the Format menu, click Cells, and then click the Number tab.
      2. Select Custom from the list of number categories.
      3. Select a number format that uses the 'b' syntax to represent the year — for example, the syntax 'd/m/bbbb' will format the Gregorian date 1/1/2000 as Thai Buddhist date 1/1/2543.

      Note It is also possible to format the date by changing the locale selected in the Locale (location) box for the Date category on the Number tab and then selecting a date format in the Type box. This format will work regardless of the Default version of Microsoft Office setting in Microsoft Office Language Settings.

    • To enter a date in a cell and have Excel interpret it as a Thai Buddhist date instead of Gregorian, use the B or b prefix during date entry — for example, enter the short date '1/1/b43', which will be interpreted as Thai Buddhist date 1/1/2543. If the cell is unformatted, it will be assigned the number format 'd/m/bb' and the value will be displayed as 1/1/43.


Switch between entering right-to-left and left-to-right text in a cell

  • Click the Language [image] icon on the taskbar, then choose the desired keyboard language.

    The text insertion pointer will change to indicate the direction of the selected language; text can be entered in the chosen language.

Note Text is displayed in the default font, Arial, unless another font is chosen. You can override the default font for the selected cell (or range of cells) by using the Cells command (Format menu). Click the Font tab, select the appropriate font, and click OK.


Enter and evaluate formulas with Lotus 1-2-3 rules

  1. On the Tools menu, click Options, and then click the Transition tab.
  2. Do one of the following:
    • To enter formulas according to Lotus 1-2-3 rules, select the Transition formula entry check box. With the Transition formula entry option selected, Microsoft Excel applies names for ranges as you enter references to ranges in formulas. In addition, if a function does not require arguments, you can type @ followed by the Lotus 1-2-3 function name and the function is converted to its Excel equivalent.

    • To enter formulas according to Excel rules, clear the Transition formula entry check box.

  3. Do one of the following:
    • To calculate formulas according to Lotus 1-2-3 rules, select the Transition formula evaluation check box.

    • To calculate formulas according to Excel rules, clear the Transition formula evaluation check box.

    Caution Avoid alternately selecting and canceling the Transition formula evaluation option; otherwise, the values calculated on your worksheet might change.

  4. Click OK.
  5. Enter your formula.

Notes

  • When you select and clear the Transition formula entry check box, formulas don't automatically reapply names or restore names to references.
  • The Transition formula entry and Transition formula evaluation options remain active for a worksheet until you clear them, even if you save the Lotus 1-2-3 worksheet as an Excel worksheet.


Change or delete a defined name

  1. On the Insert menu, point to Name, and then click Define.
  2. In the Names in workbook list, click the name you want to change.
  3. Do one of the following:
    • Change the name
      1. Type the new name for the reference, and then click Add.
      2. Click the original name, and then click Delete.
    • Change the cell, formula, or constant represented by a name

      Change it in the Refers to box.

    • Delete the name

      Click Delete.


Format a comment

  1. Right-click the cell with the comment you want to change, and then click Show Comment on the shortcut menu.
  2. Click the border of the comment box so that handles appear.

    Worksheet comment with sizing handles

  3. Do one or more of the following:

    Change the text font or color

    1. Click Comment on the Format menu.
    2. Click the Font tab.
    3. Click the options you want.

    Change the background color

    To change the current comment, click the arrow beside Fill Color [image] on the Formatting toolbar, and then click the color you want.

    Note To change the default color for new comments, use the Display icon on the Microsoft Windows Control Panel to change the ToolTip color (does not affect previously entered comments).

    Change the border color or thickness, or make it dashed

    1. Click Comment on the Format menu.

    2. Click the Colors and Lines tab.

    3. Click the options you want.

    Change the shadow or use a 3-D effect

    To change the shadow, click Shadow [image] on the Drawing toolbar, and then click the option you want. Click Shadow Settings for more options.

    To use a 3-D effect instead of a shadow, click 3-D [image] on the Drawing toolbar, and then click the option you want. Click 3-D Settings for more options.

    Change the shape

    1. On the Drawing toolbar, click Draw.

    2. Point to Change Autoshape, and then point to the type of shape you want.

    3. Click the shape you want.


Change which cells a formula refers to

When you enter or edit a formula, cell references and the borders around the corresponding cells are color-coded.

Color-coded cell references

Color-coded cell references

If there are no squares at each corner of the color-coded border, then the reference is to a named range.

Change references that are not a named range

  1. Double-click the cell that contains the formula you want to change. Microsoft Excel highlights each cell or range of cells with a different color.
  2. Do one of the following:
    • To move a cell or range reference to a different cell or range, drag the color-coded border of the cell or range to the new cell or range.

    • To include more or fewer cells in a reference, drag a corner of the border.

    • In the formula, select the reference, and type a new one.

  3. Press ENTER or CTRL+SHIFT+ENTER for an array formula.

Change references to a named range

  1. Do one of the following:
    • Select the range of cells that contains formulas in which you want to replace references with names.

    • Select a single cell to change the references to names in all formulas on the worksheet.

  2. On the Insert menu, point to Name, and then click Apply.
  3. In the Apply names box, click one or more names.


Change the color of cell gridlines

  1. Select the sheets on which you want to change the gridline color.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.
  2. On the Tools menu, click Options, and then click the View tab.
  3. Under Window options, click the color you want in the Color box.

    To use the default gridline color, click Automatic.


Include different data in an offline cube file

If you don't know whether your offline cube file was created in Microsoft Excel or Microsoft Query, consult the person who created the file.

Revise a cube file created in Excel

Saving a revised offline cube file can be time consuming, and you cannot do other work in Excel while the file is being saved. Start the process at a time when you do not need immediate access to other files, and make sure you have adequate disk space to resave the file.

  1. Make sure you are connected to your network and can access the original OLAP server database that supplied the data for the offline cube file.
  2. Click a PivotTable report that's based on the offline cube file.

    For a PivotChart report, click the associated PivotTable report.

  3. On the PivotTable toolbar, click PivotTable, and then click Offline OLAP.
  4. Click Offline OLAP, and then click Edit offline data file.
  5. Follow the steps in the Offline Cube Wizard to select different data for the file. In the last step, specify the same name and location as the existing file that you are changing.

Note To cancel saving the file, click Stop in the Create Cube File – Progress dialog box.

Revise a cube file created in Query

In Query, open the .oqy file created by the OLAP Cube Wizard, and then use the wizard to change the .cub file. You can delete and reorganize fields, but you cannot add more fields to this type of cube. For full instructions, see Help in Microsoft Query.


Change data labels

On the worksheet

  1. Click the cell that contains the information you want to change.
  2. Type the new text or value, and then press ENTER.

On the chart

  1. Click once on the data label you want to change to select the data labels for the entire series, and then click again to select the individual data label.
  2. Type the new text or value, and then press ENTER.

    If you change the data label text on the chart, it is no longer linked to a worksheet cell.


Change values in a chart

The values in a chart are linked to the worksheet from which the chart is created. When you change one, the other is also changed.

Change values directly in worksheet cells

  1. Open the worksheet that contains the data plotted in the chart.
  2. In the cell that contains the value you want to change, type a new value.
  3. Press ENTER.

Change values by dragging data markers in the chart

To change values generated from worksheet formulas in 2-D column, bar, pie, doughnut, line, xy (scatter), and bubble charts, drag the data marker in the chart and use goal seeking. When you change the value of a data marker by dragging, Microsoft Excel also changes the underlying value on the worksheet.

To change values generated from worksheet formulas in 3-D, surface, radar, and area charts, use goal seeking on the worksheet.

  1. Click the data series that contains the data marker you want to change, and then click the data marker.
  2. Do one of the following:
    • If the data marker is a bubble, line, or xy (scatter) data marker, drag the data marker.

    • If the data marker is a bar or column data marker, drag the top-center selection handle.

    • If the data marker is a pie or doughnut chart data marker, drag the largest selection handle on the outer edge of the data marker.

Note If the value of the data marker was generated from a formula, the value can be changed only by adjusting one of the values that the formula refers to. To accomplish this, the Goal Seek dialog box is displayed after you drag the data marker. Click the worksheet cell that contains the formula value you want to adjust, and then click OK in the Goal Seek dialog box.


Change the number of worksheets in a new workbook

  1. On the Tools menu, click Options, and then click the General tab.
  2. In the Sheets in new workbook box, enter the number of sheets you want added by default when you create a new workbook.


Change a hyperlink

Change the destination of a hyperlink

  1. Right-click the hyperlink you want to change and click Edit Hyperlink on the shortcut menu.
  2. Make the changes you want.

Note If the hyperlink was created by using the HYPERLINK worksheet function, you must edit the formula to change the destination. Select the cell with the hyperlink in it (click the cell and hold the mouse button until the cursor becomes a cross Excel selection cursor), and then click the formula bar to edit the formula.

Change the appearance of hyperlink text

When you make changes to the Hyperlink and Followed Hyperlink styles, your changes apply to all hyperlinks in the current workbook.

  1. On the Format menu, click Style.
  2. To change the appearance of hyperlinks before or after they have been clicked to make a jump, click Hyperlink or Followed Hyperlink in the Style name box.
  3. Click Modify.
  4. Select the options you want, and then click OK.
  5. Clear the check boxes for any options you don't want.
  6. Click Add, and then click Close.

Note The Hyperlink style appears in the Style name box only if you have previously created a text hyperlink in the workbook. The Followed Hyperlink style appears only if you have used a text hyperlink in the workbook to jump to another file and then returned to the original workbook.

Change the text or graphic for a hyperlink

  1. Select the cell or graphic that represents the hyperlink.

    • To select a cell that contains a text hyperlink, click the cell and hold the mouse key down until the cursor changes to a cross Excel selection cursor.

    • To select a graphic, hold down CTRL and click the graphic.

  2. Do one or more of the following:
    • To change text, edit the text in the formula bar.

    • To reformat a graphic, use the Drawing or Picture toolbar.

    • To change text that's part of a graphic, double-click the selected graphic and make the changes you want.

    • To change the graphic that represents the hyperlink, insert the new graphic and make it a hyperlink with the same destination. Then delete the old graphic or remove the hyperlink.


Place a chart on a worksheet or on its own chart sheet

  1. Click the chart that you want to move or change.
  2. On the Chart menu, click Location.
  3. To place the chart on a new chart sheet, click As new sheet, and then type a name for the new chart sheet in the As new sheet box.

    To place the chart as an embedded object on a worksheet, click As object in, click a sheet name in the As object in box, and then click OK. Drag the embedded chart where you want it on the worksheet.


Change number formats in charts

Note If you change the number formatting in a chart, the number formatting is no longer linked to the worksheet cells.

  1. To format labels along an axis, double-click the appropriate axis.

    To format data labels or a trendline label, double-click the item.

  2. On the Number tab, select the options you want.


Change protection or passwords

Change the protection or password for a worksheet

  1. Switch to the protected worksheet.
  2. On the Tools menu, point to Protection, and then click Unprotect Sheet.
  3. If prompted type the current password, and then click OK.
  4. On the Tools menu, point to Protection, and then click Protect Sheet.
  5. In the Allow all users of this worksheet to list, make any changes you want to the elements users will be able to change.
  6. Type the password in the Password to unprotect sheet box.
  7. Click OK, and if prompted retype the password.

Change the password for a range

  1. Switch to the protected worksheet.
  2. On the Tools menu, point to Protection, and then click Unprotect Sheet.
  3. If prompted type the worksheet password, and then click OK.
  4. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges.
  5. In the Ranges unlocked by a password when sheet is protected list, click the range for which you want to change the password.
  6. Click Modify, and then click Password.
  7. Type the new password for the range in the New password box.
  8. Type the same password in the Confirm new password box, and then click OK twice.
  9. Click Protect Sheet.
  10. Type the worksheet password in the Password to unprotect sheet box.
  11. Click OK, and then retype the worksheet password to confirm it.

Change which users can edit which cells

  1. Open the workbook and switch to the protected worksheet.
  2. On the Tools menu, point to Protection, and then click Unprotect Sheet.
  3. If prompted type the worksheet password, and then click OK.
  4. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges.
  5. Do one or more of the following:

    Change which users are allowed to edit a range

    1. In the Ranges unlocked by a password when sheet is protected box, click the range for which you want to change the users.
    2. Click Modify, and then click Permissions.
    3. Do one or more of the following:
      • To block a user temporarily from editing the range, click the user in the Name list, and then select the Deny check box for the user.
      • To unblock a user, click the user in the Name list, and then select the Allow check box for the user.
      • To remove a user permanently, click the user in the Name list, and then click Remove.
      • To add a new user, click Add, locate and select the new user, click Add, and then click OK.
    4. Click OK, and if prompted about denying users click Yes, and then click OK again.

    Change which cells are included in a range

    1. In the Ranges unlocked by a password when sheet is protected box, click the range for which you want to change the included cells.
    2. Click Modify.
    3. In the Refers to cells box, type or select the new range, and then click OK.

    Remove protection for a range

    1. In the Ranges unlocked by a password when sheet is protected box, click the range you want to delete.
    2. Click Delete.
  6. When you are finished making changes in the Allow Users to Edit Ranges dialog box, click OK.
  7. On the Tools menu, point to Protection, and then click Protect Sheet.
  8. Type the worksheet password in the Password to unprotect sheet box.
  9. Click OK, and then retype the worksheet password to confirm it.

Change the protection or password for a workbook

  1. Open the protected workbook.
  2. On the Tools menu, point to Protection, and then click Unprotect Workbook.
  3. If prompted type the current password, and then click OK.
  4. On the Tools menu, point to Protection, and then click Protect Workbook.
  5. If you want to change the protection, select the Structure or Windows check box, or both check boxes.
  6. Do one of the following:
    • To keep the same password, type it in the Password box.
    • To change the password, type a new password instead.
  7. Click OK, and if prompted retype the password to confirm it.

Change the password for viewing or editing a workbook file

  1. Open the workbook.
  2. On the File menu, click Save As.
  3. On the Tools menu, click General Options.
  4. In the Password to open or Password to modify box, double-click the asterisks.
  5. Type the new password, and then click OK.
  6. When prompted retype the new password, and then click OK.
  7. Click Save.
  8. If prompted, click Yes to replace the existing workbook.

Note If you have protected a shared workbook with a password, you can't change the password without unsharing the workbook, which deletes the change history.


Change the layout of a PivotChart report

Decide whether to make the layout changes on the screen or in the wizard. Usually you can make changes on the screen. If changes result in long delays in retrieving and displaying data, use the wizard.

Change the layout on the screen

  1. Click the report.

  2. Display the field buttons if they are hidden: click PivotChart on the PivotTable toolbar and make sure that the Hide PivotChart Field Buttons command is not checked.

  3. Do one or more of the following:

    Change the layout on the sheet

    1. To move a field from its current position to the series, category, or data area, drag the field button to a new position. For example, to swap the series and categories, drag the series field to the category area, and then drag the previous category field to the series area.

      Fields with Dimension field icon icons in the PivotTable Field List window can be used only in the series, category, and page areas. Fields with Data field icon icons can be used only in the data area. Fields with Field icon icons can be used in any area.

    2. To create a page field, drag the field to the page area at the top of the report.

    Add or remove a field on the sheet

    1. If the PivotTable Field List window is not displayed, click Show Field List [image] on the PivotTable toolbar.
    2. Do one or more of the following:

      Add a field Drag the field from the PivotTable Field List window to the area of the report for the type of field you want to create.

      Fields with Dimension field icon icons in the PivotTable Field List window can be used only in the series, category, and page areas. Fields with Data field icon icons can be used only in the data area. Fields with Field icon icons can be used in any area.

      Remove a field Drag the field button out of the report.

Use the wizard to change the layout

  1. Click the associated PivotTable report for the PivotChart report.
  2. On the Data menu, click PivotTable and PivotChart report.
  3. Click Layout.
  4. To rearrange fields, drag them from one area to another in the diagram on the left.

    Use the COLUMN area for series fields and the ROW area for category fields.

  5. To add fields, drag them from the list of fields on the right to the diagram.

    Some fields can only be used in some of the areas. If you drop a field in an area where it can't be used, the field won't appear in the area.

  6. To remove a field, drag it out of the diagram.
  7. When you're finished changing the layout, click OK, and then click Finish.

Note Changing the layout of a PivotChart report also affects its associated PivotTable report, and some chart formatting may be lost.


Change a PivotChart report to a static chart

  1. Find and click the associated PivotTable report for the PivotChart report.

    How?

    This report has the same name as the PivotChart report. To check the name:

    1. Click the PivotChart report.
    2. Click PivotChart on the PivotTable toolbar.
    3. Click Options, and note the name in the Name box.
    4. Click each PivotTable report in the workbook, click PivotTable on the PivotTable toolbar, click Table Options, and check for the same name in the Name box.
  2. On the PivotTable toolbar, click PivotTable, point to Select, and then click Entire Table.
  3. Press DELETE.

Tip

If the worksheet containing the associated PivotTable report doesn't have any data you want to keep, you can delete the entire worksheet instead of deleting just the report. On the Edit menu, click Delete Sheet.


Move or resize a control

Microsoft Excel has two different types of controls that you move and resize in different ways: ActiveX controls, and controls from the Forms toolbar.

  1. Determine which type of control you have: right-click the control you want to change.

    If no shortcut menu appears or the shortcut menu contains the command Properties, the control is an ActiveX control.

    If the shortcut menu contains the command Assign Macro, the control is a Forms toolbar control.

  2. Based on the type of control you are working with, do one of the following:

    Move or resize an ActiveX control

    1. Display the Control Toolbox: point to Toolbars on the View menu, and then click Control Toolbox.
    2. Click Design Mode [image].
    3. Do one or more of the following:

      Move the control Drag it to another location. To align it with cell gridlines, hold down ALT while you drag the control.

      Resize the control Drag one of the sizing handles:

      Example of a control with sizing handles

      To retain the proportions of the control, hold down SHIFT while you drag a corner sizing handle.

      Set whether changes to the underlying cells affect the control To change how the control is resized or moved when the cells underneath it are resized or moved, right-click the control, click Format Control, and then click the Properties tab.

    4. When you finish modifying the control, click Exit Design Mode [image].

    Move or resize a Forms toolbar control

    1. Do one or more of the following:

      Move the control Drag it to another location. To align it with cell gridlines, hold down ALT while you drag the control.

      Resize the control Drag one of the sizing handles:

      Example of a control with sizing handles

      To retain the proportions of the control, hold down SHIFT while you drag a corner sizing handle.

      Set whether changes to the underlying cells affect the control To change how the control is resized or moved when the cells underneath it are resized or moved, right-click the control, click Format Control, click the Properties tab, and then click the option you want under Object positioning.

    2. To remove the handles when you're finished modifying the control, click a cell on the worksheet.


Change formatting of text

  1. Select cells or text you want to format.

    How?

    To select | Do this
    Text in a cell If editing in a cell is turned on, select the cell, double-click in it, and then select the text in the cell.

    If editing in a cell is turned off, select the cell, and then select the text in the formula bar.

    A single cell | Click the cell, or press the arrow keys to move to the cell.
    A range of cells | Click the first cell of the range, and then drag to the last cell.
    A large range of cells | Click the first cell in the range, and then hold down SHIFT and click the last cell in the range. You can scroll to make the last cell visible.
    All cells on a worksheet Click the Select All button.

    Select All button

    Nonadjacent cells or cell ranges | Select the first cell or range of cells, and then hold down CTRL and select the other cells or ranges.
    An entire row or column Click the row or column heading.

    Worksheet showing row heading

    Adjacent rows or columns | Drag across the row or column headings. Or select the first row or column; then hold down SHIFT and select the last row or column.
    Nonadjacent rows or columns | Select the first row or column, and then hold down CTRL and select the other rows or columns.
    More or fewer cells than the active selection | Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.
    Cancel a selection of cells | Click any cell on the worksheet.

  2. Do one of the following:

    Change the font or font size

    In the Font box [image] on the Formatting toolbar, click the font you want.

    In the Font Size box [image], click the font size you want.

    Change the text color

    To apply the most recently selected color, click Font Color [image] on the Formatting toolbar.

    To apply a different color, click the arrow next to Font Color [image], and then click a color on the palette.

    Make selected text or numbers bold, italic, or underlined

    On the Formatting toolbar, click a button for the format you want.

    To make text | Click
    Bold | Bold
    Italic | Italic
    Underlined | Underline

    Shrink the font size to show all data in a cell

    If a small amount of data isn't visible in a cell, you can reduce the font size of the data so that you don't have to resize the column.

    1. Select the cells you want to format.
    2. On the Format menu, click Cells, and then click the Alignment tab.
    3. Select the Shrink to fit check box.

    Show multiple lines of text in a cell

    1. Select the cells you want to format.
    2. On the Format menu, click Cells, and then click the Alignment tab.
    3. Select the Wrap text check box.

    Note You can also press ALT+Enter to insert a hard break in your text.

    Change the default font and font size used in new workbooks

    1. On the Tools menu, click Options, and then click the General tab.
    2. In the Standard font box, click a font.
    3. In the Size box, enter a font size.

    Note You must restart Microsoft Excel to begin using the new default font and font size. The new default font and font size are used only in the new workbooks you create after you restart Microsoft Excel; existing workbooks are not affected.


Change data markers in a line, xy (scatter), or radar chart

  1. Click the line with the data markers you want to change.
  2. On the Format menu, click Selected Data Series, and then click the Patterns tab.
  3. Under Marker, select the options you want.


Change the plot area size of a pie-of-pie or bar-of-pie chart

  1. Click a data series in the pie chart you want to change.
  2. On the Format menu, click Selected Data Series, and then click the Options tab.
  3. In the Size of second plot box, enter a value between 5 and 200 to specify the size of the second pie or bar as a percentage of the first pie chart. For example, 105 makes the second pie or bar 5 percent larger than the first.


Select different source data for a PivotTable or PivotChart report

If you returned data from an Office Data Connection file (.odc extension) directly to a PivotTable report, or your report is based on OLAP source data, you cannot use different source data in the report.

  1. Click the PivotTable report. For a PivotChart report, click the associated PivotTable report.
  2. On the Data menu, click PivotTable and PivotChart Report
  3. In step 3 of the wizard, click Back.

    If the Back button is unavailable, your report is based on OLAP data, and you cannot change it to use different source data. If you want a report based on a different OLAP cube, create a new report.

  4. In step 2 of the wizard, notice whether the report is based on an Microsoft Excel range (the step has an edit box labeled Range:) or external data (the step has a Get Data button), and then do one of the following:

    Specify a different Excel range

    1. If the data you want is on a different worksheet, click the worksheet.
    2. Select the new source data range.

    Specify different external data

    1. Click Get Data.
    2. In Microsoft Query, make changes to the query. For help with the specifics of changing the query, see Help in Microsoft Query.
    3. On the Query File menu, click Return data to Microsoft Excel.
  5. Click Finish.

  6. Drag any new fields that you want to display from the PivotTable Field List window onto the report.

Note After you make this change to a PivotChart report or its associated PivotTable report, some chart formatting may be lost.


Move the slices in a doughnut or pie chart

The order in which Microsoft Excel plots data series in pie and doughnut charts is determined by the order of the data on the worksheet.

Example of rotated slices in pie chart

Use this procedure to "rotate" slices within the 360 degrees of the pie or doughnut circle.

  1. Click a data series in the pie or doughnut chart you want to change.
  2. On the Format menu, click Selected Data Series, and then click the Options tab.
  3. In the Angle of first slice box, type a value between 0 (zero) and 360 to specify the angle at which you want the first slice to appear.


Change the default chart type

  1. To activate the Chart menu, click a chart.

  2. On the Chart menu, click Chart Type.

  3. Do one of the following:

    Select a standard chart type

    1. Click the Standard Types tab and click the built-in chart type you want to be the default.

    2. Click Set As Default Chart, and then click Yes.

    3. Click OK.

    Select a custom chart type or the current chart

    1. Click the Custom Types tab, and click the custom chart type you want. Or, if you want the current chart to be the default, do not make a selection.
    2. Click Set As Default Chart, and then click Yes.

      3. If the Add Custom Chart Type dialog box appears, type a name in the Name box, type a description in the Description box, and then click OK.

    3. Click OK.


Change the hole size in a doughnut chart

  1. Click a data series in the doughnut chart you want to change.
  2. On the Format menu, click Selected Data Series, and then click the Options tab.
  3. In the Doughnut hole size box, type a value between 10 and 90 to specify the diameter of the hole.


Rename a PivotTable field or item

  1. Click the field or item you want to rename.
  2. Type a new name.
  3. Press ENTER.

Notes

  • If you hide and then redisplay levels in PivotTable reports based on OLAP source data, any renamed fields or items revert to their original names.
  • Renaming a numeric item changes it to text, which sorts separately from numeric values and can't be grouped with numeric items.


Change the number format for the data area

  1. In the DATA area of the layout diagram, double-click the field for which you want to change the number format.
  2. Click Number.
  3. In the Category list, click the format category you want.
  4. Select the options you want for the format, and then click OK twice.


Change the plotting order of data series

3D charts with series in different orders

  1. Click a data series in the chart you want to change.

    To change the plotting order of data series in a surface chart, click a legend key.

  2. On the Format menu, click Selected Data Series or Selected Legend Key, and then click the Series Order tab.
  3. In the Series order box, click the series you want to move.
  4. To place the series in the order you want, click Move Up or Move Down.


Change a chart value axis

  1. Click the value axis you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. Do one of the following:

    Change the number at which the value axis starts and ends

    Enter a different number in the Minimum box or the Maximum box.

    Change the interval of tick marks and gridlines

    Enter a different number in the Major unit box or Minor unit box.

    Change the units displayed on the value axis

    If your chart values consist of large numbers, you can make the axis text shorter and more readable by changing the display unit of the axis. For example, if the chart values range from 1,000,000 to 50,000,000, you can display the numbers as 1 to 50 on the axis and show a label that indicates that the units express millions.

    1. In the Display units list, click the units you want or type a numeric value.
    2. To show a label that describes the units expressed, select the Show display units label on chart check box.

      Change the value axis to logarithmic

      Select the Logarithmic scale check box.

      Reverse the order of values

      To reverse values so that you can flip bars or columns or other data markers, select the Values in reverse order check box.

      Change where the category (x) axis crosses the value axis

      Do one of the following:

      To have the category (x) axis cross at a number on the value axis that you specify, enter the number in the Category X crosses at box.

      To have the x-axis cross the value axis at the highest value, select the Category (X) axis crosses at maximum value check box. When selected, the Category (X) axis crosses at maximum value check box overrides the setting in the Category X crosses at box.


Define the default column width

  1. Right-click a sheet tab, and then click Select All Sheets on the shortcut menu
  2. On the Format menu, point to Column, and then click Standard Width.
  3. Type a new measurement.

    The number that appears in the Standard column width box is the average number of digits 0-9 of the standard font that fit in a cell.

Tip

To define the default column width for all new workbooks and worksheets, create a workbook template and a worksheet template.


Change the summary function for a field

  1. In the DATA area of the layout diagram, double-click the field for which you want to change the summary function.
  2. In the Summarize by box, click the summary function you want to use.

    For some types of source data, and for calculated fields and fields with calculated items, you can't change the summary function.

  3. If you want to use a custom calculation, click Options, click the calculation you want in the Show data as list, and then select a Base field and Base item, if these options are available for the calculation you chose, to provide the data for the calculation. The base field should not be the same field you chose in step 1.
  4. If the report has multiple data fields, repeat the previous steps for each one that you want to change.
  5. If your source data allows you to change the summary function, you can use more than one summary method for the same field. Drag the field from the group of field buttons on the right to the DATA area a second time, and then repeat the steps above for the second instance of the field.

Note When you change the summary method in a PivotChart report or its associated PivotTable report, some chart formatting may be lost.


Change data validation settings

  1. If the workbook is shared, stop sharing it.

    How?

    1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.
    2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

      How?

      1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
      2. In the When box, click All.
      3. Clear the Who and Where check boxes.
      4. Select the List changes on a new sheet check box, and then click OK.
      5. Do one or more of the following:
        • To print the History worksheet, click Print [image].
        • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

        Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

    3. On the Tools menu, click Share Workbook, and then click the Editing tab.
    4. Make sure that you are the only person listed in the Who has this workbook open now box.
    5. Clear the Allow changes by more than one user at the same time check box.

      If this check box is not available, you must unprotect the workbook before clearing the check box.

      How?

      1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.
      2. Enter the password if prompted, and then click OK.
      3. On the Tools menu, click Share Workbook, and then click the Editing tab.
    6. When prompted about the effects on other users, click Yes.
  2. If the worksheet is protected, unprotect it.

    How?

    Remove user permissions for a range

    1. Switch to the protected worksheet.

    2. On the Tools menu, point to Protection, and then click Unprotect Sheet.

    3. If prompted, enter the protection password for the worksheet.

    4. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges.

    5. In the Ranges unlocked by a password when cell is protected list, click the range for which you want to remove permissions.

    6. Click Delete.

    Remove protection from a worksheet

    1. Switch to the protected worksheet.

    2. On the Tools menu, point to Protection, and then click Unprotect Sheet.

    3. If prompted, enter the protection password for the worksheet.

    Remove protection from a workbook

    1. Open the protected workbook.

    2. On the Tools menu, point to Protection, and then click Unprotect Workbook.

    3. If prompted, enter the protection password for the workbook.

    Remove protection from a shared workbook

    Removing protection when a password is in use also unshares the workbook, disconnecting other users from the workbook and erasing the change history. If no password is in effect, the workbook remains shared after you unprotect it.

    1. Open the protected workbook

    2. On the Tools menu, point to Protection, and then click Unprotect Shared Workbook.

    3. If prompted, enter the password for the workbook.

    4. If prompted about the effects on other users of removing protection, click Yes.

    Remove the password for viewing or editing a workbook file

    1. Open the workbook.

    2. On the File menu, click Save As.

    3. On the Tools menu, click General Options.

    4. In the Password to open or Password to modify box, or both boxes, double-click the asterisks and then press the DELETE key.

    5. Click OK, and then click Save.

    6. Click Yes to replace the existing workbook.

  3. Click a cell that has data validation settings you want to change.
  4. On the Data menu, click Validation.
  5. On each tab, select and change the options you want.

    If you want the same changes for other cells on the worksheet, select the Apply these changes to all other cells with the same settings check box on the Settings tab.


Determine what a name refers to

  1. On the Insert menu, point to Name, and then click Define.
  2. In the Names in workbook list, click the name whose reference you want to check.

    The Refers to box displays the reference, formula, or constant the name represents.

Tip

You can also create a list of the available names in a workbook. Locate an area with two empty columns on the worksheet (the list will contain two columns — one for the name and one for a description of the name). Select a cell that will be the upper-left corner of the list. On the Insert menu, point to Name, and then click Paste. In the Paste Name dialog box, click Paste List.


Clear a data table

Clear the entire table

  1. Select the entire data table, including all formulas, input values, resulting values, formats, and comments.
  2. On the Edit menu, point to Clear, and then click All.

Clear resulting values from a data table

Note Because resulting values are in an array, you must clear all values. Unless you want to clear the entire data table, make sure that you do not select the formulas and input values.

  1. Select all resulting values in the data table.
  2. On the Edit menu, point to Clear, and then click Contents.


Clear a picture or fill effect from a chart item

Use this procedure to clear a picture or other fill effect from the chart area, the plot area, or the legend in 2-D and 3-D charts, or the walls and floor in 3-D charts.

  1. Double-click the chart item you want to change, and then click the Patterns tab.
  2. To clear the picture or fill effect and return the object to the default formatting, click Automatic under Area.

    To clear all formatting, including the picture or fill effect, click None under Area.


Clear cell formats or contents

When you clear cells, you remove the cell contents (formulas and data), formats (including number formats, conditional formats, and borders), or comments, but you leave the blank cells on the worksheet. When you delete cells by clicking Delete on the Edit menu, Microsoft Excel removes them from the worksheet and shifts the surrounding cells to fill the space.

  1. Select the cells, rows, or columns you want to clear of formats or contents.
  2. On the Edit menu, point to Clear, and then click Formats or Contents.

    You can clear formats and contents by clicking All. This also removes any cell comments and data validation.

Notes

  • If you click a cell and then press DELETE or BACKSPACE on the keyboard, Excel removes the cell contents but does not remove comments or cell formats.
  • If you clear a cell, the value of a cleared cell is 0 (zero), and a formula that refers to that cell receives a value of 0.


Consolidate data

  1. Examine your data and decide whether to consolidate it with 3-D references in formulas, by position, or by category.

    Formulas You can use 3-D references in formulas for any type or arrangement of data. This is the recommended method.

    Position If you're planning to combine data that's in the same cell in each of several ranges, you can consolidate by position.

    Category If you have several ranges with different layouts, and you're planning to combine data from rows or columns that have matching labels, you can consolidate by category.

  2. Do one of the following:

    Consolidate the data with 3-D references or formulas

    1. On the consolidation worksheet, copy or enter the labels you want for the consolidated data.
    2. Click a cell that you want to contain consolidated data.
    3. Type a formula that includes references to the source cells on each worksheet that contains data you want to consolidate.

      For example, to combine the data in cell B3 from worksheets Sheet 2 through Sheet 7 inclusive, you could type =SUM(Sheet2:Sheet7!B3). If the data to consolidate is in different cells on different worksheets, enter a formula such as this: =SUM(Sheet3!B4, Sheet4!A7, Sheet5!C5). To enter a reference such as Sheet3!B4 in a formula without typing, type the formula up to the point where you need the reference, click the worksheet tab, and then click the cell.

    Consolidate by position or category

    1. Set up the data to be consolidated.

      How?

      • Make sure each range of data is in list format: each column has a label in the first row and contains similar facts, and there are no blank rows or columns within the list.
      • Put each range on a separate worksheet. Don't put any of the ranges on the worksheet where you plan to put the consolidation.
      • If you're consolidating by position, make sure each range has the same layout.

        If you're consolidating by category, make sure the labels for columns or rows that you want to combine have identical spelling and capitalization.

      • Name each range: select the entire range, point to Name on the Insert menu, click Define, and type a name for the range.
    2. Click the upper-left cell of the area where you want the consolidated data to appear.
    3. On the Data menu, click Consolidate.
    4. In the Function box, click the summary function you want Microsoft Excel to use to consolidate the data.
    5. Click the Reference box, click the sheet tab of the first range to consolidate, type the name you gave the range, and then click Add. Repeat this step for each range.
    6. If you want to update the consolidation table automatically whenever data in any of the source ranges changes, and you're sure you won't want to include different or additional ranges in the consolidation later on, select the Create links to source data check box.
    7. If you're consolidating by position, leave the boxes under Use labels in blank. Microsoft Excel does not copy the row or column labels in the source ranges to the consolidation. If you want labels for the consolidated data, copy them from one of the source ranges or enter them manually.

      If you're consolidating by category, select the check boxes under Use labels in that indicate where the labels are located in the source ranges: either the top row, the left column, or both. Any labels that don't match up with labels in the other source areas result in separate rows or columns in the consolidation.

Note Other ways to consolidate data include creating a PivotTable report from multiple consolidation ranges and using the Template Wizard with Data Tracking.


Display or hide chart tips

  1. On the Tools menu, click Options, and then click the Chart tab.
  2. To see the name of a chart item when you rest the pointer over it, select the Show names check box.

    To see the value of a data marker when you rest the pointer over it, select the Show values check box.

    To hide all tips, clear both check boxes.


Change the number of times Excel calculates, or iterates, a formula

  1. On the Tools menu, click Options, and then click the Calculation tab.
  2. Select the Iteration check box.
  3. To set the maximum number of times Microsoft Excel will recalculate, type the number of iterations in the Maximum iterations box. The higher the number of iterations, the more time Excel needs to calculate a worksheet.
  4. To set the maximum amount of change you will accept between calculation results, type the amount in the Maximum change box. The smaller the number, the more accurate the result and the more time Excel needs to calculate a worksheet.


Convert an Excel 4.0 crosstab table to a PivotTable report

  1. Open the workbook that contains the crosstab table in the current version of Microsoft Excel
  2. Click a cell in the crosstab table.
  3. On the Data menu, click PivotTable and PivotChart Report.
  4. Click Finish, and click OK in response to the prompts.
  5. Save the workbook in the current version of Excel.

    You cannot use Undo [image] to change the PivotTable report back to a crosstab table. If you want to keep a copy of the crosstab table, keep an extra copy of the Excel 4.0 file.

Note The new PivotTable report does not use the outline from the crosstab table. To remove the outline, point to Group and Outline on the Data menu, and then click Clear Outline.


Convert values or formulas to euros or another currency

Some of the content in this topic may not be applicable to some languages.

  1. On the Tools menu, click Euro Conversion. If the Euro Conversion command is not available on the Tools menu, you need to install the Euro Currency Tools add-in.

    How?

    1. On the Tools menu, click Add-Ins.

    2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    4. If necessary, follow the instructions in the setup program.
  2. In the Euro Conversion dialog box, in the Source range box under Data to Euro convert, enter or select the cell or a single range that contains the values you want to convert. All values in the range must be in a single currency.

    Note Excel may convert dates and times in the source range to values in the new currency in the destination range.

  3. Under Data to Euro convert, click the Destination range box, and enter or select the upper left cell of the range where you want to paste the converted values. The destination range must not include any of the cells in the source range.
  4. Under Currency conversion, in the From list, click the currency of the values you're converting, and in the To list, click the currency to which you want to convert the values.

  5. If your source range contains formulas, click Advanced, and select one of the conversion options under Formula options in the Advanced Euro Options dialog box.

    You can also use this dialog box to control rounding.

    How?

    Set either or both of the following options:

    • If you want the converted values that are stored by Excel to include all significant digits without rounding, select the Output full precision check box.

    • If you are converting between two euro member currencies and want to set the number of decimal places to use for rounding the intermediate values in euros, select the Set triangulation precision to check box, and then click the number of significant digits (3 or greater) you want in the digits box.

  6. In the Output format list, click one of the following to indicate the number formatting you want to apply to the converted values:

    Currency To apply a currency format for the currency selected in the To list and copy the cell formatting, including borders and font, from the source cells.

    ISO To display the International Standards Organization code for the converted currency and copy the cell formatting from the source cells. For a list of the ISO codes, see the EUROCONVERT worksheet function.

    None To keep the current number format and cell formatting of the destination cells.

  7. Click OK. If the Euro Conversion dialog box appears, select an option to convert the current formula. Click OK to move to the next formula, or click Apply to all to use the same settings for all formulas.

Notes

  • Excel converts constant values in the source range to values in the new currency in the destination range.
  • Excel copies text in the source range without conversion.


Convert numbers stored as text to numbers

One cell at a time

  1. On the Tools menu, click Options, and then click the Error Checking tab.
  2. Make sure the Enable background error checking and Number stored as text boxes are checked.
  3. Select any cell with a green error indicator in the upper left corner Cell with a formula problem.
  4. Next to the cell, click the button that appears [image], and then click Convert to Number.

A whole range at once

  1. In an empty cell, enter the number 1.
  2. Select the cell, and on the Edit menu, click Copy.
  3. Select the range of numbers stored as text you want to convert.
  4. On the Edit menu, click Paste Special.
  5. Under Operation, click Multiply.
  6. Click OK.
  7. Delete the content of the cell entered in the first step.

Note Some accounting programs display negative values with the negative sign (–) to the right of the value. To convert the text strings to values, you must return all of the characters of the text string except the rightmost character (the negation sign), and then multiply the result by –1. For example, if the value in cell A2 is "156–" the following formula converts the text to the value –156.

Data | Formula
156- | =LEFT(A2,LEN(A2)-1)*-1


Convert resulting data table values to constant values

  1. Select all resulting values in the data table.
  2. Click Copy [image] on the Standard toolbar, and select the upper-left cell of the paste area.
  3. Click the arrow next to Paste [image], click Values.

Note Because the resulting values are in an array, you must convert all of the values to constant values.


Copy a macro module to another workbook

  1. Set the security level to Medium or Low.

    How?

    1. On the Tools menu, click Options.
    2. Click the Security tab.
    3. Under Macro Security, click Macro Security.
    4. Click the Security Level tab, and then select the security level you want to use.
  2. Open the workbook that contains the module you want to copy and the workbook you want to copy the module to.
  3. On the Tools menu, point to Macro, and then click Visual Basic Editor.
  4. On the View menu, click Project Explorer Project Explorer button.
  5. Drag the module you want to copy to the destination workbook.


Create a picture from cells, a chart, or an object

  1. Clear cell gridlines if you do not want them displayed in your picture.

    How?

    • Click Options on the Tools menu, click the View tab, and then clear the Gridlines check box.

  2. On the worksheet or chart sheet, select the cells or click the chart or object you want to copy as a picture.
  3. Hold down SHIFT and click Copy Picture on the Edit menu.
  4. For the best picture quality, make sure As shown on screen and Picture are selected, and then click OK.

    Note To preserve picture quality, an item copied using the As shown on screen and Picture options is pasted at 100% of its original size. For example, if you scale a worksheet at 75%, an item copied from it may appear larger when pasted because it is pasted at actual size. The display of some items in charts — such as vertical as opposed to angled axis text — may also be affected.

  5. Click the worksheet or other document where you want to paste the picture.
  6. Click Paste [image].

    You can use the Picture toolbar to change the image.

Tip

To paste information you've copied from another program as a picture in Microsoft Excel, hold down SHIFT and click Paste Picture or Paste Picture Link on the Edit menu.


Move or copy cells

Moving and copying cells

Move or copy cells

  1. Select the cells you want to move or copy.

    How?
    To select | Do this
    Text in a cell If editing in a cell is turned on, select the cell, double-click in it, and then select the text in the cell.

    If editing in a cell is turned off, select the cell, and then select the text in the formula bar.

    A single cell | Click the cell, or press the arrow keys to move to the cell.
    A range of cells | Click the first cell of the range, and then drag to the last cell.
    A large range of cells | Click the first cell in the range, and then hold down SHIFT and click the last cell in the range. You can scroll to make the last cell visible.
    All cells on a worksheet Click the Select All button.

    Select All button

    Nonadjacent cells or cell ranges | Select the first cell or range of cells, and then hold down CTRL and select the other cells or ranges.
    An entire row or column Click the row or column heading.

    Worksheet showing row heading

    Adjacent rows or columns | Drag across the row or column headings. Or select the first row or column; then hold down SHIFT and select the last row or column.
    Nonadjacent rows or columns | Select the first row or column, and then hold down CTRL and select the other rows or columns.
    More or fewer cells than the active selection | Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.
    Cancel a selection of cells | Click any cell on the worksheet.

  2. Do one of the following:

    Move cells Click Cut [image] on the Standard toolbar and select the upper-left cell of the paste area.

    Copy cells Click Copy [image] and select the upper-left cell of the paste area.

    Move or copy a selection to a different worksheet Click Cut [image] or Copy [image] , click the new worksheet tab, and select the upper-left cell of the paste area.

    Move or copy cells to a different workbook Click Cut [image] or Copy [image] , switch to the other workbook, and select the upper-left cell of the paste area.

  3. Click the arrow next to Paste [image] and choose from the options on the list.

Note Microsoft Excel replaces data in the paste area when you move cells.

Insert moved or copied cells between existing cells

  1. Select the cells that contain the data you want to move or copy.
  2. To move or copy the selection, click Cut [image] or Copy [image] on the Standard toolbar.
  3. Select the upper-left cell of the paste area.
  4. On the Insert menu, click Cut Cells or Copied Cells.
  5. If you are moving or copying a range of cells, and not a row or column, in the Insert Paste dialog box, click the direction to shift the surrounding cells.

Copy only visible cells

If some cells, rows, or columns on your worksheet are not displayed, you have the option of copying all cells or only the visible cells. For example, you can choose to copy only the displayed summary data on an outlined worksheet.

  1. Select the cells you want to copy.
  2. On the Edit menu, click Go To.
  3. Click Special.
  4. Click Visible cells only, and then click OK.
  5. Click Copy [image] on the Standard toolbar.
  6. Select the upper-left cell of the paste area.
  7. Click Paste [image].

Notes

  • Microsoft Excel pastes the copied data into consecutive rows or columns. If the paste area contains hidden rows or columns, you might need to unhide the paste area to see all of the copied cells.

  • If you click the arrow next to Paste [image], you can choose from several paste options to apply to your selection.

  • When you copy or paste hidden or filtered data to another application or another instance of Excel, only visible cells are copied.

Moving and copying cell data

Move or copy cell contents

  1. Double-click the cell that contains the data you want to move or copy.
  2. In the cell, select the characters to move or copy.
  3. To move or copy the selection, click Cut [image] or click Copy [image] on the Standard toolbar.
  4. In the cell, click where you want to paste the characters or double-click another cell to move or copy the data.
  5. Click Paste [image].
  6. Press ENTER.

Note When you double-click a cell or press F2 to edit a cell, the arrow keys work only within that cell. To use the arrow keys to move to another cell, first press ENTER to complete your editing changes to the active cell.

Copy cell values

These steps convert any formulas in the cell to the calculated values, and the existing formatting is not overwritten.

  1. Select the cells you want to copy.
  2. Click Copy [image] on the Standard toolbar.
  3. Select the upper-left cell of the paste area.
  4. Click the arrow to the right of Paste [image], and click Values.

Copy cell formats

These steps copy only cell formatting such as font color or fill color, and not the contents of the cells.

  1. Select the cells you want to copy.
  2. Click Copy [image] on the Standard toolbar.
  3. Select the upper-left cell of the paste area.
  4. Click the arrow to the right of Paste [image], and click Paste Special.
  5. Click Formats.

Copy formulas

  1. Select the cell containing the formula you want to copy.
  2. Click Copy [image] on the Standard toolbar.
  3. Select the cell you want to paste the formula in.
  4. Click the arrow to the right of Paste [image], and click Formulas.

Note To cancel the moving border after you finish copying, press ESC.


Copy data from a Web page

This procedure requires Microsoft Internet Explorer 4.1 or later.

  1. In your Web browser, select the data you want to copy.
  2. On the Edit menu, click Copy. If your browser doesn't have this command, see your browser's Help for information on copying.
  3. Switch to Microsoft Excel.
  4. Click in the upper-left corner of the worksheet area where you want the copied data to appear.
  5. On the Edit menu, click Paste.
  6. If the data does not appear as you expect, click Paste Options [image] and select one of the following options:
    • Keep Source Formatting Makes no changes.
    • Match Destination Formatting Matches the existing cell formatting.
    • Create Refreshable Web Query Gives you the opportunity to create a query to the Web page you copied from. This gives you the opportunity to refresh the data should the Web page change later.


Fill data within a row or column

  1. Select the cells you want to copy.
  2. Drag the fill handle across the cells you want to fill, and then release the mouse button.

Tip

To fill in the active cell with the contents of the cell above it (fill downward), press CTRL+D. To fill in with contents of the cell to the left (fill to the right), press CTRL+R.

Note You can use Auto Fill Options [image] to choose options for how to fill the selection. For example, you can choose to Fill Formatting Only or Fill Without Formatting.


Copy data validation settings

  1. Click the cell with the settings you want to copy, and click Copy [image].
  2. Select the cells for which you want to duplicate the settings.
  3. On the Edit menu, click Paste Special.
  4. Click Validation.

Tip

In the Paste Special dialog box, the All and All except borders options also paste the data validation settings.


Copy an external data range and its underlying query

  1. Click the arrow next to the Name box on the formula bar, and select the name of the external data range that you want to copy.

    If you want to include column labels or formulas that are not part of the external data range, select the cells that contain the column labels or formulas that you want to copy. Click the arrow next to the Name box on the formula bar, and click the name of the external data range you want to copy.

  2. Click Copy [image].
  3. Switch to the workbook where you want to paste the external data range.
  4. Click the upper-left cell of the paste area.

    To ensure that the external data does not replace existing data, make sure that the worksheet has no data below or to the right of the cell you click.

  5. Click Paste [image].

Note If you copy only part of an external data range, the underlying query is not copied and the copied data can't be refreshed.


Copy formats from one cell or range to another

  1. Select a cell or range that has the formatting you want to copy.
  2. Do one of the following:
    • To copy the formatting to a cell or range, click Format Painter [image] on the Formatting toolbar.
    • To copy the formatting in the selected cell or range to several locations, double-click the Format Painter button. When you finish copying the formatting, click the button again.
    • To copy column widths, select the heading of the column that is the width you want to copy, click the Format Painter button, and then click the heading of the column you want to copy the width to.


Copy formulas when an external data range expands

  1. Enter a formula in a cell adjacent to the first row of data in the external data range.

    Note The first row of data might be the first or second row in the external data range, depending on whether the first row contains headers.

  2. Select the cell and double-click the fill handle to copy the formula to all rows in the external data range.
  3. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  4. In the External Data Range Properties dialog box, select the Fill down formulas in columns adjacent to data check box.

    Note If the external data range expands when you refresh, Microsoft Excel copies only those formulas that are immediately adjacent to or within the external data range.


Prevent copied blank cells from replacing data

  1. Select the range of cells you want to copy.
  2. Click Copy [image].
  3. Select the upper-left cell of the paste area.
  4. Click the arrow to the right of Paste [image] and then click Paste Special.
  5. Select the Skip blanks check box.


Move rows or columns

  1. Select the row or column you want to move.

    How?

    To select | Do this
    Text in a cell If editing in a cell is turned on, select the cell, double-click in it, and then select the text in the cell.

    If editing in a cell is turned off, select the cell, and then select the text in the formula bar.

    A single cell | Click the cell, or press the arrow keys to move to the cell.
    A range of cells | Click the first cell of the range, and then drag to the last cell.
    A large range of cells | Click the first cell in the range, and then hold down SHIFT and click the last cell in the range. You can scroll to make the last cell visible.
    All cells on a worksheet Click the Select All button.

    Select All button

    Nonadjacent cells or cell ranges | Select the first cell or range of cells, and then hold down CTRL and select the other cells or ranges.
    An entire row or column Click the row or column heading.

    Worksheet showing row heading

    Adjacent rows or columns | Drag across the row or column headings. Or select the first row or column; then hold down SHIFT and select the last row or column.
    Nonadjacent rows or columns | Select the first row or column, and then hold down CTRL and select the other rows or columns.
    More or fewer cells than the active selection | Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.
    Cancel a selection of cells | Click any cell on the worksheet.

    You can choose to move multiple adjacent rows or columns.
  2. Click Cut [image].
  3. Select a row or column below or to the right of where you want to move your selection.
  4. On the Insert menu, click Cut Cells.


Display or hide the fill handle

  1. Click Options on the Tools menu and click the Edit tab.
  2. Select or clear the Allow cell drag and drop check box.


Copy or move a hyperlink

  1. Right-click the hyperlink you want to copy or move.

  2. Click Copy or Cut on the shortcut menu to copy or move the text or graphic and the hyperlink.

  3. Right-click the cell you want to copy or move the hyperlink to, and click Paste on the shortcut menu.


Copy styles from another workbook

  1. Open the workbook that contains the styles you want to copy.
  2. Open the workbook you want to copy the styles to, and then click Style on the Format menu.
  3. Click Merge.
  4. In the Merge styles box, double-click the workbook that contains the styles you want to copy.

Note If the two workbooks contain styles with the same names, you must confirm that you want to merge these styles. To replace the styles in the active workbook with the copied styles, click Yes. To keep the styles in the active workbook, click No. This warning occurs only once, regardless of the number of conflicting style names.


Copy a Word table into Excel

  1. In Microsoft Word, select the rows and columns of the table you want to copy.

    If you want to select the entire table, click the table, point to Select on the Table menu, and then click Table.

  2. Click Copy [image] on the Standard toolbar.
  3. Switch to your Microsoft Excel worksheet.
  4. Click in the upper-left corner of the worksheet area where you want to paste the table.

    Cells from the copied table replace any existing cells in the area.

  5. Click Paste [image].
  6. To adjust the formatting, click Paste Options [image] next to the data, and then click Match Destination Formatting to use any formatting that was previously applied to the Excel cells, or Keep Source Formatting to match the formatting of the Word table as closely as possible.

Note Excel pastes the contents of each cell in the Word table to a separate Excel cell. If you want to split the data in the cells further, for example to divide first and last names so they're in separate cells, use the Text to Columns command on the Data menu.


Control the display of hidden worksheet data in a chart

  1. Click the chart.
  2. On the Tools menu, click Options, and then click the Chart tab.
  3. Do one of the following:
    • To show all worksheet data in the chart, even if some rows or columns are hidden, clear the Plot visible cells only check box.
    • To prevent hidden rows or columns from displaying in the chart, select the Plot visible cells only check box.


Create, change, or delete a custom fill series

A custom fill series is a set of data that is used to fill a column in a repeating pattern; for example, North, South, East, West. You can create a custom fill series from existing items that you've listed on a worksheet, or you can type the list from scratch.

Create a custom fill series

  1. If you've already entered the list of items you want to use as a series, select the list on the worksheet.
  2. On the Tools menu, click Options, and then click the Custom Lists tab.
  3. Do one of the following:
    • To use the selected list, click Import.

    • To type a new list, select New list in the Custom lists box, and then type the entries in the List entries box, beginning with the first entry. Press ENTER after each entry. When the list is complete, click Add.

    Note A custom list can contain text or text mixed with numbers. To create a custom list that contains only numbers, such as 0 through 100, first select enough empty cells to contain the list. On the Format menu, click Cells, and then click the Number tab. Apply the Text format to empty cells, and then type the list of numbers in the formatted cells. Select the list and then import the list.

Change or delete a custom fill series

You cannot edit or delete the built-in lists for months and days.

  1. On the Tools menu, click Options, and then click the Custom Lists tab.
  2. In the Custom lists box, select the list you want.
  3. Do one of the following:

    To edit the list, make the changes you want in the List entries box, and then click Add.

    To delete the list, click Delete.


Use a picture in a chart

Most charts or chart items

  1. Click the data markers in column, bar, area, bubble, 3-D line, and filled radar charts, the chart area, the plot area, or the legend in 2-D and 3-D charts, or the 3-D walls or floor that you want to use a picture for.
  2. Click the arrow next to Fill Color [image], click Fill Effects, and then click the Picture tab.
  3. To specify a picture, click Select Picture.
  4. In the Look in box, click the drive, folder, or Internet location that contains the picture, and then double-click the picture you want.
  5. On the Picture tab, select the options you want.

2-D line, scatter or unfilled radar chart data markers

  1. Select the picture on the worksheet, chart sheet, or in a picture editing program.
  2. Click Copy (Edit menu).
  3. Click the data series.
  4. Click Paste (Edit menu).


Save workbooks in an arranged workspace

When you open a workspace file, Microsoft Excel opens each workbook saved in the workspace.

  1. Open the workbooks you want to save in a workspace.
  2. Size and arrange the workbook windows as you want them to appear when you open the workspace.
  3. On the File menu, click Save Workspace.
  4. In the File name box, type a name for the workspace file.

Tip

To open the workbooks each time you start Excel, save the workspace file in the XLStart folder in your Excel folder. Save only the workspace file, not the workbook files, in the XLStart folder.


About nesting functions within functions

In certain cases, you may need to use a function as one of the arguments of another function. For example, the following formula uses a nested AVERAGE function and compares the result with the value 50.

Valid returns When a nested function is used as an argument, it must return the same type of value that the argument uses. For example, if the argument returns a TRUE or FALSE value, then the nested function must return a TRUE or FALSE. If it doesn't, Microsoft Excel displays a #VALUE! error value.

Nesting level limits A formula can contain up to seven levels of nested functions. When Function B is used as an argument in Function A, Function B is a second-level function. For instance, the AVERAGE function and the SUM function are both second-level functions because they are arguments of the IF function. A function nested within the AVERAGE function would be a third-level function, and so on.


Create a template

  1. Decide which type of template you want:

    Workbook template

    Create a workbook that contains the sheets, default text (such as page headers and column and row labels), formulas, macros, styles, and other formatting you want in new workbooks based on the template.

    Worksheet template

    Create a workbook that contains one worksheet. On the worksheet, include the formatting, styles, text, and other information you want to appear on all new sheets of the same type.

  2. To display a picture of the first page of a template in the Preview box of the Templates dialog box (General Templates..., New Workbook task pane), click Properties on the File menu, click the Summary tab, and then select the Save preview picture check box.
  3. On the File menu, click Save As.
  4. In the Save as type box, click Template.
  5. In the Save in box, select the folder where you want to store the template.

    • To create the default workbook template or default worksheet template, select either the XLStart folder or the alternate startup folder. The XLStart folder is usually

      C:\Program Files\Microsoft Office\Office10\XLStart

    • To create a custom workbook or worksheet template, select the Templates folder, which is usually

      C:\Documents and Settings\user_name\Application Data\Microsoft\Templates

  6. Enter the name of the template in the File name box. Do one of the following:

    Workbook template

    • Type book to create the default workbook template.

      To create a custom workbook template, type any valid file name.

    Worksheet template

    • Type sheet to create a template for default worksheets.

      To create a custom sheet template, type any valid file name.

  7. Click Save, and then click Close on the File menu.


Create a Solver report

  1. Define and solve a problem.

    How?

    1. On the Tools menu, click Solver.

    2. If the Solver command is not available on the Tools menu, you need to install the Solver add-in program.

      How?

      1. On the Tools menu, click Add-Ins.

      2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

      3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
      4. If necessary, follow the instructions in the setup program.
    3. In the Set Target Cell box, enter a cell reference or name for the target cell. The target cell must contain a formula.
    4. Do one of the following:
      • To have the value of the target cell be as large as possible, click Max.

      • To have the value of the target cell be as small as possible, click Min.

      • To have the target cell be a certain value, click Value of, and then type the value in the box.

    5. In the By Changing Cells box, enter a name or reference for each adjustable cell, separating nonadjacent references with commas. The adjustable cells must be related directly or indirectly to the target cell. You can specify up to 200 adjustable cells.

    6. If you want to have Solver automatically propose the adjustable cells based on the target cell, click Guess.

    7. In the Subject to the Constraints box, enter any constraints you want to apply.

      How?

      Add a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click Add.

      2. In the Cell Reference box, enter the cell reference or name of the cell range for which you want to constrain the value.

      3. Click the relationship ( <=, =, >=, Int, or Bin ) that you want between the referenced cell and the constraint. If you click Int, "integer" appears in the Constraint box. If you click Bin, "binary" appears in the Constraint box.

      4. In the Constraint box, type a number, a cell reference or name, or a formula.

      5. Do one of the following:

        • To accept the constraint and add another, click Add.

        • To accept the constraint and return to the Solver Parameters dialog box, click OK.

      Notes

      • You can apply the Int and Bin relationships only in constraints on adjustable cells.

      • When the Assume Linear Model check box on the Solver Options dialog box is selected, there is no limit on the number of constraints. For nonlinear problems, each adjustable cell can have up to 100 constraints, in addition to bounds and integer restrictions on the variables.

      Change or delete a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click the constraint that you want to change or delete.

      2. Click Change and then make your changes, or click Delete.

    8. Click Solve and do one of the following:
      • To keep the solution values on the worksheet, click Keep Solver Solution in the Solver Results dialog box.
      • To restore the original data, click Restore Original Values.

      Tip

      You can interrupt the solution process by pressing ESC. Microsoft Excel recalculates the worksheet with the last values found for the adjustable cells.
  2. If Solver finds a solution, you can click a report type in the Reports box, and then click OK.

    The report is created on a new worksheet in your workbook.


Create a scenario

  1. On the Tools menu, click Scenarios.
  2. Click Add.
  3. In the Scenario name box, type a name for the scenario.
  4. In the Changing cells box, enter the references for the cells that you want to change.

    Note To preserve the original values for the changing cells, create a scenario that uses the original cell values before you create scenarios that change the values.

  5. Under Protection, select the options you want.
  6. Click OK.
  7. In the Scenario Values dialog box, type the values you want for the changing cells.
  8. To create the scenario, click OK.

  9. If you want to create additional scenarios, click Add again, and then repeat the procedure. When you finish creating scenarios, click OK, and then click Close in the Scenario Manager dialog box.


Create a scenario summary report

  1. On the Tools menu, click Scenarios.
  2. Click Summary.
  3. Click Scenario summary or Scenario PivotTable.
  4. In the Result cells box, enter the references for the cells that refer to cells whose values are changed by the scenarios. Separate multiple references with commas.

Note You don't need result cells to generate a scenario summary report, but you do need them for a scenario PivotTable report.


Share a workbook

  1. Create a workbook you want to make available for multiuser editing, and enter any data you want to provide.

    If you want to include any of the following features, add them now: merged cells, conditional formats, data validation, charts, pictures, objects including drawing objects, hyperlinks, scenarios, outlines, subtotals, data tables, PivotTable reports, workbook and worksheet protection, and macros. You can't make changes to these features after you share the workbook.

  2. On the Tools menu, click Share Workbook, and then click the Editing tab.
  3. Select the Allow changes by more than one user at the same time check box, and then click OK.
  4. When prompted, save the workbook.
  5. On the File menu, click Save As, and then save the workbook on a network location accessible to the intended users. Use a shared network folder, not a Web server.
  6. Check any links to other workbooks or documents, and fix any that are broken.

    How?

    1. On the Edit menu, click Links.

      The Links command is unavailable if your file does not contain linked information.

    2. Click Check Status to update the status for all links in the list. This may take a while if there are a lot of links, or if the source workbook for the links is on a network location, and the network is slow.

    3. Check the status in the Status column, select the link, and then take the action needed.

      OK No action required, the link is working and up to date.

      Unknown Click Check Status to update the status for all links in the list.

      N/A The link uses Object Linking and Embedding (OLE) or Dynamic Data Exchange (DDE). Microsoft Excel cannot check the status of these types of links.

      Error: Source not found Click Change Source, and select another workbook.

      Error: Worksheet not found Click Change Source, and then select another worksheet. The source may have been moved or renamed.

      Warning: Values not updated Click Update Values. The link was not updated when the workbook was opened.

      Warning: Source not recalculated Click Open Source, and calculate the workbook by pressing F9. The workbook may be set to manual calculation. To set to automatic calculation, on the Tools menu, click Options, select the Calculation tab, and then click Automatic.

      Warning: Undefined or non-rectangular name Some names cannot be resolved until the source workbook is opened. Click Open Source, switch back to the destination workbook, and click Check Status. If this does not resolve the problem, make sure the name is not misspelled or missing. Switch to the source workbook, and then on the Insert menu, point to Name, and then click Define, and look for the name.

      Warning: Open source to update values Click Open Source. The link cannot be updated until the source is open.

      Source is open The status of a link cannot be checked.

      Values updated from filename No action required, the values have been updated.

      Warning: Status indeterminate Excel cannot determine the status of the link. The source may contain no worksheets, or be saved in an unsupported file format. Click Update Values.

Notes

  • All users with access to the network share have full access to the shared workbook, unless you use the Protect Sheet command (Tools menu, Protection submenu) to restrict access.
  • The users who will edit the shared workbook need Microsoft Excel 97 or later (Microsoft Windows) or Excel 98 or later (Macintosh).


Create or delete a style

Do one of the following:

Create a new style

  1. Select a cell that has the combination of formats you want to include in the new style. (You can specify the formats when you name the style.)
  2. On the Format menu, click Style.
  3. In the Style name box, type a name for the new style.
  4. To define and apply the style to the selected cells, click OK.

    To define the style without applying it, click Add, and then click Close.

Specify formats for a style

  1. On the Format menu, click Style.
  2. In the Style name box, type a name for a new style.

    To change formats for an existing style, click the style you want to change.

  3. Click Modify.
  4. On any of the tabs in the dialog box, select the formats you want, and then click OK.
  5. Clear the check box for any type of formats that you don't want the style to include.
  6. To define and apply the style to the selected cells, click OK.

    To define the style without applying it, click Add, and then click Close.

Remove a style from selected cells

  1. Select the cells that are formatted with the style you want to remove.
  2. On the Format menu, click Style.
  3. In the Style name box, click Normal.

Delete a style from the style list

  1. On the Format menu, click Style.
  2. In the Style name box, click the style you want to delete.
  3. Click Delete.

Note You cannot delete the Normal style. If you delete the Currency, Comma, or Percent style, you won't be able to use the Comma Style [image], Currency Style [image], or Percent Style [image] button on the Formatting toolbar.


Create your own formula in a PivotTable or PivotChart report

Source data from OLAP databases doesn't allow you to create formulas.

  1. Decide whether you want a calculated field or a calculated item within a field.

    Use a calculated field when you want to use the data from another field in your formula. Use a calculated item when you want your formula to use data from one or more specific items within a field.

  2. Do one of the following. For best results in a PivotChart report, work in the associated PivotTable report, where you can see the individual data values that your formula calculates.

    Add a calculated field

    1. Click the report.
    2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Field.
    3. In the Name box, type a name for the field.
    4. In the Formula box, enter the formula for the field.

      To use the data from another field in the formula, click the field in the Fields box, and then click Insert Field. For example, to calculate a 15% commission on each value in the Sales field, you could enter = Sales * 15%.

    5. Click Add, and then click OK.

    Add a calculated item to a field

    1. If items in the field are grouped, right-click each group, point to Group and Outline on the shortcut menu, and then click Ungroup.
    2. Click the field where you want to add the calculated item.
    3. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Item.
    4. In the Name box, type a name for the calculated item.
    5. In the Formula box, enter the formula for the item.

      To use the data from an item in the formula, click the item in the Items list, and then click Insert Item (the item must be from the same field as the calculated item).

    6. Click Add, and then click OK.
    7. If you ungrouped items in step 1, regroup them if you want.
  3. For calculated items, you can enter different formulas cell by cell.

    How?

    For example, if a calculated item named Strawberries has a formula of =Oranges * .25 across all months, you can change the formula to =Oranges *.5 for June, July, and August.

    1. Click a cell for which you want to change the formula.

      To change the formula for several cells, hold down CTRL and click the additional cells.

    2. In the formula bar, type the changes to the formula.
  4. If you have multiple calculated items or formulas, adjust the order of calculation.

    How?

    1. Click the report.
    2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Solve Order.
    3. Click a formula, and then click Move Up or Move Down.
    4. Continue until the formulas are in the order that you want them to be calculated.

Note When you add a formula to a PivotChart report or its associated PivotTable report, some chart formatting may be lost.

Tip

You can display a list of all the formulas in your report. Click the report, click PivotTable or PivotChart on the PivotTable toolbar, point to Formulas, and then click List Formulas.


Create a chart

  1. Make sure the data on your worksheet is arranged properly for the type of chart you want to use.

    For a Column, Bar, Line, Area, Surface or Radar chart

    Column, Bar, Line, Area, Surface or Radar chart

    Arrange your data in columns, like this:

    Lorem | Ipsum
    1 | 2
    3 | 4

    or in rows, like this:

    Lorem | 1 | 3
    Ipsum | 2 | 4

    For a Pie or Doughnut chart

    Pie or doughnut chart

    Regular pie charts (like the chart on the right in the example) have only one series of data, so you should use only one column of data. You can also use one column of labels for the data, like this:

    A | 1
    B | 2
    C | 3

    or use one row of data, and, if you like, one row of labels:

    A | B | C
    1 | 2 | 3

    Stacked pie charts and doughnut charts can have more than one series of data, so you can use more than one column of data, like this:

    A | 1 | 2
    B | 3 | 4
    C | 5 | 6

    or more than one row of data, like this:

    A | B | C
    1 | 2 | 3
    4 | 5 | 6

    For an XY scatter or Bubble chart

    XY scatter or bubble chart

    Arrange your data in columns, with x values in the first column and corresponding y values and/or bubble size values in adjacent columns, like this:

    X | Y | Bubble
    1 | 2 | 3
    4 | 5 | 6

    For a Stock chart

    Arrange your data in this order: high values, low values, and closing values. Use names or dates as labels, like this:

    Date | High | Low | Close
    1/1/2002 | 46.125 | 42 | 44.063
  2. Do one of the following:

    Customize your chart as you create it.

    1. Select the cells that contain the data you want to use for your chart.
    2. Click Chart Wizard [image].
    3. Follow the instructions in the Chart Wizard.

    Create a basic chart that you can customize later.

    1. Display the Chart toolbar. To show the Chart toolbar, point to Toolbars on the View menu and then click Chart.
    2. Select the cells that contain the data you want to use for your chart.
    3. Click Chart Type [image].

Tip

If the cells you want to select for your chart are not in a continuous range, do the following:

Select the first group of cells that contain the data you want to include. While holding down CTRL, select any additional cell groups you want to include. The nonadjacent selections must form a rectangle.

Nonadjacent selections treated as rectangle


Create or delete a custom number format

Create a custom number format

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click a category that is similar to the one you want, and then set its built-in formats to be similar to the ones you want. (You will not alter the built-in format; you'll be creating a copy to customize.)
  4. In the Category list, click Custom.
  5. In the Type box, edit the number format codes to create the format you want.

    You can specify up to four sections of format codes. The format codes, separated by semicolons, define the formats for positive numbers, negative numbers, zero values, and text, in that order. If you specify only two sections, the first is used for positive numbers and zeros, and the second is used for negative numbers. If you specify only one section, it is used for all numbers. If you skip a section, include the ending semicolon for that section.

    Custom number format with four sections #,##.00_);[Red] (#,###.00);0.00;"sales "@

    Use format codes that describe how you want to display a
      number;
      date or time;
      currency, percentage, or scientific notation;
      and text or spacing.

    Format codes

    Text and spacing

    Displaying both text and numbers To display both text and numbers in a cell, enclose the text characters in double quotation marks (" ") or precede a single character with a backslash (\). Include the characters in the appropriate section of the format codes. For example, type the format $0.00" Surplus";$-0.00" Shortage" to display a positive amount as "$125.74 Surplus" and a negative amount as "$-125.74 Shortage." The following characters are displayed without the use of quotation marks: $ - + / ( ) : ! ^ & ' (left single quotation mark) ' (right single quotation mark) ~ { } = < > and the space character.

    Including a section for text entry If included, a text section is always the last section in the number format. Include an at sign (@) in the section where you want to display any text entered in the cell. If the @ character is omitted from the text section, text you enter will not be displayed. If you want to always display specific text characters with the entered text, enclose the additional text in double quotation marks (" ") — for example, "gross receipts for "@

    If the format does not include a text section, text you enter is not affected by the format.

    Adding space To create a space the width of a character in a number format, include an underscore (_) followed by the character. For example, when you follow an underscore with a closing parenthesis (_)), positive numbers line up correctly with negative numbers that are enclosed in parentheses.

    Repeating characters To repeat the next character in the format to fill the column width, include an asterisk (*) in the number format. For example, type 0*- to include enough dashes after a number to fill the cell.

    Decimal places, spaces, colors, and conditions

    Decimal places and significant digits To format fractions or numbers with decimal points, include the following digit placeholders in a section. If a number has more digits to the right of the decimal point than there are placeholders in the format, the number rounds to as many decimal places as there are placeholders. If there are more digits to the left of the decimal point than there are placeholders, the extra digits are displayed. If the format contains only number signs (#) to the left of the decimal point, numbers less than one begin with a decimal point.

    • # displays only significant digits and does not display insignificant zeros.
    • 0 (zero) displays insignificant zeros if a number has fewer digits than there are zeros in the format.
    • ? adds spaces for insignificant zeros on either side of the decimal point so that decimal points align when formatted with a fixed-width font, such as Courier New. You can also use ? for fractions that have varying numbers of digits.
    To display | Use this code
    1234.59 as 1234.6 ####.#
    8.9 as 8.900 | #.000
    .631 as 0.6 | 0.#
    12 as 12.0 and 1234.568 as 1234.57 | #.0#
    44.398, 102.65, and 2.8 with aligned decimals ???.???
    5.25 as 5 1/4 and 5.3 as 5 3/10, with aligned division symbols
    # ???/???

    Thousands separator To display a comma as a thousands separator or to scale a number by a multiple of one thousand, include a comma in the number format.
    To display | Use this code
    12000 as 12,000 #,###
    12000 as 12 #,
    12200000 as 12.2 | 0.0,,

    Color To set the color for a section of the format, type the name of one of the following eight colors in square brackets in the section. The color code must be the first item in the section.
    [Black] | [Blue]
    [Cyan] | [Green]
    [Magenta] | [Red]
    [White] | [Yellow]

    Conditions To set number formats that will be applied only if a number meets a condition you specify, enclose the condition in square brackets. The condition consists of a comparison operator and a value. For example, the following format displays numbers less than or equal to 100 in a red font and numbers greater than 100 in a blue font.

    [Red][<=100];[Blue][>100]

    To apply conditional formats to cells — for example, color shading that depends on the value of a cell — use the Conditional Formatting command on the Format menu.

    Currency, percentages, and scientific notation

    Currency symbols To enter one of the following currency symbols in a number format, turn on NUM LOCK and use the numeric keypad to enter the ANSI code for the symbol.

    To enter Hold down ALT and type this code
    ¢ 0162
    £ 0163
    ¥ 0165
    0128

    Note Custom formats are saved with the workbook. To have Microsoft Excel always use a specific currency symbol, change the currency symbol selected in Regional Settings in Control Panel before you start Excel.

    Percentage To display numbers as a percentage of 100, include the percent sign (%) in the number format. For example, a number such as .08 appears as 8%; 2.8 appears as 280%.

    Scientific notation To display numbers in scientific format, use "E-," "E+," "e-," or "e+" exponent codes in a section. If a format contains a zero (0) or number sign(# ) to the right of an exponent code, Excel displays the number in scientific format and inserts an "E" or "e". The number of zeros or number signs to the right of a code determines the number of digits in the exponent. "E-" or "e-" places a minus sign by negative exponents. "E+" or "e+" places a minus sign by negative exponents and a plus sign by positive exponents.

    Dates and times

    Days, months, and years If you use "m" immediately after the "h" or "hh" code or immediately before the "ss" code, Microsoft Excel displays minutes instead of the month.

    To display | Use this code
    Months as 1–12 | m
    Months as 01–12 | mm
    Months as Jan–Dec | mmm
    Months as January–December | mmmm
    Months as the first letter of the month | mmmmm
    Days as 1–31 | d
    Days as 01–31 | dd
    Days as Sun–Sat | ddd
    Days as Sunday–Saturday | dddd
    Years as 00–99 | yy
    Years as 1900–9999 | yyyy

    Hours, minutes, and seconds
    To display | Use this code
    Hours as 0–23 | H
    Hours as 00–23 | hh
    Minutes as 0–59 | m
    Minutes as 00–59 | mm
    Seconds as 0–59 | s
    Seconds as 00–59 | ss
    Hours as 4 AM | h AM/PM
    Time as 4:36 PM | h:mm AM/PM
    Time as 4:36:03 P | h:mm:ss A/P
    Elapsed time in hours; for example, 25.02 | [h]:mm
    Elapsed time in minutes; for example, 63:46 | [mm]:ss
    Elapsed time in seconds | [ss]
    Fractions of a second | h:mm:ss.00

    AM and PM If the format contains an AM or PM, the hour is based on the 12-hour clock, where "AM" or "A" indicates times from midnight until noon and "PM" or "P" indicates times from noon until midnight. Otherwise, the hour is based on the 24-hour clock. The "m" or "mm" code must appear immediately after the "h" or "hh" code or immediately before the "ss" code; otherwise, Microsoft Excel displays the month instead of minutes.

    Note You can also use the & (ampersand) text operator to join, or concatenate, two values.

Delete a custom number format

  1. On the Format menu, click Cells, and then click the Number tab.
  2. In the Category list, click Custom.
  3. At the bottom of the Type box, click the custom format you want to delete.
  4. Click Delete.

    Microsoft Excel applies the default General format to any cells in the workbook that were formatted with the deleted custom format.


Customize a parameter query

Parameter queries must be created in Microsoft Query. For more information about creating parameter queries, see Microsoft Query Help.

Change the custom prompt for a parameter query

  1. In Microsoft Excel, click a cell anywhere in the external data range created with a parameter query.
  2. On the External Data toolbar, click Query Parameters [image].
  3. In the list on the left side of the Parameters dialog box, click the parameter that you want to change.
  4. In the Prompt for value using the following string box, type the text that you want to use for the prompt, and then click OK. The custom prompt can contain up to 100 characters.
  5. To use the new custom prompt and refresh the data, click Refresh Data [image] on the External Data toolbar.

Note This procedure changes the custom prompt only for the current session of the workbook. If you want to permanently save your changes to the custom prompt, save the workbook or change the prompt for the query in Microsoft Query. For more information about changing a query, see Microsoft Query Help.

Use data from a cell as a parameter value

  1. On your worksheet, type the values you want to use as criteria in the query.
  2. Click a cell anywhere in the external data range created with a parameter query.
  3. On the External Data toolbar, click Query Parameters [image].
  4. In the list on the left side of the Parameters dialog box, click the parameter you want to change.
  5. Click Get the value from the following cell.
  6. On the worksheet, click the cell that contains the value you want to use.

    If you want to refresh the data whenever you change the value in the cell, select the Refresh automatically when cell value changes check box.

  7. Click OK.
  8. To refresh the data, click Refresh Data [image] on the External Data toolbar.

Use a constant parameter value for a query

  1. In Excel, click a cell in the external data range created with a parameter query.
  2. On the External Data toolbar, click Query Parameters [image].
  3. In the list on the left side of the Parameters dialog box, click the parameter you want to change.
  4. Click Use the following value.
  5. Type the value you want to use for the parameter, and then click OK.
  6. To refresh the data, click Refresh Data [image] on the External Data toolbar.


Create a formula to calculate data on a Lotus 1-2-3 worksheet

Some of the content in this topic may not be applicable to some languages.

  1. Open the Lotus 1-2-3 worksheet that contains the source data.

    How?

    1. In your Microsoft Office program, click File, and then click Open.
    2. In the Look in, list click the drive, folder, or Internet location that contains the file you want to open.
    3. In the folder list, locate and open the folder that contains the file.

      If you can't find the file, you can search for it.

      How?

      1. Click Open [image].
      2. Click Tools in the Open dialog box, and then click Search.
      3. Do one of the following:

        Search for a file containing specified text

        You can find a file containing text in its title, contents, or properties.

        1. On the Basic tab, in the Search text box, type the text to search for in Microsoft Office files, Web pages, and Microsoft Outlook items.

          Tip

          You can use wildcards in the Search text box. Type a question mark (?) to match any single character, or type an asterisk (*) to match any number of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started."
    4. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere. To specify a single location, type it directly in the Search in box.
    5. To limit the types of search results, in the Results should be box, select the types of items to find. To find all types of files, Web pages, and Outlook items, select Anything.
    6. Click Search.

      Tip

      To view all properties of a found item, click the command button following the item, and then choose Properties.

    Search for a file based on one or more properties

    1. On the Advanced tab, enter one or more search criteria.

      How?

      1. In the Property box, choose a property from the list or type in a property name. The Property box displays the properties available in the currently open document.

        Tip

        You can use wildcards in the Property box. Type a question mark (?) to match any single character, or type an asterisk (*) to match any number of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started."

      2. In the Condition box, choose a condition from the list, or type in a condition.
      3. In the Value box, enter the value to associate with the condition.
      4. If previous search criteria exist, click And to add a criterion that must be true in addition to previous criteria. Click Or to add a criterion that is sufficient regardless of previous criteria.
      5. Click Add to add the search criterion.

        Note If the value is invalid for the condition or property, the Add button is unavailable.

    2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere. To specify a single drive, folder, or Web site, type it directly in the Search in box.
    3. To limit the types of search results, in the Results should be box, select the types of files, Web pages, and Outlook items to find. To find all types of files and items, select Anything.
    4. Click Search.

      Tip

      To view all properties of a found item, click the command button following the item, and then choose Properties.
  • Click the file, and then click Open.

    • Open a file as a copy

    1. In your Office program, click File, and then click Open.
    2. In the Look in list, click the drive, folder, or Internet location that contains the file you want to open.
    3. In the folder list, locate and open the folder that contains the file.

      If you can't find the file, you can search for it.

      How?

      You can search the titles, contents, or properties of Microsoft Office files, Microsoft Outlook items, and Web pages.

      1. On the Standard toolbar, click Search [image].
      2. Do one of the following:

        Search for a file or Outlook item containing specified text

        You can find a file or Outlook item containing text in its title, contents, or properties.

        1. In the Search text box, type the text to search for in Office files, Web pages, and Outlook items

          Tips

          • Type a question mark (?) to match any single character in your search text, or type an asterisk (*) to match any number of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started."
          • When searching for Outlook items, use natural language searches. Natural language searching is only supported in English versions of Microsoft Office XP.
        2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
        3. To limit the types of search results, in the Results should be box, select the types of items to find. To find all types of files, Web pages, and Outlook items, select Anything.
        4. Click Search.

        Search for a file or Outlook item based on one or more properties

        1. In the Basic Search task pane, click Advanced Search.
        2. Enter one or more search criteria.

          How?

          1. In the Property box, choose a property from the list or type in a property name. The Property box displays the properties available in the currently open document.
          2. In the Condition box, choose a condition from the list, or type in a condition.
          3. In the Value box, enter the value to associate with the condition.
          4. If previous search criteria exist, click And to add a criterion that must be true in addition to previous criteria. Click Or to add a criterion that is sufficient regardless of previous criteria.
          5. Click Add to add the search criterion.

            Note If the value is invalid for the condition or property, the Add button is unavailable.

        3. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
        4. To limit the types of search results, in the Results should be box, select the types of files, Web pages, and Outlook items to find. To find all types of files and items, select Anything.
        5. Click Search.
      In the Search Results task pane, you can take one or more actions on the search results.

      How?

      • To quickly view an item's properties, rest the mouse pointer over the item.

      • To open an item in its default editor, click it.

      • To open an item in an Office application, click the command button following the item, and then choose Edit with <application>.

      • To view a Web page in a browser, click the command button following the item, and then choose Open in Browser.

      • To create a new document based on the selected item, click the command button following the item, and then choose New from this file.

      • To copy a hyperlink to the selected item onto the Office Clipboard, click the command button following the item, and then choose Copy link to clipboard.

      • To view all properties of an item, click the command button following the item, and then choose Properties.

    4. Select the file you want to open a copy of. Click the arrow next to the Open button, and then click Open as Copy.

    Note When you open a file as a copy, a new copy of the file is created in the folder that contains the original file.

    Open a file as read-only

    1. In your Office program, click File, and then click Open.
    2. In the Look in list, click the drive, folder, or Internet location that contains the file you want to open.
    3. In the folder list, locate and open the folder that contains the file.

      If you can't find the file, you can search for it.

      How?

      You can search the titles, contents, or properties of Microsoft Office files, Microsoft Outlook items, and Web pages.

      1. On the Standard toolbar, click Search [image].
      2. Do one of the following:

        Search for a file or Outlook item containing specified text

        You can find a file or Outlook item containing text in its title, contents, or properties.

        1. In the Search text box, type the text to search for in Office files, Web pages, and Outlook items

          Tips

          • Type a question mark (?) to match any single character in your search text, or type an asterisk (*) to match any number of characters. For example, s?t finds "sat" and "set"; s*d finds "sad" and "started."
          • When searching for Outlook items, use natural language searches. Natural language searching is only supported in English versions of Microsoft Office XP.
        2. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
        3. To limit the types of search results, in the Results should be box, select the types of items to find. To find all types of files, Web pages, and Outlook items, select Anything.
        4. Click Search.

        Search for a file or Outlook item based on one or more properties

        1. In the Basic Search task pane, click Advanced Search.
        2. Enter one or more search criteria.

          How?

          1. In the Property box, choose a property from the list or type in a property name. The Property box displays the properties available in the currently open document.
          2. In the Condition box, choose a condition from the list, or type in a condition.
          3. In the Value box, enter the value to associate with the condition.
          4. If previous search criteria exist, click And to add a criterion that must be true in addition to previous criteria. Click Or to add a criterion that is sufficient regardless of previous criteria.
          5. Click Add to add the search criterion.

            Note If the value is invalid for the condition or property, the Add button is unavailable.

        3. To limit where to search, in the Search in box, select one or more drives, folders, Web sites, or Outlook mailboxes. To search everywhere, select Everywhere.
        4. To limit the types of search results, in the Results should be box, select the types of files, Web pages, and Outlook items to find. To find all types of files and items, select Anything.
        5. Click Search.
      In the Search Results task pane, you can take one or more actions on the search results.

      How?

      • To quickly view an item's properties, rest the mouse pointer over the item.

      • To open an item in its default editor, click it.

      • To open an item in an Office application, click the command button following the item, and then choose Edit with <application>.

      • To view a Web page in a browser, click the command button following the item, and then choose Open in Browser.

      • To create a new document based on the selected item, click the command button following the item, and then choose New from this file.

      • To copy a hyperlink to the selected item onto the Office Clipboard, click the command button following the item, and then choose Copy link to clipboard.

      • To view all properties of an item, click the command button following the item, and then choose Properties.

    4. Select the file you want to open a copy of. Click the arrow next to the Open button, and then click Open as Read-Only.

    Tips

    • You can create a shortcut to a folder on a network file server or Web server. In Microsoft Windows 2000 and Windows Millennium Edition, use My Network Places. In Windows NT 4.0 and Windows 98, use Network Neighborhood and Web Folders.
    • The New File task pane displays a list of the last few files that you most recently opened. Click on the file name to open it.
    • The History folder in the Open window lists the previous files and folders that you have opened.
  • On the Lotus 1-2-3 worksheet, select the cells you want to link to.
  • Click Copy [image] on the Standard toolbar.
  • Switch to the Microsoft Excel workbook that will contain the link formula.
  • Select the cell in the upper-left corner of the paste area where you want to put the linked data.

    To ensure that the linked data does not replace existing data, make sure that the worksheet has no data below or to the right of the cell you click.

  • On the Edit menu, click Paste Special.
  • Click Paste Link.


Insert a formula link to worksheet data on your intranet or the Internet

You can insert a link from a workbook to another workbook that is located on your intranet or on the Internet. The workbook must be in Microsoft Excel Workbook Format (.xls) rather than a workbook that has been saved as an HTML file.

  1. Open the source workbook and select the information you want to copy as a linked object.
  2. Click Copy [image].
  3. Switch to the worksheet you want to place the information in, and then click where you want the information to appear.
  4. On the Edit menu, click Paste Special.
  5. Click Paste link.

    Note To create a link without opening the workbook on the Internet, click the cell where you want the link, and type an equal sign (=) and the URL address, followed by the location in the workbook. For example, type
    ='http://www.someones.homepage/[file.xls]Sheet1'!A1
    or
    ='ftp.server.somewhere/file.xls'!MyNamedCell


Create a one-variable data table

You must design one-variable data tables so that input values are listed either down a column (column-oriented) or across a row (row-oriented). Formulas used in a one-variable data table must refer to an input cell.

  1. Type the list of values you want to substitute in the input cell either down one column or across one row.
  2. Do one of the following:
    • If the data table is column-oriented, type the formula in the row above the first value and one cell to the right of the column of values. Type any additional formulas to the right of the first formula.

    • If the data table is row-oriented, type the formula in the column to the left of the first value and one cell below the row of values. Type any additional formulas below the first formula.

  3. Select the range of cells that contains the formulas and values you want to substitute.
  4. On the Data menu, click Table.
  5. Do one of the following:
    • If the data table is column-oriented, type the cell reference for the input cell in the Column input cell box.

    • If the data table is row-oriented, type the cell reference for the input cell in the Row input cell box.

Tip

You can add additional formulas to a one-variable data table.


Create an OLAP query file to connect to an OLAP database

You can also use Office database connection (.odc) files to connect to OLAP databases.

  1. Create a new data source that uses the name you want for the OLAP query (.oqy) file as the name of the data source.

    How?

    1. Under the Data menu, point to Import External Data, and then click New Database Query.

    2. In the Choose Data Source dialog box, on the OLAP Cubes tab, click New Data Source, and then click OK.

    3. Choose a name for the data source, select an OLAP provider, and click Connect.

    4. Complete the Multi-Dimensional Connection wizard.

  2. In the Choose Data Source dialog box, click Options on the OLAP Cubes tab to view the name of the folder where the .oqy file was created. The default location is your user profile folder under Application Data\Microsoft\Queries.

Notes

  • When you use the Open command on the Microsoft Excel File menu to open an .oqy file, Excel displays a worksheet with a blank PivotTable report for the OLAP data. You can use this report to display the data you want to see, and then save it in an Excel workbook file.
  • You can also use the OLAP Cube Wizard in Microsoft Query to create an .oqy file that connects to a cube file or defines a cube that is created from queried data. For more information, see Microsoft Query Help.


Create a report template for importing data

You need to have a PivotTable report or a worksheet with an external data range to proceed.
  1. Format the workbook the way you want it.
  2. On the File menu, click Save [image].
  3. In the File name box, type the name for the report.
  4. In the Save as type list, click Template.
  5. In the Save in list, locate and click the folder you want to store the template in.
  6. Click Save.
  7. Do one of the following:

    • To delete the external data range from the worksheet and automatically update the data when the report template is opened, click Yes.

    • To display the current data in the external data range whenever someone opens a copy of the report template, click No.

Tip

You can change a report template at any time by opening the report template in Excel and making the changes you want.


Change the default date format

By default, as you enter dates in a workbook, the dates are formatted to display two-digit years.

Change the way two-digit years are interpreted

Caution This procedure changes the way two-digit years are interpreted for all the Microsoft Windows programs that you have installed.

  1. On the Windows Start menu, point to Settings, and then click Control Panel.
  2. Double click the Regional Settings or Regional Options [image] icon.
  3. In the When a two-digit year is entered, interpret as a year between box, change the upper limit for the century.

    As you change the upper-limit year, the lower-limit year automatically changes.

Note If you are using Microsoft Windows NT Workstation 4.0 or earlier and you are part of a workgroup, see your system administrator if you want to change the way two-digit years are interpreted. For information about how to customize date interpretation, see the Microsoft Office XP Resource Kit.

How to obtain the Microsoft Office XP Resource Kit

The Microsoft Office XP Resource Kit is the definitive guide to installing, configuring, and supporting Microsoft Office in your organization. Designed for system administrators, consultants, and power users, this guide offers complete coverage whether you're running Microsoft Office on Microsoft Windows 98, Windows 2000, or the Macintosh.

You can obtain the Office Resource Kit wherever computer books are sold or order direct from Microsoft Press, or online at the Microsoft Office Resource Kit Web site.

To locate your nearest source for Microsoft Press products worldwide, visit the Microsoft Press Web site or contact your local Microsoft office. In the United States, call (800) MS-PRESS. In Canada, call (800) 667-1115.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.

Change the default date format to display four-digit years

When you change the default date format to a different format by using this procedure, the display of dates that were previously entered in your workbook will change to the new format as long as the dates haven't been formatted by using the Cells command (Format menu).

  1. On the Microsoft Windows Start menu, point to Settings, and then click Control Panel.
  2. Double click the Regional Settings or Regional Options [image] icon.
  3. In the Short date format list, click a format that uses four digits for the year ("yyyy").


Name cells on more than one worksheet

This is also called a 3-D reference.

  1. On the Insert menu, point to Name, and then click Define.
  2. In the Names in workbook box, type the name.
  3. If the Refers to box contains a reference, select the equal sign (=) and the reference and press BACKSPACE.
  4. In the Refers to box, type = (equal sign).
  5. Click the tab for the first worksheet to be referenced.
  6. Hold down SHIFT and click the tab for the last worksheet to be referenced.
  7. Select the cell or range of cells to be referenced.


Define and solve a problem by using Solver

  1. On the Tools menu, click Solver.

  2. If the Solver command is not available on the Tools menu, you need to install the Solver add-in program.

    How?

    1. On the Tools menu, click Add-Ins.

    2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    4. If necessary, follow the instructions in the setup program.
  3. In the Set Target Cell box, enter a cell reference or name for the target cell. The target cell must contain a formula.
  4. Do one of the following:
    • To have the value of the target cell be as large as possible, click Max.

    • To have the value of the target cell be as small as possible, click Min.

    • To have the target cell be a certain value, click Value of, and then type the value in the box.

  5. In the By Changing Cells box, enter a name or reference for each adjustable cell, separating nonadjacent references with commas. The adjustable cells must be related directly or indirectly to the target cell. You can specify up to 200 adjustable cells.

  6. If you want to have Solver automatically propose the adjustable cells based on the target cell, click Guess.

  7. In the Subject to the Constraints box, enter any constraints you want to apply.

    How?

    Add a constraint

    1. In the Solver Parameters dialog box, under Subject to the Constraints, click Add.

    2. In the Cell Reference box, enter the cell reference or name of the cell range for which you want to constrain the value.

    3. Click the relationship ( <=, =, >=, Int, or Bin ) that you want between the referenced cell and the constraint. If you click Int, "integer" appears in the Constraint box. If you click Bin, "binary" appears in the Constraint box.

    4. In the Constraint box, type a number, a cell reference or name, or a formula.

    5. Do one of the following:

      • To accept the constraint and add another, click Add.

      • To accept the constraint and return to the Solver Parameters dialog box, click OK.

    Notes

    • You can apply the Int and Bin relationships only in constraints on adjustable cells.

    • When the Assume Linear Model check box on the Solver Options dialog box is selected, there is no limit on the number of constraints. For nonlinear problems, each adjustable cell can have up to 100 constraints, in addition to bounds and integer restrictions on the variables.

    Change or delete a constraint

    1. In the Solver Parameters dialog box, under Subject to the Constraints, click the constraint that you want to change or delete.

    2. Click Change and then make your changes, or click Delete.

  8. Click Solve and do one of the following:
    • To keep the solution values on the worksheet, click Keep Solver Solution in the Solver Results dialog box.
    • To restore the original data, click Restore Original Values.

    Tip

    You can interrupt the solution process by pressing ESC. Microsoft Excel recalculates the worksheet with the last values found for the adjustable cells.


Delete a PivotTable report

  1. Click the PivotTable report.
  2. On the PivotTable toolbar, click PivotTable, point to Select, and then click Entire Table.
  3. On the Edit menu, point to Clear, and then click All.

Note Deleting the associated PivotTable report for a PivotChart report freezes the chart so that you can no longer change it.


Delete a scenario

  1. On the Tools menu, click Scenarios.
  2. Click the name of the scenario you want to delete, and then click Delete.


Delete a trendline

  1. Click the trendline you want to delete.
  2. Press DELETE.


Delete a picture or shape

  1. Select the AutoShape or graphic object you want to delete.
  2. Press DELETE.


Delete a PivotTable or PivotChart formula

For best results in a PivotChart report, work in the associated PivotTable report.

  1. Determine whether the formula is in a calculated field or a calculated item.

    Calculated fields appear in the PivotTable Field List window. Calculated items appear as items within other fields.

  2. Do one of the following:

    Delete a calculated field

    1. Click the report.
    2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Field.
    3. In the Name box, click the field you want to delete.
    4. Click Delete.

    Delete a calculated item

    1. Click the field with the item you want to delete.
    2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Item.
    3. In the Name box, click the item you want to delete.
    4. Click Delete.

Note When you delete a formula from a PivotChart report or its associated PivotTable report, some chart formatting may be lost.

Tip

If you don't want to delete a formula permanently, you can hide the field or item. To hide a field, drag it out of the report, or click the dropdown arrow in the Data field and then clear its check box; it remains available in the field list. To hide an item, click the dropdown arrow in its field, and then clear the check box for the item.


Delete an offline cube file

Warning If you delete the offline cube file for a report, you can no longer use the report offline or create a new offline cube file for the report.

  1. Close all workbooks containing reports that use the offline cube file, or make sure all such reports have been deleted.
  2. In Microsoft Windows, locate and delete the .cub file.


Delete data from a chart

Delete data from both the worksheet and the chart

Delete the data from the worksheet. The chart will be updated automatically.

Delete data from the chart only

  1. Click the data series you want to delete.
  2. Press DELETE.


Delete error bars

  1. To delete all error bars in a data series, click any error bar.
  2. Press DELETE.


Delete a formula

  1. Click the cell that contains the formula.
  2. Press DELETE.


Remove a hyperlink

Delete a hyperlink and the text or graphic that represents it

  • To remove a hyperlink and the text that represents it, right-click the cell that contains the hyperlink, and click Clear Contents on the shortcut menu.
  • To remove a hyperlink and the graphic that represents it, hold down CTRL and click the graphic, and then press DELETE.

Deactivate a single hyperlink

  • Right-click the hyperlink you want to deactivate, and then click Remove Hyperlink on the shortcut menu.

Deactivate several hyperlinks at once

  1. Type the number 1 in a blank cell, and right-click the cell.
  2. Click Copy on the shortcut menu.
  3. While pressing CTRL, select each hyperlink you want to deactivate.

    How?

    • To select a cell that has a hyperlink in it without jumping to the hyperlink destination, click the cell and hold the mouse button until the cursor becomes a cross Excel selection cursor, then release the mouse button.
  4. Click Paste Special on the Edit menu.
  5. Under Operation, click Multiply and then click OK.


Delete a macro

  1. Open the workbook that contains the macro you want to delete.
  2. On the Tools menu, point to Macro, and then click Macros.
  3. In the Macros in list, click This Workbook.
  4. In the Macro name box, click the name of the macro that you want to delete.
  5. Click Delete.


Delete cells, rows, or columns

  1. Select the cells, rows, or columns you want to delete.
  2. On the Edit menu, click Delete.
  3. If you are deleting a range of cells, click Shift cells left, Shift cells up, Entire row, or Entire column in the Delete dialog box.

Note Microsoft Excel keeps formulas up to date by adjusting references to the shifted cells to reflect their new locations. However, a formula that refers to a deleted cell displays the #REF! error value.


Delete sheets

  1. Select the sheets you want to delete.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.
  2. On the Edit menu, click Delete Sheet.


Remove a user from a shared workbook

This procedure disconnects a user whose name currently appears in the Share Workbook dialog box. It does not prevent that user from editing the shared workbook again.

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.
  2. In the Who has this workbook open now box, review the list of users.

    Check with users you're removing to make sure they are no longer actually working on the workbook. If you remove an active user, the user's unsaved work will be lost.

  3. Click the name of the user you want to disconnect, and then click Remove User.

Tip

If a user no longer needs to work with a shared workbook, you can reduce the size of the workbook file by deleting the user's personal view settings. On the View menu, click Custom Views. In the Views box, click the user's view, and then click Delete.


Display a scenario

When you display a scenario, you change the values of the cells saved as part of that scenario.

  1. On the Tools menu, click Scenarios.
  2. Click the name of the scenario you want to display.
  3. Click Show.


Insert subtotals

Insert individual subtotals

Example of automatic subtotals

1 Column to subtotal

2 Subtotals

  1. Make sure the data you want to subtotal is in list format: each column has a label in the first row and contains similar facts, and there are no blank rows or columns within the list.
  2. Click a cell in the column to subtotal. In the example above, you'd click a cell in the Sport column, column B.
  3. Click Sort Ascending [image] or Sort Descending [image].
  4. On the Data menu, click Subtotals.
  5. In the At each change in box, click the column to subtotal. In the example above, you'd click the Sport column.
  6. In the Use function box, click the summary function you want to use to calculate the subtotals.
  7. In the Add subtotal to box, select the check box for each column that contains values you want to subtotal. In the example above, you'd select the Sales column.
  8. If you want an automatic page break after each subtotal, select the Page break between groups check box.
  9. If you want the subtotals to appear above the subtotaled rows instead of below, clear the Summary below data check box.
  10. Click OK.

Note You can use the Subtotals command again to add more subtotals with different summary functions. To avoid overwriting the existing subtotals, clear the Replace current subtotals check box.

Tip

To display a summary of just the subtotals and grand totals, click the outline symbols one two three next to the row numbers. Use the plus and minus symbols to display or hide the detail rows for individual subtotals.

Insert nested subtotals

Example of outer and nested subtotals

1 Outer subtotals

2 Nested subtotals

  1. Make sure the data you want to subtotal is in list format: each column has a label in the first row and contains similar facts, and there are no blank rows or columns within the list.
  2. Sort the list by multiple columns, sorting first by the outer subtotal column, then by the next inner column for the nested subtotals, and so on. In the example above, you'd sort the list first by the Region column, and then by the Sport column.

    How?

    For best results, the list you sort should have column labels.

    1. Click a cell in the list you want to sort.
    2. On the Data menu, click Sort.
    3. In the Sort by and Then by boxes, click the columns you want to sort.
    4. Select any other sort options you want, and then click OK.
  3. Insert the outer subtotals.

    How?

    1. On the Data menu, click Subtotals.
    2. In the At each change in box, click the column for the outer subtotals. In the example above, you'd click Region.
    3. In the Use function box, click the summary function you want to use to calculate the subtotals.
    4. In the Add subtotal to box, select the check box for each column that contains values you want to subtotal. In the example above, that column would be Sales.
    5. If you want an automatic page break after each subtotal, select the Page break between groups check box.
    6. If you want the subtotals to appear above the subtotaled rows instead of below, clear the Summary below data check box.
  4. Insert the nested subtotals.

    How?

    1. On the Data menu, click Subtotals.
    2. In the At each change in box, click the nested subtotal column. In the example above, that column would be Sport.
    3. Select the summary function and other options.
    4. Clear the Replace current subtotals check box.
  5. Repeat the previous step for more nested subtotals, working from the outermost subtotals in.


Display a custom view

  1. On the View menu, click Custom Views.
  2. In the Views box, click the name of the view you want.
  3. Click Show.


Display or hide a workbook or sheet

Do one or more of the following:

Display a hidden workbook

  1. On the Window menu, click Unhide.

    If the Unhide command is unavailable, the workbook does not contain hidden sheets. If both the Rename and Hide commands are unavailable, the workbook is protected from structural changes. You'll need to remove protection from the workbook to determine whether sheets are hidden; removing protection may require a password.

    How?

    On the Tools menu, point to Protection, and then click Unprotect Workbook.

    If prompted, enter the password assigned when the workbook was protected. Passwords are case sensitive. You must type the password exactly as it was created, including uppercase and lowercase letters.

  2. In the Unhide workbook box, double-click the name of the hidden workbook you want to display.

Display a hidden sheet

  1. On the Format menu, point to Sheet, and then click Unhide.

    If sheets are hidden by a Microsoft Visual Basic for Applications program that assigns the property xlSheetVeryHidden, you cannot use the Unhide command to display the sheets. If you are using a workbook with Visual Basic macros and have problems with hidden sheets, contact the owner of the workbook for more information.

  2. In the Unhide sheet box, double-click the name of the hidden sheet you want to display.

Hide a workbook window

  1. Open the workbook.
  2. On the Window menu, click Hide.

  3. When you quit Microsoft Excel, you will be asked if you want to save changes to the hidden workbook. Click Yes if you want the workbook window to be hidden the next time you open the workbook.

Hide a sheet

  1. Select the sheets you want to hide.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

  2. On the Format menu, point to Sheet, and then click Hide.

Display or hide multiple workbooks on the Microsoft Windows taskbar

  1. On the Tools menu, click Options, and then click the View tab.
  2. Select or clear the Windows in taskbar check box.


Display or hide a data table in a chart

  1. Click the line, area, column or bar chart to which you want to add a data table.
  2. On the Chart menu, click Chart Options, and then click the Data Table tab.
  3. To display or hide the chart data in a grid at the bottom of the chart, select or clear the Show data table check box.

Notes

  • In bar charts and charts with time-scale axes, the data table does not replace an axis of the chart but is aligned to the chart.

  • To attach the data table to the category axis in a 3-D chart, click 3-D View on the Chart menu, and then select the Right angle axes check box.


Display multiple lines of text within a cell

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Alignment tab.
  3. Under Text control, select the Wrap text check box.

Tip

To start a new line of text at a specific point, click where you want to break the line, and then press ALT+ENTER.


Display or hide comments and their indicators

Comment box and its red triangle indicator

Indicator

Comment

All comments and indicators

  1. On the Tools menu, click Options, and then click the View tab.
  2. Do one of the following:

    To hide both comments and indicators throughout the workbook, click None under Comments.

    To show indicators but display comments only when you rest the pointer over their cells, click Comment indicator only.

    To display both comments and indicators, click Comments & indicator.

Individual comments

  1. Right-click the cell containing the comment indicator.
  2. To display or hide a comment, click Show Comment or Hide Comment.

Tip

To redisplay all individually hidden comments, click Comments on the View menu.


Display or hide drawing objects or pictures

Hide drawing objects and graphics if you want to speed up printing or scrolling on the screen.

  1. On the Tools menu, click Options, and then click the View tab.
  2. To display or hide the drawing objects and graphics, under Objects click Show all or Hide All.

Note To print only the objects on your worksheet, you can click Show placeholders.


Display the R-squared value for a trendline

  1. Click the trendline for which you want to display the R-squared value.
  2. On the Format menu, click Selected Trendline.
  3. On the Options tab, select Display R-squared value on chart.

Note You cannot display an R-squared value for a moving average.


Edit an array formula

  1. Click the cell that contains the array formula.
  2. Click in the formula bar Formula bar. When the formula bar is active, the braces ( { } ) do not appear in the array formula.
  3. Edit the array formula.
  4. Press CTRL+SHIFT+ENTER.


Edit a scenario

If you keep the original name of a scenario after you make changes to it, the new values for changing cells replace the values in the original scenario.

  1. On the Tools menu, click Scenarios.
  2. Click the name of the scenario you want to edit, and then click Edit.
  3. Make the changes you want.
  4. In the Scenario Values dialog box, type the values you want for the changing cells.
  5. Do one of the following:
    • To save the changes, click OK.

    • To return to the Scenario Manager dialog box without changing the current scenario, click Cancel.


Edit cell contents

  1. Double-click the cell that contains the data you want to edit.
  2. Edit the cell contents.
  3. To enter or cancel your changes, press ENTER or ESC.

Tips

  • To turn editing directly in cells on or off, click Options on the Tools menu, click the Edit tab, and then select or clear the Edit directly in cell check box. You can edit in the formula bar when the Edit directly in cell check box is cleared.
  • To move your cursor to the end of the cell contents, select the cell and press F2.


Edit chart and axis titles

  1. Click the title you want to change.
  2. Type the new text you want.
  3. Press ENTER.


Edit a comment

  1. Click the cell with the comment you want to edit.
  2. On the Insert menu, click Edit Comment.
  3. When you finish editing, click outside the comment box.


View an embedded chart in a separate window

  1. Click the embedded chart you want to see in its own window.
  2. On the View menu, click Chart Window.


Edit a PivotTable or PivotChart formula

For best results in a PivotChart report, work in the associated PivotTable report where you can see the individual data values that the formula calculates.

  1. Determine whether the formula is in a calculated field or a calculated item. If the formula is in a calculated item, determine whether the formula is the only one for the calculated item.

    How?

    1. Click the report.
    2. On the PivotTable toolbar, click PivotTable, point to Formulas, and then click List Formulas.
    3. In the list of formulas, find the formula you want to change listed under Calculated Field or Calculated Item.

      When there are multiple formulas for a calculated item, the default formula entered when the item was created has the calculated item name in column B. For additional formulas for a calculated item, column B has both the calculated item name and the names of intersecting items.

      For example, you might have a default formula for a calculated item named MyItem, and another formula for this item identified as MyItem January Sales. In the PivotTable report, you'd find this formula in the Sales cell for the MyItem row and January column.

  2. Do one of the following:

    Edit a calculated field formula

    1. Click the report.
    2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Field.
    3. In the Name box, click the calculated field for which you want to change the formula.
    4. In the Formula box, edit the formula.
    5. Click Modify, and then click OK.

    Edit a single formula for a calculated item

    1. Click the field that contains the calculated item.
    2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Calculated Item.
    3. In the Name box, click the calculated item.
    4. In the Formula box, edit the formula.
    5. Click Modify, and then click OK.

    Edit individual formulas for specific cells of a calculated item

    For example, if a calculated item named Strawberries has a formula of =Oranges * .25 across all months, you can change the formula to =Oranges *.5 for June, July, and August.

    1. Click a cell for which you want to change the formula.

      To change the formula for several cells, hold down CTRL and click the additional cells.

    2. In the formula bar, type the changes to the formula.
  3. If you have multiple calculated items or formulas, adjust the order of calculation.

    How?

    1. Click the report.
    2. On the PivotTable toolbar, click PivotTable or PivotChart, point to Formulas, and then click Solve Order.
    3. Click a formula, and then click Move Up or Move Down.
    4. Continue until the formulas are in the order that you want them to be calculated.

Note When you edit a formula in a PivotChart report or its associated PivotTable report, some chart formatting may be lost.


Change data series names or legend text

On the worksheet

  1. Click the cell that contains the data series name you want to change.
  2. Type the new name, and then press ENTER.

On the chart

  1. Click the chart, and then click Source Data on the Chart menu.
  2. On the Series tab, click the data series name you want to change.
  3. In the Name box, specify the worksheet cell you want to use as the legend text or data series name.

    You can also type the name you want to use. If you type a name in the Name box, the legend text or data series name is no longer linked to a worksheet cell.


Stop sharing a workbook

  1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.
  2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

    How?

    1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
    2. In the When box, click All.
    3. Clear the Who and Where check boxes.
    4. Select the List changes on a new sheet check box, and then click OK.
    5. Do one or more of the following:
      • To print the History worksheet, click Print [image].
      • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

      Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

  3. On the Tools menu, click Share Workbook, and then click the Editing tab.
  4. Make sure that you are the only person listed in the Who has this workbook open now box.
  5. Clear the Allow changes by more than one user at the same time check box.

    If this check box is not available, you must unprotect the workbook before clearing the check box.

    How?

    1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.
    2. Enter the password if prompted, and then click OK.
    3. On the Tools menu, click Share Workbook, and then click the Editing tab.
  6. When prompted about the effects on other users, click Yes.


Create a link to another cell, workbook, or program

Create a link between cells in the same worksheet or workbook

  1. Click the cell that contains the data you want to link to, and then click Copy [image] on the Standard toolbar.
  2. Click the cell you want to link from, and then click Paste [image].
  3. Click Paste Options [image] and then click Link Cells.

Create a link between cells in different workbooks

  1. Open both the workbook that will contain the link (called the destination workbook), and the workbook that contains the data you want to link to (called the source workbook).
  2. In the destination workbook, click Save [image] .
  3. Select a cell or cells you want to link from.
  4. If you are creating a new formula, type = (an equal sign).

    If you are entering the link elsewhere in the formula, type the operator or function that you want to precede the link.

  5. On the Window menu, click the name of the source workbook, and then click the worksheet that contains the cells you want to link to.

  6. Select the cells you want to link to.
  7. Complete the formula. When you finish entering the formula, press ENTER.

Link or embed content from another program using Object Linking and Embedding (OLE)

OLE (Object Linking and Embedding) is supported by many different programs, and is used to make content created in one program available in another. For example, you can insert a Microsoft Word document into Microsoft Excel. To see what types of content you can insert, click Object on the Insert menu. Only programs that are installed on your computer and that support OLE objects appear in the Object type box.

The main differences between linked objects and embedded objects are where the data is stored and how the object is updated after you place it in the destination file.

Embedded objects are stored in the workbook they are inserted in, and are not updated. Linked objects remain as separate files, and need to be updated.

Linked and embedded objects in a document

Linked and embedded objects in a document

Create a link to an existing document

  1. Click in the worksheet where you want to place the linked object.

  2. On the Insert menu, click Object.

  3. Click the Create from File tab.

  4. In the File name box, type the name of the file, or click Browse to select from a list.

  5. Select the Link to file check box.

  6. To display the content, clear the Display as icon check box.

    If you want to display as an icon, select the Display as icon check box.

Note You cannot use the Object command on the Insert menu to insert graphics and certain types of files. To insert a graphic, point to Picture on the Insert menu, and then click From File.

Embed a document

  1. Click in the worksheet where you want to place the embedded object.

  2. On the Insert menu, click Object.

  3. If the document does not already exist, click the Create New tab. In the Object type box, click the type of object you want to create.

    If the document already exists, click the Create from File tab. In the File name box, type the name of the file, or click Browse to select from a list.

  4. Clear the Link to file check box.

  5. To display the content, clear the Display as icon check box.

    To display as an icon, select the Display as icon check box.

Insert part of an existing document as a linked or embedded object

  1. From a program other than Microsoft Excel, select the information you want to copy as a linked or embedded object.

  2. Click Copy [image].

  3. Switch to the worksheet you want to place the information in, and then click where you want the information to appear.

  4. On the Edit menu, click Paste Special.

  5. To paste the information as a linked object, click Paste link.

    To paste the information as an embedded object, click Paste. In the As box, click the entry with the word "object" in its name. For example, if you copied the information from a Microsoft Word document, click Microsoft Word Document Object.

Note You can't paste worksheet cells or a chart as a linked or embedded object in a Microsoft Excel workbook. However, you can use the Copy Picture command (hold down SHIFT and click the Edit menu) to create a link to cells on this or another sheet

Create a reference between cells on the same or different worksheets

The following formulas contain relative references to and names of other cells. The cell that contains the formula is known as a dependent cell when its value depends on the values in other cells. For example, cell B2 is a dependent cell if it contains the formula =C2.

Example formula | What it does
=C2 | Uses the value in the cell C2
=Sheet2!B2 | Uses the value in cell B2 on Sheet2
=Asset-Liability | Subtracts a cell named Liability from a cell named Asset
  1. Click the cell in which you want to enter the formula.
  2. In the formula bar Formula bar, type = (equal sign).
  3. Do one of the following:
    • To create a reference, select a cell, a range of cells, a location in another worksheet, or a location in another workbook. You can drag the border of the cell selection to move the selection, or drag the corner of the border to expand the selection.

      Range Finder color-codes precedent cells

    • To create a reference to a named range, press F3, select the name in the Paste name box, and click OK.
  4. Press ENTER.

Link to a name in another workbook

You can create descriptive names to represent a cell or range of cells in another workbook.

Link to a defined name in another workbook

  1. Open both the workbook that will contain the link (called the destination workbook), and the workbook that contains the data you want to link to (called the source workbook).

  2. In the destination workbook, click Save [image].

  3. Select a cell or cells you want to link from. If you are creating a new formula, type = (an equal sign).

    If you are entering the link elsewhere in the formula, type the operator or function that you want to precede the link.

  4. On the Window menu, click the name of the source workbook, and then click the worksheet that contains the cells you want to link to.

  5. Press F3, and select the name you want to link to.

Define a name that refers to cells in another workbook

  1. Open both the workbook that will contain the link (called the destination workbook), and the workbook that contains the data you want to link to (called the source workbook).

  2. In the destination workbook, point to Name on the Insert menu, and then click Define.

  3. In the Names in workbook box, enter the name for the link.

  4. Delete the contents of the Refers to box, and keep the cursor in the box.

    If the name is a formula, enter the formula, and position the cursor where you want the link. For example, type =SUM(), and position the cursor between the parenthesis.

  5. On the Window menu, click the name of the source workbook, and then click the worksheet that contains the cells you want to link to.

  6. Select the cell or range of cells you want to link to.

  7. In the Define Name dialog box, click Add.


Create a two-variable data table

Two-variable data tables use only one formula with two lists of input values. The formula must refer to two different input cells.

  1. In a cell on the worksheet, enter the formula that refers to the two input cells.

    In the example below, where the formula's starting values are entered in cells B3, B4, and B5, you would type the formula =PMT(B3/12,B4,-B5) into cell C2.

  2. Type one list of input values in the same column, below the formula.

    In the example below, you would type the different interest rates into cells C3, C4, and C5.

  3. Type the second list in the same row, to the right of the formula.

    In the example below, you would type the loan terms (in months) into cells D2 and E2.

  4. Select the range of cells that contains the formula and both the row and column of values.

    In the example below, you would select the range C2:E5.

  5. On the Data menu, click Table.
  6. In the Row input cell box, enter the reference to the input cell for the input values in the row.

    In the example below, you would type cell B4 in the Row input cell box.

  7. In the Column input cell box, enter the reference to the input cell for the input values in the column.

    In the example below, you would type B3 in the Column input cell box.

  8. Click OK.

Example

A two-variable data table can show how different interest rates and loan terms will affect the mortgage payment. In the following example, cell C2 contains the payment formula, =PMT(B3/12,B4,-B5), which uses two input cells, B3 and B4.

Data table with two variables


Fill out an on-screen form

  1. On the File menu, click New, and then click General Templates.
  2. In the Templates dialog box, click the tab that contains the template for the form, and then double-click the template.

    If the template for your form is not displayed on one of the tabs, make sure the template is stored in your Templates folder or one of its subfolders, or ask your system administrator how to find and use the form.

  3. Enter the requested information, and follow any other instructions in the form.
  4. Click Save [image].
  5. In the Save in box, open the folder where you want to store your copy of the form.

    If the form is used by others in your group and you want to save your copy of the form in a shared network location, ask your system administrator where you should save your copy of the form and whether you should follow any file naming conventions.

  6. In the File name box, type a name for the form, and then click Save.

    If the form has been designed to copy your entered data to a database, a message is displayed asking whether you want to add your data as a new database record. To add your data, click Yes.


Filter by using advanced criteria

  1. Insert at least three blank rows above the list that can be used as a criteria range. The criteria range must have column labels. Make sure there is at least one blank row between the criteria values and the list.

    What this might look like

    Type Salesperson Sales
    Type | Salesperson | Sales
    Beverages | Suyama | 5122
    Meat | Davolio | 450
    Produce | Buchanan | 6328
    Produce | Davolio | 6544
  2. In the rows below the column labels, type the criteria you want to match.

    Criteria examples

    Multiple conditions in a single column

    If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

    Salesperson
    Davolio
    Buchanan
    Suyama

    One condition in two or more columns

    To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

    Type | Salesperson | Sales
    Produce | Davolio | >1000

    One condition in one column or another

    To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

    Type Salesperson Sales
    Produce
    Davolio
    >1000

    One of two sets of conditions for two columns

    To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

    Salesperson | Sales
    Davolio | >3000
    Buchanan | >1500

    More than two sets of conditions for one column

    To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

    Sales | Sales
    >5000 | <8000
    <500

    Conditions created as the result of a formula

    You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

    =C7>AVERAGE($C$7:$C$10)

    Notes

    • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.
    • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.
    • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.

    All items that begin with that text are filtered. For example, if you type the text Dav as a criterion, Microsoft Excel finds "Davolio," "David," and "Davis." To match only the specified text, type the following formula, where text is the text you want to find. =''=text''

    To find text values that share some characters but not others, use a wildcard character.

    Wildcard characters

    The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

    Use To find
    ? (question mark) Any single character
    For example, sm?th finds "smith" and "smyth"
    * (asterisk) Any number of characters
    For example, *east finds "Northeast" and "Southeast"
    ~ (tilde) followed by ?, *, or ~ A question mark, asterisk, or tilde
    For example, fy91~? finds "fy91?"
  3. Click a cell in the list.
  4. On the Data menu, point to Filter, and then click Advanced Filter.
  5. To filter the list by hiding rows that don't match your criteria, click Filter the list, in-place.

    To filter the list by copying rows that match your criteria to another area of the worksheet, click Copy to another location, click in the Copy to box, and then click the upper-left corner of the area where you want to paste the rows.

  6. In the Criteria range box, enter the reference for the criteria range, including the criteria labels.

    To move the Advanced Filter dialog box out of the way temporarily while you select the criteria range, click Collapse Dialog [image].

  7. To change how the data is filtered, change the values in the criteria range and filter the data again.

Tips

  • You can name a range Criteria, and the reference for the range will appear automatically in the Criteria range box. You can also define the name Database for the range of data to be filtered and define the name Extract for the area where you want to paste the rows, and these ranges will appear automatically in the List range and Copy to boxes, respectively.
  • When you copy filtered rows to another location, you can specify which columns to include in the copy. Before filtering, copy the column labels for the columns you want to the first row of the area where you plan to paste the filtered rows. When you filter, enter a reference to the copied column labels in the Copy to box. The copied rows will then include only the columns for which you copied the labels.


Filter a list

You can apply filters to only one list on a worksheet at a time.

  1. Click a cell in the list you want to filter.
  2. On the Data menu, point to Filter, and then click AutoFilter.

    Filter for the smallest or largest number

    1. Click the arrow Field arrow in the column that contains the numbers, and click (Top 10...).
    2. In the box on the left, click Top, or Bottom.
    3. In the box in the middle, enter a number.
    4. In the box on the right, click Items.

    Filter a list for rows that contain specific text

    1. Click the arrow Field arrow in the column that contains the numbers, and click (Custom).
    2. In the box on the left, click equals, or does not equal, contains, or does not contain.
    3. In the box on the right, enter the text you want.
    4. If you need to find text values that share some characters but not others, use a wildcard character.

      How?

      The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

      Use To find
      ? (question mark) Any single character
      For example, sm?th finds "smith" and "smyth"
      * (asterisk) Any number of characters
      For example, *east finds "Northeast" and "Southeast"
      ~ (tilde) followed by ?, *, or ~ A question mark, asterisk, or tilde
      For example, fy91~? finds "fy91?"
    5. To add another criteria, click And or Or, and repeat the previous step.

    Filter for blank or nonblank cells

    Click the arrow Field arrow in the column that contains the numbers, then click (Blanks) or (NonBlanks).

    Note The Blanks and NonBlanks options are available only if the column you want to filter contains a blank cell.

    Filter for numbers greater than or less than another number

    1. Click the arrow Field arrow in the column that contains the numbers, and click (Custom).
    2. In the box on the left, click is greater than, is less than, is greater than or equal to, or is less than or equal to.
    3. In the box on the right, enter a number.
    4. To add another criteria, click And or Or, and repeat the previous step.

    Filter for a number equal to or not equal to another number

    1. Click the arrow Field arrow in the column that contains the numbers, and click (Custom).
    2. In the box on the left, click equals, or does not equal.
    3. In the box on the right, enter a number.
    4. To add another criteria, click And or Or, and repeat the previous step.

    Filter for the beginning or end of a text string

    1. Click the arrow Field arrow in the column that contains the numbers, and click (Custom).
    2. In the box on the left, click begins with, or does not begin with, or ends with, or does not end with.
    3. In the box on the right, enter the text you want.
    4. If you need to find text values that share some characters but not others, use a wildcard character.

      How?

      The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

      Use To find
      ? (question mark) Any single character
      For example, sm?th finds "smith" and "smyth"
      * (asterisk) Any number of characters
      For example, *east finds "Northeast" and "Southeast"
      ~ (tilde) followed by ?, *, or ~ A question mark, asterisk, or tilde
      For example, fy91~? finds "fy91?"
    5. To add another criteria, click And or Or, and repeat the previous step.

    Filter for the top or bottom numbers by percent

    1. Click the arrow Field arrow in the column that contains the numbers, and click (Top 10...).
    2. In the box on the left, click Top or Bottom.
    3. In the box in the middle, enter a number.
    4. In the box on the right, click Percent.

Notes

  • When you apply a filter to a column, the only filters available for other columns are the values visible in the currently filtered list.
  • Only the first 1000 unique entries in a list appear when you click the arrow Field arrow .


Find cells that have data validation

Find all cells with data validation

  1. On the Edit menu, click Go To.
  2. Click Special.
  3. Click Data validation.
  4. Click All.

Find cells that match certain data validation settings

  1. Click a cell that has the data validation settings for which you want to find matches.
  2. On the Edit menu, click Go To.
  3. Click Special.
  4. Click Data validation.
  5. Click Same.


Find an external data range

  1. Select the worksheet in which you want to search for an external data range.
  2. On the formula bar, click the arrow next to the Name box, and then click the name of the external data range you want.


Find cells that match a format

  1. Click Find on the Edit menu.
  2. Clear the Find what box.
  3. Do one of the following:
    • If you want to specify format, click Options, click Format, and then set your options in the Find Format dialog box.
    • If you want to point to a specific cell format as an example, click the arrow next to Format, click Choose Format From Cell, and then click the cell.

    Note The format for the search is displayed in the Preview box.

  4. Click Find All or Find Next.

    Find All lists every occurrence of the item you are searching for and allows you to make a cell active by selecting a specific occurrence. You can sort the results of a Find All search by clicking a header.


Find text or numbers

  1. Select the range of cells you want to search.

    If you want to search the entire worksheet, click any cell.

  2. On the Edit menu, click Find.
  3. In the Find what box, enter the text or numbers you want to search for or choose a recent search from the Find what drop down box.

    Note You can use wildcard characters in your search criteria.

  4. If you want to specify a format for your search, click Format and make your selections in the Find Format dialog box.

    If Format is not available in the Find and Replace dialog box, click Options and then click Format.

  5. Click Options to further define your search. For example, you can search for all of the cells that contain the same kind of data, such as formulas.

    In the Within box, you can select Sheet or Workbook to search a worksheet or an entire workbook.

  6. Click Find All or Find Next.

    Find All lists every occurrence of the item you are searching for and allows you to make a cell active by selecting a specific occurrence. You can sort the results of a Find All search by clicking a header.

Note To cancel a search in progress, press ESC.

Tip

Another way to find data in a list is to use filters to display only the rows that contain the desired data. For example, in a list that includes international sales data, you can display only domestic sales.


Vary colors in the same data series

You can vary the colors of data markers within the same data series in doughnut charts and in single-series charts. The colors of slices in pie charts and doughnut charts are varied by default.

  1. Click the data series you want to change the colors for.
  2. On the Format menu, click Selected Data Series or Selected Data Point, and then click the Options tab.
  3. Select the Vary colors by point check box or the Vary colors by slice check box.


Format values in euro currency style

Some of the content in this topic may not be applicable to some languages.

This process does not convert cell values.

  1. Select the cells that you want to format as euro currency style.
  2. Click Euro [image] on the Formatting toolbar. If Euro [image] is not available, you must load the Euro Currency Tools add-in program.

    How?

    1. On the Tools menu, click Add-Ins.

    2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    4. If necessary, follow the instructions in the setup program.

Note The regional settings for currency in Microsoft Windows Control Panel determine the position of the euro sign [image] (that is, whether the symbol appears before or after the number and whether a space separates the symbol and the number). To change this positioning, create a Custom currency style. The regional settings for currency in Control Panel also determine the decimal symbol and the thousands separator.


Change the font in header and footer text

  1. On the View menu, click Header and Footer.
  2. Click Custom Header or Custom Footer.
  3. Select the text in the Left section, Center section, or Right section box, and then click Font [image].
  4. Select the options you want.

Note You cannot change the color of header and footer text.


Format numbers as text

Format cells as text

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click Text, and then click OK.
  4. Enter the numbers in the formatted cells.

Format existing numbers as text

If you've already entered the numbers, you can change the numbers to text data.

  1. Select the cells that contain the numbers you want to format as text.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click Text, and then click OK.


Pull out slices in pie and doughnut charts

Pie chart with slice pulled out and doughtnut chart with rings pulled apart

Pull out slices in a pie chart

All of the slices in a pie chart Click the pie, and then drag away from the center of the chart.

Only one slice in a pie chart Click the pie, click the slice you want to move, and then drag the slice away from the center of the chart.

Pull out slices in the outer ring of a doughnut chart

All of the slices Click the outer ring, and then drag away from the center of the chart.

Only one slice Click the outer ring, click the slice you want to move, and then drag the slice away from the center of the chart.

Note In a doughnut chart, you can pull out only the slices of the outer ring.


Format a PivotTable report

Do one or more of the following:

Apply indented or nonindented format

  1. Click the report.
  2. On the PivotTable toolbar, click Format Report [image].
  3. Do one of the following:

    To apply an indented format, click one of options Report 1 through Report 10. These options both apply formatting and move any column fields in your report to the row area.

    To apply a nonindented (crosstabulated) format, click one of options Table 1 through Table 10 or PivotTable Classic, the default format for new reports. Options Table 1 through Table 10 also move the leftmost row field to the column area.

Note To restore the report to its previous layout, click Undo [image] immediately after applying a new format.

Display subtotals above or below their items

  1. Double-click the outer row field for which you want to reposition the subtotals.
  2. If subtotals aren't turned on, click Automatic or Custom.
  3. Click Layout, and then click Show items in outline form.
  4. To display subtotals above the subtotaled items, select the Display subtotals at top of group check box.

    To display subtotals below the items, clear the check box.

Display or hide blank rows after row field items

  1. Double-click the outer row field for which you want to add or remove blank rows between items.
  2. Click Layout.
  3. To add or remove the blank rows, select or clear the Insert blank line after each item check box.

Note You can apply character and cell formatting to the blank rows, but you can't enter data in them.

Use merged or regular cells for outer row and column items

  1. Click the report.
  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.
  3. To use merged cells for outer row and column items, select the Merge labels check box.

    To use regular cells, clear the check box.

Change the data area number format

  1. Click a cell in the data area.
  2. On the PivotTable toolbar, click Field Settings [image].
  3. Click Number.
  4. In the Category list, click the format category you want.
  5. Select the options you want for the format, and then click OK twice.
  6. If the report has more than one data field, repeat these steps for each one.

Change how errors and empty cells are displayed

  1. Click the report.
  2. On the PivotTable toolbar, click PivotTable, and then click Table Options.
  3. Do one or more of the following:

    Change error display Select the For error values, show check box under Format options. In the box, type the value you want to display instead of errors. To display errors as blank cells, delete any characters in the box.

    Change empty cell display Select the For empty cells, show check box. In the box, type the value you want to display in empty cells. To display blank cells, delete any characters in the box. To display zeros, clear the check box.

Change other character and cell formatting

  1. Make sure formatting will be preserved if you refresh the report or change its layout: click the report, click PivotTable on the PivotTable toolbar, click Table Options, and then select the Preserve formatting check box.
  2. Select the part of the PivotTable report you want to format.

    If you want formatting applied to all such parts, so that when layout changes display parts not currently onscreen, those parts also have the formatting, click the (All) item in the dropdown lists for any page fields, and then make sure the mouse pointer changes to Right arrow or Down arrow before you click the part you're selecting.

  3. To apply the formatting changes you want, use the buttons on the Formatting toolbar and the commands on the Format menu.

Note Conditional formatting and cell borders aren't preserved when you refresh or change the layout.

Return a report to the default formatting

  1. Click PivotTable on the PivotTable toolbar.
  2. Click Table Options.
  3. Clear the AutoFormat table check box, and then click OK.
  4. Click Format Report [image] on the PivotTable toolbar.
  5. Click the PivotTable Classic format.

Remove all formatting from a report

  1. Click PivotTable on the PivotTable toolbar.

  2. Click Table Options.

  3. Clear the AutoFormat table check box, and then click OK.

  4. Click Format Report [image] on the PivotTable toolbar.

  5. Click the None format.

Note When you change formatting in a PivotTable report, some formatting may be lost in PivotChart reports based on it.


Select named ranges or cell references

To select | Do this
A named range of cells | In the Name box, select the range.
Two or more named ranges | In the Name box, select the first range, and then hold down CTRL and select the other ranges.
Specific cells not in a named range | On the Edit menu, click Go To. In the Reference box, type the cell reference for the cell or range of cells.

Tip

Microsoft Excel keeps track of the named ranges you have selected. To return to a previous selection, click Go To on the Edit menu, and then double-click the cell reference in the Go To box.


Display or hide all values in a cell

  1. Select the cells that contain hidden values or values you want to hide.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. Do one of the following:

    Display hidden values in a cell

    In the Category list, click General to apply the default number format.

    To redisplay a date, a time, or values that have a specific number format, select the appropriate date, time, or number format on the Number tab.

    Hide all values in a cell

    1. In the Category list, click Custom.
    2. In the Type box, select the existing codes and press BACKSPACE.
    3. In the Type box, type ;;; (three semicolons).


Hide cell gridlines

  1. Select the sheets on which you want to hide the gridlines.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

  2. On the Tools menu, click Options, and then click the View tab.
  3. Under Window options, clear the Gridlines check box.


Reconvert a determined character string

Microsoft Excel allows you to reconvert a character string that has already been input and converted.

  1. Select the cell that contains the character string you want to reconvert, click within that character string (the target of the reconversion), and then double-click.

    The highlighted string becomes the target range for the reconversion.

  2. Right-click the cell, and then click Reconvert on the shortcut menu.
  3. Click the desired character, and press ENTER twice.

Note Some Japanese Input Method Editors might not be able to perform reconversions.


Use the phonetic guide function

The Default version of Microsoft Office must also be set to Japanese, Korean, Simplified Chinese or Traditional Chinese in the Microsoft Office Language Settings (Enabled Languages tab).

Show or hide phonetic guides

  1. Select the cells whose phonetic guides you want to show or hide.
  2. On the Format menu, point to Phonetic Guide, and then click Show or Hide.

    When phonetic guides are displayed, the button next to Show or Hide is selected.

Note Microsoft Excel automatically adds phonetic symbols only to new data entered in the Japanese version of Excel. If you open files that were created in earlier versions of Excel or in other programs, phonetic symbols are not generated automatically.

Modify phonetic guides

  1. Double-click the cell that contains the phonetic guides you want to modify, and then click the phonetic guides.

    Tip

    To use the keyboard to move the pointer to the phonetic guides, press ALT+SHIFT+UP ARROW. To return to the parent string that the phonetic guides apply to, press ALT+SHIFT+DOWN ARROW. The color of the parent character string changes while the phonetic guides are being modified.

  2. Modify the phonetic guides. Do one of the following:

    Combine phonetic guides

    For example, when working in Japanese, the phonetic guides for Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku would normally be split into toukyouto toukyouto toukyouto toukyouto toukyouto toukyouto and shibuyaku shibuyaku shibuyaku shibuyaku.

    1. To combine these into one string of toukyoutoshibuyaku toukyoutoshibuyaku [image] toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyouto shibuyaku, select the target parent character string Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku.

    2. On the Format menu, point to Phonetic Guide, and then click Edit.

    Divide phonetic guides

    For example, when working in Japanese, the parent character string Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku Tokyo to Shibuya ku has a combined phonetic guide of toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku.

    1. To divide these into Tokyo to Tokyo to Tokyo to and Shibuya ku Shibuya ku Shibuya ku, select the target parent character string Tokyo to Tokyo to Tokyo to.

    2. On the Format menu, point to Phonetic Guide, and then click Edit.

      The existing (combined) phonetic guides toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku toukyoutoshibuyaku will be set as the phonetic guides for the selected character string Tokyo to Tokyo to Tokyo to only, so they cannot be applied to any other character string. In this case, modify the phonetic guides for Tokyo to Tokyo to Tokyo to, and then add new phonetic guides to Shibuya ku Shibuya ku Shibuya ku.

  3. Do one of the following:

    • To confirm the modified phonetic guides, press ENTER twice.

    • To cancel the changes, press ESC twice.

Change phonetic guide font, type, or alignment

  1. Select the cells that contain the phonetic guides whose alignment, font, or type you want to change.
  2. On the Format menu, point to Phonetic Guide, and then click Setting.
  3. Do one or more of the following:
    • To change the font, click the Font tab, and then click the font you want in the Font box. To change the font size, click the size you want in the Size box.
    • To change the phonetic guide type, click the Setting tab, and then click the phonetic guide type you want under Type.
    • To change the alignment, click the Alignment tab, and then click the alignment you want to apply.

Tip

You can apply formatting (such as bold or italic formatting), colors, underlining, or character effects to phonetic guides from the Font tab.


Change how an imported text file looks

  1. Click a cell in your imported text file.

  2. Click Edit Text Import Edit Query or Edit Text Import on the External Data toolbar.

  3. Click Import in the Import Text File dialog box.

  4. Make changes to the imported text file in the Text Import Wizard, and then click Finish.


Include Excel data in a Lotus Notes document or form

  1. If you have not already done so, install the Lotus 1-2-3 converter (in the Windows Installer for Office or Excel, under Office Shared Features, Converters and Filters, Text Converters, Lotus 1-2-3 Converter).

    How?

    If you originally installed your Microsoft Office program from a network file server or from a shared folder, you must install or remove components from that location. If you installed your Office program from a CD-ROM and you've mapped your CD-ROM drive to a new drive letter since installing the Office program, reinstall from the CD-ROM. If you're running any Office program files from the CD-ROM, you must uninstall the Office program and then reinstall it from the CD-ROM.

    1. Quit all programs.
    2. Double-click the Add/Remove Programs icon in the Windows Control Panel.
    3. Do one of the following:

      • For Windows 2000 and Windows Millennium Edition:

      If you installed your Office program as part of Microsoft Office, click Microsoft Office in the Currently installed programs box, and then click the Change button.

      If you installed your Office program individually, click the name of your program in the Currently installed programs box, and then click the Change button.

      • For Windows 98 and Windows NT 4.0:

      If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click the Add/Remove button.

      If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click the Add/Remove button.

    4. Follow the instructions on the screen.
  2. In Lotus Notes, open the document or form you want.
  3. Do one of the following:

    Document Click in a rich text field, and then click Import on the File menu.

    Form Click anywhere on the form, and then click Import on the File menu.

  4. Click Microsoft Excel in the Files of type or List files of type box.
  5. In the list of files, double-click the workbook you want to import.


Change the number of decimal places displayed

On a worksheet

  1. Select the cells you want to format.

  2. To display more or fewer digits after the decimal point, click Increase Decimal [image] or Decrease Decimal [image] on the Formatting toolbar.

In a built-in number format

  1. On the Format menu, click Cells, and then click the Number tab.

  2. In the Category list, click Currency, Accounting, Percentage, or Scientific.

  3. In the Decimal places box, enter the number of decimal places you want to display.

  4. If you want to change the currency symbol, click the symbol you want to use in the Symbol list.


About installing OLAP providers

To connect to third-party database products that provide OLAP data and services, you must install additional data source drivers and client software.

For information about installing and using a third-party OLAP provider, see your system administrator or contact the vendor for your OLAP product. After you install the provider, you can set up data sources in Microsoft Query to access the provider's databases. For more information about setting up data sources in Microsoft Query, see Microsoft Query Help.

To use the Microsoft Office features for working with OLAP data, the third-party product must be Microsoft Office-compatible. If you want to work with offline cube files, check if the third-party product supports this by creating a Microsoft Excel PivotTable report that displays source data from the third-party database. In the PivotTable report, the Offline OLAP command on the PivotTable menu (PivotTable toolbar) is unavailable if the provider does not support offline cube files.


About installing an ODBC driver

The ODBC drivers provided by Microsoft are installed when you install Microsoft Excel.

If the external database you want to access is not supported by these ODBC drivers, you must obtain and install a Microsoft Office-compatible ODBC driver from a third-party vendor, such as the manufacturer of the database program. Contact the database vendor for installation instructions.

Note OLAP databases do not require ODBC drivers. When you install Excel, drivers and support are installed to access databases that were created by using Microsoft SQL Server OLAP Services. To connect to third-party OLAP databases, you must install a data source driver and client software.


Resolve conflicting changes to a shared workbook

When two users try to save changes that affect the same cell, Microsoft Excel displays the Resolve Conflicts dialog box for one of the users.

  1. In the Resolve Conflicts dialog box, read the information about each change and the conflicting changes made by others.
  2. To keep your change or the other person's change and go on to the next conflicting change, click Accept Mine or Accept Other.

    To keep all of your remaining changes or all of the other users' changes, click Accept All Mine or Accept All Others.

  3. To have your changes to override all other changes, and never see the Resolve Conflicts dialog box again, turn this feature off.

    How?

    1. On the Tools menu, click Share Workbook, and then click the Advanced tab.

    2. Click The changes being saved win.

    3. Click OK.

  4. To see how you or others resolved past conflicts, view this information on the History worksheet.

    How?

    1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    2. In the When box, click All.

    3. Clear the Who and Where check boxes.

    4. Select the List changes on a new sheet check box, and then click OK.

    5. On the History worksheet, scroll to the right to view the Action Type and Losing Action columns.

      Conflicting changes that were kept have "Won" for Action Type. The row numbers in the Losing Action column identify the rows with information about the conflicting changes that weren't kept, including any deleted data.

Tip

To save a copy of the workbook with all your changes, click Cancel in the Resolve Conflicts dialog box, click Save As on the File menu, and then type a new name for the file.


Turn on change tracking for a workbook

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.
  2. Select the Allow changes by more than one user at the same time check box.
  3. Click the Advanced tab.
  4. Under Track changes, click Keep change history for, and in the Days box, type the number of days of change history that you want to keep.

    Be sure to enter a large-enough number of days because Microsoft Excel permanently erases any change history older than this number of days.

  5. Click OK, and if prompted to save the file, click OK.
Note Turning on change tracking also shares the workbook.


Learn how to use Microsoft Excel by using Help for Lotus 1-2-3 users

  1. On the Help menu, click Lotus 1-2-3 Help.
  2. Follow the instructions in the Help for Lotus 1-2-3 Users dialog box.

Note The Lotus 1-2-3 Help command simulates keystrokes for Lotus 1-2-3 Release 2.10.


Display cell contents in a shape or text box

  1. Click the AutoShape or text box you want to link.
  2. In the formula bar, type an equal sign (=).
  3. Click the worksheet cell that contains the data or text you want to link to.

    You can also type the reference to the worksheet cell. Include the sheet name, followed by an exclamation point, for example:

    Sheet1!F2

  4. Press ENTER.

Note You cannot use this procedure in a freeform, scribble, line, or connector.


Link a chart title or text box to a worksheet cell

You can link an existing chart title to a worksheet cell or create a new text box that is linked to a worksheet cell.

  1. Click the title or, to create a new text box, click the chart area.

  2. In the formula bar, type an equal sign (=).
  3. Select the worksheet cell that contains the data or text you want shown in your chart.

    You can also type the reference to the worksheet cell. Include the sheet name, followed by an exclamation point; for example:

    Sheet1!F2

  4. Press ENTER.


When a list contains some numbers stored as text

How the list will sort if you treat numbers stored as text as text

Numbers stored as numbers are sorted first, and then numbers stored as text. For example, after sorting in ascending order, the list would appear that you have two sets of numbers. Also numbers stored as text sort left to right, character by character. For example 11 appears before 5 because 1 is before 5 in the first character.

Data | Data type
1 | Number
10 | Number
11 | Number stored as text
5 | Number stored as text

How the list will sort if you treat numbers stored as text as numbers

Both numbers stored as text and numbers are sorted together. For example, after sorting in ascending order the list would appear to have one set of numbers.

Data | Data type
1 | Number
5 | Number stored as text
10 | Number
11 | Number stored as text

Convert numbers stored as text to numbers

One cell at a time

  1. On the Tools menu, click Options, and then click the Error Checking tab.
  2. Make sure the Enable background error checking and Number stored as text boxes are checked.
  3. Select any cell with a green error indicator in the upper left corner Cell with a formula problem.
  4. Next to the cell, click the button that appears [image], and then click Convert to Number.

A whole range at once

  1. In an empty cell, enter the number 1.
  2. Select the cell, and on the Edit menu, click Copy.
  3. Select the range of numbers stored as text you want to convert.
  4. On the Edit menu, click Paste Special.
  5. Under Operation, click Multiply.
  6. Click OK.
  7. Delete the content of the cell entered in the first step.

Note Some accounting programs display negative values with the negative sign (–) to the right of the value. To convert the text strings to values, you must return all of the characters of the text string except the rightmost character (the negation sign), and then multiply the result by –1. For example, if the value in cell A2 is "156–" the following formula converts the text to the value –156.

Data | Formula
156- | =LEFT(A2,LEN(A2)-1)*-1


Load a Solver problem model

Before loading a problem, you must have previously saved a model.

  1. On the Tools menu, click Solver.
  2. In the Solver Parameters dialog box, click Options.
  3. In the Solver Options dialog box, click Load Model.
  4. Enter the reference for the entire range of cells that contains the problem model.


Zoom the display

In the Zoom box [image], click the size you want, or enter a number from 10 to 400.

To enlarge the selected area to fill the window, click Selection.

Note Zooming in or out does not affect printing. Sheets are printed at 100 percent unless you change the scaling on the Page tab of the Page Setup dialog box (File menu).


Set or clear read-only status for a workbook file

Recommend that a file be opened read-only

When you set this option, users get a read-only recommendation when they open the file. This does not prevent users from opening the file as read-write so that they can edit and save changes.

  1. On the File menu, click Save As.
  2. On the Tools menu in the Save As dialog box, click General Options.
  3. Select the Read-only recommended check box, and then click OK.
  4. Click Save.
  5. If prompted, click Yes to replace the existing workbook.

Make a workbook file read-only

  1. On the Windows Start menu, point to Programs, point to Accessories, and then click Windows Explorer.
  2. In the Exploring window, open the drive or folder that contains the file.
  3. Click the file name.
  4. On the File menu, click Properties.
  5. Click the General tab.
  6. Select the Read-only check box.

Make a workbook file read-write

  1. On the Windows Start menu, point to Programs, point to Accessories, and then click Windows Explorer.
  2. In the Exploring window, open the drive or folder that contains the file.
  3. Click the file name.
  4. On the File menu, click Properties.
  5. Click the General tab.
  6. Clear the Read-only check box.


Retrieve PivotTable or PivotChart page field data for each item or for all items

This setting is not available in reports based on OLAP source data.

  1. Double-click the page field.
  2. Click Advanced.
  3. Specify whether you want to query the data for each page separately or all pages at once.

    • If you want to retrieve less data each time, click Query external data source as you select each page field item under Page field options. This option is useful if you are working with large external databases.

    • If you want to query less frequently, click Retrieve external data for all page field items. This option lets you change pages faster.

  4. To lock a field set to query page-by-page in the page area, so that it can't be moved to the row, column, or data area, select the Disable pivoting of this field check box. This option prevents a field from being dragged to another area causing all the data to be retrieved.


Highlight changes as you work

Example of change highlighting and details

Microsoft Excel marks revisions, including insertions and deletions, with a highlight color.

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

  2. Make sure the Track changes while editing check box is selected. This check box shares the workbook and turns on change tracking.

  3. Select the When check box, click Not yet reviewed, and then click OK.

  4. If prompted, save the workbook.

  5. Make the changes you want on the worksheet. Some changes, such as formatting, aren't marked.


Merge workbooks

  1. Make sure the copies of the shared workbook that you want to merge are all stored in the same folder. To do this, you must give each copy a different name.
  2. Open the copy into which you want to merge changes.
  3. On the Tools menu, click Compare and Merge Workbooks.
  4. If prompted, save the workbook.
  5. In the Select Files to Merge into Current Workbook dialog box, click a copy that has changes to be merged, and then click OK.

    To merge more than one copy at the same time, hold down CTRL or SHIFT and click the file names, and then click OK.


Merge scenarios from another worksheet

It is easier to merge scenarios when all what-if models on the worksheets are identical. All changing cells on the source worksheet must refer to the corresponding changing cells on the active worksheet. Microsoft Excel copies all scenarios on the source sheet to the active worksheet.

  1. Open all of the workbooks that contain the scenarios you want to merge.
  2. Switch to the worksheet where you want to merge the scenarios.
  3. On the Tools menu, click Scenarios.
  4. Click Merge.
  5. In the Book box, click a workbook name.
  6. In the Sheet box, click the name of a worksheet that contains the scenarios you want to merge, and then click OK.
  7. Repeat this process if you want to merge scenarios from more worksheets.


Change error bar settings

  1. Click the error bar or data series that has the error bars you want to change. When you select an error bar, any changes you make affect all of the error bars in its associated data series.
  2. On the Format menu, click Selected Data Series.
  3. Click the Y Error Bars tab or the X Error Bars tab, depending on the type of error bars you want to change.

    • To select a different type of error bar, click the type you want under Display.

    • To change the method used to determine the error, select the method you want under Error amount.

    • To change a custom error amount, click Custom. In the Plus and Minus boxes, specify the worksheet range to use as error amount values, or enter the values you want to use, separated by commas; for example, 0.4, 0.3, 0.8.


Change trendline settings

  1. Click the trendline you want to change.
  2. On the Format menu, click Selected Trendline.
  3. On the Options tab, select the options you want.

    To change the name of the trendline or moving average, type a name in the Custom box.


Scroll through a worksheet

To move between cells on a worksheet, click any cell or use the arrow keys. When you move to a cell, it becomes the active cell. To see a different area of the sheet, use the scroll bars.

To scroll | Do this
One row up or down | Click the arrows in the vertical scroll bar.
One column left or right | Click the arrows in the horizontal scroll bar.
One window up or down | Click above or below the scroll box in the vertical scroll bar.
One window left or right | Click to the left or right of the scroll box in the horizontal scroll bar.
A large distance | Drag the scroll box to the approximate relative position. In a very large worksheet, hold down SHIFT while dragging.

Note The size of a scroll box indicates the proportional amount of the used area of the sheet that is visible in the window. The position of a scroll box indicates the relative location of the visible area within the worksheet.

Scroll and zoom with the mouse

You can move around and zoom on your worksheet or chart sheet by using the Microsoft IntelliMouse pointing device. For information about changing options and viewing troubleshooting tips for the Microsoft IntelliMouse, see the IntelliPoint Online User's Guide. (Click the Microsoft Windows Start button, point to Programs, and then point to Microsoft Input Devices.)

To | Do this
Scroll up or down a few rows at a time | Rotate the wheel forward or back.
Pan through a worksheet | Hold down the wheel button, and drag the pointer away from the origin mark origin mark in the direction you want to scroll. To speed up scrolling, drag away from the origin mark; to slow down scrolling, drag toward the origin mark.
Pan through a worksheet automatically | Click the wheel button, and then move the mouse in the direction you want to scroll. To speed up scrolling, drag away from the origin mark; to slow down scrolling, drag toward the origin mark. To stop automatic scrolling, click any mouse button.
Zoom in or out | Hold down CTRL, and then rotate the IntelliMouse wheel forward or back.
Show detail in outlines | Point to a cell that summarizes data in the outline, hold down SHIFT, and then roll the wheel forward.
Hide detail in outlines | Point to any cell that contains detail data, hold down SHIFT, and then roll the wheel back.

Tip

If you use the Microsoft IntelliMouse pointing device to zoom more often than you use it to scroll on a sheet, you can set the wheel button to zoom instead of scroll. On the Tools menu, click Options, click the General tab, and then select the Zoom on roll with IntelliMouse check box.


Move around a worksheet by using Lotus 1-2-3 keystrokes

  1. On the Tools menu, click Options, and then click the Transition tab.
  2. Select the Transition navigation keys box.

    If you want to revert to Microsoft Excel keystrokes, clear the Transition navigation keys box.

Tip

To quickly move across a block of nonblank cells, press the END key, and then press the arrow key for the direction you want to move.


Move or copy a formula

When you move a formula, the cell references within the formula do not change. When you copy a formula, the cell references may change based on the type of reference used.

  1. Select the cell that contains the formula.
  2. Verify that the cell references used in the formula will produce the result you want. Switch to the type of reference you need. To move a formula, use an absolute reference.

    How?

    1. Select the cell that contains the formula.
    2. In the formula bar Formula bar, select the reference you want to change.
    3. Press F4 to toggle through the combinations. The "Changes To" column reflects how a reference type updates if a formula containing the reference is copied two cells down and two cells to the right.

    Formula being copied

    Formula being copied

    Reference (Description) | Changes to
    $A$1 (absolute column and absolute row) | $A$1
    A$1 (relative column and absolute row) | C$1
    $A1 (absolute column and relative row) | $A3
    A1 (relative column and relative row) | C3

  3. On the Edit menu, click Copy.
  4. Select the cell you want to copy it to.
  5. To copy the formula and any formatting, on the Edit menu, click Paste.
  6. To copy the formula only, on the Edit menu, click Paste Special, and then click Formulas.

Tips

  • You can also copy formulas into adjacent cells by using the fill handle [image]. Select the cell that contains the formula, and then drag the fill handle over the range you want to fill.

  • You can also move formulas by dragging the border of the selected cell to the upper-left cell of the paste area. Any existing data is replaced.


Move or copy sheets

Caution Be careful when you move or copy sheets. Calculations or charts based on worksheet data might become inaccurate if you move the worksheet. Similarly, if you insert a worksheet between sheets that are referred to by a 3-D formula reference, data on that worksheet might be included in the calculation.

  1. To move or copy sheets to another workbook, open the workbook that will receive the sheets.
  2. Switch to the workbook that contains the sheets you want to move or copy, and then select the sheets.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

  3. On the Edit menu, click Move or Copy Sheet.
  4. In the To book box, click the workbook to receive the sheets.

    To move or copy the selected sheets to a new workbook, click new book.

  5. In the Before sheet box, click the sheet before which you want to insert the moved or copied sheets.
  6. To copy the sheets instead of moving them, select the Create a copy check box.

Tip

To move sheets within the current workbook, you can drag the selected sheets along the row of sheet tabs. To copy the sheets, hold down CTRL, and then drag the sheets; release the mouse button before you release the CTRL key.


Prevent objects from moving and sizing with cells

  1. Select the object, multiple selection, or group you want to change.

    On an embedded chart, select the chart area by clicking the blank area between the border of the chart and the plot area.

  2. On the Format menu, click the command for the type of object you selected, for example Object or Selected Chart Area, and then click the Properties tab.
  3. Under Object Positioning, select an option to Move but don't size with cells or Don't move or size with cells.


Create a name to represent a formula or a constant

  1. On the Insert menu, point to Name, and then click Define.
  2. In the Names in workbook box, enter the name for the formula.
  3. In the Refers to box, type = (equal sign), followed by the formula or the constant value.


Name a cell or a range of cells

  1. Select the cell, range of cells, or nonadjacent selections that you want to name.
  2. Click the Name box at the left end of the formula bar Formula bar.

    1 Name box

  3. Type the name for the cells.
  4. Press ENTER.

Note You cannot name a cell while you are changing the contents of the cell.


Change the name of an external data range

  1. Click a cell in the external data range you want to rename.
  2. Click Data Range Properties [image] on the External Data toolbar.
  3. In the Name box, type a name for the external data range.


Stop automatic corrections

  1. On the Tools menu, click AutoCorrect Options.
  2. To prevent all automatic corrections, on the AutoCorrect tab, clear the Replace text as you type check box.

    To prevent specific corrections, clear the corresponding check box for the option.


Change the amount of detail displayed in a PivotTable report

  1. Determine what kind of source data your report has: click the report, if the field list is not displayed click Show Field List [image] on the PivotTable toolbar, and look at the PivotTable Field List window.

    If the field list has Dimension field icon and Data field icon icons, the report has OLAP source data.

    If the field list has Field icon icons, the report does not have OLAP source data.

  2. For OLAP reports, display or hide different levels of detail for a field.

    How?

    1. Click the field.
    2. To display or hide lower-level detail, click Show Detail [image] or Hide Detail [image] on the PivotTable toolbar.
    3. To hide upper levels of detail, right-click the field button for the lowest level you want to hide, and then click Hide levels on the shortcut menu.

      The level you clicked and all higher levels in the dimension are removed from view, and the dropdown arrow Field arrow is also hidden.

      To redisplay hidden upper levels, right-click any field button in the dimension, and then click Show levels on the shortcut menu.

    Note If you hide and then redisplay levels, any renamed items revert to their original names.

    For non-OLAP reports, do one or more of the following:

    Display or hide detail data for an item

    1. Click the item.
    2. On the PivotTable toolbar, click Show Detail [image] or Hide Detail [image].
    3. If prompted, click the field that has the detail data you want to see.

    Display or hide detail for a data cell

    1. Double-click a cell in the data area.

      Microsoft Excel places the detail data summarized in the cell on a new worksheet.

    2. To hide the detail data, delete the new worksheet.

    Note To prevent access to this detail, click PivotTable on the PivotTable toolbar, click Table Options, and then clear the Enable drill to details check box.

  3. For OLAP reports, display or hide property fields, if available from your server cube.

    How?

    1. Click the field in the dimension for which you want to display property fields.
    2. On the PivotTable toolbar, click PivotTable, and then click Property Fields.
    3. In the Choose properties from level list, click each level for which you want to display property fields, and then double-click the property fields you want to see.
    4. In the Properties to display box, use the [image] and [image] buttons to arrange the property fields in the order you want them to appear in the report.
    5. Make sure the Show fields for this dimension in outline form check box is selected, and then click OK.
    6. If the levels for which you selected property fields aren't displayed in the report, click the field and then click Show Detail [image] on the PivotTable toolbar.

    Note In column fields, property fields are only displayed for items in the lowest level of detail displayed in the report. To display property fields for other levels, move the field to the row area.


Open the source of a link

  1. Switch to the workbook that contains the link.
  2. On the Edit menu, click Links.
  3. In the Source box, click the name of the workbook you want to open.
  4. Click Open Source.


Add a second axis

When the range of values for different data series in a 2-D chart varies widely, or when you have mixed types of data (such as price and volume), you can plot one or more data series on a secondary value (y) axis. The scale of the secondary axis reflects the values for the associated series.

  1. Click the data series you want to plot along a secondary value axis.
  2. On the Format menu, click Selected Data Series, and then click the Axis tab.
  3. Click Secondary axis.


Prepare workbooks to be reviewed and merged

To send workbooks for review by e-mail, you need Microsoft Outlook or another e-mail program installed and running on your computer.

  1. Open the workbook that you plan to send to other users for review.
  2. On the Tools menu, click Share Workbook, and then click the Editing tab.
  3. Select the Allow changes by more than one user at the same time check box.
  4. Click the Advanced tab.
  5. Under Track changes, click Keep change history for. In the Days box, type a number at least as long as the number of days you expect reviewers to spend making changes and comments, plus the time you'll need to collect and merge the copies.
  6. Click OK, and save the file.
  7. On the File menu, point to Send To, and then click Mail Recipient (for Review).
  8. In the To and Cc boxes, type the recipient names, separated by semicolons.

    If you want to use names from your address book instead, click the To or Cc button.

  9. Type a subject in the Subject box, and type or edit the introductory text before the attachment if you want.
  10. If Outlook is your mail program, customize the message.

    How?

    These options are available when you have an e-mail message open and you are using Microsoft Outlook.

    Importance and sensitivity level

    Change the importance level

    • To mark as very important, click Importance: High [image].

    • To mark as not important, click Importance: Low [image].

    Set a message flag

    Flagging a message adds a flag icon to it. You can use the flags to remind yourself to follow up on an issue or to indicate a request for someone else. You can also use flags to set a reminder for the message.

    1. Click Flag for Follow up [image].
    2. In the Flag to box, click the flag you want, or type your own.
    3. Enter a date and time in the Due by boxes.

    Mark a message as private, personal, or confidential

    1. In the message, click Options [image].
    2. In the Sensitivity box, click the option you want.
    Note Marking a message Private prevents the message from being modified after you send it.

    Security level

    Add security to messages

    1. In the message, click Options [image].

    2. Under Security, click Security Settings.

    3. Set the desired options.

      For Help on an option, click the question mark question mark, and then click the option.

    Track messages and replies

    Receive notification when a message is read or delivered

    1. In the message, click Options [image].

    2. Under Voting and tracking options, select the Request a delivery receipt for this message or Request a read receipt for this message check box.

    Add voting buttons to an e-mail message

    This feature requires Microsoft Exchange.
    1. In the message, click Options [image].
    2. Select the Use voting buttons check box, and then click the voting button names you want to use in the box.

      To create your own voting button names, delete the default button names, and then type any text you want. Separate the button names with semicolons.

    3. Under Delivery options, select the Save sent message to check box. To select a folder other than the Sent Items folder, click Browse.

    Save a copy of this message to a folder other than Sent Items

    1. In the message, click Options [image].

    2. Under Delivery options, select the Save sent message to check box.

    3. Click Browse, and then click the folder you want.

    Assign a message to a category

    A category is a keyword or phrase that helps you keep track of items so you can easily find, sort, filter, or group them.

    1. In the message, click Options [image].

    2. Click Categories.

    3. In the Available categories list, select the check boxes next to the categories you want, and then click OK.

    Delivery options

    Make a message unavailable after a specified date

    1. In the message, click Options [image].
    2. Under Delivery options, select the Expires after check box, and then enter the expiration date you want.

    Delay delivery of the message

    1. In the message, click Options [image].
    2. Under Delivery options, select the Do not deliver before check box, and then enter the delivery date and time you want.

      To enter a time, you must type in the box.

  11. Click Send [image] .
  12. When you receive the reviewed copies of the workbook, save each attachment in the same folder with a different name.

    How?

    Use the following steps for Outlook, or follow the steps for your e-mail program:

    1. On the File menu in the message, click Save Attachments.
    2. In the Save in box, click the folder where you're collecting the reviewed copies.
    3. In the File name box, type a new name for the workbook.
    4. Click Save.


Troubleshoot automatic corrections

Microsoft Excel won't stop correcting my data automatically.

To stop automatic corrections:

  1. On the Tools menu, click AutoCorrect Options.
  2. To prevent all automatic corrections, on the AutoCorrect tab, clear the Replace text as you type check box.

    To prevent specific corrections, clear the corresponding check box for the option.

    Note You can also stop AutoComplete, the feature that finishes typing a word that is used repeatedly in a column of a list after you type a few letters of the word or phrase.

    Click Options on the Tools menu, click the Edit tab, and then clear the Enable AutoComplete for cell values check box.

AutoCorrect keeps capitalizing words that follow an abbreviation.

To exclude specified text from automatic corrections, do the following:

  1. On the Tools menu, click AutoCorrect Options.
  2. On the AutoCorrect tab, click Exceptions.
  3. To prevent Excel from automatically capitalizing any word that is typed after an abbreviation, click the First Letter tab and type the abbreviation, including the period, in the Don't capitalize after box. The new abbreviation will appear in the list.

    To prevent Excel from automatically correcting a word that contains a mixture of uppercase and lowercase letters, click the INitial CAps tab, and then type the word in the Don't correct box.

  4. Click Add, and then click OK.

Excel isn't correcting entries I want corrected automatically.

To add AutoCorrect entries:

  1. Click Spelling [image].
  2. When the spell checker stops at an entry that is not in the dictionary, choose the correct spelling of the word, and then click AutoCorrect.

    Excel corrects every occurrence of the misspelling automatically.


Customize field names in an external data range

This procedure applies only to data retrieved from a database, not to data retrieved from a text file (*.txt) or a Web query (*.iqy).

  1. Insert a blank row above the external data range.

    How?

    1. Do one of the following:

      Insert new blank cells Select a range of cells where you want to insert the new blank cells. Select the same number of cells as you want to insert.

      Insert a single row Click a cell in the row immediately below where you want the new row. For example, to insert a new row above row 5, click a cell in row 5.

      Insert multiple rows Select rows immediately below where you want the new rows. Select the same number of rows as you want to insert.

      Insert a single column Click a cell in the column immediately to the right of where you want to insert the new column. For example, to insert a new column to the left of column B, click a cell in column B.

      Insert multiple columns Select columns immediately to the right of where you want to insert the new columns. Select the same number of columns as you want to insert.

    2. On the Insert menu, click Cells, Rows, or Columns.
    3. If you are inserting blank cells, click Shift cells right or Shift cells down to define where you want existing cells to move.

    Tip

    If there is formatting, you can use Insert Options Insert Options to choose how to set the formatting of the inserted cells, rows, or columns.

  2. Type the labels you want in the cells in the blank row.
  3. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  4. In the External Data Range Properties dialog box, under Data formatting and layout, clear the Include field names check box, and then click OK.
  5. To remove existing field names and refresh the external data range, click a cell in the external data range, and then click Refresh Data [image].

Note When you retrieve data from a database, changes to column names in Microsoft Query are retained in the external data range. For information about changing column names in the query, see Microsoft Query Help.


Preview a Web page

To get the most accurate view of what your page will look like when it is published, you should publish the page to a local location and view it in the Web browser.

  1. In the Publish dialog box, click Browse next to File name under Publish as, and choose a local disk folder as the location to which to publish.

  2. Select the Open published Web page in browser check box.

  3. Click Publish.

    Your published page is saved to the local drive you specified, and the page appears in your Web browser for you to preview.

  4. Make changes to the original workbook from which you published, and when you're satisfied with the results, change the location to which you save the Web page from your local disk folder to the public location, and republish.

Note When you're saving an entire workbook as a noninteractive Web page, you can preview the page without publishing it by clicking Web Page Preview on the File menu.


Print a custom view

  1. On the View menu, click Custom Views.
  2. In the Views box, click the name of the view you want to print.
  3. Click Show.
  4. Click Print [image].

Note Microsoft Excel saves previously defined print areas for each sheet in the workbook with your view. If a sheet has no defined print areas, Microsoft Excel prints the entire worksheet.


Prevent changes to a scenario

  1. On the Tools menu, click Scenarios.
  2. In the Scenarios box, click the name of the scenario.
  3. Click Edit.
  4. Do one of the following:
    • To prevent others from making changes to your scenarios, select the Prevent changes check box.

    • To remove a scenario from the list in the Scenario Manager dialog box, select the Hide check box.

  5. Click OK.
  6. In the Scenario Values dialog box, click OK, and then click Close.
  7. On the Tools menu, point to Protection, and then click Protect Sheet.
  8. Select the Protect worksheet and contents of locked cells check box, and make sure the Edit scenarios check box is clear.

Note You can add scenarios when a worksheet is protected, but you cannot edit or delete existing scenarios while a worksheet is protected unless you clear the Prevent changes check box in the Edit Scenario dialog box. You can still edit the values in changing cells on the worksheet unless the cells are locked.


Password protect a worksheet or workbook

Protect worksheet elements

Protect worksheet elements from all users

  1. Switch to the worksheet you want to protect.

  2. Unlock any cells you want users to be able to change: select each cell or range, click Cells on the Format menu, click the Protection tab, and then clear the Locked check box.

  3. Hide any formulas that you don't want to be visible: select the cells with the formulas, click Cells on the Format menu, click the Protection tab, and then select the Hidden check box.

  4. Unlock any graphic objects you want users to be able to change.

    How?

    You don't need to unlock buttons or controls for users to be able to click and use them. You can unlock embedded charts, text boxes, and other objects created with the drawing tools that you want users to be able to modify. To see which elements on a worksheet are graphic objects, click Go To on the Edit menu, click Special, and then click Objects.

    1. Hold down CTRL and click each object that you want to unlock.
    2. On the Format menu, click the command for the object you selected: AutoShape, Object, Text Box, Picture, Control, or WordArt.
    3. Click the Protection tab.
    4. Clear the Locked check box, and if present, clear the Lock text check box.

  5. On the Tools menu, point to Protection, and then click Protect Sheet.

  6. Type a password for the sheet.

    Note The password is optional; however, if you don't supply a password, any user will be able to unprotect the sheet and change the protected elements. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

  7. In the Allow all users of this worksheet to list, select the elements that you want users to be able to change.

  8. Click OK, and if prompted retype the password.

Give specific users access to protected ranges

You must have Windows 2000 to give specific users access to ranges.

  1. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges. (This command is available only when the worksheet is not protected.)

  2. Click New.

  3. In the Title box, type a title for the range you're granting access to.

  4. In the Refers to cells box, type an equal sign (=), and then type a reference or select the range.

  5. In the Range password box, type a password to access the range.

    The password is optional; if you don't supply a password, any user will be able to edit the cells.

  6. Click Permissions, and then click Add.

  7. Locate and select the users to whom you want to grant access. If you want to select multiple users, hold down CTRL while you click the names.

  8. Click OK twice, and if prompted retype the password.

  9. Repeat the previous steps for each range for which you're granting access.

  10. To retain a separate record of the ranges and users, select the Paste permissions information into a new workbook check box in the Allow Users to Edit Ranges dialog box.

  11. Protect the worksheet: Click Protect Sheet in the Allow Users to Edit Ranges dialog box.

  12. In the Protect Sheet dialog box, make sure the Protect worksheet and contents of locked cells check box is selected, type a password for the worksheet, click OK, and retype the password to confirm.

Note A sheet password is required to prevent other users from being able to edit your designated ranges. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

Protect workbook elements and files

Protect workbook elements

  1. On the Tools menu, point to Protection, and then click Protect Workbook.

  2. Do one or more of the following:

    • To protect the structure of a workbook so that worksheets in the workbook can't be moved, deleted, hidden, unhidden, or renamed, and new worksheets can't be inserted, select the Structure check box.

    • To protect windows so that they are the same size and position each time the workbook is opened, select the Windows check box.

    • To prevent others from removing workbook protection, type a password, click OK, and then retype the password to confirm it.

Protect a shared workbook

  1. If the workbook is already shared, and you want to assign a password to protect the sharing, unshare the workbook.

    How?

    1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.
    2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

      How?

      1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
      2. In the When box, click All.
      3. Clear the Who and Where check boxes.
      4. Select the List changes on a new sheet check box, and then click OK.
      5. Do one or more of the following:
        • To print the History worksheet, click Print [image].
        • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

        Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

    3. On the Tools menu, click Share Workbook, and then click the Editing tab.
    4. Make sure that you are the only person listed in the Who has this workbook open now box.
    5. Clear the Allow changes by more than one user at the same time check box.

      If this check box is not available, you must unprotect the workbook before clearing the check box.

      How?

      1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.
      2. Enter the password if prompted, and then click OK.
      3. On the Tools menu, click Share Workbook, and then click the Editing tab.
    6. When prompted about the effects on other users, click Yes.

  2. Set other types of protection if you want: Give specific users access to ranges, protect worksheets, protect workbook elements, and set passwords for viewing and editing.

  3. On the Tools menu, point to Protection, and then click Protect Shared Workbook or Protect and Share Workbook.

  4. Select the Sharing with track changes check box.

  5. If you want to require other users to supply a password to turn off the change history or remove the workbook from shared use, type the password in the Password box, and then retype the password when prompted.

  6. If prompted, save the workbook.

Protect a workbook file from viewing or editing

  1. On the File menu, click Save As.

  2. On the Tools menu, click General Options.

  3. Do either or both of the following:

    • If you want users to enter a password before they can view the workbook, type a password in the Password to open box, and then click OK.

    • If you want users to enter a password before they can save changes to the workbook, type a password in the Password to modify box, and then click OK.

  4. When prompted, retype your passwords to confirm them.

  5. Click Save.

  6. If prompted, click Yes to replace the existing workbook.


Create a macro

Record a macro

  1. Set the security level to Medium or Low.

    How?

    1. On the Tools menu, click Options.
    2. Click the Security tab.
    3. Under Macro Security, click Macro Security.
    4. Click the Security Level tab, and then select the security level you want to use.
  2. On the Tools menu, point to Macro, and then click Record New Macro.
  3. In the Macro name box, enter a name for the macro.

    Notes

    • The first character of the macro name must be a letter. Other characters can be letters, numbers, or underscore characters. Spaces are not allowed in a macro name; an underscore character works well as a word separator.

    • Do not use a macro name that is also a cell reference or you can get an error message that the macro name is not valid.

  4. If you want to run the macro by pressing a keyboard shortcut key, enter a letter in the Shortcut key box. You can use CTRL+ letter (for lowercase letters) or CTRL+SHIFT+ letter (for uppercase letters), where letter is any letter key on the keyboard. The shortcut key letter you use cannot be a number or special character such as @ or #.

    Note The shortcut key will override any equivalent default Microsoft Excel shortcut keys while the workbook that contains the macro is open.

  5. In the Store macro in box, click the location where you want to store the macro.

    If you want a macro to be available whenever you use Excel, select Personal Macro Workbook.

  6. If you want to include a description of the macro, type it in the Description box.

  7. Click OK.

  8. If you want the macro to run relative to the position of the active cell, record it using relative cell references. On the Stop Recording toolbar, click Relative Reference [image] so that it is selected. Excel will continue to record macros with relative references until you quit Excel or until you click Relative Reference [image] again, so that it is not selected.

  9. Carry out the actions you want to record.
  10. On the Stop Recording toolbar, click Stop Recording [image].

Create a macro using Microsoft Visual Basic

  1. On the Tools menu in Microsoft Excel, point to Macro, and then click Visual Basic Editor.
  2. On the Insert menu, click Module.
  3. Type or copy your code into the code window of the module.
  4. If you want to run the macro from the module window, press F5.
  5. When you're finished writing your macro, click Close and Return to Microsoft Excel on the File menu.

Create a startup macro

Automatic macros, such as Auto_Activate, are designed to run when you start Microsoft Excel. For more information about these macros, see Visual Basic Help.

Copy part of a macro to create another macro

  1. Set the security level to Medium or Low.

    How?

    1. On the Tools menu, click Options.
    2. Click the Security tab.
    3. Under Macro Security, click Macro Security.
    4. Click the Security Level tab, and then select the security level you want to use.
  2. Open the workbook that contains the macro you want to copy.
  3. On the Tools menu, point to Macro, and then click Macros.
  4. In the Macro name box, enter the name of the macro that you want to copy.
  5. Click Edit.
  6. Select the lines of the macro you want to copy.

    To copy the entire macro, make sure to include the Sub and End Sub lines in the selection.

  7. On the Standard toolbar, click Copy [image].
  8. Switch to the module where you want to place the code.
  9. Click Paste [image].

Tip

You can view your Personal Macro Workbook file (Personal.xls) at any time by opening it in the Visual Basic Editor (Alt+F11). Because Personal.xls is a hidden workbook that is always open, you must unhide it if you want to copy a macro.


Change the source of a link

Change the source workbook for all links that use the source

  1. Open the workbook that contains the link.
  2. On the Edit menu, click Links.
  3. In the Source box, click the name of the link whose source you would like to change.
  4. Click Change Source.
  5. In the Change Source dialog box, click the source workbook you want to refer to.

Change the source of one link without affecting other links that use the source

  1. Select the cell with the link.
  2. In the formula bar Formula bar, look for a reference to another workbook, such as C:\Reports\[Budget.xls], and change it to the name of the new workbook.


Run a query in the background or while you wait

Running a query in the background allows you to use Microsoft Excel while the query runs.

  1. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  2. Select the Enable background refresh check box to run the query in the background or clear it to run the query while you wait.

Notes

  • Stop a query To stop a query from running when Enable background refresh is turned off, press ESC.
  • Stop a background refresh To stop a query that is running in the background, double-click the Background Refresh Background refresh icon on the status bar to display the External Data Refresh Status dialog box, and then click Stop Refresh.
  • Recording a macro While you are recording a macro that includes a query, Excel will not run the query in the background. To change the recorded macro so that it runs in the background, edit the macro in the Visual Basic Editor and change the refresh method for the QueryTable object from "BackgroundQuery := False" to "BackgroundQuery := True". For information about editing macros, see Visual Basic Help.


Refresh an offline cube file

Refreshing a cube file, which recreates it with the most recent data from the server cube, can be time consuming and require a lot of temporary disk space. Start the process at a time when you do not need immediate access to other files, and make sure you have adequate disk space to resave the file.

  1. Make sure you are connected to your network and can access the original server database that supplied the data in the offline cube file. If you aren't sure what original database was used to supply the data for the cube, consult the person who created the PivotTable or PivotChart report or the cube.
  2. Click a report that's based on the offline cube file that you want to refresh.
  3. On the PivotTable toolbar, click Refresh Data [image].

    To cancel a refresh in progress, press ESC.

Note When you work with OLAP data offline, do not put the .cub file in the Windows briefcase. Excel does not use the briefcase to synchronize the offline cube file with the server database.


Import a text file

  1. Click the cell where you want to put the data from the text file.

    To ensure that the external data does not replace existing data, make sure that the worksheet has no data below or to the right of the cell you click.

  2. On the Data menu, point to Import External Data, and then click Import Data.
  3. In the Files of type box, click Text Files.
  4. In the Look in list, locate and double-click the text file you want to import as an external data range.
  5. To specify how you want to divide the text into columns, follow the instructions in the Text Import Wizard, and then click Finish.
  6. In the Import Data dialog box, click Properties to set formatting and layout options for the imported data.
  7. In the Import Data dialog box, do one of the following:

    • To return the data to the location you selected, click Existing worksheet, and then click OK.

    • To return the data to a new worksheet, click New worksheet, and then click OK. Microsoft Excel adds a new worksheet to your workbook and automatically puts the external data range in the upper-left corner of the new worksheet.


Link chart data labels to worksheet cells

If you have changed the data label text on a chart, the data label is no longer linked to a worksheet cell.

  1. Click a data marker in the data series associated with the data labels whose links you want to reestablish.
  2. On the Format menu, click Selected Data Series, and then click the Data Labels tab.
  3. Select the Automatic text check box.

Note In PivotChart reports, this procedure reestablishes links between data labels and source data (not worksheet cells).

To reestablish links between data labels and worksheet cells for all data series in the chart

  1. Click the chart, and then click Chart Options on the Chart menu.
  2. On the Data Labels tab, select the Automatic text check box.


Remove an outline

No data is deleted when you remove an outline.

  1. Click the worksheet.
  2. On the Data menu, point to Group and Outline, and then click Clear Outline.
  3. If rows or columns are still hidden, drag across the visible row or column headings on both sides of the hidden rows and columns, point to Row or Column on the Format menu, and then click Unhide.

Notes

  • You can also ungroup sections of the outline without removing the entire outline. Hold down SHIFT while you click the Plus box or Minus box for the group, then point to Group and Outline on the Data menu and click Ungroup.
  • To hide the outline without removing it, display all of the data by clicking the highest number in the one two three outline symbols, click Options on the Tools menu, click the View tab, and then clear the Outline symbols check box.


Remove data validation

  1. Select the cells where you no longer want to validate data.

    To remove data validation from all similar cells or from all cells that have validation on a worksheet, find the cells.

    How?

    Find all cells with data validation

    1. On the Edit menu, click Go To.
    2. Click Special.
    3. Click Data validation.
    4. Click All.

    Find cells that match certain data validation settings

    1. Click a cell that has the data validation settings for which you want to find matches.
    2. On the Edit menu, click Go To.
    3. Click Special.
    4. Click Data validation.
    5. Click Same.
  2. On the Data menu, click Validation, and then do one of the following:

    If prompted to erase current settings and continue, click OK, and then click Cancel.

    If the Data Validation dialog box appears, click the Settings tab, and then click Clear All.


Delete an external data range

  1. Click the worksheet that contains the external data range you want to delete.
  2. On the formula bar, click the arrow next to the Name box, and then click the name of the external data range you want to delete.
  3. To delete the external data range or the entire worksheet including the external data range but not the underlying query, click Delete or Delete Sheet on the Edit menu.

    If you press DELETE on the keyboard instead of clicking Delete on the Edit menu, Microsoft Excel clears the external data range and prompts you to choose whether to delete the underlying query.

Tip

You can create a report template that removes the external data range but retains the underlying query on a worksheet when you close it.


Freeze data in an external data range

Freezing an external data range retains the data but not its underlying query, so a frozen external data range cannot be refreshed.

  1. Click a cell in the external data range that you want to freeze, and then click Data Range Properties [image] on the External Data toolbar.
  2. Under Query definition, clear the Save query definition check box.

Note When you save your workbook, the underlying query is deleted from the workbook. However, the saved database query files (*.dqy or *.odc files) are not deleted. If you saved the query when you created it in the Query Wizard or in Microsoft Query, the query file is saved on your computer and you can use it again to retrieve external data. For more information, see Microsoft Query Help.


Remove subtotals

When you remove subtotals, Microsoft Excel also removes the outline and any page breaks that you inserted into the list along with the subtotals.

  1. Click a cell in the list that contains subtotals.
  2. On the Data menu, click Subtotals.
  3. Click Remove All.


Rename a sheet

  1. To rename the active sheet, on the Format menu, point to Sheet and then click Rename.

    Sheet tabs with Sheet2 selected

  2. Type the new name over the current name.


Rename a field or item in a PivotChart report

Rename a field

  1. Double-click the field button for the field you want to rename.
  2. In the PivotTable Field dialog box, type a new name in the Name box.

Rename an item

  1. Click the associated PivotTable report for the PivotChart report.
  2. Click the item you want to rename.
  3. Type a new name and press ENTER.


Replace an entire formula with its result

Caution When you replace a formula with its value, Microsoft Excel permanently removes the formula. If you accidentally replace a formula with a value and want to restore the formula, click Undo [image] immediately after you enter or paste the value.

  1. Select the cell that contains the formula.

    If the formula is an array formula, select the range that contains the array formula.

    How?

    1. Click a cell in the array formula.
    2. On the Edit menu, click Go To.
    3. Click Special.
    4. Click Current array.
  2. Click Copy [image].
  3. Click Paste [image] on the Standard toolbar.
  4. Click the arrow next to Paste Options [image], and then click Values Only.


Change cell references in formulas to names

  1. Do one of the following:
    • Select the range of cells that contains formulas in which you want to replace references with names.

    • Select a single cell to change the references to names in all formulas on the worksheet.

  2. On the Insert menu, point to Name, and then click Apply.
  3. In the Apply names box, click one or more names.


Replace text or numbers

  1. Select the range of cells you want to search.

    If you want to search the entire worksheet, click any cell in the worksheet.

  2. On the Edit menu, click Replace.
  3. In the Find what box, enter the text or numbers you want to search for or choose a recent search from the Find what drop down box.

    Note You can use wildcard characters in your search criteria.

  4. If you want to specify a format for your search, click Format and make your selections in the Find Format dialog box.

    If Format is not available in the Find and Replace dialog box, click Options and then click Format.

  5. Click Options to further define your search. For example, you can search for all of the cells that contain the same kind of data, such as formulas.

    In the Within box, you can select Sheet or Workbook to search a worksheet or an entire workbook.

  6. In the Replace with box, enter the replacement characters and specific formats if necessary.

    If you want to delete the characters in the Find what box, leave the Replace with box blank.

  7. Click Find Next.
  8. To replace the highlighted occurrence or all occurrences of the found characters, click Replace or Replace All.

Note To cancel a search in progress, press ESC.


Change the position of data labels automatically

You can change the position of a single data label by dragging it. Use this procedure to place all labels for a data series in a standard position on their data markers in 2-D bar, column, and line charts; 2-D and 3-D pie charts; and scatter and bubble charts.

  1. Click the chart outside of the data labels that you want to change.
  2. Click one of the data labels in the series that you want to change.
  3. On the Format menu, click Selected Data Labels, and then click the Alignment tab.
  4. In the Label position box, click the location you want.


Reconnect to an OLAP server

  1. Click the PivotTable report.

    For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Offline OLAP.
  3. Click On-line OLAP, and then click OK.
  4. If prompted to locate the data source, click Browse to find source, and locate the OLAP server on your network.

Note If the report was created from a data source that connects directly to the offline cube file, you cannot reconnect the file to the server. For information about connecting to the OLAP database server from which the .cub file was originally created, contact the person who created the offline cube file.


Work with OLAP data offline

  1. Open a PivotTable or PivotChart report based on the OLAP data that you want to access offline.

  2. Is this the first time you're going offline? If so, create an offline cube file on your local hard disk.

    How?

    If your server database is not an OLAP database, and you accessed the data by creating a query in Microsoft Query, use Query to create the cube file. For full instructions, see Help in Microsoft Query.

    1. Click the PivotTable report for which you want to create an offline cube file.

      For a PivotChart report, click the associated PivotTable report.

    2. On the PivotTable toolbar, click PivotTable, and then click Offline OLAP.
    3. Click Create offline data file, or if an offline cube file already exists for the report, click Edit offline data file.
    4. In step 1 of the Offline Cube Wizard, click Next.
    5. In step 2 of the wizard, select each dimension from your server cube that has data you want to include in the offline cube file. Click the Plus box box next to each such dimension, and select the levels you want to include.
      • You cannot skip intermediate levels within a dimension.
      • To reduce the size of the cube file, omit lower levels that you don't need to view in the report.
      • Be sure to include any dimensions where you've grouped items, so that Microsoft Excel can maintain these groupings when you switch between the server database and the offline file.
      • Dimensions that do not have a Plus box box don't allow you to exclude levels. You can only include or exclude all of this type of dimension.
    6. In step 3 of the wizard, click the Plus box box next to Measures, and select the fields you want to use as data fields in the report. You must select at least one measure. For each dimension listed below Measures, click the Plus box box beside the dimension, and then select the top-level items to include in the offline cube file.
      • To limit the size of the cube file so that you don't run out of disk space and to reduce the amount of time to save the file, select only the items you need to view in the report. Any item properties available for the items you select are automatically included in the cube.
      • If items you want to include are missing, you may not have included the dimension containing them in the previous step. Click Back and select the missing dimension in step 2 of the wizard, then return to step 3.
    7. In step 4 of the wizard, specify a name and location for the .cub file, and then click Finish.

    Note To cancel saving the file, click Stop in the Create Cube File – Progress dialog box.

    When Microsoft Excel finishes saving the file, proceed to the last step of this procedure.

  3. Have you taken this report offline before, so that you already have an offline cube file on your hard disk? If so, reconnect to it.

    How?

    1. Click the PivotTable report, or for a PivotChart report, click the associated PivotTable report.
    2. Click PivotTable on the PivotTable toolbar, and then click Offline OLAP.
    3. Click On-line OLAP, and then click OK.

  4. Does the server have new data since you created the offline cube file? If so, click Refresh Data [image], and wait for the file to be recreated and saved with the new data.

  5. Disconnect from your network.

Note Do not put the .cub file in the Windows briefcase. Excel does not use the briefcase to synchronize the offline cube file with the server database.


Reset a number format

  1. Select the cells you want to reformat to the default number format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click General.


Reapply the default Solver settings

  1. On the Tools menu, click Solver.
  2. To return the settings to their original values, click Reset All.


Reset workbook and worksheet settings

  1. If you want to keep your Book.xlt or Sheet.xlt files, rename them and save them in the Templates folder, usually located at:

    C:\Documents and Settings\user_name\Application Data\Microsoft\Templates

  2. Do one or more of the following:
    • In Microsoft Windows Explorer, remove any template files from the XLStart folder. The XLStart folder is usually located at:

      C:\Program Files\Microsoft Office\Office10\XLStart

    • If the files aren't in the XLStart folder, look in the folder specified in the At startup, open all files in box on the General tab in the Options dialog box (Tools menu).
    • To restore original settings for workbooks, remove Book.xlt

      To restore original settings for worksheets, remove Sheet.xlt


Remove the split from a window or unfreeze a pane

  • To restore a window that has been split into two scrollable areas, double-click any part of the split bar that divides the panes.

  • To remove non-scrolling "frozen" panes, click Unfreeze Panes on the Window menu.


Remove protection and passwords

Remove user permissions for a range

  1. Switch to the protected worksheet.
  2. On the Tools menu, point to Protection, and then click Unprotect Sheet.
  3. If prompted, enter the protection password for the worksheet.
  4. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges.
  5. In the Ranges unlocked by a password when cell is protected list, click the range for which you want to remove permissions.
  6. Click Delete.

Remove protection from a worksheet

  1. Switch to the protected worksheet.
  2. On the Tools menu, point to Protection, and then click Unprotect Sheet.
  3. If prompted, enter the protection password for the worksheet.

Remove protection from a workbook

  1. Open the protected workbook.
  2. On the Tools menu, point to Protection, and then click Unprotect Workbook.
  3. If prompted, enter the protection password for the workbook.

Remove protection from a shared workbook

Removing protection when a password is in use also unshares the workbook, disconnecting other users from the workbook and erasing the change history. If no password is in effect, the workbook remains shared after you unprotect it.

  1. Open the protected workbook
  2. On the Tools menu, point to Protection, and then click Unprotect Shared Workbook.
  3. If prompted, enter the password for the workbook.
  4. If prompted about the effects on other users of removing protection, click Yes.

Remove the password for viewing or editing a workbook file

  1. Open the workbook.
  2. On the File menu, click Save As.
  3. On the Tools menu, click General Options.
  4. In the Password to open or Password to modify box, or both boxes, double-click the asterisks and then press the DELETE key.
  5. Click OK, and then click Save.
  6. Click Yes to replace the existing workbook.


Reverse the plotting order of categories, values, or series

You can reverse the plotting order of categories or values for most charts, as well as of data series for 3-D charts with a third axis. You cannot reverse the plotting order of values in a radar chart.

  1. Click the axis for the categories, values, or series whose plotting order you want to change.
  2. On the Format menu, click Selected Axis, and then click the Scale tab.
  3. To reverse the plotting order, do one of the following:
    • For categories, select the Categories in reverse order check box.

    • For values, select the Values in reverse order check box.

    • For series in 3-D charts, select the Series in reverse order check box.


Review all comments in a workbook

  1. On the View menu, click Comments.
  2. To review each comment, do one or more of the following:

    To view in sequence, starting from the selected cell, click Next Comment [image] on the Reviewing toolbar.

    To view in reverse order, click Previous Comment [image].


Accept and reject changes

  1. On the Tools menu, point to Track Changes, and then click Accept or Reject Changes.
  2. If prompted to save the workbook, click OK.
  3. Select the changes to review:

    Changes made after a particular date Select the When check box, click Since date, and then type the earliest date for which you want to review the changes.

    Changes made by another user Select the Who check box, and then click the user whose changes you want to review.

    Changes made by all users Clear the Who check box.

    Changes to a specific area Select the Where check box, and then enter a range reference, or select a range on the worksheet.

    Changes to the entire workbook Clear the Where check box.

  4. Click OK and begin reviewing the information about each change in the Accept or Reject Changes dialog box. The information includes other changes that are affected by the action you take for a change. You may need to scroll to see all of the information.

    To accept or reject each change, click Accept or Reject. The History worksheet records a rejection with "Undo" or "Result of rejected action" in the Action Type column.

    If prompted to select a value for a cell, click the value you want, and then click Accept.

Notes

  • You must accept or reject a change before you can advance to the next change.
  • You can accept or reject all remaining changes at once by clicking Accept All or Reject All.


Rotate chart title text or axis text

  1. Click the title or the axis you want to format.
  2. If you clicked a chart title, click Selected Chart Title on the Format menu.

    If you clicked an axis or axis title, click Selected Axis or Selected Axis Title on the Format menu.

  3. Click the Alignment tab.

    If you don't see the Alignment tab, click Cancel, click outside of the text you want to format, and then repeat the procedure.

  4. To rotate text, under Orientation, click a degree point, or drag the indicator to the position you want.

Note When you have more than one level of category axis labels, only the first level (the level closest to the axis) can be rotated.

Tip

To quickly rotate selected text 45 degrees up or down, click Angle Text Upward [image] or Angle Text Downward [image] on the Chart toolbar.


Import data

You can use these procedures to import data from most data sources, including OLAP databases.

For information about filtering or joining data before you import it into Microsoft Excel, see Microsoft Query Help.

  1. On the Data menu, point to Import External Data, and then click Import Data.

  2. Do one of the following:

    Open an existing data source

    • In the Select Data Source dialog box, select a data source from My Data Sources, and then click Open.

    Create a new data source connection

    1. In the Select Data Source dialog box, click New Source.
    2. In the Data Connection Wizard, choose a data source to connect to, and then click Next.

      Notes

      • If you cannot find the data source you want, contact your system administrator.
      • If you choose Other/Advanced under What kind of data source do you want to connect to?, you are given a list of OLE DB providers. For more information about connecting to a provider, see your OLE DB provider documentation.
    3. Provide the information requested by the Data Connection Wizard dialog boxes.
  3. If you want, you can do the following in the Import Data dialog box:
    • Click Properties to choose query definition, refresh, and formatting and layout options, and then click OK.
    • Click Edit Query to edit the Connection, Command Type, and Command Text of your OLE DB query.
    • For a query created with Microsoft Query or for a Web query, click Parameters to specify how a parameter value is obtained for the external data range.
  4. Do one of the following:

    • To return the external data to the selected worksheet, click Existing worksheet. On your worksheet, click the cell where you want to place the upper-left corner of the external data range, and then click OK.

    • To return the external data to a new worksheet, click New worksheet, and then click OK. Excel adds a new worksheet to your workbook and automatically puts the external data range in the upper-left corner of the new worksheet.


Run a macro

Run a macro

  1. Set the security level to Medium or Low.

    How?

    1. On the Tools menu, click Options.
    2. Click the Security tab.
    3. Under Macro Security, click Macro Security.
    4. Click the Security Level tab, and then select the security level you want to use.
  2. Open the workbook that contains the macro.
  3. On the Tools menu, point to Macro, and then click Macros.
  4. In the Macro name box, enter the name of the macro you want to run.
  5. Do one of the following:

    Run a macro in a Microsoft Excel workbook

    • Click Run.

      If you want to interrupt, press ESC.

    Run a macro from a Microsoft Visual Basic module

    1. Click Edit.
    2. Click Run Sub/UserForm Run Sub/UserForm button.

    Tip

    If you want to run a different macro while you are in the Visual Basic Editor, click Macros on the Tools menu. In the Macro name box, enter the name of the macro you want to run, and then click Run.

Start a macro from a keyboard shortcut

  1. On the Tools menu, point to Macro, and then click Macros.
  2. In the Macro name box, enter the name of the macro you want to assign to a keyboard shortcut key.
  3. Click Options.
  4. If you want to run the macro by pressing a keyboard shortcut key, enter a letter in the Shortcut key box. You can use CTRL+ letter (for lowercase letters) or CTRL+SHIFT+ letter (for uppercase letters), where letter is any letter key on the keyboard. The shortcut key letter you use cannot be a number or special character such as @ or #.

    Note The shortcut key will override any equivalent default Microsoft Excel shortcut keys while the workbook that contains the macro is open.

  5. If you want to include a description of the macro, type it in the Description box.

  6. Click OK.
  7. Click Cancel.

Start a macro from a button or graphic control

  1. Click the button or graphic control so that sizing handles appear.
  2. With the graphic object selected, right-click a sizing handle of the button or graphic object to display the shortcut menu.
  3. On the shortcut menu, click Assign Macro.
  4. Do one of the following:
    • To assign an existing macro to the button or graphic object, enter the name of the macro in the Macro name box, and then click OK.

    • To record a new macro to assign to the selected graphic object, click Record. When you finish recording the macro, click Stop Recording [image] on the Stop Recording toolbar.

    • To write a new macro in the Visual Basic Editor, click New. To edit an existing macro, click the name of the macro in the Macro Name box, and then click Edit.

Note If you assign a macro to a button or other object that is already in use as a hyperlink, the hyperlink information is deleted. From then on, clicking the button or object runs the macro instead.

Start a macro from an area, or hotspot, on a graphic object

  1. Draw another object to create a hot spot for an existing object.
  2. With the second graphic object selected, right-click a sizing handle of the button or graphic object to display the shortcut menu.
  3. On the shortcut menu, click Assign Macro.
  4. Do one of the following:
    • To assign an existing macro to the button or graphic object, enter the name of the macro in the Macro name box, and then click OK.

    • To record a new macro to assign to the selected graphic object, click Record. When you finish recording the macro, click Stop Recording [image] on the Stop Recording toolbar.

    • To write a new macro in the Visual Basic Editor, click New. To edit an existing macro, click the name of the macro in the Macro Name box, and then click Edit.

  5. On the Format menu, click AutoShape, and then click the Color and Lines tab.
  6. Under Fill, click No Fill in the Color box. Under Line, click No Line in the Color box.
  7. Repeat these steps for each hotspot you want to create. You do not need to create a new graphic object for each hotspot.

Start a macro from a toolbar button

  1. On the Tools menu, click Customize.
  2. Do one of the following:
    • If the toolbar that contains the button is not visible, click the Toolbars tab, and then select the check box next to the toolbar name.
    • If the button you want to run the macro from is not on a toolbar, click the Commands tab, and then click Macros in the Categories list. In the Commands list, drag the Custom button onto a toolbar.
  3. Right-click the toolbar button, and then click Assign Macro on the shortcut menu.
  4. Enter the name of the macro in the Macro name box, and then click OK.


Query data for a PivotTable or PivotChart report in the background or while you wait

This setting is not available in reports based on OLAP source data.

  1. Click the report.
  2. On the PivotTable toolbar, click PivotTable or PivotChart, and then click Table Options or Options.
  3. Do one of the following:

    To wait during queries until retrieval is complete, clear the Background query check box.

    To query in the background so that you can continue working in Microsoft Excel, select the Background query check box.

  4. To run the query with the new setting, click Refresh Data [image] on the PivotTable toolbar.

    To stop a query that's running while you wait, press ESC. To check on progress or stop a background query, double-click the refresh indicator icon on the status bar to display the External Data Refresh Status dialog box, and then click Stop Refresh.

Note When you record a macro that includes a query, Microsoft Excel runs the query while you wait. To change the macro to query in the background, use the Visual Basic Editor and change the statement "BackgroundQuery := False" to "BackgroundQuery := True".


Format numbers using Thai digits

  1. Select the cells that you want to display Thai numerals.
  2. On the Format menu, click Cells and then click the Number tab.
  3. Under Category, click Custom.
  4. Under Type, do one of the following:

    • Choose a custom number format that has the Thai (t) designation — for example, t#,##0.

    • Choose a custom number format and type the letter (t) in front of the format.

Note It is also possible to format Date, Time, and Special formats using Thai digits by changing the locale selected in the Locale (location) box for those categories on the Number tab, and then selecting a number format in the Type box.


Convert Arabic numbers to Thai text format

  1. Click the cell in which you want to enter the formula.
  2. Type =BahtText(arabic number), where arabic number is the number you want to convert to Thai text.


Use Thai numbers and dates in headers and footers

  1. On the View menu, click Header and Footer.
  2. To customize your headers and footers, click the Custom Header or Custom Footer button, and change the text after the ampersand (&) and between the brackets according to the following table.
To display | Use this code
Page numbers with Thai numbers |
Total page numbers with Thai numbers |
Date with Thai numbers in Buddhist calendar |
Time with Thai numbers in 24 hour format |


Save a Solver problem model

  1. Define and solve a problem.

    How?

    1. On the Tools menu, click Solver.

      If the Solver command is not available on the Tools menu, you need to install the Solver add-in program.

      How?

      1. On the Tools menu, click Add-Ins.

      2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

      3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
      4. If necessary, follow the instructions in the setup program.
    2. In the Set Target Cell box, enter a cell reference or name for the target cell. The target cell must contain a formula.
    3. Do one of the following:
      • To have the value of the target cell be as large as possible, click Max.

      • To have the value of the target cell be as small as possible, click Min.

      • To have the target cell be a certain value, click Value of, and then type the value in the box.

    4. In the By Changing Cells box, enter a name or reference for each adjustable cell, separating nonadjacent references with commas. The adjustable cells must be related directly or indirectly to the target cell. You can specify up to 200 adjustable cells.

      If you want to have Solver automatically propose the adjustable cells based on the target cell, click Guess.

    5. In the Subject to the Constraints box, enter any constraints you want to apply.

      How?

      Add a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click Add.
      2. In the Cell Reference box, enter the cell reference or name of the cell range for which you want to constrain the value.
      3. Click the relationship ( <=, =, >=, Int, or Bin ) that you want between the referenced cell and the constraint. If you click Int, "integer" appears in the Constraint box. If you click Bin, "binary" appears in the Constraint box.
      4. In the Constraint box, type a number, a cell reference or name, or a formula.
      5. Do one of the following:
        • To accept the constraint and add another, click Add.

        • To accept the constraint and return to the Solver Parameters dialog box, click OK.

      Notes

      • You can apply the Int and Bin relationships only in constraints on adjustable cells.

      • When the Assume Linear Model check box on the Solver Options dialog box is selected, there is no limit on the number of constraints. For nonlinear problems, each adjustable cell can have up to 100 constraints, in addition to bounds and integer restrictions on the variables.

      Change or delete a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click the constraint that you want to change or delete.
      2. Click Change and then make your changes, or click Delete.
    6. Click Solve and do one of the following:
      • To keep the solution values on the worksheet, click Keep Solver Solution in the Solver Results dialog box.

      • To restore the original data, click Restore Original Values.

    Tip

    You can interrupt the solution process by pressing ESC. Microsoft Excel recalculates the worksheet with the last values found for the adjustable cells.
  2. On the Tools menu, click Solver.
  3. Click Options.
  4. Click Save Model.
  5. Enter the reference for the first cell of a vertical range of empty cells in which you want to place the problem model.

Tip

You can save the last selections in the Solver Parameters dialog box with a worksheet by clicking Save on the File menu. You can also define more than one problem for a worksheet by using Save Model to save problems individually.


Save adjustable cell values in Solver as a scenario

  1. Define a problem.

    How?

    1. On the Tools menu, click Solver.

      If the Solver command is not available on the Tools menu, you need to install the Solver add-in program.

      How?

      1. On the Tools menu, click Add-Ins.

      2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

      3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
      4. If necessary, follow the instructions in the setup program.
    2. In the Set Target Cell box, enter a cell reference or name for the target cell. The target cell must contain a formula.
    3. Do one of the following:
      • To have the value of the target cell be as large as possible, click Max.

      • To have the value of the target cell be as small as possible, click Min.

      • To have the target cell be a certain value, click Value of, and then type the value in the box.

    4. In the By Changing Cells box, enter a name or reference for each adjustable cell, separating nonadjacent references with commas. The adjustable cells must be related directly or indirectly to the target cell. You can specify up to 200 adjustable cells.

      If you want to have Solver automatically propose the adjustable cells based on the target cell, click Guess.

    5. In the Subject to the Constraints box, enter any constraints you want to apply.

      How?

      Add a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click Add.
      2. In the Cell Reference box, enter the cell reference or name of the cell range for which you want to constrain the value.
      3. Click the relationship ( <=, =, >=, Int, or Bin ) that you want between the referenced cell and the constraint. If you click Int, "integer" appears in the Constraint box. If you click Bin, "binary" appears in the Constraint box.
      4. In the Constraint box, type a number, a cell reference or name, or a formula.
      5. Do one of the following:
        • To accept the constraint and add another, click Add.

        • To accept the constraint and return to the Solver Parameters dialog box, click OK.

      Notes

      • You can apply the Int and Bin relationships only in constraints on adjustable cells.

      • When the Assume Linear Model check box on the Solver Options dialog box is selected, there is no limit on the number of constraints. For nonlinear problems, each adjustable cell can have up to 100 constraints, in addition to bounds and integer restrictions on the variables.

      Change or delete a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click the constraint that you want to change or delete.
      2. Click Change and then make your changes, or click Delete.
    6. Click Solve and do one of the following:
      • To keep the solution values on the worksheet, click Keep Solver Solution in the Solver Results dialog box.

      • To restore the original data, click Restore Original Values.

    Tip

    You can interrupt the solution process by pressing ESC. Microsoft Excel recalculates the worksheet with the last values found for the adjustable cells.
  2. In the Solver Results dialog box, click Save Scenario.
  3. In the Scenario Name box, type a name for the scenario.

Tips

  • To display different sets of adjustable cell values that you've saved, display each scenario.
  • To create a scenario without saving the Solver solution or without displaying the results on the worksheet, save the scenario in the Solver Results dialog box, and then click Restore Original Values.


Save more than one toolbar configuration

  1. Make any changes you want to the built-in menu and toolbars, create any custom toolbars you want to save, and then display the toolbars the way you want them to appear.

    How?

    1. On the Tools menu, click Customize.
    2. Click the Toolbars tab.
    3. Click New.
    4. In the Toolbar name box, type the name you want, and then click OK.
    5. Click the Commands tab.
    6. Do one of the following:

      Add a button to the toolbar

      1. Click a category in the Categories box.
      2. Drag the command you want from the Commands box to the displayed toolbar.

      Add a built-in menu to the toolbar

      1. In the Categories box, click Built-in Menus.
      2. Drag the menu you want from the Commands box to the displayed toolbar.
    7. When you have added all the buttons and menus you want, click Close.
  2. Quit Excel.
  3. Locate the file Excel.xlb.
  4. Rename the file, retaining the .xlb extension.

    To use a saved configuration, click Open on the File menu and open the renamed file. When you next quit the program, Excel creates a new Excel.xlb toolbar settings file.


Save styles to use in new workbooks

  1. Open a new blank workbook.
  2. Open the workbook that contains the styles you want to save.
  3. Copy the styles from your workbook to the blank workbook.

    How?

    1. Open the workbook that contains the styles you want to copy.
    2. Open the workbook you want to copy the styles to, and then click Style on the Format menu.
    3. Click Merge.
    4. In the Merge styles box, double-click the workbook that contains the styles you want to copy.

    Note If the two workbooks contain styles with the same names, you must confirm that you want to merge these styles. To replace the styles in the active workbook with the copied styles, click Yes. To keep the styles in the active workbook, click No. This warning occurs only once, regardless of the number of conflicting style names.

  4. In the blank workbook, click Save As on the File menu.
  5. In the File name box, type book.
  6. In the Save as type list, click Template (*.xlt).
  7. In the Save in list, click the Templates folder.
  8. Click Save.

    Note The styles you save will be available in all new workbooks that you subsequently create by clicking New [image].


Adjust the value of a cell to get a specific result for another cell

  1. On the Tools menu, click Goal Seek.
  2. In the Set cell box, enter the reference for the cell that contains the formula you want to resolve.
  3. In the To value box, type the result you want.
  4. In the By changing cell box, enter the reference for the cell that contains the value you want to adjust. This cell must be referenced by the formula in the cell you specified in the Set cell box.
  5. Click OK.


Select a range of cells that contains an array formula

  1. Click a cell in the array formula.
  2. On the Edit menu, click Go To.
  3. Click Special.
  4. Click Current array.


Select cells containing specific data

  1. To select all cells of this type on the active worksheet, click any cell.

    Select the range that includes the type of cells you want to select.

  2. On the Edit menu, click Go To.
  3. Click Special.
  4. Do one of the following:
    • To select blank cells, click Blanks.
    • To select cells that contain comments, click Comments.
    • To select cells that contain constants, click Constants.
    • To select only cells that are visible in a range that crosses hidden rows or columns, click Visible cells only.
    • To select the current region, such as an entire list, click Current region.

    To select a range of filled-in cells in a row or column

    1. Click the first or last cell in the range.
    2. Hold down SHIFT and double-click the side of the active cell in the direction that you want to select.

      For example, to select the range of filled-in cells above the active cell, double-click the top of the cell. The selection extends only to the next blank cell in the row or column.

    To select named ranges or cell references

    To select | Do this
    A named range of cells | In the Name box, select the range.
    Two or more named ranges | In the Name box, select the first range, and then hold down CTRL and select the other ranges.
    Specific cells not in a named range | On the Edit menu, click Go To. In the Reference box, type the cell reference for the cell or range of cells.

    Tip

    Microsoft Excel keeps track of the named ranges you have selected. To return to a previous selection, click Go To on the Edit menu, and then double-click the cell reference in the Go To box.


Select data or cells

To select | Do this
Text in a cell | If editing in a cell is turned on, select the cell, double-click in it, and then select the text in the cell. If editing in a cell is turned off, select the cell, and then select the text in the formula bar.
A single cell | Click the cell, or press the arrow keys to move to the cell.
A range of cells | Click the first cell of the range, and then drag to the last cell.
A large range of cells | Click the first cell in the range, and then hold down SHIFT and click the last cell in the range. You can scroll to make the last cell visible.
All cells on a worksheet | Click the Select All button. Select All button
Nonadjacent cells or cell ranges | Select the first cell or range of cells, and then hold down CTRL and select the other cells or ranges.
An entire row or column | Click the row or column heading. Worksheet showing row heading
Adjacent rows or columns | Drag across the row or column headings. Or select the first row or column; then hold down SHIFT and select the last row or column.
Nonadjacent rows or columns | Select the first row or column, and then hold down CTRL and select the other rows or columns.
More or fewer cells than the active selection | Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.
Cancel a selection of cells | Click any cell on the worksheet.


Select cells that contain formulas

  1. Do one of the following:
    • Select the range that includes the type of cells you want to select.

    • Click any cell to select all cells of this type on the active worksheet.

  2. On the Edit menu, click Go To.
  3. Click Special.
  4. Click Formulas, and then select the check box next to the type of data you want to select.


Select sheets

When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

To select | Do this
A single sheet | Click the sheet tab. Sheet tabs showing Sheet2 selected If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab. Tab scrolling buttons
Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

Cancel a selection of multiple sheets

To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.


Set margins for printing

  1. Select the worksheet or worksheets you want to print.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.
  2. On the File menu, click Page Setup, and then click the Margins tab.
  3. Do one of the following:

    Set page margins

    • In the Top, Bottom, Left, and Right boxes, enter the margin size you want.

      To apply the same page margins to new worksheets or workbooks, you can create a worksheet or workbook template.

    Set header or footer margins

    • To change the distance from the top edge to the header, enter a new margin size in the Header box.

    • To change the distance from the bottom edge to the footer, enter a new margin size in the Footer box.

      These settings should be smaller than your top and bottom margin settings, and larger than or equal to the minimum printer margins.

Tip

To see how the margins will affect the printed document, click Print Preview [image] before the document is printed. To adjust the margins in print preview, click Margins, and then drag the black margin handles on either side and at the top of the page.


Change how Solver finds solutions

  1. On the Tools menu, click Solver.

    If the Solver command is not available on the Tools menu, you need to install the Solver add-in.

    How?

    1. On the Tools menu, click Add-Ins.

    2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    4. If necessary, follow the instructions in the setup program.
  2. In the Solver Parameters dialog box, click Options.
  3. In the Solver Options dialog box, set one or more of the following options:

    Solution time and iterations

    1. In the Max Time box, type the number of seconds that you want to allow for the solution time.
    2. In the Iterations box, enter the maximum number of iterations that you want to allow.

    Note If the solution process reaches the maximum time or number of iterations before Solver finds a solution, Solver displays the Show Trial Solution dialog box.

    Degree of precision

    • In the Precision box, type the degree of precision that you want — the smaller the number, the higher the precision.

    Integer tolerance

    • In the Tolerance box, type the percentage of error you want to allow in the solution.

    Degree of convergence

    • In the Convergence box, type the amount of relative change you want to allow in the last five iterations before Solver stops with a solution — the smaller the number, the less relative change that is allowed.
    Note You can use the Help button on the dialog box to get more information about other options.
  4. Click OK.
  5. In the Solver Parameters dialog box, click Solve or Close.


Apply or remove cell shading

  1. Select the cells you want to apply shading to or remove shading from.
  2. Do one of the following:

    Shade cells with solid colors

    To apply the most recently selected color, click Fill Color [image] on the Formatting toolbar.

    To apply a different color, click the arrow next to Fill Color [image], and then click a color on the palette.

    Shade cells with patterns

    1. On the Format menu, click Cells, and then click the Patterns tab.
    2. To include a background color with the pattern, click a color in the Cell shading box.
    3. Click the arrow next to the Pattern box, and then click the pattern style and color you want.

      If you do not select a pattern color, the pattern is black.

    Remove shading

    On the Formatting toolbar, click the arrow next to Fill Color [image], and then click No Fill.


Display numbers as dates or times

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click Date or Time, and then click the format you want to use.

Note If you don’t find what you’re looking for, you can create a custom number format by using format codes for dates and times.


Display numbers as fractions or percentages

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. Do one of the following:
    • To display numbers as fractions, click Fraction in the Category list, and then click the type of fraction you want to use.
    • To display numbers as percentages, click Percentage in the Category list. In the Decimal places box, enter the number of decimal places you want to display.
    • To quickly display numbers as percentages of 100, click Percent Style [image] on the Formatting toolbar.

    Note Numbers above 1 are automatically entered as percentages; and numbers below 1 are converted to percentages by multiplying by 100. For example, entering 10 results in 10%, and entering .1 results in 10%. To have all numbers converted by multiplying by 100, on the Tools menu, click Options, click the Edit tab, and then clear the Enable automatic percent entry check box.


Display or hide circles around invalid data

Circle invalid cells

All cells that don't meet their data validation criteria are circled, including values that were typed, copied, or filled in the cells, calculated by formulas, or entered by macros.

  1. Point to Formula Auditing on the Tools menu, and then click Show Auditing Toolbar.
  2. Click Circle Invalid Data [image].

Hide validation circles

  • To remove the circle from a single cell, enter valid data in the cell.
  • To hide all circles, point to Formula Auditing on the Tools menu, make sure the Show Auditing Toolbar command is checked, and then click Clear Validation Circles [image].


Show or hide outlined data

  1. If you don't see the outline symbols one two three, plus, and minus, click Options on the Tools menu, click the View tab, and then select the Outline symbols check box.

  2. Do one or more of the following:

    Show or hide the details for a group

    • To display the detail data within a group, click the plus box for the group.
    • To hide the detail for a group, click the minus box for the group.

    Expand or collapse the entire outline to a particular level

    • In the one two three outline symbols, click the number of the level you want. Detail at lower levels is then hidden.

      For example, if an outline has four levels, you can hide the fourth level while displaying the rest of the levels by clicking three.

    Show or hide all of the outlined detail

    • To show all detail, click the lowest level in the one two three outline symbols. For example, if there are three levels, click three.
    • To hide all detail, click one.


Show or hide field buttons in a PivotChart report

Hiding the field buttons also hides the page field drop area, if your report doesn't have any page fields.

  1. Click the PivotChart report.
  2. On the PivotTable toolbar, click PivotChart, and then select or clear the Hide PivotChart Field Buttons command.

Tip

If you hide field buttons but want to label elements of your chart that were previously identified by field button names, you can add axis titles or text boxes to the chart.


Hide change highlighting

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. Clear the Highlight changes on screen check box.

Note Turning off change tracking also removes change highlighting.


Display or hide the thousands separator in a number

Add or remove a thousands separator

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click Number.
  4. Select or clear the Use 1000 separator (,) check box.

Add the default thousands separator

  1. Select the cells you want to format.

  2. Click Comma Style [image] on the Formatting toolbar.


Display numbers as postal codes, Social Security numbers, or phone numbers

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click Special, and then select the format you want to use.

Notes

  • If a range of cells contains both five-digit and nine-digit ZIP Codes, you can apply a custom format that displays both types of ZIP Codes correctly. In the Category list, click Custom, and then type the following in the Type box:

    [<=99999]00000;00000-0000

  • If you don’t find what you’re looking for, you can create a custom number format.


Change the display size of a chart sheet

  1. Click the tab for the chart sheet.
  2. To zoom in or out of a chart sheet, click Zoom on the View menu, and then click the option you want.

    To size the chart sheet so that it fills the entire workbook window, click Sized with Window on the View menu. When a chart sheet is sized with the window, you cannot zoom in or out of it.


Set up a chart for printing

An embedded chart

You can adjust where the chart will print on the page by sizing and moving the chart with the mouse in page break view.

  1. Click the worksheet outside of the chart area.
  2. Click Page Break Preview on the View menu.

A chart sheet

You can size and scale the chart area, specify how it should be placed on the printed page, and then view it in the preview window.

  1. Click the tab for the chart sheet.
  2. Click Page Setup on the File menu.
  3. Select the options you want on the Chart tab.

Note To move and size the chart area of a chart sheet by using the mouse, you must click Custom on the Chart tab and then click OK to return to the chart sheet.

Tips

  • To print an embedded chart without its associated worksheet data, click the embedded chart to select it, and then follow the instructions for chart sheets. You can move and size the chart area of an embedded chart without using the Custom option on the Chart tab (File menu, Page Setup command).
  • You can hide the display of field buttons in a PivotChart report before printing. Click PivotChart on the PivotTable toolbar, and then click Hide PivotChart Field Buttons.


Create an offline cube file from an OLAP server database

If your server database is not an OLAP database, and you accessed the data by creating a query in Microsoft Query, use Query to create the cube file. For full instructions, see Help in Microsoft Query.

  1. Click the PivotTable report for which you want to create an offline cube file.

    For a PivotChart report, click the associated PivotTable report.

  2. On the PivotTable toolbar, click PivotTable, and then click Offline OLAP.
  3. Click Create offline data file, or if an offline cube file already exists for the report, click Edit offline data file.
  4. In step 1 of the Offline Cube Wizard, click Next.
  5. In step 2 of the wizard, select each dimension from your server cube that has data you want to include in the offline cube file. Click the Plus box box next to each such dimension, and select the levels you want to include.
    • You cannot skip intermediate levels within a dimension.
    • To reduce the size of the cube file, omit lower levels that you don't need to view in the report.
    • Be sure to include any dimensions where you've grouped items, so that Microsoft Excel can maintain these groupings when you switch between the server database and the offline file.
    • Dimensions that do not have a Plus box box don't allow you to exclude levels. You can only include or exclude all of this type of dimension.
  6. In step 3 of the wizard, click the Plus box box next to Measures, and select the fields you want to use as data fields in the report. You must select at least one measure. For each dimension listed below Measures, click the Plus box box beside the dimension, and then select the top-level items to include in the offline cube file.
    • To limit the size of the cube file so that you don't run out of disk space and to reduce the amount of time to save the file, select only the items you need to view in the report. Any property fields available for the items you select are automatically included in the cube.
    • If items you want to include are missing, you may not have included the dimension containing them in the previous step. Click Back and select the missing dimension in step 2 of the wizard, then return to step 3.
  7. In step 4 of the wizard, specify a name and location for the .cub file, and then click Finish.

    If you want to cancel saving the file, click Stop in the Create Cube File – Progress dialog box.

  8. When Excel finishes creating the offline cube file, click OK in the Offline OLAP Settings dialog box.


Smooth the angles of line charts

When you use this procedure to soften the jagged edges of a line chart, your data is not affected.

  1. Click the line data series you want to smooth.
  2. On the Format menu, click Selected Data Series, and then click the Patterns tab.
  3. Select the Smoothed line check box.


Specify how new data is added to an external data range

  1. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  2. In the External Data Range Properties dialog box, under If the number of rows in the data range changes upon refresh, choose an option to insert new cells or entire rows, or to replace existing data when you refresh.


Speed up calculation of a worksheet that contains a data table

  1. On the Tools menu, click Options, and then click the Calculation tab.
  2. Click Automatic except tables.

Note When you select this calculation option, data tables are skipped when the rest of the workbook is recalculated. To manually recalculate your data tables, select the formula and press F9.


View two parts of a sheet by splitting or freezing panes

Split panes

  1. At the top of the vertical scroll bar or at the right end of the horizontal scroll bar, point to the split box.

  2. When the pointer changes to a split pointer [image], drag the split box down or to the left to the position you want.

Freeze panes

Freezing panes allows you to select data that remains visible when scrolling in a sheet. For example, keeping row and column labels visible as you scroll.

Worksheet window with row 1 frozen

  1. To freeze a pane, do one of the following:

    The top horizontal pane Select the row below where you want the split to appear.

    The left vertical pane Select the column to the right of where you want the split to appear.

    Both the upper and left panes Click the cell below and to the right of where you want the split to appear.

  2. On the Window menu, click Freeze Panes.


Step through Solver trial solutions

  1. Define a problem.

    How?

    1. On the Tools menu, click Solver.

    2. If the Solver command is not available on the Tools menu, you need to install the Solver add-in program.

      How?

      1. On the Tools menu, click Add-Ins.

      2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

      3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
      4. If necessary, follow the instructions in the setup program.
    3. In the Set Target Cell box, enter a cell reference or name for the target cell. The target cell must contain a formula.
    4. Do one of the following:
      • To have the value of the target cell be as large as possible, click Max.

      • To have the value of the target cell be as small as possible, click Min.

      • To have the target cell be a certain value, click Value of, and then type the value in the box.

    5. In the By Changing Cells box, enter a name or reference for each adjustable cell, separating nonadjacent references with commas. The adjustable cells must be related directly or indirectly to the target cell. You can specify up to 200 adjustable cells.

    6. If you want to have Solver automatically propose the adjustable cells based on the target cell, click Guess.

    7. In the Subject to the Constraints box, enter any constraints you want to apply.

      How?

      Add a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click Add.

      2. In the Cell Reference box, enter the cell reference or name of the cell range for which you want to constrain the value.

      3. Click the relationship ( <=, =, >=, Int, or Bin ) that you want between the referenced cell and the constraint. If you click Int, "integer" appears in the Constraint box. If you click Bin, "binary" appears in the Constraint box.

      4. In the Constraint box, type a number, a cell reference or name, or a formula.

      5. Do one of the following:

        • To accept the constraint and add another, click Add.

        • To accept the constraint and return to the Solver Parameters dialog box, click OK.

      Notes

      • You can apply the Int and Bin relationships only in constraints on adjustable cells.

      • When the Assume Linear Model check box on the Solver Options dialog box is selected, there is no limit on the number of constraints. For nonlinear problems, each adjustable cell can have up to 100 constraints, in addition to bounds and integer restrictions on the variables.

      Change or delete a constraint

      1. In the Solver Parameters dialog box, under Subject to the Constraints, click the constraint that you want to change or delete.

      2. Click Change and then make your changes, or click Delete.

    8. Click Solve and do one of the following:
      • To keep the solution values on the worksheet, click Keep Solver Solution in the Solver Results dialog box.
      • To restore the original data, click Restore Original Values.

      Tip

      You can interrupt the solution process by pressing ESC. Microsoft Excel recalculates the worksheet with the last values found for the adjustable cells.
  2. In the Solver Parameters dialog box, click Options.
  3. In the Solver Options dialog box, select the Show Iteration Results check box to see the values of each trial solution, and then click OK.
  4. In the Solver Parameters dialog box, click Solve.

  5. In the Show Trial Solution dialog box, do one of the following:

    • To stop the solution process and display the Solver Results dialog box, click Stop.

    • To continue the solution process and display the next trial solution, click Continue.


Stop a macro

Do one of the following:

  • If you want to stop a macro that's currently running, press ESC, and click End in the Microsoft Visual Basic dialog box.
  • If you want to prevent automatically running a macro when you start Microsoft Excel, hold down SHIFT during startup.


Add or remove a currency symbol

Add or remove a currency symbol

  1. Select the cells you want to format.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. In the Category list, click Currency.
  4. In the Symbol list, do one of the following:

    • To add a currency symbol, select the one you want.

    • To remove a currency symbol, click None.

Add the default currency symbol

  1. Select the cells you want to format.
  2. Click Currency Style [image] on the Formatting toolbar.


About PivotTable reports

Example of souce data and resulting PivotTable report

1 Source data

2 Source values for Qtr3 Golf summary

3 PivotTable report

4 Summary of source values in C2 and C8

A PivotTable report is an interactive table that quickly combines and compares large amounts of data. You can rotate its rows and columns to see different summaries of the source data, and you can display the details for areas of interest.

When should I use a PivotTable report?

Use a PivotTable report when you want to analyze related totals, especially when you have a long list of figures to sum and you want to compare several facts about each figure. In the report illustrated above, you can easily see how the third-quarter golf sales in cell F3 stack up against sales for another sport or quarter, or the total sales. Because a PivotTable report is interactive, you can change the view of the data to see more details or calculate different summaries, such as counts or averages.

How does it organize my data?

In a PivotTable report, each column or field in your source data becomes a PivotTable field that summarizes multiple rows of information. In the example above, the Sport column becomes the Sport field, and each record for Golf is summarized in a single Golf item.

A data field, such as Sum of Sales, provides the values to be summarized. Cell F3 in the report above contains the sum of the Sales value from every row in the source data for which the Sport column contains Golf and the Quarter column contains Qtr3.

How do I create a PivotTable report?

To create a PivotTable report, you run the PivotTable and PivotChart Wizard. In the wizard, you select the source data you want from your worksheet list or external database. The wizard then provides you with a worksheet area for the report and a list of the available fields. As you drag the fields from the list window to the outlined areas, Microsoft Excel summarizes and calculates the report for you automatically.

If you're using an Office Data Connection to retrieve external data for your report, you can return the data directly to a PivotTable report, without running the PivotTable and PivotChart Wizard. Office Data Connections are the recommended method of retrieving external data for your reports when you don't need to combine data from more than one table in the external database or filter the data to select specific records before creating the report, and for retrieving data from OLAP databases.

After you create a PivotTable report, you can customize it to focus on the information you want: change the layout, change the format, or drill down to display more detailed data.


About using Microsoft Query to retrieve external data

What is Microsoft Query?

Microsoft Query is a program for bringing data from external sources into other Microsoft Office programs — in particular, Microsoft Excel. By using Query to retrieve data from your corporate databases and files, you don't have to retype the data you want to analyze in Excel. You can also update your Excel reports and summaries automatically from the original source database whenever the database is updated with new information.

Types of databases you can access You can retrieve data from several types of databases, including Microsoft Access, Microsoft SQL Server, and Microsoft SQL Server OLAP Services. You can also retrieve data from Excel lists and from text files.

In Excel, you can also retrieve data from Web pages, but you don't need Query to do this. For information about retrieving data from Web pages, see Excel Help.

Selecting data from a database You retrieve data from a database by creating a query, which is a question you ask about data stored in an external database. For example, if your data is stored in an Access database, you might want to know the sales figures for a specific product by region. You can retrieve a part of the data by selecting only the data for the product and region you want to analyze and omitting the data you don't need.

Example of selecting data in Query

1 Columns selected in Query Wizard

2 Selected columns brought into Excel

Updating your worksheet in one operation After you have external data in an Excel workbook, whenever your database changes, you can refresh the data to update your analysis — without having to recreate your summary reports and charts. For example, you can create a monthly sales summary and refresh it every month when the new sales figures come in.

Using Query to retrieve data Bringing external data into Excel with Query takes three steps: First you set up a data source to connect to your database, then you use the Query Wizard to select the data you want, and finally you return the data to Excel where you can format it, summarize it, and create reports from it.

Setting up data sources

What is a data source? A data source is a stored set of information that allows Microsoft Excel and Microsoft Query to connect to an external database. When you use Query to set up a data source, you give the data source a name, and then supply the name and location of the database or server, the type of database, and your logon and password information. The information also includes the name of an ODBC driver or a data source driver, which is a program that makes connections to a specific type of database. For some types of external databases (OLAP cubes), all you need to do to retrieve the data is to set up a data source.

How Query uses data sources After you set up a data source for a particular database, you can use it whenever you want to create a query to select and retrieve data from that database — without having to retype all of the connection information. Query uses the data source to connect to the external database and show you what data is available. After you create your query and return the data to Excel, Query retrieves the data and provides the Excel workbook with both the query and data source information so you can reconnect to the database when you want to refresh the data.

Diagram of how Query uses data sources

A data source is the means through which Query and Excel connect to a specific database and retrieve data.

Defining your query

Use the Query Wizard for most queries The Query Wizard, which is part of Microsoft Query, is designed for users who are new to creating queries. The wizard makes it easy to select and bring together data from different tables and fields in your database. After you select the data, you can also use the wizard to filter and sort the results of your query. You can use the Query Wizard either to create a complete query or to start a query that you make further changes to directly in Query.

Work directly in Query for other types of queries If you are familiar with creating queries or you want to create a more complex query, you can work directly in Query. You can use Query to view and change queries you start creating in the Query Wizard, or you can create new queries without using the wizard.

Use Query directly when you want to create queries that do the following:

  • Select specific data from a field In a large database, you might want to choose some of the data in a field and omit data you don't need. For example, if you need data for two of the products in a field that has information for many products, you can use criteria to select data for only the two products you want.
  • Retrieve data based on different criteria each time you run the query If you need to create the same Excel report or summary for several areas in the same external data — such as a separate sales report for each region — you can create a type of query called a parameter query. When you run a parameter query, you are prompted for the data to use as the criteria when the query selects records. For example, a parameter query might prompt you to enter a specific region, and you could reuse this query to create each of your regional sales reports.
  • Combine data in different ways You can use Query to combine, or join, the data from different tables in your database. For example, if you have a table of product sales information and a table of customer information, you might join these tables in ways that show which customers have not made purchases recently.

Creating an OLAP cube from the data in a query On-Line Analytical Processing (OLAP) is a way of organizing data for querying and reporting instead of processing transactions. In an OLAP database, data is organized hierarchically and stored in cubes instead of tables.

You can use Query to create an OLAP cube from the data in a query so that it takes less time and effort to create Microsoft Excel reports based on the data. To create an OLAP cube, you run the OLAP Cube Wizard from the Query Wizard or directly from Query. You can return the data to Excel as a PivotTable report.

Working with the data in Microsoft Excel

After you create a query in either the Query Wizard or Microsoft Query, you can return the data to a Microsoft Excel worksheet. The data becomes an external data range or a PivotTable report that you can format, analyze, and refresh.

Formatting and analyzing the data In Excel, you can use familiar tools such as the Chart Wizard or automatic subtotals to present and summarize the data. You can format the data, and your formatting is retained when you refresh the external data from the source database. If you add columns of formulas to the external data range, the formulas can be copied automatically to any new rows that are added to the range when you refresh the data. You can use your own column labels instead of the field names, and add row numbers automatically. For information about controlling the formatting and layout of an external data range, see Excel Help.

Reusing and sharing queries In both the Query Wizard and Query, you can save a .dqy query file that you can modify, reuse, and share. Excel can open .dqy files directly, which allows you or other users to create additional external data ranges from the same query.

If you want to share an Excel summary or report that is based on external data, you can give other users a workbook that contains an external data range, or you can create a report template. A report template lets you save the summary or report without saving the external data so that the file is smaller. The external data is retrieved when a user opens the report template. For information about creating report templates, see Excel Help.

Refreshing external data When you refresh external data, you run the query to retrieve any new or changed data that matches your specifications. You can refresh a query in both Query and Excel. Excel provides several options for refreshing queries, including refreshing the data whenever you open the workbook and automatically refreshing it at timed intervals. You can continue to work in Excel while data is being refreshed, and you can also check the status while it's being refreshed. For information about refreshing external data in Excel, see Excel Help.


PivotTable terminology demystified

Data

Source data

Example of PivotTable source data

Source data for the illustrations in this topic.

The underlying rows or database records that provide the data for a PivotTable report. You can create a PivotTable report from a Microsoft Excel list, an external database, multiple Excel worksheets, or another PivotTable report.

Field

Example of PivotTable fields

Region, Sum of Sales, Quarter, and Sport are fields.

A category of data that's derived from a field in the source list or database. The Sport field, for example, might come from a column in the source list that's labeled Sport and contains the names of various sports (Golf, Tennis) for which the source list has sales figures.

Item

Examples of PivotTable items

Golf, Qtr1, Qtr2, and (All) are items.

A subcategory, or member, of a field. Items represent the unique entries from the field in the source data. For example, the item Golf represents all rows of data in the source list for which the Sport field contains the entry Golf.

Summary function

The type of calculation used to combine values in a data field. PivotTable reports usually use Sum for data fields that contain numbers and Count for data fields that contain text. You can select additional summary functions such as Average, Min, Max, and Product.

Refresh

To update a PivotTable report with the most recent data from the source list or database. For example, if a PivotTable report is based on data from a database, refreshing the report runs the query that retrieves data for the report. For reports based on worksheet data, when you change the worksheet data, you can click a button to refresh the report with the changes.

Field types

Row field

Example of a PivotTable row field

The blue field is a row field.

A PivotTable report that has more than one row field has one inner row field (Sport, in the example below), the one closest to the data area. Any other row fields are outer row fields (Region, in the example below). Items in the outermost row field are displayed only once, but items in the rest of the row fields are repeated as needed.

Example of an outer row field in a PivotTable report

Region is an outer row field; Sport is an inner row field.

Column field

Example of a PivotTable column field

The blue field is a column field.

Page field

Example of a PivotTable page field

The blue field is a page field.

Page fields allow you to filter the entire PivotTable report to display data for a single item or all the items.

Data field

Example of a PivotTable data field

The blue field is a data field.

Data fields provide the data values to be summarized. Usually data fields contain numbers, which are combined with the Sum summary function, but data fields can also contain text, in which case the PivotTable report uses the Count summary function.

If a report has more than one data field, a single field button named Data appears in the report for access to all of the data fields.

Layout

Drop areas

Example of PivotTable drop areas

The blue outlined regions you see when you finish the steps of the PivotTable and PivotChart wizard. To lay out a PivotTable report, you drag fields from the field list window and drop them onto the drop areas.

Field list

Example of PivotTable Field List

A window that lists all of the fields available from the source data for use in the PivotTable report. If a field is organized in levels of detail, you can click Plus box or Minus box to show or hide the lower levels. To display the data from a field in the PivotTable report, drag the field from the field list to one of the drop areas.

Field drop-down list

Example of dropdown list for a field

A list of the items available for display in a field. If the field is organized in levels of detail, you can click Plus box or Minus box to see which lower-level items are selected for display. A double check mark means that some or all of the lower-level items are displayed.

Data area

Example of PivotTable data area

The blue cells are in the data area.

The part of a PivotTable report that contains summary data for the row and column fields. For example, cell B5 contains a summary of all of the sales amounts for Golf in Qtr1.

Indented format

Example of a PivotTable report in classic format

Classic format

Example of a PivotTable report in indented format

Indented format

In a PivotTable report in indented format, the data for each row field is indented. The summarized figures for each data field appear in a single column.

OLAP terms

OLAP

OLAP stands for On-Line Analytical Processing, a way to organize very large business databases. OLAP data is set up to fit the way you analyze and manage data, so that it takes less time and effort to find the information you need.

Cube

A data structure that contains OLAP data, organized in dimensions and data fields. For example, a cube could provide a Geography dimension with levels Country, Region, and City, and a Product dimension with levels Product Type and Product Name. A Sales Amount data field could then provide sales figures for each product and type in each city, region, and country.

Dimension

A field that organizes a single type of data into a hierarchy with levels of detail. For example, an OLAP database could contain a Time dimension providing data for levels Year, Month, Week, and Day, allowing you to create reports that let you compare day-to-day sales results or view a summary of your sales for an entire year.

Level

Levels in geography dimension

One rung on the ladder of detail for a dimension. For example, the Geography dimension illustrated above has four levels: Country, Region, City, and Site. In a PivotTable report that contains this dimension field, you can display a high-level summary by country, or drill down to view detailed data for specific regions and cities.

Property fields

Additional information that's available about the items in an OLAP dimension field. For example, if a Geography dimension has property fields Population and Average Income available, you could create a PivotTable report that displays the sales figures for cities where your products are selling well. By displaying and analyzing the population and income figures for these cities, you could target cities with similar demographics for your marketing campaign.


Transpose rows to columns or columns to rows

Data from the top row of the copy area appears in the left column of the paste area, and data from the left column appears in the top row.

  1. Select the cells that you want to switch.
  2. Click Copy [image].
  3. Select the upper-left cell of the paste area. The paste area must be outside the copy area.
  4. Click the arrow to the right of Paste [image] and then click Transpose.


Troubleshoot data consolidation

These suggestions apply only to consolidations that were created by using the Consolidate command on the Data menu. They do not apply to consolidations created by using 3-D references in formulas.

All consolidations

Check your source range references Make sure you entered the references to all source ranges correctly.

Check the summary function Make sure you selected the appropriate summary function in the Consolidate dialog box.

Check the consolidation To avoid problems with the shape of the destination area, select the upper-left cell of the area before you create the consolidation. Make sure you leave enough cells to the right and below this cell for the consolidated data. The Consolidate command fills in the area as needed.

Consolidation by position

Make sure each source area contains the same range of similar data in the same order.

Consolidation by category

Include row or column labels In the Consolidate dialog box, under Use labels in, make sure you selected the Top row or Left column check box, or both. And make sure you included corresponding labels in the source ranges.

Check for identical category labels Make sure you entered category labels with identical spelling and capitalization in all source areas. For example, labels Annual Avg. and Annual Average are different and will not consolidate.

Check for unique categories Make sure any categories that you don't want to consolidate have unique labels that appear in only one source range.


Troubleshoot outlining a worksheet

Detail data is copied along with summary rows

  1. Use the outline symbols one two three, minus, and plus to hide the detail data that you don't want copied.
  2. Select the range of summary rows.
  3. On the Edit menu, click Go To.
  4. Click Special.
  5. Click Visible Cells only.
  6. Click OK, and then copy the data.

The data is grouped wrong

Select only the detail data for grouping When you manually group rows and columns, select only the detail rows or columns that make up the group. Do not include the related summary row or column in the selection. For example, if row 6 contains totals for the data in rows 3 through 5, select only rows 3 through 5 to define the group.

Display all data before grouping When you group multiple outline levels, it's best to have all data displayed. If you're grouping manually, make sure to select all of the subordinate summary rows or columns, as well as their related detail data. For example, rows 6 and 10 contain subtotals for rows 3 through 5 and rows 7 through 9, respectively. Row 11 contains grand totals. To group the detail data for row 11, select rows 3 through 10.

Change the direction of the outline If Microsoft Excel displays plus or minus next to the wrong row or column of the outline, first display any hidden data, and then select the outlined range. On the Data menu, point to Group and Outline, click Settings, and then verify that the options under Direction are correct. If summary rows or columns are located above or to the left of the related detail rows and columns, clear the Summary rows below detail or Summary columns to right of detail check box.

The outline symbols are missing

  1. On the Tools menu, click Options.
  2. Click the View tab.
  3. Select the Outline symbols check box.
  4. If the symbols still aren't visible or readable, use the Zoom box on the Standard toolbar to change the magnification to 100%.

Data is still hidden after ungrouping or removing the outline

If you ungroup or remove an outline while the detail data is hidden, the detail rows or columns may remain hidden. To display the data, drag across the visible row numbers or column letters adjacent to the hidden rows and columns. On the Format menu, point to Row or Column, and then click Unhide.


Troubleshoot printing

The wrong data prints.

When I try to print a document, nothing happens.

Check your printer setup in Windows Printing from your computer is primarily controlled by settings in Windows. Determine whether your printer setup in Windows is correct by using the Windows Print Troubleshooter.

  1. On the Windows Start menu, click Help.

  2. Click Contents, and click Files and Printers.

  3. Click Printing, and then follow the instructions in the Troubleshooting topic.

Check the Microsoft Excel printer settings If the Windows printer setup looks correct, check the Excel printer settings to make sure that the selected printer matches the printer you're using.

On the File menu, click Print, and then click the name of the printer you want in the Name box under Printer.

Excel prints only a portion of my worksheet.

Check whether a print area is defined If the worksheet contains a print area, Excel prints only the print area. To determine whether your worksheet contains a print area, click Page Break Preview on the View menu. The area of the worksheet that appears with a white background is the area that is printed.

Excel prints too many rows or columns

  • Define a print area

How?

  1. On the View menu, click Page Break Preview.

  2. Select the area you want to print.

  3. On the File menu, point to Print Area, and then click Set Print Area.

  4. When you save the document, your print area selection is also saved.

Excel added extra rows to my worksheet.

Excel formats empty cells out to the bottom row or last column if you select an entire row or column (click the row number or column letter) before applying formatting. Excel then stores the formatting information for all of the otherwise empty cells and the file gets very large.

To fix this problem, do one of the following:

  • If you don't want to start a new worksheet, press F5, click Special in the Go to dialog box, and then click Last cell. Delete all the rows up to your actual data and save the workbook.
  • Insert a blank worksheet. On the worksheet you want to print, select only the cells you want to print and copy them to the new blank worksheet.

The printout doesn't look right.

My printed header or footer doesn't look the way I want.

You can choose from several headers and footers or create your own. Headers and footers cannot contain graphics or links to specific cells.

Use black and white only The text in headers and footers always prints in black. You cannot apply color to the text in headers or footers, even if you have a color printer.

Use print titles to repeat graphics and linked information If you want to repeat graphics or linked information at the top of every page, use print titles instead of a header. For example, to print a company logo and address at the top of every page:

  1. Place the logo and address information in the first few rows of the worksheet.

  2. On the File menu, click Page Setup, click the Sheet tab, and then enter the rows that contain the logo and address in the Rows to repeat at top box.

    If you're printing a wide worksheet on multiple pages, be sure to copy the repeating information to additional rows or columns as needed.

Use two ampersand (&) characters to print an ampersand Microsoft Excel uses the ampersand to initiate codes for special formatting in the headers and footers. Therefore, to enter an ampersand in the header or footer, you must enter &&. For example, to include "Subcontractors & Services" in a header, enter Subcontractors && Services.

My header and footer margins don't look right.

Use the existing left and right margins The left and right header and footer margins are three-quarters (.75) of an inch, regardless of the left and right margins on the page. You can simulate wider margins on a single line header or footer by typing spaces before the text in the Left section edit box and after the text in the Right section edit box. (To locate these edit boxes, click Custom Header or Custom Footer in the Page Setup dialog box.) The spaces you type in the Right section edit box won't appear in the edit box, but will appear in the printed worksheet.

Adjust the space for the header and footer You can adjust the distance between the top or bottom of the page and the header or footer. You can also change the distance between the data printed on a page and the header or footer. Click Print Preview [image], click the Margins button, and drag the margin handles to adjust the spacing.

1 Margin sizing handles

2 Column sizing handles

I want my sheet to print one page wide (or tall).

You can prevent columns or rows from spilling over the edge of a page by shrinking the sheet so that it is one page wide or tall.

How?

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. Under Scaling, click Fit to.

  4. Do one of the following:

    Print a worksheet to fit a paper width

    In the first box beside Fit to, enter 1 (for 1 page wide).

    In the second box beside Fit to, delete the value so that the number of pages tall is unspecified.

    Print a worksheet on a specified number of pages

    In the boxes beside Fit to, enter the number of pages on which you want to print the work.

Notes

  • Microsoft Excel ignores manual page breaks when you use the Fit to option.

  • When you change the values for Fit to, Excel shrinks the printed image or expands it up to 100 percent, as necessary. To see the how much the image will be adjusted for your new values, click OK, and then click Page Setup on the File menu. The Adjust to box on the Page tab shows the percentage that the printed size will be adjusted.

  • Printed data does not exceed the specified number of pages. Excel does not enlarge the data to fill the pages.

I can't scale a chart to print the size I want or print multiple charts on a single page.

For chart sheets, set the print size If the chart is on a chart sheet, you can scale it when you print it.

  1. Activate the chart sheet, click Page Setup on the File menu, and then click the Chart tab.

  2. Under Printed chart size, click the scaling option you want.

    If you click Custom, the chart will be printed at the size you make it when you drag its selection handles.

For embedded charts, drag to resize If the chart is an embedded chart on a worksheet, resize the chart by clicking it and then dragging its selection handles.

To print charts together on a page, embed them You cannot print multiple chart sheets on a single page. To print two or more charts on a page, create embedded charts, and then resize them to fit on a single page. You can use the Page Break Preview command on the View menu to examine the location of the charts in the print area.

My print titles don't appear on some pages.

Excel prints repeating row and column labels only on the pages that include the labeled rows or columns. For example, if you select cells A1:A5 as repeating row labels, Excel does not print these labels on pages that contain only rows below row 5. If you select cells A1:E1 as repeating column labels, Excel does not print these labels on pages that contain only columns to the right of column E. To have Excel print labels on the additional pages, copy the labels to the additional rows or columns.

Copy row labels to the additional rows

  1. Select the cells you want to repeat as row labels, and then click Copy [image] on the Standard toolbar.

  2. Select cells in the same columns of the additional rows where you want the row labels to print, and then click Paste [image].

  3. On the File menu, click Page Setup, and then click the Sheet tab.

  4. Click Columns to repeat at left, and then enter the entire columns that contain the row labels. For example, to repeat row labels that you copied to cells in column A, enter $A:$A.

Copy column labels to the additional columns

  1. Select the cells you want to repeat as column labels, and then click Copy [image] on the Standard toolbar.

  2. Select cells in the same rows of the additional columns where you want the column labels to print, and then click Paste [image].

  3. On the File menu, click Page Setup, and then click the Sheet tab.

  4. Click Rows to repeat at top, and then enter the rows that contain the column labels. For example, to repeat column labels that you copied to cells in rows 1 and 2, enter $1:$2.

The worksheet background did not print.

Background patterns that are added to worksheets by using the Background command on the Format menu are not printed. However, graphics added to a worksheet by using the Picture command on the Insert menu are printed, as are cells with patterns or shading that are added by using the Cells command on the Format menu.

Pagination is wrong.

Excel ignores the page breaks I set.

If your workbook is set up so that Excel fits your printed work on a specific number of pages, Excel ignores the manual page breaks you've set and reduces the size of the printed worksheet. (To see whether this is the case, click Page Setup on the File menu, click the Page tab, and check the Fit to option under Scaling.)

Use Adjust To instead of Fit To To fit the worksheet to the specified number of pages and use the manual page breaks you inserted, click Page Setup on the File menu, click the Page tab, and then click Adjust to.

Set each page as a separate print range If Adjust to doesn't produce the results you want, you can set a print area with each page selected as a separate range. Excel prints nonadjacent ranges in a print area on separate pages.

  1. Insert a blank row or column in each location where you want a manual page break.
  2. Select the range you want to include as the entire first page, omitting the blank row or column.
  3. Hold down CTRL and select the range for the second page, omitting the blank rows or columns. Continue until you've selected all pages that you want to print.
  4. On the File menu, point to Print Area, and then click Set Print Area.
  5. On the File menu, click Page Setup, click the Page tab, click Fit to, and enter the number of pages you want.

Some columns and rows printed on the wrong page.

Column widths, row heights, page margins, and page breaks determine the number of columns and rows that print on a page.

Make margins smaller If some columns or rows print on the next page, try decreasing the size of the Top, Bottom, Left, and Right margins.

How?

  1. Select the worksheet or worksheets you want to print.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

  2. On the File menu, click Page Setup, and then click the Margins tab.

  3. Do one of the following:

    Set page margins

    • In the Top, Bottom, Left, and Right boxes, enter the margin size you want.

      To apply the same page margins to new worksheets or workbooks, you can create a worksheet or workbook template.

    Set header or footer margins

    • To change the distance from the top edge to the header, enter a new margin size in the Header box.

    • To change the distance from the bottom edge to the footer, enter a new margin size in the Footer box.

      These settings should be smaller than your top and bottom margin settings, and larger than or equal to the minimum printer margins.

Tip

To see how the margins will affect the printed document, click Print Preview [image] before the document is printed. To adjust the margins in print preview, click Margins, and then drag the black margin handles on either side and at the top of the page.

Adjust page breaks You can move page breaks before you print your document. On the View menu, click Page Break Preview. Excel displays manual page breaks as thick blue lines; automatic page breaks appear as dashed lines. You can move page breaks by dragging them left, right, up, or down.

If a column prints on the wrong page— for example, on the second page instead of the first page— drag the page break that is to the left of the column one column to the right. If a row prints on the page that follows the page where you want it to print, drag the page break that is above the row to a position below the row. Excel automatically scales the worksheet to fit the columns and rows to the page.

Make the sheet print one page wide If you want the worksheet to be only one page wide, regardless of the number of pages, you can restrict it to the width of a single page.

How?

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. Under Scaling, click Fit to.

  4. Do one of the following:

    Print a worksheet to fit a paper width

    In the first box beside Fit to, enter 1 (for 1 page wide).

    In the second box beside Fit to, delete the value so that the number of pages tall is unspecified.

    Print a worksheet on a specified number of pages

    In the boxes beside Fit to, enter the number of pages on which you want to print the work.

Notes

  • Microsoft Excel ignores manual page breaks when you use the Fit to option.

  • When you change the values for Fit to, Excel shrinks the printed image or expands it up to 100 percent, as necessary. To see the how much the image will be adjusted for your new values, click OK, and then click Page Setup on the File menu. The Adjust to box on the Page tab shows the percentage that the printed size will be adjusted.

  • Printed data does not exceed the specified number of pages. Excel does not enlarge the data to fill the pages.

Change the paper orientation If you need a few more columns to print on the same page, change the orientation to landscape.

How?

  1. Click the worksheet.

  2. On the File menu, click Page Setup, and then click the Page tab.

  3. Under Orientation, click Portrait or Landscape.

  4. Click Print.

Excel won't print multiple print areas on the same page.

If a print area contains nonadjacent areas of a worksheet, Excel prints each area on a separate page by default. However, you can specify that separate parts of a worksheet print on the same page by using one of the following methods.

Print nonadjacent columns side by side

  1. Select the columns you don't want to print, point to Column on the Format menu, and then click Hide.

  2. Set one print area that contains all of the columns, including the hidden columns.

Print nonadjacent rows above and below each other

  1. Select the rows you don't want to print, point to Row on the Format menu, and then click Hide.

  2. Set one print area that contains all of the rows, including the hidden rows.


Troubleshoot importing data

Creating data sources

The data source I want isn't listed in the Select Data Source dialog box.

If you can't find your data source, click New Source in the Select Data Source dialog box, and then click Other/Advanced under What kind of data source do you want to connect to in the Data Connection Wizard. If you are still unable to find your data source, check with your system administrator or the vendor that provides the database you want to access.

I can't create a new data source in Microsoft Query.

Check the server address and logon information Before you set up a data source, make sure you know the address where the database is located on your network and have the necessary permissions to connect to the database and log on. See the administrator of your database for a logon name, password, or any other permissions required, and to make sure the access you've been granted is working properly.

Check your driver First, make sure you have the right ODBC driver or data source driver for your data source. ODBC drivers and data source drivers allow you to connect to new databases as they become available. However, you must make sure correct driver is installed for the type of database you're using.

Make sure the driver works with Excel In addition to the drivers provided with Microsoft Office, you can use ODBC and data source drivers provided by third-party manufacturers. Before you try to use a third-party driver, make sure the manufacturer has tested the driver with Microsoft Excel. For some databases, the driver supplied with the database software may be the best choice. Contact the administrator of your database to find out what's available and what works best at your site.

Make sure the driver is properly installed

  1. To display the list of available drivers, point to Import External Data on the Data menu, and then click New Database Query.
  2. Double-click New Data Source on the Databases or OLAP Cubes tab.
  3. Type a name in step 1 of the Create New Data Source dialog box, and then click the list in step 2. If you don't see the driver you need, you should check to make sure the ODBC driver or data source driver is installed properly.

Make sure you supplied all of the configuration information After you've installed the driver and selected it in step 2 of the Create New Data Source dialog box, make sure you provide all of the necessary information in step 3 of the dialog box. For information about a Microsoft driver, click Connect, and then click Help in the setup dialog box for the driver. For third-party drivers, see the Help system or the documentation for the driver.

If you are setting up a data source with an ODBC driver or data source driver provided by Microsoft, click the name of your driver for information about the settings you should make in step 3 of the Create New Data Source dialog box.

My data source has an asterisk next to it.

The data source is from a version of Microsoft Query earlier than Query 97.

Data sources created in versions of Query earlier than Query 97 have a different format from data sources in later versions of the product. These data sources and queries can still be used with later versions of the product, but queries that are created by using these data sources cannot be shared with other users. Versions earlier than Query 97 store data source information as part of your Microsoft Windows operating system, and that information is available only on your system.

Identify data sources created with earlier versions of Query

  1. On the Data menu, point to Import External Data, and then click New Database Query.
  2. Click Options in the Choose Data Source dialog box, and then select the Include registry DSNs in list of available databases check box.

    All data sources that were created by using a version earlier than Query 97 appear in the Choose Data Source dialog box with asterisks next to their names.

Delete old data sources After you identify data sources created with earlier versions of Query, on the Databases tab in the Choose Data Source dialog box, click the data source you want to remove, and then click Delete.

Create shared data sources If you want to share queries or report templates that use data from the external databases that are specified in your non-shareable data sources, create new data sources for these databases. Use the new data sources to create the queries, query files, and report templates.

Importing data

A message indicates that the path to my database is not valid.

Check for a mapped network drive If your database is on a shared network directory, when you set up the data source and selected the database file, the path to the database may have been recorded in the data source with the mapped drive letter in use by your system at that time. For example, if your database is named Inventory.mdb, and you had drive G mapped to the shared network directory where this database is stored, your data source might record this location as G:\public\Inventory.mdb. When you try to use this data source, or you or other users try to run queries created with this data source, the ODBC driver displays a message that the path is not valid if drive G is not mapped to the same shared network directory.

Use an alternative to drive mapping If you are using the Microsoft Access driver or the Microsoft Excel driver, you can correct this problem by creating a new data source. When you specify the location of the database file, don't select the mapped drive for the shared network directory. Instead, type the UNC address of the shared network directory, and then locate the database file. For example, if your database file is stored on a server named Shared, you could type \\Shared\public and then select the file Inventory.mdb.

Map the same network drive letter before using the data source For other ODBC drivers, before you use a data source or run a query created with that data source, make sure the same drive is mapped to the shared network directory where the database is located as was mapped when the data source was created.

Sorting and formatting are incorrect after I refresh an external data range.

Formatting changes in Query won't affect Excel Formatting that you apply in Query affects the view of the result set only in Query. When you return the result set to Microsoft Excel, formatting changes you made while in Query — such as hiding fields or changing the width of a column, the height of rows, or the font, style, or size of text — are not displayed in Excel.

Preserve Excel formatting when you refresh Each time you refresh an external data range Excel replaces the existing data with new data and also removes any Excel outlining and subtotals. You can preserve formatting, but not row sorting or outlining, for an external data range by clicking Data Range Properties [image] on the External Data toolbar and making sure that the Preserve cell formatting check box is selected under Data formatting and layout.

To preserve sorting, copy the data Each time you refresh an external data range, Excel automatically removes any sorting you applied. If you want to sort or format data from an external data range and keep all sorting and formatting, copy the data, and then use the Paste Special command and select the Values option to paste the data onto another sheet in the workbook. Then format the data the way you want. The sorting and formatting will be preserved; however, you won't be able to refresh the data because the underlying query associated with the external data range was not copied.

Record a macro to restore sorting and formatting If you want to be able to refresh an external data range and keep your sorting and formatting, try recording a macro for formatting the data in your external data range and then running the macro after you refresh the data. On the Tools menu, point to Macro, and then click Record New Macro. Specify the options you want, and click OK. Format the external data range the way you want, and then click the Stop Macro button on the Stop Recording toolbar. Run the macro after you refresh the data.

How?

  1. Set the security level to Medium or Low.

    How?

    1. On the Tools menu, click Options.

    2. Click the Security tab.

    3. Under Macro Security, click Macro Security.

    4. Click the Security Level tab, and then select the security level you want to use.

  2. Open the workbook that contains the macro.

  3. On the Tools menu, point to Macro, and then click Macros.

  4. In the Macro name box, enter the name of the macro you want to run.

  5. Do one of the following:

    Run a macro in a Microsoft Excel workbook

    • Click Run.

      If you want to interrupt, press ESC.

    Run a macro from a Microsoft Visual Basic module

    1. Click Edit.

    2. Click Run Sub/UserForm [image].

    Tip

    If you want to run a different macro while you are in the Visual Basic Editor, click Macros on the Tools menu. In the Macro name box, enter the name of the macro you want to run, and then click Run.

A range of blank cells is selected when I return data to Microsoft Excel.

Check your ODBC driver You may not be using a compatible ODBC driver. If you're using an ODBC driver from an earlier version of Microsoft Excel or Query, you must install the most recent version of the driver to import data.

Check your system's free memory Your computer might not have enough memory available to import the data. To check available memory in Windows 2000, switch to the Windows desktop. Right-click the My Computer icon, click Properties, and then click the Advanced tab. Click Performance Options, and then click Change to see the percentage of available memory. To free some memory, try closing unnecessary documents and applications.

Check whether Excel is ignoring other programs The Ignore other applications check box may be selected in Excel. This option may prevent other programs, including Microsoft Query, from establishing a dynamic data exchange (DDE) connection to Excel. On the Tools menu, click Options, and then click the General tab. Under Settings, make sure that the Ignore other applications check box is cleared. Then run the query again.

I run out of disk space when I try to import data.

Determine how much space is needed When you create a query, the query is temporarily placed on your hard disk. As a general rule, you should have a minimum of 3 to 5 MB of available disk space to create the temporary query file. If your query is large, you will need more free disk space. If enough disk space is not available, the query will take longer to retrieve data or the query may quit running.

Check for available disk space To check available hard disk space in Windows 2000, switch to the Windows desktop, double-click the My Computer icon, and then click the disk you want to check. On the File menu, click Properties. To free some space on your hard disk, try emptying the Recycle Bin, backing up unneeded files and then removing them from your hard disk, or removing Windows components that you don't use. For more information about freeing hard disk space, see Microsoft Windows Help.

Strategies you can try when disk space is limited If you have only a limited amount of space available on your hard disk, try the following:

  • Simplify your query Make sure you include only those tables and fields that are needed for your query. If your query contains unnecessary tables or fields, delete them from the query to reduce the size of the temporary query file.
  • Use criteria to reduce the size of the result set Use criteria to retrieve only specific records rather than retrieving all the records from a database. For more information, see Microsoft Query Help.
  • Set a limit on the number of records returned by the query Limit the number of records the query returns. In Query, click Options on the Edit menu, select the Limit number of records returned to check box under User settings, and enter the maximum number of records to return in the Records box.

A macro I use to import data doesn't work.

Make sure Query is installed If you're using a Microsoft Visual Basic macro, make sure ActiveX Data Objects for Visual Basic are installed when you install Query.

Check your data source and driver Make sure that you have the correct ODBC driver or data source driver for the data source that is used by the macro.

Install and load the Microsoft ODBC Function add-in program On the Tools menu, click Add-Ins, and then select the ODBC Add-in check box. If ODBC Add-in does not appear in the box, the add-in was made unavailable when you installed Microsoft Excel or Microsoft Office, and you need to install the ODBC add-in program.

The columns are in the wrong order after I change my query.

You can preserve either Excel or Query column order To keep the columns where you moved them in Microsoft Excel after you refresh or change a query, click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar. Under Data formatting and layout, select the Preserve column sort/filter/layout check box. To change the column order in Query and have the changes reflected in the external data range, clear the check box.

Effects of changing column names in Query If you select the Preserve column sort/filter/layout check box and then change a column name in Query, when you return the data to Excel, the renamed column becomes the rightmost column in the external data range. You can prevent this from happening by clearing the check box before you change the query, or you can move the column to the position you want in Excel.


Turn off change tracking

  1. Turning off change tracking deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

    How?

    1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
    2. In the When box, click All.
    3. Clear the Who and Where check boxes.
    4. Select the List changes on a new sheet check box, and then click OK.
    5. Do one or more of the following:

      To print the History worksheet, click Print [image].

      To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

      When you copy or print the history, you may also want to save or print a separate copy of the shared workbook. If the workbook continues to change as you or others work on it, the history that you copied may no longer apply. For example, cell locations, including row numbers, in the copied history may no longer be current.

  2. Do one of the following:

    If the shared workbook is protected, point to Protection on the Tools menu, and then click Unprotect Shared Workbook. Enter the password if prompted, and then click OK.

    If the shared workbook is not protected, click Share Workbook on the Tools menu. Click the Advanced tab, and then click Don't keep change history.


Stop automatically completing file names and URLs

If you have Microsoft Internet Explorer 4.0 or later, you can turn off the feature that automatically suggests a match for file names and URLs as you type them. This affects entries in the Insert Hyperlink and Open dialog boxes in Microsoft Excel and also URLs in Internet Explorer and any other Microsoft Office programs you have.

  1. Start Internet Explorer.
  2. On the Tools menu, click Internet Options, and then click the Advanced tab.
  3. Under Browsing, clear one of the following check boxes:

    If you have Internet Explorer 4, clear the Use AutoComplete check box.

    If you have Internet Explorer 5, clear the Use inline AutoComplete in integrated shell check box.


Turn on or off extended formats and formulas

When you turn on extended formats and formulas, Microsoft Excel automatically formats new data that you type at the end of a list to match the preceding rows and automatically copies formulas that repeat in every row. To be extended, formats and formulas must appear in at least three of the five list rows preceding the new row.

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. Do one of the following:

    To automatically format new items to match the rest of the list, select the Extend list formats and formulas check box.

    To turn off automatic formatting, clear the check box.


Turn on or off automatic completion of cell entries

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. Select or clear the Enable AutoComplete for cell values check box.


Insert a symbol

You can use the Symbol dialog box to enter symbols that are not on your keyboard, as well as Unicode characters.

If you’re using an expanded font, such as Arial or Times New Roman, the Subset list appears. Use this list to choose from an extended list of language characters, including Greek and Russian (Cyrillic), if available.

Insert a symbol

  1. Click where you want to insert the symbol.
  2. On the Insert menu, click Symbol, and then click the Symbols tab.
  3. In the Font box, click the font that you want.
  4. Double-click the symbol that you want to insert.
  5. Click Close.

Insert a Unicode character

When you select a Unicode character in the Symbol dialog box, its character code appears in the Character code box. If you already know the character code, you can type it directly into the Character code box to find the Unicode character.

The name displayed before the Character code box is the official character name in the Unicode 3.0 standard.

  1. Click where you want to insert the Unicode character.
  2. On the Insert menu, click Symbol, and then click the Symbols tab.
  3. In the Font box, click the font that you want.
  4. In the From box, click Unicode.

    The set of characters is limited if you select something other than Unicode in the From box. For example, if you select a local code page rather than Unicode, you will see a correspondingly reduced set of characters in the Symbol dialog box.

  5. If the Subset box is available, click a subcategory.
  6. Double-click the symbol that you want to insert.
  7. Click Close.

Unicode options

  • If you know the character code for a Unicode character, you do not need to open the Symbol dialog box. Type the Unicode hexadecimal character code in the document, and then press ALT+X.
  • You can toggle a character that is already in your document to display its Unicode hexadecimal character code by placing the insertion point directly after the character and pressing ALT+X.
  • To display the character code based on the local code page, type x before the character, place the insertion point after the character, and then press ALT+X. This process will work only if the character is represented in the local code page.
  • You can convert a hexadecimal value from the local code page into a character. Type x before a hexadecimal value, place the insertion point after the value, and then press ALT+X.

Notes

  • You can increase or decrease the size of the Symbol dialog box. Move the pointer to the lower-right corner of the dialog box until it changes into a double-headed arrow, and then drag to the desired size.
  • You can quickly insert a recently used symbol by double-clicking a symbol in the Recently used symbols box, and then clicking Close.


Changes Excel doesn't track or highlight

Change tracking records changes you make to cell contents, including moves and copies, and also row and column insertions and deletions. Microsoft Excel does not keep track of the following types of changes:

Untracked change | Alternatives
Change sheet names | Changes aren't highlighted on the sheet tabs, but are tracked in the History worksheet.
Insert or delete worksheets | Changes to a worksheet after it's inserted are tracked, but the insertion itself is not tracked.
Format cells or data | None
Hide or unhide rows or columns | None
Add or change comments | None
Cells that change because a formula calculates a new value | To find cells that change due to recalculation, use the tools on the Auditing toolbar.
Unsaved changes | You can highlight changes as you make them, but changes appear in the History worksheet only after they're saved.

Change tracking is available only in shared workbooks. As a result, features that are unavailable for use in shared workbooks also are not tracked as changes.

Features unavailable in shared workbooks

You can access the following features only if you stop sharing the workbook.

You cannot use shared workbooks on Web servers.

Unavailable feature | Alternatives
Insert or delete blocks of cells | You can insert entire rows and columns.
Delete worksheets | None
Merge cells or split merged cells | None
Add or change conditional formats | Existing conditional formats continue to appear as cell values change, but you can't change these formats or redefine the conditions.
Add or change data validation | Cells continue to be validated when you type new values, but you can't change existing data validation settings.
Create or change charts or PivotChart reports | You can view existing charts and reports.
Insert or change pictures or other objects | You can view existing pictures and objects.
Insert or change hyperlinks | Existing hyperlinks continue to work.
Use drawing tools | You can view existing drawings and graphics.
Assign, change, or remove passwords | Existing passwords remain in effect.
Protect or unprotect worksheets or the workbook | Existing protection remains in effect.
Create, change, or view scenarios | None
Group or outline data | You can continue to use existing outlines.
Insert automatic subtotals | You can view existing subtotals.
Create data tables | You can view existing data tables.
Create or change PivotTable reports | You can view existing reports.
Write, record, change, view, or assign macros | You can run existing macros that don't access unavailable features. You can record shared workbook operations into a macro stored in another nonshared workbook.
Add or change Microsoft Excel 4 dialog sheets | None
Change or delete array formulas | Existing array formulas continue to calculate correctly.


Undo or redo an action

  1. Do one or more of the following:
    • To undo recent actions one at a time, click Undo [image].
    • To undo several actions at once, click the arrow next to Undo [image] and select from the list. Microsoft Excel reverses the selected action and all actions above it.

    • To cancel an entry in a cell or the formula bar before you press ENTER, press ESC.

  2. If you change your mind, click Redo [image] or click the arrow next to Redo [image] and select from the list.


Group, ungroup, or regroup objects

Do one of the following:

Group objects

  1. Select the objects you want to group.

    To select multiple objects, hold down SHIFT while you select each object.

  2. On the Drawing toolbar, click Draw, and then click Group.

Ungroup objects

  1. Select the group you want to ungroup.
  2. On the Drawing toolbar, click Draw, and then click Ungroup.

    To continue ungrouping, click Yes when the message box appears.

    To change an individual object, continue to select and ungroup objects until the one you want becomes available.

  3. Use the tools on the Drawing toolbar to change the object.

Regroup objects

  1. Select any one of the objects that was previously grouped.
  2. On the Drawing toolbar, click Draw, and then click Regroup.

Note After you have grouped objects, you can still select any single object within the group by first selecting the group. Then, click the object you want to select.


Refresh data in a PivotTable or PivotChart report

Note If the report is based on an offline cube file, refreshing it completely rebuilds the cube file from the OLAP server and may take as long as initial creation of the cube file.

  1. Click the report.
  2. On the PivotTable toolbar, click Refresh Data [image].
  3. If you want Microsoft Excel to refresh the report automatically when you open the workbook, set this option.

    How?

    1. On the PivotTable toolbar, click PivotTable or PivotChart, and then click Table Options or Options.
    2. Select the Refresh on open check box.
  4. If the report is based on external data, and you want Excel to refresh it at timed intervals, set this option.

    How?

    1. On the PivotTable toolbar, click PivotTable or PivotChart, and then click Table Options or Options.
    2. Select the Refresh every check box, and then enter the interval you want in the minutes box.

Note When you refresh a PivotChart report or its associated PivotTable report, some chart formatting may be lost.

Tip

If your database prompts for a password every time you refresh, you can have Excel save the password so you won't have to enter it repeatedly. On the PivotTable toolbar, click PivotTable or PivotChart, click Table Options or Options, and then select the Save password check box. This option saves the password as readable text, so if security is a greater concern than convenience, you may not want to use this option.


Refresh imported data

Refreshing data

Automatically refresh data when a workbook is opened

You can refresh an external data range automatically when you open the workbook, and optionally save the workbook without saving the external data, so that the workbook file size is reduced.

  1. Click a cell in the external data range you want to refresh, and then click Data Range Properties [image] on the External Data toolbar.
  2. Select the Refresh data on file open check box.
  3. If you want to save the workbook with the query definition but without the external data, select the Remove external data from worksheet before saving check box.

Refresh multiple external data ranges

  1. If your worksheet contains more than one external data range that you want to refresh, on the View menu, point to Toolbars, and click External Data.
  2. On the External Data toolbar, click Refresh All [image] to refresh all of the external data ranges in the workbook.

    If you have more than one workbook open, you must click Refresh All in each workbook to refresh external data.

Refresh data in an imported text file

  1. Select the worksheet with your imported text file.
  2. Click Refresh Data [image] on the External Data toolbar.
  3. In the Import Text File dialog box, select your text file, and then click Import.

Tip

If you want to import only part of the data in a text file as a refreshable data range, you can create a query to retrieve the data. For more information, see Microsoft Query Help.

Automatically refresh data at intervals

  1. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  2. Select the Refresh every box, and then enter the number of minutes between refreshes.

Control the order of refreshes

  1. Click a cell in the external data range you want to refresh first, and then click Refresh Data on the External Data toolbar.
  2. Repeat for each external data range until they are all refreshed in the order you want.

Setting refresh options

Require a password to refresh an external data range

If your data source requires a password to connect to it, you can require that the password is entered before the external data range can be refreshed. This procedure does not apply to data retrieved from a text file (*.txt) or a Web query (*.iqy).

  1. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  2. Under Query definition, clear the Save password check box.

Notes

  • Stored passwords are not encrypted.

  • Microsoft Excel prompts for the password only the first time that the external data range is refreshed in each Excel session. The next time you start Excel, you will be prompted for the password again if you open the workbook that contains the query, and then click Refresh Data [image].

Preserve cell formatting when you refresh an external data range

  1. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  2. Do one or both of the following
    • If you want to preserve cell formatting that you apply, select the Preserve cell formatting check box under Data formatting and layout.

    • If you want to preserve column widths that you set, clear the Adjust column width check box under Data formatting and layout.

  3. Click OK.
  4. To refresh the external data range, click Refresh Data [image] on the External Data toolbar.

Run a query in the background or while you wait

Running a query in the background allows you to use Microsoft Excel while the query runs.

  1. Click a cell in the external data range, and then click Data Range Properties [image] on the External Data toolbar.
  2. Select the Enable background refresh check box to run the query in the background or clear it to run the query while you wait.

Notes

  • Stop a query To stop a query from running when Enable background refresh is turned off, press ESC.
  • Stop a background refresh To stop a query that is running in the background, double-click the Background Refresh Background refresh icon on the status bar to display the External Data Refresh Status dialog box, and then click Stop Refresh.
  • Recording a macro While you are recording a macro that includes a query, Excel will not run the query in the background. To change the recorded macro so that it runs in the background, edit the macro in the Visual Basic Editor and change the refresh method for the QueryTable object from "BackgroundQuery := False" to "BackgroundQuery := True". For information about editing macros, see Visual Basic Help.

Note You can check the status of a refresh by clicking Background Refresh Refresh indicator in the status bar. To cancel the query, click Cancel Refresh on the External Data toolbar.


Decide whether to update links

The workbook you have opened (called a destination file) contains links to other workbooks or files (called source files). If the source has changed, then the workbook you are opening uses data that is out of date.

Workbook contains links

Workbook contains links

1 Destination file. This workbook that was just opened.

2 Links. Formulas that reference a location in the source.

3 Source file, such as another workbook. If someone else has changed a value in a cell, Excel does not know to look for the new value unless you tell it to.

Should I click Update or Don't Update?

If you don't remember creating links

Click Don't Update. It is possible to accidentally create a link by moving or copying a range, worksheet, or chart between workbooks. Open the workbook, and then look for the links that were created, and delete them.

How?

Break a link to a source

Important When you break a link to a source, all formulas that that use the source are converted to their current value. For example, the link =SUM([Budget.xls]Annual!C10:C25) would be converted to =45. Because this action cannot be undone, you may want to save a version of the file before you start.

  1. On the Edit menu, click Links.

  2. In the Source list, click the link you want to break.

    To select multiple linked objects, hold down CTRL and click each linked object.

    To select all links, press CTRL+A.

  3. Click Break Link.

  4. If the link used a defined name, the name is not automatically removed. You may want to delete the name as well.

    How?

    1. On the Insert menu, point to Name, and then click Define.

    2. In the Names in workbook list, click the name you want to change.

    3. Do one of the following:

      Change the name

      1. Type the new name for the reference, and then click Add.

      2. Click the original name, and then click Delete.

      Change the cell, formula, or constant represented by a name

      Change it in the Refers to box.

      Delete the name

      Click Delete.

  5. If you use an external data range, a parameter of a query may also use data from another workbook. You may want to check for and remove any of these type of links.

Control the startup prompt for updating links

Don't ask whether to update links when I open any workbook, and update links automatically

This option is for the current user only, and affects every workbook opened. Other users of the workbook are not affected. This option also affects links to other programs.

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. Clear the Ask to update automatic links check box. If the box is cleared, the links are automatically updated, and no prompt is displayed.

Don't ask to update links for this workbook, and let me control whether links are updated

Warning This option affects all users of the workbook. If you choose to not update links, and not to prompt, users of the workbook will not know the data is out of date.

  1. On Edit menu, click Links.

  2. Click Startup Prompt.

  3. Select the option you want.

Note You will still be notified if there are any broken links.

Replace a single formula with its calculated value

Caution When you replace a formula with its value, Microsoft Excel permanently removes the formula. If you accidentally replace a formula with a value and want to restore the formula, click Undo [image] immediately after you enter or paste the value.

  1. Select the cell that contains the formula.

    If the formula is an array formula, select the range that contains the array formula.

    How?

    1. Click any cell in the array range.

    2. On the Edit menu, click Go To.

    3. Click Special.

    4. Click Current array.

  2. Click Copy [image].

  3. Click Paste [image] on the Standard toolbar.

  4. Click the arrow next to Paste Options [image], and then click Values.

If you know you are not connected to the source

Click Don't Update. Microsoft Excel cannot connect to a source if it is not there. For example, the source may be on a network, and you may not be connected to the network.

If you want the data as it already exists, and don't want it replaced with new data

Click Don't Update.

If you tried to update last time, and it took too long

Click Don't Update. If the data does not need to be the most current, you can save time by not updating all the links. After opening the workbook, on the Edit menu, click Links, and then update links only from the sources you need.

If someone else created the workbook, and you don't know why you are seeing this prompt

Click Update. Contact the author of the workbook. You can also investigate what links are in the workbook. On the Edit menu, click Links.

If you answer the prompt the same way every time, and don't want to see it again

You can answer the startup prompt in a consistent way, and avoid seeing it for this workbook.

How?

Don't prompt for all workbooks I open, and update the links automatically

This option is for the current user only, and affects every workbook opened. Other users of the workbook are not affected.

  1. On the Tools menu, click Options, and then click the Edit tab.

  2. Clear the Ask to update automatic links check box. If the box is cleared, the links are automatically updated, and no alert is displayed.

Prompt in the same way for every user of the workbook

Warning This option affects all users of the workbook. If you choose to not update links, and not to prompt, users of the workbook will not know the data is out of date.

  1. On Edit menu, click Links.

  2. Click Startup Prompt.

  3. Select the option you want.

Note You will still be notified if there are any broken links.

If you know the workbook Excel is trying to connect to is available

Click Update. This ensures you have the latest data.

If you are using a parameter query

A link to a parameter query cannot be updated unless the source workbook is open.

  1. Click Don't Update.

  2. Close the destination workbook.

  3. Open the source workbook.

  4. Open the destination workbook.

  5. Click Update.


Create a Word mail merge with Excel data

  1. In Microsoft Excel, set up the data to use in the mail merge.

    How?

    1. Make sure the data is in list format: each column has a label in the first row and contains similar facts, and there are no blank rows or columns within the list. You'll use the column labels to specify what data goes where in the mail merge.
    2. Make sure the column labels clearly identify the type of data in the column; this helps you select the right data as you construct the mail merge. For example, labels such as First Name, Last Name, Address, and City are better than Column 1, Column 2, Column 3, and Column 4.
    3. Make sure you have a separate column for each element that you want to include in the mail merge. For example, if you're creating form letters and want to use each recipient's first name in the body of the letter, make sure you have a column that contains first names, rather than a single column with both first and last names. If you want to refer to each recipient by title and last name, such as Mr. Smith, you can use a single column containing both titles and last names, or use one column for title and another for last name.
    4. To make the list easy to find when you select it for the mail merge, give it a name:

      How?

      1. Select the entire list.
      2. On the Insert menu, point to Name, and then click Define.
      3. Type a name for the list.
      4. Click Add, and then click Close.
  2. Save and close the workbook that contains the data.
  3. Switch to Microsoft Word.
  4. On the Tools menu, point to Letters and Mailings, and then click Mail Merge Wizard.
  5. In the first two steps of the Mail Merge Wizard, select the document type and start the document. If you're creating mailing labels, click Labels in Step 1, and then click Label options in Step 2 to select the size and type of labels to print.

    For more information about these steps, see Word Help.

  6. In the third step, under Select recipients, click Use an existing list, and then click Browse.
  7. In the Look in list, click the folder in which you saved the workbook with your data, click the workbook, and then click Open.
  8. In the Select Table dialog box, locate and click your list. Make sure the First row of data contains column headers check box is selected, and then click OK.
  9. In the Mail Merge Recipients dialog box, click any column labels in your data that correspond to the Word identifiers on the left. This step makes inserting your data in the form documents easier. For more information about matching fields, see Word Help.
  10. If you want to include only selected recipients in the mail merge, click Edit recipient list and select the recipients you want.
  11. Use the rest of the wizard steps to write, add recipient information, preview, personalize, save, and print or e-mail your documents. For information about these steps, see Word Help.

Notes

  • While Word has your workbook open to create the mail merge, you can't open the workbook in Excel. If you need to see the data and its column labels, go to Step 3 or 5 of the wizard and click Edit recipient list.
  • You can continue to use mail merges with Excel data that you created in earlier versions of Word. To open and use these mail merges in Word 2002, you'll need to install Microsoft Query. Query is no longer required to create new mail merges in Word 2002.


Use PivotTable data in a formula outside the PivotTable report

  1. In the PivotTable report, display the cell that you want to use in your formula.
  2. In the formula cell, type the formula up to the point where you want to include data from the report.
  3. Click the cell in the report. Microsoft Excel adds a GETPIVOTDATA worksheet function to your formula that retrieves the data from the report. This function continues to retrieve the correct data if the report layout changes.
  4. Finish typing your formula and press ENTER.

Note If you remove any of the fields referenced in the GETPIVOTDATA formula from the report, the formula returns #REF!.


Make chart data easier to read by adding bars or lines

Series lines on a stacked column chart

You can add series lines to connect data series in 2-D stacked bar and column charts. Drop lines are available in 2-D and 3-D area and line charts. High-low lines and up-down bars are available in 2-D line charts. Stock charts already have high-low lines and up-down bars.

  1. Click a data series in the chart that you want to add bars or lines to.
  2. On the Format menu, click Selected Data Series, and then click the Options tab.
  3. Select the option for the type of lines or bars you want.


View the History worksheet

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    If the Track changes while editing check box is not selected, Microsoft Excel has not recorded any change history for the workbook.

  2. Select the When check box and click All.
  3. Clear the Who and Where boxes.
  4. Select the List changes on a new sheet check box.
  5. Click OK, and then click the filter arrows next to the column labels on the History worksheet to find the information you want.

Note Saving the workbook removes the History worksheet. To view the History worksheet after saving, redisplay it.


View converted values for euros and other currencies

Some of the content in this topic may not be applicable to some languages.

  1. Point to Toolbars on the View menu, and then click EuroValue. If the EuroValue toolbar is not available, you need to load the Euro Currency Tools add-in program.

    How?

    1. On the Tools menu, click Add-Ins.

    2. If the add-in you want to use is not listed in the Add-Ins available box, click Browse, and then locate the add-in.

    3. In the Add-Ins available box, select the check box next to the add-in you want to load, and then click OK.
    4. If necessary, follow the instructions in the setup program.
  2. Click the arrow next to the list box on the EuroValue toolbar, and then click the conversion you want to view.

    For a list of the International Standards Organization (ISO) codes that identify the currencies, see the EUROCONVERT function.

  3. Do one of the following:

    • To view the converted value for a single cell, click the cell.

    • To view the converted sum of the values in a range, select a range of cells.

Note You can't copy the value that's displayed on the EuroValue toolbar to your worksheet. To copy converted values to your worksheet, follow the procedure to convert values.


View tracked changes

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    If the Track changes while editing check box is not selected, Microsoft Excel has not recorded any change history for the workbook.

  2. Select the changes you want to see:

    All changes that have been tracked Select the When check box and click All, and then clear the Who and Where check boxes.

    Changes made after a particular date Select the When check box, click Since date, and then type the earliest date for which you want to view changes.

    Changes made by a specific user Select the Who check box, and then click the user whose changes you want to view.

    Changes to a specific range of cells Select the Where check box, and then enter a range reference, or select a range on the worksheet.

  3. Select how you want to view the changes:

    Highlighted on the worksheet Select the Highlight changes on screen check box. To view the details about a change, rest the pointer over a highlighted cell.

    Listed on a separate sheet Select the List changes on a new sheet check box to display the History worksheet. This check box is available only after you've turned on change tracking and saved some changes.


About filtering

Filtering is a quick and easy way to find and work with a subset of data in a list. A filtered list displays only the rows that meet the criteria you specify for a column. Microsoft Excel provides two commands for filtering lists:

  • AutoFilter, which includes filter by selection, for simple criteria
  • Advanced Filter, for more complex criteria

Unlike sorting, filtering does not rearrange a list. Filtering temporarily hides rows you do not want displayed.

When Excel filters rows, you can edit, format, chart, and print your list subset without rearranging or moving it.

AutoFilter

When you use the AutoFilter command, AutoFilter arrows Field arrow appear to the right of the column labels in the filtered list.

List filtered for Davolio

1 Unfiltered list

2 Filtered list

Microsoft Excel indicates the filtered items with blue.

You use custom AutoFilter to display rows that contain either one value or another. You can also use custom AutoFilter to display rows that meet more than one condition for a column; for example, you might display rows that contain values within a specific range (such as a value of Davolio).

Advanced Filter

The Advanced Filter command can filter a list in place like the AutoFilter command, but it does not display drop-down lists for the columns. Instead, you type the criteria you want to filter by in a separate criteria range above the list. A criteria range allows for more complex criteria to be filtered.

Examples of complex criteria

Multiple conditions in a single column

If you have two or more conditions for a single column, type the criteria directly below each other in separate rows. For example, the following criteria range displays the rows that contain either "Davolio," "Buchanan," or "Suyama" in the Salesperson column.

Salesperson
Davolio
Buchanan
Suyama

One condition in two or more columns

To find data that meets one condition in two or more columns, enter all the criteria in the same row of the criteria range. For example, the following criteria range displays all rows that contain "Produce" in the Type column, "Davolio" in the Salesperson column, and sales values greater than $1,000.

Type | Salesperson | Sales
Produce | Davolio | >1000

One condition in one column or another

To find data that meets either a condition in one column or a condition in another column, enter the criteria in different rows of the criteria range. For example, the following criteria range displays all rows that contain either "Produce" in the Type column, "Davolio" in the Salesperson column, or sales values greater than $1,000.

Type | Salesperson | Sales
Produce |  |
 | Davolio |
 |  | >1000

One of two sets of conditions for two columns

To find rows that meet one of two sets of conditions, where each set includes conditions for more than one column, type the criteria in separate rows. For example, the following criteria range displays the rows that contain both "Davolio" in the Salesperson column and sales values greater than $3,000, and also displays the rows for salesperson Buchanan with sales values greater than $1,500.

Salesperson | Sales
Davolio | >3000
Buchanan | >1500

More than two sets of conditions for one column

To find rows that meet greater than two sets of conditions, include multiple columns with the same column heading. For example, the following criteria range displays sales that are between 5,000 and 8,000 in addition to sales that are less than 500.

Sales | Sales
>5000 | <8000
<500 |

Conditions created as the result of a formula

You can use a calculated value that is the result of a formula as your criterion. When you use a formula to create a criterion, do not use a column label for a criteria label; either keep the criteria label blank or use a label that is not a column label in the list. For example, the following criteria range displays rows that have a value in column C greater than the average of cells C7:C10.

=C7>AVERAGE($C$7:$C$10)

Notes

  • The formula you use for a condition must use a relative reference to refer to the column label (for example, Sales) or the corresponding field in the first record. All other references in the formula must be absolute references, and the formula must evaluate to TRUE or FALSE. In the formula example, "C7" refers to the field (column C) for the first record (row 7) of the list.
  • You can use a column label in the formula instead of a relative cell reference or a range name. When Microsoft Excel displays an error value such as #NAME? or #VALUE! in the cell that contains the criterion, you can ignore this error because it does not affect how the list is filtered.
  • When evaluating data, Microsoft Excel does not distinguish between uppercase and lowercase characters.


Select chart items

To select a chart item by using the mouse, do one of the following:

  • Click the chart item you want.

    Data series, data labels, and the legend have individual elements that can be selected after you select the group. For example, to select a single data marker in a data series, click the data series, and then click the data marker. Microsoft Excel displays the name of a chart item in a tip when you rest the pointer over the item if you have the Show names check box selected (Tools menu, Options command, Chart tab).

  • Click the chart.

    Click the arrow next to the Chart Objects box [image] on the Chart toolbar, and then click the item you want.

To select a chart item by using the keyboard, use the arrow keys.

To cancel a selection, press ESC.


Edit a shared workbook

  1. Go to the network location where the shared workbook is stored, and open the workbook.
  2. Set the user name to identify your work in the shared workbook: on the Tools menu, click Options, click the General tab, and then type your user name in the User name box.
  3. Enter and edit data as usual. You won't be able to add or change the following: merged cells, conditional formats, data validation, charts, pictures, objects including drawing objects, hyperlinks, scenarios, outlines, subtotals, data tables, PivotTable reports, workbook and worksheet protection, and macros.
  4. Make any filter and print settings you want for your personal use. Each user's settings are saved individually by default.

    If you want the filter or print settings made by the original author to be in effect whenever you open the workbook, click Share Workbook on the Tools menu, click the Advanced tab, and under Include in personal view, clear the Print settings or Filter settings check box.

  5. To save your changes to the workbook and see the changes other users have saved since your last save, click Save [image].

    If the Resolve Conflicts dialog box appears, resolve the conflicts.

    How?

    When two users try to save changes that affect the same cell, Microsoft Excel displays the Resolve Conflicts dialog box for one of the users.

    1. In the Resolve Conflicts dialog box, read the information about each change and the conflicting changes made by others.
    2. To keep your change or the other person's change and go on to the next conflicting change, click Accept Mine or Accept Other.

      To keep all of your remaining changes or all of the other users' changes, click Accept All Mine or Accept All Others.

    3. To have your changes to override all other changes, and never see the Resolve Conflicts dialog box again, turn this feature off.

      How?

      1. On the Tools menu, click Share Workbook, and then click the Advanced tab.
      2. Click The changes being saved win.
      3. Click Save [image].
    4. To see how you or others resolved past conflicts, view this information on the History worksheet.

      How?

      1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
      2. In the When box, click All.
      3. Clear the Who and Where check boxes.
      4. Select the List changes on a new sheet check box, and then click OK.
      5. On the History worksheet, scroll to the right to view the Action Type and Losing Action columns.

        Conflicting changes that were kept have "Won" for Action Type. The row numbers in the Losing Action column identify the rows with information about the conflicting changes that weren't kept, including any deleted data.

    Tip

    To save a copy of the workbook with all your changes, click Cancel in the Resolve Conflicts dialog box, click Save As on the File menu, and then type a new name for the file.

Notes

  • To see who else has the workbook open, click Share Workbook on the Tools menu, and then click the Editing tab.
  • If you want to get automatic updates of the other users' changes periodically, with or without saving, click Share Workbook on the Tools menu, click the Advanced tab, and under Update changes, click the options you want.


Inconsistent formula in region

The formula does not match the pattern of other formulas near it. In many cases formulas that are adjacent to other formulas only differ in the references used. For example, the formula =SUM(A10:F10) would be noted because the adjacent formulas change by one row, and it changes by 8 rows.

Formulas
=SUM(A1:F1)
=SUM(A2:F2)
=SUM(A10:F10)
=SUM(A4:F4)

If the references used in a formula are not consistent with those in the adjacent formulas, then the problem is noted.


Increase or decrease a number by a percentage

Use the formulas below to do these tasks.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
Number | Percent Increase
23 | 3%
Formula | Description (Result)
=A2*(1+5%) | Increases number in A2 by 5% (24.15)
=A2*(1+B2) | Increase number in A2 by the percent value in B2: 3% (23.69)
=A2*(1-B2) | Decrease number in A2 by the percent value in B2: 3% (22.31)

Note When you use a number followed by a percent sign (%), the number is interpreted as a hundredth of its value. For example, 5% is interpreted as .05.


Insert the current date and time in a cell

Insert a static date or time

Current date Select a cell and press CTRL+;

Current time Select a cell and press CTRL+SHIFT+;

Current date and time Select a cell and press CTRL+; then SPACE then CTRL+SHIFT+;

Insert a date or time whose value is updated

Use the TODAY and NOW functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=TODAY() | Current date (varies)
=NOW() | Current date and time (varies)

Note The NOW() and TODAY() functions change only when the worksheet is calculated or when a macro that contains the function is run. They are not updated continuously. The date and time used are taken from the computer's system clock.

Function details

TODAY

NOW


Insert Julian dates

The phrase "Julian date" is sometimes used to refer to a date format that is a combination of the current year, and the number of days since the beginning of the year. For example, January 1, 2007 is represented as 2007001 and December 31, 2007 is represented as 2003356. Note that this format is not based on the Julian calendar.

There is also a Julian date commonly used in astronomy, which is a serial date system starting on January 1, 4713 B.C.E.

Enter today as a "Julian date"

Use the TEXT, TODAY, and DATEVALUE functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=TEXT(TODAY() ,"yy")&TEXT((TODAY() -DATEVALUE("1/1/"&TEXT(TODAY(),"yy"))+1),"000") | Current day in "Julian" format, with a two-digit year (Varies)
=TEXT(TODAY() ,"yyyy")&TEXT((TODAY() -DATEVALUE("1/1/"&TEXT(TODAY(),"yy"))+1),"000") | Current day in "Julian" format, with a four-digit year (Varies)

Notes

  • The current date used is taken from the computer's system clock.
  • In the formulas above, the year begins on January 1 (1/1). To convert the formulas to use a different starting date, edit the portion "1/1/" to the date you want.

Function details

DATEVALUE

TEXT

TODAY

Convert a date to a "Julian date"

Use the TEXT and DATEVALUE functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Date
6/23/2007
Formula | Description (Result)
=TEXT(A2,"yy")&TEXT((A2-DATEVALUE("1/1/"&TEXT(A2,"yy"))+1),"000") | Date above in "Julian" format, with a two-digit year (07174)
=TEXT(A2,"yyyy")&TEXT((A2-DATEVALUE("1/1/"&TEXT(A2,"yy"))+1),"000") | Date above in "Julian" format, with a four-digit year (2007174)

Note In the formula above, the year begins on January 1 (1/1). To convert the formulas to use a different starting date, edit the portion "1/1/" to the date you want.

Function details

DATEVALUE

TEXT

Convert a date to a Julian date used in astronomy

This formula only works for dates after 3/1/1901, and in workbooks using the 1900 date system.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Date
6/23/2007
Formula | Description (Result)
=A2+2415018.50 | First date above in Julian date format used in astronomy (2454274.50)

Note To view the date as a number, select the cell and click Cells on the Format menu. Click the Number tab, and then click Number in the Category box.


Find links in a workbook

There is no automatic way to find links used in a workbook. However, because links use brackets [ ] to enclose the source workbook name when it is closed, you can search for it. For example =SUM([Budget.xls]Annual!C10:C25).

  1. Close all workbooks except the one you want to find the links in.
  2. On the Edit menu, click Find.
  3. Click Options.
  4. In the Find what box, enter [.
  5. In the Within box, click Workbook.
  6. In the Look In box, click Formulas.
  7. Click Find All.
  8. In the box at the bottom, look in the Formula column for formulas that contain [.
  9. To select the cell with a link, select the row in the box at the bottom.
  10. Links are also commonly used in names, text boxes, or chart titles.

    Find links used in names

    1. On the Insert menu, point to Name, and then click Define.
    2. Select each entry in the Names in workbook list, and look in the Refers to box for links. Links contain a reference to another workbook, such as [Budget.xls].

    Find links used in text boxes or chart titles

    1. Click the text box or chart title you want to check.
    2. In the formula bar Formula bar, look for a reference to another workbook, such as [Budget.xls].

    Find links used in other objects

    1. On the Edit menu, click Go To, and then click Special.
    2. Click Objects, and then click OK.
    3. Press TAB, and then look in the formula bar Formula bar for a reference to another workbook, such as [Budget.xls]. The name of the object appears in the Name box.
    4. Repeat the previous step until each object is checked.

    Find links used in chart data series

    1. Select the data series you want to check.
    2. In the formula bar Formula bar, look for a reference to another workbook, such as [Budget.xls].
    3. To proceed to the next data series, press TAB.
    4. Repeat the previous two steps until each data series is checked.


About formatting worksheets and data

Use these formatting features to effectively display your data.

Format text and individual characters To make text stand out, you can format all of the text in a cell or selected characters. Select the characters you want to format, and then click a button on the Formatting toolbar.

Text formatting buttons on the Formatting toolbar

Rotate text and borders The data in a column is often very narrow while the label for the column is much wider. Instead of creating unnecessarily wide columns or abbreviated labels, you can rotate text and apply borders that are rotated to the same degree as the text.

Text and borders rotated 45 degrees

Add borders, colors, and patterns To distinguish between different types of information in a worksheet, you can apply borders to cells, shade cells with a background color, or shade cells with a color pattern.

Text with borders and a background color

Number formats

You can use number formats to change the appearance of numbers, including dates and times, without changing the number behind the appearance. The number format does not affect the actual cell value that Microsoft Excel uses to perform calculations. The actual value is displayed in the formula bar.

Formula bar and a related cell

The General number format

The General format is the default number format. For the most part, numbers formatted with the General format are displayed just the way you entered them. However, if the cell is not wide enough to show the entire number, the General format rounds numbers with decimals and uses scientific notation for large numbers.

Built-in number formats

Excel contains many built-in number formats you can choose from. To list them, click Cells on the Format menu, and then click the Number tab. The Special category includes formats for postal codes and phone numbers. Options for each category appear to the right of the Category list. The formats appear in categories on the left, including Accounting, Date, Time, Fraction, Scientific, and Text.

Formatting cells and lists

Apply an autoformat to a range To format an entire list or other range that has distinct elements — for example, column and row labels, summary totals, and detail data — you can apply an autoformat. The design uses distinctive formats for the various elements in the range.

Create and apply a style To apply several formats in one step and ensure that cells have consistent formatting, you can apply a style to the cells. Microsoft Excel has styles you can use to format numbers as currency, as percentages, or with commas that separate thousands. You can create your own styles to apply a font and font size, number formats, cell borders, and shading and to protect cells from changes. If your data is in an outline, you can apply styles according to outline level.

Copy formats from one cell or range to another If you've already formatted some cells on a worksheet the way you want, you can use the Format Painter button to copy the formatting to other cells.

Automatically extend formats in a list When this option is on, the formatting is automatically extended when you enter rows at the end of a list that you've already formatted. You can turn automatic formatting on or off.

Formatting cells based on specific conditions

You can monitor formula results or other cell values by applying conditional formats. For example, you can apply green text color to the cell if sales exceed forecast and red shading if sales fall short.

Cell values highlighted based on conditions

When conditions change If the value of the cell changes and no longer meets the specified condition, Microsoft Excel clears the formatting from the cell, but leaves the condition applied so that the formatting will be automatically reapplied when the condition is met.

Shared workbooks In a shared workbook, conditional formats that are applied before a workbook is shared continue to work; however, you cannot modify the conditional formats or apply new ones while the workbook is shared.

PivotTable reports If you try to apply conditional formats to cells in a PivotTable report, you will get unpredictable results.

Formulas as formatting criteria

You can compare the values of the selected cells to a constant or to the results of a formula. To evaluate data in cells outside the selected range or to examine multiple sets of criteria, you can use a logical formula to specify the formatting criteria.

  • Use the value in a cell as the condition If you select the Cell Value Is option and compare the values of the selected cells to the result of a formula, you must start the formula with an equal sign (=).
  • Use a formula as the condition If you select the Formula Is option, the formula you specify must return a logical value of TRUE (1) or FALSE (0). You must start the formula with an equal sign (=). The formula can evaluate data only on the active worksheet. To evaluate data on another sheet or in another workbook, you can define a name on the active worksheet for the data on another sheet or workbook, or enter a reference to the data in a cell of the active worksheet. Then refer to that cell or name in the formula. For example, to evaluate data in cell A5 on Sheet1 of the workbook Fiscal Year.xls, enter the following reference, including the equal sign (=), in a cell of the active sheet: =[Fiscal Year.xls]SHEET1!$A$5

    The formula can also evaluate criteria that is not based on worksheet data. For example, the formula =WEEKDAY("12/5/99")=1 returns a value of TRUE if the date 12/5/99 is a Sunday. Unless a formula specifically refers to the selected cells you are formatting, the cell values do not affect whether the condition is true or false. If a formula does refer to the selected cells, you must enter the cell references in the formula.

  • Use cell references as the condition You can enter cell references in a formula by selecting cells directly on a worksheet. Selecting cells on the sheet inserts absolute cell references. If you want Microsoft Excel to adjust the references for each cell in the selected range, use relative cell references.
  • Use dates Dates and times are evaluated as serial numbers. For example, if you compare the cell value with the date January 7, 2001, the date is represented by the serial number 36898.

Example 1: Use data in a cell

In the following example, conditional formats applied to the range B2:E3 analyze quarterly contributions to the yearly total. Quarterly results that contribute 30 percent or more to the total are displayed in bold and green. Quarterly results that contribute 20 percent or less are displayed in bold and red.

Cell values formatted based on conditions

The following table summarizes the conditional formats applied to the range B2:E3. Microsoft Excel adjusts the relative portion (the row number) of the cell reference $F2 in the formula so that each cell in the range B2:E3 is compared with the corresponding total in column F.

 | Cell Value Is | Formula | Formats
Condition 1 | Greater than or equal to | =$F2*0.3 | Bold, green font
Condition 2 | Less than or equal to | =$F2*0.2 | Bold, red font

Example 2: Use a formula and external cell references

Formula Is Formats
Condition 1 =AND(AVERAGE($A$1:$A$5)>3000,
MIN($A$1:$A$5)>=1800) 		Green cell shading

Example 3: Use a formula and a cell reference

 | Formula Is | Formats
Condition 1 | =MOD(A4,2)=0 | Blue font

This formula must evaluate each cell in the range. When you enter such a formula in the Conditional Formatting dialog box, however, enter only the cell reference for the active cell in the selected range. Microsoft Excel adjusts the references to the other cells relative to the active cell.

Verify a conditional format before applying it An easy way to ensure that formula references are correct is to apply the conditional formatting first to one cell in the range. Then select the entire range, click Conditional Formatting on the Format menu, and then click OK. The conditional formatting you applied to the first cell is applied to the entire range, with the formula correctly adjusted for each cell.


About combination charts

Combination charts A combination chart uses two or more chart types to emphasize that the chart contains different kinds of information. The chart in the example shows one data series (Projected) as a column chart type and the other (Actual) as a line. To create this kind of overlay effect, select a custom chart type in Step 1 of the Chart Wizard when you create a chart. This example uses the Line – Column chart type. You can change an existing chart to a combination chart by selecting the data series you want to change and then changing the chart type for that series.

Secondary axis When the range of values for different data series varies widely, or when you have mixed types of data, you can plot one or more data series on a secondary value (y) axis. The scale of the secondary axis reflects the values for the associated series. The chart in the example shows the number of homes sold on the left y-axis and the average price on the right y-axis.

Combination chart with secondary axes


About printing

Viewing your worksheet for printing

Microsoft Excel provides the following ways to view your worksheet and adjust how it will look printed.

  • Normal view The default view is best for on-screen viewing and working.
  • Print preview Shows you the printed page so you can adjust columns and margins. The way pages appear in the preview window depends on the available fonts, the resolution of the printer, and the available colors.
  • Page break preview Shows you what data will go on each page so you can adjust the print area and page breaks.

As you make settings that affect how your worksheet will print, you can switch between the different views to see the effects before you send the data to the printer.

Preparing to print

Excel provides many optional settings so you can adjust the appearance of the printed page. To make sure you've checked everything likely to affect your printout, do the following:

Change the format and layout of the worksheet on-screen

You can set the orientation of the printed worksheet to portrait or landscape.

When to use landscape Switch to landscape when you need to print many more columns of data than will fit on a portrait page. If you don't want to use landscape, you can change the layout of the printed worksheet to fit the data to the available space, or adjust the margins.

Making the data fit the page You can make the printed image fit the page or paper size by shrinking or expanding the image. Other changes you can make to the layout of the printed worksheet include setting the paper size, centering the data on the printed page, and controlling how the pages are numbered. These changes affect only the worksheet's printed appearance, not how it looks on the screen.

Print partial data To print only selected parts of the data on a worksheet, you can specify which areas to print.

Add headers and footers

To put page numbers or other text above or below the worksheet data on each page, you can add headers or footers to your printed worksheet. Headers print at the top of every page; footers print at the bottom of every page. You can use built-in headers or footers or create your own.

Printed pages with headers

1 Headers

Headers and footers are separate from the data on your worksheet and appear only when you preview and print. In addition to headers and footers, you can repeat worksheet data as print titles on every page.

Preview and adjust margins

To see each page exactly as it will print, click Print Preview [image]. In print preview, you can see headers, footers, and print titles.

When to adjust margins Adjust the margins or columns when your data is too wide to fit across the page and you don't want to shrink it to fit. In print preview, you can change the width of the margins and columns on the worksheet by dragging the sizing handles. Click the Margins button to display the handles.

1 Margin sizing handles

2 Column sizing handles

Change the size of individual columns and rows Move the gridlines in the row numbers and column letters areas.

A list formatted for on-screen viewing

1 Column sizing

2 Row sizing

Gridlines, page order, and other settings In print preview, you can change the way your worksheet prints. With the Setup button, you can turn gridlines on or off, print a draft copy of your worksheet, and change the order in which pages are printed.

Check page breaks

Page break preview shows where page breaks occur on the worksheet and which area of the worksheet will be printed. Page breaks you set are solid blue lines, and automatic page breaks set by Excel are dashed blue lines.

Page break preview

1 Automatic page breaks

2 Manual page breaks

When to move page breaks To fit more rows or columns on the current page, move a horizontal or vertical page break. In Page break preview, this automatically shrinks the data to fit on the page. You may want to preview the page again to make sure the font size isn't too small.

Forcing page breaks To end a page at a particular point and start a new page, you can set a new page break.

Repeat titles on every page

Repeat row and column labels If the data on your worksheet has column or row labels (also called print titles), you can have Excel repeat these labels on every page of the printed worksheet.

Worksheet with print titles

1 Column labels

The labels don't have to be in the first rows or columns of the worksheet, but they don't begin repeating until after the row or column they originally appeared in has been printed.

Repeat row and column headings You can also print the row numbers or column letters for a worksheet (don't confuse these headings with the labels in your data).

1 Row numbers

2 Column letters

You can use any combination of headers and footers, repeating labels, and row and column headings.

Previewing specific sheets or pages

Range of pages You can preview a specific range of pages.

Embedded chart If a worksheet contains an embedded chart, print preview displays both the worksheet and the chart. You can move or resize the chart in normal view or page break preview. If you select an embedded chart before you click Print Preview [image], Excel displays only the embedded chart.

Page number and total pages The status bar at the bottom of the screen shows the current page number and the total number of pages to be printed.

Speeding up a printing job

Printing a draft You can speed up the time it takes to print a worksheet by temporarily changing the print quality. If you know the printer resolution you want to use, you can change the print quality for the printer. If you are unsure of the resolution (or quality), you can print the document in draft quality, which increases printing speed by ignoring formatting and most graphics.

Printing in black and white On black-and-white printers, Excel prints colors as gray shades. You can reduce the amount of time it takes Excel to print a worksheet that contains colors by printing colors in black and white. When you print a worksheet by using only black and white, Excel prints fonts and borders formatted in color as black, not as gray shades. Excel also prints cell and AutoShape backgrounds as white and prints other graphics and charts in shades of gray.

Printing without gridlines Large worksheets print faster if gridlines are not printed.

Using the Report Manager Add-in

You can combine worksheets, views, and scenarios into reports that can be printed by using the Report Manager add-in. When you add a report, it is saved with the workbook so that you can print the report later.

For example, if you have a Best Case scenario, a Worst Case scenario, and two different custom views— Summary and Details— you can create a report that prints the Best Case scenario with the Details view and another report that prints the Best Case Scenario with the Summary view.

Printing to fit a paper width or a certain number of pages

If your work doesn't fit exactly on the number of printed pages you want, you can adjust, or scale, your printed work to fit on more or fewer pages than it would at normal size. You can also specify that you want to print your work on a certain number of pages.


About subtotals

Example of automatic subtotals

Microsoft Excel can automatically calculate subtotal and grand total values in a list. When you insert automatic subtotals, Excel outlines the list so that you can display and hide the detail rows for each subtotal.

To insert subtotals, you first sort your list so that the rows you want to subtotal are grouped together. You can then calculate subtotals for any column that contains numbers.

If your data isn't organized as a list, or you only need a single total, you can use AutoSum [image] instead of automatic subtotals.

How subtotals are calculated

Subtotals Excel calculates subtotal values with a summary function, such as Sum or Average. You can display subtotals in a list with more than one type of calculation at a time.

Grand totals Grand total values are derived from detail data, not from the values in the subtotal rows. For example, if you use the Average summary function, the grand total row displays an average of all detail rows in the list, not an average of the values in the subtotal rows.

Automatic recalculation Excel recalculates subtotal and grand total values automatically as you edit the detail data.

Nesting subtotals

You can insert subtotals for smaller groups within existing subtotal groups. In the example below, subtotals for each sport are in a list that already has subtotals for each region.

Example of outer and nested subtotals

1 Outer subtotals

2 Nested subtotals

Before inserting nested subtotals, be sure to sort the list by all the columns for which you want subtotal values, so that the rows you want subtotaled are grouped together.

Summary reports and charts

Create summary reports When you add subtotals to a list, the list is outlined so that you can see its structure. You can create a summary report by clicking the outline symbols one two three, plus, and minus to hide the details and show only the totals.

Outlined list with only total rows showing

Chart the summary data You can create a chart that uses only the visible data in a list that contains subtotals. If you show or hide details in the outlined list, the chart is also updated to show or hide the data.

Chart made from subtotal data


About data tables

Data tables are part of a suite of commands sometimes called what-if analysis tools. A data table is a range of cells that shows how changing certain values in your formulas affects the results of the formulas. Data tables provide a shortcut for calculating multiple versions in one operation and a way to view and compare the results of all of the different variations together on your worksheet.

One-variable data tables For example, use a one-variable data table if you want to see how different interest rates affect a monthly mortgage payment. In the following example, cell D2 contains the payment formula, =PMT(B3/12,B4,-B5), which refers to the input cell B3.

Data table with one variable

Two-variable data tables A two-variable data table can show how different interest rates and loan terms will affect the mortgage payment. In the following example, cell C2 contains the payment formula, =PMT(B3/12,B4,-B5), which uses two input cells, B3 and B4.

Data table with two variables

Data table calculations Data tables recalculate whenever a worksheet is recalculated, even if they have not changed. To speed up calculation of a worksheet that contains a data table, you can change the Calculation options to automatically recalculate the worksheet but not data tables.


About Goal Seek

Goal Seek is part of a suite of commands sometimes called what-if analysis tools. When you know the desired result of a single formula but not the input value the formula needs to determine the result, you can use the Goal Seek feature available by clicking Goal Seek on the Tools menu. When goal seeking, Microsoft Excel varies the value in one specific cell until a formula that's dependent on that cell returns the result you want.

Model with payment dependent on interest

For example, use Goal Seek to change the interest rate in cell B3 incrementally until the payment value in B4 equals $900.00.


About scenarios

Scenarios are part of a suite of commands sometimes called what-if analysis tools. A scenario is a set of values that Microsoft Excel saves and can substitute automatically in your worksheet. You can use scenarios to forecast the outcome of a worksheet model. You can create and save different groups of values on a worksheet and then switch to any of these new scenarios to view different results.

Creating scenarios For example, if you want to create a budget but are uncertain of your revenue, you can define different values for the revenue and then switch between the scenarios to perform what-if analyses.

Worst Case scenario

In the example above, you could name the scenario Worst Case, set the value in cell B1 to $50,000, and set the value in cell B2 to $13,200.

Best Case scenario

You could name the second scenario Best Case and change the values in B1 to $150,000 and B2 to $26,000.

Scenario summary reports To compare several scenarios, you can create a report that summarizes them on the same page. The report can list the scenarios side by side or summarize them in a PivotTable report.


File format converters supplied with Excel

You can convert a file from Microsoft Excel to another file format by saving it with the Save As command (File menu) in Excel. The file formats available in the Save As dialog box vary, depending what type of sheet is active (a worksheet, chart sheet, or other type of sheet). For most file formats, Excel converts only the active sheet. To convert the other sheets, switch to each sheet and save it separately.

You can convert a file from another program to Microsoft Excel by opening it in Excel with the Open command (File menu).

If you do not see the file format you want in the Open or Save As dialog box, you can install the converter. For more information about installing add-ins and converters, you can go to the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

Microsoft Excel formats

If you plan to share your workbook with users who have different versions of Excel, and you don't mind a larger file size, the most versatile Excel file format is the Microsoft Excel 97-2002 & 5.0/95 Workbook format. This format saves two versions of a workbook (one with the Microsoft Excel 97-2002 file format and one with the Microsoft Excel 5.0/95 file format) in the same .xls file. Users of Excel 2002 can continue to work in the workbook and use any of the features or formatting unique to this version. Users of Microsoft Excel version 5.0 or Microsoft Excel 95 can open and use the workbook without having to convert the file.

It is recommended that users with older versions use the workbook read-only. If the workbook is saved in the earlier version of Microsoft Excel, features and formatting unique to the current version will be lost.

Formats that save the entire workbook | File name extension (Windows only)
Microsoft Excel Workbook (Microsoft Excel 2002) | .xls
Template (Microsoft Excel 2002) | .xlt
Workspace (Microsoft Excel 2002) | .xlw
Microsoft Excel 97-2002 & 5.0/95 Workbook | .xls
Microsoft Excel 5.0/95 Workbook | .xls
Microsoft Excel version 4.0 workbook (saves only worksheets, chart sheets, and macro sheets) | .xlw
HTML | .htm
Web Archive | .mht
XML Spreadsheet | .xml
Formats that save only the active sheet | File name extension (Windows only)
Microsoft Excel version 4.0 sheet formats (including Microsoft Excel macro or international macro sheets) | .xls, .xlc, .xlm
Microsoft Excel version 3.0 formats | .xls, .xlc, .xlm
Microsoft Excel version 2.x formats | .xls, .xlc, .xlm

Lotus 1-2-3 formats

When you open a .wk1 or .wk3 file in Excel, Excel applies the formatting in the associated .fmt, .fm3, or .all file. If you save a Lotus 1-2-3 file in Excel format, Excel saves the spreadsheet data and formatting in a single workbook file.

The WK1 (1-2-3) (*.wk1) and WK3 (1-2-3) (*.wk3) formats save only limited worksheet formatting. To save an Excel workbook in Lotus 1-2-3 format and retain borders, cell shading, fonts, and other formatting, select a Lotus 1-2-3 file format that stores formatting in a separate .fmt, .fm3, or .all file.

Lotus 1-2-3 file format | Release | Notes
WK4 (*.wk4) | 4.0 | Saves the entire workbook
WK3 (*.wk3) WK3, FM3 (*.wk3) | 3.x and Lotus 1-2-3/W | Saves only worksheets and chart sheets
WK1 (*.wk1) WK1 (FMT) (*.wk1) WK1 (ALL) (*.wk1) | 2.x | Saves only the active sheet
WKS (FMT) (*.wks) | 1.0 and 1.0A | Saves only the active sheet
.pic (when included in an .all file) | 3.x and Lotus 1-2-3/W | Excel can open but cannot save this format

Text formats

You can open and save files in the following text formats. If you save a workbook in text format, all formatting is lost.

Format | Notes
Formatted Text (Space-delimited) (*.prn) | Lotus space-delimited format Saves only the active sheet
Text (Tab-delimited) (*.txt) (Windows) Text (Macintosh) Text (OS/2 or MS-DOS) CSV (comma delimited) (*.csv) (Windows) CSV (Macintosh) CSV (OS/2 or MS-DOS) | If you are saving a workbook as a tab-delimited or comma-delimited text file for use on another operating system, select the appropriate converter to ensure that tab characters, line breaks, and other characters are interpreted correctly. Saves only the active sheet.
DIF (data interchange format) (*.dif) | Saves only the active sheet
SYLK (symbolic link format) (*.slk) | Saves only the active sheet

Other spreadsheet and database formats

Format | Program | Notes
DBF 2, DBF 3, DBF 4 (*.dbf) | DBASE II, III, and IV | Opens and saves only the active worksheet
WQ1 (*.wq1) | Quattro Pro for MS-DOS | Opens and saves only the active worksheet
.wb1 | Quattro Pro version 5.0 for Windows | Opens only, only available with converter loaded
.wb3 | Quattro Pro version 7.0 for Windows | Opens only, only available with converter loaded.
.wks | Microsoft Works version 2.0 for Windows and Microsoft Works for MS-DOS | Opens only Microsoft Works version 2.0 for Windows or Microsoft Works for MS-DOS spreadsheets

Clipboard formats

You can paste data from the Microsoft Office Clipboard into Excel by using the Paste or Paste Special command on the Edit menu if the Office Clipboard data is in one of the following formats:

Format | Clipboard type identifiers
Picture | Picture (Windows enhanced metafile, EMF) Note If you copy a Windows metafile (WMF) picture from another program, Microsoft Excel pastes the item as an enhanced metafile format (EMF) picture.
Bitmap | Bitmap (BMP)
Microsoft Excel file formats | Binary file formats for Microsoft Excel versions 3.0, 4.0, 5.0/95, Microsoft Excel 97-2000, Microsoft Excel Workbook (BIFF, BIFF3, BIFF4, BIFF5, and BIFF8)
Symbolic link format | SYLK
Lotus 1-2-3 Release 2.x format | .wk1
Data interchange format | .dif
Text (tab-delimited) format | Text
Comma-separated values format | .csv
Formatted text (only from Microsoft Excel) | Rich Text Format (RTF)
Embedded object | Microsoft Excel objects, objects from properly registered programs that support OLE 2.0 (OwnerLink), and Picture or another presentation format
Linked object | OwnerLink, ObjectLink, Link, Picture, or other format
Office drawing object | Office drawing object format or Picture (Windows enhanced metafile format, EMF)
Text | Display Text, OEM Text
HTML | .htm Note When you copy text from another program, Microsoft Excel pastes the text in HTML format, regardless of the format of the original text.


Turn off the AutoSort feature

  1. Click the field for which you want to turn off the AutoSort feature.
  2. On the PivotTable toolbar, click PivotTable, and then click Sort and Top 10.
  3. Under AutoSort options, click Manual to stop automatic sorting or Data source order to return the items to their original order.


Turn off the custom calculation feature

  1. In a PivotTable report, click the data field that has a custom calculation.
  2. On the PivotTable toolbar, click Field Settings [image].
  3. Click Options.
  4. In the Show data as box, click Normal.


Create a multiplication table

A multiplication table is a two-variable data table.

  1. Set up a worksheet with the following structure.
    2. 1
    2
    3
    A
    1
    1
    =A1*A2

  2. Enter a row of values from B3 to the right. For example, 1 through 10.

  3. Enter a column of values from A4 down. For example, 1 through 10.
  4. Select all cells in the range except cells A1 and A2.
  5. On the Data menu, click Table.
  6. In the Row input cell box, enter A1.
  7. In the Column input cell box, enter A2.
  8. Click OK.
  9. If you like, freeze the data table by converting the result to their values.

    How?

    1. Select all resulting values in the data table.
    2. Click Copy [image] on the Standard toolbar, and select the upper-left cell of the paste area.
    3. Click the arrow next to Paste [image], click Values.

    Note Because the resulting values are in an array, you must convert all of the values to constant values.


Multiply numbers

Type =5*10 in a cell to display the result 50.

Multiply a range of numbers by a number

Important This procedure replaces the numbers in the range with the result of the multiplication.

  1. In an empty cell, enter the number you want to multiply by.
  2. Select the cell, and on the Edit menu, click Copy.
  3. Select the range of numbers you want to multiply.
  4. On the Edit menu, click Paste Special.
  5. Under Operation, click Multiply.
  6. Click OK.
  7. Delete the content of the cell entered in the first step.

Multiply numbers in different cells using a a formula

Use the asterisk (*) operator or the PRODUCT function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
5
15
30
Formula | Description (Result)
=A2*A3 | Multiplies the numbers in the first two cells (75)
=PRODUCT(A2:A4) | Multiplies all the numbers in the range (2250)
=PRODUCT(A2:A4,2) | Multiplies all the numbers in the range, and 2 (4500)

Function details

PRODUCT


Insert a new worksheet

Add a single worksheet

  • Click Worksheet on the Insert menu.

Add multiple worksheets

Determine the number or worksheets you want to add.

  1. Hold down SHIFT, and then select the same number of existing worksheet tabs that you want to add in the open workbook.

    Example: If you want to add three new worksheets, select three existing worksheet tabs.

  2. Click Worksheet on the Insert menu.

Insert a new sheet that's based on a custom template

You must have already created a custom sheet template.

How?

  1. Decide which type of template you want:

    Workbook template

    Create a workbook that contains the sheets, default text (such as page headers and column and row labels), formulas, macros, styles, and other formatting you want in new workbooks based on the template.

    Worksheet template

    Create a workbook that contains one worksheet. On the worksheet, include the formatting, styles, text, and other information you want to appear on all new sheets of the same type.

  2. To display a picture of the first page of a template in the Preview box of the Templates dialog box (General Templates..., New Workbook task pane), click Properties on the File menu, click the Summary tab, and then select the Save preview picture check box.

  3. On the File menu, click Save As.

  4. In the Save as type box, click Template.

  5. In the Save in box, select the folder where you want to store the template.

    • To create the default workbook template or default worksheet template, select either the XLStart folder or the alternate startup folder. The XLStart folder is usually

      C:\Program Files\Microsoft Office\Office10\XLStart

    • To create a custom workbook or worksheet template, select the Templates folder, which is usually

      C:\Documents and Settings\user_name\Application Data\Microsoft\Templates

  6. Enter the name of the template in the File name box. Do one of the following:

    Workbook template

    • Type book to create the default workbook template.

      To create a custom workbook template, type any valid file name.

    Worksheet template

    • Type sheet to create a template for default worksheets.

      To create a custom sheet template, type any valid file name.

  7. Click Save, and then click Close on the File menu.

  1. Right-click a sheet tab, and then click Insert.
  2. Double-click the template for the type of sheet you want.


Select a different chart type

For most 2-D charts, you can change the chart type of either a data series or the entire chart. For bubble charts, you can change only the type of the entire chart. For most 3-D charts, changing the chart type affects the entire chart. For 3-D bar and column charts, you can change a data series to the cone, cylinder, or pyramid chart type.

  1. To change the chart type, do one of the following:
    • For the entire chart, click the chart.
    • For a data series, click the data series.
  2. On the Chart menu, click Chart Type.
  3. On the Standard Types tab, click the chart type you want.

    If you are changing the chart type for one data series and not the entire chart, be sure the Apply to selection check box is selected.

    To apply the cone, cylinder, or pyramid chart type to a 3-D bar or column data series, click Cylinder, Cone, or Pyramid in the Chart type box on the Standard Types tab, and then select the Apply to selection check box.


Insert blank cells, rows, or columns

  1. Do one of the following:

    Insert new blank cells Select a range of cells where you want to insert the new blank cells. Select the same number of cells as you want to insert.

    Insert a single row Click a cell in the row immediately below where you want the new row. For example, to insert a new row above row 5, click a cell in row 5.

    Insert multiple rows Select rows immediately below where you want the new rows. Select the same number of rows as you want to insert.

    Insert a single column Click a cell in the column immediately to the right of where you want to insert the new column. For example, to insert a new column to the left of column B, click a cell in column B.

    Insert multiple columns Select columns immediately to the right of where you want to insert the new columns. Select the same number of columns as you want to insert.

  2. On the Insert menu, click Cells, Rows, or Columns.
  3. If you are moving or copying a range of cells, and not a row or column, in the Insert Paste dialog box, click the direction to shift the surrounding cells.

Tip

If there is formatting, you can use Insert Options Insert Options to choose how to set the formatting of the inserted cells, rows, or columns.


Turn on or off Insert Options

  1. Click Options on the Tools menu, and click the Edit tab.
  2. Select or clear Show Insert Options buttons.


Create a PivotTable report

  1. Open the workbook where you want to create the PivotTable report.

    • If you are basing the report on a Web query, parameter query, report template, Office Data Connection file, or query file, retrieve the data into the workbook, and then click a cell in the Microsoft Excel list containing the retrieved data.

      If the retrieved data is from an OLAP database, or the Office Data Connection returns the data as a blank PivotTable report, continue with step 6 below.

    • If you are basing the report on an Excel list or database, click a cell in the list or database.

  2. On the Data menu, click PivotTable and PivotChart Report.
  3. In step 1 of the PivotTable and PivotChart Wizard, follow the instructions, and click PivotTable under What kind of report do you want to create?
  4. Follow the instructions in step 2 of the wizard.
  5. Follow the instructions in step 3 of the wizard, and then decide whether to lay out the report onscreen or in the wizard.

    Usually you can lay out the report onscreen, and this method is recommended. Use the wizard to lay out the report only if you expect retrieval from a large external data source to be slow, or you need to set page fields to retrieve data one page at a time. If you aren't sure, try laying out the report onscreen. You can return to the wizard if necessary.

  6. Do one of the following:

    Lay out the report onscreen

    1. From the PivotTable Field List window, drag the fields with data that you want to display in rows to the drop area labeled Drop Row Fields Here.

      If you don't see the field list, click within the outlines of the PivotTable drop areas, and make sure Show Field List [image] is pressed in.

      To see what levels of detail are available in fields that have levels, the click Plus box next to the field.

    2. Drag fields with data that you want to display across columns to the drop area labeled Drop Column Fields Here.
    3. Drag fields that contain the data that you want to summarize to the area labeled Drop Data Items Here.

      Only fields that have the Field icon or Data field icon icon can be dragged to this area.

      If you add more than one data field, arrange these fields in the order you want: Right-click a data field, point to Order on the shortcut menu, and use the commands on the Order menu to move the field.

    4. Drag fields that you want to use as page fields to the area labeled Drop Page Fields Here.
    5. To rearrange fields, drag them from one area to another. To remove a field, drag it out of the PivotTable report.

      To hide the drop area outlines, click a cell outside the PivotTable report.

    Note If data is very slow to appear as you lay out the report, click Always Display Items [image] on the PivotTable toolbar to turn off initial data display. If retrieval is still very slow or error messages appear, click PivotTable and PivotChart Report on the Data menu, and lay out the report in the wizard.

    Lay out the report in the wizard

    If you've exited from the wizard, click PivotTable and PivotChart Report on the Data menu to return to it.

    1. In step 3 of the wizard, click Layout.
    2. From the group of field buttons on the right, drag the fields that you want onto the ROW and COLUMN areas in the diagram.
    3. Drag the fields that contain the data that you want to summarize onto the DATA area.
    4. Drag fields that you want to use as page fields onto the PAGE area.

      If you want Excel to retrieve data one page at a time, so you can work with large amounts of source data, double-click the page field, click Advanced, click Query external data source as you select each page field item, and then click OK twice. (This option is unavailable for some types of source data, including OLAP databases and Office Data Connections.)

    5. To rearrange fields, drag them from one area to another. Some fields can only be used in some of the areas; if you drop a field in an area where it can't be used, the field won't appear in the area.
    6. To remove a field, drag it out of the diagram.
    7. When you are satisfied with the layout, click OK, and then click Finish.


Formula omits cells in region

The formula may not include a correct reference. If a formula refers to a range of cells, and you add cells to the bottom or right of that range, the references may no longer be correct. The formula does not always automatically update its reference to include the new cells. This rule compares the reference in a formula against adjacent cells. If the adjacent cells contain more numbers (are not blank cells), then the problem is noted.

For example, the formula =SUM(A2:A4) would be noted with this rule, because A6, A7, and A8 are adjacent, and contain data.

Invoice
15,000
9,000
8,000
20,000
5,000
22,500
=SUM(A2:A4)


Calculate the difference between two numbers as a percentage

Use the subtraction (-) and division (/) operators, and the ABS function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A | B
November | December
2342 | 2500
Formula | Description (Result)
=(B2-A2)/ABS(A2) | Percentage change (0.06746 or 6.75%)

Note To view the number as a percent, select the cell and click Cells on the Format menu. Click the Number tab, and then click Percentage in the Category box.

Function details

ABS


Raise a number to a power

Use the "^" operator or the POWER function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=POWER(5,2) | Calculates five squared (25)
=5^3 | Calculates five cubed (125)

Function details

POWER


About linking Lotus 1-2-3 and Microsoft Excel worksheets

Benefits of links Linking lets you use your Lotus 1-2-3 data in a Microsoft Excel worksheet without converting to Excel workbook format. Then when you change the data in the Lotus 1-2-3 worksheet, the Excel worksheet is automatically updated.

For example, you can link cells containing sales figures from various Lotus 1-2-3 worksheets to cells in a single Excel worksheet. Then you can create a PivotTable report to summarize the data, create a chart to emphasize the summary values, or use the format and print features of Excel to create a summary report of sales.

Types of files you can link to You can link cells in Excel worksheets to cells in files saved in any of the following Lotus 1-2-3 formats: WKS, WK1, WK3, and WK4. If you use Lotus 1-2-3 to edit a Lotus 1-2-3 worksheet that is linked to an Excel worksheet, the linked cells will update when you open the Excel workbook.

Finding the source file for a link If you are unsure of the name or location of a Lotus 1-2-3 worksheet that provides data to an Excel worksheet, you can open the Excel workbook and then use the Links command (Edit menu) to open the Lotus 1-2-3 worksheet.

Changing or redirecting links You can also use the Links command to change or redirect the links in the Excel worksheet to refer to another worksheet.


Add-in programs included with Excel

Some of the content in this topic may not be applicable to some languages.

The add-in programs listed in the following table are installed by default in one of the following places:

  • The Library folder or the Addins folder, or one of their subfolders, in the Microsoft Office\Office folder.

  • If the add-in program you want is not in the list under Add-Ins available in the Add-Ins dialog box, you might be able to install the add-in from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

The administrator for your company network can designate other locations for add-in programs. See your administrator for more information.

Add-in | Description
Analysis ToolPak | Adds financial, statistical, and engineering analysis tools and functions.
Analysis ToolPak VBA | Allows developers to publish financial, statistical, and engineering analysis tools and functions using Analysis ToolPak syntax.
Conditional Sum Wizard | Creates a formula that sums data in a list if the data matches criteria you specify.
Euro Currency Tools | Formats values as euros, and provides the EUROCONVERT worksheet function to convert currencies.
Internet Assistant VBA | Allows developers to publish Excel data to the Web by using Internet Assistant syntax.
Lookup Wizard | Creates a formula to look up data in a list by using another known value in the list.
Solver Add-In | Calculates solutions to what-if scenarios based on adjustable cells and constraint cells.


Excel specifications and limits

Worksheet and workbook specifications

Feature | Maximum limit
Open workbooks | Limited by available memory and system resources
Worksheet size | 65,536 rows by 256 columns
Column width | 255 characters
Row height | 409 points
Page breaks | 1000 horizontal and vertical
Length of cell contents (text) | 32,767 characters. Only 1,024 display in a cell; all 32,767 display in the formula bar.
Sheets in a workbook | Limited by available memory (default is 3 sheets)
Colors in a workbook | 56
Cell styles in a workbook | 4,000
Named views in a workbook | Limited by available memory
Custom number formats | Limited by available memory
Names in a workbook | Limited by available memory
Windows in a workbook | Limited by system resources
Panes in a window | 4
Linked sheets | Limited by available memory
Scenarios | Limited by available memory; a summary report shows only the first 251 scenarios
Changing cells in a scenario | 32
Adjustable cells in Solver | 200
Custom functions | Limited by available memory
Zoom range | 10 percent to 400 percent
Reports | Limited by available memory
Sort references | 3 in a single sort; unlimited when using sequential sorts
Undo levels | 16
Fields in a data form | 32
Custom toolbars in a workbook | Limited by available memory
Custom toolbar buttons | Limited by available memory

Workgroup specifications

Feature | Maximum limit
Users who can open and share a shared workbook at the same time | 256
Personal views in a shared workbook | Limited by available memory
Days that change history is maintained | 32,767 (default is 30 days)
Workbooks that can be merged at one time | Limited by available memory
Cells that can be highlighted in a shared workbook | 32,767
Colors used to identify changes made by different users when change highlighting is turned on | 32 (each user is identified by a separate color; changes made by the current user are highlighted with navy blue)

Calculation specifications

Feature | Maximum limit
Number precision | 15 digits
Largest number allowed to be typed into a cell | 9.99999999999999E307
Largest allowed positive number | 1.79769313486231E308
Smallest allowed negative number | 2.2250738585072E-308
Smallest allowed positive number | 2.229E-308
Largest allowed negative number | -1E-307
Length of formula contents | 1,024 characters
Iterations | 32,767
Worksheet arrays | Limited by available memory. Also, arrays cannot refer to entire columns. For example, an array cannot refer to the entire column C:C or to the range C1:C65536. However, an array can refer to the range C1:D65535 because the range is one row short of the maximum worksheet size and does not include the entire C or D column.
Selected ranges | 2,048
Arguments in a function | 30
Nested levels of functions | 7
Number of available worksheet functions | 329
Earliest date allowed for calculation | January 1, 1900 (January 1, 1904, if 1904 date system is used)
Latest date allowed for calculation | December 31, 9999
Largest amount of time that can be entered | 9999:99:99

PivotTable report specifications

Feature | Maximum limit
PivotTable reports on a sheet | Limited by available memory
Items in a PivotTable report | 8,000
Row or column fields in a PivotTable report | Limited by available memory
Page fields in a PivotTable report | 256 (may be limited by available memory)
Data fields in a PivotTable report | 256
Calculated item formulas in a PivotTable report | Limited by available memory

Charting specifications

Feature | Maximum limit
Charts linked to a worksheet | Limited by available memory
Worksheets referred to by a chart | 255
Data series in one chart | 255
Data points in a data series for 2-D charts | 32,000
Data points in a data series for 3-D charts | 4,000
Data points for all data series in one chart | 256,000
Line styles | 8
Line weights | 4
Area patterns (screen display) | 18
Total area pattern and color combinations (color display) | 56,448
Pattern and color combinations (color printer) | 56,448 (the actual number depends on your printer and its software)
Page fields in a PivotChart report | 256 (may be limited by available memory)
Data fields in a PivotChart report | 256
Calculated item formulas in a PivotChart report | Limited by available memory


Close workbook windows

To close | Do this
The active workbook window | Click Close [image] in the upper-right corner of the window. If the window is the only open window of the workbook, the workbook is closed.
All open windows of a workbook | On the File menu, click Close [image] .
All open workbooks | Hold down SHIFT, and then click Close All on the File menu.


I have an error in my formula

Match all open and close parentheses Make sure all parentheses are part of a matching pair. When you create a formula, Microsoft Excel displays parentheses in color as they are entered.

Use a colon to indicate a range When you refer to a range of cells, use a colon (:) to separate the reference to the first cell in the range and the reference to the last cell in the range.

Enter all required arguments Some functions have required arguments. Also, make sure you have not entered too many arguments.

Nest no more than seven functions You can enter, or nest, no more than seven levels of functions within a function.

Enclose other sheet names in single quotation marks If the formula refers to values or cells on other worksheets or workbooks and the name of the other workbook or worksheet contains a nonalphabetical character, you must enclose its name within single quotation marks ( ' ).

Include the path to external workbooks Make sure each link contains a workbook name and the path to the workbook.

Enter numbers without formatting Do not format numbers as you enter them in formulas. For example, even if the value you want to enter is $1,000, enter 1000 in the formula.


About converting worksheets between Excel and Lotus 1-2-3

Some of the content in this topic may not be applicable to some languages.

Converting files

Saving in Microsoft Excel file format Excel stores the file format of any file you open. When you save a file, Excel uses the same format the file was in when you opened it. For example, if you open a Lotus 1-2-3 file with a .wk3 extension, Excel saves the file as a Lotus 1-2-3 file with a .wk3 extension. If you make changes to the file in Excel, you should save the file in an Excel file format to be sure all of your changes are saved. To do this, be sure to use the Save As command and select Microsoft Excel Workbook in the Save as type box.

Changing the file name extension When you save a workbook as a different type by changing the file format in the Save as type box, you do not have to change the file name, because Excel saves a copy of the workbook with a different file name extension. For example, a Lotus 1-2-3 Release 4.0 file has a file name extension of .wk4; Excel Workbook format uses the .xls file name extension.

Typing a new extension in the File name box, or renaming the file with a new extension in the folder window, is not sufficient to change the file type. You must also change the Save as type box to the file type you want.

Applying formatting from associated Lotus 1-2-3 files When you open a Lotus 1-2-3 worksheet or workbook in Excel, Excel applies the formatting in the associated .fmt, .fm3, or .all file. Make sure the associated file is stored in the same folder as the .wk? file. If you save a Lotus 1-2-3 file in Excel format, Excel saves the spreadsheet data and formatting in a single workbook file.

Converting formulas

Using Lotus 1-2-3 rules to calculate formulas When you open a Lotus 1-2-3 worksheet in Microsoft Excel, the Transition formula evaluation check box is automatically selected for that sheet to ensure that Excel calculates the formulas according to the Lotus 1-2-3 rules.

If you save a Lotus 1-2-3 worksheet as an Excel worksheet, the Transition formula evaluation check box remains selected and Excel will calculate the formulas according to the Lotus 1-2-3 rules until you clear it.

How cells are used in formulas Once you have converted a Lotus 1-2-3 file to an Excel workbook, you can examine the relationships of the cells and formulas within the worksheet by using the worksheet audit commands.

Some formulas may not convert If a formula can't be converted to an Excel formula, the worksheet shows the last value calculated for the formula in Lotus 1-2-3.

Converting macros

Microsoft Excel 2000 and later versions do not run Lotus 1-2-3 macros. You can rewrite any macros that you need in Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.


Data sources you can access

Microsoft Office provides drivers that you can use to retrieve data from the following data sources:

  • Microsoft SQL Server OLAP Services (OLAP provider)
  • Microsoft Access
  • dBASE
  • Microsoft FoxPro
  • Microsoft Excel
  • Oracle
  • Paradox
  • SQL Server
  • Text file databases
  • Third-party providers
You can use ODBC drivers or data source drivers from other manufacturers to get information from data sources that are not listed here, including other types of OLAP databases. For information about other drivers, see the xlread10.txt file. For information about installing an ODBC driver or data source driver that is not listed here or in the xlread10.txt file, check the documentation for the database, or contact your database vendor.


Default sort orders

In an ascending sort, Microsoft Excel uses the following order. (In a descending sort, this sort order is reversed except for blank cells, which are always placed last.)

Numbers Numbers are sorted from the smallest negative number to the largest positive number.

Alphanumeric sort When you sort alphanumeric text, Excel sorts left to right, character by character. For example, if a cell contains the text "A100," Excel places the cell after a cell that contains the entry "A1" and before a cell that contains the entry "A11."

Text and text that includes numbers are sorted in the following order:

0 1 2 3 4 5 6 7 8 9 (space) ! " # $ % & ( ) * , . / : ; ? @ [ \ ] ^ _ ` { | } ~ + < = > A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Apostrophes (') and hyphens (-) are ignored, with one exception: If two text strings are the same except for a hyphen, the text with the hyphen is sorted last.

Logical values In logical values, FALSE is placed before TRUE.

Error values All error values are equal.

Blanks Blanks are always placed last.


Display or hide formulas

Switch between displaying formulas and their values on a worksheet

  • Press CTRL + ` (grave accent).

Prevent a formula from displaying in the formula bar

Caution This procedure also prevents the cells that contain the formula from being edited.
  1. Select the range of cells whose formulas you want to hide. You can also select nonadjacent ranges or the entire sheet.
  2. On the Format menu, click Cells, and then click the Protection tab.
  3. Select the Hidden check box.
  4. Click OK.
  5. On the Tools menu, point to Protection, and then click Protect Sheet.
  6. Make sure the Protect worksheet and contents of locked cells check box is selected.

Show formulas that were previously hidden by removing protection

  1. If the workbook is shared, unshare it.

    How?

    Note Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

    How?

    1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    2. In the When box, click All.

    3. Clear the Who and Where check boxes.

    4. Select the List changes on a new sheet check box, and then click OK.

    5. Do one or more of the following:

      • To print the History worksheet, click Print [image].

      • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

    Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

    1. On the Tools menu, click Share Workbook, and then click the Editing tab.

    2. Make sure that you are the only person listed in the Who has this workbook open now box.
    3. Clear the Allow changes by more than one user at the same time check box.
    4. When prompted about the effects on other users, click Yes.

  2. On the Tools menu, point to Protection, and then click Unprotect Sheet.

  3. Select the range of cells whose formulas you want to unhide.
  4. On the Format menu, click Cells, and then click the Protection tab.
  5. Clear the Hidden check box.


Elements you can protect in worksheets and workbooks

Worksheets and chart sheets

When you protect a chart sheet or worksheet, you can protect or unprotect individual elements of the sheet in the Protect Sheet dialog box (Protection menu, Tools command) by selecting or clearing check boxes for each element.

Worksheet elements

Protect worksheet and contents of locked cells When selected, prevents users from:

  • Making changes to cells that you did not unlock before protecting the worksheet, unless you've granted a specific user permission to edit to the cells in the Allow Users to Edit Ranges dialog box.

  • Viewing rows or columns that you hid before you protected the worksheet.

  • Viewing the formulas for the cells for which you hid the formulas before you protected the worksheet.

Select locked cells When cleared, prevents users from moving the pointer to cells for which the Locked check box is selected on the Protection tab of the Format Cells dialog box.

Select unlocked cells When cleared, prevents users from moving the pointer to cells for which the Locked check box is cleared on the Protection tab of the Format Cells dialog box. When users are allowed to select unlocked cells, they can press the TAB key to move between the unlocked cells on a protected worksheet.

Format cells When cleared, prevents users from changing any of the options in the Format Cells or Conditional Formatting dialog boxes. If you applied conditional formats before you protected the worksheet, the formatting continues to change when a user enters a value that satisfies a different condition.

Format columns When cleared, prevents users from using any of the commands on the Column submenu of the Format menu, including changing column width or hiding columns.

Format rows When cleared, prevents users from using any of the commands on the Row submenu of the Format menu, including changing row height or hiding rows.

Insert columns When cleared, prevents users from inserting columns.

Insert rows When cleared, prevents users from inserting rows.

Insert hyperlinks When cleared, prevents users from inserting new hyperlinks, even in unlocked cells.

Delete columns When cleared, prevents users from deleting columns. Note that if Delete columns is protected and Insert columns is not also protected, a user can insert columns that he or she cannot delete.

Delete rows When cleared, prevents users from deleting rows. Note that if delete rows is protected and insert rows is not also protected, a user can insert rows that he or she cannot delete.

Sort When cleared, prevents users from using any of the Sort commands on the Data menu, or the Sort buttons on the Standard toolbar. Users can't sort ranges containing locked cells on a protected worksheet, regardless of this setting.

Use AutoFilter When cleared, prevents users from using the drop-down arrows to change the filter on an AutoFiltered range. Users cannot create or remove AutoFiltered ranges on a protected worksheet, regardless of this setting.

Use PivotTable reports When cleared, prevents users from formatting, changing the layout, refreshing, or otherwise modifying PivotTable reports, or creating new reports.

Edit objects When cleared, prevents users from:

  • Making changes to graphic objects — including maps, embedded charts, shapes, text boxes, and controls — that you did not unlock before you protected the worksheet. For example, if a worksheet has a button that runs a macro, you can click the button to run the macro, but you cannot delete the button.

  • Making any changes, such as formatting, to an embedded chart. The chart continues to update when you change its source data.

  • Adding or editing comments.

Edit scenarios When cleared, prevents users from viewing scenarios that you have hidden, making changes to scenarios that you have prevented changes to, and deleting these scenarios. Users can edit the values in the changing cells, if the cells are not protected, and add new scenarios.

Note If you run a macro that includes an operation that's protected on the worksheet, a message appears and the macro stops running.

Chart sheet elements

Contents When selected, users are prevented from making changes to items that are part of the chart, such as data series, axes, and legends. The chart continues to reflect changes made to its source data.

Objects When selected, prevents users from making changes to graphic objects — including shapes, text boxes, and controls — unless you unlock the objects before you protect the chart sheet.

Workbook elements

When you protect a workbook, you can protect or unprotect the structure of the workbook or workbook windows in the Protect Workbook dialog box (Protection menu, Tools command) by selecting or clearing check boxes for each element.

Structure When selected, users are prevented from:

  • Viewing worksheets that you have hidden.
  • Moving, deleting, hiding, or changing the names of worksheets.
  • Inserting new worksheets or chart sheets. Users can add embedded charts to existing worksheets by running the Chart Wizard.
  • Moving or copying worksheets to another workbook.
  • In PivotTable reports, displaying the source data for a cell in the data area, or displaying page field pages on separate worksheets.
  • For scenarios, creating a scenario summary report.
  • In the Analysis ToolPak, using the analysis tools that place results on a new worksheet.
  • Recording new macros. If you run a macro that includes an operation that can't be performed in a protected workbook, a message appears and the macro stops running.

Windows When selected, prevents users from:

  • Changing the size and position of the windows for the workbook when the workbook is opened.
  • Moving, resizing, or closing the windows. However, they can hide and unhide windows.

Note In the Visual Basic Editor, programmers can protect macros so that they can't be viewed or changed by users. Programmers can protect macros by using the Protection tab of the Project Properties dialog box in the Visual Basic Editor (Tools menu, Project Properties command). For more information, see Visual Basic Editor Help.


Equations for calculating the error amount

Standard Deviation

where:

s = series number

i = point number in series s

m = number of series for point y in chart

n = number of points in each series

yis = data value of series s and the ith point

ny = total number of data values in all series

M = arithmetic mean

Standard Error

where:

s = series number

i = point number in series s

m = number of series for point y in chart

n = number of points in each series

yis = data value of series s and the ith point

ny = total number of data values in all series


Equations for calculating trendlines

Linear

Calculates the least squares fit for a line represented by the following equation:

where m is the slope and b is the intercept.

Polynomial

Calculates the least squares fit through points by using the following equation:

where b and Variable are constants.

Logarithmic

Calculates the least squares fit through points by using the following equation:

where c and b are constants, and ln is the natural logarithm function.

Exponential

Calculates the least squares fit through points by using the following equation:

where c and b are constants, and e is the base of the natural logarithm.

Power

Calculates the least squares fit through points by using the following equation:

where c and b are constants.

R-squared value

Note The R-squared value you can display with a trendline is not an adjusted R-squared value. For logarithmic, power, and exponential trendlines, Microsoft Excel uses a transformed regression model.

Moving average

Note The number of points in a moving average trendline equals the total number of points in the series less the number you specify for the period.


How to type the euro sign

Some of the content in this topic may not be applicable to some languages.

Microsoft Excel 2002 provides full support for entering the euro sign Euro currency symbol and for working with values in euro currency with Microsoft Windows 2000, Windows Millennium Edition, Windows 98 and Windows NT 4.0 with Service Pack 4 or later.

Entering the euro currency symbol To type the euro currency symbol, use the following keys.

Press | On these keyboard layouts
ALT+0136 (numeric keypad, NUM LOCK must be on) | Cyrillic
AltGr+E | Belgian (French KBD120), Belgian Dutch 120, Croatian/Slovenian, Czech, Czech 101, Czech Programmer's, Danish, Dutch KBD143, Estonian, Faroese, Finnish, French, German (IBM), German (Standard), Icelandic, Italian, Italian 142, Latvian, Lithuanian, Lithuanian (New), FYRO Macedonian (Cyrillic), Norwegian, Portuguese KBD163, Serbian (Cyrillic), Serbian (Latin), Slovak, Slovak (QWERTY), Spanish, Swedish, Swiss French, Swiss German, Turkish F 440, Turkish Q 179
AltGr+epsilon | Greek IBM 220, Greek IBM 319, Greek IBM 220 Latin, Greek IBM 319 Latin
AltGr+4 | Irish, Latvian (QWERTY), United Kingdom
AltGr+5 | Greek Latin, U.S. (International)
AltGr+U | Hungarian, Hungarian 101, Polish, Polish Programmer's
ALT+0128 (numeric keypad, NUM LOCK must be on) | Others

Notes
  • If your keyboard doesn't have an AltGr key, use the right Alt key. The AltGr combinations are not implemented on U.S. keyboards.
  • Excel recognizes the euro sign as currency, even if you haven't designated it as your regional currency symbol in Microsoft Windows Control Panel.


Examples of commonly used formulas

Common Conditional

Check if a number is greater than or less than another number

Create conditional formulas by using the IF function

Display or hide zero values

Look up values in a list

Common Date and Time

Add dates

Add times

Calculate the difference between two dates

Calculate the difference between two times

Convert times

Count days before a date

Insert Julian dates

Insert the current date and time in a cell

Show dates as the day of the week

Common Financial

Calculate a running balance

Create a multiplication table

Common Math

Add numbers

Calculate the average of numbers

Calculate the difference between two numbers as a percentage

Calculate the median of a group of numbers

Calculate the smallest or largest number in a range

Convert measurements

Count cells that contain numbers

Count numbers greater than or less than a number

Divide numbers

Hide error values in a cell

Increase or decrease a number by a percentage

Multiply numbers

Raise a number to a power

Round a number

Subtract numbers

Common Text

Change the case of text

Check if a cell contains text

Combine first and last names

Combine text and numbers

Combine text with a date or time

Compare cell contents

Count nonblank cells

Remove characters from text

Remove spaces from the beginning and end of a cell

Repeat a character in a cell

Count unique entries in a list


Features that are unavailable in shared workbooks

You can access the following features only if you stop sharing the workbook.

You cannot use shared workbooks on Web servers.

Unavailable feature | Alternatives
Insert or delete blocks of cells | You can insert entire rows and columns.
Delete worksheets | None
Merge cells or split merged cells | None
Add or change conditional formats | Existing conditional formats continue to appear as cell values change, but you can't change these formats or redefine the conditions.
Add or change data validation | Cells continue to be validated when you type new values, but you can't change existing data validation settings.
Create or change charts or PivotChart reports | You can view existing charts and reports.
Insert or change pictures or other objects | You can view existing pictures and objects.
Insert or change hyperlinks | Existing hyperlinks continue to work.
Use drawing tools | You can view existing drawings and graphics.
Assign, change, or remove passwords | Existing passwords remain in effect.
Protect or unprotect worksheets or the workbook | Existing protection remains in effect.
Create, change, or view scenarios | None
Group or outline data | You can continue to use existing outlines.
Insert automatic subtotals | You can view existing subtotals.
Create data tables | You can view existing data tables.
Create or change PivotTable reports | You can view existing reports.
Write, record, change, view, or assign macros | You can run existing macros that don't access unavailable features. You can record shared workbook operations into a macro stored in another nonshared workbook.
Add or change Microsoft Excel 4 dialog sheets | None
Change or delete array formulas | Existing array formulas continue to calculate correctly.


About the phonetic guide function

Show and add phonetic guides When you display phonetic guides in the Japanese version of Microsoft Excel and enter kanji (Chinese characters that are used in the Japanese language), Excel automatically adds the phonetic symbols to the guides. When you display phonetic guides in non-Japanese versions of Excel, phonetic symbols are not added automatically when you enter kanji in cells. You can add the phonetic symbols manually by modifying the phonetic guides. You can add phonetic guides to Japanese data that has been entered in a cell. The phonetic character string that was used to enter the Japanese data is used to apply phonetic guides.

Modify phonetic guides If the displayed phonetic guides are incorrect, you can revise them. You can change the phonetic guides by using the same method you use to enter a character string.

Change phonetic guide formats You can change the font, type, and alignment of phonetic guides. The default alignment is left alignment. You can change the alignment to no alignment (all phonetic guides are combined and aligned along the left edge of the cell), center alignment, or distributed alignment.

For example, in Japanese the three types of phonetic guides available are hiragana, full-width katakana, and half-width katakana. Their default alignment is left alignment (that is, placed along the left edge of the kanji to which the phonetic guides apply). You can change the alignment to no alignment (all phonetic guides are combined and aligned along the left edge of the cell), center alignment (centered against the kanji to which the guides apply), or distributed alignment (set with equal spacing against both edges of the kanji to which the guides apply).

Sort data by using phonetic guides When worksheet data is sorted, data is sorted by its phonetic guides by default. For example, in Japanese, if the correct phonetic guides have been used, Japanese terms are sorted in the same order as they would occur in a Japanese dictionary. If the phonetic guides are not entered correctly, make the necessary corrections.

Japanese characters are sorted as follows

  • Hiragana and Katakana are sorted in the order of the kana syllabary.
  • English letters will be sorted alphabetically. No distinction is made between uppercase and lowercase letters.
  • Numbers are sorted in descending order.
  • No distinction is made between half-pitch and full-pitch English characters and symbols.
  • Other kanji, symbols, and so on, are sorted in the order of their Shift-JIS codes.

The order of the kana syllabary is as follows

  • Long vowel sounds ( [image]) are treated as the vowel of the previous syllable. For example, " [image] [image] [image] [image] [image] [image] " is treated as " [image] [image] [image] [image] [image] [image] ".
  • Repetition marks (" [image] ") are treated as the same character as the character preceding the mark. For example, " [image] [image] [image] " is treated as " [image] [image] [image] ".
  • Voiced and unvoiced sounds are sorted in the following order: unvoiced sound, voiced-sound, semi-voiced sound.
  • No distinction is made between hiragana, full-pitch katakana, and half-pitch katakana.


Guidelines and limitations for saving or publishing Web pages

Requirements for viewing Microsoft Excel data on the Web

Requirements for viewing interactive data Your users must have the following installed on their computers to work with interactive Excel data on a Web page:

  • Microsoft Office Web Components and an appropriate Microsoft Office XP license
  • Microsoft Internet Explorer version 4.01 or later

Requirements for viewing noninteractive data Your users must have the following installed on their computers to view noninteractive data on a Web page:

  • Internet Explorer 4.01 or later

Limitations of putting data on a Web page

Limitations of putting interactive data on a Web page

Depending on the type of Excel data you are saving as a Web page and how that data is formatted, some features and formatting might work and appear differently when data is saved or published as a Web page.

This topic provides information about the limitations of publishing or saving data when you select the following options for the Add interactivity with setting:

Spreadsheet functionality

Feature | Result on a Web page
Shared workbook information | Not retained.
Pattern fills | Not retained.
Graphics | Not retained.
Drawing object layers | Not retained.
Multiple fonts in a single cell | Not retained. The font of the first character in the cell is used.
Conditional formatting | Current cell formatting is retained. Formatting is no longer conditional.
Outlining | Collapsed rows are published as hidden. Expanded rows are published normally.
Password protection | Data in password-protected worksheets and workbooks cannot be saved or published as a Web page. To publish data that's protected, you must use a blank (or no) password.
Cell comments | Not retained.
Data validation restrictions and messages | Not retained.
Precision as displayed | Not supported. Precision as displayed value is published.
Distributed alignment | Not retained.
Thai alignment | Not retained.
Auditing tracer arrows | Not retained.
Indented text | Not retained.
Printing and page setup features | Not retained.
Labels in formulas | Converted to cell references.
Rotated or vertical text | Converted to horizontal text.
References to data on other worksheets | References are converted to values when you publish an individual sheet or range of cells. References are retained when you publish an entire workbook.
1904 date system | The displayed dates remain the same, but the serial numbers for the dates are converted to the 1900 date system.
R1C1 reference style | Converted to A1 reference style.
Lotus compatibility | R1C1 reference style is converted to A1 reference style.
External data ranges | Converted to values. Ability to refresh from the source data is not retained.
Web queries | Converted to values. Ability to refresh from the source data is not retained.
Subtotals | Numbers and calculations appear correctly. Group and outline features are not retained.
Chart sheets, Macro sheets, Dialog sheets | Not retained.

PivotTable functionality

Feature | Result on a Web page
Calculated fields | Formulas are not retained. Changed to total fields that use the default summary function for the field (Sum, Count, Min, or Max).
Calculated items | Not retained.
Custom calculations | Not retained.
Character and cell formatting | Most formatting is retained, except for changes in formatting to field text.
Number formats | Partially retained. Number formats that you apply to PivotTable fields in Excel are retained, but number formats that you apply to individual cells are not retained. If you use a custom number format or a number format that's not supported by PivotTable lists on the Web, the numbers appear with the same number format as the Excel PivotTable report. If you subsequently change the number format for the field in the PivotTable list, you cannot return the field to the custom number format.
Asterisks that mark totals for OLAP data | Even if you turned off the asterisks marking totals in Excel, the asterisks are displayed in the PivotTable list on the Web.
Print settings | Not retained. The Excel settings to repeat PivotTable row and column labels on each page, repeat items labels after page breaks, and set page breaks between sections are lost.
Grouped items in fields | Partially retained. Grouped items in data fields are retained, but any selected items that are grouped in Excel are no longer grouped in the PivotTable list on the Web.
Custom sort order | Not retained. Instead, the data is in the order in which it is retrieved from the source database.
Indented formats | Not retained. Fields are in the same positions, but the character and cell formatting are not retained. Blank rows between item groups are lost.
Subtotals displayed at the top of item groups | Not retained.
Customized error values and empty cell values | Not retained. Errors and empty cells are displayed as blank cells.
Page fields in rows or columns | Not retained. Page fields become filter fields, which are always displayed across the top.
Password settings | Data in password-protected worksheets and workbooks cannot be saved or published as a Web page. To publish data that's protected, you must use a blank (or no) password. If you save your database password with the query in Excel, users must enter the password when they open the Web page in the browser.
Background refresh, retrieving data for each item in a page field individually | Not retained. The PivotTable list on the Web is always refreshed in the foreground, and all data for filter fields is retrieved in one operation.
Changes to Excel source data | Not available. To redefine the range of Excel source data or change the query to select different external data, you must make the change in Excel and republish.
Offline cube file data sources | You cannot reconnect to the original server database from the published PivotTable list, or make changes to the content of the offline cube file from the PivotTable list. If you need to perform either of these operations, you can do so in Excel and then republish to the PivotTable list.

Chart functionality

You must save or publish charts separately from other data in your workbook for the charts to appear correctly on your Web page. When you save a chart with interactive functionality, some features do not appear as they do in Excel.

Feature | Result on a Web page
Surface chart type | Not retained; returns error when Web page is opened in browser.
Auto scale fonts | Changed to default font size.
Drawing objects, text boxes, and pictures on the chart | Not retained.
Semitransparent fills | Not retained.
Custom positioning and sizing of chart items | Changed to the default position and size.
Multicolumn legend layout | Changed to the default legend layout.
Series lines | Not retained.
Shadows | Not retained.
Error bars that are calculated by using the standard error | Not retained.
Error bars that are calculated by using standard deviation | Not retained.
Password protection | Data in password-protected worksheets and workbooks cannot be saved or published as a Web page. To publish data that's protected, you must use a blank (or no) password.
Plot visible cells only | All data is plotted, including data in hidden cells.
Positioning of category axis labels on line charts between categories (points) by default | Centered on data points.
Trendlines | Trendlines are plotted through data points and to the borders of the plot area, giving a slightly different appearance than in Excel, where trendlines are plotted through data points but not to the borders of the plot area.

Chart features that cannot be added or modified in another design program

The following Excel chart features are retained when you publish an interactive chart. However, when you open the Web page in another design program, such as Microsoft FrontPage 2000 or data access page Design view in Microsoft Access, these features cannot be added or modified. If you modify the feature or the series to which the feature is applied, the feature is no longer retained:

  • The ability to vary colors by point, which is usually applied to single-series charts. When you apply the Vary colors by point option, each data marker in one series is a different color, rather than the standard single color for each data marker in a series.

  • Some combination charts, such as a column chart that's combined with a pie chart.

Limitations of putting noninteractive data on a Web page

When you save or publish Excel data on a Web page without interactivity the data is saved like a static snapshot. Users can view the data and formatting on the Web page, but cannot interact with the data.

You can change the data you have saved or published noninteractively by modifying the original workbook from which you published, and then republishing the data. To republish data automatically every time you save the original workbook, you can take advantage of the AutoRepublish feature (check the AutoRepublish every time this workbook is saved box in the Publish dialog box.

You can also open, modify and save the noninteractive HTML file in Excel. In this case many, but still not all, of the workbook features are retained.

Features that are not retained when you save a entire workbook as a Web page without interactivity and then reopen it in Excel

The following features are not retained when you save an entire workbook as a Web page and then reopen the Web page in Excel.

Feature | Result
Custom views | Any custom views you defined are not retained.
Data consolidation | References are not retained.
Labels in formulas | Converted to cell references.
Scenarios | Any scenarios you created are not retained.
Shared workbook information | Not retained.
Function categories | Any categories you defined are not retained.


Hidden function

This function is available only in another language version of Microsoft Excel.


About dates and date systems

Microsoft Excel stores dates as sequential numbers which are called serial values. By default, January 1, 1900 is serial number 1, and January 1, 2008 is serial number 39448 because it is 39,448 days after January 1, 1900. Excel stores times as decimal fractions because time is considered a portion of a day.

Because dates and times are values, they can be added, subtracted, and included in other calculations. You can view a date as a serial value and a time as a decimal fraction by changing the format of the cell that contains the date or time to General format.

Because the rules that govern the way that any calculation program interprets dates are complex, you should be as specific as possible about dates whenever you enter them. This will produce the highest level of accuracy in your date calculations.

The 1900 and 1904 date systems

Excel supports two date systems: the 1900 and 1904 date systems. The default date system for Microsoft Excel for Windows is 1900. The default date system for Microsoft Excel for the Macintosh is 1904. You can change the date system. On the Tools menu, click Options, click the Calculation tab, and then select or clear the 1904 date system check box.

The date system is changed automatically when you open a document from another platform. For example, if you are working in Excel for Windows and you open a document created in Excel for the Macintosh, the 1904 date system check box is selected automatically.

The following table shows the first date and the last date for each date system and the serial value associated with each date.

Date system | First date | Last date
1900 | January 1, 1900 (serial value 1) | December 31, 9999 (serial value 2958465)
1904 | January 2, 1904 (serial value 1) | December 31, 9999 (serial value 2957003)

How Excel interprets two-digit years

To ensure that year values are interpreted as you intended, type year values as four digits (2001, rather than 01). By entering four digits for the years, Excel won't interpret the century for you.

For Microsoft Windows 98 or Microsoft Windows 2000

If you are using Microsoft Windows 98 or Microsoft Windows 2000, the Regional Options in Windows Control Panel controls how Excel interprets two-digit years.

For Windows NT Workstation 4.0 or dates entered as text values

When you enter a two-digit year value in Windows NT Workstation 4.0 or you enter a date as a text value, Excel interprets the year as follows:

  • 00 through 29 Excel interprets the two-digit year values 00 through 29 as the years 2000 through 2029. For example, if you type the date 5/28/19, Excel assumes the date is May 28, 2019.
  • 30 through 99 Excel interprets the two-digit year values 30 through 99 as the years 1930 through 1999. For example, if you type the date 5/28/98, Excel assumes the date is May 28, 1998.


Lotus 1-2-3 keyboard equivalents

To print this topic, press SHIFT+TAB to select Show All, press ENTER, and then press CTRL+P.

Function key equivalents

Lotus 1-2-3 | Microsoft Excel
F1 (Help) | F1
F2 (Edit) | F2
F3 (Name) | F3
F4 (Absolute/relative) | F4
F5 (Go to) | F5
F6 (Next window) | CTRL+F6
F7 (Query) | Use the AutoFilter command (Data menu) to find rows in a list: Press ALT, D, F, F to filter the list. Use the arrow keys to select the cell that contains the column label, and then press ALT+DOWN ARROW, select a value in the AutoFilter list, and press ENTER.
F8 (Data table) | Tables recalculate automatically, unless you select the Automatic except tables check box on the Calculation tab (Tools menu, Options command). If this option is set, you can manually recalculate data tables by pressing F9.
F9 (Calculate) | F9
F10 (Graph) | F11 or ALT+F1

Navigation key equivalents

Lotus 1-2-3 | Microsoft Excel
Up, Down | UP ARROW, DOWN ARROW
Left, Right | LEFT ARROW, RIGHT ARROW
End, Up | CTRL+UP ARROW or END+UP ARROW
End, Down | CTRL+DOWN ARROW or END+DOWN ARROW
End, Left | CTRL+LEFT ARROW or END+LEFT ARROW
End, Right | CTRL+RIGHT ARROW or END+RIGHT ARROW
Home | CTRL+HOME
Tab | CTRL+PAGE DOWN
Shift+Tab | CTRL+PAGE UP
PgUp, PgDn | PAGE UP or PAGE DOWN

Transition navigation keys

These navigation keys can be used to make the transition between Lotus 1-2-3 and Microsoft Excel. To select transition navigation keys, press ALT+T and then press O (Tools menu, Options command), press CTRL+TAB to select the Transition tab, and then press ALT+K to select the Transition navigation keys check box.

Press | To move
SHIFT+TAB or CTRL+LEFT ARROW | One screen to the left
TAB or CTRL+RIGHT ARROW | One screen to the right
CTRL+PAGE DOWN | To the next sheet in a workbook
CTRL+PAGE UP | To the previous sheet in a workbook
HOME | To the first cell on the sheet (the cell in the upper-left corner)

Use the following text-alignment prefix characters to assign alignment formats as you enter data in cells.

Press | To
' (apostrophe) | Left align data in the cell
" (quotation mark) | Right align data in the cell
^ (caret) | Center data within the cell
\ (backslash) | Repeat characters across the cell


Number format codes

Text and spacing

Displaying both text and numbers To display both text and numbers in a cell, enclose the text characters in double quotation marks (" ") or precede a single character with a backslash (\). Include the characters in the appropriate section of the format codes. For example, type the format $0.00" Surplus";$-0.00" Shortage" to display a positive amount as "$125.74 Surplus" and a negative amount as "$-125.74 Shortage." The following characters are displayed without the use of quotation marks: $ - + / ( ) : ! ^ & ' (left single quotation mark) ' (right single quotation mark) ~ { } = < > and the space character.

Including a section for text entry If included, a text section is always the last section in the number format. Include an at sign (@) in the section where you want to display any text entered in the cell. If the @ character is omitted from the text section, text you enter will not be displayed. If you want to always display specific text characters with the entered text, enclose the additional text in double quotation marks (" ") — for example, "gross receipts for "@

If the format does not include a text section, text you enter is not affected by the format.

Adding space To create a space the width of a character in a number format, include an underscore (_) followed by the character. For example, when you follow an underscore with a closing parenthesis (_)), positive numbers line up correctly with negative numbers that are enclosed in parentheses.

Repeating characters To repeat the next character in the format to fill the column width, include an asterisk (*) in the number format. For example, type 0*- to include enough dashes after a number to fill the cell.

Decimal places, spaces, colors, and conditions

Decimal places and significant digits To format fractions or numbers with decimal points, include the following digit placeholders in a section. If a number has more digits to the right of the decimal point than there are placeholders in the format, the number rounds to as many decimal places as there are placeholders. If there are more digits to the left of the decimal point than there are placeholders, the extra digits are displayed. If the format contains only number signs (#) to the left of the decimal point, numbers less than one begin with a decimal point.

  • # displays only significant digits and does not display insignificant zeros.
  • 0 (zero) displays insignificant zeros if a number has fewer digits than there are zeros in the format.
  • ? adds spaces for insignificant zeros on either side of the decimal point so that decimal points align when formatted with a fixed-width font, such as Courier New. You can also use ? for fractions that have varying numbers of digits.
To display | Use this code
1234.59 as 1234.6 | ####.#
8.9 as 8.900 | #.000
.631 as 0.6 | 0.#
12 as 12.0 and 1234.568 as 1234.57 | #.0#
44.398, 102.65, and 2.8 with aligned decimals | ???.???
5.25 as 5 1/4 and 5.3 as 5 3/10, with aligned division symbols | # ???/???

Thousands separator To display a comma as a thousands separator or to scale a number by a multiple of one thousand, include a comma in the number format.
To display | Use this code
12000 as 12,000 | #,###
12000 as 12 | #,
12200000 as 12.2 | 0.0,,

Color To set the color for a section of the format, type the name of one of the following eight colors in square brackets in the section. The color code must be the first item in the section.
[Black] | [Blue]
[Cyan] | [Green]
[Magenta] | [Red]
[White] | [Yellow]

Conditions To set number formats that will be applied only if a number meets a condition you specify, enclose the condition in square brackets. The condition consists of a comparison operator and a value. For example, the following format displays numbers less than or equal to 100 in a red font and numbers greater than 100 in a blue font.

[Red][<=100];[Blue][>100]

To apply conditional formats to cells — for example, color shading that depends on the value of a cell — use the Conditional Formatting command on the Format menu.

Currency, percentages, and scientific notation

Currency symbols To enter one of the following currency symbols in a number format, turn on NUM LOCK and use the numeric keypad to enter the ANSI code for the symbol.

To enter | Hold down ALT and type this code
¢ | 0162
£ | 0163
¥ | 0165
 | 0128

Note Custom formats are saved with the workbook. To have Microsoft Excel always use a specific currency symbol, change the currency symbol selected in Regional Settings in Control Panel before you start Excel.

Percentage To display numbers as a percentage of 100, include the percent sign (%) in the number format. For example, a number such as .08 appears as 8%; 2.8 appears as 280%.

Scientific notation To display numbers in scientific format, use "E-," "E+," "e-," or "e+" exponent codes in a section. If a format contains a zero (0) or number sign(# ) to the right of an exponent code, Excel displays the number in scientific format and inserts an "E" or "e". The number of zeros or number signs to the right of a code determines the number of digits in the exponent. "E-" or "e-" places a minus sign by negative exponents. "E+" or "e+" places a minus sign by negative exponents and a plus sign by positive exponents.

Dates and times

Days, months, and years If you use "m" immediately after the "h" or "hh" code or immediately before the "ss" code, Microsoft Excel displays minutes instead of the month.

To display | Use this code
Months as 1–12 | m
Months as 01–12 | mm
Months as Jan–Dec | mmm
Months as January–December | mmmm
Months as the first letter of the month | mmmmm
Days as 1–31 | d
Days as 01–31 | dd
Days as Sun–Sat | ddd
Days as Sunday–Saturday | dddd
Years as 00–99 | yy
Years as 1900–9999 | yyyy

Hours, minutes, and seconds
To display | Use this code
Hours as 0–23 | H
Hours as 00–23 | hh
Minutes as 0–59 | m
Minutes as 00–59 | mm
Seconds as 0–59 | s
Seconds as 00–59 | ss
Hours as 4 AM | h AM/PM
Time as 4:36 PM | h:mm AM/PM
Time as 4:36:03 P | h:mm:ss A/P
Elapsed time in hours; for example, 25.02 | [h]:mm
Elapsed time in minutes; for example, 63:46 | [mm]:ss
Elapsed time in seconds | [ss]
Fractions of a second | h:mm:ss.00

AM and PM If the format contains an AM or PM, the hour is based on the 12-hour clock, where "AM" or "A" indicates times from midnight until noon and "PM" or "P" indicates times from noon until midnight. Otherwise, the hour is based on the 24-hour clock. The "m" or "mm" code must appear immediately after the "h" or "hh" code or immediately before the "ss" code; otherwise, Microsoft Excel displays the month instead of minutes.


Summary functions for data analysis

Summary functions are used in automatic subtotals, data consolidations, and PivotTable and PivotChart reports. In PivotTable and PivotChart reports, the following summary functions are available for all types of source data except OLAP.

Function | Summarizes
Sum | The sum of the values. This is the default function for numeric data.
Count | The number of data values. The Count summary function works the same as the COUNTA worksheet function. Count is the default function for data other than numbers.
Average | The average of the values.
Max | The largest value.
Min | The smallest value.
Product | The product of the values.
Count Nums | The number of data values that are numbers. The Count Nums summary function works the same as the COUNT worksheet function.
StdDev | An estimate of the standard deviation of a population, where the sample is a subset of the entire population.
StdDevp | The standard deviation of a population, where the population is all of the data to be summarized.
Var | An estimate of the variance of a population, where the sample is a subset of the entire population.
Varp | The variance of a population, where the population is all of the data to be summarized.


About cell and range references

A reference identifies a cell or a range of cells on a worksheet and tells Microsoft Excel where to look for the values or data you want to use in a formula. With references, you can use data contained in different parts of a worksheet in one formula or use the value from one cell in several formulas. You can also refer to cells on other sheets in the same workbook, and to other workbooks. References to cells in other workbooks are called links.

The A1 reference style

By default, Excel uses the A1 reference style, which refers to columns with letters (A through IV, for a total of 256 columns) and refers to rows with numbers (1 through 65536). These letters and numbers are called row and column headings. To refer to a cell, enter the column letter followed by the row number. For example, B2 refers to the cell at the intersection of column B and row 2.

To refer to | Use
The cell in column A and row 10 | A10
The range of cells in column A and rows 10 through 20 | A10:A20
The range of cells in row 15 and columns B through E | B15:E15
All cells in row 5 | 5:5
All cells in rows 5 through 10 | 5:10
All cells in column H | H:H
All cells in columns H through J | H:J
The range of cells in columns A through E and rows 10 through 20 | A10:E20

Reference to another worksheet In the following example, the AVERAGE worksheet function calculates the average value for the range B1:B10 on the worksheet named Marketing in the same workbook.

Link to another worksheet in the same workbook

Link to another worksheet in the same workbook

Note that the name of the worksheet and an exclamation point (!) precede the range reference.

The difference between relative and absolute references

Relative references A relative cell reference in a formula, such as A1, is based on the relative position of the cell that contains the formula and the cell the reference refers to. If the position of the cell that contains the formula changes, the reference is changed. If you copy the formula across rows or down columns, the reference automatically adjusts. By default, new formulas use relative references. For example, if you copy a relative reference in cell B2 to cell B3, it automatically adjusts from =A1 to =A2.

Copied formula with relative reference

Copied formula with relative reference

Absolute references An absolute cell reference in a formula, such as $A$1, always refer to a cell in a specific location. If the position of the cell that contains the formula changes, the absolute reference remains the same. If you copy the formula across rows or down columns, the absolute reference does not adjust. By default, new formulas use relative references, and you need to switch them to absolute references. For example, if you copy a absolute reference in cell B2 to cell B3, it stays the same in both cells =$A$1.

Copied formula with absolute reference

Copied formula with absolute reference

Mixed references A mixed reference has either an absolute column and relative row, or absolute row and relative column. An absolute column reference takes the form $A1, $B1, and so on. An absolute row reference takes the form A$1, B$1, and so on. If the position of the cell that contains the formula changes, the relative reference is changed, and the absolute reference does not change. If you copy the formula across rows or down columns, the relative reference automatically adjusts, and the absolute reference does not adjust. For example, if you copy a mixed reference from cell A2 to B3, it adjusts from =A$1 to =B$1.

Copied formula with mixed reference

Copied formula with mixed reference

The 3-D reference style

If you want to analyze data in the same cell or range of cells on multiple worksheets within the workbook, use a 3-D reference. A 3-D reference includes the cell or range reference, preceded by a range of worksheet names. Excel uses any worksheets stored between the starting and ending names of the reference. For example, =SUM(Sheet2:Sheet13!B5) adds all the values contained in cell B5 on all the worksheets between and including Sheet 2 and Sheet 13.

  • You can use 3-D references to refer to cells on other sheets, to define names, and to create formulas by using the following functions: SUM, AVERAGE, AVERAGEA, COUNT, COUNTA, MAX, MAXA, MIN, MINA, PRODUCT, STDEV, STDEVA, STDEVP, STDEVPA, VAR, VARA, VARP, and VARPA.
  • 3-D references cannot be used in array formulas.
  • 3-D references cannot be used with the intersection operator (a single space) or in formulas that use implicit intersection.

How 3-D references change when you move, copy, insert, or delete worksheets

The following examples explain what happens when you move, copy, insert, or delete worksheets that are included in a 3-D reference. The examples use the formula =SUM(Sheet2:Sheet6!A2:A5) to add cells A2 through A5 on worksheets 2 through 6.

Insert or copy If you insert or copy sheets between Sheet2 and Sheet6 (the endpoints in this example), Microsoft Excel includes all values in cells A2 through A5 from the added sheets in the calculations.

Delete If you delete sheets between Sheet2 and Sheet6, Excel removes their values from the calculation.

Move If you move sheets from between Sheet2 and Sheet6 to a location outside the referenced sheet range, Excel removes their values from the calculation.

Move an endpoint If you move Sheet2 or Sheet6 to another location in the same workbook, Excel adjusts the calculation to accommodate the new range of sheets between them.

Delete an endpoint If you delete Sheet2 or Sheet6, Excel adjusts the calculation to accommodate the range of sheets between them.

The R1C1 reference style

You can also use a reference style where both the rows and the columns on the worksheet are numbered. The R1C1 reference style is useful for computing row and column positions in macros. In the R1C1 style, Excel indicates the location of a cell with an "R" followed by a row number and a "C" followed by a column number.

Reference | Meaning
R[-2]C | A relative reference to the cell two rows up and in the same column
R[2]C[2] | A relative reference to the cell two rows down and two columns to the right
R2C2 | An absolute reference to the cell in the second row and in the second column
R[-1] | A relative reference to the entire row above the active cell
R | An absolute reference to the current row

When you record a macro, Excel records some commands by using the R1C1 reference style. For example, if you record a command such as clicking the AutoSum button to insert a formula that adds a range of cells, Excel records the formula by using R1C1 style, not A1 style, references.

To turn R1C1 reference style on or off

  1. Click Options on the Tools menu, and then click the General tab.

  2. Under Settings, select or clear the R1C1 reference style check box.


Calculation differences between Microsoft Excel and Lotus 1-2-3 formulas

Mathematical operators

The following list compares the mathematical operators used by Microsoft Excel and Lotus 1-2-3.

Description | Lotus 1-2-3 operator | Microsoft Excel operator
Exponentiation | ^ | ^
Positive and negative | + and – | – (positive is assumed in Microsoft Excel)
Multiplication and division | * and / | * and /
Addition and subtraction | + and – | + and –
Comparison | = < > <= >= <> | = < > <= >= <>
Logical | #not#, #and#, and #or# | NOT, AND, and OR worksheet functions
Connect two strings of text (concatenation) | & (Release 2.0 or later only) | &

Order of evaluation The order in which Lotus 1-2-3 performs operations in formulas is as follows: exponentiation, positive and negative, multiplication and division, addition and subtraction, comparison (= < > <= >= <>, #not#, #and#, and #or#), and then concatenation.

Notes

  • Lotus 1-2-3 evaluates the exponentiation operator (^) before the negation operator (–); Excel evaluates negation first. For example, the formula =–2^4 produces the value –16 in Lotus 1-2-3, but it produces 16 in Excel. To correct this difference, use parentheses to change the order of evaluation; for example =–(2^4) produces –16.
  • Lotus 1-2-3 evaluates comparison operators (= < > <= >= <>) and logical operators (#not#, #and#, and #or#) before the concatenation operator (&); Excel evaluates concatenation before comparison. To correct this difference, use parentheses to change the order of evaluation.
  • In both Lotus 1-2-3 and Excel, operators with the same precedence, such as AND and OR, are evaluated left to right.

Calculation rules

Excel calculates formulas and database criteria in a different way than Lotus 1-2-3. To calculate according to Lotus 1-2-3 rules, select the Transition formula evaluation option on the Transition tab (Tools menu, Options command).

Text in calculations In Lotus 1-2-3, cells that contain text are considered to have a value of 0 (zero) when the cell is used in a formula. In Excel, you cannot combine text and numeric entries in a mathematical expression such as addition or subtraction. Worksheet functions in Excel, however, use the value 0 for cells that contain text.

For example, if cell A10 contains text and cell B10 contains the value 100, the formula =A10+B10 returns the error value #VALUE! if the Transition formula evaluation check box is cleared. However, the formula =SUM(A10,B10) returns the value 100.

Boolean values TRUE and FALSE Boolean expressions in Lotus 1-2-3 are evaluated to 0 (zero) or 1 and display 0 or 1 in the cell. Excel allows calculations on the Lotus 1-2-3 values but displays logical values as either TRUE or FALSE (TRUE is equal to 1 and FALSE is equal to 0). For example, in Lotus 1-2-3 the expression 2<3 displays 1 in the cell to represent True; Excel displays the logical value TRUE in the cell.

If the Transition formula evaluation option is selected, Excel displays 0 for FALSE and 1 for TRUE.

Database criteria Database criteria ranges are evaluated differently when you are extracting data, finding data, and using database functions. For example, the criteria "John" will find only rows where the value John is contained within the cell. If you clear the Transition formula evaluation check box, the criteria "John" finds any rows where the value in the cell begins with John — John, Johnson, and Johnsen.

Formula differences

There are also some important differences in how you create formulas in Excel:

  • In Excel, you start a formula with an equal sign (=). You can also start a formula with a plus sign (+), as you would in Lotus 1-2-3.
  • Although it is not required, you can type an ampersand (@) before Excel functions.
  • Excel uses a colon (:) to denote a range of cells, instead of the periods (..) used in Lotus 1-2-3.

Worksheet functions

Functions that are evaluated differently Some functions — including @MOD, @VLOOKUP, and @HLOOKUP — are evaluated differently. For example, the @VLOOKUP function in Lotus 1-2-3 looks for an exact match in the first column; the VLOOKUP worksheet function in Excel assumes the first column is sorted and finds the closest value in the first column without exceeding the lookup value.

The VLOOKUP and HLOOKUP worksheet functions in Excel include a fourth argument, range_lookup, which you can use to have Excel find an exact match. If you set this argument to FALSE, Excel will look for an exact match.

Compatible functions Excel 2000 and later versions contain functions for compatibility with Lotus 1-2-3 Release 4.0 and later. The "A" functions — AVERAGEA, MAXA, MINA, STDEVA, STDEVPA, VARA, and VARPA — calculate results by using all of the cells in a range (including blank cells), cells that contain text, and cells that contain the logical values TRUE or FALSE.


Types of controls and their properties

To determine whether a control is an ActiveX control or a Forms toolbar control, right-click the control. If no shortcut menu appears orthe shortcut menu contains the command Properties, the control is an ActiveX control. If the shortcut menu contains the command Assign Macro, the control is a Forms toolbar control.

ActiveX controls

To set the properties for ActiveX controls, and get more information about these controls and the properties available for each control, see Visual Basic Help.

Check box An option you can turn on or off by selecting or clearing it. You can have more than one check box checked on a sheet at a time.

Text box A box in which you can type text.

Command button A button that initiates an action when it is clicked.

Option button A button used to select one option from a group of options.

List box A box that contains a list of items.

Combo box A text box with a drop-down list box. You can either select a choice from the list or type your own entry in the box.

Toggle button A button that remains pressed in when clicked, and then releases when it is clicked again.

Spin button A button that can be attached to a cell or a text box. To increase a value, click the up arrow; to decrease a value, click the down arrow.

Scroll bar A control that scrolls through a range of values when you click the scroll arrows or when you drag the scroll box. You can move through a page of values by clicking between the scroll box and a scroll arrow.

Label Text added to a worksheet or form to provide information about a control or the worksheet or form.

Image A control that embeds a picture into a form.

More Controls A list of additional ActiveX controls.

Forms toolbar controls

To set the properties for an existing control, right-click the control, click Format Control, and then click the Control tab. Labels and buttons don't have properties.

Label Text that provides information about a control or the worksheet or form.

Edit box Unavailable in Microsoft Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

Group box Groups related controls, such as option buttons or check boxes.

Group box properties

3D shading Displays the group box with a 3-dimensional shaded effect.

Button Runs a macro when clicked.

Check box Turns an option on or off. You can check more than one check box at a time on a sheet or in a group.

Check box properties

Value Determines the state of the check box, that is, whether it is selected (Checked), cleared (Unchecked), or neither (Mixed).

Cell link A cell that returns the state of the check box. If the check box is selected, the cell in the Cell link box contains TRUE. If the check box is cleared, the cell contains FALSE. If the check box state is mixed, the cell contains #N/A. If the linked cell is empty, Excel interprets the check box state as FALSE.

3D shading Displays the check box with a 3-dimensional shaded effect.

Option button Selects one of a group of options contained in a group box. Use option buttons to allow only one of several possibilities.

Option button properties

Value Determines the initial state of the option button, that is, whether it is selected (Checked) or cleared (Unchecked).

Cell Link Returns the number of the selected option button in the group of options (the first option button is number 1). Use the same Cell Link cell for all options in a group. You can then use the returned number in a formula or a macro to respond to the selected option.

For example, if you create a personnel form with an option button labeled Full-time and another option button labeled Part-time, you could link the two option buttons to cell C1. The following formula displays "Full-time" if the first option button is selected or "Part-time" if the second option button is selected:

=IF(C1=1,"Full-time","Part-time")

3D shading Displays the option button with a 3-dimensional shaded effect.

List box Displays a list of items.

List box properties

Input range Reference to the range containing the values to display in the list box.

Cell link Returns the number of the item that's selected in the list box (the first item in the list is 1). You can use this number in a formula or macro to return the actual item from the input range.

For example, if a list box is linked to cell C1 and the input range for the list is D10:D15, the following formula returns the value from range D10:D15 based on the selection in the list:

=INDEX(D10:D15,C1)

Selection type Specifies how items can be selected in the list. If you set the selection type to Multi or Extend, the cell specified in the Cell link box is ignored.

3D shading Displays the list box with a 3-dimensional shaded effect.

Combo box A drop-down list box. The item that is selected in the list box appears in the text box.

Combo box properties

Input range Reference to the range containing the values to display in the drop-down list.

Cell link Returns the number of the item that's selected in the combo box (the first item in the list is 1). You can use this number in a formula or macro to return the actual item from the input range.

For example, if a combo box is linked to cell C1 and the input range for the list is D10:D15, the following formula returns the value from range D10:D15 based on the selection in the list:

=INDEX(D10:D15,C1)

Drop-down lines Specifies the number of lines to display in the drop-down list.

3D shading Displays the combo box with a 3-dimensional shaded effect.

Combination list-edit Unavailable in Microsoft Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

Combination drop-down edit Unavailable in Microsoft Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

Scroll bar Scrolls through a range of values when you click the scroll arrows or when you drag a scroll box. You can move through a page of values by clicking between the scroll box and a scroll arrow.

Scroll bar properties

Current value The relative position of the scroll box within the scroll bar.

Minimum value The position of the scroll box closest to the top of a vertical scroll bar or the left end of a horizontal scroll bar.

Maximum value The position of the scroll box farthest from the top of a vertical scroll bar or the right end of a horizontal scroll bar.

Incremental change The amount the scroll box moves when the arrow at either end of the scroll bar is clicked.

Page change The amount the scroll box moves when you click between the scroll box and one of the scroll arrows.

Cell link Returns the current position of the scroll box. This number can be used in a formula or macro to respond to the position of the scroll box.

3D shading Displays the scroll bar with a 3-dimensional shaded effect.

Spinner Increases or decreases a value. To increase the value, click the up arrow; to decrease the value, click the down arrow.

Spinner properties

Current value The relative position of the spinner within the range of allowed values.

Minimum value The lowest value allowed for the spinner.

Maximum value The highest value allowed for the spinner.

Incremental change The amount the spinner increases or decreases when the arrows are clicked.

Cell link Returns the current position of the spinner. This number can be used in a formula or macro to return the actual value you want selected by the spinner.

3D shading Displays the spinner with a 3-dimensional shaded effect.


Wildcard characters

The following wildcard characters can be used as comparison criteria for filters, and when searching and replacing content.

Use | To find
? (question mark) | Any single character For example, sm?th finds "smith" and "smyth"
* (asterisk) | Any number of characters For example, *east finds "Northeast" and "Southeast"
~ (tilde) followed by ?, *, or ~ | A question mark, asterisk, or tilde For example, fy91~? finds "fy91?"


About filling in data based on adjacent cells

You can quickly fill in several types of data series by selecting cells and dragging the fill handle or by using the Series command (point to Fill on the Edit menu, and then click Series).

Selected cell with fill handle

Copy data within a row or column By dragging the fill handle of a cell, you can copy the contents of a cell to other cells in the same row or column.

Fill in a series of numbers, dates, or other items Microsoft Excel can automatically continue a series of numbers, number/text combinations, dates, or time periods based on a pattern you establish. For example, the initial selections in the following table are extended as shown. Items separated by commas are in adjacent cells.

Initial selection | Extended series
1, 2, 3 | 4, 5, 6
9:00 | 10:00, 11:00, 12:00
Mon | Tue, Wed, Thu
Monday | Tuesday, Wednesday, Thursday
Jan | Feb, Mar, Apr
Jan, Apr | Jul, Oct, Jan
Jan-99, Apr-99 | Jul-99, Oct-99, Jan-00
15-Jan, 15-Apr | 15-Jul, 15-Oct
1999, 2000 | 2001, 2002, 2003
1-Jan, 1-Mar | 1-May, 1-Jul, 1-Sep,...
Qtr3 (or Q3 or Quarter3) | Qtr4, Qtr1, Qtr2,...
text1, textA | text2, textA, text3, textA,...
1st Period | 2nd Period, 3rd Period,...
Product 1 | Product 2, Product 3,...

If the selection contains numbers, you can control whether to create a linear series or a growth series.

Create a custom fill series You can create a custom fill series for frequently used text entries, such as your company's sales regions.


About calculation operators

Operators specify the type of calculation that you want to perform on the elements of a formula. Microsoft Excel includes four different types of calculation operators: arithmetic, comparison, text, and reference.

Types of operators

Arithmetic operators To perform basic mathematical operations such as addition, subtraction, or multiplication; combine numbers; and produce numeric results, use the following arithmetic operators.

Arithmetic operator | Meaning (Example)
+ (plus sign) | Addition (3+3)
– (minus sign) | Subtraction (3–1) Negation (–1)
* (asterisk) | Multiplication (3*3)
/ (forward slash) | Division (3/3)
% (percent sign) | Percent (20%)
^ (caret) | Exponentiation (3^2)

Comparison operators You can compare two values with the following operators. When two values are compared by using these operators, the result is a logical value either TRUE or FALSE.

Comparison operator | Meaning (Example)
= (equal sign) | Equal to (A1=B1)
> (greater than sign) | Greater than (A1>B1)
< (less than sign) | Less than (A1<B1)
>= (greater than or equal to sign) | Greater than or equal to (A1>=B1)
<= (less than or equal to sign) | Less than or equal to (A1<=B1)
<> (not equal to sign) | Not equal to (A1<>B1)

Text concatenation operator Use the ampersand (&) to join, or concatenate, one or more text strings to produce a single piece of text.

Text operator | Meaning (Example)
& (ampersand) | Connects, or concatenates, two values to produce one continuous text value ("North"&"wind")

Reference operators Combine ranges of cells for calculations with the following operators.

Reference operator | Meaning (Example)
: (colon) | Range operator, which produces one reference to all the cells between two references, including the two references (B5:B15)
, (comma) | Union operator, which combines multiple references into one reference (SUM(B5:B15,D5:D15))
(space) | Intersection operator, which produces on reference to cells common to the two references (B7:D7 C6:C8)

The order in which Excel performs operations in formulas

Formulas calculate values in a specific order. A formula in Excel always begins with an equal sign (=). The equal sign tells Excel that the succeeding characters constitute a formula. Following the equal sign are the elements to be calculated (the operands), which are separated by calculation operators. Excel calculates the formula from left to right, according to a specific order for each operator in the formula.

Operator precedence

If you combine several operators in a single formula, Excel performs the operations in the order shown in the following table. If a formula contains operators with the same precedence — for example, if a formula contains both a multiplication and division operator — Excel evaluates the operators from left to right.

Operator | Description
: (colon) (single space) , (comma) | Reference operators
– | Negation (as in –1)
% | Percent
^ | Exponentiation
* and / | Multiplication and division
+ and – | Addition and subtraction
& | Connects two strings of text (concatenation)
= < > <= >= <> | Comparison

Use of parentheses

To change the order of evaluation, enclose in parentheses the part of the formula to be calculated first. For example, the following formula produces 11 because Excel calculates multiplication before addition. The formula multiplies 2 by 3 and then adds 5 to the result.

=5+2*3

In contrast, if you use parentheses to change the syntax, Excel adds 5 and 2 together and then multiplies the result by 3 to produce 21.

=(5+2)*3

In the example below, the parentheses around the first part of the formula force Excel to calculate B4+25 first and then divide the result by the sum of the values in cells D5, E5, and F5.

=(B4+25)/SUM(D5:F5)


Change the query for an external data range

  1. Click a cell in the external data range you want to change.
  2. Click Edit Query [image] on the External Data toolbar.

Note For more information about constructing and editing queries in Microsoft Query, see Microsoft Query Help.


Keyboard shortcuts

Some of the content in this topic may not be applicable to some languages.

To print this topic, press TAB to select Show All, press ENTER, and then press CTRL+P.

Keys for the Office Assistant and Help window

Display and use the Office Assistant

To perform the following actions, the Microsoft Office Assistant must be turned on and visible. To turn on or show the Office Assistant, press ALT+H to open the Help menu, and then press O. With the Assistant visible, press F1 to display the Assistant balloon.

F1
Display the Assistant balloon (if the Assistant is turned off, F1 opens the Help window)

In the Assistant balloon

ALT+number
Select a Help topic from the list the Assistant displays. ALT+1 is the first topic, ALT+2 is the second, and so on.
ALT+DOWN ARROW
Display more Help topics in the Assistant list
ALT+UP ARROW
Display previous Help topics in the Assistant list
ESC
Close an Assistant message or a tip

In some wizards or dialog boxes

TAB
Move to the Help [image] button in the wizard
SPACEBAR, with the Help [image] button selected
Show the Assistant in a wizard or dialog box. To hide the Assistant, press SPACEBAR again. Note that not all wizards or dialog boxes have Help provided by the Assistant.

Note If you use a screen review utility or other accessibility aid, you'll get the best results with Help if you enter questions in the Answer Wizard tab in the Help window rather than in the Office Assistant balloon or in the Ask a Question box.

Display and use the Help window

To use the Help window, the Microsoft Office Assistant must be turned off. To turn off the Assistant, press F1 to display the Assistant. Press ALT+O to open the Options tab in the Office Assistant dialog box. Press ALT+U to clear the Use the Office Assistant check box, and then press ENTER. Press F1 to display the Help window.

F1
Display the Help window if the Assistant is turned off (if the Assistant is turned on, F1 displays the Assistant balloon).

In the Help window

F6
Switch between the Help topic and the Contents, Answer Wizard, Index pane
TAB
Select the next hidden text or hyperlink, or Show All or Hide All at the top of a topic.
SHIFT+TAB
Select the previous hidden text or hyperlink, or the Browser View button at the top of a Microsoft Office Web article.
ENTER
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink
ALT+O
Display the Options menu to access any Help toolbar command
ALT+O, and then press T
Hide or show the pane with the Contents, Answer Wizard, and Index tabs
ALT+O, and then press B
Display the previously viewed topic
ALT+O, and then press F
Display the next topic in a previously displayed sequence of topics
ALT+O, and then press H
Return to the specified home page
ALT+O, and then press S
Stop the Help window from opening a Help topic (useful if you want to stop a Web page from downloading)
ALT+O, and then press I
Open the Internet Options dialog box for Microsoft Internet Explorer, where you can change accessibility settings
ALT+O, and then press R
Refresh the topic (useful if you have linked to a Web page)
ALT+O, and then press P
Print all topics in a book or a selected topic only
ALT+F4
Close the Help window

Note If you use a screen review utility or other accessibility aid, you'll get the best results with Help if you enter questions in the Answer Wizard tab in the Help window rather than in the Office Assistant balloon or in the Ask a Question box.

Use the Contents, Index, and Answer Wizard pane

Press F6 to switch from the Help topic to the Contents, Answer Wizard, Index pane.

CTRL+TAB
Switch to the next tab
ALT+C
Switch to the Contents tab
ALT+A
Switch to the Answer Wizard tab
ALT+I
Switch to the Index tab
ENTER
Open a selected book or Help topic
DOWN ARROW
Select the next book or Help topic
UP ARROW
Select the previous book or Help topic
SHIFT+F10
Display a shortcut menu

Note If you use a screen review utility or other accessibility aid, you'll get the best results with Help if you enter questions in the Answer Wizard tab in the Help window rather than in the Microsoft Office Assistant balloon or in the Ask a Question box.

Use the Help topic pane

Press F6 to switch from the Contents, Answer Wizard, Index pane to the open Help topic.

ALT+RIGHT ARROW
Go to the next Help topic
ALT+LEFT ARROW
Go to the previous Help topic
TAB
Select the next hidden text or hyperlink, or Show All or Hide All at the top of a topic.
SHIFT+TAB
Select the previous hidden text or hyperlink, or the Browser View button at the top of a Microsoft Office Web article.
ENTER
Perform the action for the selected Show All, Hide All, hidden text, or hyperlink
UP ARROW or DOWN ARROW
Scroll toward the beginning or end of a Help topic
PAGE UP or PAGE DOWN
Scroll toward the beginning or end of a Help topic in large increments
HOME or END
Go to the beginning or end of a Help topic
CTRL+P
Print the current Help topic
CTRL+A
Select the entire Help topic
CTRL+C
Copy the selected items to the Clipboard
SHIFT+F10
Display a shortcut menu

Keys for the Office interface

Display and use windows

ALT+TAB
Switch to the next program.
ALT+SHIFT+TAB
Switch to the previous program.
CTRL+ESC
Display the Windows Start menu.
CTRL+W or CTRL+F4
Close the selected workbook window.
CTRL+F5
Restore the window size of the selected workbook window.
F6
Switch to the next pane in a worksheet that has been split (Window menu, Split command).
SHIFT+F6
Switch to the previous pane in a worksheet that has been split.
CTRL+F6
When more than one workbook window is open, switch to the next workbook window.
CTRL+SHIFT+F6
Switch to the previous workbook window.
CTRL+F7
When a workbook window is not maximized, perform the Move command (on the Control menu for the workbook window). Use the arrow keys to move the window, and when finished press ESC.
CTRL+F8
When a workbook window is not maximized, perform the Size command (on the Control menu for the workbook window). Use the arrow keys to resize the window, and when finished press ESC.
CTRL+F9
Minimize a workbook window to an icon.
CTRL+F10
Maximize or restore the selected workbook window.
PRTSCR
Copy a picture of the screen to the Clipboard.
ALT+PRINT SCREEN
Copy a picture of the selected window to the Clipboard.

Access and use smart tags

ALT+SHIFT+F10
Display the menu or message for a smart tag. If more than one smart tag is present, switch to the next smart tag and display its menu or message.
DOWN ARROW
Select the next item in a smart tag menu.
UP ARROW
Select the previous item in a smart tag menu.
ENTER
Perform the action for the selected item in a smart tag menu.
ESC
Close the smart tag menu or message.

Tip

You can ask to be notified by a sound whenever a smart tag appears. To hear audio cues, you must have a sound card. You must also have Microsoft Office Sounds installed on your computer.

If you have access to the World Wide Web, you can download Microsoft Office Sounds from the Microsoft Office Web site. On the Help menu, click Office on the Web and search for "Microsoft Office Sounds." After you've installed the sound files, you need to select the Provide feedback with sound check box on the General tab of the Options dialog box (Tools menu). When you select (or clear) this check box, the setting affects all Office programs that support sound.

Note The hyperlinks in this topic goes to the Web. You can switch back to Help at any time.

Access and use task panes

F6
Move to a task pane from another pane in the program window. (You may need to press F6 more than once.)
Note If pressing F6 doesn't display the task pane you want, try pressing ALT to place focus on the menu bar, and then pressing CTRL+TAB to move to the task pane.
CTRL+TAB
When a menu or toolbar is active, move to a task pane. (You may need to press CTRL+TAB more than once.)
TAB or SHIFT+TAB
When a task pane is active, select the next or previous option in the task pane
CTRL+DOWN ARROW
Display the full set of commands on the task pane menu
DOWN ARROW or UP ARROW
Move among choices in a selected submenu; move among certain options in a group of options
SPACEBAR or ENTER
Open the selected menu, or perform the action assigned to the selected button
SHIFT+F10
Open a shortcut menu; open a drop-down menu for the selected gallery item
HOME or END
When a menu or submenu is visible, select the first or last command on the menu or submenu
PAGE UP or PAGE DOWN
Scroll up or down in the selected gallery list
CTRL+HOME or CTRL+END
Move to the top or bottom of the selected gallery list

Access and use menus and toolbars

F10 or ALT
Select the menu bar, or close an open menu and submenu at the same time.
TAB or SHIFT+TAB
When a toolbar is selected, select the next or previous button or menu on the toolbar.
CTRL+TAB or CTRL+SHIFT+TAB
When a toolbar is selected, select the next or previous toolbar.
ENTER
Open the selected menu, or perform the action for the selected button or command.
SHIFT+F10
Display the shortcut menu for the selected item.
ALT+SPACEBAR
Display the Control menu for the Excel window.
DOWN ARROW or UP ARROW
When a menu or submenu is open, select the next or previous command.
LEFT ARROW or RIGHT ARROW
Select the menu to the left or right. When a submenu is open, switch between the main menu and the submenu.
HOME or END
Select the first or last command on the menu or submenu.
ESC
Close an open menu. When a submenu is open, close only the submenu.
CTRL+DOWN ARROW
Display the full set of commands on a menu.
CTRL+7
Show or hide the Standard toolbar.

Note You can select any menu command on the menu bar or on a displayed toolbar with the keyboard. To select the menu bar, press ALT. Then to select a toolbar, press CTRL+TAB repeatedly until you select the toolbar you want. Press the underlined letter in the menu that contains the command you want. In the menu that appears, press the underlined letter in the command that you want.

Resize and move toolbars and task panes

  1. Press ALT to select the menu bar.

  2. Press CTRL+TAB repeatedly to select the toolbar or task pane you want.

  3. Do one of the following:

    Resize a toolbar

    1. In the toolbar, press CTRL+SPACE to display the Toolbar Options menu.

    2. Select the Size command, and then press ENTER.

    3. Use the arrow keys to resize the toolbar.

    Move a toolbar

    1. In the toolbar, press CTRL+SPACE to display the Toolbar Options menu.

    2. Select the Move command, and then press ENTER.

    3. Use the arrow keys to position the toolbar. Press CTRL+ the arrow keys to move one pixel at a time. To undock the toolbar, press DOWN ARROW repeatedly. To dock the toolbar vertically on the left or right side, press LEFT ARROW or RIGHT ARROW respectively when the toolbar is all the way to the left or right side.

    Resize a task pane

    1. In the task pane, press CTRL+SPACE to display a menu of additional commands.

    2. Use the DOWN ARROW key to select the Size command, and then press ENTER.

    3. Use the arrow keys to resize the task pane. Use CTRL+ the arrow keys to resize by one pixel at a time.

    Move a task pane

    1. In the task pane, press CTRL+SPACE to display a menu of additional commands.

    2. Use the DOWN ARROW key to select the Move command, and then press ENTER.

    3. Use the arrow keys to position the task pane. Use CTRL+ the arrow keys to move one pixel at a time.

  4. When you are finished moving or resizing, press ESC.

Use dialog boxes

TAB
Move to the next option or option group.
SHIFT+TAB
Move to the previous option or option group.
CTRL+TAB or CTRL+PAGE DOWN
Switch to the next tab in a dialog box.
CTRL+SHIFT+TAB or CTRL+PAGE UP
Switch to the previous tab in a dialog box.
Arrow keys
Move between options in an open drop-down list, or between options in a group of options.
SPACEBAR
Perform the action for the selected button, or select or clear the selected check box.
First letter of an option in a drop-down list
Open the list if it is closed and move to that option in the list.
ALT+ the underlined letter in an option
Select an option, or select or clear a check box.
ALT+DOWN ARROW
Open the selected drop-down list.
ENTER
Perform the action for the default command button in the dialog box (the button with the bold outline, often the OK button).
ESC
Cancel the command and close the dialog box.

Use edit boxes within dialog boxes

An edit box is a blank in which you type or paste an entry, such as your user name or the path to a folder.

HOME
Move to the beginning of the entry.
END
Move to the end of the entry.
LEFT ARROW or RIGHT ARROW
Move one character to the left or right.
CTRL+LEFT ARROW
Move one word to the left.
CTRL+RIGHT ARROW
Move one word to the right.
SHIFT+LEFT ARROW
Select or unselect one character to the left.
SHIFT+RIGHT ARROW
Select or unselect one character to the right.
CTRL+SHIFT+LEFT ARROW
Select or unselect one word to the left.
CTRL+SHIFT+RIGHT ARROW
Select or unselect one word to the right.
SHIFT+HOME
Select from the insertion point to the beginning of the entry.
SHIFT+END
Select from the insertion point to the end of the entry.

Use the Open, Save As, and Insert Picture dialog boxes

The Open, Insert Picture, and Save As dialog boxes support standard dialog box keyboard shortcuts. (To view standard shortcuts for dialog boxes, refer to the Use Dialog Boxes and Use Edit Boxes Within Dialog Boxes sections in the main Keyboard Shortcuts topic.) These dialog boxes also support the shortcuts below.

ALT+1
Go to the previous folder
ALT+2
Up One Level [image] button: open the folder up one level above the open folder
ALT+3
Search the Web [image] button: close the dialog box and open your Web search page
ALT+4
Delete [image] button: delete the selected folder or file
ALT+5
Create New Folder [image] button: create a new folder
ALT+6
Views [image] button: switch among available folder views
ALT+7 or ALT+L
Tools button: show the Tools menu
SHIFT+F10
Display a shortcut menu for a selected item such as a folder or file
TAB
Move between options or areas in the dialog box
F4 or ALT+I
Open the Look in list
F5
Refresh the file list

Keys for workbooks and worksheets

Preview and print

CTRL+P or CTRL+SHIFT+F12
Display the Print dialog box.

Use the following keys in print preview (to get to print preview, press ALT+F, then press V):

Arrow keys
Move around the page when zoomed in.
PAGE UP or PAGE DOWN
Move by one page when zoomed out.
CTRL+UP ARROW or CTRL+LEFT ARROW
Move to the first page when zoomed out.
CTRL+DOWN ARROW or CTRL+RIGHT ARROW
Move to the last page when zoomed out.

Work with worksheets

SHIFT+F11 or ALT+SHIFT+F1
Insert a new worksheet.
CTRL+PAGE DOWN
Move to the next sheet in the workbook.
CTRL+PAGE UP
Move to the previous sheet in the workbook.
SHIFT+CTRL+PAGE DOWN
Select the current and next sheet. To cancel selection of multiple sheets, press CTRL+PAGE DOWN or, to select a different sheet, press CTRL+PAGE UP.
SHIFT+CTRL+PAGE UP
Select the current and previous sheet.
ALT+O H R
Rename the current sheet (Format menu, Sheet submenu, Rename command).
ALT+E M
Move or copy the current sheet (Edit menu, Move or Copy Sheet command).
ALT+E L
Delete the current sheet (Edit menu, Delete Sheet command).

Move and scroll within worksheets

Arrow keys
Move one cell up, down, left, or right.
CTRL+arrow key
Move to the edge of the current data region.
HOME
Move to the beginning of the row.
CTRL+HOME
Move to the beginning of the worksheet.
CTRL+END
Move to the last cell on the worksheet, in the bottom-most used row of the rightmost used column.
PAGE DOWN
Move down one screen.
PAGE UP
Move up one screen.
ALT+PAGE DOWN
Move one screen to the right.
ALT+PAGE UP
Move one screen to the left.
F6
Switch to the next pane in a worksheet that has been split (Window menu, Split command).
SHIFT+F6
Switch to the previous pane in a worksheet that has been split.
CTRL+BACKSPACE
Scroll to display the active cell.
F5
Display the Go To dialog box.
SHIFT+F5
Display the Find dialog box.
SHIFT+F4
Repeat the last Find action (same as Find Next).
TAB
Move between unlocked cells on a protected worksheet.

Move within a selected range

ENTER
Move from top to bottom within the selected range.
SHIFT+ENTER
Move from bottom to top within the selected range.
TAB
Move from left to right within the selected range. If cells in a single column are selected, move down.
SHIFT+TAB
Move from right to left within the selected range. If cells in a single column are selected, move up.
CTRL+PERIOD
Move clockwise to the next corner of the selected range.
CTRL+ALT+RIGHT ARROW
In nonadjacent selections, switch to the next selection to the right.
CTRL+ALT+LEFT ARROW
Switch to the next nonadjacent selection to the left.

Note You can change the direction of movement after pressing ENTER or SHIFT+ENTER: press ALT+T and then O (Tools menu, Options command), press CTRL+TAB until the Edit tab is selected, and then change the Move selection after Enter settings.

Move and scroll in End mode

END appears in the status bar when End mode is selected.

END key
Turn End mode on or off.
END+arrow key
Move by one block of data within a row or column.
END+HOME
Move to the last cell on the worksheet, in the bottom-most used row of the rightmost used column.
END+ENTER
Move to the rightmost nonblank cell in the current row. This key sequence does not work if you have turned on transition navigation keys (Tools menu, Options command, Transition tab).

Move and scroll with SCROLL LOCK on

When you use scrolling keys (such as PAGE UP and PAGE DOWN) with SCROLL LOCK off, cell selection moves the distance you scroll. To scroll without changing which cells are selected , turn on SCROLL LOCK first.

SCROLL LOCK
Turn SCROLL LOCK on or off.
HOME
Move to the cell in the upper-left corner of the window.
END
Move to the cell in the lower-right corner of the window.
UP ARROW or DOWN ARROW
Scroll one row up or down.
LEFT ARROW or RIGHT ARROW
Scroll one column left or right.

Keys for selecting data and cells

Select cells, rows and columns, and objects

CTRL+SPACEBAR
Select the entire column.
SHIFT+SPACEBAR
Select the entire row.
CTRL+A
Select the entire worksheet.
SHIFT+BACKSPACE
With multiple cells selected, select only the active cell.
CTRL+SHIFT+SPACEBAR
With an object selected, select all objects on a sheet.
CTRL+6
Alternate between hiding objects, displaying objects, and displaying placeholders for objects.

Select cells with specific characteristics

CTRL+SHIFT+* (asterisk)
Select the current region around the active cell (the data area enclosed by blank rows and blank columns). In a PivotTable report, select the entire PivotTable report.
CTRL+/
Select the array containing the active cell.
CTRL+SHIFT+O (the letter O)
Select all cells that contain comments.
CTRL+\
In a selected row, select the cells that don't match the value in the active cell.
CTRL+SHIFT+|
In a selected column, select the cells that don't match the value in the active cell.
CTRL+[ (opening bracket)
Select all cells directly referenced by formulas in the selection.
CTRL+SHIFT+{ (opening brace)
Select all cells directly or indirectly referenced by formulas in the selection.
CTRL+] (closing bracket)
Select cells that contain formulas that directly reference the active cell.
CTRL+SHIFT+} (closing brace)
Select cells that contain formulas that directly or indirectly reference the active cell.
ALT+; (semicolon)
Select the visible cells in the current selection.

Extend a selection

F8
Turn extend mode on or off. In extend mode, EXT appears in the status line, and the arrow keys extend the selection.
SHIFT+F8
Add another range of cells to the selection; or use the arrow keys to move to the start of the range you want to add, and then press F8 and the arrow keys to select the next range.
SHIFT+arrow key
Extend the selection by one cell.
CTRL+SHIFT+arrow key
Extend the selection to the last nonblank cell in the same column or row as the active cell.
SHIFT+HOME
Extend the selection to the beginning of the row.
CTRL+SHIFT+HOME
Extend the selection to the beginning of the worksheet.
CTRL+SHIFT+END
Extend the selection to the last used cell on the worksheet (lower-right corner).
SHIFT+PAGE DOWN
Extend the selection down one screen.
SHIFT+PAGE UP
Extend the selection up one screen.
END+SHIFT+arrow key
Extend the selection to the last nonblank cell in the same column or row as the active cell.
END+SHIFT+HOME
Extend the selection to the last used cell on the worksheet (lower-right corner).
END+SHIFT+ENTER
Extend the selection to the last cell in the current row. This key sequence does not work if you have turned on transition navigation keys (Tools menu, Options command, Transition tab).
SCROLL LOCK+SHIFT+HOME
Extend the selection to the cell in the upper-left corner of the window.
SCROLL LOCK+SHIFT+END
Extend the selection to the cell in the lower-right corner of the window.

Keys for entering, editing, formatting, and calculating data

Enter data

ENTER
Complete a cell entry and select the cell below.
ALT+ENTER
Start a new line in the same cell.
CTRL+ENTER
Fill the selected cell range with the current entry.
SHIFT+ENTER
Complete a cell entry and select the previous cell above.
TAB
Complete a cell entry and select the next cell to the right.
SHIFT+TAB
Complete a cell entry and select the previous cell to the left.
ESC
Cancel a cell entry.
Arrow keys
Move one character up, down, left, or right.
HOME
Move to the beginning of the line.
F4 or CTRL+Y
Repeat the last action.
CTRL+SHIFT+F3
Create names from row and column labels.
CTRL+D
Fill down.
CTRL+R
Fill to the right.
CTRL+F3
Define a name.
CTRL+K
Insert a hyperlink.
ENTER (in a cell with a hyperlink)
Activate a hyperlink.
CTRL+; (semicolon)
Enter the date.
CTRL+SHIFT+: (colon)
Enter the time.
ALT+DOWN ARROW
Display a drop-down list of the values in the current column of a list.
CTRL+Z
Undo the last action.

Enter special characters

Press F2 to edit the cell, turn on NUM LOCK, and then press the following keys by using the numeric key pad:

ALT+0162
Enters the cent character ¢.
ALT+0163
Enters the pound sterling character £.
ALT+0165
Enters the yen symbol ¥.
ALT+0128
Enters the euro symbol €.

Enter and calculate formulas

= (equal sign)
Start a formula.
F2
Move the insertion point into the Formula Bar when editing in a cell is turned off.
BACKSPACE
In the Formula Bar, delete one character to the left.
ENTER
Complete a cell entry from the cell or Formula Bar.
CTRL+SHIFT+ENTER
Enter a formula as an array formula.
ESC
Cancel an entry in the cell or Formula Bar.
SHIFT+F3
In a formula, display the Insert Function dialog box.
CTRL+A
When the insertion point is to the right of a function name in a formula, display the Function Arguments dialog box.
CTRL+SHIFT+A
When the insertion point is to the right of a function name in a formula, insert the argument names and parentheses.
F3
Paste a defined name into a formula.
ALT+= (equal sign)
Insert an AutoSum formula with the SUM function.
CTRL+SHIFT+" (quotation mark)
Copy the value from the cell above the active cell into the cell or the Formula Bar.
CTRL+' (apostrophe)
Copies a formula from the cell above the active cell into the cell or the Formula Bar.
CTRL+` (single left quotation mark)
Alternate between displaying cell values and displaying formulas.
F9
Calculate all worksheets in all open workbooks.
When a portion of a formula is selected, calculate the selected portion. You can then press ENTER or CTRL+SHIFT+ENTER (for array formulas) to replace the selected portion with the calculated value.
SHIFT+F9
Calculate the active worksheet.
CTRL+ALT+F9
Calculate all worksheets in all open workbooks, regardless of whether they have changed since the last calculation.
CTRL+ALT+SHIFT+F9
Rechecks dependent formulas and then calculates all cells in all open workbooks, including cells not marked as needing to be calculated.

Edit data

F2
Edit the active cell and position the insertion point at the end of the cell contents.
ALT+ENTER
Start a new line in the same cell.
BACKSPACE
Edit the active cell and then clear it, or delete the preceding character in the active cell as you edit cell contents.
DELETE
Delete the character to the right of the insertion point, or delete the selection.
CTRL+DELETE
Delete text to the end of the line.
F7
Display the Spelling dialog box.
SHIFT+F2
Edit a cell comment.
ENTER
Complete a cell entry and select the next cell below.
CTRL+Z
Undo the last action.
ESC
Cancel a cell entry.
CTRL+SHIFT+Z
When the AutoCorrect Smart Tags is displayed, undo or redo the last automatic correction.

Insert, delete, and copy cells

CTRL+C
Copy the selected cells.
CTRL+C, immediately followed by another CTRL+C
Display the Microsoft Office Clipboard (multiple copy and paste).
CTRL+X
Cut the selected cells.
CTRL+V
Paste copied cells.
DELETE
Clear the contents of the selected cells.
CTRL+HYPHEN
Delete the selected cells.
CTRL+SHIFT+PLUS SIGN
Insert blank cells.

Format data

ALT+' (apostrophe)
Display the Style dialog box.
CTRL+1
Display the Format Cells dialog box.
CTRL+SHIFT+~
Apply the General number format.
CTRL+SHIFT+$
Apply the Currency format with two decimal places (negative numbers in parentheses).
CTRL+SHIFT+%
Apply the Percentage format with no decimal places.
CTRL+SHIFT+^
Apply the Exponential number format with two decimal places.
CTRL+SHIFT+#
Apply the Date format with the day, month, and year.
CTRL+SHIFT+@
Apply the Time format with the hour and minute, and AM or PM.
CTRL+SHIFT+!
Apply the Number format with two decimal places, thousands separator, and minus sign (–) for negative values.
CTRL+B
Apply or remove bold formatting.
CTRL+I
Apply or remove italic formatting.
CTRL+U
Apply or remove underlining.
CTRL+5
Apply or remove strikethrough.
CTRL+9
Hide the selected rows.
CTRL+SHIFT+( (opening parenthesis)
Unhide any hidden rows within the selection.
CTRL+0 (zero)
Hide the selected columns.
CTRL+SHIFT+) (closing parenthesis)
Unhide any hidden columns within the selection.
CTRL+SHIFT+&
Apply the outline border to the selected cells.
CTRL+SHIFT+_
Remove the outline border from the selected cells.

Use the Border tab in the Format Cells dialog box

Press CTRL+1 to display this dialog box.

ALT+T
Apply or remove the top border.
ALT+B
Apply or remove the bottom border.
ALT+L
Apply or remove the left border.
ALT+R
Apply or remove the right border.
ALT+H
If cells in multiple rows are selected, apply or remove the horizontal divider.
ALT+V
If cells in multiple columns are selected, apply or remove the vertical divider.
ALT+D
Apply or remove the downward diagonal border.
ALT+U
Apply or remove the upward diagonal border.

Keys for filtering, outlining, and managing lists

Use data forms (Data menu, Form command)

DOWN ARROW
Move to the same field in the next record.
UP ARROW
Move to the same field in the previous record.
TAB and SHIFT+TAB
Move to each field in the record, then to each command button.
ENTER
Move to the first field in the next record.
SHIFT+ENTER
Move to the first field in the previous record.
PAGE DOWN
Move to the same field 10 records forward.
CTRL+PAGE DOWN
Start a new, blank record.
PAGE UP
Move to the same field 10 records back.
CTRL+PAGE UP
Move to the first record.
HOME or END
Move to the beginning or end of a field.
SHIFT+END
Extend selection to the end of a field.
SHIFT+HOME
Extend selection to the beginning of a field.
LEFT ARROW or RIGHT ARROW
Move one character left or right within a field.
SHIFT+LEFT ARROW
Select the character to the left within a field.
SHIFT+RIGHT ARROW
Select the character to the right within a field.

Filter lists (Data menu, AutoFilter command)

ALT+DOWN ARROW
In the cell that contains the drop-down arrow, displays the AutoFilter list for the current column.
DOWN ARROW
Selects the next item in the AutoFilter list.
UP ARROW
Selects the previous item in the AutoFilter list.
ALT+UP ARROW
Closes the AutoFilter list for the current column.
HOME
Selects the first item (All) in the AutoFilter list.
END
Selects the last item in the AutoFilter list.
ENTER
Filters the list based on the item selected from the AutoFilter list.

Show, hide, and outline data

ALT+SHIFT+RIGHT ARROW
Groups rows or columns.
ALT+SHIFT+LEFT ARROW
Ungroups rows or columns.
CTRL+8
Displays or hides the outline symbols.
CTRL+9
Hides the selected rows.
CTRL+SHIFT+( (opening parenthesis)
Unhides any hidden rows within the selection.
CTRL+0 (zero)
Hides the selected columns.
CTRL+SHIFT+) (closing parenthesis)
Unhides any hidden columns within the selection.

Keys for PivotTable and PivotChart reports

Lay out a report onscreen

  1. Press F10 to make the menu bar active.

  2. Press CTRL+TAB or CTRL+SHIFT+TAB to make the PivotTable Field List active.

  3. Press the DOWN ARROW or UP ARROW key to select the field you want. Press RIGHT ARROW or LEFT ARROW to open or close a field that can be expanded.

  4. Press TAB to select the Add To list, and then press DOWN ARROW to open the list.

  5. Press DOWN ARROW or UP ARROW to select the area where you want to move the field, and then press ENTER.

  6. Press TAB to select the Add To button, and then press ENTER.

Use the PivotTable and PivotChart Wizard – Layout dialog box

To display this dialog box, press TAB until Layout is selected in Step 3 of the PivotTable and PivotChart Wizard.

UP ARROW or DOWN ARROW
Selects the previous or next field button in the list on the right.
LEFT ARROW or RIGHT ARROW
With two or more columns of field buttons, selects the button to the left or right.
ALT+R
Moves the selected field into the Row area.
ALT+C
Moves the selected field into the Column area.
ALT+D
Moves the selected field into the Data area.
ALT+P
Moves the selected field into the Page area.
ALT+L
Displays the PivotTable Field dialog box for the selected field.

Display and hide items in a field

ALT+DOWN ARROW
Displays the drop-down list for a field in a PivotTable or PivotChart report. Use the arrow keys to select the field.
UP ARROW
Selects the previous item in the list.
DOWN ARROW
Selects the next item in the list.
RIGHT ARROW
For an item that has lower-level items available, displays the lower-level items.
LEFT ARROW
For an item that has lower-level items displayed, hides the lower-level items.
HOME
Selects the first visible item in the list.
END
Selects the last visible item in the list.
ENTER
Closes the list and displays the selected items.
SPACEBAR
Checks, double-checks, or clears a check box in the list. Double-check selects both an item and all of its llower-level items.
TAB
Switches between the list, the OK button, and the Cancel button.

Change the layout of a report

CTRL+SHIFT+* (asterisk)
Selects an entire PivotTable report.
ALT+SHIFT+RIGHT ARROW
Groups the selected items in a PivotTable field.
ALT+SHIFT+LEFT ARROW
Ungroups grouped items in a PivotTable field.

Keys for charts

Create charts and select chart elements

F11 or ALT+F1
Creates a chart of the data in the current range.
CTRL+PAGE DOWN
Selects a chart sheet: selects the next sheet in the workbook, until the chart sheet you want is selected.
CTRL+PAGE UP
Selects a chart sheet: selects the previous sheet in the workbook, until the chart sheet you want is selected.
DOWN ARROW
Select the previous group of elements in a chart.
UP ARROW
Selects the next group of elements in a chart.
RIGHT ARROW
Selects the next element within a group.
LEFT ARROW
Selects the previous element within a group.

Select an embedded chart

  1. Display the Drawing toolbar: Press ALT+V, press T, press DOWN ARROW until Drawing is selected, and then press ENTER.
  2. Press F10 to make the menu bar active.
  3. Press CTRL+TAB or CTRL+SHIFT+TAB to select the Drawing toolbar.
  4. Press the RIGHT ARROW key to select the Select Objects [image] button on the Drawing toolbar.
  5. Press CTRL+ENTER to select the first object.
  6. Press the TAB key to cycle forward (or SHIFT+TAB to cycle backward) through the objects until round sizing handles appear on the embedded chart you want to select.
  7. Press CTRL+ENTER to make the chart active so that you can select elements within it.

Keys for drawing objects and other objects

When both the Reviewing and Drawing toolbars are onscreen, ALT+U switches between the Review command and the AutoShapes command, and ENTER performs the selected command.

Select a drawing object

When you're editing text in a drawing object, you can select the next or previous object by pressing TAB or SHIFT+TAB. Starting from a worksheet, do the following:

  1. Press F10, press CTRL+TAB to select the Drawing toolbar, and then press RIGHT ARROW to select the Select Objects [image] button.
  2. Press CTRL+ENTER to select the first drawing object.
  3. Press the TAB key to cycle forward (or SHIFT+TAB to cycle backward) through the objects until sizing handles appear on the object you want to select.

    If an object is grouped, TAB selects the group, then each object within the group, and then the next object.

  4. To switch back to the worksheet when an object is selected, press ESC.

Insert an AutoShape

  1. Press ALT+U to select the AutoShapes menu on the Drawing toolbar.
  2. Use the arrow keys to move to the category of AutoShapes you want, and then press the RIGHT ARROW key.
  3. Use the arrow keys to select the AutoShape you want.
  4. Press CTRL+ENTER.
  5. To format the AutoShape, press CTRL+1 to display the Format AutoShape dialog box.

Insert a text box

  1. Press F10, press CTRL+TAB to select the Drawing toolbar, and then press RIGHT ARROW to select the Text Box [image] button.
  2. Press CTRL+ENTER.
  3. Type the text you want in the text box.
  4. Do one of the following:

    To return to the worksheet when you are finished typing, press ESC twice.

    To format the text box, press ESC, and then press CTRL+1 to display the Format Text Box dialog box. When you finish formatting, press ENTER, and then press ESC to return to the worksheet.

Insert WordArt

  1. Press ALT+I, then press P, then press W (Insert menu, Picture submenu, WordArt command).
  2. Use the arrow keys to select the WordArt style you want, and then press ENTER.
  3. Type the text you want, and then use the TAB key to select other options in the dialog box.
  4. Press ENTER to insert the WordArt object.
  5. To format the WordArt object, use the tools on the Word Art toolbar, or press CTRL+1 to display the Format WordArt dialog box.

Rotate a drawing object

  1. Select the drawing object you want to rotate.
  2. Press CTRL+1 to display the Format menu for the object, and then press CTRL+TAB to select the Size tab.
  3. Press ALT+T to select the Rotation box.
  4. Use the arrow keys to select the amount of rotation you want.

Change the size of a drawing object

  1. Select the drawing object you want to resize.
  2. Press CTRL+1 to display the Format menu for the object, and then press CTRL+TAB to select the Size tab.
  3. Select the options you want to change the size.

Move a drawing object

  1. Select the drawing object you want to move.
  2. Press the arrow keys to move the object.
  3. To position the object precisely, press CTRL+ an arrow key to move the object in one-pixel increments.

Copy drawing objects and their attributes

To make a copy of a drawing object, select the object and press CTRL+D. To copy attributes such as fill color and line style from one object to another, do the following:

  1. Select the drawing object with the attributes you want to copy.

    For AutoShapes with text, the text format is copied along with the other attributes.

  2. Press CTRL+SHIFT+C to copy the object attributes.
  3. Press TAB or SHIFT+TAB to select the object you want to copy the attributes to.
  4. Press CTRL+SHIFT+V to copy the attributes to the object.

Keys for use with speech, e-mail, macros, and other languages

Use speech recognition and text-to-speech

CTRL
Switches between command mode and dictation mode.
ESC
Stops reading when text is being read aloud.

Send e-mail messages

To use keys to send e-mail messages, you must configure Microsoft Outlook as your default e-mail program. Most of these keys do not work with Outlook Express.

SHIFT+TAB
When cell A1 is selected, moves to the Introduction box in the e-mail message header. In the message header, moves to the Subject, Bcc (if displayed), Cc, To, and From (if displayed) boxes, then to the address book for the Bcc, Cc, To, and From boxes, and then to cell A1.
ALT+S
Sends the e-mail message.
CTRL+SHIFT+B
Opens the Address Book.
ALT+O
Opens the Options menu for access to the Options, Bcc Field, and From Field commands.
ALT+P
Opens the Outlook Message Options dialog box (Options menu, Options command).
ALT+K
Checks the names in the To, Cc, and Bcc boxes against the Address Book.
ALT+PERIOD
Opens the Address Book for the To box.
ALT+C
Opens the Address Book for the Cc box.
ALT+B
If the Bcc box is displayed, opens the Address Book for the Bcc box.
ALT+J
Goes to the Subject box.
CTRL+SHIFT+G
Creates a message flag.
ALT+A
Adds interactivity to the range or sheet being sent.

Work with macros

ALT+F8
Displays the Macro dialog box.
ALT+F11
Displays the Visual Basic Editor.
CTRL+F11
Inserts a Microsoft Excel 4.0 macro sheet.

Work with multiple national languages

CTRL+RIGHT SHIFT
Switches to right-to-left paragraph direction (the text must contain only neutral characters).
CTRL+LEFT SHIFT
Switches to left-to-right paragraph direction (the text must contain only neutral characters).
ALT+SHIFT+UP ARROW
In Japanese text for which you've displayed phonetic guides, moves the pointer into the phonetic guides.
ALT+SHIFT+DOWN ARROW
Moves the pointer from the phonetic guides back to the parent string of characters.
NUM LOCK, ALT+numeric pad numbers
Enter a unicode character.
ALT+X
Pressed immediately after typing the hexadecimal code for a unicode character, converts the numbers to the character.
Pressed immediately following a unicode character, converts the character to its hexadecimal code.


About putting Excel data on the Web

Would you like your employees to be able to access, from a Web page, sales data for their territories compared to sales data for other employees? Or how about a spreadsheet for standard cost calculation? Or maybe you want to use a Web page to show the profits in different areas of your company in a chart.

You can save a Microsoft Excel workbook or part of the workbook, such as a single item on the worksheet, as a Web page and make it available on an HTTP site, an FTP site, a Web server, or a network server for users to view or interact with. For example, if you have sales figures set up on an Excel worksheet, you can publish the figures along with a chart to compare figures on a Web page, so that users can view or even work with the numbers in their browsers without having to open Excel.

Here are some of the different ways you can share Excel data on the Web.

Put an entire workbook on a Web page

If you want to put all of the data in a workbook onto a Web page at one time, you can put an interactive or noninteractive version of an entire workbook on a Web page.

Interactive workooks

When you publish an interactive workbook on a Web page, the result is an HTML file that contains special components that allow browser users to interact with the workbook. For example, users can switch between sheets using a sheet selector, manipulate data and formatting, and change formulas in each sheet. The interactive components used in the HTML file cannot be opened and modified in Excel, so you should maintain a master copy of the Excel workbook from which you published so that you can make changes to it and republish the workbook if necessary.

Noninteractive workbooks

When you save a noninteractive workbook, the data appears as it would in Excel, including tabs that users can click to switch between worksheets. However, users cannot change or interact with the data in the browser. Saving an entire workbook as an HTML page is beneficial when you don't want to maintain a master copy of the Excel workbook, but rather want to be able to open the resulting HTML file directly in Excel and make and save changes using Excel features and functionality.

Example of a workbook on the Web

Put a worksheet, range of cells, or other item on a sheet on a Web page

You can publish a spreadsheet or portions of a spreadsheet on a Web page either with or without interactive functionality.

When you publish without interactivity, users can view the data and formatting on the Web page, but not manipulate data or formatting.

If you want users to be able to manipulate data on your Web page, you can create a Web page from a Microsoft Excel worksheet or items from the worksheet by saving the data with spreadsheet functionality. When you publish interactively with spreadsheet functionality, users can do the following:

  • Enter data
  • Format data
  • Calculate data
  • Analyze data
  • Sort and filter

Example of a Web page with interactive data

In interactive Web pages, users can change the data and layout of Web page items.

You can put the following on a Web page with spreadsheet functionality:

  • Worksheets
  • PivotTable reports
  • External data ranges
  • Ranges of cells
  • Filtered lists
  • Print areas

You might lose some formatting and features when you save with interactive functionality.

Put a chart on a Web page

You can publish a chart with or without interactivity. When you publish without interactivity, an image of the chart in a picture format (.jpg) is saved and displayed on the Web page.

If you want to put an interactive chart or PivotChart report on a Web page, you can save the chart with interactive chart functionality.

Example of an interactive chart on a Web page

When you change the chart's corresponding data on the Web page, the chart is updated automatically.

To create a chart with interactive functionality, you must first have a chart or a PivotChart report in Excel. When you publish that chart interactively, Excel automatically includes the source data for the chart on the Web page. For a chart, Excel includes an interactive spreadsheet control. For a PivotChart report, Excel includes an interactive PivotTable list.

When users change the data in the spreadsheet or change the layout of the PivotTable list on the Web page, the corresponding chart is updated automatically. Users can also sort and filter the chart.

If you want to change the size of the chart on the Web page, you can open the Web page in either Microsoft FrontPage or data access page Design view in Microsoft Access and make the changes there.

Put a PivotTable Report on a Web page

A PivotTable report is an interactive table in Excel that you can use to quickly summarize large amounts of data. Use PivotTable reports when you want to compare related totals or when you want Excel to do the sorting, subtotaling, and totaling for you.

You can publish a PivotTable Report with or without interactivity. When you publish without interactivity, users can view the report but cannot make changes to the table such as dragging fields or changing the types of summaries used, as can be done in Excel.

Example of a PivotTable list on a Web page

In a PivotTable list on a Web page, you can analyze data by changing the layout.

If you want your Web users to be able to interact with a PivotTable report or if you want to publish an external data range that you can refresh, you can put an interactive PivotTable list on a Web page. (The Web version of an interactive PivotTable report is called a PivotTable list.) When you publish interactively with PivotTable functionality, users can filter the data in the resulting PivotTable list, analyze the data by getting different views of it, and refresh external data in the browser.

Source data for PivotTable lists You can create an interactive PivotTable list from an existing PivotTable report or from other Excel data. If you use other Excel data and select PivotTable functionality in the Publish dialog box, Excel creates a PivotTable list on the Web page for you.

If you want users to be able to update an external data range on your Web page, you must specify PivotTable functionality to publish the external data range to a PivotTable list. The data is updated automatically from the source database when users open your Web page in the browser or when users click Refresh in the PivotTable list.

Limitations to consider You might lose some formatting and features when you save with interactive functionality.

Put several items on a Web page

Most Web pages that you create will contain more than one item. For example, you might have a Web page that contains your logo, text, a PivotTable list, a list of noninteractive data, and a chart. The advantage of putting several items on a single page is that users need to look on only one Web page for all of the information they need.

Example of a Web page with multiple items

You can make parts of your Web page interactive and other parts noninteractive.

You can use features from several Microsoft Office programs to create one Web page. For example, you can save data as a Web page in Excel and then use Microsoft Access to add grouped data page controls or scripting. Then, you can open the Web page in Microsoft FrontPage and add themes to make your Web page look consistent with other pages in your site.

You can use any combination of interactive and noninteractive data, and data from any Office program. For example, you can use Access to get employee names, titles, and salaries from an employee database. Then, you can analyze the Access data in Excel. In Excel, you can add formulas that calculate the average salary per job title and create a chart. Save the analysis as an interactive spreadsheet or PivotTable list on a Web page. Then, use FrontPage to add a company logo and description of the data on the page.


Upgrading from earlier product versions

The Microsoft Excel 2002 file format does not differ from the Microsoft Excel 2000 and Excel 97 file formats, but it does differ from earlier versions.

Using Excel 2002 files with earlier versions of Excel

Opening old workbooks in Excel 2002

Change the default file format By default, Excel saves workbooks in the most recent file format, which was introduced with Excel 97. If others you work with use an earlier version of Excel or another spreadsheet program, you can change the default file format that Excel 2002 uses when saving workbooks. For example, if many people in your company use Excel version 5.0, you can save your Excel 2002 workbooks in Microsoft Excel 5.0/95 Workbook format. All workbooks will be saved in this format unless you specify a different file format in the Save As dialog box (File menu).

Use the dual file format If an earlier version of Excel is still widely used in your workplace, and you want to continue to use Excel 2002 format but still share your workbook with others, you can save your Microsoft Excel 2002 workbooks in a special dual file format.

  • What is the dual file format? The workbook is saved in a single file that includes Excel 97-2000 and Excel 5.0/97 file formats. Users of Excel 2002 can continue to work in a workbook saved in the dual format without losing any features or formatting unique to this version. When users of Excel 95 open the workbook, a message is displayed that recommends they use the file read-only. However, if users ignore the recommendation and save the workbook in a format other than the dual file format, features and formatting that are available only in later versions of Excel are lost.
  • Protect your work To avoid losing work created in the latest version of Excel, you can protect a workbook from changes by requiring a password to change the workbook or by making the workbook read-only.

You can save specific workbooks in the dual file format by using the Save As command on the File menu, or you can specify the dual file format as the default file format for saving all of your workbooks. Workbooks saved in the dual file format are larger than those saved in a single format.

Opening and using my old macros and custom dialog boxes in Excel 2002

You can open files that were created in earlier versions of Excel directly in Excel 2002. All data, formulas, and formatting that were created in earlier versions are supported by Excel 2002, with the exception of sound notes in cells.

Excel 2002 supports your Excel 2000, Excel 97, and Excel 95 Visual Basic for Applications macros. For information about compatibility issues between Excel 95 and Excel 2002 macros, click Office on the Web on the Help menu in Excel 2002.

In most cases, you do not need to change your Visual Basic for Applications and XLM macros to run them in Excel 2002. You cannot record new XLM macros in Microsoft Excel 2002. For more information about upgrading macros, see the Microsoft Office XP Resource Kit.

How to obtain Microsoft Office XP Resource Kit

The Microsoft Office XP Resource Kit is the definitive guide to installing, configuring, and supporting Microsoft Office in your organization. Designed for system administrators, consultants, and power users, this guide offers complete coverage whether you're running Microsoft Office on Microsoft Windows 98, Windows 2000, or the Macintosh.

You can obtain the Office Resource Kit wherever computer books are sold or order direct from Microsoft Press, or online at the Microsoft Office Resource Kit Web site.

To locate your nearest source for Microsoft Press products worldwide, visit the Microsoft Press Web site or contact your local Microsoft office. In the United States, call (800) MS-PRESS. In Canada, call (800) 667-1115.

Note The hyperlinks in this topic go to the Web. You can switch back to Help at any time.

To create new macros in Excel 2002, record them in Visual Basic for Applications, or write them by using the Microsoft Visual Basic Editor.

If you used dialog sheets in Excel 95

In most cases, you do not need to change your dialog sheets to run them in Excel 2002.

To create new custom dialog boxes in Excel 2002, use the UserForm command on the Insert menu in the Visual Basic Editor. For more information about creating custom dialog boxes with user forms, see Visual Basic Help.

Frequently asked questions about upgrading from Excel 2000

What happened to the Map tool?

The Map tool is no longer available with Excel 2002. You may not be able to open files created with the Map tool unless you have an earlier version of Microsoft Office installed.

Has number formatting changed?

Excel 2002 introduces number formatting for international languages.

Where are the old templates?

Some templates from earlier versions of Excel are available in Template Gallery on the Microsoft Office Web site. Excel 2002 comes with a new set of templates.

Why are some of the old add-ins available from the product and others aren't?

Some add-ins from earlier versions of the product are available for download from the Microsoft Office Web site.

Why don't some of my macros run?

The default security setting for macros has changed to High, which means that unsigned macros will be automatically disabled. You can change your security settings or have the macros signed to run them again.

What is the green triangle in the corner of my cell?

The green triangle is the formula error checker, which appears when you select a cell and a problem is found in a formula. A problem can be resolved using the options that appear, or it can be ignored. If a problem is ignored, it does not appear in further error checks. However, all previously ignored errors can be reset so that they appear again.

What is the button that sometimes shows up on my worksheet when I perform certain actions?

At times buttons appear as you work in your document. The AutoCorrect Options [image] button, the Paste Options [image] button, the Insert Options [image] button, and the Auto Fill Options [image] button have options you can choose without clicking a button on a toolbar or opening a dialog box.

Frequently asked questions about upgrading from Excel 97

What happened to the Office Assistant?

The Office Assistant now floats around your screen outside of a window. The Assistant uses less space on your screen while still providing great help when you need it. If you don't like the Assistant, you can turn it off permanently and use the Help index or table of contents.

What happened to the menus and toolbars?

Only the items that you use most often are prominently featured on the new personalized menus and toolbars.

You can easily expand menus to reveal all commands. After you click a command, it appears on your personalized menu. If you would like to see all of the commands on menus at first, you can disable the short menus. On the Tools menu, click Customize. On the Options tab, select the Always show full menus check box.

Toolbars share space in a single row on the screen, so you have more room for your work. You also have the option of showing the Formatting and Standard toolbars on two rows. On the Tools menu, click Customize. On the Options tab, select the Show Standard and Formatting toolbars on two rows check box. When you click a button on a toolbar, that button is automatically added to the personalized toolbars on your screen. You can easily customize your toolbars by dragging command controls onto the toolbar.

Why am I asked whether I want to install some features when I use them?

To improve performance and save disk space, not all features are installed when you choose the Install Now command during setup. As you use Excel 2002, you might see shortcuts, icons, and commands for programs and components that weren't installed. When you need this functionality, you can just click a command, and Excel 2002 installs the program or component for you.

What happened to File Open and File Save?

In the improved Open and Save dialog boxes, you can see more files at one time. You can use the new Places Bar to get to the folders and locations you use the most, click History to see the last 20 to 50 documents and folders you have worked with, or click the Back button [image] on the toolbar to easily return to folders you have recently visited.

Why does it take longer to open some files?

To ensure that your workbooks are properly calculated whenever you work with them, Excel 2002 completely recalculates a workbook each time you open it. This process means that it might take longer to open an earlier version file than you were used to. If you save the workbook as an Excel 2002 workbook, it will open more quickly the next time.

Has anything changed in number formatting?

Additional number formats are available with the euro currency symbol Euro currency symbol. Additional date formats include formats that display four-digit years.

Why is the selection highlight different?

When you select cells with colored text, the color remains the same instead of appearing in an inverse color scheme. As you work with the selected range — changing the color of the font or the color of the cell formatting — it's easier for you to view the new color after you've made the change.

What happened to the Save as HTML command?

The Save as Web Page command replaces the Save as HTML command. When you select the Save as Web Page command, you now have the choice of saving the entire workbook as a Web page or saving only a section of the workbook. If you click Publish, you are provided with additional options, such as saving the selection as an interactive spreadsheet that can be used on a Web page.

What happened to the PivotTable Report Wizard?

Instead of using a wizard to lay out your PivotTable report, you can now lay out the report directly on your worksheet with the PivotTable and PivotChart Report Wizard by dragging the fields from the toolbar to the drop areas.

Why does Excel suddenly enter numbers and formatting for me?

Excel 2002 automatically extends formatting and formulas in lists, simplifying this common task.

Can I run my Lotus macros in Excel 2002?

Excel 2002 does not run Lotus 1-2-3 or Quattro Pro macros. You can rewrite any macros that you need in Microsoft Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.

Frequently asked questions about upgrading from Excel 95

How do I insert a chart on its own sheet?

The Chart command on the Insert menu now starts the Chart Wizard. In Step 4 of the Chart Wizard, you can specify that the chart be inserted either as an embedded object on a worksheet or on its own chart sheet. You can still create a chart sheet in one step with the default chart type and formatting by pressing the F11 key.

Why does it take longer to open some files?

To ensure that your workbooks are properly calculated whenever you work with them, Excel 2002 completely recalculates a workbook each time you open it. This means that it might take longer to open an earlier version file than you were used to. If you save the workbook as an Excel 2002 workbook, it will open more quickly the next time.

Where are the Answer Wizard and TipWizard?

The Office Assistant replaces the TipWizard from Excel 5.0 and Excel 95 and includes Answer Wizard IntelliSense technology from Excel 95. When you need Help, just click the Microsoft Excel Help button [image] and ask the Assistant a question in your own words. When a yellow light bulb appears with the Assistant, a program tip is available; click the light bulb to see the tip.

What happened to the menus and toolbars?

Only the items that you use most often are prominently featured on the new personalized menus and toolbars.

You can easily expand menus to reveal all commands. After you click a command, it appears on your personalized menu. If you would like to see all of the commands on menus at first, you can disable the short menus. On the Tools menu, click Customize. On the Options tab, select the Always show full menus check box.

Toolbars share space in a single row on the screen, so you have more room for your work. You also have the option of showing the Formatting and Standard toolbars on two rows. On the Tools menu, click Customize. On the Options tab, select the Show Standard and Formatting toolbars on two rows check box. When you click a button on a toolbar, that button is automatically added to the personalized toolbars on your screen. You can easily customize your toolbars by dragging command controls onto the toolbar.

Why am I asked whether I want to install some features when I use them?

To improve performance and save disk space, not all features are installed when you choose the Install Now command during setup. As you use Excel 2002, you might see shortcuts, icons, and commands for programs and components that weren't installed. When you need this functionality, you can just click a command, and Excel 2002 installs the program or component for you.

What happened to File Open and File Save?

In the improved Open and Save dialog boxes, you can see more files at one time. You can use the new Places Bar to get to the folders and locations you use the most; click History to see the last 20 to 50 documents and folders you have worked with, or click the Back button [image] on the toolbar to easily return to folders you have recently visited.

What happened to cell notes?

Cell notes are now called comments. Use the Comment command on the Insert menu to create a comment. You can view comments the same way you viewed cell notes, by resting the pointer on a cell that has a comment indicator (a red triangle) in the upper-right corner of the cell.

Where is the Info Window?

The Info Window feature is not available in Microsoft Excel 2002. To locate cells that provide data to formulas, use the Auditing toolbar. If you've added a comment to a cell, just rest the pointer on the cell to view the comment.

The Shared List command is not on the File menu. How do I share a list in Excel 2002?

Excel 95 shared lists provided limited functionality for users who wanted to work simultaneously on workbooks. In Excel 2002, you can use shared workbooks to create and edit formulas, change formatting, create and change charts, and even add sheets. To share a workbook, click Share Workbook on the Tools menu.

Has anything changed in number formatting?

Additional number formats are available with the euro currency symbol Euro currency symbol. Additional date formats include formats that display four-digit years.

Why is the selection highlight different?

When you select cells with colored text, the color remains the same instead of appearing in an inverse color scheme. As you work with the selected range — changing the color of the font or the color of the cell formatting — it's easier to view the new color after you've made the change.

Where did my sound notes go?

Sound notes are not supported in Excel 2002.

How do I start the PivotTable Wizard?

Use the PivotTable and PivotChart Report command on the Data menu to start the PivotTable and PivotChart Wizard. Instead of using the wizard to lay out your PivotTable report, you can now lay out the report directly on your worksheet by dragging the fields from the toolbar to the drop areas.

The View Manager command is not on the View menu. How do I create custom views?

Use the Custom Views command on the View menu to save a custom view of a workbook or to switch to a different view. Custom views have been integrated into Excel; this command no longer requires an add-in program.

Can I run my Lotus macros in Excel 2002?

Excel 2002 does not run Lotus 1-2-3 or Quattro Pro macros. You can rewrite any macros that you need in Microsoft Visual Basic for Applications. For information about writing Excel macro code, see Visual Basic Help.


Correct a #DIV/0! error

Occurs when a number is divided by zero (0).

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.
  2. Review the possible causes and solutions.

Possible causes and solutions

Entering a formula that contains explicit division by zero (0) — for example, =5/0

Change the divisor to a number other than zero.

Using the cell reference to a blank cell or to a cell that contains zero as a divisor

Note If the operand is a cell that is blank, Microsoft Excel interprets the blank as zero.

  • Change the cell reference to another cell.
  • Enter a value other than zero in the cell used as a divisor.
  • Enter the value #N/A into the cell referenced as the divisor, which will change the result of the formula to #N/A from #DIV/0! to denote that the divisor value is not available.
  • Prevent the error value from displaying, using the IF worksheet function. For example, if the formula that creates the error is =A5/B5, use =IF(B5=0,"",A5/B5) instead. The two quotation marks represent an empty text string.

Running a macro that uses a function or a formula that returns #DIV/0!

Make sure the divisor in the function or formula is not zero or blank.


Correct a ##### error

Occurs when a column is not wide enough, or a negative date or time is used.

Review the possible causes and solutions.

Possible causes and solutions

Column is not wide enough to display the content

Increase the width of the column Select the column, point to Column on the Format menu, click Width, and then enter a number.

Shrink the contents to fit the column Select the column, then on the Format menu, click Cells, click the Alignment tab, and then select the Shrink to fit check box.

Apply a different number format In some cases, you can change the cell's number format to make the number fit within the existing cell width. For example, decrease the number of decimal places after the decimal point.

Dates and times are negative numbers

  • If you are using the 1900 date system, dates and times in Microsoft Excel must be positive values.

  • When you subtract dates and times, make sure you build the formula correctly.

  • If the formula is correct, although the result is a negative value, you can display the value by formatting the cell with a format that is not a date or time format. Click Cells on the Format menu, click the Number tab, and then select a format that is not a date or time format.


Correct a #N/A error

Occurs when a value is not available to a function or formula.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.
  2. Review the possible causes and solutions.

Possible causes and solutions

Missing data, and #N/A or NA() has been entered in its place

Replace #N/A with new data.

Note You can enter #N/A in those cells where data is not yet available. Formulas that refer to those cells will then return #N/A instead of attempting to calculate a value.

Giving an inappropriate value for the lookup_value argument in the HLOOKUP, LOOKUP, MATCH, or VLOOKUP worksheet function

Make sure the lookup_value argument is the correct type of value — for example, a value or a cell reference, but not a range reference.

Using the VLOOKUP, HLOOKUP, or MATCH worksheet function to locate a value in an unsorted table

By default, functions that look up information in tables must be sorted in ascending order. However, the VLOOKUP and HLOOKUP worksheet functions contain a range_lookup argument that instructs the function to find an exact match even if the table is not sorted. To find an exact match, set the range_lookup argument to FALSE.

The MATCH worksheet function contains a match_type argument that specifies the order the list must be sorted in to find a match. If the function cannot find a match, try changing the match_type argument. To find an exact match, set the match_type argument to 0.

Using an argument in an array formula that is not the same number of rows or columns as the range that contains the array formula

If the array formula has been entered into multiple cells, make sure the ranges referenced by the formula have the same number of rows and columns, or enter the array formula into fewer cells. For example, if the array formula has been entered into a range 15 rows high (C1:C15) and the formula refers to a range 10 rows high (A1:A10), the range C11:C15 will display #N/A. To correct this error, enter the formula into a smaller range (for example, C1:C10), or change the range to which the formula refers to the same number of rows (for example, A1:A15).

Omitting one or more required arguments from a built-in or custom worksheet function

Enter all arguments in the function.

Using a custom worksheet function that is not available

Make sure the workbook that contains the worksheet function is open and the function is working properly.

Running a macro that enters a function that returns #N/A

Make sure the arguments in the function are correct and in the correct position.


Correct a #NAME? error

Occurs when Microsoft Excel doesn't recognize text in a formula.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Using a function that is part of the Analysis Toolpak add-in, without the add-in being loaded

Install and load the Analysis Toolpak add-in.

How?

  1. On the Tools menu, click Add-Ins.

  2. In the Add-Ins available list, select the Analysis ToolPak box, and then click OK.

  3. If necessary, follow the instructions in the setup program.

Using a name that does not exist

Make sure the name exists. On the Insert menu, point to Name, and then click Define. If the name is not listed, add the name by using the Define command.

Misspelling the name

Verify the spelling. Select the name in the formula bar Formula bar, press F3, click the name you want to use, and then click OK.

Using a label in a formula, without labels being allowed

Allow labels to be used. On the Tools menu, click Options, and then click the Calculation tab. Under Workbook options, select the Accept labels in formulas check box.

Misspelling the name of a function

Correct the spelling. Insert the correct function name into the formula by clicking Function on the Insert menu.

Entering text in a formula without enclosing the text in double quotation marks

(Excel tries to interpret your entry as a name even though you intended it to be used as text.)

Enclose text in the formula in double quotation marks. For example, the following formula joins the piece of text "The total amount is " with the value in cell B50:

="The total amount is "&B50

Omitting a colon (:) in a range reference

Make sure all range references in the formula use a colon (:); for example, SUM(A1:C10).

Referencing another sheet not enclosed in single quotation marks

If the formula refers to values or cells on other worksheets or workbooks and the name of the other workbook or worksheet contains a nonalphabetical character or a space, you must enclose its name within single quotation marks ( ' ).


Correct a #NULL! error

Occurs when you specify an intersection of two areas that do not intersect. The intersection operator is a space between references.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Using an incorrect range operator

  • To refer to a contiguous range of cells, use a colon (:) to separate the reference to the first cell in the range from the reference to the last cell in the range. For example, SUM(A1:A10) refers to the range from cell A1 to cell A10 inclusive.

  • To refer to two areas that don't intersect, use the union operator, the comma (,). For example, if the formula sums two ranges, make sure a comma separates the two ranges (SUM(A1:A10,C1:C10)).

Ranges do not intersect

Change the reference so that it intersects.

How?

When you enter or edit a formula, cell references and the borders around the corresponding cells are color-coded.

Color-coded cell references

Color-coded cell references

If there are no squares at each corner of the color-coded border, then the reference is to a named range.

Change references that are not to a named range

  1. Double-click the cell that contains the formula you want to change. Microsoft Excel highlights each cell or range of cells with a different color.

  2. Do one of the following:

    • To move a cell or range reference to a different cell or range, drag the color-coded border of the cell or range to the new cell or range.

    • To include more or fewer cells in a reference, drag a corner of the border.

    • In the formula, select the reference, and type a new one.

  3. Press ENTER.

Change references that are to a named range

  1. Do one of the following:

    • Select the range of cells that contains formulas in which you want to replace references with names.

    • Select a single cell to change the references to names in all formulas on the worksheet.

  2. On the Insert menu, point to Name, and then click Apply.

  3. In the Apply names box, click one or more names.


Correct a #NUM! error

Occurs with invalid numeric values in a formula or function.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.

  2. Review the possible causes and solutions.

Possible causes and solutions

Using an unacceptable argument in a function that requires a numeric argument

Make sure the arguments used in the function are numbers. For example, even if the value you want to enter is $1,000, enter 1000 in the formula.

Using a worksheet function that iterates, such as IRR or RATE, and the function cannot find a result

Use a different starting value for the worksheet function.

Change the number of times Microsoft Excel iterates formulas.

How?

  1. On the Tools menu, click Options, and then click the Calculation tab.

  2. Select the Iteration check box.

  3. To set the maximum number of times Microsoft Excel will recalculate, type the number of iterations in the Maximum iterations box. The higher the number of iterations, the more time Excel needs to calculate a worksheet.

  4. To set the maximum amount of change you will accept between calculation results, type the amount in the Maximum change box. The smaller the number, the more accurate the result and the more time Excel needs to calculate a worksheet.

Entering a formula that produces a number that is too large or too small to be represented in Microsoft Excel

Change the formula so that its result is between minus one times ten to the 307th and one times ten to the 307th.


Correct a #REF! error

Occurs when a cell reference is not valid.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.
  2. Review the possible causes and solutions.

Possible causes and solutions

Deleting cells referred to by other formulas, or pasting moved cells over cells referred to by other formulas

Change the formulas, or restore the cells on the worksheet by clicking Undo [image] immediately after you delete or paste the cells.

Using a link to a program that is not running

Start the program.

Linking to a Dynamic Data Exchange (DDE) topic such as "system" that is not available

Make sure that you're using the correct DDE topic.

Running a macro that enters a function that returns #REF!

Check the function to see if an argument refers to a cell or range of cells that is not valid. For example, if the macro enters a function that refers to a cell above the function, and the cell that contains the function is in row 1, the function will return #REF! because there are no cells above row 1.


Correct a #VALUE! error

Occurs when the wrong type of argument or operand is used.

  1. Click the cell that displays the error, click the button that appears [image], and then click Trace Error if it appears.
  2. Review the possible causes and solutions.

Possible causes and solutions

Entering text when the formula requires a number or a logical value, such as TRUE or FALSE

Microsoft Excel cannot translate the text into the correct data type. Make sure the formula or function is correct for the required operand or argument, and that the cells that are referenced by the formula contain valid values. For example, if cell A5 contains a number and cell A6 contains the text "Not available", the formula =A5+A6 will return the error #VALUE!.

Entering or editing an array formula, and then pressing ENTER

Select the cell or range of cells that contains the array formula, press F2 to edit the formula, and then press CTRL+SHIFT+ENTER.

Entering a cell reference, a formula, or a function as an array constant

Make sure the array constant is not a cell reference, formula, or function.

Supplying a range to an operator or a function that requires a single value, not a range

  • Change the range to a single value.

  • Change the range to include either the same row or the same column that contains the formula.

Using a matrix that is not valid in one of the matrix worksheet functions

Make sure the dimensions of the matrix are correct for the matrix arguments.

Running a macro that enters a function that returns #VALUE!

Make sure the function is not using an incorrect argument.


Remove cells from a Watch Window

  1. If the Watch Window toolbar is not displayed, point to Formula Auditing on the Tools menu and then click Show Watch Window.
  2. Select the cells you want to remove.

    To select multiple cells, press CTRL and then click the cells.

  3. Click Delete Watch [image].


Remove characters from text

Remove a specified number of characters from the right or left side of text

Use the LEN, LEFT, and RIGHT functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
Vitamin A
Vitamin B1
Formula | Description (Result)
=LEFT(A2, LEN(A2)-2) | Removes last two characters from contents of A2 (Vitamin)
=RIGHT(A3, LEN(A3)-8) | Removes first 8 characters from A3 (B1)

Function details

LEN

LEFT

RIGHT

Remove a text string from a worksheet using the Replace command

  1. Select the range of cells you want to search.

    If you want to search the entire worksheet, click any cell in the worksheet.

  2. On the Edit menu, click Replace.
  3. In the Find what box, enter the text or numbers you want to search for or choose a recent search from the Find what drop down box.

    Note You can use wildcard characters in your search criteria.

  4. If you want to specify a format for your search, click Format and make your selections in the Find Format dialog box.

  5. Click Options to further define your search. For example, you can search for all of the cells that contain the same kind of data, such as formulas.

    In the Within box, you can select Sheet or Workbook to search a worksheet or an entire workbook.

  6. In the Replace with box, enter the replacement characters and specific formats if necessary.

    If you want to delete the characters in the Find what box, leave the Replace with box blank.

  7. Click Find Next.
  8. To replace the highlighted occurrence or all occurrences of the found characters, click Replace or Replace All.

Note To cancel a search in progress, press ESC.


Remove spaces from the beginning and end of a cell

Use the TRIM function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
A
Data
BD122
Formula | Description (Result)
=TRIM(A2) | Removes the spaces from the string " BD122 " (BD112)

Function details

TRIM


Repeat a character in a cell

Use the REPT function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A | B
Formula | Description (Result)
=REPT(".",6) | Repeat a period (.) 6 times (......)
=REPT("-",4) | Repeat a dash (-) 4 times (----)

Function details

REPT


Resize or move a comment

  1. Right-click the cell with the comment you want to change, and then click Show Comment on the shortcut menu.
  2. Click the border of the comment box so that handles appear.

    Worksheet comment with sizing handles

  3. Do one of the following:

    Change the size Drag the handles on the sides and corners of the comment box.

    Move the comment Drag the border of the comment box.

    If you hide and redisplay the comment, it returns to its default position.


Round a number

Change the number of decimal places displayed, without changing the number

On a worksheet

  1. Select the cells you want to format.

  2. To display more or fewer digits after the decimal point, click Increase Decimal [image] or Decrease Decimal [image] on the Formatting toolbar.

In a built-in number format

  1. On the Format menu, click Cells, and then click the Number tab.

  2. In the Category list, click Currency, Accounting, Percentage, or Scientific.

  3. In the Decimal places box, enter the number of decimal places you want to display.

Round a number up

Use the ROUNDUP, EVEN, or ODD functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
20.3
-5.9
12.5493
Formula | Description (Result)
=ROUNDUP(A2,0) | Rounds 20.3 up to the nearest whole number (21)
=ROUNDUP(A3,0) | Rounds -5.9 up (-6)
=ROUNDUP(A4,2) | Rounds 12.5493 up to the nearest hundredth, two decimal places (12.55)
=EVEN(A2) | Rounds 20.3 up to the nearest even number (22)
=ODD(A2) | Rounds 20.3 up to the nearest odd number (21)

Function details

ROUNDUP

EVEN

ODD

Round a number down

Use the ROUNDDOWN function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
20.3
-5.9
12.5493
Formula | Description (Result)
=ROUNDDOWN(A2,0) | Rounds 20.3 down to the nearest whole number ( 20)
=ROUNDDOWN(A3,0) | Rounds -5.9 down (-5)
=ROUNDDOWN(A4,2) | Rounds the number down to the nearest hundredth, two decimal places ( 12.54)

Functions details

ROUNDDOWN

Round a number to the nearest number

Use the ROUND function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
20.3
5.9
-5.9
Formula | Description (Result)
=ROUND(A2,0) | Rounds 20.3 down, because the fractional part is less than .5 (20)
=ROUND(A3,0) | Rounds 5.9 up, because the fractional part is greater than .5 (6)
=ROUND(A4,0) | Rounds -5.9 down, because the fractional part is less than -.5 (-6)

Function details

ROUND

Round a number to a near fraction

Use the ROUND function to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
1.25
30.452
Formula | Description (Result)
=ROUND(A2,1) | Rounds the number to the nearest tenth (one decimal place). Because the portion to be rounded is 0.05 or greater, the number is rounded up (result: 1.3)
=ROUND(A3,2) | Rounds the number to the nearest hundredth (two decimal places). Because the portion to be rounded, 0.002, is less than 0.005, the number is rounded down (result: 30.45)

Functions details

ROUND

Round a number to a significant digit above 0

Use the ROUND, ROUNDUP, ROUNDDOWN, LEN, and INT functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Data
5492820
22230
Formula | Description (Result)
=ROUND(A2,3-LEN(INT(A2))) | Rounds the top number to 3 significant digits (5490000)
=ROUNDDOWN(A3,3-LEN(INT(A3))) | Rounds the bottom number down to 3 significant digits (22200)
=ROUNDUP(A2,6-LEN(INT(A2))) | Rounds the top number up to 5 significant digits (5492900)

Function details

ROUNDUP

ROUNDDOWN

ROUND

LEN

INT


Calculate a running balance

  1. Set up a worksheet like the following example, or copy it to a blank worksheet.

    How?

    1. Create a blank workbook or worksheet.
    2. Select the example in the Help topic. Do not select the row or column headers.

      Selecting an example from Help

      Selecting an example from Help

    3. Press CTRL+C.
    4. In the worksheet, select cell A1, and press CTRL+V.
    5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.

    Example

    1
    2
    3
    A | B | C
    Deposits | Withdrawals | Balance
    $1,000 | $625 | =SUM(A2,-B2)
    1000 | 740 | =SUM(C2,A3,-B3)

  2. Click anywhere outside cell C3 to see the calculated total.

  3. To maintain the running balance, add a row for each new entry.

    How?

    1. Type the amounts of your deposits and withdrawals into the empty rows directly below the existing data.

      For instance, if you were using the example above, you would type the deposits into A4, A5, and so on, and the withdrawals into B4, B5, and so on.

    2. Extend the running balance formula into the new rows by selecting the last cell in the balance column and then double-clicking the fill handle.

      For instance, if you were using the example above, you would select cell C3 and then double-click its fill handle to extend the formula into all new rows that contain deposit and withdrawal values.


Show dates as the day of the week

If you want to sort the cells by date, format the cells to show the day of the week. If you want to sort or filter by the day of the week regardless of the date, convert them to the text for the day of the week.

Format cells to show dates as the day of the week

  1. Select the cells that contain dates you want to show as the day of the week.
  2. On the Format menu, click Cells, and then click the Number tab.
  3. Under Category, click Custom, and in the Type box, type dddd for full weekdays (Monday, Tuesday, etc.), or ddd for abbreviations (Mon, Tue, Wed, etc.).

Convert dates to the text for the day of the week

Use the TEXT and WEEKDAY functions to do this task.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
A
Date
19-Feb-2007
3-Jan-2008
Formula | Description (Result)
=TEXT(WEEKDAY(A2), "dddd") | Calculates the day of the week for the date and returns the full name of the day (Monday)
=TEXT(WEEKDAY(A3), "ddd") | Calculates the day of the week for the date and returns the abbreviated name of the day (Thu)

Function details

WEEKDAY

TEXT


Stop rounding numbers

In Microsoft Excel, the appearance of a number is separate from the number stored in the cell. In most circumstances, although it appears a number is rounding, only the display of the number is rounded. Calculations that use the number use the number behind the display.

The number of decimal places shown is too small.

You can increase the number of decimal places shown.

How?

On a worksheet

  1. Select the cells you want to format.

  2. To display more or fewer digits after the decimal point, click Increase Decimal [image] or Decrease Decimal [image] on the Formatting toolbar.

In a built-in number format

  1. On the Format menu, click Cells, and then click the Number tab.

  2. In the Category list, click Currency, Accounting, Percentage, or Scientific.

  3. In the Decimal places box, enter the number of decimal places you want to display.

The column is not wide enough to display the number.

If the column is not wide enough, the display of the number is rounded. Increase the column width.

How?

Change the width:

Of a single column

Drag the boundary on the right side of the column heading until the column is the width you want.

Column boundary being dragged

The displayed column width is the average number of digits 0 through 9 of the standard font that fit in a cell.

Of multiple columns

Select the columns you want to change, and then drag a boundary to the right of a selected column heading. To do the same for all columns on the worksheet, click the Select All Select All button button, and then drag the boundary of any column heading.

To fit the contents

Double-click the boundary to the right of the column heading. To do the same for all columns on the worksheet, click the Select All Select All button button, and then double-click a boundary to the right of one of the column headings.

To a specific width

Select the column, point to Column on the Format menu, click Width, and then enter a number.

To match another column

  1. Select a cell in the column, click Copy [image] on the Standard toolbar, and then select the target column.
  2. On the Edit menu, click Paste Special, and then click Column widths.

Change the default width

Define the default column width

  1. To define the default column width for all worksheets in a workbook, select all worksheets.

    How?

    When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

    To select | Do this
    A single sheet Click the sheet tab.

    Sheet tabs showing Sheet2 selected

    If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab.

    Tab scrolling buttons

    Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
    Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
    All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

    Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

    Cancel a selection of multiple sheets

    To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

    If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

  2. On the Format menu, point to Column, and then click Standard Width.
  3. Type a new measurement.

    The number that appears in the Standard column width box is the average number of digits 0-9 of the standard font that fit in a cell.

Tip

To define the default column width for all new workbooks and worksheets, create a workbook template and a worksheet template.

Change the height

Of a single row

Drag the boundary below the row heading until the row is the height you want.

Row boundary being dragged

Of multiple rows

Select the rows you want to change, and drag a boundary below a selected row heading. To change the row height for all rows on the worksheet, click the Select All Select All button button, and then drag the boundary below any row heading.

To fit the contents

Double-click the boundary below the row heading.

To a specific height

Select the column, point to Row on the Format menu, click Height, and then enter a number.


Subtract numbers

Type =10-5 in a cell to display the result 5.

Worksheet example

The example may be easier to understand if you copy it to a blank worksheet.

How?

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.
1
2
3
4
A
Data
15,000
9,000
-8,000
Formula | Description (Result)
=A2-A3 | Subtracts 9,000 from 15,000 (6,000)
=SUM(A2:A4) | Adds all numbers in the list, including negative numbers (16,000)

Note Adding a negative number is the same as subtracting.

Function details

SUM


Switch between relative, absolute, and mixed references

  1. Select the cell that contains the formula.
  2. In the formula bar Formula bar, select the reference you want to change.
  3. Press F4 to toggle through the combinations. The "Changes To" column reflects how a reference type updates if a formula containing the reference is copied two cells down and two cells to the right.

Formula being copied

Formula being copied

Reference (Description) | Changes to
$A$1 (absolute column and absolute row) | $A$1
A$1 (relative column and absolute row) | C$1
$A1 (absolute column and relative row) | $A3
A1 (relative column and relative row) | C3


Change a control

Microsoft Excel has two different types of controls that you modify in different ways: ActiveX controls, and controls from the Forms toolbar.

  1. Determine which type of control you have: right-click the control you want to change.

    If no shortcut menu appears, or the shortcut menu contains the command Properties, the control is an ActiveX control.

    If the shortcut menu contains the command Assign Macro, the control is a Forms toolbar control.

  2. Based on the type of control you are working with, do one of the following:

    Modify an ActiveX control

    1. Display the Control Toolbox: point to Toolbars on the View menu, and then click Control Toolbox.
    2. Click Design Mode [image].
    3. Right-click the control, and then click Properties on the shortcut menu.

      For more information about the properties, press F1 in the Properties dialog box to display the Microsoft Visual Basic Help for Microsoft Forms.

    4. When you finish modifying the control, click Exit Design Mode [image].

    Modify a Forms toolbar control

    1. Click Format Control on the shortcut menu, and then click the Control tab.
    2. Set control properties.

      How?

      Right-click the control, click Format Control, and then click the Control tab. Labels and buttons don't have properties.

      Label Text that provides information about a control or the worksheet or form.

      Edit box Unavailable in Microsoft Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

      Group box Groups related controls, such as option buttons or check boxes.

      Group box properties

      3D shading Displays the group box with a 3-dimensional shaded effect.

      Button Runs a macro when clicked.

      Check box Turns an option on or off. You can check more than one check box at a time on a sheet or in a group.

      Check box properties

      Value Determines the state of the check box, that is, whether it is selected (Checked), cleared (Unchecked), or neither (Mixed).

      Cell link A cell that returns the state of the check box. If the check box is selected, the cell in the Cell link box contains TRUE. If the check box is cleared, the cell contains FALSE. If the check box state is mixed, the cell contains #N/A. If the linked cell is empty, Excel interprets the check box state as FALSE.

      3D shading Displays the check box with a 3-dimensional shaded effect.

      Option button Selects one of a group of options contained in a group box. Use option buttons to allow only one of several possibilities.

      Option button properties

      Value Determines the initial state of the option button, that is, whether it is selected (Checked) or cleared (Unchecked).

      Cell Link Returns the number of the selected option button in the group of options (the first option button is number 1). Use the same Cell Link cell for all options in a group. You can then use the returned number in a formula or a macro to respond to the selected option.

      For example, if you create a personnel form with an option button labeled Full-time and another option button labeled Part-time, you could link the two option buttons to cell C1. The following formula displays "Full-time" if the first option button is selected or "Part-time" if the second option button is selected:

      =IF(C1=1,"Full-time","Part-time")

      3D shading Displays the option button with a 3-dimensional shaded effect.

      List box Displays a list of items.

      List box properties

      Input range Reference to the range containing the values to display in the list box.

      Cell link Returns the number of the item that's selected in the list box (the first item in the list is 1). You can use this number in a formula or macro to return the actual item from the input range.

      For example, if a list box is linked to cell C1 and the input range for the list is D10:D15, the following formula returns the value from range D10:D15 based on the selection in the list:

      =INDEX(D10:D15,C1)

      Selection type Specifies how items can be selected in the list. If you set the selection type to Multi or Extend, the cell specified in the Cell link box is ignored.

      3D shading Displays the list box with a 3-dimensional shaded effect.

      Combo box A drop-down list box. The item that is selected in the list box appears in the text box.

      Combo box properties

      Input range Reference to the range containing the values to display in the drop-down list.

      Cell link Returns the number of the item that's selected in the combo box (the first item in the list is 1). You can use this number in a formula or macro to return the actual item from the input range.

      For example, if a combo box is linked to cell C1 and the input range for the list is D10:D15, the following formula returns the value from range D10:D15 based on the selection in the list:

      =INDEX(D10:D15,C1)

      Drop-down lines Specifies the number of lines to display in the drop-down list.

      3D shading Displays the combo box with a 3-dimensional shaded effect.

      Combination list-edit Unavailable in Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

      Combination drop-down edit Unavailable in Excel workbooks. This control is provided to allow you to work with Excel version 5.0 dialog sheets.

      Scroll bar Scrolls through a range of values when you click the scroll arrows or when you drag a scroll box. You can move through a page of values by clicking between the scroll box and a scroll arrow.

      Scroll bar properties

      Current value The relative position of the scroll box within the scroll bar.

      Minimum value The position of the scroll box closest to the top of a vertical scroll bar or the left end of a horizontal scroll bar.

      Maximum value The position of the scroll box farthest from the top of a vertical scroll bar or the right end of a horizontal scroll bar.

      Incremental change The amount the scroll box moves when the arrow at either end of the scroll bar is clicked.

      Page change The amount the scroll box moves when you click between the scroll box and one of the scroll arrows.

      Cell link Returns the current position of the scroll box. This number can be used in a formula or macro to respond to the position of the scroll box.

      3D shading Displays the scroll bar with a 3-dimensional shaded effect.

      Spinner Increases or decreases a value. To increase the value, click the up arrow; to decrease the value, click the down arrow.

      Spinner properties

      Current value The relative position of the spinner within the range of allowed values.

      Minimum value The lowest value allowed for the spinner.

      Maximum value The highest value allowed for the spinner.

      Incremental change The amount the spinner increases or decreases when the arrows are clicked.

      Cell link Returns the current position of the spinner. This number can be used in a formula or macro to return the actual value you want selected by the spinner.

      3D shading Displays the spinner with a 3-dimensional shaded effect.
    3. To remove the selection handles when you're finished modifying the control, click a cell on the worksheet.


Troubleshoot add-ins

Microsoft Excel can't find the add-in I want to use.

Check the add-in file on your computer The file may have been renamed, moved, or deleted. Add-ins have an .xla file extension (to see the .xla extension, you may need to turn on the display of extensions in Windows). Add-ins are stored by default in one of the following places:

  • The Library folder or one of its subfolders in the Microsoft Office/Office folder.

  • The Documents and Settings/<user name>/Application Data/Microsoft/AddIns folder.

The administrator for your company's network can designate other locations for add-in programs. See your administrator for more information.

You can reinstall an Excel add-in by using the program that you used to install Excel. To find and load an add-in that isn't stored in one of the default locations, click Add-Ins on the Tools menu, and then click Browse.

If the add-in is stored on a network, check the network drive The network drive may be unavailable. To ensure that you can use the add-in when your network is unavailable or your computer is offline, keep a copy of the add-in on your computer.

If you are working on a different computer, check your original computer For the add-in to be available on other computers that you use, you must store it on your original computer in the Documents and Settings/<user name>/Application Data/Microsoft/AddIns folder. Check with the administrator for your company's computer systems for more information about working on other computers.

Check with your Office or Excel administrator Your administrator may have decided not to make the add-in available for installation. In this case, you may need to reinstall Office or Excel. Check with your administrator for more information.


Show or hide the Drawing toolbar

  • Click Drawing [image].


Troubleshoot merging workbooks

The workbooks I want to combine won't merge.

Requirements for merging Both workbooks must meet the following requirements:

  • Be copies of the same workbook, which must have been a shared workbook.
  • Have different file names.
  • Either not have passwords, or both have the same password.
  • Have change tracking in effect continuously from when the copies were made.
  • Keep change history back at least as far as the date when the copies were made.

    For example, if the change history is being kept in the workbooks for 30 days, and the copies were made 45 days ago, you can no longer merge the workbooks.

Plan ahead for later merging When you turn on change tracking but aren't sure when you'll merge the workbooks, set a large number of days for the history, up to the maximum of 32,767 days.

Merge changes manually If the workbooks still won't merge, you can incorporate the information from one workbook into another manually, by copying and pasting from one workbook to another.

After merging, I don't see the changes I expect.

Changes appear from the last workbook merged Changes in the last workbook you merge replace any conflicting changes in the workbook you're merging into. If you merge more than one workbook at once, the workbooks are merged in the order in which they appear in the Select Files to Merge into Current Workbook dialog box. The changes from each successively merged workbook replace previously merged changes.

View the replaced changes The History worksheet lists information about conflicting changes that were replaced.

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. In the When box, click All.
  3. Clear the Who and Where check boxes.
  4. Select the List changes on a new sheet check box, and then click OK.
  5. On the History worksheet, scroll to the right to view the Action Type and Losing Action columns. Conflicting changes that were kept in a merge have "Won" in the Action Type column. The row numbers in the Losing Action column identify the rows with information about the conflicting changes that weren't kept, including any deleted data.

Review the changes You can accept some of the changes from the merged copy and reject others.

How?

  1. On the Tools menu, point to Track Changes, and then click Accept or Reject Changes.
  2. If prompted to save the workbook, click OK.
  3. Select the changes to review:

    Changes made after a particular date Select the When check box, click Since date, and then type the earliest date for which you want to review the changes.

    Changes made by another user Select the Who check box, and then click the user whose changes you want to review.

    Changes made by all users Clear the Who check box.

    Changes to a specific area Select the Where check box, and then enter a range reference, or select a range on the worksheet.

    Changes to the entire workbook Clear the Where check box.

  4. Click OK and begin reviewing the information about each change in the Accept or Reject Changes dialog box. The information includes other changes that are affected by the action you take for a change. You may need to scroll to see all of the information.

    To accept or reject each change, click Accept or Reject. The History worksheet records a rejection with "Undo" or "Result of rejected action" in the Action Type column.

    If prompted to select a value for a cell, click the value you want, and then click Accept.

Notes

  • You must accept or reject a change before you can advance to the next change.
  • You can accept or reject all remaining changes at once by clicking Accept All or Reject All.


Watch a formula and its result

Watch cells and their formulas on the Watch Window toolbar, even when the cells are out of view.

Watch Window toolbar

  1. Select the cells you want to watch.

    To select all cells on a worksheet with formulas, click Go To on the Edit menu, click Special, and then click Formulas.

  2. On the Tools menu, point to Formula Auditing menu, and then click Show Watch Window.
  3. Click Add Watch [image].
  4. Click Add.
  5. Move the Watch Window toolbar to the top, bottom, left, or right side of the window.
  6. To change the width of a column, drag the boundary on the right side of the column heading.
  7. To display the cell that an entry in Watch Window toolbar refers to, double-click the entry.

Note Cells that have links to other workbooks are displayed in the Watch Window toolbar only when the other workbook is open.


Change the layout of a PivotTable report

  1. Click the report.

  2. If you have multiple page fields, arrange them in rows or columns.

    How?

    1. On the PivotTable toolbar, click PivotTable, and then click Table Options.
    2. In the Page layout list, click the order in which you want the page fields to appear.
    3. In the Fields per row or Fields per column box, enter the number of page fields that you want in each row or column.

  3. Decide whether to make the layout changes onscreen or in the wizard. Usually you can make changes on the worksheet. If changes result in long delays to retrieve and display data, use the wizard.

    If you can work onscreen, do one or more of the following:

    Change the layout on the worksheet

    1. If you don't see the blue drop area outlines, click Show Field List [image] on the PivotTable toolbar to display the field list.
    2. To move a field from its current position to the row, column, or data area, drag the field button to a new position.

      Fields with Dimension field icon icons in the PivotTable Field List window can be used only in the row, column, and page areas. Fields with Data field icon icons can be used only in the data area. Fields with Field icon icons can be used in any area.

    3. To create a page field, drag the field to the page area at the top of the report.

      If the page area is missing (row or column fields start in row 1), use the wizard to change the layout and create page fields.

    4. To change the order of the items within a row or column field, click an item label, and then point to the bottom border of the cell. When the pointer becomes an arrow, drag the item to a new position:

      Example of moving an item in a PivotTable report

    5. To change the order of the data fields, right-click one, point to Order on the shortcut menu, and use the commands on the Order menu to move the field.

      You can also click a data field and then point to the bottom border of the cell. When the pointer becomes an arrow, drag the data field to a new position.

    Add or remove a field on the worksheet

    Add a field Drag the field from the PivotTable Field List window to the area of the report for the type of field that you want to create.

    Fields with Dimension field icon icons in the PivotTable Field List window can be used only in the row, column, and page areas. Fields with Data field icon icons can be used only in the data area. Fields with Field icon icons can be used in any area.

    Remove a field Drag the field button out of the report.

    If you can't work onscreen:

    Use the wizard to change layout and add and remove fields

    1. On the Data menu, click PivotTable and PivotChart report.
    2. Click Layout.
    3. To rearrange fields, drag them from one area to another in the diagram on the left.
    4. To add fields, drag them from the list of fields on the right to the diagram.

      Some fields can only be used in some of the areas. If you drop a field in an area where it can't be used, the field won't appear in the area.

    5. To remove a field, drag it out of the diagram.
    6. When you're finished changing the layout, click OK, and then click Finish.

Notes

  • Format Report [image] can also affect the layout of the report.

  • Changing the layout of a PivotTable report also affects any PivotChart reports that are based on the report, and some chart formatting may be lost.


Troubleshoot OLAP cubes

Creating OLAP cubes

Date or time fields have incorrect levels

Check the date or time field in the source database If you don't see the levels you expect in the date or time dimensions in source data from the OLAP Cube Wizard in Microsoft Query, check the date or time field from the underlying relational database that supplied the data for the cube. The database may store dates and times as text instead of a date or time format that the wizard can recognize. If you suspect this is the case, consult the database administrator for the relational database to verify and correct the date or time format for the field.

Check the top level of the dimension When you add date and time fields as lower levels of a dimension, the OLAP Cube Wizard does not automatically break the data out into year/quarter/month/week and hour/minute/second levels. The wizard does this only when you add the date or time field as the top level of a new dimension. If the date or time field is not the top level, modify the cube by opening the .oqy file in Microsoft Query, or contact the person who created the cube to make these changes.

The summary function I want is missing

In the OLAP Cube Wizard, the only summary functions available for data fields are Sum, Count, Min, and Max.

Create the report directly from the database records If you can simplify and reduce your query to where your system can handle the amount of data it returns, try returning the data directly to Microsoft Excel from Microsoft Query without creating a cube. When you create a PivotTable or PivotChart report directly from records in a database, you have access to the full set of PivotTable summary functions (Sum, Count, Average, Max, Min, Product, Count Nums, StdDev, StdDevp, Var, and Varp).

Consider setting up an OLAP server for the database The Microsoft OLAP server product, Microsoft SQL Server OLAP Services, lets you set up a wider range of summary fields than the OLAP client software included in Microsoft Office.

I can't change my OLAP cube

Make sure the original database is available To edit an OLAP cube, you must have access to the original server database that supplied the cube data. Check to make sure the database hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Check for changes to the original database If you used the OLAP Cube Wizard to create the cube from a relational database, tables in the database might have been renamed or deleted so that the cube can no longer locate the original data. Connect to the database in Microsoft Query, and check for any changes to the organization, or schema, of the database. If the database has changed, you'll need to create a new cube.

A 'Data has been lost' message appears

A field you included in the cube is no longer available in the source database.

Check for changes to the original database If the cube is an offline cube file that was created from an OLAP server database, reconnect a report to the server database and check the fields available in the PivotTable Field List window. If the field is no longer available from the server, you can use the Offline OLAP command on the PivotTable menu to create a new offline cube file.

If you created the cube in Microsoft Query, use Query to open the .dqy query file that you used to create the cube, or if you did not keep a .dqy file, create a new query connecting to the original relational database. Check what fields are available. For full instructions, see Help in Microsoft Query. If fields have been removed from the database, you can create a new cube.

Saving the cube file is taking a long time

If you included a large subset of the OLAP data in the cube file, the file may be time consuming to create.

  • To cancel saving the file, click Stop in the Create Cube File – Progress dialog box.
  • To reduce the size of the file, eliminate data that you don't need to view in your report. In step 2 of the Offline Cube Wizard, select only the dimensions and levels within each dimension that you need to see. In step 3, select only the measures that you're using as data fields in the report, and in each dimension eliminate any items you don't need.

I run out of disk space while saving a cube

OLAP databases are designed to manage very large amounts of detailed data, and as a result, the server database might occupy a much larger amount of disk storage than your local hard disk provides. If you specify a large subset of this data for your offline cube file, you might run out of space.

Free up disk space or find another disk Try deleting files you don't need from your disk before saving the cube file. Or try saving the file on a network drive.

Include less data in the offline cube file Consider how you can minimize the amount of data in the file and still have what you need for your PivotTable or PivotChart report. Try the following:

  • Eliminate dimensions In step 2 of the Offline Cube Wizard, select only the dimensions that you actually have displayed as fields in your PivotTable or PivotChart report.
  • Eliminate levels of detail Click the Plus box box next to each selected dimension in step 2 of the wizard, and clear the check boxes for levels lower than those displayed in your report.
  • Eliminate data fields In step 3 of the wizard, click the Plus box box next to Measures, and select only the data fields you're using in the report.
  • Eliminate items of data Click the Plus box box next to each dimension in step 3, and clear the check boxes for items you don't need to see in the report.

Stay connected to the server If you've eliminated all possible data and still cannot save an offline cube file, you'll need to continue using the connection to the server OLAP database to interact with your report.

Using OLAP cubes

Data is missing from my report after I create a cube file

When you selected the contents for the offline cube file, you might have left out some of the data for the fields used in the report. As a result, when you change the report to display different data, data you expected to see isn't available from the offline cube file.

Use the Offline OLAP command on the PivotTable menu to reconnect the report to the server database, and make sure the report displays the data you want to see. Then edit the offline cube file, making sure you include all dimensions, data fields, and levels of detail used in the report.

My report is using fields from the query instead of my cube

If the PivotTable Field List window is showing you the fields from the relational database that you queried to create the cube, you returned the data from your query to Microsoft Excel instead of opening the .oqy file created by the OLAP Cube Wizard. This file stores the cube definition, and if you saved a .cub offline cube file, provides access to that file. If you did not specify a new location for the .oqy file, the file was saved in either my documents\my data sources or winnt\profiles\your user name\my data sources, depending on your version of the Windows operating system.

To base a report on your new cube, click Open on the Excel File menu, click Query Files in the Files of type list, and then locate and double-click the .oqy file. If you want a PivotChart report, click the PivotTable report that's created when you open the .oqy file, and then click Chart Wizard [image] on the PivotTable toolbar.

Data I know is in the database is missing from my cube

Cubes created from OLAP server databases or relational databases don't necessarily include all of the data in the original database. Only the data that you select in the Offline Cube Wizard or OLAP Cube Wizard is included in the cube.

Wait for data retrieval to complete When you change your PivotTable or PivotChart report to display different data, new data is retrieved from the cube. When you refresh the report, new data is retrieved from the original database and the cube is completely reconstructed. This process might take a while.

Check with the person who created the cube If you got the cube from someone else, and the PivotTable Field List window is missing fields that you need or levels of detail that you wanted are unavailable, ask the creator of the cube to change it so that it includes additional data.

Change the contents of an offline cube file If you created the offline cube file in Microsoft Excel from an OLAP server database, use the Offline OLAP command on the PivotTable menu to change the file. Make sure you include all dimensions, data fields, and levels of detail used in the report.

Check the contents of a cube that was created in Query You cannot add data to cubes created with the OLAP Cube Wizard in Microsoft Query, but you can change how the cube is organized and delete data from the cube. If the cube is missing fields from the original relational database, you can create a new cube in Query to include those fields. In Query, open the .dqy file that you used to query the data for the OLAP cube, or create a new query if you did not keep a .dqy file. Add to the query any additional fields that you want in the cube, and then use the Create OLAP Cube command on the Query File menu create a new cube. For full instructions, see Help in Microsoft Query.

New data doesn't appear in my report when I refresh

The offline cube file, or the cube created in Microsoft Query, might not be able to connect with the original server database to retrieve new data.

Make sure the original database is available Check that the original server database that supplied the data for the cube hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Make sure new data is available Check with the database administrator to determine whether the database has been updated in the areas included in your report.

Make sure the database organization hasn't changed If an OLAP server cube has been rebuilt, or a relational database supplying data to a cube has been reorganized, you might need to reorganize your report or create a new offline cube file or OLAP Cube Wizard cube to access the changed data. Contact the database administrator to find out about changes to the database.

Microsoft Excel can't find my offline cube file

The .cub might have been renamed or moved.

Make sure you have the file If someone else gave you the .oqy file you're opening, make sure you also have access to the .cub file.

Browse for the file If you're trying to connect to the offline cube file from the Offline OLAP Settings dialog box, click Browse, and locate the .cub file.

Reconnect to the original database If you cannot locate the file, you might be able to reconnect the report to the original OLAP server database. Click the report, click Offline OLAP on the PivotTable menu, and then click On-line OLAP. You can then create a new offline cube file.

Note For further help with problems with OLAP Cube Wizard cubes, see Help in Microsoft Query.


Troubleshoot euro currency conversion

Some of the content in this topic may not be applicable to some languages.

Note Hyperlinks in these topics go to the Web. You can switch back to Help at any time.

Converting and Viewing

I can't find the Euro Conversion command or button.

If you don't see the Euro Conversion command on the Tools menu, click More Buttons [image] on that toolbar. If you still don't see the command, click Add-Ins on the Tools menu, and then select the Euro Currency Tools check box to load the add-in program.

If Euro Currency Tools isn't listed in the Add-Ins dialog box, you must install the add-in program, then return to the Add-Ins dialog box and select the Euro Currency Tools check box to load the add-in program.

Install the add-in

If you originally installed your Microsoft Office program from a network file server or from a shared folder, you must install or remove components from that location. If you installed your Office program from a CD-ROM and you've mapped your CD-ROM drive to a new drive letter since installing the Office program, reinstall from the CD-ROM. If you're running any Office program files from the CD-ROM, you must uninstall the Office program and then reinstall it from the CD-ROM.

  1. Quit all programs.

  2. Double-click the Add/Remove Programs icon in the Windows Control Panel.

  3. Do one of the following:

    • For Windows 2000 and Windows Millennium Edition:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office in the Currently installed programs box, and then click the Change button.

    If you installed your Office program individually, click the name of your program in the Currently installed programs box, and then click the Change button.

    • For Windows 98 and Windows NT 4.0:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click the Add/Remove button.

    If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click the Add/Remove button.

  4. Follow the instructions on the screen.

Values were copied but not converted.

The Euro Conversion tool converts numbers only. Text that Microsoft Excel cannot interpret as a number (such as alphanumeric text) and numbers formatted as dates are copied but not converted. Make sure the values you are trying to convert are numbers that are not formatted as dates.

My formulas disappear or are changed.

When you convert formulas using the Euro Conversion tool, the default setting is to convert the formulas to values. You can use the options in the Advanced dialog box (click Advanced in the Euro Conversion dialog box) to change how formulas are converted. Use Prompt to convert formulas for more options for each formula.

I used the EUROCONVERT function, and the resulting value is not rounded correctly or has the wrong number of digits.

The EUROCONVERT function uses the European Union rates, or conversion factors, that express one euro in each of the euro member national currency units. Each conversion factor has six significant digits.

If you don't want rounding to occur, set Full_Precision to TRUE, and make sure the number format for the cell isn't currency.

The EuroValue toolbar is blank, displays "Off," or does not show my converted values correctly.

The EuroValue toolbar shows different results depending on:

  • whether the conversion rate is set to Off.
  • whether you have one cell or a range of cells selected.
  • the type of data in the cells you have selected.
  • whether you display the toolbar before or after selecting the cells for which you want to see converted values.

Conversion list set to Off If you click the arrow next to the box on the right side of the EuroValue toolbar, and click Off, the toolbar remains on your screen but displays the word Off rather than a converted value. To see a converted value in the toolbar, click the arrow next to the box that displays the word Off, and then click the desired conversion from the list.

Range of cells selected When you select more than one cell that contains numbers, the value shown in the EuroValue toolbar is the converted sum of the numbers. If you don't want to see a sum, select an individual cell instead.

Text selected The EuroValue toolbar may show a zero value if you select cells that contain text. Select cells that contain currency values instead.

Dates or times selected If the cell you select contains a date or time, the tool converts the serial number of the date or time. Select a cell that contains a currency value instead.

Hidden cells selected If the cells you select contain hidden columns or rows, the result shown in the EuroValue toolbar includes the values in the hidden cells. If you do not want these values to be included in the converted sum, select the individual cells you do want included by holding down the CTRL key while you click each one. Or, unhide the hidden rows or columns and move them elsewhere on the worksheet.

Toolbar is redisplayed When the conversion value list in the EuroValue toolbar is not set to Off, the toolbar updates when the toolbar is displayed and you click on a cell or range of cells, and when you click a conversion value from the box on the right side of the toolbar. If you hide the EuroValue toolbar, select different cells, and then redisplay the toolbar, the EuroValue toolbar will show the values resulting from the cells previously selected. To update the toolbar to reflect conversion values for the currently selected cells, select a cell other than the cells for which you want to see converted values, and then reselect the cells for which you want to see converted values.

Euro conversions look different on another computer.

For euro conversions to calculate properly, the Euro Currency Tools add-in program must be installed on the computer you are using, and you must be using the appropriate version of Microsoft Excel.

Also, your operating system must support the euro sign. For example, if you have Microsoft Windows NT 4.0 with Service Pack 3 or earlier, you may need to download the Microsoft Euro Currency Support product update to input and display the euro sign in programs that support the euro sign. For more information, see the Microsoft Office Web site.

The currency I want to convert from or to isn't listed.

The Microsoft Excel Euro Currency Tools add-in program provides tools to work with euros and the national currency units of the European Union (EU) members that have adopted the euro. The tools do not convert currencies of non-euro-member countries. As additional countries adopt the euro, Microsoft makes updates to the tools available. If you do not see the national currency you want in the list, check to make sure the country is a euro member state, and if it is, check for an updated version of the tools on the Microsoft Office Web site.

I converted or formatted values and Undo is not available.

After you convert values to or from the euro or to another euro member currency, or after you format values as euros, neither the Undo command nor the Undo button are available. To return your workbook to its previous state, close the workbook without saving changes. However, any other changes you made since your last save will also be lost.

I converted several values, and some values don't look right.

The source range you specified may contain times or dates. The Euro Conversion tool converts all numbers, including the serial numbers of times and the serial numbers of dates that are formatted with the General format (so that the serial number of the date is displayed). Numbers formatted as dates are copied but not converted. When you specify the source range you want to convert, make sure the range does not contain times or dates that are not formatted as dates.

Formatting and Printing

I converted some values but the currency format is wrong.

Output format The output format in the Euro Conversion dialog box may not be set for the formatting you want. Click Euro Conversion again, and check to make sure the proper format is selected in the Output format box.

Microsoft Windows Control Panel The regional settings for currency in Microsoft Windows Control Panel determine the position of the euro sign [image] (that is, whether the symbol appears before or after the number and whether a space separates the symbol and the number). To change this positioning, create a Custom currency style.

Microsoft Windows NT 4.0 If you have Windows NT 4.0, you may need to download the Euro Currency Support product update to input and display the euro sign in programs that support the euro sign. For more information, see the Microsoft Office Web site.

I imported or exported a text file, and currencies are not shown correctly.

Importing When you import text files into Microsoft Excel, Excel recognizes only the currency symbol that is designated by the regional settings in Windows Control Panel, and the euro sign. When you import a file and want to show national currencies other than the default or euro currencies, you can create custom number formats and apply the desired formats to the values you want after the file is imported. To keep your changes, save the file as an Excel workbook.

Exporting When you save a workbook in one of the following file formats, the euro sign is not retained: all dBase file formats, all Lotus 1-2-3 file formats, Quattro Pro/DOS file format, Microsoft Excel 2.1 Worksheet, Microsoft Excel 3.0 Worksheet, Microsoft Excel 4.0 Worksheet, Microsoft Excel 4.0 Workbook, and Microsoft Excel 5.0/95 Workbook. The euro sign is converted to a question mark in the following file formats: CSV (MS-DOS), Text (MS-DOS), and DIF (Data Interchange Format). The euro sign is converted to an s in the following file formats: CSV (Macintosh) and Text (Macintosh). For more information, see Help for the program you're exporting to for information about how that program handles euro currency.

The euro sign does not print correctly.

Microsoft Excel and your operating system provide the support you need to print the euro sign correctly on most printers. However, the euro sign may not print correctly on some printers using some fonts. Check with your printer manufacturer for more information.

For more information about operating system support for the euro sign, see the Microsoft Office Web site.

I copied the euro sign in text from another program, but it did not paste in Microsoft Excel.

When you copy text that includes the euro sign from another program such as Microsoft Word, the euro sign is not pasted in Excel. You must reapply euro formatting or add the symbol manually to the pasted value.

Error Messages

I get a message about my source range.

You may not have specified a source range in the Source range box in the Euro Conversion dialog box, or you may have selected nonadjacent ranges. Be sure you have a single source range entered in the Source range box before you click OK.

I get a message about the destination range.

Specify a single rectangular destination range You may not have specified a destination range in the Destination range box, or you may have selected nonadjacent destination ranges. Click in the Destination range box, and then select a single cell to use as the upper left corner of the range you want to fill.

Make sure the source and destination ranges don't overlap The destination range must not include any of the cells in the source range.


Troubleshoot exchanging data between Excel and Access

If the View MS Access Form or View MS Access Report button on your worksheet doesn't work, try the following:

  • Locate the Microsoft Access database The database that contains the form or report may have been moved. In the Create Microsoft Access Form or Create Microsoft Access Report dialog box, click Browse to find the Access .mdb file. If you created a new database for the form, the .mdb file should have the same name as the workbook file.

  • Check whether the form or report was deleted Microsoft Excel allows you to have only one Access form and one Access report for each worksheet list. If you create a new form or report after deleting the existing form or report from the database, a second View MS Access Form or View MS Access Report button is added to the worksheet. You can delete the first button that no longer works by holding down the CTRL key, clicking the button, and then pressing DELETE.

  • Check whether the workbook was renamed or moved If you rename or move the workbook file, the button no longer works. You can restore the original name of the workbook file by changing the file name back to the name it had when you created the form or report, and then moving the file back to the folder it was in when you created the form or report.

  • Unprotect the worksheet if it's protected On the Tools menu, point to Protection, and click Unprotect Sheet.

  • Check the names of the Access table and form or report The name of the table, form, or report for the Excel list in the Access database may have been changed. To restore the name, click the name of the table, form, or report in the database window two times, and then type the correct name. The name must be in the following form:

    workbookname_sheetname_List

    Underscores are used for any spaces in the workbook or worksheet names. For example, if your list is on Sheet 1 in workbook Office Supplies, the table, form, or report should be named Office_Supplies_Sheet_1_List. If your Excel list is a named range, this name is used instead of List.

Note To use the AccessLinks features, you must install the AccessLinks add-in program. This add-in program is available from the Microsoft Office Web site. (This hyperlink goes to the Web. You can switch back to Help at any time.)


Troubleshoot tracing dependent, precedent, and error cells

When I change my worksheet, the tracer arrows disappear.

All tracer arrows disappear if you change the formula the arrows point to, insert or delete columns or rows, or delete or move cells. To restore the tracer arrows after making any of these changes, you must use auditing commands on the worksheet again.

Tip

To keep track of the original tracer arrows, print the worksheet with the tracer arrows displayed before you make the changes.

Microsoft Excel beeps when I click the Trace Dependents button or the Trace Precedents button.

If Microsoft Excel beeps when you click Trace Dependents [image] or Trace Precedents [image] on the Formula Auditing toolbar, either Excel has traced all levels of the formula, or you are attempting to trace an item that cannot be traced. The following items on worksheets that can be referenced by formulas cannot be traced by using the auditing tools:

  • References to text boxes, embedded charts, or pictures on worksheets
  • PivotTable reports
  • References to named constants
  • Formulas located in another workbook that refer to the active cell if the other workbook is closed

When I try to trace errors, Excel stops before it finds the source of the error.

  • If more than one error path exists, Excel stops tracing at the branch point when you use Trace Error [image]. To continue tracing the error, click Trace Error [image] again.

  • If the formula that displays the error contains a reference to another worksheet or workbook, double-click the arrow that displays the worksheet icon worksheet icon. In the Go to list, double-click the reference you want to locate. Then, click Trace Error [image] again.

I receive an error when I try to go to a cell in another workbook.

When you are tracing formula dependencies or precedents, Excel cannot go to a cell in a workbook that is not open. Open the workbook that contains the cell, and then try going to the cell again.


Troubleshoot controls

The command I want is unavailable after I click a control.

You clicked an ActiveX control. To make the command available, click a cell on the worksheet.

The More Controls button doesn't list the ActiveX controls I installed.

When you install new ActiveX controls, the setup program for the controls usually registers each control, making it available to use from Microsoft Excel. If the control doesn't appear in the list, you need to register it manually.

  1. In the Control Toolbox, click More Controls [image].
  2. At the bottom of the list, click Register Custom Control.
  3. In the Register Custom Control dialog box, locate the folder that contains the control file (.ocx extension) or dynamic link library file (.dll extension) for the control you want to register.
  4. Select the file for your control, and then click Open.

When I right-click a control, nothing happens.

If you right-click a control to display the shortcut menu and nothing happens, the control is an ActiveX control and not a control from the Forms toolbar. To display the shortcut menu for ActiveX controls — for example, to edit properties or view macro code — you must be in design mode. To switch to design mode, click Design Mode [image] in the Control Toolbox.

When I click a control, I get a 'file not found' message.

The workbook with the macro may be unavailable Usually when you click a control that's assigned to a macro in another workbook, Microsoft Excel opens the workbook and runs the macro. If Excel cannot find the file, the workbook that contains the macro may no longer exist or may have been moved or renamed.

Assign a different macro If you can't find the file, you can delete the control or assign a different macro to the control.

  1. Open the workbook that contains the macro you want to assign to the control.
  2. Click Design Mode [image] in the Control Toolbox.
  3. Right-click the control, and then click Assign Macro.
  4. In the Macro Name box, click the name of the macro.


Troubleshoot spelling

I added words to a custom dictionary, but Microsoft Excel still questions them.

  • If Excel questions a word when it appears with mixed lowercase and capital letters, reenter the word in the custom dictionary in all lowercase letters. Various formats of the word are then recognized.
  • The word may be in a different custom dictionary. Excel can consult only one custom dictionary at a time. When Excel questions a word during a spelling check, make sure the correct custom dictionary is selected in the Add words to box on the Spelling tab of the Options dialog box (Tools menu).
  • A custom dictionary might contain a nonprintable character or a misspelled word. Use the Notepad accessory program to open the custom dictionary that you use with Excel. Correct any words and delete any nonprintable characters, which are usually displayed as small boxes, and then save the dictionary in the folder that contains the main spelling dictionary. If you use Microsoft Word or another program to edit a custom dictionary, save the dictionary in Text Only format with a .dic file extension.

The spelling checker checked only part of my worksheet.

If you've selected a range of cells, Excel checks only the selected range. To check the entire sheet, click any cell, and then repeat the spelling check.

Excel did not change every occurrence of a misspelled word, even though I chose the Change All button.

  • If you close the Spelling dialog box before Excel finishes checking the entire worksheet, errors in the unchecked portion are not corrected.
  • If you've selected a range of cells, Excel checks only the selected range. To check the entire sheet, click any cell, and then repeat the spelling check.

I checked spelling in another language, and now I can't check spelling in the default language.

You can restore your default spelling checker by setting the Dictionary language on the Spelling tab of the Options dialog box (Tools menu).


Troubleshoot comments

Part of my comment doesn't appear.

Unfreeze panes If the comment appears at the top of the window or worksheet and the bottom or right half of the comment is cut off, you may have frozen panes. To view the entire comment, click Unfreeze Panes on the Window menu.

Enlarge the comment box Right-click the cell that contains the comment, click Edit Comment on the shortcut menu, and then drag the handles until you can see all of the comment text.

I don't want my name in the comments.

To prevent your name from appearing in a comment, select your name and then press the DELETE key.

You can change the name that appears when you insert new comments, but you can't keep Microsoft Excel from including your user name. To change the name, click Options on the Tools menu, click the General tab, and type the name you want in the User name box. If you delete this name, Excel uses the default user name you've established for your computer.

Keep in mind that Excel also uses the user name for sharing workbooks and for identifying users when files containing multiple changes are merged.

Comments in a PivotTable report don't stay with their cells.

Comments in a PivotTable report remain anchored to the cells where you entered them, not to the data in a cell. If you change the layout of the report so that the data values move to different cells, the comments do not move with the data.


Troubleshoot data validation

My validation message doesn't appear when invalid data is entered.

Messages appear only when data is typed directly into the cells. Your message won't appear:

  • When a user enters data in the cell by copying or filling.
  • When a formula in the cell calculates a result that isn't valid.
  • When a macro enters invalid data in the cell.

To identify cells that contain invalid data regardless of how the data was entered, point to Formula Auditing on the Tools menu, click Show Formula Auditing Toolbar, and then click Circle Invalid Data [image].

My data validation doesn't work.

Is validation applied to the cells? Find the cells on the worksheet that have data validation: click Go To on the Edit menu, click Special, click Data validation, and then click All.

Are users entering data by typing? Make sure users click each cell and then type the data. If users copy or fill data in validated cells, validation messages don't appear, and entry of invalid data isn't prevented.

Is manual recalculation turned on? If so, uncalculated cells may prevent data from being validated properly. To turn off manual recalculation, click Options on the Tools menu, click the Calculation tab, and then click Automatic under Calculation.

Are formulas error free? Make sure formulas in validated cells don't result in errors, such as #REF! or #DIV/0!. Microsoft Excel ignores the data validation until you correct the error.

Are cells referenced in formulas correct? If a referenced cell changes so that a formula in a validated cell calculates an invalid result, the validation message for the cell won't appear.

Copying, filling, and calculating by formula override my data validation.

Data validation is designed to display messages and prevent invalid entries only when users type data directly in a cell. When data is copied, filled, or calculated by a formula, the messages don't appear.

Try the following:

  • If a worksheet has data validation Tell users to type data one cell at a time.
  • To prevent users from filling and copying data using cell drag and drop Click Options on the Tools menu, click the Edit tab, and then clear the Allow cell drag and drop check box. Then protect the data validation settings.

    How?

    Protect worksheet elements

    Protect worksheet elements from all users

    1. Switch to the worksheet you want to protect.

    2. Unlock any cells you want users to be able to change: select each cell or range, click Cells on the Format menu, click the Protection tab, and then clear the Locked check box.

    3. Hide any formulas that you don't want to be visible: select the cells with the formulas, click Cells on the Format menu, click the Protection tab, and then select the Hidden check box.

    4. Unlock any graphic objects you want users to be able to change.

      How?

      You don't need to unlock buttons or controls for users to be able to click and use them. You can unlock embedded charts, text boxes, and other objects created with the drawing tools that you want users to be able to modify. To see which elements on a worksheet are graphic objects, click Go To on the Edit menu, click Special, and then click Objects.

      1. Hold down CTRL and click each object that you want to unlock.
      2. On the Format menu, click the command for the object you selected: AutoShape, Object, Text Box, Picture, Control, or WordArt.
      3. Click the Protection tab.
      4. Clear the Locked check box, and if present, clear the Lock text check box.

    5. On the Tools menu, point to Protection, and then click Protect Sheet.

    6. Type a password for the sheet.

      Note The password is optional; however, if you don't supply a password, any user will be able to unprotect the sheet and change the protected elements. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

    7. In the Allow all users of this worksheet to list, select the elements that you want users to be able to change.

    8. Click OK, and if prompted retype the password.

    Give specific users access to protected ranges

    You must have Windows 2000 to give specific users access to ranges.

    1. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges. (This command is available only when the worksheet is not protected.)

    2. Click New.

    3. In the Title box, type a title for the range you're granting access to.

    4. In the Refers to cells box, type an equal sign (=), and then type a reference or select the range.

    5. In the Range password box, type a password to access the range.

      The password is optional; if you don't supply a password, any user will be able to edit the cells.

    6. Click Permissions, and then click Add.

    7. Locate and select the users to whom you want to grant access. If you want to select multiple users, hold down CTRL while you click the names.

    8. Click OK twice, and if prompted retype the password.

    9. Repeat the previous steps for each range for which you're granting access.

    10. To retain a separate record of the ranges and users, select the Paste permissions information into a new workbook check box.

    11. Protect the worksheet: On the Tools menu, point to Protection, click Protect Sheet, make sure the Protect worksheet and contents of locked cells check box is selected, type a password for the worksheet, click OK, and retype the password to confirm.

      Note A sheet password is required to prevent other users from being able to edit your designated ranges. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

    Protect workbook elements and files

    Protect workbook elements

    1. On the Tools menu, point to Protection, and then click Protect Workbook.

    2. Do one or more of the following:

      • To protect the structure of a workbook so that worksheets in the workbook can't be moved, deleted, hidden, unhidden, or renamed, and new worksheets can't be inserted, select the Structure check box.

      • To use windows of the same size and position each time the workbook is opened, select the Windows check box.

      • To prevent others from removing workbook protection, type a password, click OK, and then retype the password to confirm it.

    Protect a shared workbook

    1. If the workbook is already shared, and you want to assign a password to protect the sharing, unshare the workbook.

      How?

      1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.
      2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

        How?

        1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
        2. In the When box, click All.
        3. Clear the Who and Where check boxes.
        4. Select the List changes on a new sheet check box, and then click OK.
        5. Do one or more of the following:
          • To print the History worksheet, click Print [image].
          • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

          Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

      3. On the Tools menu, click Share Workbook, and then click the Editing tab.
      4. Make sure that you are the only person listed in the Who has this workbook open now box.
      5. Clear the Allow changes by more than one user at the same time check box.

        If this check box is not available, you must unprotect the workbook before clearing the check box.

        How?

        1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.
        2. Enter the password if prompted, and then click OK.
        3. On the Tools menu, click Share Workbook, and then click the Editing tab.
      6. When prompted about the effects on other users, click Yes.

    2. Set other types of protection if you want: Give specific users access to ranges, protect worksheets, protect workbook elements, and set passwords for viewing and editing.

    3. On the Tools menu, point to Protection, and then click Protect Shared Workbook or Protect and Share Workbook.

    4. Select the Sharing with track changes check box.

    5. If you want to require other users to supply a password to turn off the change history or remove the workbook from shared use, type the password in the Password box, and then retype the password when prompted.

    6. If prompted, save the workbook.

    Protect a workbook file from viewing or editing

    1. On the File menu, click Save As.

    2. On the Tools menu, click General Options.

    3. Do either or both of the following:

      • If you want users to enter a password before they can view the workbook, type a password in the Password to open box, and then click OK.

      • If you want users to enter a password before they can save changes to the workbook, type a password in the Password to modify box, and then click OK.

    4. When prompted, retype your passwords to confirm them.

    5. Click Save.

    6. If prompted, click Yes to replace the existing workbook.

  • To identify cells in which invalid data was copied, filled, or calculated Point to Formula Auditing on the Tools menu, click Show Formula Auditing Toolbar, and then click Circle Invalid Data [image].

The Validation command is unavailable.

You may be currently entering data The Validation command is not available on the Data menu while you are entering data in a cell. To finish entering, press ENTER or ESC.

The worksheet might be protected To remove the protection, point to Protection on the Tools menu and then click Unprotect Sheet.

The workbook might be shared In a shared workbook, Microsoft Excel can validate data, but you can't change the settings. To make the Validation command available, stop sharing the workbook.

How?

  1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.
  2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

    How?

    1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
    2. In the When box, click All.
    3. Clear the Who and Where check boxes.
    4. Select the List changes on a new sheet check box, and then click OK.
    5. Do one or more of the following:
      • To print the History worksheet, click Print [image].
      • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

      Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

  3. On the Tools menu, click Share Workbook, and then click the Editing tab.
  4. Make sure that you are the only person listed in the Who has this workbook open now box.
  5. Clear the Allow changes by more than one user at the same time check box.

    If this check box is not available, you must unprotect the workbook before clearing the check box.

    How?

    1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.
    2. Enter the password if prompted, and then click OK.
    3. On the Tools menu, click Share Workbook, and then click the Editing tab.
  6. When prompted about the effects on other users, click Yes.


Troubleshoot editing data

Cell references are wrong after I move or copy cells.

Absolute or relative cell references If the copied formulas contain relative cell references, Microsoft Excel adjusts the references (and the relative parts of mixed cell references) in the duplicate formulas. For example, suppose cell B8 contains the formula =SUM(B1:B7). If you copy the formula to the cell C8, the duplicate formula refers to the corresponding cells in that column: =SUM(C1:C7). If the copied formulas contain absolute cell references, the references in the duplicate formulas are not changed.

When you need to redo the move or copy If you did not get the results you want, change the references in the original formulas to either relative or absolute cell references. Then recopy the cells.

The Find and Replace commands don't find data.

Match entire cells only On the Edit menu, click Find or Replace. Clear the Match entire cell contents check box, and then try the search again. When this check box is selected, the Find and Replace commands find only cells that contain the characters specified in the Find what box. Cells that contain additional characters are not found.

Clear Find or Replace format settings To search for unformatted text or numbers, make sure to clear any format settings in the Find Format dialog box before you begin your search.

Check the entire worksheet or workbook Microsoft Excel searches only within the selected range of cells.

  • To search the entire sheet, click any cell to cancel the active selection before you use the Find or Replace command.

  • To search an entire workbook, click Find on the Edit menu, click Options, and then select Workbook in the Within box.

Check in formulas and comments If the characters you want to search for are a constant value or a value that results from a formula, click Options in the Find dialog box, and then click Values in the Look in box. If the characters are in a formula or in cell comments, click Formulas or Comments in the Look in box.

Note When you use the Replace tab in the Find and Replace dialog box, Excel looks in formula only, therefore the Look in box is not available under Replace.

Hide special characters If an asterisk (*), caret (^), quotation mark ("), or backslash (\) appears in the formula bar but not in the worksheet cells, the character is a formatting code. Because such characters are not actual data, you cannot use the Find and Replace commands to locate them.

To hide the characters

  • Click Options on the Tools menu, click the Transition tab, and then clear the Transition navigation keys check box.

I can't undo the last action.

Some actions can't be undone, such as any command on the File menu. The Undo command is available for each action you can undo.

Note Macros can clear all items from the undo list.

When I copy and paste, the selection becomes unselected.

You can copy and paste only one selection at a time. To ensure that the selection you are copying stays selected, do not copy any other selection.

Note You can use the Microsoft Office Clipboard to collect various items and then paste them.

When I try to copy numbers, they increment through the range.

If values such as numbers or dates are incremented through the selected range instead of copied when you drag the fill handle, click Auto Fill Options [image] and click Copy Cells.


Troubleshoot formatting worksheets

Formatting numbers, dates, and times

Decimal points are added to all the numbers I enter.

On the Tools menu, click Options, click the Edit tab, and then clear the Fixed Decimal check box.

To remove decimal points from numbers you've already entered, you can multiply the numbers by a power of 10. In an empty cell, enter a number such as 10, 100, or 1,000, depending upon the number of decimal places you want to remove. For example, enter 100 in the cell if the numbers contain two decimal places and you want whole numbers. Copy the cell to the Clipboard and select a range of adjacent cells that contain numbers with decimal places. On the Edit menu, click Paste Special, and then click Multiply.

Numbers aren't displayed or calculated as numeric values.

If the numbers are aligned to the left of the cell and if you have not changed the default alignment (General), the numbers are formatted or entered as text. To change them to numbers, do the following:

  1. Select a blank cell that you know has the General number format.

    If you aren't sure of the cell format, click Cells on the Format menu, and then click the Number tab. In the Category box, click General, and then click OK.

  2. In the cell, type 1 and then press ENTER.
  3. Click the cell, and then click Copy [image] on the Standard toolbar.
  4. Select the range of cells that contain the "text" numbers.
  5. On the Edit menu, click Paste Special, click Multiply, and then click OK.

The number in a worksheet cell isn't the same as the number in the formula bar.

The number format applied to a cell determines the way Microsoft Excel displays a number in that cell on the worksheet. The format does not affect the cell value used in calculations, which is displayed in the formula bar when the cell is active.

To remove number formats that may affect the displayed value, select the cells.

  1. On the Format menu, click Cells, and then click the Number tab.

  2. In the Category box, click General.

No more custom number formats can be added.

The number of custom number formats has been exceeded. You must delete one or more of the existing custom number formats in order to add new ones.

  1. On the Format menu, click Cells, and then click the Number tab.

  2. In the Category list, click Custom.

  3. At the bottom of the Type box, click the custom format you want to delete. Click Delete.

Formatting text

Formats such as font color and cell shading automatically change.

If conditional formats have been applied to a cell, Microsoft Excel applies the formats depending on whether the cell value or other evaluated data meets a condition you specified.

  • If you base the formatting condition on the value of the selected cells, cells that contain text are evaluated as ASCII strings. Formats such as bold or the font color may change if you change the text.
  • Conditional formats have priority over formats that you apply directly to a cell by using the Cells command (Format menu) or a Formatting toolbar button. If a specified condition is true, the formats for that condition override the manual formatting.

Rotated text isn't displayed at the correct angle.

If you've saved a workbook in another file format, the rotated text format might be lost. Most file formats do not support rotation within the full 180 degrees (+90 through – 90 degrees), which is possible in the current version of Microsoft Excel. Earlier versions of Excel can rotate text only at angles of +90, 0 (zero), or – 90 degrees. If the specified angle of rotation cannot be maintained in the other file format, the text is not rotated.

Text or other data I enter isn't displayed in the cells.

Reset the number format The cells may be formatted so that data in the cells is hidden. To remove specific number formats that may be affecting the displayed value, select the cells. On the Format menu, click Cells, and then click the Number tab. In the Category list, click General.

Check the color of text and the background If text in a cell is the same color as the background, nothing appears in the cell. You can change the color of the background or change the color of the text.

The rotate text option doesn't work or isn't available.

Microsoft Excel cannot rotate indented cells or cells that are formatted with the Center Across Selection or Fill alignment options in the Horizontal box of the Alignment tab (Cells command, Format menu). If all selected cells have these conflicting alignment formats, the text rotation options under Orientation are not available. If the selection includes cells that are formatted with other, non-conflicting alignment options, the rotation options are available. However, cells formatted with a conflicting alignment format are not rotated.

Apostrophe ('), a caret (^), a quotation mark ("), or a backslash (\) appears in the formula bar but not in the cells

These characters are formatting codes, which may be displayed in documents created in Lotus 1-2-3 or if you are working with keys that are used for navigation in Lotus 1-2-3. In Lotus 1-2-3 formats, an apostrophe (') indicates left-aligned text, a quotation mark (") indicates right-aligned text, a caret (^) indicates centered text, and a backslash (\) indicates text that is formatted to fill the cell.

To hide the codes except label prefixes, click Options on the Tools menu, click the Transition tab, and then clear the Transition navigation keys check box.

Conditional formatting

Conditional formats are not applied correctly.

  • Check for multiple conditions If you specify multiple conditions and more than one condition is met, Microsoft Excel applies only the formats for the first true condition.
  • See whether conditions overlap If you specify conditions that overlap, Excel applies only the format of the first true condition. For example, if you specify a condition that applies yellow shading to cell values between 100 and 200, inclusive, and then you specify a second condition that applies red shading to cell values below 120, the cell values of 100 through 119.999999999999 will appear with yellow shading. It’s best to avoid overlapping conditions.
  • Check cell references If you used a formula as the formatting criteria, the cell references in the formula might not be correct.

The settings I applied in the Conditional Formatting dialog box are now blank.

The current selection might include cells that have two or more types of conditional formatting. The dialog box can display only one set of conditional formatting criteria and cell formats at a time.

Select different cells and check the settings again.

I can't use some formats as conditional formats.

Cell formats that can change the row height or column width cannot be used as conditional formats.

Text positioning

Diagonal borders are displayed over rotated text.

Do not use the diagonal borders buttons [image] and [image] in the Border tab (Cells dialog box, Format menu) to apply borders to cells that contain rotated text. Remove the diagonal borders by selecting the cells and clicking None [image] on the Border tab under Presets. Then click the Inside [image] and Outline [image] buttons under Presets. The borders are applied to the edges of the cells, which are rotated to the same degree as the rotated text.

Borders and shading

Borders aren't displayed the way I want.

Look at adjacent cells If you apply borders to a selected cell, the border is also applied to adjacent cells that share a bordered cell boundary. For example, if you apply a box border enclosing the range B1:C5, the cells D1:D5 acquire a left border.

Check which border was last applied If you apply two different types of borders to a shared cell boundary, the most recently applied border is displayed.

Choose the appropriate border type A selected range of cells is formatted as a single block of cells. If you apply a right border to the range of cells B1:C5, the border is displayed only on the right edge of the cells C1:C5. To display interior borders, use the All Borders button on the Borders palette.

See if borders are separated by a page break If you want to print the same border on cells that are separated by a page break, but the border appears on only one page, use the Cells command (Format menu) to apply an inside border. For example, suppose you want to print a border at the bottom of the last row of one page and to use the same border at the top of the first row on the next page. Select the rows on both sides of the page break, and then click Cells on the Format menu. Click the Border tab, and then click the Inside button [image] under Presets. Under Border, remove the vertical border by clicking it in the preview diagram.


Troubleshoot charts

Data and text in charts

My xy (scatter) chart doesn't use my values along the horizontal (x) axis.

Make sure you didn't select a line chart. If your category axis displays numbers like 1, 2, 3, 4 instead of the values you want, you may have selected a line chart instead of an xy (scatter) chart when you created the chart. Delete the chart, select the worksheet data that you want to plot, and then click Chart Wizard [image]. In the Chart Wizard - Step 1 of 4 - Chart Type dialog box, click XY (scatter) in the Chart type box. If you want lines to connect the data markers, click one of the xy (scatter) subtypes that has a line.

Make sure to enter the data for the xy (scatter) chart in the correct order on the worksheet. The top row (or left column) of your data selection represents the x series, and each successive row (or column) represents a y series.

Make sure that your x values are formatted as numbers. Numbers formatted as text may appear as 0, 1, 2, 3 instead of the values you want.

Note You can also create an xy (scatter) chart with a different x value for each set of y values. On the Series tab in the Source Data dialog box (Chart menu), select the series for which you want to change the x values. Then, in the X values box, enter a cell reference or type the x values you want, separated by commas; for example .02, .03, .04.

I'm using dates in my chart, but I don't get a time-scale axis.

Time-scale option Make sure that the Time-scale option on the Axes tab in the Chart options dialog box (Chart menu) is selected. If this option is not available, either you are not using the correct chart type or you don't have dates on the category axis of your chart.

Chart type The time-scale axis is available only on 2-D or 3-D line, column, bar, area, or stock chart types.

PivotChart reports The time-scale axis is not available on a PivotChart report.

Dates on category axis Make sure the dates are on the category axis of your chart.

Multiple-level category labels You cannot use a time-scale axis with multiple-level category labels. To change to one-level category labels in a chart created from worksheet data, do not include multiple rows of labels in the source data for the chart.

Text is missing along the horizontal axis of the chart.

There may not be enough room in the chart to display all of the axis labels. If some of the category names aren't visible along the horizontal axis of the chart, try one of the following:

  • If the chart is an embedded chart, click the chart, and then drag one of the black sizing handles to enlarge the chart. By default, the fonts in the chart scale proportionally as you resize the chart.
  • Click the axis, click the arrow next to Font Size [image], and then click a smaller font size.
  • Double-click the axis labels, and then change the rotation angle on the Alignment tab. If the angle is 0, 90, or – 90 degrees, the text will wrap.

I typed new text or numbers on the worksheet, but the chart wasn't updated.

If you type text or values for the data series and categories on the Series tab of the Source Data dialog box (Chart menu, Source Data command), Microsoft Excel breaks the links between the chart and the worksheet data that the chart is based on. Excel also breaks the links between data labels and the worksheet data that the labels are based on if you type information directly in the label in the chart. You can reestablish each of these links by using one of the following methods.

Chart sheets To reestablish links between the worksheet and a chart sheet, redefine the range of cells used to create the chart.

How?

  1. Click the chart you want to change.

  2. On the Chart menu, click Source Data, and then click the Data Range tab.

  3. Make sure the entire reference in the Data range box is selected.

  4. On the worksheet, select the cells that contain the data you want to appear in the chart.

    If you want the column and row labels to appear in the chart, include the cells that contain them in the selection.

Embedded charts To reestablish links between the worksheet and an embedded chart, redefine the cell range, or drag and resize the color-coded ranges on the worksheet to include the data you want.

Data labels To reestablish links between worksheet data and data labels, select the Automatic text check box on the Data Labels tab of the Chart Options dialog box (Chart menu) for the selected series or the entire chart.

Additional data If you typed additional labels and values on the worksheet that are outside the range of data that the chart is based on, you need to add the new data to the chart.

How?

To add data to a chart sheet, copy and paste the data from the worksheet to the chart.

To add data to an embedded chart created from adjacent worksheet cells, use the color-coded ranges that surround the data on the worksheet. You can also add data to an embedded chart by dragging the data from the worksheet to the chart. If your embedded chart is created from nonadjacent selections, use the copy and paste procedure.

Add data to a chart by copying and pasting

  1. Select the cells that contain the data you want to add to the chart. If you want the column or row label for the new data to appear in the chart, include the cell that contains the label in the selection.

  2. Click Copy [image].

  3. Click the chart.

  4. Do one of the following:

    • To have Microsoft Excel automatically paste the data in the chart, click Paste [image].

    • To specify how you want to plot the data in the chart, click Paste Special on the Edit menu, and then select the options you want.

Add data to a chart by using color-coded ranges

The embedded chart must be created from adjacent selections and be on the same worksheet as the data used to create it.

  1. Type the data and labels you want to add on the worksheet in the cells next to the existing data.

  2. Select the chart area by clicking the blank area between the border of the chart and the plot area.

  3. Do one of the following:

    • To add new categories and data series to the chart, on the worksheet, drag the blue sizing handle to include the new data and labels in the rectangle.

    • To add new data series only, on the worksheet, drag the green sizing handle to include the new data and labels in the rectangle.

    • To add new categories and data points, on the worksheet, drag the purple sizing handle to include the new data and labels in the rectangle.

Add data to a chart by dragging

  1. Select the cells that contain the data you want to add to the chart. The cells must be next to each other on the worksheet.

    If you want the column or row label for the new data to appear in the chart, include the cell that contains the label in the selection.

  2. Point to the border of the selection.

    Pointer on selection border

  3. Drag the selection to the embedded chart you want to update.

    If Microsoft Excel needs more information to plot the data, the Paste Special dialog box appears. Select the options you want.

Note If you cannot drag the selection, make sure that the Allow cell drag and drop check box is selected. To check this setting, click Options on the Tools menu, and then click the Edit tab.

PivotChart reports A PivotChart report is not linked to worksheet data. Instead, it uses a copy of your data that is stored in memory. If you made a change to your source data and the PivotChart report wasn't updated, try to refresh the PivotChart report.

How?

Note If the report is based on an offline cube file, refreshing it completely rebuilds the cube file from the OLAP server and may take as long as initial creation of the cube file.

  1. Click the report.

  2. On the PivotTable toolbar, click Refresh Data [image].

  3. If you want Microsoft Excel to refresh the report automatically when you open the workbook, set this option.

    How?

    1. On the PivotTable toolbar, click PivotTable or PivotChart, and then click Table Options or Options.

    2. Select the Refresh on open check box.

  4. If the report is based on external data, and you want Excel to refresh it at timed intervals, set this option.

    How?

    1. On the PivotTable toolbar, click PivotTable or PivotChart, and then click Table Options or Options.

    2. Select the Refresh every check box, and then enter the interval you want in the minutes box.

Note When you refresh a PivotChart report or its associated PivotTable report, some chart formatting may be lost.

Tip

If your database prompts for a password every time you refresh, you can have Excel save the password so you won't have to enter it repeatedly. On the PivotTable toolbar, click PivotTable or PivotChart, click Table Options or Options, and then select the Save password check box. This option saves the password as readable text, so if security is a greater concern than convenience, you may not want to use this option.

I published a chart, but it's empty when I view it in the browser.

You must include both x and y values in an xy (scatter) chart and x, y, and bubble size values in a bubble chart that you want to publish to the Web. Microsoft Excel supplies default values if x values are not included in your data selection. These values appear in the chart in Excel, but they are not published. If you didn't include all necessary values in your chart, type them in an adjacent column and then add them to the chart.

Formatting

Why does the font size in my chart keep changing?

By default, fonts in a chart scale proportionally when you resize an embedded chart or the chart area of a chart sheet. If you want the font sizes in a chart to remain constant, select the chart area by clicking the blank area between the border of the chart and the plot area. On the Format menu, click Selected Chart Area, click the Font tab, and then clear the Auto scale check box.

There are gaps between the dates plotted in my chart.

If the worksheet data for the category axis contains date number formatting, Microsoft Excel automatically uses a special type of axis in your chart called a time-scale axis. A time-scale axis shows a blank category for dates for which you have no data. If you do not want to see these gaps — for example, if you have data for 1-Jan, 15-Jan, 3-Feb, 12-Feb, and 2-Mar, and you want to plot the days next to each other — you can change the time-scale axis to a standard category axis. Click the chart to select it, and then click Chart Options on the Chart menu. Then on the Axes tab, click Category under Category (X) axis.

The multiple-level category labels in my chart are positioned differently than when I created the chart.

Chart linked to a closed workbook When your chart is linked to data in a workbook that is closed, multiple-level category labels are displayed differently than when you originally created the chart. For example, the bottom level of labels may be left-aligned instead of centered. You can change the position of labels by opening the workbook that contains the source data for the chart. To do this, click Links on the Edit menu in the workbook that contains the chart. In the list, click the source file that contains the chart data, and then click Open Source. When the source workbook is open, the labels should return to their original positions.

Chart viewed in an earlier version of Microsoft Excel Multiple-level category labels might also look different if you save your workbook by using an earlier version format and then open the workbook in an earlier version of Excel.

I made or moved a chart, but I can't find it.

Do one of the following:

If you moved or created a sheet tab for the chart at the bottom of the worksheet window.

If you moved or created an embedded chart, you can locate it on the worksheet by clicking Go To on the Edit menu, and then clicking Special. Click Objects, and then click OK.

The text box, picture, or floating text I added to my user-defined chart type is not included when I create a chart.

Text boxes, pictures, and floating text on charts are not saved in user-defined charts. Add these objects after you create the chart that is based on the user-defined chart.

PivotChart reports

Troubleshoot PivotChart reports

Creating a report

An 'insufficient memory' message appears

Check the memory use setting

  1. Click OK in the message dialog box.

  2. Create the report again, and in step 3 of the PivotTable and PivotChart Wizard, click Options.

  3. Select the Optimize memory check box.

Use page fields to save memory If you still can't create the report, set up one or more of the page fields to retrieve the data as you select each item.

  1. In step 3 of the wizard, click Layout.

  2. Drag one or more fields to the PAGE area.

  3. Double-click each page field.

  4. Click Advanced.

  5. Click Query external data source as you select each page field item.

Simplify the report The number of fields you can add depends on the amount of memory in your computer and the amount of source data used for the report. When you want to use a large number of fields, add them as series fields or page fields. Page fields use the least memory. Series fields use less memory than category fields.

Base multiple reports for the same data on one report When you create a PivotChart report, Microsoft Excel creates a storage area in memory for the report. If you plan to create several reports from the same source data, select Another PivotTable report or PivotChart report in step 1 of the wizard so that the reports all use the same storage area.

Simplify the file Reduce the number of reports in the workbook.

Create the report in a separate file If your report is based on worksheet data, create the report in a different workbook from the workbook that contains the data. That way, the original data and the report do not have to be in memory at the same time. Keep in mind that when you create a PivotChart report, its associated PivotTable report must be in the same workbook.

The report I want isn't listed in the PivotTable and PivotChart Wizard

The wizard only lists PivotTable reports If you want to base the new report on another PivotChart report, select the associated PivotTable report for the other PivotChart report. To determine which report that is, click the PivotChart report, click PivotChart on the PivotTable toolbar, and then click Options. The Name box contains the name of the associated PivotTable report.

Check the location of the report The wizard lists only the PivotTable reports in the workbook where you started the wizard. If the report you want to use as the source is in a different workbook, copy the report into the active workbook.

Check the page field settings The PivotTable report you want may have page fields that are set to query for external data as you select each item. To use a report as the source for another report, its page fields must all be set to retrieve external data for all items at once. Click the source report, double-click each page field, click Advanced, and then check the settings under Page field options.

I'm having problems with an OLAP data source

Creating OLAP cubes

Date or time fields have incorrect levels

Check the date or time field in the source database If you don't see the levels you expect in the date or time dimensions in source data from the OLAP Cube Wizard in Microsoft Query, check the date or time field from the underlying relational database that supplied the data for the cube. The database may store dates and times as text instead of a date or time format that the wizard can recognize. If you suspect this is the case, consult the database administrator for the relational database to verify and correct the date or time format for the field.

Check the top level of the dimension When you add date and time fields as lower levels of a dimension, the OLAP Cube Wizard does not automatically break the data out into year/quarter/month/week and hour/minute/second levels. The wizard does this only when you add the date or time field as the top level of a new dimension. If the date or time field is not the top level, modify the cube by opening the .oqy file in Microsoft Query, or contact the person who created the cube to make these changes.

The summary function I want is missing

In the OLAP Cube Wizard, the only summary functions available for data fields are Sum, Count, Min, and Max.

Create the report directly from the database records If you can simplify and reduce your query to where your system can handle the amount of data it returns, try returning the data directly to Microsoft Excel from Microsoft Query without creating a cube. When you create a PivotTable or PivotChart report directly from records in a database, you have access to the full set of PivotTable summary functions (Sum, Count, Average, Max, Min, Product, Count Nums, StdDev, StdDevp, Var, and Varp).

Consider setting up an OLAP server for the database The Microsoft OLAP server product, Microsoft SQL Server OLAP Services, lets you set up a wider range of summary fields than the OLAP client software included in Microsoft Office.

I can't change my OLAP cube

Make sure the original database is available To edit an OLAP cube, you must have access to the original server database that supplied the cube data. Check to make sure the database hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Check for changes to the original database If you used the OLAP Cube Wizard to create the cube from a relational database, tables in the database might have been renamed or deleted so that the cube can no longer locate the original data. Connect to the database in Microsoft Query, and check for any changes to the organization, or schema, of the database. If the database has changed, you'll need to create a new cube.

A 'Data has been lost' message appears

A field you included in the cube is no longer available in the source database.

Check for changes to the original database If the cube is an offline cube file that was created from an OLAP server database, reconnect a report to the server database and check the fields available in the PivotTable Field List window. If the field is no longer available from the server, you can use the Offline OLAP command on the PivotTable menu to create a new offline cube file.

If you created the cube in Microsoft Query, use Query to open the .dqy query file that you used to create the cube, or if you did not keep a .dqy file, create a new query connecting to the original relational database. Check what fields are available. For full instructions, see Help in Microsoft Query. If fields have been removed from the database, you can create a new cube.

Saving the cube file is taking a long time

If you included a large subset of the OLAP data in the cube file, the file may be time consuming to create.

  • To cancel saving the file, click Stop in the Create Cube File – Progress dialog box.

  • To reduce the size of the file, eliminate data that you don't need to view in your report. In step 2 of the Offline Cube Wizard, select only the dimensions and levels within each dimension that you need to see. In step 3, select only the measures that you're using as data fields in the report, and in each dimension eliminate any items you don't need.

I run out of disk space while saving a cube

OLAP databases are designed to manage very large amounts of detailed data, and as a result, the server database might occupy a much larger amount of disk storage than your local hard disk provides. If you specify a large subset of this data for your offline cube file, you might run out of space.

Free up disk space or find another disk Try deleting files you don't need from your disk before saving the cube file. Or try saving the file on a network drive.

Include less data in the offline cube file Consider how you can minimize the amount of data in the file and still have what you need for your PivotTable or PivotChart report. Try the following:

  • Eliminate dimensions In step 2 of the Offline Cube Wizard, select only the dimensions that you actually have displayed as fields in your PivotTable or PivotChart report.

  • Eliminate levels of detail Click the Plus box box next to each selected dimension in step 2 of the wizard, and clear the check boxes for levels lower than those displayed in your report.

  • Eliminate data fields In step 3 of the wizard, click the Plus box box next to Measures, and select only the data fields you're using in the report.

  • Eliminate items of data Click the Plus box box next to each dimension in step 3, and clear the check boxes for items you don't need to see in the report.

Stay connected to the server If you've eliminated all possible data and still cannot save an offline cube file, you'll need to continue using the connection to the server OLAP database to interact with your report.

Using OLAP cubes

Data is missing from my report after I create a cube file

When you selected the contents for the offline cube file, you might have left out some of the data for the fields used in the report. As a result, when you change the report to display different data, data you expected to see isn't available from the offline cube file.

Use the Offline OLAP command on the PivotTable menu to reconnect the report to the server database, and make sure the report displays the data you want to see. Then edit the offline cube file, making sure you include all dimensions, data fields, and levels of detail used in the report.

My report is using fields from the query instead of my cube

If the PivotTable Field List window is showing you the fields from the relational database that you queried to create the cube, you returned the data from your query to Microsoft Excel instead of opening the .oqy file created by the OLAP Cube Wizard. This file stores the cube definition, and if you saved a .cub offline cube file, provides access to that file. If you did not specify a new location for the .oqy file, the file was saved in either My documents\My data sources or Winnt\Profiles\your user name\My data sources, depending on your version of the Windows operating system.

To base a report on your new cube, click Open on the Excel File menu, click Query Files in the Files of type list, and then locate and double-click the .oqy file. If you want a PivotChart report, click the PivotTable report that's created when you open the .oqy file, and then click Chart Wizard [image] on the PivotTable toolbar.

Data I know is in the database is missing from my cube

Cubes created from OLAP server databases or relational databases don't necessarily include all of the data in the original database. Only the data that you select in the Offline Cube Wizard or OLAP Cube Wizard is included in the cube.

Wait for data retrieval to complete When you change your PivotTable or PivotChart report to display different data, new data is retrieved from the cube. When you refresh the report, new data is retrieved from the original database and the cube is completely reconstructed. This process might take a while.

Check with the person who created the cube If you got the cube from someone else, and the PivotTable Field List window is missing fields that you need or levels of detail that you wanted are unavailable, ask the creator of the cube to change it so that it includes additional data.

Change the contents of an offline cube file If you created the offline cube file in Microsoft Excel from an OLAP server database, use the Offline OLAP command on the PivotTable menu to change the file. Make sure you include all dimensions, data fields, and levels of detail used in the report.

Check the contents of a cube that was created in Query You cannot add data to cubes created with the OLAP Cube Wizard in Microsoft Query, but you can change how the cube is organized and delete data from the cube. If the cube is missing fields from the original relational database, you can create a new cube in Query to include those fields. In Query, open the .dqy file that you used to query the data for the OLAP cube, or create a new query if you did not keep a .dqy file. Add to the query any additional fields that you want in the cube, and then use the Create OLAP Cube command on the Query File menu create a new cube. For full instructions, see Help in Microsoft Query.

New data doesn't appear in my report when I refresh

The offline cube file, or the cube created in Microsoft Query, might not be able to connect with the original server database to retrieve new data.

Make sure the original database is available Check that the original server database that supplied the data for the cube hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Make sure new data is available Check with the database administrator to determine whether the database has been updated in the areas included in your report.

Make sure the database organization hasn't changed If an OLAP server cube has been rebuilt, or a relational database supplying data to a cube has been reorganized, you might need to reorganize your report or create a new offline cube file or OLAP Cube Wizard cube to access the changed data. Contact the database administrator to find out about changes to the database.

Microsoft Excel can't find my offline cube file

The .cub might have been renamed or moved.

Make sure you have the file If someone else gave you the .oqy file you're opening, make sure you also have access to the .cub file.

Browse for the file If you're trying to connect to the offline cube file from the Offline OLAP Settings dialog box, click Browse, and locate the .cub file.

Reconnect to the original database If you cannot locate the file, you might be able to reconnect the report to the original OLAP server database. Click the report, click Offline OLAP on the PivotTable menu, and then click On-line OLAP. You can then create a new offline cube file.

Note For further help with problems with OLAP Cube Wizard cubes, see Help in Microsoft Query.

Laying out a report

The field buttons are gone, and I can't change the layout

Check whether the buttons are hidden Click the report, click PivotChart on the PivotTable toolbar, and make sure the Hide PivotChart Field Buttons command is not checked.

Check whether the report was converted to a static chart Excel converts a PivotChart report to a static chart when you delete its associated PivotTable report, copy or move the PivotChart report to another workbook, or save the workbook in Microsoft Excel 95 or earlier format or a non-Excel format.

Data takes a long time to appear when I add a field

When a report is based on a large amount of external data or an OLAP Cube Wizard data source, delays can be lengthy when you drag fields from the field list onto the worksheet.

Drop data items last Drop fields in the series, category, and page areas first. Drop fields in the data area last. This approach minimizes the amount of data Microsoft Excel has to display for interim steps.

Turn off series and category item display On the PivotTable toolbar, make sure Always Display Items [image] is turned off. The items won't appear as you drag fields to the series and category areas, but will appear once you add a data field.

Use the wizard to change the layout If the response is still too slow, you can return to the PivotTable and PivotChart Wizard to lay out the report. On the Data menu, click PivotTable and PivotChart Report, and then click Layout.

I can't drag a field

Check the page field settings If the field you want to drag is set to query for external data as you select each item, the field may be locked in the page position. Double-click the field, click Advanced, and clear the Disable pivoting of this field check box under Page field options. If you drag the field to another area, Microsoft Excel retrieves the external data for all items in the field at once.

Check for OLAP source data In reports with OLAP source data, some fields can be used only as series, category, or page fields. These fields have Dimension field icon icons in the PivotTable Field List window. Fields with Data field icon icons can be used only as data fields.

Check for VBA macros A Visual Basic for Applications (VBA) macro can turn off the ability to change the layout by dragging fields. If the cancel symbol appears over the pointer when you try to drag the field, dragging has been turned off for that field. For help with this case, contact the author of the macros in your workbook.

Check for protection If the chart sheet or the worksheet containing the associated PivotTable report is protected, you cannot move fields or make changes to the PivotChart report. Unprotect the chart sheet or worksheet, or contact the person who protected it.

The field list is missing

Click the report The list of fields appears only when the report is selected.

Display the field list If you still don't see the field list, click Show Field List [image] on the PivotTable toolbar.

A field doesn't have a dropdown arrow

Check whether it's the only data field The Data field appears next to the category fields with a dropdown arrow only when you've added two or more data fields to a report. If the report has a single data field, the field appears at the top of the report, below the page area.

Check whether the field is in an OLAP dimension In reports with OLAP source data, dimension fields in the series and category areas have an arrow Field arrow in the field button only if the field is the topmost field in the dimension. You can use the arrow in this field to display or hide different levels of detail throughout the dimension.

Check whether upper levels are hidden When upper levels of a dimension are hidden, the topmost field is hidden, and none of the displayed fields have the arrow Field arrow. Right-click any field button in the dimension, and then click Show Levels on the shortcut menu.

The dropdown arrow for a field doesn't work

On the PivotTable toolbar, make sure Always Display Items [image] is turned on. If you don't want to turn on this feature, drag a field to the data area. Once you have a field in the data area, the dropdown arrows will work for all fields in the report.

Formatting a report

Formatting, trendlines, and error bars disappeared

Check for changes to the data displayed When you make changes that affect what data is displayed in a PivotChart report or its associated PivotTable report, Microsoft Excel discards any formatting you've applied to data labels, data points, and data series, including any trendlines and error bars you've added.

Changes that result in lost formatting include changing the layout, adding or removing fields, displaying or hiding items, displaying a different page in a page field, grouping or ungrouping items, displaying or hiding detail, sorting, changing the summary function for a field, changing the display of subtotals, specifying different source data including changing the query for external data, and refreshing the report.

Finish making changes before you add formatting Make sure you are satisfied with the layout and data displayed in the PivotChart report before you make formatting changes.

Record a macro to apply formatting If you change the report frequently, you can record a macro as you apply the desired formatting and then run the macro when you need to reapply your formatting.

I can't move or resize the legend, titles, or plot area

In a PivotChart report, you can't move or resize the legend, titles, or plot area as you would in a regular, noninteractive chart. Microsoft Excel automatically resizes the plot area to accommodate changes to the report.

Repositioning the legend You can't change the size of the legend, but you can change where it appears in the chart: on the Chart menu, click Chart Options, click the Legend tab, and then click an option under Placement.

Resizing titles You can't move a title, but you can change its size by changing the font size: click the title, click Selected Chart Title on the Format menu, click the Font tab, and then select the size you want.

The report doesn't use the position or size of items in my user-defined chart type

You can't move or resize the legend, titles, or plot area in a PivotChart report. Microsoft Excel automatically positions and sizes these elements as needed each time you change the report. As a result, when you specify a user-defined chart type for a PivotChart report, the report uses its automatic position and size for the legend, titles, and plot area instead of any sizes and positions you've saved in the chart type.

Number formatting doesn't match the source data

Microsoft Excel doesn't use the number formatting from Excel source data in the value axis in a PivotChart report. The value axis initially reflects the number formatting of the data area of the associated PivotTable report.

To change the value axis formatting, click the axis, click Selected Axis on the Format menu, click Number, and then select the formatting you want. This change does not affect the number formatting in the associated PivotTable report.

Data and calculations

The Source Data command is unavailable on the Chart menu

When you want to change the position of your series or category data, or redefine the source data to be included, you cannot use the Source data command on the Chart menu, as you can in a regular, noninteractive chart.

To change series fields to category fields or vice versa, drag the fields to the appropriate drop areas. To include different source data in the report, click the report, click PivotTable and PivotChart Wizard on the Data menu, click Back, and use step 2 of the wizard to specify different Excel source data or get different external source data for the report.

The page field options are unavailable.

Check the type of field The field you selected might not be a page field. These settings are available only for page fields.

Check for external source data The report might not be based on external data. These settings are not available for reports based on worksheet data.

Check for OLAP source data These settings are not available for reports that are based on OLAP source data. The field list has Dimension field icon and Data field icon icons in OLAP-based reports.

Check the data type for the field The page field settings are unavailable for memo fields or fields that contain OLE objects.

Check for parameter query support The ODBC driver for your external database might not support parameter queries. These settings are available only if the driver for your data source supports parameter queries.

The ODBC drivers supplied with Microsoft Query all support parameter queries. To find out whether a third-party driver supports parameter queries, contact your driver vendor.

Check for reports based on another PivotTable report When you base more than one PivotChart report on an existing PivotTable report, page field settings are not available for any of the reports.

Check whether the field is grouped In the associated PivotTable report, drag the field to the row or column area, right-click any grouped items, point to Group and Show Details on the shortcut menu, click Ungroup, and then drag the field back to the page area to make the page field settings available.

While a query is running, I can't change the sheet

Check whether the area you're editing is being updated While a query is running in the background, you can't change the report you're currently updating, or any other reports based on the report.

Wait for the query to complete, or cancel it To check the progress or cancel a query, double-click the refresh indicator icon in the status bar, and if desired click Stop Refresh.

Run the query in the background On the PivotTable toolbar, click PivotChart, click Options, and then select the Background query check box.

A data field is using Count instead of Sum

Check for text or blank items in the field If your data field contains any text values or blank cells, the field uses the Count summary function by default. Double-click the field and click Sum in the Summarize by box.

Check for OLAP source data In reports based on OLAP source data, the available summary functions are determined on the OLAP server, and you cannot change them in the Microsoft Excel report. The field list has Dimension field icon and Data field icon icons in OLAP-based reports.

Data is missing after the report is refreshed

Set page fields to view all data Select All in every page field before you refresh the report.

If a page field does not include All, either the field is set to query for external data one item at a time, or the source data doesn't include information for an All item. In both cases, the data is refreshed whenever you select a different item.

Check the location of the missing data For reports based on worksheet data, the new data might have been added outside the source range you originally specified, or the source data could have been moved to a new location.

  1. On the Data menu, click PivotTable and PivotChart Report.

  2. Click Back.

  3. Change the source range specification to include the new data or to specify the new location.

  4. Click Finish.

Check that the query is selecting the right data For reports based on external data, review the query in Microsoft Query to make sure it is retrieving the data you want.

Check the cube or cube file If the report is based on a cube created by the OLAP Cube Wizard, open the .oqy file in Microsoft Query and check the contents of the cube to make sure it contains the data you want. If the report is based on a cube file, check the cube file contents: click the associated PivotTable report for the PivotChart report, click PivotTable on the PivotTable toolbar, click Offline OLAP, and then click Edit offline data file. If the report is based on source data from an OLAP server database, contact your database administrator to find out whether the database has changed.

The report looks completely different after refresh, or can't be refreshed

Check the availability of the source database Make sure you can still connect to the external database and view data.

Check for changes to the source database If the report is based on OLAP source data, changes may have been made to the data available in the cube on the server. Contact the administrator of the OLAP server for more information.


Troubleshoot linking with other programs

I can't update the automatic links on my Microsoft Excel worksheet.

To ensure that automatic links to data in other programs are updated, click Options on the Tools menu, click the Calculation tab, and make sure the Update remote references check box is selected. If this check box is cleared, the Automatic option in the Links dialog box (Edit menu) is overridden for linked data sources from other programs, such as a Microsoft Word document or a Microsoft Access database.

When I double-click a linked or embedded object, a "cannot edit" message appears.

This message appears when the source file or source program can't be opened.

Make sure the source program is available If the source program is not installed on your computer, convert the object to the file format of a program you do have installed.

Ensure that memory is adequate Make sure you have enough memory to run the source program. Close other programs to free up memory, if necessary.

Close all dialog boxes If the source program is running, make sure it doesn't have any open dialog boxes. Switch to the source program, and close any open dialog boxes.

Close the source file If the source file is a linked object, make sure someone else doesn't have the it open.

Ensure that the source file name has not changed If the source file you want to edit is a linked object, make sure it has the same name as it did when you created the link and has not been moved. Select the linked object, and then click the Links command on the Edit menu to see the name of the source file. If the source file has been renamed or moved, use the Change Source button in the Links dialog box to locate the source file and reconnect the link.

I can't open an Excel object from another program.

  1. In Excel, click Options on the Tools menu, and then click the General tab.
  2. Clear the Ignore other applications check box.

    If this option is selected, Excel ignores requests from programs that link to Excel data by means of DDE rather than OLE.


Troubleshoot PivotChart reports

Creating a report

An 'insufficient memory' message appears

Check the memory use setting

  1. Click OK in the message dialog box.

  2. Create the report again, and in step 3 of the PivotTable and PivotChart Wizard, click Options.

  3. Select the Optimize memory check box.

Use page fields to save memory If you still can't create the report, set up one or more of the page fields to retrieve the data as you select each item.

  1. In step 3 of the wizard, click Layout.

  2. Drag one or more fields to the PAGE area.

  3. Double-click each page field.

  4. Click Advanced.

  5. Click Query external data source as you select each page field item.

Simplify the report The number of fields you can add depends on the amount of memory in your computer and the amount of source data used for the report. When you want to use a large number of fields, add them as series fields or page fields. Page fields use the least memory. Series fields use less memory than category fields.

Base multiple reports for the same data on one report When you create a PivotChart report, Microsoft Excel creates a storage area in memory for the report. If you plan to create several reports from the same source data, select Another PivotTable report or PivotChart report in step 1 of the wizard so that the reports all use the same storage area.

Simplify the file Reduce the number of reports in the workbook.

Create the report in a separate file If your report is based on worksheet data, create the report in a different workbook from the workbook that contains the data. That way, the original data and the report do not have to be in memory at the same time. Keep in mind that when you create a PivotChart report, its associated PivotTable report must be in the same workbook.

The report I want isn't listed in the PivotTable and PivotChart Wizard

The wizard only lists PivotTable reports If you want to base the new report on another PivotChart report, select the associated PivotTable report for the other PivotChart report. To determine which report that is, click the PivotChart report, click PivotChart on the PivotTable toolbar, and then click Options. The Name box contains the name of the associated PivotTable report.

Check the location of the report The wizard lists only the PivotTable reports in the workbook where you started the wizard. If the report you want to use as the source is in a different workbook, copy the report into the active workbook.

Check the page field settings The PivotTable report you want may have page fields that are set to query for external data as you select each item. To use a report as the source for another report, its page fields must all be set to retrieve external data for all items at once. Click the source report, double-click each page field, click Advanced, and then check the settings under Page field options.

I'm having problems with an OLAP data source

Creating OLAP cubes

Date or time fields have incorrect levels

Check the date or time field in the source database If you don't see the levels you expect in the date or time dimensions in source data from the OLAP Cube Wizard in Microsoft Query, check the date or time field from the underlying relational database that supplied the data for the cube. The database may store dates and times as text instead of a date or time format that the wizard can recognize. If you suspect this is the case, consult the database administrator for the relational database to verify and correct the date or time format for the field.

Check the top level of the dimension When you add date and time fields as lower levels of a dimension, the OLAP Cube Wizard does not automatically break the data out into year/quarter/month/week and hour/minute/second levels. The wizard does this only when you add the date or time field as the top level of a new dimension. If the date or time field is not the top level, modify the cube by opening the .oqy file in Microsoft Query, or contact the person who created the cube to make these changes.

The summary function I want is missing

In the OLAP Cube Wizard, the only summary functions available for data fields are Sum, Count, Min, and Max.

Create the report directly from the database records If you can simplify and reduce your query to where your system can handle the amount of data it returns, try returning the data directly to Microsoft Excel from Microsoft Query without creating a cube. When you create a PivotTable or PivotChart report directly from records in a database, you have access to the full set of PivotTable summary functions (Sum, Count, Average, Max, Min, Product, Count Nums, StdDev, StdDevp, Var, and Varp).

Consider setting up an OLAP server for the database The Microsoft OLAP server product, Microsoft SQL Server OLAP Services, lets you set up a wider range of summary fields than the OLAP client software included in Microsoft Office.

I can't change my OLAP cube

Make sure the original database is available To edit an OLAP cube, you must have access to the original server database that supplied the cube data. Check to make sure the database hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Check for changes to the original database If you used the OLAP Cube Wizard to create the cube from a relational database, tables in the database might have been renamed or deleted so that the cube can no longer locate the original data. Connect to the database in Microsoft Query, and check for any changes to the organization, or schema, of the database. If the database has changed, you'll need to create a new cube.

A 'Data has been lost' message appears

A field you included in the cube is no longer available in the source database.

Check for changes to the original database If the cube is an offline cube file that was created from an OLAP server database, reconnect a report to the server database and check the fields available in the PivotTable Field List window. If the field is no longer available from the server, you can use the Offline OLAP command on the PivotTable menu to create a new offline cube file.

If you created the cube in Microsoft Query, use Query to open the .dqy query file that you used to create the cube, or if you did not keep a .dqy file, create a new query connecting to the original relational database. Check what fields are available. For full instructions, see Help in Microsoft Query. If fields have been removed from the database, you can create a new cube.

Saving the cube file is taking a long time

If you included a large subset of the OLAP data in the cube file, the file may be time consuming to create.

  • To cancel saving the file, click Stop in the Create Cube File – Progress dialog box.

  • To reduce the size of the file, eliminate data that you don't need to view in your report. In step 2 of the Offline Cube Wizard, select only the dimensions and levels within each dimension that you need to see. In step 3, select only the measures that you're using as data fields in the report, and in each dimension eliminate any items you don't need.

I run out of disk space while saving a cube

OLAP databases are designed to manage very large amounts of detailed data, and as a result, the server database might occupy a much larger amount of disk storage than your local hard disk provides. If you specify a large subset of this data for your offline cube file, you might run out of space.

Free up disk space or find another disk Try deleting files you don't need from your disk before saving the cube file. Or try saving the file on a network drive.

Include less data in the offline cube file Consider how you can minimize the amount of data in the file and still have what you need for your PivotTable or PivotChart report. Try the following:

  • Eliminate dimensions In step 2 of the Offline Cube Wizard, select only the dimensions that you actually have displayed as fields in your PivotTable or PivotChart report.

  • Eliminate levels of detail Click the Plus box box next to each selected dimension in step 2 of the wizard, and clear the check boxes for levels lower than those displayed in your report.

  • Eliminate data fields In step 3 of the wizard, click the Plus box box next to Measures, and select only the data fields you're using in the report.

  • Eliminate items of data Click the Plus box box next to each dimension in step 3, and clear the check boxes for items you don't need to see in the report.

Stay connected to the server If you've eliminated all possible data and still cannot save an offline cube file, you'll need to continue using the connection to the server OLAP database to interact with your report.

Using OLAP cubes

Data is missing from my report after I create a cube file

When you selected the contents for the offline cube file, you might have left out some of the data for the fields used in the report. As a result, when you change the report to display different data, data you expected to see isn't available from the offline cube file.

Use the Offline OLAP command on the PivotTable menu to reconnect the report to the server database, and make sure the report displays the data you want to see. Then edit the offline cube file, making sure you include all dimensions, data fields, and levels of detail used in the report.

My report is using fields from the query instead of my cube

If the PivotTable Field List window is showing you the fields from the relational database that you queried to create the cube, you returned the data from your query to Microsoft Excel instead of opening the .oqy file created by the OLAP Cube Wizard. This file stores the cube definition, and if you saved a .cub offline cube file, provides access to that file. If you did not specify a new location for the .oqy file, the file was saved in either My documents\My data sources or Winnt\Profiles\your user name\My data sources, depending on your version of the Windows operating system.

To base a report on your new cube, click Open on the Excel File menu, click Query Files in the Files of type list, and then locate and double-click the .oqy file. If you want a PivotChart report, click the PivotTable report that's created when you open the .oqy file, and then click Chart Wizard [image] on the PivotTable toolbar.

Data I know is in the database is missing from my cube

Cubes created from OLAP server databases or relational databases don't necessarily include all of the data in the original database. Only the data that you select in the Offline Cube Wizard or OLAP Cube Wizard is included in the cube.

Wait for data retrieval to complete When you change your PivotTable or PivotChart report to display different data, new data is retrieved from the cube. When you refresh the report, new data is retrieved from the original database and the cube is completely reconstructed. This process might take a while.

Check with the person who created the cube If you got the cube from someone else, and the PivotTable Field List window is missing fields that you need or levels of detail that you wanted are unavailable, ask the creator of the cube to change it so that it includes additional data.

Change the contents of an offline cube file If you created the offline cube file in Microsoft Excel from an OLAP server database, use the Offline OLAP command on the PivotTable menu to change the file. Make sure you include all dimensions, data fields, and levels of detail used in the report.

Check the contents of a cube that was created in Query You cannot add data to cubes created with the OLAP Cube Wizard in Microsoft Query, but you can change how the cube is organized and delete data from the cube. If the cube is missing fields from the original relational database, you can create a new cube in Query to include those fields. In Query, open the .dqy file that you used to query the data for the OLAP cube, or create a new query if you did not keep a .dqy file. Add to the query any additional fields that you want in the cube, and then use the Create OLAP Cube command on the Query File menu create a new cube. For full instructions, see Help in Microsoft Query.

New data doesn't appear in my report when I refresh

The offline cube file, or the cube created in Microsoft Query, might not be able to connect with the original server database to retrieve new data.

Make sure the original database is available Check that the original server database that supplied the data for the cube hasn't been renamed or moved. Make sure the server is available and you can connect to it.

Make sure new data is available Check with the database administrator to determine whether the database has been updated in the areas included in your report.

Make sure the database organization hasn't changed If an OLAP server cube has been rebuilt, or a relational database supplying data to a cube has been reorganized, you might need to reorganize your report or create a new offline cube file or OLAP Cube Wizard cube to access the changed data. Contact the database administrator to find out about changes to the database.

Microsoft Excel can't find my offline cube file

The .cub might have been renamed or moved.

Make sure you have the file If someone else gave you the .oqy file you're opening, make sure you also have access to the .cub file.

Browse for the file If you're trying to connect to the offline cube file from the Offline OLAP Settings dialog box, click Browse, and locate the .cub file.

Reconnect to the original database If you cannot locate the file, you might be able to reconnect the report to the original OLAP server database. Click the report, click Offline OLAP on the PivotTable menu, and then click On-line OLAP. You can then create a new offline cube file.

Note For further help with problems with OLAP Cube Wizard cubes, see Help in Microsoft Query.

Laying out a report

The field buttons are gone, and I can't change the layout

Check whether the buttons are hidden Click the report, click PivotChart on the PivotTable toolbar, and make sure the Hide PivotChart Field Buttons command is not checked.

Check whether the report was converted to a static chart Excel converts a PivotChart report to a static chart when you delete its associated PivotTable report, copy or move the PivotChart report to another workbook, or save the workbook in Microsoft Excel 95 or earlier format or a non-Excel format.

Data takes a long time to appear when I add a field

When a report is based on a large amount of external data or an OLAP Cube Wizard data source, delays can be lengthy when you drag fields from the field list onto the worksheet.

Drop data items last Drop fields in the series, category, and page areas first. Drop fields in the data area last. This approach minimizes the amount of data Microsoft Excel has to display for interim steps.

Turn off series and category item display On the PivotTable toolbar, make sure Always Display Items [image] is turned off. The items won't appear as you drag fields to the series and category areas, but will appear once you add a data field.

Use the wizard to change the layout If the response is still too slow, you can return to the PivotTable and PivotChart Wizard to lay out the report. On the Data menu, click PivotTable and PivotChart Report, and then click Layout.

I can't drag a field

Check the page field settings If the field you want to drag is set to query for external data as you select each item, the field may be locked in the page position. Double-click the field, click Advanced, and clear the Disable pivoting of this field check box under Page field options. If you drag the field to another area, Microsoft Excel retrieves the external data for all items in the field at once.

Check for OLAP source data In reports with OLAP source data, some fields can be used only as series, category, or page fields. These fields have Dimension field icon icons in the PivotTable Field List window. Fields with Data field icon icons can be used only as data fields.

Check for VBA macros A Visual Basic for Applications (VBA) macro can turn off the ability to change the layout by dragging fields. If the cancel symbol appears over the pointer when you try to drag the field, dragging has been turned off for that field. For help with this case, contact the author of the macros in your workbook.

Check for protection If the chart sheet or the worksheet containing the associated PivotTable report is protected, you cannot move fields or make changes to the PivotChart report. Unprotect the chart sheet or worksheet, or contact the person who protected it.

The field list is missing

Click the report The list of fields appears only when the report is selected.

Display the field list If you still don't see the field list, click Show Field List [image] on the PivotTable toolbar.

A field doesn't have a dropdown arrow

Check whether it's the only data field The Data field appears next to the category fields with a dropdown arrow only when you've added two or more data fields to a report. If the report has a single data field, the field appears at the top of the report, below the page area.

Check whether the field is in an OLAP dimension In reports with OLAP source data, dimension fields in the series and category areas have an arrow Field arrow in the field button only if the field is the topmost field in the dimension. You can use the arrow in this field to display or hide different levels of detail throughout the dimension.

Check whether upper levels are hidden When upper levels of a dimension are hidden, the topmost field is hidden, and none of the displayed fields have the arrow Field arrow. Right-click any field button in the dimension, and then click Show Levels on the shortcut menu.

The dropdown arrow for a field doesn't work

On the PivotTable toolbar, make sure Always Display Items [image] is turned on. If you don't want to turn on this feature, drag a field to the data area. Once you have a field in the data area, the dropdown arrows will work for all fields in the report.

Formatting a report

Formatting, trendlines, and error bars disappeared

Check for changes to the data displayed When you make changes that affect what data is displayed in a PivotChart report or its associated PivotTable report, Microsoft Excel discards any formatting you've applied to data labels, data points, and data series, including any trendlines and error bars you've added.

Changes that result in lost formatting include changing the layout, adding or removing fields, displaying or hiding items, displaying a different page in a page field, grouping or ungrouping items, displaying or hiding detail, sorting, changing the summary function for a field, changing the display of subtotals, specifying different source data including changing the query for external data, and refreshing the report.

Finish making changes before you add formatting Make sure you are satisfied with the layout and data displayed in the PivotChart report before you make formatting changes.

Record a macro to apply formatting If you change the report frequently, you can record a macro as you apply the desired formatting and then run the macro when you need to reapply your formatting.

I can't move or resize the legend, titles, or plot area

In a PivotChart report, you can't move or resize the legend, titles, or plot area as you would in a regular, noninteractive chart. Microsoft Excel automatically resizes the plot area to accommodate changes to the report.

Repositioning the legend You can't change the size of the legend, but you can change where it appears in the chart: on the Chart menu, click Chart Options, click the Legend tab, and then click an option under Placement.

Resizing titles You can't move a title, but you can change its size by changing the font size: click the title, click Selected Chart Title on the Format menu, click the Font tab, and then select the size you want.

The report doesn't use the position or size of items in my user-defined chart type

You can't move or resize the legend, titles, or plot area in a PivotChart report. Microsoft Excel automatically positions and sizes these elements as needed each time you change the report. As a result, when you specify a user-defined chart type for a PivotChart report, the report uses its automatic position and size for the legend, titles, and plot area instead of any sizes and positions you've saved in the chart type.

Number formatting doesn't match the source data

Microsoft Excel doesn't use the number formatting from Excel source data in the value axis in a PivotChart report. The value axis initially reflects the number formatting of the data area of the associated PivotTable report.

To change the value axis formatting, click the axis, click Selected Axis on the Format menu, click Number, and then select the formatting you want. This change does not affect the number formatting in the associated PivotTable report.

Data and calculations

The Source Data command is unavailable on the Chart menu

When you want to change the position of your series or category data, or redefine the source data to be included, you cannot use the Source data command on the Chart menu, as you can in a regular, noninteractive chart.

To change series fields to category fields or vice versa, drag the fields to the appropriate drop areas. To include different source data in the report, click the report, click PivotTable and PivotChart Wizard on the Data menu, click Back, and use step 2 of the wizard to specify different Excel source data or get different external source data for the report.

The page field options are unavailable.

Check the type of field The field you selected might not be a page field. These settings are available only for page fields.

Check for external source data The report might not be based on external data. These settings are not available for reports based on worksheet data.

Check for OLAP source data These settings are not available for reports that are based on OLAP source data. The field list has Dimension field icon and Data field icon icons in OLAP-based reports.

Check the data type for the field The page field settings are unavailable for memo fields or fields that contain OLE objects.

Check for parameter query support The ODBC driver for your external database might not support parameter queries. These settings are available only if the driver for your data source supports parameter queries.

The ODBC drivers supplied with Microsoft Query all support parameter queries. To find out whether a third-party driver supports parameter queries, contact your driver vendor.

Check for reports based on another PivotTable report When you base more than one PivotChart report on an existing PivotTable report, page field settings are not available for any of the reports.

Check whether the field is grouped In the associated PivotTable report, drag the field to the row or column area, right-click any grouped items, point to Group and Show Details on the shortcut menu, click Ungroup, and then drag the field back to the page area to make the page field settings available.

While a query is running, I can't change the sheet

Check whether the area you're editing is being updated While a query is running in the background, you can't change the report you're currently updating, or any other reports based on the report.

Wait for the query to complete, or cancel it To check the progress or cancel a query, double-click the refresh indicator icon in the status bar, and if desired click Stop Refresh.

Run the query in the background On the PivotTable toolbar, click PivotChart, click Options, and then select the Background query check box.

A data field is using Count instead of Sum

Check for text or blank items in the field If your data field contains any text values or blank cells, the field uses the Count summary function by default. Double-click the field and click Sum in the Summarize by box.

Check for OLAP source data In reports based on OLAP source data, the available summary functions are determined on the OLAP server, and you cannot change them in the Microsoft Excel report. The field list has Dimension field icon and Data field icon icons in OLAP-based reports.

Data is missing after the report is refreshed

Set page fields to view all data Select All in every page field before you refresh the report.

If a page field does not include All, either the field is set to query for external data one item at a time, or the source data doesn't include information for an All item. In both cases, the data is refreshed whenever you select a different item.

Check the location of the missing data For reports based on worksheet data, the new data might have been added outside the source range you originally specified, or the source data could have been moved to a new location.

  1. On the Data menu, click PivotTable and PivotChart Report.

  2. Click Back.

  3. Change the source range specification to include the new data or to specify the new location.

  4. Click Finish.

Check that the query is selecting the right data For reports based on external data, review the query in Microsoft Query to make sure it is retrieving the data you want.

Check the cube or cube file If the report is based on a cube created by the OLAP Cube Wizard, open the .oqy file in Microsoft Query and check the contents of the cube to make sure it contains the data you want. If the report is based on a cube file, check the cube file contents: click the associated PivotTable report for the PivotChart report, click PivotTable on the PivotTable toolbar, click Offline OLAP, and then click Edit offline data file. If the report is based on source data from an OLAP server database, contact your database administrator to find out whether the database has changed.

The report looks completely different after refresh, or can't be refreshed

Check the availability of the source database Make sure you can still connect to the external database and view data.

Check for changes to the source database If the report is based on OLAP source data, changes may have been made to the data available in the cube on the server. Contact the administrator of the OLAP server for more information.


Troubleshoot Solver

Solver stops before a solution is found.

Solver might stop before reaching a solution for any of the following reasons:

  • You interrupted the solution process.
  • You selected Show Iteration Results in the Solver Options dialog box before you clicked Solve.
  • You clicked Stop while stepping through iterations or when the maximum time or number of iterations was reached.
  • You selected the Assume Linear Model check box in the Solver Options dialog box, but the problem is nonlinear.
  • The value in the Set Target Cell you specified in the Solver Parameters dialog box is increasing or decreasing without limit.
  • You need to allow Solver more time to find a solution. Adjust the Max Time or Iterations setting in the Solver Options dialog box.
  • For problems with integer constraints, you need to decrease the Tolerance setting in the Solver Options dialog box so that Solver can find a better integer solution.
  • For nonlinear problems, you need to decrease the Convergence setting in the Solver Options dialog box so that Solver can keep searching for a solution when the target cell value is changing slowly.
  • You need to select the Use Automatic Scaling check box in the Solver Options dialog box because some input values are several orders of magnitude apart, or input and output values differ by several orders of magnitude.

When Solver stops, a completion message appears in the Solver Results dialog box. Click Keep Solver Solution or Restore Original Values, make the changes you want, and then try again.

The adjustable cells and constraint or target cells differ in magnitude.

When the typical values of the adjustable cells and the constraint cells or target cells differ from each other by more than a few orders of magnitude, select the Use Automatic Scaling check box in the Solver Options dialog box. For nonlinear problems, before you click Solve in the Solver Parameters dialog box, make sure that the initial values of the adjustable cells are the same order of magnitude as you expect for the final values.

I didn't get the solution I expected.

For nonlinear problems, it can be helpful to try different starting values for the adjustable cells, especially if Solver has found a solution that is significantly different from what you expected. You can also reduce the solution time by setting the adjustable cells to values that you suspect are close to optimal.

For linear models (that is, when the Assume Linear Model check box on the Solver Options dialog box is selected), the initial values of the adjustable cells don't affect the final values or the solution time.

The solution found by Solver was different from the previous result.

Solver displays the following message, "Solver has converged to the current solution. All constraints are satisfied." The relative change in the target cell is less than the Convergence setting in the Solver Options dialog box for the last five trial solutions. If you provide a smaller value for the Convergence setting, Solver could try for a better solution but would take more solution time.

Solver cannot reach an optimal solution.

The following lists completion messages displayed by the Solver.

Solver cannot improve the current solution. All constraints are satisfied.

Only an approximate solution has been found, but the iterative process cannot find a better set of values than those displayed. Either further accuracy is not achievable, or the precision setting is too low. Try changing the precision setting in the Solver Options dialog box to a larger number, and then run the problem again.

Stop chosen when the maximum time limit was reached.

The maximum amount of time has elapsed without finding a satisfactory solution. To save the values found so far and also save future recalculation time, click Keep Solver Solution or Save Scenario.

Stop chosen when the maximum iteration limit was reached.

The maximum number of iterations has been reached without finding a satisfactory solution. Increasing the number of iterations might help, but you should examine the final values for insights into the problem. To save the values found so far and also save future recalculation time, click Keep Solver Solution or Save Scenario.

The Set Target Cell values do not converge.

The value for the target cell is increasing (or decreasing) without bound, even though all constraints are satisfied. You might have omitted one or more constraints in setting up the problem. Check the current worksheet values to see how the solution is diverging, check the constraints, and then run the problem again.

Solver could not find a feasible solution.

Solver could not find a trial solution that satisfies all constraints within the precision setting. It is likely that the constraints are inconsistent. Examine the worksheet for a possible mistake in the constraint formulas or in the choice of constraints.

Solver stopped at user's request.

You clicked Stop in the Show Trial Solution dialog box, either after interrupting the solution process or when stepping through trial solutions.

The conditions for Assume Linear Model are not satisfied.

You selected the Assume linear model check box, but the final calculations in Solver yield values that do not agree with the linear model. The solution is not valid for the actual worksheet formulas. To check whether the problem is nonlinear, select the Use automatic scaling check box, and run the problem again. If you see this message again, clear the Assume linear model check box, and then run the problem again.

Solver encountered an error value in a target or constraint cell.

One or more formulas yielded an error value on the latest calculation. Find the target or constraint cell that contains the error, and change its formula to yield an appropriate numeric value.

You typed an invalid name or formula in the Add Constraint or Change Constraint dialog box, or you typed "integer" or "binary" in the Constraint box. To constrain a value to an integer, click Int in the list of comparison operators. To set a binary constraint, click Bin.

There is not enough memory available to solve the problem.

Microsoft Excel couldn't allocate the memory needed by Solver. Close some files or programs and try again.

Another Microsoft Excel instance is using SOLVER.DLL.

More than one Microsoft Excel session is running, and one session is already using Solver.dll. Solver.dll can be used in only one session at a time.


Troubleshoot saving and closing files

When I save a file, it is saved with an additional file name extension, .xls.

When you save a file with an extension other than the default for that file type, your Microsoft Office program adds the default extension to the file name. For example, a file name for a Microsoft PowerPoint presentation might appear as Budget.abc.ppt. To save a file with an extension other than the default, enclose the entire file name in quotation marks — for example, "Budget.abc".

The file I saved contains two periods in the file name.

In Microsoft Windows, file names can contain some punctuation characters, such as commas or periods. When you save a file with a name that ends with a period — for example, Sales. — Microsoft Office programs add another period and the default extension to the file name. For example, a Microsoft Word document saved as Sales. will appear as Sales..doc. When you save a file with its default extension, it isn't necessary to type a period following the file name. Office programs automatically add the period when they add the extension.

The file format I want isn't listed in the Save As dialog box.

Make sure that the file format you want is included with Microsoft Excel and is installed on your computer.

When I try to save changes, I get a message saying the workbook is read-only.

You can't make changes to a read-only file. To save changes, save the file with a new name by using the Save As command on the File menu. You can use the same name if you save the file in a new or different folder.

I entered my user name and password but I still can't access a network drive.

Make sure you enter the correct user name and password and that the CAPS LOCK key is not on. If you still cannot access the network server, consult your network administrator.

When I save in dBASE format, some of my data is missing.

Note that only data in the named range or current region is saved When you save a Microsoft Excel worksheet in dBASE (DB2, DB3, or DB4) format and the worksheet contains a range named "Database," only data in the named range is saved in the dBASE file. If you add new records after naming the range, you must redefine the database range to include the new records before you save the sheet in dBASE format.

If there is no range named "Database" on the sheet, only data in the current region is converted. If the first row of data contains text, Excel uses it as the header row to define field names. If the first row contains all numbers, Excel creates field names such as N1, N2, and so on.

Make sure character strings are shorter than column width When saving data in dBASE format, Excel assigns a data type to each field (column of data) that is based on the field data in the first record of the database range or current region.

If a field in the first record contains text, that field is assigned the character data type, and any numbers contained in the field in other rows become character strings. The column width of the field determines the string length; character strings longer than the column width are truncated in dBASE. To prevent losing data, select the range you want to convert in Excel, and apply a monospaced font such as Courier. To size the columns to show all the data, point to Columns on the Format menu, and then click AutoFit Selection. Numeric data fields cannot contain text; any text in a numeric data field becomes null.

Use a number format other than General If decimal numbers have the General number format, the decimal places are truncated in dBASE. Before you save the data in dBASE format, apply a different number format to all data in that field. On the Format menu, click Cells, and then click the Number tab. In the Category box, click Number or Scientific, and then specify the number of decimal places you want.

Change time data to text data Fields that contain time data cannot be converted. Before you save data in dBASE format, you can change time data to text data by using the TEXT worksheet function. For example, to change the time 12:34 PM to text data, use the function =TEXT("12:34", "hh:mm AM/PM").

When I try to save my workbook, I get errors, warnings, and messages about AutoRepublish.

The workbook you are saving is set to automatically republish items to a Web page. A message is displayed to let you know you are republishing to a Web page, and gives you the opportunity to continue or disable AutoRepublish. For more information, click Help in the message.

You may also see a message alerting you to warnings and errors associated with the data you are republishing; for example, if you attempt to republish a range that includes external references, you are warned that the values (and not the references) will be republished. For more information on specific errors and warnings, click Help in the message.


Troubleshoot Excel and the Web

Accessing or copying data

I can't create a Web query that accepts parameters.

Some of the Web queries provided with Microsoft Excel allow you to enter parameters when you run the query. For example, the MSN MoneyCentral Investor Stock Quotes query allows you to enter stock symbols to retrieve data for specific stocks. The New Web Query dialog box does not allow you to create Web queries that prompt for parameters. To create this type of Web query, you need knowledge of HTML, and the Web page must be set up to accept parameter input. If you have this information, you can save a Web query file that returns data from the Web page you want, and you can then modify the .iqy file in a text editing program, such as Notepad. For more information, consult the author of the Web page you want to query.

Table icons are blank in the New Web Query dialog box.

You may have turned off the option to show pictures in your browser. To show pictures in Microsoft Internet Explorer 5, do the following:

  1. Click Internet Options on the Tools menu, and then click the Advanced tab.
  2. Under Multimedia, select the Show pictures check box.
  3. Click OK.

I can't refresh the data that I published or saved as an interactive spreadsheet on a Web page.

Without scripting, you can't automatically refresh an external data range in an interactive spreadsheet. To refresh the data, you must republish the spreadsheet from Microsoft Excel with the new data that you want to use.

To make it possible to refresh an external data range that you put on a Web page, publish or save the data as a PivotTable list. Users can then refresh the PivotTable list in the browser when the source data changes. For more information, see the Microsoft Office Web Component Help for PivotTable lists or spreadsheets. To display this Help, click an interactive spreadsheet or PivotTable list on your Web page in the Web browser, and then click the Help button on that control's toolbar.

In my Web browser, I can't export my Web page data to Microsoft Excel.

You must use Microsoft Internet Explorer version 4.01 or later if you want to export data from your Web page. You can export only interactive PivotTable lists and spreadsheets.

Clicking the Edit button in my Web browser opens my Web page in the wrong program.

Which programs are available from the Edit button in the Web browser depends on how the page was published.

If clicking the Edit button in your Web browser opens an Office program that you do not want to use, close the program, start the Office program you want to use, and open the Web page from there by doing the following:

  1. Click Open on the File menu.

  2. Locate and select the file you want to open.

  3. Click the arrow next to Open at the bottom of the dialog box, and then click Open in program name.

I get an error message that says the file name cannot be accessed when I try to publish or save data as a Web page.

If you publish or save Microsoft Excel data as a Web page and get a message that says the file name cannot be accessed, one or more of the following might be the reason:

  • You're trying to publish or save a Web page that has the same file name as an existing HTML file. Specify a new name for your Web page file and publish again.
  • The location you're trying to publish to is unavailable, the path name is incorrect, or the file is already open. Check the path name, and then make sure no one else has the file open.
  • The amount of information you're saving might have exceeded the limit that can be accurately saved, especially if you're putting interactive data on the Web. Try to save a smaller amount of data.

Items don't appear correctly on the Web page

Text doesn't appear correctly.

Upgrade to Microsoft Internet Explorer version 4.01 or later To view a Web page that was saved with interactive data and have all the text appear correctly, you must use Microsoft Internet Explorer 4.01 or later and have the Microsoft Office Web Components installed.

Modify cells that contain automatically wrapped text You might have formatted cells with wrapped text before you published or saved the data as a Web page. In an interactive PivotTable list or spreadsheet on a Web page, text does not wrap within cells. To prevent text from being cut off when you publish or save it, you can shorten the text, use multiple cells for text, or widen the column in your worksheet, and then republish the data.

Do not use CSS for font formatting If you are using a browser that doesn't support cascading style sheets (CSS), do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the Browsers tab.
  3. Clear the Rely on CSS for font formatting check box.
  4. Republish your data.

Text in a cell is cut off when I publish or save data as a Web page.

Modify cells that contain automatically wrapped text You might have formatted cells with wrapped text before you published or saved the data as a Web page. In an interactive PivotTable list or spreadsheet on a Web page, text does not wrap within cells. To prevent text from being cut off when you publish or save it, you can shorten the text, use multiple cells for text, or widen the column in your worksheet, and then republish the data.

Widen the column the text is in If you publish a non-interactive range of cells where text in a cell overlaps another cell, the overlapping portion may not be published. Widen the column the text is in so that it does not overlap other cells.

Realign the text If you see text that is cut off in a cell and you are using Microsoft Internet Explorer 5, the text was longer than the length of the cell when it was published, and it was right or center aligned. You can do the following:

  1. Open the original workbook (.xls file) in Excel.
  2. Click the cell that contains the text that is cut off.
  3. On the Format menu, click Cells, and then click the Alignment tab.
  4. In the Horizontal box, click Left (Indent) and then click OK.
  5. Publish or save the data as a Web page again.

Note In Microsoft Internet Explorer version 4.01 or earlier, centered, left-aligned, and right-aligned text automatically wraps within the cell in noninteractive Web pages.

Rotated text doesn't appear correctly when I save or publish data as a Web page.

You can't use rotated or vertical text when you publish or save Microsoft Excel data as a Web page. Rotated and vertical text are converted to horizontal text.

Items I publish or save to an existing Web page always appear at the bottom of the page.

When you publish or save Microsoft Excel data to an existing Web page, Excel always appends the data to the bottom of the page.

To move the Excel data to another position on the Web page, you can open the Web page in a design program such as Microsoft FrontPage or Microsoft Access and rearrange the items.

I can't publish or save password-protected data as a Web page.

You cannot publish or save Microsoft Excel data as a Web page if your worksheet or workbook is password protected. To publish or save your data, remove the password, and republish your data.

My chart doesn't appear when I save or publish it as a Web page.

If you publish or save a worksheet or section of a worksheet or a PivotTable report with interactive spreadsheet functionality or PivotTable functionality, and the worksheet contains a chart, the chart is not saved on the Web page. To make the chart appear on the Web page, you must publish with chart functionality. The source data (that is, the worksheet or PivotTable list) is then published along with the chart.

I can't publish or save my chart with interactive functionality.

Make sure you select only the chart You must select only the chart, not the worksheet it appears on, to publish or save the chart as an interactive chart on a Web page.

Make sure the data is on one worksheet The chart you are trying to publish or save might be based on data ranges from two separate worksheets. Make sure all source data for your chart is on a single worksheet.

Make sure noncontiguous data is added as a new series Before you published the chart, you might have added data that was not contiguous with the original data for the chart and added the cells as new data points, rather than as a new series. If you add data to an existing chart, and the new range is not contiguous to the original range, make sure you add the cells as a new data series, not as new data points, before you publish the chart.

My PivotTable report doesn't appear correctly when I publish or save it as a Web page.

Some formatting and features are not retained when you publish or save a PivotTable report as a Web page. For example, indented formats aren't published.

I published or saved a Web page, but I can't view the page in the Web browser.

To view interactive data on Web pages, you must use Microsoft Internet Explorer version 4.01 or later and have the Microsoft Office Web Components installed to view interactive Web pages. You can install these components by installing Microsoft Office XP or, if your company has an Office XP site license, by downloading the Office Web Components from your corporate intranet.

I can't filter the data that I published or saved as a Web page.

The data you are trying to filter might contain merged cells. In an interactive spreadsheet on a Web page, you cannot filter a list that contains merged cells. Split the merged cells in your workbook and then republish the Web page.

Hyperlinks

I can't select the hyperlink text or graphic to make changes.

To select a text hyperlink without jumping to the destination, do one of the following:

  • Click a cell next to the cell that contains the hyperlink, and then use the arrow keys to move onto the cell that contains the hyperlink.
  • Click the cell that contains the hyperlink, hold the mouse button down for at least a second, and then release the button.
  • Right-click the cell that contains the hyperlink, and then click Edit Hyperlink on the shortcut menu.

  • To select the graphic for a hyperlink without jumping to the destination, either hold down CTRL and click the graphic, or click Select Objects [image] on the Drawing toolbar, and then click the graphic.

When I reopen the workbook, my hyperlinks no longer work.

Remove the drive letter from server addresses The drive letter that was mapped to the shared network directory when you created the hyperlink might no longer be mapped to the directory. To make the hyperlink independent of the current drive mappings, edit the destination for the hyperlink, and make sure you specify the address by using the server and share name rather than a drive letter. For example, you could replace G:\myfile.xls with \\server\share\myfile.xls.

Make sure the destination file locations are correct Relative paths might be incorrect if the workbook or the destination files were moved since the workbook was last saved. Make sure that the locations of the destination files are correct.

Make sure your network is running properly You might not have network access to the destinations of the hyperlinks. Make sure that your network is running properly and that you have access to the required network resources.

I can't open a workbook on the Internet.

To open files on Internet sites, such as World Wide Web or FTP sites, you must have access to the Internet either through a direct network connection or through a dial-in Internet service provider.

If you have this access, the site might be busy; try to open the workbook later.

When I click a hyperlink, an error message appears.

Make sure the destination file is available The destination file for the hyperlink might have been deleted, moved, or renamed. You can reconnect the hyperlink by updating the path for the hyperlink to the new location.

Make sure you have Internet access If the destination of the hyperlink is located on the Internet or the World Wide Web, you must have access to the Internet either through a direct network connection or through a dial-in Internet service provider. If you have this access, the site might be busy; try to open the workbook later.

Make sure your network is running properly If the destination of the hyperlink is located on your network or intranet, check your network connections, and make sure your network server is running. See your network administrator to make sure you have access to the location of the destination file.

When I copy data to my workbook, my hyperlinks don't work properly.

If you copy data containing hyperlinks to a workbook or open in Microsoft Excel a Web page containing hyperlinks, the hyperlinks might not appear correctly. A single cell can contain only one hyperlink. If more than one hyperlink or a hyperlink and extra text are placed in a single cell, the hyperlinks don't work.

To make a hyperlink work correctly, add it to the cell by using the Hyperlink command on the Insert menu.

Gridlines disappear when I click a hyperlink to a new worksheet.

When you insert a hyperlink to a new .htm file and then click the hyperlink to go to that Web page, the gridlines in the worksheet might not appear. To turn on the gridlines, do the following:

  1. Open the Web page that the hyperlink goes to in Microsoft Excel.
  2. On the Tools menu, click Options.
  3. Click the View tab.
  4. Under Window options, select the Gridlines check box.

Updating linked data or jumping to a hyperlink destination takes a long time.

The server at the destination or the destination site might be busy. Try the hyperlink again later, or try updating the linked data later. Experiment with updating links and clicking hyperlinks at different times of the day to determine when you're likely to get the best response. See your network administrator for information about the server.

Web Page Options

I don't want to keep my supporting Web files in a separate folder.

When you save a Web page to a Web server, Microsoft Excel by default stores all supporting files — such as bullets, background textures, and graphics — in a separate subfolder. If you want to save supporting files in the same folder as the Web page, do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the Files tab.
  3. Clear the Organize supporting files in a folder check box.

    Note This option applies to the current page and any future pages that you save in Excel.

I saved my Web page to a file server, and now some people can't find or view my page.

If you use a long file name (a file name with spaces or more than eight characters) to save your Web page to a file server, users with Microsoft Windows 3.1 won't be able to find or open your Web page. Windows 3.1 recognizes and supports only short file names (8.3 notation). To always save files for Web pages with short file names, do the following:

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the Files tab.
  3. Clear the Use long file names whenever possible check box.

I moved my Web page to another location, and now some of the links are broken.

When you save a Web page, Microsoft Excel by default saves all supporting files — such as bullets, background textures, and graphics — in a supporting subfolder. If you move or copy your Web page to another location, you must also move the supporting folder so that you maintain all links to your supporting files.

I can't automatically create a backup copy of my Web page.

When you save a Web page, Microsoft Excel doesn't automatically create a backup copy. The Always create backup option does not apply to HTML files. (To locate this option, click Save as on the File menu, click Tools, and then click General Options.)

To save a backup copy of a Web workbook, save the original file, and then click Save As on the File menu. In the File name box, type a new name for the backup copy and then click Save. Close the backup copy and reopen your original file to continue editing.

The file size of my Web page is too large.

If you publish or save data on the Web and add interactivity with spreadsheet functionality, and your worksheet contains formulas that reference data that is not in your selected range, you can reduce the file size by not saving the external referenced data.

  1. On the Tools menu in Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the General tab.
  3. Clear the Save any additional hidden data necessary to maintain formulas check box.

    Notes

    • This option applies to the current page and any future pages that you save in Excel.
    • If you choose not to save the hidden data, formulas that reference that data are replaced by the formulas' calculated values.

My cell references are not what I expect them to be when I publish or save Excel data as a Web page.

If the data you publish or save contains a reference to a cell or range of cells outside of the data you publish, Microsoft Excel, by default, saves the entire worksheet but only displays the cells in your selected range.

Depending on where your data started in your worksheet, the upper-left cell on your Web page might not be cell A1. To make the upper-left cell be A1, do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the General tab.
  3. Clear the Save any additional hidden data necessary to maintain formulas check box.

    Notes

    • This option applies to the current page and any future pages that you save in Excel.
    • If you choose not to save the hidden data, formulas that reference that data are replaced by the formulas' calculated values.

My query data is missing or is not updated properly.

Check the Web page you are querying to make sure it is located in the same place and still contains the same information, and make changes if necessary. To make changes to the query:

  1. Click a cell in the region of your Web query.

  2. Click Edit Query [image] on the External Data toolbar.

  3. Make changes in the Edit Web Query dialog box.

My Web query returns dates instead of numbers.

When a Web page contains numbers that appear similar to dates, such as part number 01-01-23, Microsoft Excel might interpret these numbers as dates.

To have Excel interpret these numbers as numbers, click a cell in the external data range, and then click Edit Query [image] on the External Data toolbar. In the Edit Web Query dialog box, click Options, and then select the Disable date recognition check box. Now when you run the Web query, dates on the Web page appear as dates in Excel, and numbers that are similar to dates appear correctly in Excel.

I see a red X on my Web page.

Make sure your links are working properly A red X indicates a missing graphic. If you move or copy your Web page to a new location without moving the supporting files, the links to graphics — such as photos, bullets, and background textures — may be broken.

To automatically make the paths for the linked pictures and hyperlinks relative when you save Web pages in Microsoft Excel, do the following:

  1. On the Tools menu in Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the Files tab.
  3. Select the Update links on save check box.

    Notes

    • When you select this option, Excel does not actually move or copy the supporting files when you move or copy a Web page. Rather, Excel updates the addresses to the relative links on the page.
    • You must save the moved or copied Web page for the updating to occur.

You might have changed a linked picture If you make a visual change to a linked picture, such as adding a shadow, border or outline, fill, or contrast or brightness adjustment, then Excel will create another picture with those changes for displaying in a Web page. When you view the Web page in Microsoft Internet Explorer 4 or earlier, the picture will appear with the changes but the link to the original picture will be broken. To fix the link, select the picture and click Reset Picture [image] on the Picture toolbar.

I see a blank image where the graphic should be on my Web page.

There are several reasons why graphics may not be appearing correctly on your Web page.

Adjust your browser settings Because different browsers support different versions of HTML and HTML extensions, text and graphics may look different in one computer's browser than they do in another. In some cases, graphic images appear as blanks because the browser is set to not display graphics. You can sometimes make missing graphics appear in your browser by adjusting the option to display graphics.

Test your page with different browsers When you create Web pages, consider testing them in different Web browsers — some of which are available for downloading from the Web — and with different monitor settings, to make sure all of your page elements appear correctly.

Graphics might be turned off in your Web browser To make sure that graphics are being downloaded, do the following:

  1. Open your Web page in Microsoft Excel.
  2. On the Tools menu, click Options, and then click the General tab.
  3. Click Web Options, and then click the Browsers tab.
  4. Clear the Rely on VML for displaying graphics in browsers check box.

You might have used the wrong picture format If you link a graphic to a Web page, and the graphic format isn't supported by your browser, your graphics won't show. Make sure that the linked picture is in a graphic format that is compatible with your browser. The graphic formats JPG and GIF are compatible with most browsers.

You might have changed a linked picture If you make a visual change to a linked picture, such as adding a shadow, border or outline, fill, or contrast or brightness adjustment, then Excel will create another picture with those changes for displaying in a Web page. When you view the Web page in Microsoft Internet Explorer 4 or earlier, the picture will appear with the changes but the link to the original picture will be broken. To fix the link, select the picture and click Reset Picture [image] on the Picture toolbar.

When I view my Web page on another computer, the graphics and text look different.

Reset your video resolution when you design a Web page Graphics and text can wrap differently, depending on the video resolution (the size of the screen elements relative to the screen size). The screen size you specify can affect the size and layout of images in a workbook, including the gradient page backgrounds. The pixel size affects the size of graphics relative to the size of text on the screen.

If your graphics and text don't look the way you expect, change the screen and pixel settings by doing the following:

  1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the Pictures tab.
  3. Under Target monitor, do one or both of the following:

    • In the Screen size box, select a screen size.

    • In the Pixels per inch box, select a pixel size.

    Note This option applies to the current page and any future pages that you save in Excel.

Adjust your browser settings Because different browsers support different versions of HTML and HTML extensions, text and graphics may look different in one computer's browser than they look in another. You can sometimes change the appearance of graphics and text by adjusting the custom options in your browser, such as the default text and background colors and the option to display graphics.

Test your page with different browsers When you create Web pages, consider testing them in different Web browsers — some of which are available for downloading from the Web — and with different monitor settings, to make sure all of your page elements appear correctly.

Users can't open my interactive Web page.

To use Microsoft Excel interactive data on the Web, your users must have Microsoft Office XP or access to an Office XP license and the Office Web Components installed.

If you or your users have the appropriate Office XP license, you can specify that the Web components download to the user's machine when the user opens your Web page.

  1. On the Tools menu in Excel, click Options, and then click the General tab.
  2. Click Web Options, and then click the Files tab.
  3. Select the Download Office Web Components check box.
  4. In the Location box, type the path for the file server, such as file:\\my server\my folder.

Note Users must have access to the file server and the Web Components cannot be downloaded through firewalls.

    My Web page is displaying the wrong characters for a language.

    When you open a Web page, Microsoft Excel tries to determine the encoding used for that page. If Excel displays the wrong characters when you open the page in a Web browser, you can select the encoding that you think the page is using. Try each encoding until you can read the text.

    1. On the Tools menu in Excel, click Options, and then click the General tab.
    2. Click Web Options, and then click the Encoding tab.
    3. In the Reload the current document as list, select the language you think the page is encoded in.

    A Web page that I opened has the wrong character set or font.

    If the wrong font for a Web page or plain text file is applied when you import a Web page into Microsoft Excel, you can select the character set that you think the page is encoded in. Then you can choose from a list of fonts that depends on which character set you chose.

    1. On the Tools menu in Excel, click Options, and then click the General tab.
    2. Click Web Options, and then click the Fonts tab.
    3. In the Character set list, click the character set that you think the Web page uses.
    4. In the Proportional font and Size lists, click a font and size for normal text.
    5. In the Fixed-width font and Size lists, click a font and size for monospace text.

    Note These options apply to the current page and any future pages that you import in Excel.

    My fonts aren't formatted correctly on a Web page.

    If you use Microsoft Internet Explorer 2.0, Netscape Navigator 3.0 or earlier, or any other browser that does not support cascading style sheets (CSS), you can reduce the size of your file when you save or publish a Web page by saving only in HTML format.

    1. On the Tools menu in Microsoft Excel, click Options, and then click the General tab.
    2. Click Web Options, and then click the Browsers tab.
    3. Clear the Rely on CSS for font formatting check box.

      Note This option applies to the current page and any future pages that you save in Excel.

    I want to open a Web page in Excel, but it opens in another Microsoft Office program.

    In the Open dialog box (File menu), when you select a Hypertext Markup Language (HTML) file (a Web page) and click Open or double-click the file, the file opens in the program that the file was created in. For example, if you attempt to open in Microsoft Excel an HTML file that was created in Microsoft Word, the file opens in Word instead.

    To open such an HTML file in Excel, select the file in the Open dialog box, click the arrow next to Open at the bottom of the dialog box, and then click Open in Microsoft Excel.


Troubleshoot change tracking

Tracking changes

I reshared a workbook, and now the change history is gone.

When you stop sharing a workbook, Microsoft Excel turns off change tracking and permanently erases all change history. When you reshare, changes are tracked from that point onward.

If you want to retain the full change history, don't remove the workbook from shared use. To work with features that are unavailable when the workbook is shared, work in a copy of the workbook, and stop sharing only the copy.

If you must stop sharing a workbook, you can copy or print out the change history.

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. In the When box, click All.
  3. Clear the Who and Where check boxes.
  4. Select the List changes on a new sheet check box, and then click OK.
  5. Do one or more of the following:
    • To print the History worksheet, click Print [image].
    • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

    Note When you copy or print the history, you may also want to save or print a separate copy of the shared workbook. If the workbook continues to change as you or others work on it, the history that you copied may no longer apply. For example, cell locations, including row numbers, in the copied history may no longer be current.

I turned on change tracking, but no changes are displayed.

Are the changes types that are tracked? Some types of changes aren't tracked, and as a result information about them can't be displayed.

Changes Microsoft Excel doesn't track

Change tracking records changes you make to cell contents, including moves and copies, and also row and column insertions and deletions. Microsoft Excel does not keep track of the following types of changes:

Untracked change | Alternatives
Change sheet names | Changes aren't highlighted on the sheet tabs, but are tracked in the History worksheet.
Insert or delete worksheets | Changes to a worksheet after it's inserted are tracked, but the insertion itself is not tracked.
Format cells or data | None
Hide or unhide rows or columns | None
Add or change comments | None
Cells that change because a formula calculates a new value | To find cells that change due to recalculation, use the tools on the Auditing toolbar.
Unsaved changes | You can highlight changes as you make them, but changes appear in the History worksheet only after they're saved.

Change tracking is available only in shared workbooks. As a result, features that are unavailable for use in shared workbooks also are not tracked as changes.

Features unavailable in shared workbooks

You can access the following features only if you stop sharing the workbook.

You cannot use shared workbooks on Web servers.

Unavailable feature | Alternatives
Insert or delete blocks of cells | You can insert entire rows and columns.
Delete worksheets | None
Merge cells or split merged cells | None
Add or change conditional formats | Existing conditional formats continue to appear as cell values change, but you can't change these formats or redefine the conditions.
Add or change data validation | Cells continue to be validated when you type new values, but you can't change existing data validation settings.
Create or change charts or PivotChart reports | You can view existing charts and reports.
Insert or change pictures or other objects | You can view existing pictures and objects.
Insert or change hyperlinks | Existing hyperlinks continue to work.
Use drawing tools | You can view existing drawings and graphics.
Assign, change, or remove passwords | Existing passwords remain in effect.
Protect or unprotect worksheets or the workbook | Existing protection remains in effect.
Create, change, or view scenarios | None
Group or outline data | You can continue to use existing outlines.
Insert automatic subtotals | You can view existing subtotals.
Create data tables | You can view existing data tables.
Create or change PivotTable reports | You can view existing reports.
Write, record, change, view, or assign macros | You can run existing macros that don't access unavailable features. You can record shared workbook operations into a macro stored in another nonshared workbook.
Add or change Microsoft Excel 4 dialog sheets | None
Change or delete array formulas | Existing array formulas continue to calculate correctly.

Have you made any tracked changes? When you turn on change tracking, Excel maintains information about changes from that point on. To view information about changes once they're being tracked, make some changes and then turn on change highlighting.

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. In the When box, click Since I last saved.
  3. Clear the Who and Where check boxes.
  4. Select the Highlight changes on screen check box, and then click OK.

To see the changes on the History worksheet, save the workbook, and then display the History worksheet.

How?

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    If the Track changes while editing check box is not selected, Microsoft Excel has not recorded any change history for the workbook.

  2. Select the When check box and click All.
  3. Clear the Who and Where boxes.
  4. Select the List changes on a new sheet check box.
  5. Click OK, and then click the filter arrows next to the column labels on the History worksheet to find the information you want.

Note Saving the workbook removes the History worksheet. To view the History worksheet after saving, redisplay it.

When I protect sharing, I can't set the number of change history days.

When you use the Protect and Share Workbook command and apply a password, Microsoft Excel does not erase the stored change history regardless of the number of days set to keep it.

If you don't specify a password, Excel uses the most recent settings for the change history, 30 days for a workbook that hasn't previously been saved with a different setting. You or other users can then increase but not decrease the number of days to keep the change history. Click Share Workbook on the Tools menu, click the Advanced tab, and then type a larger number in the days box.

I want to track changes without sharing my workbook.

Microsoft Excel can track changes only in shared workbooks. When you turn on change tracking, you automatically share the workbook. As a result, the features and commands that are unavailable in shared workbooks can't be tracked either.

If you do not want to make the workbook available to others, keep it on your local hard disk, You can also assign a password to the workbook file before you turn on change tracking, to prevent others from opening it.

How?

Protect worksheet elements

Protect worksheet elements from all users

  1. Switch to the worksheet you want to protect.

  2. Unlock any cells you want users to be able to change: select each cell or range, click Cells on the Format menu, click the Protection tab, and then clear the Locked check box.

  3. Hide any formulas that you don't want to be visible: select the cells with the formulas, click Cells on the Format menu, click the Protection tab, and then select the Hidden check box.

  4. Unlock any graphic objects you want users to be able to change.

    How?

    You don't need to unlock buttons or controls for users to be able to click and use them. You can unlock embedded charts, text boxes, and other objects created with the drawing tools that you want users to be able to modify. To see which elements on a worksheet are graphic objects, click Go To on the Edit menu, click Special, and then click Objects.

    1. Hold down CTRL and click each object that you want to unlock.

    2. On the Format menu, click the command for the object you selected: AutoShape, Object, Text Box, Picture, Control, or WordArt.

    3. Click the Protection tab.

    4. Clear the Locked check box, and if present, clear the Lock text check box.

  5. On the Tools menu, point to Protection, and then click Protect Sheet.

  6. Type a password for the sheet.

    Note The password is optional; however, if you don't supply a password, any user will be able to unprotect the sheet and change the protected elements. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

  7. In the Allow all users of this worksheet to list, select the elements that you want users to be able to change.

  8. Click OK, and if prompted retype the password.

Give specific users access to protected ranges

You must have Windows 2000 to give specific users access to ranges.

  1. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges. (This command is available only when the worksheet is not protected.)

  2. Click New.

  3. In the Title box, type a title for the range you're granting access to.

  4. In the Refers to cells box, type an equal sign (=), and then type a reference or select the range.

  5. In the Range password box, type a password to access the range.

    The password is optional; if you don't supply a password, any user will be able to edit the cells.

  6. Click Permissions, and then click Add.

  7. Locate and select the users to whom you want to grant access. If you want to select multiple users, hold down CTRL while you click the names.

  8. Click OK twice, and if prompted retype the password.

  9. Repeat the previous steps for each range for which you're granting access.

  10. To retain a separate record of the ranges and users, select the Paste permissions information into a new workbook check box.

  11. Protect the worksheet: On the Tools menu, point to Protection, click Protect Sheet, make sure the Protect worksheet and contents of locked cells check box is selected, type a password for the worksheet, click OK, and retype the password to confirm.

    Note A sheet password is required to prevent other users from being able to edit your designated ranges. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

Protect workbook elements and files

Protect workbook elements

  1. On the Tools menu, point to Protection, and then click Protect Workbook.

  2. Do one or more of the following:

    • To protect the structure of a workbook so that worksheets in the workbook can't be moved, deleted, hidden, unhidden, or renamed, and new worksheets can't be inserted, select the Structure check box.

    • To use windows of the same size and position each time the workbook is opened, select the Windows check box.

    • To prevent others from removing workbook protection, type a password, click OK, and then retype the password to confirm it.

Protect a shared workbook

  1. If the workbook is already shared, and you want to assign a password to protect the sharing, unshare the workbook.

    How?

    1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.

    2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

      How?

      1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

      2. In the When box, click All.

      3. Clear the Who and Where check boxes.

      4. Select the List changes on a new sheet check box, and then click OK.

      5. Do one or more of the following:

        • To print the History worksheet, click Print [image].

        • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

        Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

    3. On the Tools menu, click Share Workbook, and then click the Editing tab.

    4. Make sure that you are the only person listed in the Who has this workbook open now box.

    5. Clear the Allow changes by more than one user at the same time check box.

      If this check box is not available, you must unprotect the workbook before clearing the check box.

      How?

      1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.

      2. Enter the password if prompted, and then click OK.

      3. On the Tools menu, click Share Workbook, and then click the Editing tab.

    6. When prompted about the effects on other users, click Yes.

  2. Set other types of protection if you want: Give specific users access to ranges, protect worksheets, protect workbook elements, and set passwords for viewing and editing.

  3. On the Tools menu, point to Protection, and then click Protect Shared Workbook or Protect and Share Workbook.

  4. Select the Sharing with track changes check box.

  5. If you want to require other users to supply a password to turn off the change history or remove the workbook from shared use, type the password in the Password box, and then retype the password when prompted.

  6. If prompted, save the workbook.

Protect a workbook file from viewing or editing

  1. On the File menu, click Save As.

  2. On the Tools menu, click General Options.

  3. Do either or both of the following:

    • If you want users to enter a password before they can view the workbook, type a password in the Password to open box, and then click OK.

    • If you want users to enter a password before they can save changes to the workbook, type a password in the Password to modify box, and then click OK.

  4. When prompted, retype your passwords to confirm them.

  5. Click Save.

  6. If prompted, click Yes to replace the existing workbook.

Highlighting changes

I can see only recent changes.

Is change tracking turned off? On the Tools menu, click Share Workbook, click the Advanced tab, and make sure the Keep change history option is available and selected. If change tracking has been turned off, you can only see changes made during your current editing session, since the last time you saved the shared workbook.

Did you specify only recent changes? Make sure you're displaying the older change history:

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. In the When box, click the option you want:

    Since I last saved shows only those changes made after the last time you saved the workbook.

    Not yet reviewed shows only changes that you and other users haven't accepted or rejected and then saved.

    Since date shows only changes after the date you specify. Click Since date, and then type the date in the When box.

    All shows you changes regardless of their age.

Are you keeping enough history? History that's older than the number of days you set is deleted whenever a user closes the workbook. To keep the change history for a long period of time, you can set a large number of days, such as 1,000. To extend the number of days to keep history, click Share Workbook on the Tools menu, click the Advanced tab, and then type a larger number in the days box.

I don't see the changes I expect.

Turn on change tracking If you turn off change tracking or stop sharing a workbook, the change history is permanently deleted, and you can no longer view any changes.

How to turn on change tracking

  1. On the Tools menu, click Share Workbook, and then click the Editing tab.
  2. Select the Allow changes by more than one user at the same time check box.
  3. Click the Advanced tab.
  4. Under Track changes, click Keep change history for, and in the Days box, type the number of days of change history that you want to keep.

    Be sure to enter a large-enough number of days because Microsoft Excel permanently erases any change history older than this number of days.

  5. Click OK, and if prompted to save the file, click OK.
Note Turning on change tracking also shares the workbook.

Make sure other users have saved When you save the workbook or receive an update, you receive only saved changes from other users, not changes that they haven't yet saved.

Check which change types Microsoft Excel tracks Excel doesn't track some types of changes, such as formatting changes and comments.

Changes Microsoft Excel doesn't track

Change tracking records changes you make to cell contents, including moves and copies, and also row and column insertions and deletions. Microsoft Excel does not keep track of the following types of changes:

Untracked change | Alternatives
Change sheet names | Changes aren't highlighted on the sheet tabs, but are tracked in the History worksheet.
Insert or delete worksheets | Changes to a worksheet after it's inserted are tracked, but the insertion itself is not tracked.
Format cells or data | None
Hide or unhide rows or columns | None
Add or change comments | None
Cells that change because a formula calculates a new value | To find cells that change due to recalculation, use the tools on the Auditing toolbar.
Unsaved changes | You can highlight changes as you make them, but changes appear in the History worksheet only after they're saved.

Change tracking is available only in shared workbooks. As a result, features that are unavailable for use in shared workbooks also are not tracked as changes.

Features unavailable in shared workbooks

You can access the following features only if you stop sharing the workbook.

You cannot use shared workbooks on Web servers.

Unavailable feature | Alternatives
Insert or delete blocks of cells | You can insert entire rows and columns.
Delete worksheets | None
Merge cells or split merged cells | None
Add or change conditional formats | Existing conditional formats continue to appear as cell values change, but you can't change these formats or redefine the conditions.
Add or change data validation | Cells continue to be validated when you type new values, but you can't change existing data validation settings.
Create or change charts or PivotChart reports | You can view existing charts and reports.
Insert or change pictures or other objects | You can view existing pictures and objects.
Insert or change hyperlinks | Existing hyperlinks continue to work.
Use drawing tools | You can view existing drawings and graphics.
Assign, change, or remove passwords | Existing passwords remain in effect.
Protect or unprotect worksheets or the workbook | Existing protection remains in effect.
Create, change, or view scenarios | None
Group or outline data | You can continue to use existing outlines.
Insert automatic subtotals | You can view existing subtotals.
Create data tables | You can view existing data tables.
Create or change PivotTable reports | You can view existing reports.
Write, record, change, view, or assign macros | You can run existing macros that don't access unavailable features. You can record shared workbook operations into a macro stored in another nonshared workbook.
Add or change Microsoft Excel 4 dialog sheets | None
Change or delete array formulas | Existing array formulas continue to calculate correctly.

Check your highlight settings These settings also affect what's included on the History worksheet. Point to Track Changes on the Tools menu, and click Highlight Changes. Make sure the Highlight changes on screen check box is selected, and check these settings:

  • When box Click All, or clear the When check box, to view all available changes for all time periods. Since I last saved shows only those changes made after the last time you saved the workbook. Not yet reviewed shows only changes that you and other users haven't accepted or rejected and then saved. Since date shows only changes after the date you specify.
  • Who box Everyone but me shows you changes made by all other users but does not highlight your own changes. Everyone, or clearing the Who check box, shows changes from all users.
  • Where box Enter a range to view changes only for that range. To view changes for the whole workbook, clear the Where check box.

The Accept or Reject Changes command isn't available.

  • To make this command available, you must turn on change tracking.

    How?

    1. On the Tools menu, click Share Workbook, and then click the Editing tab.
    2. Select the Allow changes by more than one user at the same time check box.
    3. Click the Advanced tab.
    4. Under Track changes, click Keep change history for, and in the Days box, type the number of days of change history that you want to keep.

      Be sure to enter a large-enough number of days because Microsoft Excel permanently erases any change history older than this number of days.

    5. Click OK, and if prompted to save the file, click OK.
    Note Turning on change tracking also shares the workbook.

    Changes you made before you turned on change tracking won't be available for review.

History worksheet

The checkbox for listing changes on a new sheet isn't available.

  • Turn on change tracking This option becomes available only after change tracking has been started.

    How to turn on change tracking

    1. On the Tools menu, click Share Workbook, and then click the Editing tab.
    2. Select the Allow changes by more than one user at the same time check box.
    3. Click the Advanced tab.
    4. Under Track changes, click Keep change history for, and in the Days box, type the number of days of change history that you want to keep.

      Be sure to enter a large-enough number of days because Microsoft Excel permanently erases any change history older than this number of days.

    5. Click OK, and if prompted to save the file, click OK.
    Note Turning on change tracking also shares the workbook.

    Save some changes Once you are tracking changes, you must also make and save some changes to the workbook. The History worksheet lists only changes you've saved. You can highlight changes that you haven't yet saved, but these changes won't appear on the History worksheet until you save the workbook.

Microsoft Excel won't display the History worksheet.

Save some changes Once you turn on change tracking for a workbook, you or another user must also make and save some changes to the workbook. The History worksheet becomes available only after changes have been saved.

Check your highlight settings Your settings for the When, Who, and Where boxes determine what changes are listed on the History worksheet. If you aren't sure what type of changes have been saved, select all changes: point to Track Changes on the Tools menu, click Highlight Changes, clear all three of these check boxes, select the List changes on a new sheet check box, and then click OK.

Changes are missing from the History worksheet.

Save, then redisplay the History worksheet The History worksheet shows only your saved changes and changes other users saved before you last saved or received an update. If you receive an update after you display the History worksheet, the History worksheet is not updated until you redisplay it.

To see the most recent saved changes from other users, save the workbook, and then redisplay the History worksheet.

Highlight your unsaved changes You cannot view information about unsaved changes made by other users. You can highlight your own unsaved changes on the worksheet.

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. In the When box, click Since I last saved.
  3. Clear the Who and Where check boxes.
  4. Select the Highlight changes on screen check box, and then click OK.

I can't format or edit the History worksheet.

Copy the history to a new worksheet The History worksheet is available only for viewing, not formatting or editing.

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. In the When box, click All.
  3. Clear the Who and Where check boxes.
  4. Select the List changes on a new sheet check box, and then click OK.
  5. Select the cells you want to copy and click Copy [image] on the Standard toolbar.
  6. Switch to another worksheet, click where you want the copy to go, and click Paste [image].

When you copy the history, you may also want to save a separate copy of the shared workbook. If the workbook continues to change as you or others work on it, the history that you copied may no longer apply. For example, cell locations, including row numbers, recorded in the copied history may no longer be current.

The History worksheet disappears when I save.

To see your saved changes, redisplay the History worksheet. Microsoft Excel doesn't update the History worksheet once you display it. When you save, Excel deletes the History worksheet so that the information won't be out of date.


Troubleshoot security and protection

Protection and passwords

I can't maximize or close the workbook window.

The Maximize and Close buttons do not appear on windows that have been protected.

To remove protection, point to Protection on the Tools menu, and then click Unprotect Workbook. If prompted, enter the password. (If you are prompted for a password and you do not know the password, you cannot remove protection.)

To protect a workbook without protecting the windows, point to Protection on the Tools menu, click Protect Workbook, and then clear the Windows check box.

I typed my password, but Microsoft Excel won't open the workbook.

Passwords are case sensitive. You must type uppercase and lowercase letters exactly as they were entered when the password was created. Before you open a workbook that requires a password, make sure you have not pressed the CAPS LOCK key.

I typed my password, but Excel won't let me edit the cells.

Instead of selecting a range of cells to edit, select and edit the cells one at a time. If you still can't edit the cells, check with the person who created and protected the workbook to make sure you have the right password and access.

I forgot the password.

If you create a password that is required to open a workbook or gain access to its data, and then you forget the password, you can't open the workbook, gain access to its data in another workbook through links, remove protection from the workbook, or recover data from the workbook.

Because you cannot gain access to password-protected workbook or worksheet elements if you lose the password, it's a good idea to keep a list of your passwords and their corresponding workbook and worksheet names in a secure place.

Security levels and encryption

I can't change the Excel security level.

Your network administrator may have enforced a security level for your workgroup or corporation to ensure that you use only macros that are virus-free. For more information, see your network administrator.

I get an 'encryption scheme not available' message when I try to open a workbook.

Some workbook protection and encryption features vary depending on the language of the operating system they were created in. Before you can open a protected workbook, you must unprotect it with the same operating system and language in which it was created.

For example, if you are using the U.S. English version of Windows and receive a workbook that was protected with the Danish version of Windows, you can open the workbook only after it is unprotected with the Danish version.

I can't add a macro developer to the list of trusted sources.

The list of trusted sources might be locked Your system administrator might have locked your list of trusted sources so that you cannot add new macro developers to it.

The macro might not be digitally signed To add a macro developer to the list of trusted sources, the macro must be digitally signed by the developer.

Microsoft Internet Explorer 4.0 or later might not be installed To digitally sign a macro or verify that a developer is trusted, Internet Explorer version 4.0 or later must be installed on your computer.

The security level might be set to Low To add a macro developer to the list of trusted sources, you must change the security level to Medium or High. To change the security level, point to Macro on the Tools menu, click Security, click the Security Level tab, and then click the level you want.

The certificate for the source may not be authenticated You can only add certificates to your list of trusted sources if they have been authenticated. Note that certificates created with the Selfcert.exe tool are considered to be unauthenticated and can only be added to the list of trusted sources on the computer on which they were created.

The certificate I selected wasn't added to the list of trusted sources.

If you use Microsoft Internet Explorer 4.0 with either Microsoft Office XP or Excel 2002, the Certificate Properties dialog box appears when you click the Details button in the Security Warning dialog box to get information about a certificate for a digitally signed macro.

The Trust tab in the Certificate Properties dialog box provides an option to generally trust the certificate, but Office XP and Excel 2002 ignore any options you set on the Trust tab. Use the Security Warning dialog box to add a macro developer to the list of trusted sources.

Macro virus prevention

Macros won't run in my workbook or add-in program.

Macros might have been disabled automatically If the security level is set to High and you open a workbook or load an add-in program that contains unsigned macros, the macros are disabled and you cannot run them. You can enable macros that are not digitally signed if you change the security level to Medium, close the workbook or unload the add-in program, and then reopen the workbook or reload the add-in program. If you want Excel to automatically disable unsigned macros in the future, remember to change the security level back to High. To change the security level, point to Macro on the Tools menu, click Security, click the Security Level tab, and then click the level you want.

You might have chosen to disable macros when you opened the workbook If the security level is set to Medium or High and you chose to disable macros because you don't trust their source, you cannot run the macros. To run the macros, close and then reopen the workbook or unload and reload the add-in program, and then click Enable Macros.

Macros won't open in Excel 97.

The macros might have been digitally signed from within the Visual Basic Editor in Excel 2000 or later. Excel 97 doesn't recognize digital signatures, so it can't update the signature if you modify a signed Visual Basic for Applications macro. Therefore, to prevent modifications, you cannot view in Excel 97 the code for macros that have been digitally signed in Excel 2000 or later.

I don't get a macro warning for a workbook that I know has macros.

The security level might be set to Low To have Excel warn you that a workbook or add-in program contains macros, change the security level to Medium: point to Macro on the Tools menu, click Security, click the Security Level tab, and then click Medium.

The security level might be set to High and the macros are not digitally signed To have Excel warn you that a workbook or add-in contains macros that have not been digitally signed, change the security level to Medium as described above.

You or a trusted source might have developed the macros If so, Excel opens the workbook and enables macros automatically. If you no longer trust the macro developer, you can remove the developer from the list of trusted sources: on the Tools menu, point to Macro, click Security, click the Trusted Sources tab, click the developer, and then click Remove.

To have Excel prompt you every time you open a workbook or load an add-in program that contains macros, remove every source from the list of trusted sources. To confirm that the macros in the workbook were signed and to see the source of the macros, point to Macro on the Tools menu, and then click Visual Basic Editor. On the Tools menu in the editor, click Digital Signature.

I don't want to see the warning about macros.

The macro might not be from a trusted source If the security level is set to Medium or High and you open a workbook or load an add-in program that contains digitally signed macros that are not from a trusted source, you receive a macro warning. If you are sure that you trust the macro developer, add the name to the list of trusted sources.

The macro might contain a virus If you don't expect a workbook to contain a macro, you might have a virus that is adding a macro virus to the workbook. Check your computer for viruses and then try to get an uninfected copy of the workbook from the source.

The macro might be in a temporary file that you downloaded from a Web site If your virus scanner tells you that it has removed a virus in this file every time you open it, you are removing the virus from the temporary file only and not from the original file on the Web server. Check your computer for viruses and then notify the source about problems with the original file.

The workbook may contain legitimate macros Excel cannot distinguish between safe and unsafe macros. If you know that these are legitimate and safe macros, you might want to digitally sign the macros and add your name to the list of trusted sources.

I get a "Source has not been authenticated" message.

If the security level is set to High or Medium, this warning appears when you open a workbook or load an add-in program that contains a digitally signed macro for which the digital certificate has not been authenticated — for example, when the macro developer has created his or her own digital certificate.

This type of unauthenticated certificate can be forged to claim it is anyone's certificate — for example, a malicious user can create a certificate named "Microsoft Corporation". The only warning you have that the certificate might be false is this warning. You should not expect professional software developers to sign with an unauthenticated certificate. You should only expect this type of certificate from individual co-workers or friends.

If the security level is set to High and you trust the macro source, you can select the Always trust macros from this source check box and enable the macros.

If the security level is set to Medium, you can enable the macros without adding the developer to the list of trusted sources. If you don't trust the developer, do not enable the macros or open the workbook until you have verified that the source can be trusted.

I can't disable a macro.

You may be trying to open a workbook that contains a type of macro that cannot be disabled. Excel has two types of macros: those written in Visual Basic for Applications (VBA) and those written in Excel version 4.0 macro language (XLM macros). Only macros written in VBA can be disabled.

When you open a workbook that contains XLM macros, the Auto_Open macro can be disabled, but other XLM macros still run.

It is recommended that you make sure that the source of the workbook is reliable before you open the workbook.

To find out more about macro viruses — including how to purchase antivirus software that scans your workbooks and removes known macro viruses — you can download virus protection information from the Microsoft Office Web site.

Note The hyperlink in this topic goes to the Web. You can switch back to Help at any time.

I get a macro warning when I open a template.

Excel does not consider the Excel templates to be trusted sources. Even if you selected the Trust all installed add-ins and templates check box on the Trusted Sources tab and clicked Medium or High on the Security Level tab (Tools menu, Macro submenu, Security command), the macro virus warning appears when you open a template provided with Excel that contains macros.

To prevent the virus warning from appearing, you can set the security level to Low, but first make sure that all of the workbooks you open are safe and virus-free.

Add-ins and macros do not work.

If some items such as templates, wizards, or custom commands do not function the way you expect, you may be running a version of Office that does not include Visual Basic for Applications (VBA). Some organizations prefer to install Office with the VBA functionality disabled. If you use Office in this mode, certain add-ins and macros, including add-ins or macros created by third-party vendors, may not work. To find out whether you are running Office in VBA-less mode, contact your System Administrator or IT Professional.


Troubleshoot entering and selecting data

Entering data

Numbers, dates, and times aren't displayed correctly.

Number formats Microsoft Excel displays numbers, dates, and times on a worksheet according to the number format applied to the cells. To change the number format, select the cells. On the Format menu, click Cells, click the Number tab, and then click the category and format you want. To use the default date format, click the cell and press CTRL+SHIFT+#. To use the default time format, press CTRL+SHIFT+@.

Regional settings Options you select in the Regional Settings of Control Panel determine the default format for currency, dates, times, and numbers.

The symbols ##### appear in place of a number.

A ##### error value occurs when the cell contains a number, date, or time that is wider than the cell or when the cell contains a date or time formula that produces a negative result. Try increasing the width of the column.

The dates on my worksheet don't all look the same.

When a date is entered in a cell, the date appears in either a default date format or in a format that was applied to the cell before the date was entered. The default date format is based on settings on the Date tab in the Regional Settings dialog box (Microsoft Windows Control Panel). If these date settings have changed, any existing dates in your workbooks that have not been formatted with the Format Cells command also change.

Some of the text I type in a cell doesn't show.

To display multiple lines of text inside selected cells, click Cells on the Format menu, click the Alignment tab, and then select the Wrap text check box. If the text is a single long word, the characters won't wrap; you can widen the column or shrink the font size to see all the text.

Microsoft Excel doesn't always complete my column entries.

Make sure AutoComplete is turned on On the Tools menu, click Options, click the Edit tab, and then make sure the Enable AutoComplete for cell values check box is selected.

Check where you last clicked Click after the last character in the cell. Excel completes an entry only when the insertion point is at the end of the current cell contents.

Make sure entries match The characters you typed might not match an existing entry in the column, or the characters might match two or more entries. For example, if you type AXY and the possible entries are "AXY1" and "AXY2," Microsoft Excel does not complete the entry.

Select the correct entry To select the entry you want, press ALT+DOWN ARROW and select an entry from the list, or right-click the cell and then click Pick from list on the shortcut menu.

Entries in a row Excel bases the list of potential entries on the column that contains the active cell. If your entries are repeated within a row, not a column, the entries are not completed.

Numbers, dates, and times Excel completes only text entries. Entries that contain only numbers, dates, and times are not completed.

The current data region Check the location of the active cell; it may be outside the current data region. For example, if the data region is the range of cells A1:E10, Excel completes an entry typed in cell A11, even if the cell A10 above it is blank. However, Excel does not complete an entry in cell A12, because that cell is outside the data region.

Long lists If you are working in a large list, you may need to pause a moment to allow Excel time to complete an entry.

The fill handle is missing.

On the Tools menu, click Options, click the Edit tab, and then make sure the Allow cell drag and drop check box is selected. If the entire row or column is selected, Excel displays the fill handle at the beginning of the row or column.

I wanted to copy a value, not extend a series.

If you copy types of data that Excel can extend in a series, such as numbers, dates, or items in a custom fill series, the values are incremented instead of copied through the selected range. If this occurs, select the original values again, and then hold down CTRL as you drag the fill handle.

Information is deleted when I drag the fill handle.

If you drag the fill handle up or to the left of a selection and stop in the selected cells without going past the first column or the top row in the selection, Excel deletes data within the selection. You must drag the fill handle out of the selected area before releasing the mouse button.

When I apply the Text format to numbers, the numbers don't change to text.

If you've already entered the numbers and applied the Text format to the cells, click each cell, press F2, and then press ENTER to reenter the numbers as text. To enter numbers as text, first apply the Text format to empty cells, and then enter the numbers in the formatted cells.

Selecting and moving data

Sheet tabs aren't listed across the bottom of the screen.

Display or hide all sheet tabs

  1. On the Tools menu, click Options, and then click the View tab.
  2. Select or clear the Sheet tabs check box. When displaying sheet tabs, you may also need to expand the tab scrolling area.

    Tab scrolling buttons

Display more or fewer sheet tabs

  1. Point to the tab split bar.

    Tab split bar

  2. When the pointer changes to a split pointer Split pointer, drag the tab split bar to the right or left.

    To return the tab split bar to its original position, double-click the tab split bar.

    Tip

    You can activate a sheet by right-clicking any tab scrolling button and then selecting the sheet you want from the shortcut menu.

If the sheet names are cut off or difficult to read

Increase the scroll bar height. In the Microsoft Windows Control Panel, double-click the Display icon, click the Appearance tab, click Scrollbar in the Item list, and then increase the number in the Size box.

Arrow keys and keys such as PAGE UP, HOME, and SHIFT+TAB don't do what I expect.

The keys may be performing the equivalent action in Lotus 1-2-3. On the Tools menu, click Options, and then click the Transition tab. Clear the Transition navigation keys check box, and then try to use the keys again.

If you want the active selection to move as you scroll through a worksheet, make sure scroll lock is off. If scroll lock is on, you can use the navigation keys without affecting the current selection.

Make sure that End mode is off. END appears in the status line when the End mode is on.

More than one sheet is selected. How do I select only one?

When you enter or change data, the changes affect all selected sheets. These changes may replace data on the active sheet and other selected sheets.

To select | Do this
A single sheet | Click the sheet tab. Sheet tabs showing Sheet2 selected If you don't see the tab you want, click the tab scrolling buttons to display the tab, and then click the tab. Tab scrolling buttons
Two or more adjacent sheets | Click the tab for the first sheet, and then hold down SHIFT and click the tab for the last sheet.
Two or more nonadjacent sheets | Click the tab for the first sheet, and then hold down CTRL and click the tabs for the other sheets.
All sheets in a workbook | Right-click a sheet tab, and then click Select All Sheets on the shortcut menu.

Note If sheet tabs have been color-coded, the sheet tab name will be underlined in a user-specified color when selected. If the sheet tab is displayed with a background color, the sheet has not been selected.

Cancel a selection of multiple sheets

To cancel a selection of multiple sheets in a workbook, click any unselected sheet.

If no unselected sheet is visible, right-click the tab of a selected sheet. Then click Ungroup Sheets on the shortcut menu.

When I try to add cells to my selection, my original selection is cancelled.

Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.

To select additional nonadjacent cells or cell ranges, hold down CTRL and click or drag over the cells.

The selected area grows when I click a cell or press keys to move around.

If "EXT" appears in the status bar, press F8 to turn off the extend-selection option.

When I press ENTER, the wrong data is inserted.

If you've recently used the Copy command on the Edit menu or the Copy button [image], check if a moving border still surrounds the copy area. If so, Microsoft Excel inserted them at the active cell when you pressed ENTER. To remove the moving border, press ESC.


Troubleshoot sending e-mail from Excel

The recipient commands don't appear on the Send To submenu of the File menu

Make sure you have installed Microsoft Outlook, Microsoft Outlook Express, Microsoft Exchange Client, or another 32-bit e-mail program compatible with the Messaging Application Programming Interface (MAPI).

If you have installed Microsoft Exchange or a compatible e-mail program, make sure Mapi32.dll is in the Windows System or System32 folder.

If you have installed Lotus cc:Mail or a compatible e-mail program, make sure Mapivi32.dll, Mapivitk.dll, and Mvthksrv.exe are in the Windows System or System32 folder.

The e-mail button doesn't appear on the standard toolbar

If you don't have an e-mail program (such as Microsoft Outlook) installed on your computer, the E-mail button [image] does not appear on the standard toolbar.

The Microsoft Excel data in e-mail doesn't look or work right

You and the recipient of your mail must each have an e-mail program that can view messages in HTML format. If you view Excel data in an e-mail program that doesn't support HTML, the data may not be formatted correctly and graphics may not appear.

If you want the Excel data to look the same on the recipient's system as on yours, send the data as an attachment so that the recipient can open it in Excel. To view an attached workbook, recipients need Excel 97 or later. If you need to send a workbook that you've saved in an earlier Excel format as an attachment, use Microsoft Outlook or your e-mail program to create and send the message.

I can't send my Web page as an e-mail attachment

Web pages cannot be sent as attachments. If you use Microsoft Excel to attach an HTML file to an e-mail message, Excel automatically converts the HTML file to an .xls file.

To send a copy of your Web page in e-mail, you must send it as the body of your message. On the File menu, point to Send To, and then click Mail Recipient.


Troubleshoot shared workbooks

Commands, links, or features aren't available

The command I want isn't available.

You can access the following features only if you stop sharing the workbook.

You cannot use shared workbooks on Web servers.

Unavailable feature | Alternatives
Insert or delete blocks of cells | You can insert entire rows and columns.
Delete worksheets | None
Merge cells or split merged cells | None
Add or change conditional formats | Existing conditional formats continue to appear as cell values change, but you can't change these formats or redefine the conditions.
Add or change data validation | Cells continue to be validated when you type new values, but you can't change existing data validation settings.
Create or change charts or PivotChart reports | You can view existing charts and reports.
Insert or change pictures or other objects | You can view existing pictures and objects.
Insert or change hyperlinks | Existing hyperlinks continue to work.
Use drawing tools | You can view existing drawings and graphics.
Assign, change, or remove passwords | Existing passwords remain in effect.
Protect or unprotect worksheets or the workbook | Existing protection remains in effect.
Create, change, or view scenarios | None
Group or outline data | You can continue to use existing outlines.
Insert automatic subtotals | You can view existing subtotals.
Create data tables | You can view existing data tables.
Create or change PivotTable reports | You can view existing reports.
Write, record, change, view, or assign macros | You can run existing macros that don't access unavailable features. You can record shared workbook operations into a macro stored in another nonshared workbook.
Add or change Microsoft Excel 4 dialog sheets | None
Change or delete array formulas | Existing array formulas continue to calculate correctly.

The links in my workbook don't work.

Update links that have #REF errors If another user creates and saves a new link in a shared workbook while you are editing the same workbook, and you save or update the workbook, you get the #REF error .

  1. On the Edit menu, click Links.

  2. Click the link with the error.

  3. To clear the #REF error and display the linked data, click Update Link.

Check that link sources are correct If you copied or moved the shared workbook from its original location to your network, or if the source workbook for the links isn't stored in a network location, you may see a message that the links cannot be updated. You can repair the links as follows:

  • If you copied the workbook, open the original version of the shared workbook on your local system, and then use the Save As command (File menu) to save the shared workbook on the network location. This command updates the links for the new location.
  • If you moved the shared workbook, don't have the original version, or Save As didn't repair the links, make sure the source workbook for the links is stored on a network location, and then fix the links.

    How?

    1. On the Edit menu, click Links.

      The Links command is unavailable if your file does not contain linked information.

    2. Click Check Status to update the status for all links in the list. This may take a while if there are a lot of links, or if the source workbook for the links is on a network location, and the network is slow.

    3. Check the status in the Status column, select the link, and then take the action needed.

      OK No action required, the link is working and up to date.

      Unknown Click Check Status to update the status for all links in the list.

      Not applicable The link uses Object Linking and Embedding (OLE) or Dynamic Data Exchange (DDE). Microsoft Excel cannot check the status of these types of links.

      Error: Source not found Click Change Source, and select another workbook.

      Error: Worksheet not found Click Change Source, and then select another worksheet. The source may have been moved or renamed.

      Warning: Values not updated Click Update Values. The link was not updated when the workbook was opened.

      Warning: Source not recalculated Click Open Source, and calculate the workbook by pressing F9. The workbook may be set to manual calculation. To set to automatic calculation, on the Tools menu, click Options, select the Calculation tab, and then click Automatic.

      Warning: Undefined or non-rectangular name Some names cannot be resolved until the source workbook is opened. Click Open Source, switch back to the destination workbook, and click Check Status. If this does not resolve the problem, make sure the name is not misspelled or missing. Switch to the source workbook, and then on the Insert menu, point to Name, and then click Define, and look for the name.

      Warning: Open source to update values Click Open Source. The link cannot be updated until the source is open.

      Source is open The source is open. No action required unless worksheet errors are present.

      Values updated from filename No action required, the values have been updated.

      Warning: Status indeterminate Excel cannot determine the status of the link. The source may contain no worksheets, or be saved in an unsupported file format. Click Update Values.

The Protect Workbook command isn't available or I can't type in the Password box.

You workbook is probably a shared workbook, you cannot protect it or assign a password. If you want to protect a shared workbook, first stop sharing it.

How?

  1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.

  2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

    How?

    1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

    2. In the When box, click All.

    3. Clear the Who and Where check boxes.

    4. Select the List changes on a new sheet check box, and then click OK.

    5. Do one or more of the following:

      • To print the History worksheet, click Print [image].

      • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

      Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

  3. On the Tools menu, click Share Workbook, and then click the Editing tab.

  4. Make sure that you are the only person listed in the Who has this workbook open now box.

  5. Clear the Allow changes by more than one user at the same time check box.

    If this check box is not available, you must unprotect the workbook before clearing the check box.

    How?

    1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.

    2. Enter the password if prompted, and then click OK.

    3. On the Tools menu, click Share Workbook, and then click the Editing tab.

  6. When prompted about the effects on other users, click Yes.

You can then protect the workbook and assign a password if you want.

How?

Protect worksheet elements

Protect worksheet elements from all users

  1. Switch to the worksheet you want to protect.

  2. Unlock any cells you want users to be able to change: select each cell or range, click Cells on the Format menu, click the Protection tab, and then clear the Locked check box.

  3. Hide any formulas that you don't want to be visible: select the cells with the formulas, click Cells on the Format menu, click the Protection tab, and then select the Hidden check box.

  4. Unlock any graphic objects you want users to be able to change.

    How?

    You don't need to unlock buttons or controls for users to be able to click and use them. You can unlock embedded charts, text boxes, and other objects created with the drawing tools that you want users to be able to modify. To see which elements on a worksheet are graphic objects, click Go To on the Edit menu, click Special, and then click Objects.

    1. Hold down CTRL and click each object that you want to unlock.

    2. On the Format menu, click the command for the object you selected: AutoShape, Object, Text Box, Picture, Control, or WordArt.

    3. Click the Protection tab.

    4. Clear the Locked check box, and if present, clear the Lock text check box.

  5. On the Tools menu, point to Protection, and then click Protect Sheet.

  6. Type a password for the sheet.

    Note The password is optional; however, if you don't supply a password, any user will be able to unprotect the sheet and change the protected elements. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

  7. In the Allow all users of this worksheet to list, select the elements that you want users to be able to change.

  8. Click OK, and if prompted retype the password.

Give specific users access to protected ranges

You must have Windows 2000 to give specific users access to ranges.

  1. On the Tools menu, point to Protection, and then click Allow Users to Edit Ranges. (This command is available only when the worksheet is not protected.)

  2. Click New.

  3. In the Title box, type a title for the range you're granting access to.

  4. In the Refers to cells box, type an equal sign (=), and then type a reference or select the range.

  5. In the Range password box, type a password to access the range.

    The password is optional; if you don't supply a password, any user will be able to edit the cells.

  6. Click Permissions, and then click Add.

  7. Locate and select the users to whom you want to grant access. If you want to select multiple users, hold down CTRL while you click the names.

  8. Click OK twice, and if prompted retype the password.

  9. Repeat the previous steps for each range for which you're granting access.

  10. To retain a separate record of the ranges and users, select the Paste permissions information into a new workbook check box.

  11. Protect the worksheet: On the Tools menu, point to Protection, click Protect Sheet, make sure the Protect worksheet and contents of locked cells check box is selected, type a password for the worksheet, click OK, and retype the password to confirm.

    Note A sheet password is required to prevent other users from being able to edit your designated ranges. Make sure you choose a password you can remember, because if you lose the password, you cannot gain access to the protected elements on the worksheet.

Protect workbook elements and files

Protect workbook elements

  1. On the Tools menu, point to Protection, and then click Protect Workbook.

  2. Do one or more of the following:

    • To protect the structure of a workbook so that worksheets in the workbook can't be moved, deleted, hidden, unhidden, or renamed, and new worksheets can't be inserted, select the Structure check box.

    • To use windows of the same size and position each time the workbook is opened, select the Windows check box.

    • To prevent others from removing workbook protection, type a password, click OK, and then retype the password to confirm it.

Protect a shared workbook

  1. If the workbook is already shared, and you want to assign a password to protect the sharing, unshare the workbook.

    How?

    1. Have all other users save and close the shared workbook. If other users are editing, they will lose any unsaved work.

    2. Unsharing the workbook deletes the change history. If you want to keep a copy of this information, print out the History worksheet or copy it to another workbook.

      How?

      1. On the Tools menu, point to Track Changes, and then click Highlight Changes.

      2. In the When box, click All.

      3. Clear the Who and Where check boxes.

      4. Select the List changes on a new sheet check box, and then click OK.

      5. Do one or more of the following:

        • To print the History worksheet, click Print [image].

        • To copy the history to another workbook, select the cells you want to copy, click Copy [image], switch to another workbook, click where you want the copy to go, and click Paste [image].

        Note You may also want to save or print the current version of the workbook, because this history might not apply to later versions. For example, cell locations, including row numbers, in the copied history may no longer be current.

    3. On the Tools menu, click Share Workbook, and then click the Editing tab.

    4. Make sure that you are the only person listed in the Who has this workbook open now box.

    5. Clear the Allow changes by more than one user at the same time check box.

      If this check box is not available, you must unprotect the workbook before clearing the check box.

      How?

      1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.

      2. Enter the password if prompted, and then click OK.

      3. On the Tools menu, click Share Workbook, and then click the Editing tab.

    6. When prompted about the effects on other users, click Yes.

  2. Set other types of protection if you want: Give specific users access to ranges, protect worksheets, protect workbook elements, and set passwords for viewing and editing.

  3. On the Tools menu, point to Protection, and then click Protect Shared Workbook or Protect and Share Workbook.

  4. Select the Sharing with track changes check box.

  5. If you want to require other users to supply a password to turn off the change history or remove the workbook from shared use, type the password in the Password box, and then retype the password when prompted.

  6. If prompted, save the workbook.

Protect a workbook file from viewing or editing

  1. On the File menu, click Save As.

  2. On the Tools menu, click General Options.

  3. Do either or both of the following:

    • If you want users to enter a password before they can view the workbook, type a password in the Password to open box, and then click OK.

    • If you want users to enter a password before they can save changes to the workbook, type a password in the Password to modify box, and then click OK.

  4. When prompted, retype your passwords to confirm them.

  5. Click Save.

  6. If prompted, click Yes to replace the existing workbook.

Then use the Share Workbook command (Tools menu) to return the workbook to shared use.

Note that protecting a workbook is different from protecting sharing and the change history. When you protect a workbook by using the Protect Workbook command (Tools menu, Protection submenu), you must share the workbook after you assign the password. When you assign a password by clicking the Sharing with Track Changes option (Tools menu, Protection submenu, Protect and Share Workbook command), the workbook is shared automatically.

If the workbook is already shared, when you point to Protection on the Tools menu, click Protect Shared Workbook, and select the Sharing with Track Changes check box, you cannot assign a password for this protection. To assign this password, you must first unshare the workbook.

The Allow changes by more than one user at the same time check box on the Share Workbook dialog box is not available.

  1. Click OK, point to Protection on the Tools menu, and then click Unprotect Shared Workbook.
  2. Enter the password if prompted, and then click OK.
  3. On the Tools menu, click Share Workbook, and then click the Editing tab.

Data or files are gone or inaccessible

I can only get read-only access.

Is the workbook a Microsoft Excel 95 shared list? If so, Excel always opens the file read-only. To convert the file to an Excel shared workbook:

  1. On the File menu, click Save As.
  2. In the Save as type box, click Microsoft Excel Workbook (*.xls).
  3. Type a new name in the File name box, and then click Save.
  4. Share the workbook: on the Tools menu, click Share Workbook, click the Editing tab, select the Allow changes by more than one user at the same time check box, click OK, and save the shared workbook.

Is read-only recommended? Someone may have selected this option in the Save Options dialog box. To open the file read-write, click No in response to the message suggesting that the file should be opened read-only.

Save a personal copy that you can edit The workbook file may be read-only, or you may not have permissions for the location where it's stored. To edit and save the data in the file, click Save As on the File menu, and then save the shared workbook with a new name on your local disk.

Another user saved over my data or edits.

Retrieve data from the change history If the change history is being maintained back to the time when your change was overwritten, you can find the data that you originally entered on the History worksheet, and copy it from there to its original location.

How?

  1. On the Tools menu, point to Track Changes, and then click Highlight Changes.
  2. In the When box, click All.
  3. Clear the Who and Where check boxes.
  4. Select the List changes on a new sheet check box, and then click OK.
  5. Find your deleted data and click Copy [image] on the Standard toolbar.
  6. Switch to the original worksheet, click where the data belongs, and click Paste [image].

Save a copy of your changes To keep a copy that can't be overwritten, click Save As on the File menu and save an extra copy of the shared workbook on your local disk.

A message says I'm no longer connected.

Another user may have stopped sharing the workbook If sharing was stopped while you were editing, you'll see the message even after the workbook is reshared, and changes from your current editing session will have to be re-entered. Close the workbook and follow up with the owner or other users.

You may have been disconnected Your connection to the network share may have become broken, disconnecting you from the workbook, or another user may have disconnected you. If the workbook is still shared and available, you have two choices:

  • You can reconnect but lose current changes You can open the shared workbook again, but any unsaved changes you made in your current editing session will be lost.
  • You can save and merge in your changes You can preserve your unsaved work and then merge it back into the shared workbook.

    How?

    1. Click OK in response to the message telling you that you are no longer connected.
    2. On the File menu, click Save As.
    3. In the File name box, type a new name for the workbook, and then click Save.
    4. On the File menu, click Close.
    5. Open the original shared workbook.
    6. On the Tools menu, click Compare and Merge Workbooks.
    7. Click the file you saved in step 3 to merge in your changes.


Troubleshoot sorting

Check the default sort order rules Microsoft Excel sorts data according to specific sort order rules.

Default sort order

In an ascending sort, Microsoft Excel uses the following order. (In a descending sort, this sort order is reversed except for blank cells, which are always placed last.)

Numbers Numbers are sorted from the smallest negative number to the largest positive number.

Alphanumeric sort When you sort alphanumeric text, Excel sorts left to right, character by character. For example, if a cell contains the text "A100," Excel places the cell after a cell that contains the entry "A1" and before a cell that contains the entry "A11."

Text and text that includes numbers are sorted in the following order:

0 1 2 3 4 5 6 7 8 9 (space) ! " # $ % & ( ) * , . / : ; ? @ [ \ ] ^ _ ` { | } ~ + < = > A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

Apostrophes (') and hyphens (-) are ignored, with one exception: If two text strings are the same except for a hyphen, the text with the hyphen is sorted last.

Logical values In logical values, FALSE is placed before TRUE.

Error values All error values are equal.

Blanks Blanks are always placed last.

Check that numbers are in a numeric format If Excel incorrectly sorts a cell that contains a value, the cell might be formatted as text and not as a number. For example, negative numbers from some accounting systems become text when the accounting data is imported into Excel. You can convert numbers stored as text to numbers.

How?

One cell at a time

  1. On the Tools menu, click Options, and then click the Error Checking tab.

  2. Make sure the Enable background error checking and Number stored as text boxes are checked.

  3. Select any cell with a green error indicator in the upper left corner Cell with a formula problem.

  4. Next to the cell, click the button that appears [image], and then click Convert to Number.

A whole range at once

  1. In an empty cell, enter the number 1.

  2. Select the cell, and on the Edit menu, click Copy.

  3. Select the range of numbers stored as text you want to convert.

  4. On the Edit menu, click Paste Special.

  5. Under Operation, click Multiply.

  6. Click OK.

  7. Delete the content of the cell entered in the first step.

Note Some accounting programs display negative values with the negative sign (–) to the right of the value. To convert the text strings to values, you must return all of the characters of the text string except the rightmost character (the negation sign), and then multiply the result by –1. For example, if the value in cell A2 is "156–" the following formula converts the text to the value –156.

Data | Formula
156- | =LEFT(A2,LEN(A2)-1)*-1

Check that mixed data is formatted as text If the column you want to sort contains both numbers and numbers that include text characters (such as 100, 100a, 200, 200a), you need to format them all as text. If you do not, the numbers will be sorted first, then the numbers that include text will be sorted. To format a number as text, click Cells on the Format menu, click the Number tab, and then click Text in the Category list, click OK, and then retype the value in the cell. To type a number as text when you are entering new data, format the cell as text before you begin typing.

Check that dates and times are formatted correctly Excel treats dates and times as numbers. When you type a date or time that Excel recognizes, the cell's format changes from the General number format to a built-in date or time format. For Excel to sort correctly, all dates and times in a column must use a date or time format. If Excel cannot recognize a value as a date, time, or number, the value is formatted as text. To apply the correct formatting, click the cell, click Cells on the Format menu, and then click the Number tab. If the cell is formatted as text, click either Date or Time, select the appropriate type, click OK, and then retype the value in the cell in the format you selected.

Unhide rows and columns before you sort Hidden rows are not moved when you sort rows, and hidden columns are not moved when you sort columns. However, when you sort rows, the data in hidden columns is sorted, and when you sort columns, the data in hidden rows is sorted. Before you sort the list, unhide the hidden rows and columns.

Remove any leading spaces In some cases, data imported from another application might have leading spaces inserted before data. Remove the leading spaces before sorting the data.

Check the locale setting Sort orders vary by locale setting. Make sure that you have the proper locale setting in Regional Settings or Regional Options in Control Panel. For information about changing the locale setting, see your Windows documentation.

Enter column labels in only one row If you need multiple line labels, wrap the text within the cell.

Check settings for graphic objects The objects' settings may have been changed so that the objects do not move with cells. To set objects so that they can be sorted with cells, click Select Objects [image] on the Drawing toolbar, and then drag around the objects you want to change. Click AutoShape, Picture, TextBox, WordArt, Control, or Object on the Format menu, and then click Move but don't size with cells on the Properties tab.


Troubleshoot templates

My template is not listed in the New dialog box.

Microsoft Excel lists a template in the Templates dialog box only if you save the template file in one of the following locations:

  • The Templates folder or a subfolder in the Templates folder, which is usually

    C:\Documents and Settings\<user_name>\Application Data\Microsoft\Templates

  • The XLStart folder, which is usually

    C:\Program Files\Microsoft Office\Office10\XLStart

  • The location you specified in the At startup, open all files in box on the General tab in the Options dialog box (Tools menu)

How do I restore the original settings for workbooks and new sheets?

  1. If you want to keep your Book.xlt or Sheet.xlt files, rename them and save them in the Templates folder, usually located at:

    C:\Documents and Settings\<user_name>\Application Data\Microsoft\Templates

  2. Do one or more of the following:
    • In Microsoft Windows Explorer, remove any template files from the XLStart folder. The XLStart folder is usually located at:

      C:\Program Files\Microsoft Office\Office10\XLStart

    • If the files aren't in the XLStart folder, look in the folder specified in the At startup, open all files in box on the General tab in the Options dialog box (Tools menu).
    • To restore original settings for workbooks, remove Book.xlt

      To restore original settings for worksheets, remove Sheet.xlt

A built-in template is missing in my version of Microsoft Excel.

A built-in templates may have bee delete, you can re-install them.

How?

If you originally installed your Microsoft Office program from a network file server or from a shared folder, you must install or remove components from that location. If you installed your Office program from a CD-ROM and you've mapped your CD-ROM drive to a new drive letter since installing the Office program, reinstall from the CD-ROM. If you're running any Office program files from the CD-ROM, you must uninstall the Office program and then reinstall it from the CD-ROM.

  1. Quit all programs.

  2. Double-click the Add/Remove Programs icon in the Windows Control Panel.

  3. Do one of the following:

    • For Windows 2000 and Windows Millennium Edition:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office in the Currently installed programs box, and then click the Change button.

    If you installed your Office program individually, click the name of your program in the Currently installed programs box, and then click the Change button.

    • For Windows 98 and Windows NT 4.0:

    If you installed your Office program as part of Microsoft Office, click Microsoft Office on the Install/Uninstall tab, and then click the Add/Remove button.

    If you installed your Office program individually, click the name of your program on the Install/Uninstall tab, and then click the Add/Remove button.

  4. Follow the instructions on the screen.

I saved a file with the .xlt extension, but I can't use it as a template.

Excel does not save a file in template format if you type the .xlt file extension in a file name. To save a file as a template, click Save As on the File menu. In the Save as type box, click Template. In the Save in list, locate and click the location where you want to save the template. In the File name box, enter a file name, and then click Save.

To make the template available in the Templates dialog box (General Templates..., New Workbook task pane), save custom templates in the Templates folder. If you save the file to a different location, you can only open the file, not use it as a template. Save the default workbook template (Book.xlt) and the default sheet template (Sheet.xlt) in the XLStart folder or the alternate startup folder. The Templates folder is usually

C:\Documents and Settings\<user_name>\Application Data\Microsoft\Templates

and the XLStart folder is usually

C:\Program Files\Microsoft Office\Office10\XLStart

A workbook doesn't use the calculation mode saved in the template it was based on.

Excel uses the same calculation mode for all open workbooks. If you change the calculation mode in one open workbook, the mode is changed for all open workbooks.


Troubleshoot workbooks and worksheets

There is a ":1" or ":2" in my workbook title.

You have more than one window open for the active workbook. Switch to the window you want to close, and then click Close Window [image] in the upper-right corner of the workbook window.

Note If you save a workbook while more than one window is open and then close the workbook, the same number of windows will open the next time you open the workbook. If you want to only one window the next time you open the workbook, close all but one window before you save and close the workbook.

My module sheets are missing.

The sheets are from earlier versions of Microsoft Excel Excel 2000 and later versions of Excel preserve Excel version 4.0 macro sheets and Excel version 5.0 dialog sheets. The module sheets are coverted into modules in the workbook's Visual Basic for Applications project.

To run, view, and modify these sheets To edit converted macro sheets and dialog sheets in Excel 2000 or a later version of Excel, run the Visual Basic Editor.

I can't rename a sheet.

Display the sheet tabs If sheet tabs aren't displayed, click Options on the Tools menu, click the View tab, and then select the Sheet tabs check box under Window options.

Shrink the horizontal scroll bar The sheet tabs could be covered by the scroll bar. To shrink the scroll bar area, look for the tab split bar at the far left side of the screen beside the scroll bar.

  1. Point to the tab split bar.

    Tab split bar

  2. When the pointer changes to a split pointer Split pointer, drag the tab split bar to the right or left.

    If you want to return the tab split bar to its original position, double-click the tab split bar.

    Tip

    You can activate a sheet by right-clicking any tab scrolling button and then selecting the sheet you want from the shortcut menu.

Point to the tab split bar, and when the pointer changes to a split pointer Split pointer, drag the tab split bar to the right until the sheet tabs appear.

Check to see whether the workbook is protected To rename the sheet, first turn off the protection.

  1. On the Tools menu, point to Protection, and then click Unprotect Workbook.

  2. If prompted, enter the password assigned when the workbook was protected. Passwords are case sensitive. You must type the password exactly as it was created, including uppercase and lowercase letters.

Sheet tabs aren't listed across the bottom of the screen.

Display or hide all sheet tabs

  1. On the Tools menu, click Options, and then click the View tab.
  2. Select or clear the Sheet tabs check box. When displaying sheet tabs, you may also need to expand the tab scrolling area.

    Tab scrolling buttons

Display more or fewer sheet tabs

  1. Point to the tab split bar.

    Tab split bar

  2. When the pointer changes to a split pointer Split pointer, drag the tab split bar to the right or left.

    If you want to return the tab split bar to its original position, double-click the tab split bar.

    Tip

    You can activate a sheet by right-clicking any tab scrolling button and then selecting the sheet you want from the shortcut menu.

    The sheet names are cut off or difficult to read

    Increase the scroll bar height. In the Microsoft Windows Control Panel, double-click the Display icon, click the Appearance tab, click Scrollbar in the Item list, and then increase the number in the Size box.


Database and List Management functions

Microsoft Excel includes worksheet functions that analyze data stored in lists or databases. Each of these functions, referred to collectively as the Dfunctions, uses three arguments: database, field, and criteria. These arguments refer to the worksheet ranges that are used by the function.

DAVERAGE Returns the average of selected database entries

DCOUNT Counts the cells that contain numbers in a database

DCOUNTA Counts nonblank cells in a database

DGET Extracts from a database a single record that matches the specified criteria

DMAX Returns the maximum value from selected database entries

DMIN Returns the minimum value from selected database entries

DPRODUCT Multiplies the values in a particular field of records that match the criteria in a database

DSTDEV Estimates the standard deviation based on a sample of selected database entries

DSTDEVP Calculates the standard deviation based on the entire population of selected database entries

DSUM Adds the numbers in the field column of records in the database that match the criteria

DVAR Estimates variance based on a sample from selected database entries

DVARP Calculates variance based on the entire population of selected database entries

GETPIVOTDATA Returns data stored in a PivotTable


Date and Time functions

DATE Returns the serial number of a particular date

DATEVALUE Converts a date in the form of text to a serial number

DAY Converts a serial number to a day of the month

DAYS360 Calculates the number of days between two dates based on a 360-day year

EDATE Returns the serial number of the date that is the indicated number of months before or after the start date

EOMONTH Returns the serial number of the last day of the month before or after a specified number of months

HOUR Converts a serial number to an hour

MINUTE Converts a serial number to a minute

MONTH Converts a serial number to a month

NETWORKDAYS Returns the number of whole workdays between two dates

NOW Returns the serial number of the current date and time

SECOND Converts a serial number to a second

TIME Returns the serial number of a particular time

TIMEVALUE Converts a time in the form of text to a serial number

TODAY Returns the serial number of today's date

WEEKDAY Converts a serial number to a day of the week

WEEKNUM Converts a serial number to a number representing where the week falls numerically with a year

WORKDAY Returns the serial number of the date before or after a specified number of workdays

YEAR Converts a serial number to a year

YEARFRAC Returns the year fraction representing the number of whole days between start_date and end_date


External functions

These functions are loaded with add-in programs

EUROCONVERT Converts a number to euros, converts a number from euros to a euro member currency, or converts a number from one euro member currency to another by using the euro as an intermediary (triangulation)

SQL.REQUEST Connects with an external data source and runs a query from a worksheet, then returns the result as an array without the need for macro programming


Engineering functions

BESSELI Returns the modified Bessel function In(x)

BESSELJ Returns the Bessel function Jn(x)

BESSELK Returns the modified Bessel function Kn(x)

BESSELY Returns the Bessel function Yn(x)

BIN2DEC Converts a binary number to decimal

BIN2HEX Converts a binary number to hexadecimal

BIN2OCT Converts a binary number to octal

COMPLEX Converts real and imaginary coefficients into a complex number

CONVERT Converts a number from one measurement system to another

DEC2BIN Converts a decimal number to binary

DEC2HEX Converts a decimal number to hexadecimal

DEC2OCT Converts a decimal number to octal

DELTA Tests whether two values are equal

ERF Returns the error function

ERFC Returns the complementary error function

GESTEP Tests whether a number is greater than a threshold value

HEX2BIN Converts a hexadecimal number to binary

HEX2DEC Converts a hexadecimal number to decimal

HEX2OCT Converts a hexadecimal number to octal

IMABS Returns the absolute value (modulus) of a complex number

IMAGINARY Returns the imaginary coefficient of a complex number

IMARGUMENT Returns the argument theta, an angle expressed in radians

IMCONJUGATE Returns the complex conjugate of a complex number

IMCOS Returns the cosine of a complex number

IMDIV Returns the quotient of two complex numbers

IMEXP Returns the exponential of a complex number

IMLN Returns the natural logarithm of a complex number

IMLOG10 Returns the base-10 logarithm of a complex number

IMLOG2 Returns the base-2 logarithm of a complex number

IMPOWER Returns a complex number raised to an integer power

IMPRODUCT Returns the product of two complex numbers

IMREAL Returns the real coefficient of a complex number

IMSIN Returns the sine of a complex number

IMSQRT Returns the square root of a complex number

IMSUB Returns the difference between two complex numbers

IMSUM Returns the sum of complex numbers

OCT2BIN Converts an octal number to binary

OCT2DEC Converts an octal number to decimal

OCT2HEX Converts an octal number to hexadecimal


Financial functions

Some of the content in this topic may not be applicable to some languages.

ACCRINT Returns the accrued interest for a security that pays periodic interest

ACCRINTM Returns the accrued interest for a security that pays interest at maturity

AMORDEGRC Returns the depreciation for each accounting period by using a depreciation coefficient

AMORLINC Returns the depreciation for each accounting period

COUPDAYBS Returns the number of days from the beginning of the coupon period to the settlement date

COUPDAYS Returns the number of days in the coupon period that contains the settlement date

COUPDAYSNC Returns the number of days from the settlement date to the next coupon date

COUPNCD Returns the next coupon date after the settlement date

COUPNUM Returns the number of coupons payable between the settlement date and maturity date

COUPPCD Returns the previous coupon date before the settlement date

CUMIPMT Returns the cumulative interest paid between two periods

CUMPRINC Returns the cumulative principal paid on a loan between two periods

DB Returns the depreciation of an asset for a specified period using the fixed-declining balance method

DDB Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify

DISC Returns the discount rate for a security

DOLLARDE Converts a dollar price, expressed as a fraction, into a dollar price, expressed as a decimal number

DOLLARFR Converts a dollar price, expressed as a decimal number, into a dollar price, expressed as a fraction

DURATION Returns the annual duration of a security with periodic interest payments

EFFECT Returns the effective annual interest rate

FV Returns the future value of an investment

FVSCHEDULE Returns the future value of an initial principal after applying a series of compound interest rates

INTRATE Returns the interest rate for a fully invested security

IPMT Returns the interest payment for an investment for a given period

IRR Returns the internal rate of return for a series of cash flows

ISPMT Calculates the interest paid during a specific period of an investment

MDURATION Returns the Macauley modified duration for a security with an assumed par value of $100

MIRR Returns the internal rate of return where positive and negative cash flows are financed at different rates

NOMINAL Returns the annual nominal interest rate

NPER Returns the number of periods for an investment

NPV Returns the net present value of an investment based on a series of periodic cash flows and a discount rate

ODDFPRICE Returns the price per $100 face value of a security with an odd first period

ODDFYIELD Returns the yield of a security with an odd first period

ODDLPRICE Returns the price per $100 face value of a security with an odd last period

ODDLYIELD Returns the yield of a security with an odd last period

PMT Returns the periodic payment for an annuity

PPMT Returns the payment on the principal for an investment for a given period

PRICE Returns the price per $100 face value of a security that pays periodic interest

PRICEDISC Returns the price per $100 face value of a discounted security

PRICEMAT Returns the price per $100 face value of a security that pays interest at maturity

PV Returns the present value of an investment

RATE Returns the interest rate per period of an annuity

RECEIVED Returns the amount received at maturity for a fully invested security

SLN Returns the straight-line depreciation of an asset for one period

SYD Returns the sum-of-years' digits depreciation of an asset for a specified period

TBILLEQ Returns the bond-equivalent yield for a Treasury bill

TBILLPRICE Returns the price per $100 face value for a Treasury bill

TBILLYIELD Returns the yield for a Treasury bill

VDB Returns the depreciation of an asset for a specified or partial period using a declining balance method

XIRR Returns the internal rate of return for a schedule of cash flows that is not necessarily periodic

XNPV Returns the net present value for a schedule of cash flows that is not necessarily periodic

YIELD Returns the yield on a security that pays periodic interest

YIELDDISC Returns the annual yield for a discounted security; for example, a Treasury bill

YIELDMAT Returns the annual yield of a security that pays interest at maturity


Worksheet functions listed by category

Database

Microsoft Excel includes worksheet functions that analyze data stored in lists or databases. Each of these functions, referred to collectively as the Dfunctions, uses three arguments: database, field, and criteria. These arguments refer to the worksheet ranges that are used by the function.

DAVERAGE Returns the average of selected database entries

DCOUNT Counts the cells that contain numbers in a database

DCOUNTA Counts nonblank cells in a database

DGET Extracts from a database a single record that matches the specified criteria

DMAX Returns the maximum value from selected database entries

DMIN Returns the minimum value from selected database entries

DPRODUCT Multiplies the values in a particular field of records that match the criteria in a database

DSTDEV Estimates the standard deviation based on a sample of selected database entries

DSTDEVP Calculates the standard deviation based on the entire population of selected database entries

DSUM Adds the numbers in the field column of records in the database that match the criteria

DVAR Estimates variance based on a sample from selected database entries

DVARP Calculates variance based on the entire population of selected database entries

GETPIVOTDATA Returns data stored in a PivotTable

Date and Time

DATE Returns the serial number of a particular date

DATEVALUE Converts a date in the form of text to a serial number

DAY Converts a serial number to a day of the month

DAYS360 Calculates the number of days between two dates based on a 360-day year

EDATE Returns the serial number of the date that is the indicated number of months before or after the start date

EOMONTH Returns the serial number of the last day of the month before or after a specified number of months

HOUR Converts a serial number to an hour

MINUTE Converts a serial number to a minute

MONTH Converts a serial number to a month

NETWORKDAYS Returns the number of whole workdays between two dates

NOW Returns the serial number of the current date and time

SECOND Converts a serial number to a second

TIME Returns the serial number of a particular time

TIMEVALUE Converts a time in the form of text to a serial number

TODAY Returns the serial number of today's date

WEEKDAY Converts a serial number to a day of the week

WEEKNUM Converts a serial number to a number representing where the week falls numerically with a year

WORKDAY Returns the serial number of the date before or after a specified number of workdays

YEAR Converts a serial number to a year

YEARFRAC Returns the year fraction representing the number of whole days between start_date and end_date

External

These functions are loaded with add-in programs

EUROCONVERT Converts a number to euros, converts a number from euros to a euro member currency, or converts a number from one euro member currency to another by using the euro as an intermediary (triangulation)

SQL.REQUEST Connects with an external data source and runs a query from a worksheet, then returns the result as an array without the need for macro programming

Engineering

BESSELI Returns the modified Bessel function In(x)

BESSELJ Returns the Bessel function Jn(x)

BESSELK Returns the modified Bessel function Kn(x)

BESSELY Returns the Bessel function Yn(x)

BIN2DEC Converts a binary number to decimal

BIN2HEX Converts a binary number to hexadecimal

BIN2OCT Converts a binary number to octal

COMPLEX Converts real and imaginary coefficients into a complex number

CONVERT Converts a number from one measurement system to another

DEC2BIN Converts a decimal number to binary

DEC2HEX Converts a decimal number to hexadecimal

DEC2OCT Converts a decimal number to octal

DELTA Tests whether two values are equal

ERF Returns the error function

ERFC Returns the complementary error function

GESTEP Tests whether a number is greater than a threshold value

HEX2BIN Converts a hexadecimal number to binary

HEX2DEC Converts a hexadecimal number to decimal

HEX2OCT Converts a hexadecimal number to octal

IMABS Returns the absolute value (modulus) of a complex number

IMAGINARY Returns the imaginary coefficient of a complex number

IMARGUMENT Returns the argument theta, an angle expressed in radians

IMCONJUGATE Returns the complex conjugate of a complex number

IMCOS Returns the cosine of a complex number

IMDIV Returns the quotient of two complex numbers

IMEXP Returns the exponential of a complex number

IMLN Returns the natural logarithm of a complex number

IMLOG10 Returns the base-10 logarithm of a complex number

IMLOG2 Returns the base-2 logarithm of a complex number

IMPOWER Returns a complex number raised to an integer power

IMPRODUCT Returns the product of two complex numbers

IMREAL Returns the real coefficient of a complex number

IMSIN Returns the sine of a complex number

IMSQRT Returns the square root of a complex number

IMSUB Returns the difference between two complex numbers

IMSUM Returns the sum of complex numbers

OCT2BIN Converts an octal number to binary

OCT2DEC Converts an octal number to decimal

OCT2HEX Converts an octal number to hexadecimal

Financial

ACCRINT Returns the accrued interest for a security that pays periodic interest

ACCRINTM Returns the accrued interest for a security that pays interest at maturity

AMORDEGRC Returns the depreciation for each accounting period by using a depreciation coefficient

AMORLINC Returns the depreciation for each accounting period

COUPDAYBS Returns the number of days from the beginning of the coupon period to the settlement date

COUPDAYS Returns the number of days in the coupon period that contains the settlement date

COUPDAYSNC Returns the number of days from the settlement date to the next coupon date

COUPNCD Returns the next coupon date after the settlement date

COUPNUM Returns the number of coupons payable between the settlement date and maturity date

COUPPCD Returns the previous coupon date before the settlement date

CUMIPMT Returns the cumulative interest paid between two periods

CUMPRINC Returns the cumulative principal paid on a loan between two periods

DB Returns the depreciation of an asset for a specified period using the fixed-declining balance method

DDB Returns the depreciation of an asset for a specified period using the double-declining balance method or some other method you specify

DISC Returns the discount rate for a security

DOLLARDE Converts a dollar price, expressed as a fraction, into a dollar price, expressed as a decimal number

DOLLARFR Converts a dollar price, expressed as a decimal number, into a dollar price, expressed as a fraction

DURATION Returns the annual duration of a security with periodic interest payments

EFFECT Returns the effective annual interest rate

FV Returns the future value of an investment

FVSCHEDULE Returns the future value of an initial principal after applying a series of compound interest rates

INTRATE Returns the interest rate for a fully invested security

IPMT Returns the interest payment for an investment for a given period

IRR Returns the internal rate of return for a series of cash flows

ISPMT Calculates the interest paid during a specific period of an investment

MDURATION Returns the Macauley modified duration for a security with an assumed par value of $100

MIRR Returns the internal rate of return where positive and negative cash flows are financed at different rates

NOMINAL Returns the annual nominal interest rate

NPER Returns the number of periods for an investment

NPV Returns the net present value of an investment based on a series of periodic cash flows and a discount rate

ODDFPRICE Returns the price per $100 face value of a security with an odd first period

ODDFYIELD Returns the yield of a security with an odd first period

ODDLPRICE Returns the price per $100 face value of a security with an odd last period

ODDLYIELD Returns the yield of a security with an odd last period

PMT Returns the periodic payment for an annuity

PPMT Returns the payment on the principal for an investment for a given period

PRICE Returns the price per $100 face value of a security that pays periodic interest

PRICEDISC Returns the price per $100 face value of a discounted security

PRICEMAT Returns the price per $100 face value of a security that pays interest at maturity

PV Returns the present value of an investment

RATE Returns the interest rate per period of an annuity

RECEIVED Returns the amount received at maturity for a fully invested security

SLN Returns the straight-line depreciation of an asset for one period

SYD Returns the sum-of-years' digits depreciation of an asset for a specified period

TBILLEQ Returns the bond-equivalent yield for a Treasury bill

TBILLPRICE Returns the price per $100 face value for a Treasury bill

TBILLYIELD Returns the yield for a Treasury bill

VDB Returns the depreciation of an asset for a specified or partial period using a declining balance method

XIRR Returns the internal rate of return for a schedule of cash flows that is not necessarily periodic

XNPV Returns the net present value for a schedule of cash flows that is not necessarily periodic

YIELD Returns the yield on a security that pays periodic interest

YIELDDISC Returns the annual yield for a discounted security; for example, a Treasury bill

YIELDMAT Returns the annual yield of a security that pays interest at maturity

Information

CELL Returns information about the formatting, location, or contents of a cell

COUNTBLANK Counts the number of blank cells within a range

ERROR.TYPE Returns a number corresponding to an error type

INFO Returns information about the current operating environment

ISBLANK Returns TRUE if the value is blank

ISERR Returns TRUE if the value is any error value except #N/A

ISERROR Returns TRUE if the value is any error value

ISEVEN Returns TRUE if the number is even

ISLOGICAL Returns TRUE if the value is a logical value

ISNA Returns TRUE if the value is the #N/A error value

ISNONTEXT Returns TRUE if the value is not text

ISNUMBER Returns TRUE if the value is a number

ISODD Returns TRUE if the number is odd

ISREF Returns TRUE if the value is a reference

ISTEXT Returns TRUE if the value is text

N Returns a value converted to a number

NA Returns the error value #N/A

TYPE Returns a number indicating the data type of a value

Logical

AND Returns TRUE if all its arguments are TRUE

FALSE Returns the logical value FALSE

IF Specifies a logical test to perform

NOT Reverses the logic of its argument

OR Returns TRUE if any argument is TRUE

TRUE Returns the logical value TRUE

Lookup and Reference

ADDRESS Returns a reference as text to a single cell in a worksheet

AREAS Returns the number of areas in a reference

CHOOSE Chooses a value from a list of values

COLUMN Returns the column number of a reference

COLUMNS Returns the number of columns in a reference

HLOOKUP Looks in the top row of an array and returns the value of the indicated cell

HYPERLINK Creates a shortcut or jump that opens a document stored on a network server, an intranet, or the Internet

INDEX Uses an index to choose a value from a reference or array

INDIRECT Returns a reference indicated by a text value

LOOKUP Looks up values in a vector or array

MATCH Looks up values in a reference or array

OFFSET Returns a reference offset from a given reference

ROW Returns the row number of a reference

ROWS Returns the number of rows in a reference

RTD Retrieves real-time data from a program that supports COM automation

TRANSPOSE Returns the transpose of an array

VLOOKUP Looks in the first column of an array and moves across the row to return the value of a cell

Math and Trigonometry

ABS Returns the absolute value of a number

ACOS Returns the arccosine of a number

ACOSH Returns the inverse hyperbolic cosine of a number

ASIN Returns the arcsine of a number

ASINH Returns the inverse hyperbolic sine of a number

ATAN Returns the arctangent of a number

ATAN2 Returns the arctangent from x- and y-coordinates

ATANH Returns the inverse hyperbolic tangent of a number

CEILING Rounds a number to the nearest integer or to the nearest multiple of significance

COMBIN Returns the number of combinations for a given number of objects

COS Returns the cosine of a number

COSH Returns the hyperbolic cosine of a number

COUNTIF Counts the number of nonblank cells within a range that meet the given criteria

DEGREES Converts radians to degrees

EVEN Rounds a number up to the nearest even integer

EXP Returns e raised to the power of a given number

FACT Returns the factorial of a number

FACTDOUBLE Returns the double factorial of a number

FLOOR Rounds a number down, toward zero

GCD Returns the greatest common divisor

INT Rounds a number down to the nearest integer

LCM Returns the least common multiple

LN Returns the natural logarithm of a number

LOG Returns the logarithm of a number to a specified base

LOG10 Returns the base-10 logarithm of a number

MDETERM Returns the matrix determinant of an array

MINVERSE Returns the matrix inverse of an array

MMULT Returns the matrix product of two arrays

MOD Returns the remainder from division

MROUND Returns a number rounded to the desired multiple

MULTINOMIAL Returns the multinomial of a set of numbers

ODD Rounds a number up to the nearest odd integer

PI Returns the value of pi

POWER Returns the result of a number raised to a power

PRODUCT Multiplies its arguments

QUOTIENT Returns the integer portion of a division

RADIANS Converts degrees to radians

RAND Returns a random number between 0 and 1

RANDBETWEEN Returns a random number between the numbers you specify

ROMAN Converts an arabic numeral to roman, as text

ROUND Rounds a number to a specified number of digits

ROUNDDOWN Rounds a number down, toward zero

ROUNDUP Rounds a number up, away from zero

SERIESSUM Returns the sum of a power series based on the formula

SIGN Returns the sign of a number

SIN Returns the sine of the given angle

SINH Returns the hyperbolic sine of a number

SQRT Returns a positive square root

SQRTPI Returns the square root of (number * pi)

SUBTOTAL Returns a subtotal in a list or database

SUM Adds its arguments

SUMIF Adds the cells specified by a given criteria

SUMPRODUCT Returns the sum of the products of corresponding array components

SUMSQ Returns the sum of the squares of the arguments

SUMX2MY2 Returns the sum of the difference of squares of corresponding values in two arrays

SUMX2PY2 Returns the sum of the sum of squares of corresponding values in two arrays

SUMXMY2 Returns the sum of squares of differences of corresponding values in two arrays

TAN Returns the tangent of a number

TANH Returns the hyperbolic tangent of a number

TRUNC Truncates a number to an integer

Statistical

AVEDEV Returns the average of the absolute deviations of data points from their mean

AVERAGE Returns the average of its arguments

AVERAGEA Returns the average of its arguments, including numbers, text, and logical values

BETADIST Returns the cumulative beta probability density function

BETAINV Returns the inverse of the cumulative beta probability density function

BINOMDIST Returns the individual term binomial distribution probability

CHIDIST Returns the one-tailed probability of the chi-squared distribution

CHIINV Returns the inverse of the one-tailed probability of the chi-squared distribution

CHITEST Returns the test for independence

CONFIDENCE Returns the confidence interval for a population mean

CORREL Returns the correlation coefficient between two data sets

COUNT Counts how many numbers are in the list of arguments

COUNTA Counts how many values are in the list of arguments

COVAR Returns covariance, the average of the products of paired deviations

CRITBINOM Returns the smallest value for which the cumulative binomial distribution is less than or equal to a criterion value

DEVSQ Returns the sum of squares of deviations

EXPONDIST Returns the exponential distribution

FDIST Returns the F probability distribution

FINV Returns the inverse of the F probability distribution

FISHER Returns the Fisher transformation

FISHERINV Returns the inverse of the Fisher transformation

FORECAST Returns a value along a linear trend

FREQUENCY Returns a frequency distribution as a vertical array

FTEST Returns the result of an F-test

GAMMADIST Returns the gamma distribution

GAMMAINV Returns the inverse of the gamma cumulative distribution

GAMMALN Returns the natural logarithm of the gamma function, Γ(x)

GEOMEAN Returns the geometric mean

GROWTH Returns values along an exponential trend

HARMEAN Returns the harmonic mean

HYPGEOMDIST Returns the hypergeometric distribution

INTERCEPT Returns the intercept of the linear regression line

KURT Returns the kurtosis of a data set

LARGE Returns the k-th largest value in a data set

LINEST Returns the parameters of a linear trend

LOGEST Returns the parameters of an exponential trend

LOGINV Returns the inverse of the lognormal distribution

LOGNORMDIST Returns the cumulative lognormal distribution

MAX Returns the maximum value in a list of arguments

MAXA Returns the maximum value in a list of arguments, including numbers, text, and logical values

MEDIAN Returns the median of the given numbers

MIN Returns the minimum value in a list of arguments

MINA Returns the smallest value in a list of arguments, including numbers, text, and logical values

MODE Returns the most common value in a data set

NEGBINOMDIST Returns the negative binomial distribution

NORMDIST Returns the normal cumulative distribution

NORMINV Returns the inverse of the normal cumulative distribution

NORMSDIST Returns the standard normal cumulative distribution

NORMSINV Returns the inverse of the standard normal cumulative distribution

PEARSON Returns the Pearson product moment correlation coefficient

PERCENTILE Returns the k-th percentile of values in a range

PERCENTRANK Returns the percentage rank of a value in a data set

PERMUT Returns the number of permutations for a given number of objects

POISSON Returns the Poisson distribution

PROB Returns the probability that values in a range are between two limits

QUARTILE Returns the quartile of a data set

RANK Returns the rank of a number in a list of numbers

RSQ Returns the square of the Pearson product moment correlation coefficient

SKEW Returns the skewness of a distribution

SLOPE Returns the slope of the linear regression line

SMALL Returns the k-th smallest value in a data set

STANDARDIZE Returns a normalized value

STDEV Estimates standard deviation based on a sample

STDEVA Estimates standard deviation based on a sample, including numbers, text, and logical values

STDEVP Calculates standard deviation based on the entire population

STDEVPA Calculates standard deviation based on the entire population, including numbers, text, and logical values

STEYX Returns the standard error of the predicted y-value for each x in the regression

TDIST Returns the Student's t-distribution

TINV Returns the inverse of the Student's t-distribution

TREND Returns values along a linear trend

TRIMMEAN Returns the mean of the interior of a data set

TTEST Returns the probability associated with a Student's t-test

VAR Estimates variance based on a sample

VARA Estimates variance based on a sample, including numbers, text, and logical values

VARP Calculates variance based on the entire population

VARPA Calculates variance based on the entire population, including numbers, text, and logical values

WEIBULL Returns the Weibull distribution

ZTEST Returns the two-tailed P-value of a z-test

Text and Data

ASC Changes full-width (double-byte) English letters or katakana within a character string to half-width (single-byte) characters

BAHTTEXT Converts a number to text, using the ß (baht) currency format

CHAR Returns the character specified by the code number

CLEAN Removes all nonprintable characters from text

CODE Returns a numeric code for the first character in a text string

CONCATENATE Joins several text items into one text item

DOLLAR Converts a number to text, using the $ (dollar) currency format

EXACT Checks to see if two text values are identical

FIND Finds one text value within another (case-sensitive)

FIXED Formats a number as text with a fixed number of decimals

JIS Changes half-width (single-byte) English letters or katakana within a character string to full-width (double-byte) characters

LEFT Returns the leftmost characters from a text value

LEN Returns the number of characters in a text string

LOWER Converts text to lowercase

MID Returns a specific number of characters from a text string starting at the position you specify

PHONETIC Extracts the phonetic (furigana) characters from a text string

PROPER Capitalizes the first letter in each word of a text value

REPLACE Replaces characters within text

REPT Repeats text a given number of times

RIGHT Returns the rightmost characters from a text value

SEARCH Finds one text value within another (not case-sensitive)

SUBSTITUTE Substitutes new text for old text in a text string

T Converts its arguments to text

TEXT Formats a number and converts it to text

TRIM Removes spaces from text

UPPER Converts text to uppercase

VALUE Converts a text argument to a number


Information functions

CELL Returns information about the formatting, location, or contents of a cell

COUNTBLANK Counts the number of blank cells within a range

ERROR.TYPE Returns a number corresponding to an error type

INFO Returns information about the current operating environment

ISBLANK Returns TRUE if the value is blank

ISERR Returns TRUE if the value is any error value except #N/A

ISERROR Returns TRUE if the value is any error value

ISEVEN Returns TRUE if the number is even

ISLOGICAL Returns TRUE if the value is a logical value

ISNA Returns TRUE if the value is the #N/A error value

ISNONTEXT Returns TRUE if the value is not text

ISNUMBER Returns TRUE if the value is a number

ISODD Returns TRUE if the number is odd

ISREF Returns TRUE if the value is a reference

ISTEXT Returns TRUE if the value is text

N Returns a value converted to a number

NA Returns the error value #N/A

TYPE Returns a number indicating the data type of a value


Logical functions

AND Returns TRUE if all its arguments are TRUE

FALSE Returns the logical value FALSE

IF Specifies a logical test to perform

NOT Reverses the logic of its argument

OR Returns TRUE if any argument is TRUE

TRUE Returns the logical value TRUE


Lookup and Reference functions

ADDRESS Returns a reference as text to a single cell in a worksheet

AREAS Returns the number of areas in a reference

CHOOSE Chooses a value from a list of values

COLUMN Returns the column number of a reference

COLUMNS Returns the number of columns in a reference

HLOOKUP Looks in the top row of an array and returns the value of the indicated cell

HYPERLINK Creates a shortcut or jump that opens a document stored on a network server, an intranet, or the Internet

INDEX Uses an index to choose a value from a reference or array

INDIRECT Returns a reference indicated by a text value

LOOKUP Looks up values in a vector or array

MATCH Looks up values in a reference or array

OFFSET Returns a reference offset from a given reference

ROW Returns the row number of a reference

ROWS Returns the number of rows in a reference

RTD Retrieves real-time data from a program that supports COM automation

TRANSPOSE Returns the transpose of an array

VLOOKUP Looks in the first column of an array and moves across the row to return the value of a cell


Math and Trigonometry functions

ABS Returns the absolute value of a number

ACOS Returns the arccosine of a number

ACOSH Returns the inverse hyperbolic cosine of a number

ASIN Returns the arcsine of a number

ASINH Returns the inverse hyperbolic sine of a number

ATAN Returns the arctangent of a number

ATAN2 Returns the arctangent from x- and y-coordinates

ATANH Returns the inverse hyperbolic tangent of a number

CEILING Rounds a number to the nearest integer or to the nearest multiple of significance

COMBIN Returns the number of combinations for a given number of objects

COS Returns the cosine of a number

COSH Returns the hyperbolic cosine of a number

COUNTIF Counts the number of nonblank cells within a range that meet the given criteria

DEGREES Converts radians to degrees

EVEN Rounds a number up to the nearest even integer

EXP Returns e raised to the power of a given number

FACT Returns the factorial of a number

FACTDOUBLE Returns the double factorial of a number

FLOOR Rounds a number down, toward zero

GCD Returns the greatest common divisor

INT Rounds a number down to the nearest integer

LCM Returns the least common multiple

LN Returns the natural logarithm of a number

LOG Returns the logarithm of a number to a specified base

LOG10 Returns the base-10 logarithm of a number

MDETERM Returns the matrix determinant of an array

MINVERSE Returns the matrix inverse of an array

MMULT Returns the matrix product of two arrays

MOD Returns the remainder from division

MROUND Returns a number rounded to the desired multiple

MULTINOMIAL Returns the multinomial of a set of numbers

ODD Rounds a number up to the nearest odd integer

PI Returns the value of pi

POWER Returns the result of a number raised to a power

PRODUCT Multiplies its arguments

QUOTIENT Returns the integer portion of a division

RADIANS Converts degrees to radians

RAND Returns a random number between 0 and 1

RANDBETWEEN Returns a random number between the numbers you specify

ROMAN Converts an arabic numeral to roman, as text

ROUND Rounds a number to a specified number of digits

ROUNDDOWN Rounds a number down, toward zero

ROUNDUP Rounds a number up, away from zero

SERIESSUM Returns the sum of a power series based on the formula

SIGN Returns the sign of a number

SIN Returns the sine of the given angle

SINH Returns the hyperbolic sine of a number

SQRT Returns a positive square root

SQRTPI Returns the square root of (number * pi)

SUBTOTAL Returns a subtotal in a list or database

SUM Adds its arguments

SUMIF Adds the cells specified by a given criteria

SUMPRODUCT Returns the sum of the products of corresponding array components

SUMSQ Returns the sum of the squares of the arguments

SUMX2MY2 Returns the sum of the difference of squares of corresponding values in two arrays

SUMX2PY2 Returns the sum of the sum of squares of corresponding values in two arrays

SUMXMY2 Returns the sum of squares of differences of corresponding values in two arrays

TAN Returns the tangent of a number

TANH Returns the hyperbolic tangent of a number

TRUNC Truncates a number to an integer


Statistical functions

AVEDEV Returns the average of the absolute deviations of data points from their mean

AVERAGE Returns the average of its arguments

AVERAGEA Returns the average of its arguments, including numbers, text, and logical values

BETADIST Returns the cumulative beta probability density function

BETAINV Returns the inverse of the cumulative beta probability density function

BINOMDIST Returns the individual term binomial distribution probability

CHIDIST Returns the one-tailed probability of the chi-squared distribution

CHIINV Returns the inverse of the one-tailed probability of the chi-squared distribution

CHITEST Returns the test for independence

CONFIDENCE Returns the confidence interval for a population mean

CORREL Returns the correlation coefficient between two data sets

COUNT Counts how many numbers are in the list of arguments

COUNTA Counts how many values are in the list of arguments

COVAR Returns covariance, the average of the products of paired deviations

CRITBINOM Returns the smallest value for which the cumulative binomial distribution is less than or equal to a criterion value

DEVSQ Returns the sum of squares of deviations

EXPONDIST Returns the exponential distribution

FDIST Returns the F probability distribution

FINV Returns the inverse of the F probability distribution

FISHER Returns the Fisher transformation

FISHERINV Returns the inverse of the Fisher transformation

FORECAST Returns a value along a linear trend

FREQUENCY Returns a frequency distribution as a vertical array

FTEST Returns the result of an F-test

GAMMADIST Returns the gamma distribution

GAMMAINV Returns the inverse of the gamma cumulative distribution

GAMMALN Returns the natural logarithm of the gamma function, Γ(x)

GEOMEAN Returns the geometric mean

GROWTH Returns values along an exponential trend

HARMEAN Returns the harmonic mean

HYPGEOMDIST Returns the hypergeometric distribution

INTERCEPT Returns the intercept of the linear regression line

KURT Returns the kurtosis of a data set

LARGE Returns the k-th largest value in a data set

LINEST Returns the parameters of a linear trend

LOGEST Returns the parameters of an exponential trend

LOGINV Returns the inverse of the lognormal distribution

LOGNORMDIST Returns the cumulative lognormal distribution

MAX Returns the maximum value in a list of arguments

MAXA Returns the maximum value in a list of arguments, including numbers, text, and logical values

MEDIAN Returns the median of the given numbers

MIN Returns the minimum value in a list of arguments

MINA Returns the smallest value in a list of arguments, including numbers, text, and logical values

MODE Returns the most common value in a data set

NEGBINOMDIST Returns the negative binomial distribution

NORMDIST Returns the normal cumulative distribution

NORMINV Returns the inverse of the normal cumulative distribution

NORMSDIST Returns the standard normal cumulative distribution

NORMSINV Returns the inverse of the standard normal cumulative distribution

PEARSON Returns the Pearson product moment correlation coefficient

PERCENTILE Returns the k-th percentile of values in a range

PERCENTRANK Returns the percentage rank of a value in a data set

PERMUT Returns the number of permutations for a given number of objects

POISSON Returns the Poisson distribution

PROB Returns the probability that values in a range are between two limits

QUARTILE Returns the quartile of a data set

RANK Returns the rank of a number in a list of numbers

RSQ Returns the square of the Pearson product moment correlation coefficient

SKEW Returns the skewness of a distribution

SLOPE Returns the slope of the linear regression line

SMALL Returns the k-th smallest value in a data set

STANDARDIZE Returns a normalized value

STDEV Estimates standard deviation based on a sample

STDEVA Estimates standard deviation based on a sample, including numbers, text, and logical values

STDEVP Calculates standard deviation based on the entire population

STDEVPA Calculates standard deviation based on the entire population, including numbers, text, and logical values

STEYX Returns the standard error of the predicted y-value for each x in the regression

TDIST Returns the Student's t-distribution

TINV Returns the inverse of the Student's t-distribution

TREND Returns values along a linear trend

TRIMMEAN Returns the mean of the interior of a data set

TTEST Returns the probability associated with a Student's t-test

VAR Estimates variance based on a sample

VARA Estimates variance based on a sample, including numbers, text, and logical values

VARP Calculates variance based on the entire population

VARPA Calculates variance based on the entire population, including numbers, text, and logical values

WEIBULL Returns the Weibull distribution

ZTEST Returns the two-tailed P-value of a z-test


Text and Data functions

ASC Changes full-width (double-byte) English letters or katakana within a character string to half-width (single-byte) characters

BAHTTEXT Converts a number to text, using the ß (baht) currency format

CHAR Returns the character specified by the code number

CLEAN Removes all nonprintable characters from text

CODE Returns a numeric code for the first character in a text string

CONCATENATE Joins several text items into one text item

DOLLAR Converts a number to text, using the $ (dollar) currency format

EXACT Checks to see if two text values are identical

FIND Finds one text value within another (case-sensitive)

FIXED Formats a number as text with a fixed number of decimals

JIS Changes half-width (single-byte) English letters or katakana within a character string to full-width (double-byte) characters

LEFT Returns the leftmost characters from a text value

LEN Returns the number of characters in a text string

LOWER Converts text to lowercase

MID Returns a specific number of characters from a text string starting at the position you specify

PHONETIC Extracts the phonetic (furigana) characters from a text string

PROPER Capitalizes the first letter in each word of a text value

REPLACE Replaces characters within text

REPT Repeats text a given number of times

RIGHT Returns the rightmost characters from a text value

SEARCH Finds one text value within another (not case-sensitive)

SUBSTITUTE Substitutes new text for old text in a text string

T Converts its arguments to text

TEXT Formats a number and converts it to text

TRIM Removes spaces from text

UPPER Converts text to uppercase

VALUE Converts a text argument to a number


Use custom toolbars from earlier Excel versions

If you have multiple Microsoft Excel versions on your system, or have toolbars you want to use on other systems or share with other users, you can merge those custom toolbars into the current version of Excel.

  1. On the File menu, click Open.
  2. In the Files of type box, click Toolbars.
  3. Open the toolbar file for the version you want.

    Your toolbar settings are stored in the following files and locations:

    Excel Version | File Name | Location
    Excel 2002 | Excel.xlb | C:\Documents and Settings\username\Application Data\Microsoft\Excel
    Excel 2000 | Excel.xlb | C:\Documents and Settings\username\Application Data\Microsoft\Excel
    Excel 97 | username8.xlb | Windows folder, unless your administrator specifies a different location
    Excel 95 | If user profiles are turned on, username.xlb; if user profiles are not turned on, Excel8.xlb | Windows folder
    Excel 5 | Excel5.xlb | Windows folder
    Excel 4 | Excel.xlb | Windows folder
  4. If your custom toolbar does not appear, point to Toolbars on the View menu, and then select your toolbar.
  5. If you opened an Excel toolbar file from another system, and you want to save the merged toolbars in the current Excel toolbar file, click Customize on the Tools menu and make at least one change to a merged toolbar (add or remove a button, for example).
  6. To save the merged toolbars in the current Excel toolbar file, click Exit on the File menu. The next time you run Excel, the merged toolbars will be displayed. If your custom toolbars contain buttons from earlier Excel versions that aren't included in the current version of Excel, these buttons appear as gray boxes. If you click one of these buttons, the Assign Macro dialog box appears.
  7. If your custom toolbars contain buttons that run macros, you'll also need to copy the macros to any workbooks where you want to use the buttons.

    How?

    1. Set the security level to Medium or Low.

      How?

      1. On the Tools menu, click Options.
      2. Click the Security tab.
      3. Under Macro Security, click Macro Security.
      4. Click the Security Level tab, and then select the security level you want to use.
    2. Open the workbook that contains the module you want to copy and the workbook you want to copy the module to.
    3. On the Tools menu, point to Macro, and then click Visual Basic Editor.
    4. On the View menu, click Project Explorer Project Explorer button.
    5. Drag the module you want to copy to the destination workbook.


Turn on or off drag-and-drop editing

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. Select or clear the Allow cell drag and drop check box.


Allow editing directly in a cell or restrict editing to the formula bar

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. To allow editing and typing data in cells, select the Edit directly in cell check box.

    To allow editing and typing data only in the formula bar, clear the check box.


Turn on or off the message about overwriting non-blank cells

  1. On the Tools menu, click Options, and then click the Edit tab.
  2. To display a message, if dragging a selection or its fill handle would result in the loss of existing data, select the Alert before overwriting cells check box.

    To suppress the message, clear the check box.


Unlocked cells containing formulas

The formula is not locked for protection. By default, all cells are locked for protection, so the cell has been set to be unprotected. When a formula is protected it cannot be modified without being unprotected. Check to make sure you do not want the cell protected. Protecting cells that contain formulas prevents them from being changed, and can help avoid future errors.


Use an example in a blank workbook

  1. Create a blank workbook or worksheet.
  2. Select the example in the Help topic. Do not select the row or column headers.

    Selecting an example from Help

    Selecting an example from Help

  3. Press CTRL+C.
  4. In the worksheet, select cell A1, and press CTRL+V.
  5. To switch between viewing the results and viewing the formulas that return the results, press CTRL+` (grave accent), or on the Tools menu, point to Formula Auditing, and then click Formula Auditing Mode.


What's new in Microsoft Excel

Home
What's New

Key new features in Microsoft Excel

Importing data

Querying data from Web pages Now it's even easier to get refreshable data from the Web into Excel for viewing and analysis. Use the new browser-like interface to visually select tables on Web pages for import into Excel, or copy data from a Web page and create a refreshable query. Web queries included with Excel provide fast, accurate information such as stock quotes for your spreadsheets. You can also create Web queries to Extensible Markup Language (XML) files.

Importing data Getting data where you need it and when you need it is as easy as choosing an option and finding your data source in the Select Data Source dialog box. If you want to import data from a remote data source, use the Data Connection Wizard to locate and import data from sources as varied as Microsoft SQL Server, Open Database Connectivity (ODBC), and Online Analytical Processing (OLAP) data sources. Microsoft Office data connection (.odc) files are shareable.

Formulas and functions

ScreenTips for function arguments Type a function in a cell and a convenient screen tip appears showing all of the arguments for the function, along with a link to the Help topic for the function.

Recommended functions in the Function Wizard Type a natural language query, such as "How do I determine the monthly payment for a car loan", and the Function Wizard returns a list of recommended functions you can use to accomplish your task.

Cut-and-paste function reference examples If you've wondered how to translate Help examples into meaningful worksheet data, you'll find the cut-and-paste function examples in Excel Help useful and time saving.

Task-based formula help Real-life examples for real-life numeric problems make powerful additions to the Help you've come to count on.

Watch window Keep track of cells and their formulas on the Watch Window toolbar, even when the cells are out of view. This moveable toolbar tracks cell properties including workbook, worksheet, name, cell, value, and formula.

Expanded AutoSum functionality The practical functionality of AutoSum [image] has expanded to include a drop-down list of the most common functions. For example, you can click Average from the list to calculate the average of a selected range, or connect to the Function Wizard for more options.

Formula evaluator You can see the various parts of a nested formula evaluated in the order the formula is calculated by using a simple dialog box on the Formula Auditing toolbar.

Trace precedent and dependent cells with Formula Auditing Use the Formula Auditing toolbar to graphically display, or trace, the relationships between cells and formulas with blue arrows. You can trace the precedent cells or the dependent cells.

Formula error checking Like a grammar checker, Excel uses certain rules to check for problems in formulas. These rules can help find common mistakes. You can turn these rules on or off individually.

Worksheet and workbook formatting

Color-coded worksheet tabs Organize your work by adding color to your worksheet tabs.

Control automatic changes with smart tags Buttons that appear automatically on your worksheet can help you with tasks such as automatic correction options, paste options, automatic fill options, insert options, and formula error checking. With a click of a button you can choose from options related to your task without leaving the worksheet or the cells you're working on.

Unmerge on the toolbar No more searching for a way to unmerge cells. Now unmerge is conveniently located on the Format toolbar.

Retain column widths If you have worksheets with specified column widths, now you can paste information from another worksheet without losing that formatting by clicking the Paste Options [image] button, and then clicking Keep Source Column Widths.

Border drawing A new border drawing tool allows you to outline complex borders with little effort.

More new features in Excel

Everyday tasks

Find and replace Finding and replacing data in Excel includes great new options to match formats and search an entire workbook or worksheets.

Links management Changes to the Edit Links dialog box allow you to check the status of the links in your worksheet and make changes. A new workbook option allows you to control whether to update links in your workbook automatically.

Hyperlink navigation Selecting a cell with a hyperlink is improved. Click the hyperlink once to follow it. Click and hold to select the cell.

Sending a range Sending out mid-month reports and summaries just got easier. Select a range on your worksheet, click E-mail [image] on the Standard toolbar, type an introduction to the report, and then send it without spending extra time on the task.

Insert and delete columns while filtering You can insert and delete columns with AutoFilter turned on in Excel. You can even undo the action and preserve any applied filtering.

Speech playback An option to have a computer voice play back data after every cell entry or after a range of cells has been entered makes verifying data entry convenient and practical. You can even choose the voice the computer uses to read back your data. This feature is available in Chinese, Japanese, and English (U.S.) only.

Printing You've asked for the ability to insert graphics and file names in headers and footers, and with Excel you can. You'll also find a handy A4 paper resizing option on the International tab under Tools menu, Options command, which will scale the worksheet you formatted for A4 paper if you have letter-size paper in your printer.

Smart tags By turning on smart tags, you can type a U.S. financial symbol and use Smart Tag Actions [image] to insert a stock quote in your worksheet, find out more about the company you're doing business with, and more. You can also type the name of someone you've recently sent an e-mail message to into a cell, and then use smart tag options to schedule a meeting or add the name to your contacts list, all without leaving your worksheet.

Item properties in PivotTables Online Analytical Processing (OLAP) is a powerful tool for aggregating numeric information, and now you can annotate your data with item properties to make your data warehouse even more valuable.

AutoRepublish Anyone who frequently publishes Excel data to the Web will appreciate additional Web publishing features that allow you to automatically republish items to Web pages whenever you save a workbook with previously published items.

Open and save XML With Excel, you can open and save Extensible Markup Language (XML) files, save entire workbooks in the XML Spreadsheet format, and create queries to XML source data.

Digital Dashboard and Web Parts Use Excel to create Web Parts to include on your company's new Digital Dashboard. For example, you might create an updateable sales chart to highlight your division's contributions to the company's bottom line.

Worksheet protection Excel adds power and flexibility to protect your data from changes to worksheets and cells. You can protect cell values and formulas, and allow the cell to be formatted. You can also ensure that only specific users are allowed to change cells.

Language-specific features

If you are not using the specific language version of Microsoft Office for which one of these features is designed, then the feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office XP Proofing Tools for that language. In addition, you must enable support for the language through Microsoft Office XP Language Settings.

Multilingual editing With Excel you can edit spreadsheets in any language, including right-to-left language editing in Arabic and Hebrew. Excel automatically links fonts so you don't have to figure out the language of a particular font.

IME support If you have an Input Method Editor (IME) installed, you can edit Asian language spreadsheets in any language version of Excel.

Worldwide number formats You can format numbers for a specific location in all language versions of Excel.

New Microsoft Office features

Everyday tasks

Office task panes The most common tasks in Office are now organized in panes that display in place with your Office document. Continue working while you search for a file using the Search task pane, pick from a gallery of items to paste in the Office Clipboard task pane, and quickly create new documents or open files using the New File task pane that appears when you start an Office program. Other task panes vary in each Office program.

New look Microsoft Office XP has a cleaner, simpler look to its interface. Softer colors also contribute to this updated feel.

More convenient access to Help Get the full power of the Answer Wizard in an unobtrusive package. When you enter a question about an Office program in the Ask a Question box on the menu bar, you can see a list of choices and read a Help topic whether you are running the Office Assistant or not.

Control paste options and automatic changes with smart tags New in-place buttons called "smart tags" let you immediately adjust how information is pasted or how automatic changes occur in your Office programs. For example, when you paste text from Microsoft Word into Microsoft PowerPoint, a button appears next to the text. Click the button to see a list of choices for fine-tuning the formatting of the pasted text. Smart tags and their associated choices vary in each Office program.

Updated Clip Organizer Hundreds of new clips, an easy task pane interface, as well as the same abilities to organize clips and find new digital art on the Web are part of the updated Clip Organizer (formerly Clip Gallery).

Conceptual diagrams Word, Excel, and PowerPoint include a new gallery of conceptual diagrams. Choose from diagrams such as Pyramid for showing the building blocks of a relationship, Radial for showing items in relation to a core element, and more.

Voice commands and dictation In addition to mouse and keyboard methods, you can now select menu, toolbar, and dialog box items by speaking. You can also dictate text. This feature is available in the Simplified Chinese, English (U.S.), and Japanese language versions of Office, and has some special hardware requirements.

Support for handwriting You can use handwriting recognition to enter text into an Office document. You can write by using a handwriting input device — such as a graphics tablet or a tablet-PC — or you can write using your mouse. Your natural handwriting is converted to typed characters. In Word and Microsoft Outlook, you can also choose to leave text in handwritten form.

Improved fidelity of pictures and drawings In Office XP, Word, Excel, PowerPoint, Microsoft FrontPage, and Microsoft Publisher are using an improved graphics system (GDI+). With this new graphics system, shapes and WordArt have smoother outlines and adjustable levels of transparency with true blending. Digital pictures stay sharper and clearer when you resize them.

Accessibility Office XP programs support Microsoft Active Accessibility 2.0. This technology makes accessibility aids, such as screen readers or screen enlargers, more effective.

Find printers If your organization uses Microsoft Windows 2000 and the Active Directory directory service, you can search for printers across your network from the Print dialog box in Office XP programs.

Storing documents with Microsoft Exchange Server 2000 You can store Microsoft Office documents on Exchange Server 2000 and access them through the File Open, File New, and File Save dialog boxes, as you would any other Office document.

Web documents and Web sites

Target your Web publishing efforts Save your Office documents as Web pages for versions 3.0 — 6.0 of various Web browsers and give your readers the best possible viewing experience.

Share your Office documents over the Web From any Office program, you can save documents to Web sites on MSN. This gives you an instant collaboration space where you can share files with other people.

Save a Web site as a single file A special Web archive file format is available in Microsoft Access, Excel, Microsoft PowerPoint, Microsoft Publisher, and Microsoft Word. This file format lets you save all the elements of a Web site, including text and graphics, into a single file.

Open Office Web pages for editing from the browser Office programs recognize the HTML pages that they generate. You can open an Office document that you've saved as a Web page in the program it was created in, right from Microsoft Internet Explorer.

Error prevention and recovery

Document recovery and safer shutdown Documents you are working on can be recovered if the Office program encounters an error or stops responding. The documents are displayed in the Document Recovery task pane the next time you open the program.

Office Safe Mode Microsoft Office XP programs can detect and isolate startup problems. You can bypass the problem, run your Office program in safe mode, and keep doing your work.

Office crash reporting tool Diagnostic information about program crashes can be collected and sent to your company's information technology department or to Microsoft, allowing Product Support Services (PSS) experts to correct these problems so they don't interrupt you again.

Security

Digital signatures You can apply a digital signature to Microsoft Word, Excel, and Microsoft PowerPoint files to confirm that the file has not been altered.

Increased protection against macro viruses Network administrators can remove Microsoft Visual Basic for Applications, the programming language of Microsoft Office, when deploying Office. This can decrease the possibility of viruses spreading via Office documents.

Language-specific features

If you are not using the specific language version of Microsoft Office for which one of these features is designed, then the feature is only available if you have installed the Microsoft Office XP Multilingual User Interface Pack or Microsoft Office XP Proofing Tools for that language. In addition, you must enable support for the language through Microsoft Office XP Language Settings.

Improvements to changing the language of the user interface and Help More components across Microsoft Office support changing the language of their user interface. In addition, terms on the interface match the terms in Help, even when the main text of Help is in a different language than the interface. This feature is only available with the Office XP MUI Pack and a volume licensing agreement.

Hangul/Hanja converter improvements Over 20,000 new characters are supported by this converter for Korean language documents. The converter automatically uses new fonts that have the proper glyphs for the new characters.

Full support for Windows 2000 language features Office programs now support all the languages that Microsoft Windows 2000 does. Office also supports the latest extensions to Chinese character encoding via Unicode, including support for almost 70,000 Chinese characters.

East Asian character support on non-East Asian systems Now you can enter characters from East Asian languages in all Office programs, even if your system software is a non-East Asian language version. (This was previously only supported in Microsoft Word and Microsoft Outlook, or when running Windows 2000.) For example, on a computer running English (U.S.) Microsoft Windows 98, you can enter Japanese characters in Excel.


Display or hide rows or columns

Display a hidden row or column

  1. Select a row or column on each side of the hidden rows or columns you want to display.
  2. On the Format menu, point to Row or Column, and then click Unhide.

Tip

If the first row or column of a worksheet is hidden, click Go To on the Edit menu. Type A1 in the Reference box, and click OK. Point to Row or Column on the Format menu, and then click Unhide.

Also, the row or column may have had the height or width set to zero. Point to the border of Select All Select All button until the cursor changes to Double-headed arrow or Split pointer, and drag to widen the row or column.

Hide a row or column

  1. Select the rows or columns you want to hide.

    How?
    To select | Do this
    Text in a cell If editing in a cell is turned on, select the cell, double-click in it, and then select the text in the cell.

    If editing in a cell is turned off, select the cell, and then select the text in the formula bar.

    A single cell | Click the cell, or press the arrow keys to move to the cell.
    A range of cells | Click the first cell of the range, and then drag to the last cell.
    A large range of cells | Click the first cell in the range, and then hold down SHIFT and click the last cell in the range. You can scroll to make the last cell visible.
    All cells on a worksheet Click the Select All button.

    Select All button

    Nonadjacent cells or cell ranges | Select the first cell or range of cells, and then hold down CTRL and select the other cells or ranges.
    An entire row or column Click the row or column heading.

    Worksheet showing row heading

    Adjacent rows or columns | Drag across the row or column headings. Or select the first row or column; then hold down SHIFT and select the last row or column.
    Nonadjacent rows or columns | Select the first row or column, and then hold down CTRL and select the other rows or columns.
    More or fewer cells than the active selection | Hold down SHIFT and click the last cell you want to include in the new selection. The rectangular range between the active cell and the cell you click becomes the new selection.
    Cancel a selection of cells | Click any cell on the worksheet.

  2. On the Format menu, point to Row or Column, and then click Hide.